#include <qcoreevent.h>
#include <qdatetime.h>
#include <qevent.h>
#include <qfont.h>
#include <qframe.h>
#include <qicon.h>
#include <qimage.h>
#include <qline.h>
#include <qnamespace.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainter.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qrect.h>
#include <qsize.h>
#include <qstyle.h>
#include <qurl.h>
#include <qvariant.h>
#include <qwidget.h>
#include <nepomuk/kmetadatatagcloud.h>
#include <nepomuk/kmetadatatagwidget.h>
#include <nepomuk/kratingpainter.h>
#include <nepomuk/kratingwidget.h>
#include <nepomuk/ktagcloudwidget.h>
#include <nepomuk/ktagdisplaywidget.h>
#include <nepomuk/nepomukservice.h>
#include <nepomuk/resource.h>
#include <nepomuk/resourcemanager.h>
#include <nepomuk/tag.h>
#include <nepomuk/tools.h>
#include <nepomuk/variant.h>

#include <smoke.h>

#include <nepomuk_smoke.h>

static void *nepomuk_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//KRatingPainter
	switch(to) {
	    case 1: return (void*)(KRatingPainter*)(KRatingPainter*)xptr;
	  default: return xptr;
	}
      case 2:	//KRatingWidget
	switch(to) {
	    case 26: return (void*)(QFrame*)(KRatingWidget*)xptr;
	    case 60: return (void*)(QWidget*)(KRatingWidget*)xptr;
	    case 37: return (void*)(QObject*)(KRatingWidget*)xptr;
	    case 38: return (void*)(QPaintDevice*)(KRatingWidget*)xptr;
	    case 2: return (void*)(KRatingWidget*)(KRatingWidget*)xptr;
	  default: return xptr;
	}
      case 3:	//KTagCloudWidget
	switch(to) {
	    case 60: return (void*)(QWidget*)(KTagCloudWidget*)xptr;
	    case 37: return (void*)(QObject*)(KTagCloudWidget*)xptr;
	    case 38: return (void*)(QPaintDevice*)(KTagCloudWidget*)xptr;
	    case 3: return (void*)(KTagCloudWidget*)(KTagCloudWidget*)xptr;
	    case 10: return (void*)(Nepomuk::TagCloud*)(KTagCloudWidget*)xptr;
	  default: return xptr;
	}
      case 4:	//KTagDisplayWidget
	switch(to) {
	    case 60: return (void*)(QWidget*)(KTagDisplayWidget*)xptr;
	    case 37: return (void*)(QObject*)(KTagDisplayWidget*)xptr;
	    case 38: return (void*)(QPaintDevice*)(KTagDisplayWidget*)xptr;
	    case 4: return (void*)(KTagDisplayWidget*)(KTagDisplayWidget*)xptr;
	  default: return xptr;
	}
      case 6:	//Nepomuk::Resource
	switch(to) {
	    case 6: return (void*)(Nepomuk::Resource*)(Nepomuk::Resource*)xptr;
	    case 9: return (void*)(Nepomuk::Tag*)(Nepomuk::Resource*)xptr;
	  default: return xptr;
	}
      case 7:	//Nepomuk::ResourceManager
	switch(to) {
	    case 37: return (void*)(QObject*)(Nepomuk::ResourceManager*)xptr;
	    case 7: return (void*)(Nepomuk::ResourceManager*)(Nepomuk::ResourceManager*)xptr;
	  default: return xptr;
	}
      case 8:	//Nepomuk::Service
	switch(to) {
	    case 37: return (void*)(QObject*)(Nepomuk::Service*)xptr;
	    case 8: return (void*)(Nepomuk::Service*)(Nepomuk::Service*)xptr;
	  default: return xptr;
	}
      case 9:	//Nepomuk::Tag
	switch(to) {
	    case 6: return (void*)(Nepomuk::Resource*)(Nepomuk::Tag*)xptr;
	    case 9: return (void*)(Nepomuk::Tag*)(Nepomuk::Tag*)xptr;
	  default: return xptr;
	}
      case 10:	//Nepomuk::TagCloud
	switch(to) {
	    case 3: return (void*)(KTagCloudWidget*)(Nepomuk::TagCloud*)xptr;
	    case 60: return (void*)(QWidget*)(Nepomuk::TagCloud*)xptr;
	    case 37: return (void*)(QObject*)(Nepomuk::TagCloud*)xptr;
	    case 38: return (void*)(QPaintDevice*)(Nepomuk::TagCloud*)xptr;
	    case 10: return (void*)(Nepomuk::TagCloud*)(Nepomuk::TagCloud*)xptr;
	  default: return xptr;
	}
      case 11:	//Nepomuk::TagWidget
	switch(to) {
	    case 60: return (void*)(QWidget*)(Nepomuk::TagWidget*)xptr;
	    case 37: return (void*)(QObject*)(Nepomuk::TagWidget*)xptr;
	    case 38: return (void*)(QPaintDevice*)(Nepomuk::TagWidget*)xptr;
	    case 11: return (void*)(Nepomuk::TagWidget*)(Nepomuk::TagWidget*)xptr;
	  default: return xptr;
	}
      case 12:	//Nepomuk::Variant
	switch(to) {
	    case 12: return (void*)(Nepomuk::Variant*)(Nepomuk::Variant*)xptr;
	  default: return xptr;
	}
      case 13:	//QActionEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 13: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 14:	//QChildEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 14: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 15:	//QCloseEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 15: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 16:	//QContextMenuEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 16: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 17:	//QDate
	switch(to) {
	    case 17: return (void*)(QDate*)(QDate*)xptr;
	  default: return xptr;
	}
      case 18:	//QDateTime
	switch(to) {
	    case 18: return (void*)(QDateTime*)(QDateTime*)xptr;
	  default: return xptr;
	}
      case 19:	//QDragEnterEvent
	switch(to) {
	    case 21: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 22: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 19: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 20:	//QDragLeaveEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 20: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 21:	//QDragMoveEvent
	switch(to) {
	    case 22: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 21: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 19: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 22:	//QDropEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 22: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 19: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 21: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 23:	//QEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QEvent*)xptr;
	    case 13: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 14: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 15: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 16: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 19: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 20: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 21: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 22: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 24: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 27: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 30: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 31: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 35: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 36: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 41: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 50: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 51: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 54: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 56: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 59: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 24:	//QFocusEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 24: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 25:	//QFont
	switch(to) {
	    case 25: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 26:	//QFrame
	switch(to) {
	    case 60: return (void*)(QWidget*)(QFrame*)xptr;
	    case 37: return (void*)(QObject*)(QFrame*)xptr;
	    case 38: return (void*)(QPaintDevice*)(QFrame*)xptr;
	    case 26: return (void*)(QFrame*)(QFrame*)xptr;
	    case 2: return (void*)(KRatingWidget*)(QFrame*)xptr;
	  default: return xptr;
	}
      case 27:	//QHideEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 27: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 28:	//QIcon
	switch(to) {
	    case 28: return (void*)(QIcon*)(QIcon*)xptr;
	  default: return xptr;
	}
      case 29:	//QImage
	switch(to) {
	    case 38: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 29: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 30:	//QInputMethodEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 30: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 31:	//QKeyEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 31: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 32:	//QLine
	switch(to) {
	    case 32: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 33:	//QLineF
	switch(to) {
	    case 33: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 34:	//QMetaObject
	switch(to) {
	    case 34: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 35:	//QMouseEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 35: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 36:	//QMoveEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 36: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 37:	//QObject
	switch(to) {
	    case 37: return (void*)(QObject*)(QObject*)xptr;
	    case 2: return (void*)(KRatingWidget*)(QObject*)xptr;
	    case 3: return (void*)(KTagCloudWidget*)(QObject*)xptr;
	    case 4: return (void*)(KTagDisplayWidget*)(QObject*)xptr;
	    case 7: return (void*)(Nepomuk::ResourceManager*)(QObject*)xptr;
	    case 8: return (void*)(Nepomuk::Service*)(QObject*)xptr;
	    case 10: return (void*)(Nepomuk::TagCloud*)(QObject*)xptr;
	    case 11: return (void*)(Nepomuk::TagWidget*)(QObject*)xptr;
	    case 26: return (void*)(QFrame*)(QObject*)xptr;
	    case 53: return (void*)(QStyle*)(QObject*)xptr;
	    case 60: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 38:	//QPaintDevice
	switch(to) {
	    case 38: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 2: return (void*)(KRatingWidget*)(QPaintDevice*)xptr;
	    case 3: return (void*)(KTagCloudWidget*)(QPaintDevice*)xptr;
	    case 4: return (void*)(KTagDisplayWidget*)(QPaintDevice*)xptr;
	    case 10: return (void*)(Nepomuk::TagCloud*)(QPaintDevice*)xptr;
	    case 11: return (void*)(Nepomuk::TagWidget*)(QPaintDevice*)xptr;
	    case 26: return (void*)(QFrame*)(QPaintDevice*)xptr;
	    case 29: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 45: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 60: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 39:	//QPaintEngine
	switch(to) {
	    case 39: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 40:	//QPaintEngineState
	switch(to) {
	    case 40: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 41:	//QPaintEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 41: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 42:	//QPainter
	switch(to) {
	    case 42: return (void*)(QPainter*)(QPainter*)xptr;
	  default: return xptr;
	}
      case 43:	//QPainterPath
	switch(to) {
	    case 43: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 44:	//QPalette
	switch(to) {
	    case 44: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 45:	//QPixmap
	switch(to) {
	    case 38: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 45: return (void*)(QPixmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 46:	//QPoint
	switch(to) {
	    case 46: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 47:	//QPointF
	switch(to) {
	    case 47: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 48:	//QRect
	switch(to) {
	    case 48: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 49:	//QRectF
	switch(to) {
	    case 49: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 50:	//QResizeEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 50: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 51:	//QShowEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 51: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 52:	//QSize
	switch(to) {
	    case 52: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 53:	//QStyle
	switch(to) {
	    case 37: return (void*)(QObject*)(QStyle*)xptr;
	    case 53: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 54:	//QTabletEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 54: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 55:	//QTime
	switch(to) {
	    case 55: return (void*)(QTime*)(QTime*)xptr;
	  default: return xptr;
	}
      case 56:	//QTimerEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 56: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 57:	//QUrl
	switch(to) {
	    case 57: return (void*)(QUrl*)(QUrl*)xptr;
	  default: return xptr;
	}
      case 58:	//QVariant
	switch(to) {
	    case 58: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 59:	//QWheelEvent
	switch(to) {
	    case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 59: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 60:	//QWidget
	switch(to) {
	    case 37: return (void*)(QObject*)(QWidget*)xptr;
	    case 38: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 60: return (void*)(QWidget*)(QWidget*)xptr;
	    case 2: return (void*)(KRatingWidget*)(QWidget*)xptr;
	    case 3: return (void*)(KTagCloudWidget*)(QWidget*)xptr;
	    case 4: return (void*)(KTagDisplayWidget*)(QWidget*)xptr;
	    case 10: return (void*)(Nepomuk::TagCloud*)(QWidget*)xptr;
	    case 11: return (void*)(Nepomuk::TagWidget*)(QWidget*)xptr;
	    case 26: return (void*)(QFrame*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index nepomuk_inheritanceList[] = {
	0,	// 0: (no super class)
	26, 0,	// 1: QFrame
	60, 0,	// 3: QWidget
	37, 0,	// 5: QObject
	6, 0,	// 7: Nepomuk::Resource
	3, 0,	// 9: KTagCloudWidget
};

// These are the xenum functions for manipulating enum pointers

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KRatingPainter(Smoke::Index, void*, Smoke::Stack);
void xcall_KRatingWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagCloudWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagDisplayWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Resource(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__ResourceManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Tag(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagCloud(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Variant(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class nepomuk_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "KRatingPainter", false, 0, xcall_KRatingPainter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//1
	{ "KRatingWidget", false, 1, xcall_KRatingWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//2
	{ "KTagCloudWidget", false, 3, xcall_KTagCloudWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//3
	{ "KTagDisplayWidget", false, 3, xcall_KTagDisplayWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//4
	{ "Nepomuk", true, 0, 0, 0, 0 }, 	// 5
	{ "Nepomuk::Resource", false, 0, xcall_Nepomuk__Resource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//6
	{ "Nepomuk::ResourceManager", false, 5, xcall_Nepomuk__ResourceManager, 0, Smoke::cf_virtual }, 	//7
	{ "Nepomuk::Service", false, 5, xcall_Nepomuk__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//8
	{ "Nepomuk::Tag", false, 7, xcall_Nepomuk__Tag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//9
	{ "Nepomuk::TagCloud", false, 9, xcall_Nepomuk__TagCloud, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//10
	{ "Nepomuk::TagWidget", false, 3, xcall_Nepomuk__TagWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//11
	{ "Nepomuk::Variant", false, 0, xcall_Nepomuk__Variant, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//12
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 13
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 14
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 15
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 16
	{ "QDate", true, 0, 0, 0, 0 }, 	// 17
	{ "QDateTime", true, 0, 0, 0, 0 }, 	// 18
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 19
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 20
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 21
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 22
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 23
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 24
	{ "QFont", true, 0, 0, 0, 0 }, 	// 25
	{ "QFrame", true, 0, 0, 0, 0 }, 	// 26
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 27
	{ "QIcon", true, 0, 0, 0, 0 }, 	// 28
	{ "QImage", true, 0, 0, 0, 0 }, 	// 29
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 30
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 31
	{ "QLine", true, 0, 0, 0, 0 }, 	// 32
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 33
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 34
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 35
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 36
	{ "QObject", true, 0, 0, 0, 0 }, 	// 37
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 38
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 39
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 40
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 41
	{ "QPainter", true, 0, 0, 0, 0 }, 	// 42
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 43
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 44
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 45
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 46
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 47
	{ "QRect", true, 0, 0, 0, 0 }, 	// 48
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 49
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 50
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 51
	{ "QSize", true, 0, 0, 0, 0 }, 	// 52
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 53
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 54
	{ "QTime", true, 0, 0, 0, 0 }, 	// 55
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 56
	{ "QUrl", true, 0, 0, 0, 0 }, 	// 57
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 58
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 59
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 60
	{ "Qt", true, 0, 0, 0, 0 }, 	// 61
	{ "Soprano", true, 0, 0, 0, 0 }, 	// 62
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type nepomuk_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "KAction::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//1
	{ "KAction::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//2
	{ "KAutostart::Conditions", 0, Smoke::t_uint | Smoke::tf_stack },	//3
	{ "KAutostart::Conditions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//4
	{ "KCModule::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "KCModule::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "KCmdLineArgs::StdCmdLineArgs", 0, Smoke::t_uint | Smoke::tf_stack },	//7
	{ "KCmdLineArgs::StdCmdLineArgs&", 0, Smoke::t_voidp | Smoke::tf_ref },	//8
	{ "KConfig::OpenFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//9
	{ "KConfig::OpenFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//10
	{ "KConfigBase::WriteConfigFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//11
	{ "KConfigBase::WriteConfigFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//12
	{ "KCrash::CrashFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//13
	{ "KCrash::CrashFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//14
	{ "KDialog::ButtonCodes", 0, Smoke::t_uint | Smoke::tf_stack },	//15
	{ "KDialog::ButtonCodes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//16
	{ "KDialog::ButtonPopupModes", 0, Smoke::t_uint | Smoke::tf_stack },	//17
	{ "KDialog::ButtonPopupModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//18
	{ "KDialog::CaptionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//19
	{ "KDialog::CaptionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//20
	{ "KDirLister::OpenUrlFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//21
	{ "KDirLister::OpenUrlFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//22
	{ "KDirModel::DropsAllowed", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "KDirModel::DropsAllowed&", 0, Smoke::t_voidp | Smoke::tf_ref },	//24
	{ "KDirWatch::WatchModes", 0, Smoke::t_uint | Smoke::tf_stack },	//25
	{ "KDirWatch::WatchModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//26
	{ "KEditListBox::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "KEditListBox::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "KFileMetaInfo::WhatFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//29
	{ "KFileMetaInfo::WhatFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//30
	{ "KFontChooser::DisplayFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//31
	{ "KFontChooser::DisplayFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//32
	{ "KFontChooser::FontDiffFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//33
	{ "KFontChooser::FontDiffFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//34
	{ "KGlobalSettings::GraphicEffects", 0, Smoke::t_uint | Smoke::tf_stack },	//35
	{ "KGlobalSettings::GraphicEffects&", 0, Smoke::t_voidp | Smoke::tf_ref },	//36
	{ "KIO::JobFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//37
	{ "KIO::JobFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//38
	{ "KIO::NetRC::LookUpMode", 0, Smoke::t_uint | Smoke::tf_stack },	//39
	{ "KIO::NetRC::LookUpMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//40
	{ "KIO::TCPSlaveBase::SslResult", 0, Smoke::t_uint | Smoke::tf_stack },	//41
	{ "KIO::TCPSlaveBase::SslResult&", 0, Smoke::t_voidp | Smoke::tf_ref },	//42
	{ "KJob::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//43
	{ "KJob::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//44
	{ "KLocale::DateTimeFormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//45
	{ "KLocale::DateTimeFormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//46
	{ "KLockFile::LockFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//47
	{ "KLockFile::LockFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//48
	{ "KMessageBox::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//49
	{ "KMessageBox::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//50
	{ "KNTLM::AuthFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//51
	{ "KNTLM::AuthFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//52
	{ "KNotification::NotificationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//53
	{ "KNotification::NotificationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//54
	{ "KNotificationRestrictions::Services", 0, Smoke::t_uint | Smoke::tf_stack },	//55
	{ "KNotificationRestrictions::Services&", 0, Smoke::t_voidp | Smoke::tf_ref },	//56
	{ "KParts::BrowserExtension::PopupFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//57
	{ "KParts::BrowserExtension::PopupFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//58
	{ "KPasswordDialog::KPasswordDialogFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//59
	{ "KPasswordDialog::KPasswordDialogFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//60
	{ "KPlotObject::PlotTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//61
	{ "KPlotObject::PlotTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//62
	{ "KRatingPainter*", 1, Smoke::t_class | Smoke::tf_ptr },	//63
	{ "KRatingWidget*", 2, Smoke::t_class | Smoke::tf_ptr },	//64
	{ "KServiceGroup::EntriesOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//65
	{ "KServiceGroup::EntriesOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//66
	{ "KShell::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//67
	{ "KShell::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//68
	{ "KShortcutsEditor::ActionTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//69
	{ "KShortcutsEditor::ActionTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//70
	{ "KStandardDirs::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//71
	{ "KStandardDirs::SearchOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//72
	{ "KTagCloudWidget*", 3, Smoke::t_class | Smoke::tf_ptr },	//73
	{ "KTagDisplayWidget*", 4, Smoke::t_class | Smoke::tf_ptr },	//74
	{ "KUniqueApplication::StartFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//75
	{ "KUniqueApplication::StartFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//76
	{ "KUrl::CleanPathOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//77
	{ "KUrl::CleanPathOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//78
	{ "KUrl::DirectoryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//79
	{ "KUrl::DirectoryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//80
	{ "KUrl::EncodedPathAndQueryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//81
	{ "KUrl::EncodedPathAndQueryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//82
	{ "KUrl::EqualsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//83
	{ "KUrl::EqualsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//84
	{ "KUrl::QueryItemsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//85
	{ "KUrl::QueryItemsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//86
	{ "KXmlGuiWindow::StandardWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//87
	{ "KXmlGuiWindow::StandardWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//88
	{ "Nepomuk::Resource", 6, Smoke::t_class | Smoke::tf_stack },	//89
	{ "Nepomuk::Resource&", 6, Smoke::t_class | Smoke::tf_ref },	//90
	{ "Nepomuk::Resource*", 6, Smoke::t_class | Smoke::tf_ptr },	//91
	{ "Nepomuk::ResourceData*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//92
	{ "Nepomuk::ResourceManager*", 7, Smoke::t_class | Smoke::tf_ptr },	//93
	{ "Nepomuk::Service*", 8, Smoke::t_class | Smoke::tf_ptr },	//94
	{ "Nepomuk::Tag", 9, Smoke::t_class | Smoke::tf_stack },	//95
	{ "Nepomuk::Tag&", 9, Smoke::t_class | Smoke::tf_ref },	//96
	{ "Nepomuk::Tag*", 9, Smoke::t_class | Smoke::tf_ptr },	//97
	{ "Nepomuk::TagCloud*", 10, Smoke::t_class | Smoke::tf_ptr },	//98
	{ "Nepomuk::TagWidget*", 11, Smoke::t_class | Smoke::tf_ptr },	//99
	{ "Nepomuk::Variant", 12, Smoke::t_class | Smoke::tf_stack },	//100
	{ "Nepomuk::Variant&", 12, Smoke::t_class | Smoke::tf_ref },	//101
	{ "Nepomuk::Variant*", 12, Smoke::t_class | Smoke::tf_ptr },	//102
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//103
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//104
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//105
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//106
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//107
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//108
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//109
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//110
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//111
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//112
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//113
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//114
	{ "QActionEvent*", 13, Smoke::t_class | Smoke::tf_ptr },	//115
	{ "QChildEvent*", 14, Smoke::t_class | Smoke::tf_ptr },	//116
	{ "QCloseEvent*", 15, Smoke::t_class | Smoke::tf_ptr },	//117
	{ "QContextMenuEvent*", 16, Smoke::t_class | Smoke::tf_ptr },	//118
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//119
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//120
	{ "QDate", 17, Smoke::t_class | Smoke::tf_stack },	//121
	{ "QDateTime", 18, Smoke::t_class | Smoke::tf_stack },	//122
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//123
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//124
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//125
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//126
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//127
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//128
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//129
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//130
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//131
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//132
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//133
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//134
	{ "QDragEnterEvent*", 19, Smoke::t_class | Smoke::tf_ptr },	//135
	{ "QDragLeaveEvent*", 20, Smoke::t_class | Smoke::tf_ptr },	//136
	{ "QDragMoveEvent*", 21, Smoke::t_class | Smoke::tf_ptr },	//137
	{ "QDropEvent*", 22, Smoke::t_class | Smoke::tf_ptr },	//138
	{ "QEvent*", 23, Smoke::t_class | Smoke::tf_ptr },	//139
	{ "QEvent::Type", 23, Smoke::t_enum | Smoke::tf_stack },	//140
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//141
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//142
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//143
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//144
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//145
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//146
	{ "QFocusEvent*", 24, Smoke::t_class | Smoke::tf_ptr },	//147
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//148
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//149
	{ "QFrame::Shadow", 26, Smoke::t_enum | Smoke::tf_stack },	//150
	{ "QFrame::Shape", 26, Smoke::t_enum | Smoke::tf_stack },	//151
	{ "QFrame::StyleMask", 26, Smoke::t_enum | Smoke::tf_stack },	//152
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//153
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//154
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//155
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//156
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//157
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//158
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//159
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//160
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//161
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//162
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//163
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//164
	{ "QHash<QUrl,Nepomuk::Variant>", 0, Smoke::t_voidp | Smoke::tf_stack },	//165
	{ "QHideEvent*", 27, Smoke::t_class | Smoke::tf_ptr },	//166
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//167
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//168
	{ "QIcon", 28, Smoke::t_class | Smoke::tf_stack },	//169
	{ "QIcon&", 28, Smoke::t_class | Smoke::tf_ref },	//170
	{ "QIcon::Mode", 28, Smoke::t_enum | Smoke::tf_stack },	//171
	{ "QIcon::State", 28, Smoke::t_enum | Smoke::tf_stack },	//172
	{ "QInputMethodEvent*", 30, Smoke::t_class | Smoke::tf_ptr },	//173
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//174
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//175
	{ "QKeyEvent*", 31, Smoke::t_class | Smoke::tf_ptr },	//176
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//177
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//178
	{ "QList<Nepomuk::Resource>", 0, Smoke::t_voidp | Smoke::tf_stack },	//179
	{ "QList<Nepomuk::Tag>", 0, Smoke::t_voidp | Smoke::tf_stack },	//180
	{ "QList<QDate>", 0, Smoke::t_voidp | Smoke::tf_stack },	//181
	{ "QList<QDateTime>", 0, Smoke::t_voidp | Smoke::tf_stack },	//182
	{ "QList<QTime>", 0, Smoke::t_voidp | Smoke::tf_stack },	//183
	{ "QList<QUrl>", 0, Smoke::t_voidp | Smoke::tf_stack },	//184
	{ "QList<Resource>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//185
	{ "QList<Tag>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//186
	{ "QList<bool>", 0, Smoke::t_voidp | Smoke::tf_stack },	//187
	{ "QList<double>", 0, Smoke::t_voidp | Smoke::tf_stack },	//188
	{ "QList<int>", 0, Smoke::t_voidp | Smoke::tf_stack },	//189
	{ "QList<qlonglong>", 0, Smoke::t_voidp | Smoke::tf_stack },	//190
	{ "QList<qulonglong>", 0, Smoke::t_voidp | Smoke::tf_stack },	//191
	{ "QList<uint>", 0, Smoke::t_voidp | Smoke::tf_stack },	//192
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//193
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//194
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//195
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//196
	{ "QMap<QString,int>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//197
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//198
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//199
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//200
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//201
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//202
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//203
	{ "QMetaObject::Call", 34, Smoke::t_enum | Smoke::tf_stack },	//204
	{ "QMouseEvent*", 35, Smoke::t_class | Smoke::tf_ptr },	//205
	{ "QMoveEvent*", 36, Smoke::t_class | Smoke::tf_ptr },	//206
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//207
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//208
	{ "QObject*", 37, Smoke::t_class | Smoke::tf_ptr },	//209
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//210
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//211
	{ "QPaintDevice*", 38, Smoke::t_class | Smoke::tf_ptr },	//212
	{ "QPaintDevice::PaintDeviceMetric", 38, Smoke::t_enum | Smoke::tf_stack },	//213
	{ "QPaintEngine*", 39, Smoke::t_class | Smoke::tf_ptr },	//214
	{ "QPaintEngine::DirtyFlag", 39, Smoke::t_enum | Smoke::tf_stack },	//215
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//216
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//217
	{ "QPaintEngine::PaintEngineFeature", 39, Smoke::t_enum | Smoke::tf_stack },	//218
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//219
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//220
	{ "QPaintEngine::PolygonDrawMode", 39, Smoke::t_enum | Smoke::tf_stack },	//221
	{ "QPaintEngine::Type", 39, Smoke::t_enum | Smoke::tf_stack },	//222
	{ "QPaintEvent*", 41, Smoke::t_class | Smoke::tf_ptr },	//223
	{ "QPainter*", 42, Smoke::t_class | Smoke::tf_ptr },	//224
	{ "QPainter::CompositionMode", 42, Smoke::t_enum | Smoke::tf_stack },	//225
	{ "QPainter::RenderHint", 42, Smoke::t_enum | Smoke::tf_stack },	//226
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//227
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//228
	{ "QPainterPath::ElementType", 43, Smoke::t_enum | Smoke::tf_stack },	//229
	{ "QPixmap", 45, Smoke::t_class | Smoke::tf_stack },	//230
	{ "QPixmap&", 45, Smoke::t_class | Smoke::tf_ref },	//231
	{ "QPixmap::Type", 45, Smoke::t_enum | Smoke::tf_stack },	//232
	{ "QPoint", 46, Smoke::t_class | Smoke::tf_stack },	//233
	{ "QResizeEvent*", 50, Smoke::t_class | Smoke::tf_ptr },	//234
	{ "QShowEvent*", 51, Smoke::t_class | Smoke::tf_ptr },	//235
	{ "QSize", 52, Smoke::t_class | Smoke::tf_stack },	//236
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//237
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//238
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//239
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//240
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//241
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//242
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//243
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//244
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//245
	{ "QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref },	//246
	{ "QStyle&", 53, Smoke::t_class | Smoke::tf_ref },	//247
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//248
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//249
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//250
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//251
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//252
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//253
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//254
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//255
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//256
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//257
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//258
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//259
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//260
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//261
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//262
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//263
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//264
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//265
	{ "QTabletEvent*", 54, Smoke::t_class | Smoke::tf_ptr },	//266
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//267
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//268
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//269
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//270
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//271
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//272
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//273
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//274
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//275
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//276
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//277
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//278
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//279
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//280
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//281
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//282
	{ "QTime", 55, Smoke::t_class | Smoke::tf_stack },	//283
	{ "QTime::TimeFlag", 55, Smoke::t_enum | Smoke::tf_stack },	//284
	{ "QTimerEvent*", 56, Smoke::t_class | Smoke::tf_ptr },	//285
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//286
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//287
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//288
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//289
	{ "QUrl", 57, Smoke::t_class | Smoke::tf_stack },	//290
	{ "QUrl::FormattingOption", 57, Smoke::t_enum | Smoke::tf_stack },	//291
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//292
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//293
	{ "QUrl::ParsingMode", 57, Smoke::t_enum | Smoke::tf_stack },	//294
	{ "QVariant", 58, Smoke::t_class | Smoke::tf_stack },	//295
	{ "QVariant::Type", 58, Smoke::t_enum | Smoke::tf_stack },	//296
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//297
	{ "QWebPage::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//298
	{ "QWheelEvent*", 59, Smoke::t_class | Smoke::tf_ptr },	//299
	{ "QWidget*", 60, Smoke::t_class | Smoke::tf_ptr },	//300
	{ "QWidget::RenderFlag", 60, Smoke::t_enum | Smoke::tf_stack },	//301
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//302
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//303
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//304
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//305
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//306
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//307
	{ "Qt::AlignmentFlag", 61, Smoke::t_enum | Smoke::tf_stack },	//308
	{ "Qt::AnchorAttribute", 61, Smoke::t_enum | Smoke::tf_stack },	//309
	{ "Qt::ApplicationAttribute", 61, Smoke::t_enum | Smoke::tf_stack },	//310
	{ "Qt::ArrowType", 61, Smoke::t_enum | Smoke::tf_stack },	//311
	{ "Qt::AspectRatioMode", 61, Smoke::t_enum | Smoke::tf_stack },	//312
	{ "Qt::Axis", 61, Smoke::t_enum | Smoke::tf_stack },	//313
	{ "Qt::BGMode", 61, Smoke::t_enum | Smoke::tf_stack },	//314
	{ "Qt::BrushStyle", 61, Smoke::t_enum | Smoke::tf_stack },	//315
	{ "Qt::CaseSensitivity", 61, Smoke::t_enum | Smoke::tf_stack },	//316
	{ "Qt::CheckState", 61, Smoke::t_enum | Smoke::tf_stack },	//317
	{ "Qt::ClipOperation", 61, Smoke::t_enum | Smoke::tf_stack },	//318
	{ "Qt::ConnectionType", 61, Smoke::t_enum | Smoke::tf_stack },	//319
	{ "Qt::ContextMenuPolicy", 61, Smoke::t_enum | Smoke::tf_stack },	//320
	{ "Qt::Corner", 61, Smoke::t_enum | Smoke::tf_stack },	//321
	{ "Qt::CursorShape", 61, Smoke::t_enum | Smoke::tf_stack },	//322
	{ "Qt::DateFormat", 61, Smoke::t_enum | Smoke::tf_stack },	//323
	{ "Qt::DayOfWeek", 61, Smoke::t_enum | Smoke::tf_stack },	//324
	{ "Qt::DockWidgetArea", 61, Smoke::t_enum | Smoke::tf_stack },	//325
	{ "Qt::DockWidgetAreaSizes", 61, Smoke::t_enum | Smoke::tf_stack },	//326
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//327
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//328
	{ "Qt::DropAction", 61, Smoke::t_enum | Smoke::tf_stack },	//329
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//330
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//331
	{ "Qt::EventPriority", 61, Smoke::t_enum | Smoke::tf_stack },	//332
	{ "Qt::FillRule", 61, Smoke::t_enum | Smoke::tf_stack },	//333
	{ "Qt::FocusPolicy", 61, Smoke::t_enum | Smoke::tf_stack },	//334
	{ "Qt::FocusReason", 61, Smoke::t_enum | Smoke::tf_stack },	//335
	{ "Qt::GlobalColor", 61, Smoke::t_enum | Smoke::tf_stack },	//336
	{ "Qt::HitTestAccuracy", 61, Smoke::t_enum | Smoke::tf_stack },	//337
	{ "Qt::ImageConversionFlag", 61, Smoke::t_enum | Smoke::tf_stack },	//338
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//339
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//340
	{ "Qt::InputMethodQuery", 61, Smoke::t_enum | Smoke::tf_stack },	//341
	{ "Qt::ItemDataRole", 61, Smoke::t_enum | Smoke::tf_stack },	//342
	{ "Qt::ItemFlag", 61, Smoke::t_enum | Smoke::tf_stack },	//343
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//344
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//345
	{ "Qt::ItemSelectionMode", 61, Smoke::t_enum | Smoke::tf_stack },	//346
	{ "Qt::Key", 61, Smoke::t_enum | Smoke::tf_stack },	//347
	{ "Qt::KeyboardModifier", 61, Smoke::t_enum | Smoke::tf_stack },	//348
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//349
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//350
	{ "Qt::LayoutDirection", 61, Smoke::t_enum | Smoke::tf_stack },	//351
	{ "Qt::MaskMode", 61, Smoke::t_enum | Smoke::tf_stack },	//352
	{ "Qt::MatchFlag", 61, Smoke::t_enum | Smoke::tf_stack },	//353
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//354
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//355
	{ "Qt::Modifier", 61, Smoke::t_enum | Smoke::tf_stack },	//356
	{ "Qt::MouseButton", 61, Smoke::t_enum | Smoke::tf_stack },	//357
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//358
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//359
	{ "Qt::Orientation", 61, Smoke::t_enum | Smoke::tf_stack },	//360
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//361
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//362
	{ "Qt::PenCapStyle", 61, Smoke::t_enum | Smoke::tf_stack },	//363
	{ "Qt::PenJoinStyle", 61, Smoke::t_enum | Smoke::tf_stack },	//364
	{ "Qt::PenStyle", 61, Smoke::t_enum | Smoke::tf_stack },	//365
	{ "Qt::ScrollBarPolicy", 61, Smoke::t_enum | Smoke::tf_stack },	//366
	{ "Qt::ShortcutContext", 61, Smoke::t_enum | Smoke::tf_stack },	//367
	{ "Qt::SizeHint", 61, Smoke::t_enum | Smoke::tf_stack },	//368
	{ "Qt::SizeMode", 61, Smoke::t_enum | Smoke::tf_stack },	//369
	{ "Qt::SortOrder", 61, Smoke::t_enum | Smoke::tf_stack },	//370
	{ "Qt::TextElideMode", 61, Smoke::t_enum | Smoke::tf_stack },	//371
	{ "Qt::TextFlag", 61, Smoke::t_enum | Smoke::tf_stack },	//372
	{ "Qt::TextFormat", 61, Smoke::t_enum | Smoke::tf_stack },	//373
	{ "Qt::TextInteractionFlag", 61, Smoke::t_enum | Smoke::tf_stack },	//374
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//375
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//376
	{ "Qt::TimeSpec", 61, Smoke::t_enum | Smoke::tf_stack },	//377
	{ "Qt::ToolBarArea", 61, Smoke::t_enum | Smoke::tf_stack },	//378
	{ "Qt::ToolBarAreaSizes", 61, Smoke::t_enum | Smoke::tf_stack },	//379
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//380
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//381
	{ "Qt::ToolButtonStyle", 61, Smoke::t_enum | Smoke::tf_stack },	//382
	{ "Qt::TransformationMode", 61, Smoke::t_enum | Smoke::tf_stack },	//383
	{ "Qt::UIEffect", 61, Smoke::t_enum | Smoke::tf_stack },	//384
	{ "Qt::WhiteSpaceMode", 61, Smoke::t_enum | Smoke::tf_stack },	//385
	{ "Qt::WidgetAttribute", 61, Smoke::t_enum | Smoke::tf_stack },	//386
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//387
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//388
	{ "Qt::WindowFrameSection", 61, Smoke::t_enum | Smoke::tf_stack },	//389
	{ "Qt::WindowModality", 61, Smoke::t_enum | Smoke::tf_stack },	//390
	{ "Qt::WindowState", 61, Smoke::t_enum | Smoke::tf_stack },	//391
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//392
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//393
	{ "Qt::WindowType", 61, Smoke::t_enum | Smoke::tf_stack },	//394
	{ "Resource&", 0, Smoke::t_voidp | Smoke::tf_ref },	//395
	{ "Soprano::Model*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//396
	{ "Tag", 0, Smoke::t_voidp | Smoke::tf_stack },	//397
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//398
	{ "const Handler*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//399
	{ "const KRatingPainter&", 1, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//400
	{ "const Nepomuk::Resource&", 6, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//401
	{ "const Nepomuk::Tag&", 9, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//402
	{ "const Nepomuk::Variant&", 12, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//403
	{ "const QDate&", 17, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//404
	{ "const QDateTime&", 18, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//405
	{ "const QFont&", 25, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//406
	{ "const QIcon&", 28, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//407
	{ "const QImage&", 29, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//408
	{ "const QLine*", 32, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//409
	{ "const QLineF*", 33, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//410
	{ "const QList<Nepomuk::Resource>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//411
	{ "const QList<Nepomuk::Tag>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//412
	{ "const QList<QDate>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//413
	{ "const QList<QDateTime>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//414
	{ "const QList<QTime>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//415
	{ "const QList<QUrl>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//416
	{ "const QList<bool>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//417
	{ "const QList<double>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//418
	{ "const QList<int>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//419
	{ "const QList<qlonglong>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//420
	{ "const QList<qulonglong>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//421
	{ "const QList<uint>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//422
	{ "const QMap<QString,int>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//423
	{ "const QMetaObject", 34, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//424
	{ "const QMetaObject*", 34, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//425
	{ "const QPaintEngineState&", 40, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//426
	{ "const QPainterPath&", 43, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//427
	{ "const QPalette&", 44, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//428
	{ "const QPixmap&", 45, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//429
	{ "const QPoint&", 46, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//430
	{ "const QPoint*", 46, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//431
	{ "const QPointF&", 47, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//432
	{ "const QPointF*", 47, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//433
	{ "const QRect&", 48, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//434
	{ "const QRect*", 48, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//435
	{ "const QRectF&", 49, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//436
	{ "const QRectF*", 49, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//437
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//438
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//439
	{ "const QTime&", 55, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//440
	{ "const QUrl&", 57, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//441
	{ "const QVariant&", 58, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//442
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//443
	{ "const unsigned int&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//444
	{ "double", 0, Smoke::t_double | Smoke::tf_stack },	//445
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//446
	{ "qlonglong", 0, Smoke::t_voidp | Smoke::tf_stack },	//447
	{ "qulonglong", 0, Smoke::t_voidp | Smoke::tf_stack },	//448
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//449
	{ "unsigned int", 0, Smoke::t_uint | Smoke::tf_stack },	//450
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//451
};

static Smoke::Index nepomuk_argumentList[] = {
	0,	//0  (void)
	115, 0,	//1  QActionEvent*  
	116, 0,	//3  QChildEvent*  
	117, 0,	//5  QCloseEvent*  
	118, 0,	//7  QContextMenuEvent*  
	135, 0,	//9  QDragEnterEvent*  
	136, 0,	//11  QDragLeaveEvent*  
	137, 0,	//13  QDragMoveEvent*  
	138, 0,	//15  QDropEvent*  
	139, 0,	//17  QEvent*  
	147, 0,	//19  QFocusEvent*  
	166, 0,	//21  QHideEvent*  
	173, 0,	//23  QInputMethodEvent*  
	176, 0,	//25  QKeyEvent*  
	204, 446, 451, 0,	//27  QMetaObject::Call, int, void**  
	205, 0,	//31  QMouseEvent*  
	206, 0,	//33  QMoveEvent*  
	209, 0,	//35  QObject*  
	209, 139, 0,	//37  QObject*, QEvent*  
	209, 398, 0,	//40  QObject*, bool  
	213, 0,	//43  QPaintDevice::PaintDeviceMetric  
	223, 0,	//45  QPaintEvent*  
	224, 434, 306, 446, 0,	//47  QPainter*, const QRect&, Qt::Alignment, int  
	224, 434, 306, 446, 446, 0,	//52  QPainter*, const QRect&, Qt::Alignment, int, int  
	224, 434, 446, 0,	//58  QPainter*, const QRect&, int  
	224, 434, 446, 446, 0,	//62  QPainter*, const QRect&, int, int  
	234, 0,	//67  QResizeEvent*  
	235, 0,	//69  QShowEvent*  
	247, 0,	//71  QStyle&  
	266, 0,	//73  QTabletEvent*  
	285, 0,	//75  QTimerEvent*  
	299, 0,	//77  QWheelEvent*  
	300, 0,	//79  QWidget*  
	306, 0,	//81  Qt::Alignment  
	341, 0,	//83  Qt::InputMethodQuery  
	351, 0,	//85  Qt::LayoutDirection  
	396, 0,	//87  Soprano::Model*  
	398, 0,	//89  bool  
	400, 0,	//91  const KRatingPainter&  
	401, 0,	//93  const Nepomuk::Resource&  
	401, 300, 0,	//95  const Nepomuk::Resource&, QWidget*  
	402, 0,	//98  const Nepomuk::Tag&  
	403, 0,	//100  const Nepomuk::Variant&  
	404, 0,	//102  const QDate&  
	405, 0,	//104  const QDateTime&  
	406, 0,	//106  const QFont&  
	407, 0,	//108  const QIcon&  
	411, 0,	//110  const QList<Nepomuk::Resource>&  
	412, 0,	//112  const QList<Nepomuk::Tag>&  
	413, 0,	//114  const QList<QDate>&  
	414, 0,	//116  const QList<QDateTime>&  
	415, 0,	//118  const QList<QTime>&  
	416, 0,	//120  const QList<QUrl>&  
	417, 0,	//122  const QList<bool>&  
	418, 0,	//124  const QList<double>&  
	419, 0,	//126  const QList<int>&  
	420, 0,	//128  const QList<qlonglong>&  
	421, 0,	//130  const QList<qulonglong>&  
	422, 0,	//132  const QList<uint>&  
	423, 0,	//134  const QMap<QString, int>&  
	428, 0,	//136  const QPalette&  
	429, 0,	//138  const QPixmap&  
	434, 306, 351, 430, 0,	//140  const QRect&, Qt::Alignment, Qt::LayoutDirection, const QPoint&  
	434, 430, 0,	//145  const QRect&, const QPoint&  
	438, 0,	//148  const QString&  
	438, 441, 0,	//150  const QString&, const QUrl&  
	438, 446, 0,	//153  const QString&, int  
	439, 0,	//156  const QStringList&  
	440, 0,	//158  const QTime&  
	441, 0,	//160  const QUrl&  
	441, 403, 0,	//162  const QUrl&, const Nepomuk::Variant&  
	441, 441, 0,	//165  const QUrl&, const QUrl&  
	442, 0,	//168  const QVariant&  
	443, 0,	//170  const char*  
	444, 0,	//172  const unsigned int&  
	445, 0,	//174  double  
	446, 0,	//176  int  
	447, 0,	//178  qlonglong  
	448, 0,	//180  qulonglong  
	449, 0,	//182  uint  
	450, 0,	//184  unsigned int  
	92, 0,	//186  Nepomuk::ResourceData*  
	95, 0,	//188  Nepomuk::Tag  
};

// Raw list of all methods, using munged names
static const char *nepomuk_methodNames[] = {
    "",	//0
    "KRatingPainter",	//1
    "KRatingPainter#",	//2
    "KRatingWidget",	//3
    "KRatingWidget#",	//4
    "KTagCloudWidget",	//5
    "KTagCloudWidget#",	//6
    "KTagDisplayWidget",	//7
    "KTagDisplayWidget#",	//8
    "Resource",	//9
    "Resource#",	//10
    "Resource##",	//11
    "Resource$",	//12
    "Resource$#",	//13
    "Resource?",	//14
    "Service",	//15
    "Service#",	//16
    "Service#$",	//17
    "Tag",	//18
    "Tag#",	//19
    "Tag##",	//20
    "Tag$",	//21
    "Tag$#",	//22
    "TagCloud",	//23
    "TagCloud#",	//24
    "TagWidget",	//25
    "TagWidget#",	//26
    "TagWidget##",	//27
    "Variant",	//28
    "Variant#",	//29
    "Variant$",	//30
    "Variant?",	//31
    "actionEvent",	//32
    "actionEvent#",	//33
    "addAltLabel",	//34
    "addAltLabel$",	//35
    "addAnnotation",	//36
    "addAnnotation#",	//37
    "addIdentifier",	//38
    "addIdentifier$",	//39
    "addIsRelated",	//40
    "addIsRelated#",	//41
    "addIsTopicOf",	//42
    "addIsTopicOf#",	//43
    "addSymbol",	//44
    "addSymbol$",	//45
    "addTag",	//46
    "addTag#",	//47
    "addTag$",	//48
    "addTag$$",	//49
    "addTags",	//50
    "addTags?",	//51
    "addTopic",	//52
    "addTopic#",	//53
    "alignment",	//54
    "allResources",	//55
    "allResourcesOfType",	//56
    "allResourcesOfType#",	//57
    "allResourcesWithProperty",	//58
    "allResourcesWithProperty##",	//59
    "allTags",	//60
    "altLabelUri",	//61
    "altLabels",	//62
    "annotationOf",	//63
    "annotationUri",	//64
    "annotations",	//65
    "append",	//66
    "append#",	//67
    "append$",	//68
    "assignedTags",	//69
    "autoUpdate",	//70
    "changeEvent",	//71
    "changeEvent#",	//72
    "childEvent",	//73
    "childEvent#",	//74
    "className",	//75
    "clear",	//76
    "closeEvent",	//77
    "closeEvent#",	//78
    "connectNotify",	//79
    "connectNotify$",	//80
    "contextMenuEvent",	//81
    "contextMenuEvent#",	//82
    "customEvent",	//83
    "customEvent#",	//84
    "customPixmap",	//85
    "description",	//86
    "descriptionUri",	//87
    "devType",	//88
    "disconnectNotify",	//89
    "disconnectNotify$",	//90
    "dragEnterEvent",	//91
    "dragEnterEvent#",	//92
    "dragLeaveEvent",	//93
    "dragLeaveEvent#",	//94
    "dragMoveEvent",	//95
    "dragMoveEvent#",	//96
    "dropEvent",	//97
    "dropEvent#",	//98
    "enabledChange",	//99
    "enabledChange$",	//100
    "enterEvent",	//101
    "enterEvent#",	//102
    "error",	//103
    "error$$",	//104
    "event",	//105
    "event#",	//106
    "eventFilter",	//107
    "eventFilter##",	//108
    "exists",	//109
    "focusInEvent",	//110
    "focusInEvent#",	//111
    "focusNextPrevChild",	//112
    "focusNextPrevChild$",	//113
    "focusOutEvent",	//114
    "focusOutEvent#",	//115
    "fontChange",	//116
    "fontChange#",	//117
    "fromString",	//118
    "fromString$$",	//119
    "generateUniqueUri",	//120
    "genericDescription",	//121
    "genericIcon",	//122
    "genericLabel",	//123
    "getRatingFromPosition",	//124
    "getRatingFromPosition#$$#",	//125
    "halfStepsEnabled",	//126
    "hasProperty",	//127
    "hasProperty#",	//128
    "hasType",	//129
    "hasType#",	//130
    "heightForWidth",	//131
    "heightForWidth$",	//132
    "hideEvent",	//133
    "hideEvent#",	//134
    "icon",	//135
    "identifierUri",	//136
    "identifiers",	//137
    "init",	//138
    "initialized",	//139
    "inputMethodEvent",	//140
    "inputMethodEvent#",	//141
    "inputMethodQuery",	//142
    "inputMethodQuery$",	//143
    "instance",	//144
    "isBool",	//145
    "isBoolList",	//146
    "isDate",	//147
    "isDateList",	//148
    "isDateTime",	//149
    "isDateTimeList",	//150
    "isDouble",	//151
    "isDoubleList",	//152
    "isEnabled",	//153
    "isInt",	//154
    "isInt64",	//155
    "isInt64List",	//156
    "isIntList",	//157
    "isList",	//158
    "isRelatedOf",	//159
    "isRelatedUri",	//160
    "isRelateds",	//161
    "isResource",	//162
    "isResourceList",	//163
    "isString",	//164
    "isStringList",	//165
    "isTime",	//166
    "isTimeList",	//167
    "isTopicOfUri",	//168
    "isTopicOfs",	//169
    "isUnsignedInt",	//170
    "isUnsignedInt64",	//171
    "isUnsignedInt64List",	//172
    "isUnsignedIntList",	//173
    "isUrl",	//174
    "isUrlList",	//175
    "isValid",	//176
    "keyPressEvent",	//177
    "keyPressEvent#",	//178
    "keyReleaseEvent",	//179
    "keyReleaseEvent#",	//180
    "label",	//181
    "labelUri",	//182
    "languageChange",	//183
    "layoutDirection",	//184
    "leaveEvent",	//185
    "leaveEvent#",	//186
    "mainModel",	//187
    "maxRating",	//188
    "metaObject",	//189
    "metric",	//190
    "metric$",	//191
    "minimumSizeHint",	//192
    "mouseDoubleClickEvent",	//193
    "mouseDoubleClickEvent#",	//194
    "mouseMoveEvent",	//195
    "mouseMoveEvent#",	//196
    "mousePressEvent",	//197
    "mousePressEvent#",	//198
    "mouseReleaseEvent",	//199
    "mouseReleaseEvent#",	//200
    "moveEvent",	//201
    "moveEvent#",	//202
    "notifyError",	//203
    "notifyError$$",	//204
    "operator!=",	//205
    "operator!=#",	//206
    "operator=",	//207
    "operator=#",	//208
    "operator=$",	//209
    "operator==",	//210
    "operator==#",	//211
    "operator=?",	//212
    "paint",	//213
    "paint##$",	//214
    "paint##$$",	//215
    "paintEngine",	//216
    "paintEvent",	//217
    "paintEvent#",	//218
    "paintRating",	//219
    "paintRating##$$",	//220
    "paintRating##$$$",	//221
    "paletteChange",	//222
    "paletteChange#",	//223
    "properties",	//224
    "property",	//225
    "property#",	//226
    "qt_metacall",	//227
    "qt_metacall$$?",	//228
    "rating",	//229
    "ratingChanged",	//230
    "ratingChanged$",	//231
    "ratingFromPosition",	//232
    "ratingFromPosition##",	//233
    "ratingUri",	//234
    "remove",	//235
    "removeProperty",	//236
    "removeProperty#",	//237
    "removeResource",	//238
    "removeResource$",	//239
    "resizeEvent",	//240
    "resizeEvent#",	//241
    "resourceModified",	//242
    "resourceModified$",	//243
    "resourceType",	//244
    "resourceTypeUri",	//245
    "resourceUri",	//246
    "setAlignment",	//247
    "setAlignment$",	//248
    "setAltLabels",	//249
    "setAltLabels?",	//250
    "setAnnotations",	//251
    "setAnnotations?",	//252
    "setAssignedTags",	//253
    "setAssignedTags?",	//254
    "setAutoUpdate",	//255
    "setAutoUpdate$",	//256
    "setCustomPixmap",	//257
    "setCustomPixmap#",	//258
    "setDescription",	//259
    "setDescription$",	//260
    "setEnabled",	//261
    "setEnabled$",	//262
    "setHalfStepsEnabled",	//263
    "setHalfStepsEnabled$",	//264
    "setIcon",	//265
    "setIcon#",	//266
    "setIdentifiers",	//267
    "setIdentifiers?",	//268
    "setIsRelateds",	//269
    "setIsRelateds?",	//270
    "setIsTopicOfs",	//271
    "setIsTopicOfs?",	//272
    "setLabel",	//273
    "setLabel$",	//274
    "setLayoutDirection",	//275
    "setLayoutDirection$",	//276
    "setMaxFontSize",	//277
    "setMaxFontSize$",	//278
    "setMaxRating",	//279
    "setMaxRating$",	//280
    "setMinFontSize",	//281
    "setMinFontSize$",	//282
    "setOverrideMainModel",	//283
    "setOverrideMainModel?",	//284
    "setPixmapSize",	//285
    "setPixmapSize$",	//286
    "setProperty",	//287
    "setProperty##",	//288
    "setRating",	//289
    "setRating$",	//290
    "setServiceInitialized",	//291
    "setServiceInitialized$",	//292
    "setSpacing",	//293
    "setSpacing$",	//294
    "setSymbols",	//295
    "setSymbols?",	//296
    "setTaggedResource",	//297
    "setTaggedResource#",	//298
    "setTaggedResources",	//299
    "setTaggedResources?",	//300
    "setTags",	//301
    "setTags?",	//302
    "setTopics",	//303
    "setTopics?",	//304
    "setVisible",	//305
    "setVisible$",	//306
    "showEvent",	//307
    "showEvent#",	//308
    "simpleType",	//309
    "sizeHint",	//310
    "spacing",	//311
    "styleChange",	//312
    "styleChange#",	//313
    "symbolUri",	//314
    "symbols",	//315
    "tabletEvent",	//316
    "tabletEvent#",	//317
    "tagClicked",	//318
    "tagClicked#",	//319
    "tagClicked$",	//320
    "tagOf",	//321
    "tagUri",	//322
    "tagWeight",	//323
    "tagWeight$",	//324
    "taggedResources",	//325
    "tags",	//326
    "timerEvent",	//327
    "timerEvent#",	//328
    "toBool",	//329
    "toBoolList",	//330
    "toDate",	//331
    "toDateList",	//332
    "toDateTime",	//333
    "toDateTimeList",	//334
    "toDouble",	//335
    "toDoubleList",	//336
    "toInt",	//337
    "toInt64",	//338
    "toInt64List",	//339
    "toIntList",	//340
    "toResource",	//341
    "toResourceList",	//342
    "toString",	//343
    "toStringList",	//344
    "toTime",	//345
    "toTimeList",	//346
    "toUnsignedInt",	//347
    "toUnsignedInt64",	//348
    "toUnsignedInt64List",	//349
    "toUnsignedIntList",	//350
    "toUrl",	//351
    "toUrlList",	//352
    "topicUri",	//353
    "topics",	//354
    "type",	//355
    "types",	//356
    "updateTags",	//357
    "variant",	//358
    "wheelEvent",	//359
    "wheelEvent#",	//360
    "windowActivationChange",	//361
    "windowActivationChange$",	//362
    "~KRatingPainter",	//363
    "~KRatingWidget",	//364
    "~KTagCloudWidget",	//365
    "~KTagDisplayWidget",	//366
    "~Resource",	//367
    "~Service",	//368
    "~Tag",	//369
    "~TagCloud",	//370
    "~TagWidget",	//371
    "~Variant",	//372
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method nepomuk_methods[] = {
	{1, 1, 0, 0, Smoke::mf_ctor, 63, 1},	//0 KRatingPainter::KRatingPainter()
	{1, 363, 0, 0, Smoke::mf_dtor, 0, 25},	//1 KRatingPainter::~KRatingPainter()
	{1, 188, 0, 0, Smoke::mf_const, 446, 2},	//2 KRatingPainter::maxRating() const
	{1, 126, 0, 0, Smoke::mf_const, 398, 3},	//3 KRatingPainter::halfStepsEnabled() const
	{1, 54, 0, 0, Smoke::mf_const, 306, 4},	//4 KRatingPainter::alignment() const
	{1, 184, 0, 0, Smoke::mf_const, 351, 5},	//5 KRatingPainter::layoutDirection() const
	{1, 135, 0, 0, Smoke::mf_const, 169, 6},	//6 KRatingPainter::icon() const
	{1, 153, 0, 0, Smoke::mf_const, 398, 7},	//7 KRatingPainter::isEnabled() const
	{1, 85, 0, 0, Smoke::mf_const, 230, 8},	//8 KRatingPainter::customPixmap() const
	{1, 311, 0, 0, Smoke::mf_const, 446, 9},	//9 KRatingPainter::spacing() const
	{1, 279, 176, 1, 0, 0, 10},	//10 KRatingPainter::setMaxRating(int)
	{1, 263, 89, 1, 0, 0, 11},	//11 KRatingPainter::setHalfStepsEnabled(bool)
	{1, 247, 81, 1, 0, 0, 12},	//12 KRatingPainter::setAlignment(Qt::Alignment)
	{1, 275, 85, 1, 0, 0, 13},	//13 KRatingPainter::setLayoutDirection(Qt::LayoutDirection)
	{1, 265, 108, 1, 0, 0, 14},	//14 KRatingPainter::setIcon(const QIcon&)
	{1, 261, 89, 1, 0, 0, 15},	//15 KRatingPainter::setEnabled(bool)
	{1, 257, 138, 1, 0, 0, 16},	//16 KRatingPainter::setCustomPixmap(const QPixmap&)
	{1, 293, 176, 1, 0, 0, 17},	//17 KRatingPainter::setSpacing(int)
	{1, 213, 62, 4, Smoke::mf_const, 0, 18},	//18 KRatingPainter::paint(QPainter*, const QRect&, int, int) const
	{1, 213, 58, 3, Smoke::mf_const, 0, 19},	//19 KRatingPainter::paint(QPainter*, const QRect&, int) const
	{1, 232, 145, 2, Smoke::mf_const, 446, 20},	//20 KRatingPainter::ratingFromPosition(const QRect&, const QPoint&) const
	{1, 1, 91, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 63, 21},	//21 KRatingPainter::KRatingPainter(const KRatingPainter&)
	{1, 219, 52, 5, Smoke::mf_static, 0, 22},	//22 KRatingPainter::paintRating(QPainter*, const QRect&, Qt::Alignment, int, int)
	{1, 219, 47, 4, Smoke::mf_static, 0, 23},	//23 KRatingPainter::paintRating(QPainter*, const QRect&, Qt::Alignment, int)
	{1, 124, 140, 4, Smoke::mf_static, 446, 24},	//24 KRatingPainter::getRatingFromPosition(const QRect&, Qt::Alignment, Qt::LayoutDirection, const QPoint&)
	{2, 189, 0, 0, Smoke::mf_const, 425, 1},	//25 KRatingWidget::metaObject() const
	{2, 227, 27, 3, 0, 446, 2},	//26 KRatingWidget::qt_metacall(QMetaObject::Call, int, void**)
	{2, 3, 79, 1, Smoke::mf_ctor, 64, 3},	//27 KRatingWidget::KRatingWidget(QWidget*)
	{2, 3, 0, 0, Smoke::mf_ctor, 64, 4},	//28 KRatingWidget::KRatingWidget()
	{2, 364, 0, 0, Smoke::mf_dtor, 0, 29},	//29 KRatingWidget::~KRatingWidget()
	{2, 229, 0, 0, Smoke::mf_const, 450, 5},	//30 KRatingWidget::rating() const
	{2, 188, 0, 0, Smoke::mf_const, 446, 6},	//31 KRatingWidget::maxRating() const
	{2, 54, 0, 0, Smoke::mf_const, 306, 7},	//32 KRatingWidget::alignment() const
	{2, 184, 0, 0, Smoke::mf_const, 351, 8},	//33 KRatingWidget::layoutDirection() const
	{2, 311, 0, 0, Smoke::mf_const, 446, 9},	//34 KRatingWidget::spacing() const
	{2, 310, 0, 0, Smoke::mf_const, 236, 10},	//35 KRatingWidget::sizeHint() const
	{2, 126, 0, 0, Smoke::mf_const, 398, 11},	//36 KRatingWidget::halfStepsEnabled() const
	{2, 135, 0, 0, Smoke::mf_const, 169, 12},	//37 KRatingWidget::icon() const
	{2, 289, 176, 1, 0, 0, 13},	//38 KRatingWidget::setRating(int)
	{2, 279, 176, 1, 0, 0, 14},	//39 KRatingWidget::setMaxRating(int)
	{2, 263, 89, 1, 0, 0, 15},	//40 KRatingWidget::setHalfStepsEnabled(bool)
	{2, 293, 176, 1, 0, 0, 16},	//41 KRatingWidget::setSpacing(int)
	{2, 247, 81, 1, 0, 0, 17},	//42 KRatingWidget::setAlignment(Qt::Alignment)
	{2, 275, 85, 1, 0, 0, 18},	//43 KRatingWidget::setLayoutDirection(Qt::LayoutDirection)
	{2, 265, 108, 1, 0, 0, 19},	//44 KRatingWidget::setIcon(const QIcon&)
	{2, 257, 138, 1, 0, 0, 20},	//45 KRatingWidget::setCustomPixmap(const QPixmap&)
	{2, 285, 176, 1, 0, 0, 21},	//46 KRatingWidget::setPixmapSize(int)
	{2, 230, 184, 1, 0, 0, 22},	//47 KRatingWidget::ratingChanged(unsigned int)
	{2, 230, 176, 1, 0, 0, 23},	//48 KRatingWidget::ratingChanged(int)
	{2, 197, 31, 1, Smoke::mf_protected, 0, 24},	//49 KRatingWidget::mousePressEvent(QMouseEvent*)
	{2, 195, 31, 1, Smoke::mf_protected, 0, 25},	//50 KRatingWidget::mouseMoveEvent(QMouseEvent*)
	{2, 185, 17, 1, Smoke::mf_protected, 0, 26},	//51 KRatingWidget::leaveEvent(QEvent*)
	{2, 217, 45, 1, Smoke::mf_protected, 0, 27},	//52 KRatingWidget::paintEvent(QPaintEvent*)
	{2, 240, 67, 1, Smoke::mf_protected, 0, 28},	//53 KRatingWidget::resizeEvent(QResizeEvent*)
	{3, 189, 0, 0, Smoke::mf_const, 425, 1},	//54 KTagCloudWidget::metaObject() const
	{3, 227, 27, 3, 0, 446, 2},	//55 KTagCloudWidget::qt_metacall(QMetaObject::Call, int, void**)
	{3, 5, 79, 1, Smoke::mf_ctor, 73, 3},	//56 KTagCloudWidget::KTagCloudWidget(QWidget*)
	{3, 5, 0, 0, Smoke::mf_ctor, 73, 4},	//57 KTagCloudWidget::KTagCloudWidget()
	{3, 365, 0, 0, Smoke::mf_dtor, 0, 13},	//58 KTagCloudWidget::~KTagCloudWidget()
	{3, 323, 148, 1, Smoke::mf_const, 446, 5},	//59 KTagCloudWidget::tagWeight(const QString&) const
	{3, 46, 153, 2, 0, 0, 6},	//60 KTagCloudWidget::addTag(const QString&, int)
	{3, 50, 134, 1, 0, 0, 7},	//61 KTagCloudWidget::addTags(const QMap<QString, int>&)
	{3, 76, 0, 0, 0, 0, 8},	//62 KTagCloudWidget::clear()
	{3, 277, 176, 1, 0, 0, 9},	//63 KTagCloudWidget::setMaxFontSize(int)
	{3, 281, 176, 1, 0, 0, 10},	//64 KTagCloudWidget::setMinFontSize(int)
	{3, 318, 148, 1, 0, 0, 11},	//65 KTagCloudWidget::tagClicked(const QString&)
	{3, 240, 67, 1, Smoke::mf_protected, 0, 12},	//66 KTagCloudWidget::resizeEvent(QResizeEvent*)
	{4, 189, 0, 0, Smoke::mf_const, 425, 1},	//67 KTagDisplayWidget::metaObject() const
	{4, 227, 27, 3, 0, 446, 2},	//68 KTagDisplayWidget::qt_metacall(QMetaObject::Call, int, void**)
	{4, 7, 79, 1, Smoke::mf_ctor, 74, 3},	//69 KTagDisplayWidget::KTagDisplayWidget(QWidget*)
	{4, 7, 0, 0, Smoke::mf_ctor, 74, 4},	//70 KTagDisplayWidget::KTagDisplayWidget()
	{4, 366, 0, 0, Smoke::mf_dtor, 0, 10},	//71 KTagDisplayWidget::~KTagDisplayWidget()
	{4, 301, 156, 1, 0, 0, 5},	//72 KTagDisplayWidget::setTags(const QStringList&)
	{4, 46, 148, 1, 0, 0, 6},	//73 KTagDisplayWidget::addTag(const QString&)
	{4, 50, 156, 1, 0, 0, 7},	//74 KTagDisplayWidget::addTags(const QStringList&)
	{4, 76, 0, 0, 0, 0, 8},	//75 KTagDisplayWidget::clear()
	{4, 318, 148, 1, 0, 0, 9},	//76 KTagDisplayWidget::tagClicked(const QString&)
	{6, 9, 0, 0, Smoke::mf_ctor, 91, 1},	//77 Nepomuk::Resource::Resource()
	{6, 9, 93, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 91, 2},	//78 Nepomuk::Resource::Resource(const Nepomuk::Resource&)
	{6, 9, 150, 2, Smoke::mf_ctor, 91, 3},	//79 Nepomuk::Resource::Resource(const QString&, const QUrl&)
	{6, 9, 148, 1, Smoke::mf_ctor, 91, 4},	//80 Nepomuk::Resource::Resource(const QString&)
	{6, 9, 165, 2, Smoke::mf_ctor, 91, 5},	//81 Nepomuk::Resource::Resource(const QUrl&, const QUrl&)
	{6, 9, 160, 1, Smoke::mf_ctor, 91, 6},	//82 Nepomuk::Resource::Resource(const QUrl&)
	{6, 9, 186, 1, Smoke::mf_ctor, 91, 7},	//83 Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
	{6, 367, 0, 0, Smoke::mf_dtor, 0, 70},	//84 Nepomuk::Resource::~Resource()
	{6, 207, 93, 1, 0, 90, 8},	//85 Nepomuk::Resource::operator=(const Nepomuk::Resource&)
	{6, 246, 0, 0, Smoke::mf_const, 290, 9},	//86 Nepomuk::Resource::resourceUri() const
	{6, 244, 0, 0, Smoke::mf_const, 290, 10},	//87 Nepomuk::Resource::resourceType() const
	{6, 356, 0, 0, Smoke::mf_const, 184, 11},	//88 Nepomuk::Resource::types() const
	{6, 129, 160, 1, Smoke::mf_const, 398, 12},	//89 Nepomuk::Resource::hasType(const QUrl&) const
	{6, 75, 0, 0, Smoke::mf_const, 241, 13},	//90 Nepomuk::Resource::className() const
	{6, 224, 0, 0, Smoke::mf_const, 165, 14},	//91 Nepomuk::Resource::properties() const
	{6, 127, 160, 1, Smoke::mf_const, 398, 15},	//92 Nepomuk::Resource::hasProperty(const QUrl&) const
	{6, 225, 160, 1, Smoke::mf_const, 100, 16},	//93 Nepomuk::Resource::property(const QUrl&) const
	{6, 287, 162, 2, 0, 0, 17},	//94 Nepomuk::Resource::setProperty(const QUrl&, const Nepomuk::Variant&)
	{6, 236, 160, 1, 0, 0, 18},	//95 Nepomuk::Resource::removeProperty(const QUrl&)
	{6, 235, 0, 0, 0, 0, 19},	//96 Nepomuk::Resource::remove()
	{6, 109, 0, 0, Smoke::mf_const, 398, 20},	//97 Nepomuk::Resource::exists() const
	{6, 176, 0, 0, Smoke::mf_const, 398, 21},	//98 Nepomuk::Resource::isValid() const
	{6, 123, 0, 0, Smoke::mf_const, 241, 22},	//99 Nepomuk::Resource::genericLabel() const
	{6, 121, 0, 0, Smoke::mf_const, 241, 23},	//100 Nepomuk::Resource::genericDescription() const
	{6, 122, 0, 0, Smoke::mf_const, 241, 24},	//101 Nepomuk::Resource::genericIcon() const
	{6, 210, 93, 1, Smoke::mf_const, 398, 25},	//102 Nepomuk::Resource::operator==(const Nepomuk::Resource&) const
	{6, 86, 0, 0, Smoke::mf_const, 241, 26},	//103 Nepomuk::Resource::description() const
	{6, 259, 148, 1, 0, 0, 27},	//104 Nepomuk::Resource::setDescription(const QString&)
	{6, 137, 0, 0, Smoke::mf_const, 245, 28},	//105 Nepomuk::Resource::identifiers() const
	{6, 267, 156, 1, 0, 0, 29},	//106 Nepomuk::Resource::setIdentifiers(const QStringList&)
	{6, 38, 148, 1, 0, 0, 30},	//107 Nepomuk::Resource::addIdentifier(const QString&)
	{6, 62, 0, 0, Smoke::mf_const, 245, 31},	//108 Nepomuk::Resource::altLabels() const
	{6, 249, 156, 1, 0, 0, 32},	//109 Nepomuk::Resource::setAltLabels(const QStringList&)
	{6, 34, 148, 1, 0, 0, 33},	//110 Nepomuk::Resource::addAltLabel(const QString&)
	{6, 65, 0, 0, Smoke::mf_const, 179, 34},	//111 Nepomuk::Resource::annotations() const
	{6, 251, 110, 1, 0, 0, 35},	//112 Nepomuk::Resource::setAnnotations(const QList<Nepomuk::Resource>&)
	{6, 36, 93, 1, 0, 0, 36},	//113 Nepomuk::Resource::addAnnotation(const Nepomuk::Resource&)
	{6, 326, 0, 0, Smoke::mf_const, 180, 37},	//114 Nepomuk::Resource::tags() const
	{6, 301, 112, 1, 0, 0, 38},	//115 Nepomuk::Resource::setTags(const QList<Nepomuk::Tag>&)
	{6, 46, 98, 1, 0, 0, 39},	//116 Nepomuk::Resource::addTag(const Nepomuk::Tag&)
	{6, 354, 0, 0, Smoke::mf_const, 179, 40},	//117 Nepomuk::Resource::topics() const
	{6, 303, 110, 1, 0, 0, 41},	//118 Nepomuk::Resource::setTopics(const QList<Nepomuk::Resource>&)
	{6, 52, 93, 1, 0, 0, 42},	//119 Nepomuk::Resource::addTopic(const Nepomuk::Resource&)
	{6, 169, 0, 0, Smoke::mf_const, 179, 43},	//120 Nepomuk::Resource::isTopicOfs() const
	{6, 271, 110, 1, 0, 0, 44},	//121 Nepomuk::Resource::setIsTopicOfs(const QList<Nepomuk::Resource>&)
	{6, 42, 93, 1, 0, 0, 45},	//122 Nepomuk::Resource::addIsTopicOf(const Nepomuk::Resource&)
	{6, 161, 0, 0, Smoke::mf_const, 179, 46},	//123 Nepomuk::Resource::isRelateds() const
	{6, 269, 110, 1, 0, 0, 47},	//124 Nepomuk::Resource::setIsRelateds(const QList<Nepomuk::Resource>&)
	{6, 40, 93, 1, 0, 0, 48},	//125 Nepomuk::Resource::addIsRelated(const Nepomuk::Resource&)
	{6, 181, 0, 0, Smoke::mf_const, 241, 49},	//126 Nepomuk::Resource::label() const
	{6, 273, 148, 1, 0, 0, 50},	//127 Nepomuk::Resource::setLabel(const QString&)
	{6, 229, 0, 0, Smoke::mf_const, 450, 51},	//128 Nepomuk::Resource::rating() const
	{6, 289, 172, 1, 0, 0, 52},	//129 Nepomuk::Resource::setRating(const unsigned int&)
	{6, 315, 0, 0, Smoke::mf_const, 245, 53},	//130 Nepomuk::Resource::symbols() const
	{6, 295, 156, 1, 0, 0, 54},	//131 Nepomuk::Resource::setSymbols(const QStringList&)
	{6, 44, 148, 1, 0, 0, 55},	//132 Nepomuk::Resource::addSymbol(const QString&)
	{6, 63, 0, 0, Smoke::mf_const, 179, 56},	//133 Nepomuk::Resource::annotationOf() const
	{6, 159, 0, 0, Smoke::mf_const, 179, 57},	//134 Nepomuk::Resource::isRelatedOf() const
	{6, 87, 0, 0, Smoke::mf_static, 241, 58},	//135 Nepomuk::Resource::descriptionUri()
	{6, 136, 0, 0, Smoke::mf_static, 241, 59},	//136 Nepomuk::Resource::identifierUri()
	{6, 61, 0, 0, Smoke::mf_static, 241, 60},	//137 Nepomuk::Resource::altLabelUri()
	{6, 64, 0, 0, Smoke::mf_static, 241, 61},	//138 Nepomuk::Resource::annotationUri()
	{6, 322, 0, 0, Smoke::mf_static, 241, 62},	//139 Nepomuk::Resource::tagUri()
	{6, 353, 0, 0, Smoke::mf_static, 241, 63},	//140 Nepomuk::Resource::topicUri()
	{6, 168, 0, 0, Smoke::mf_static, 241, 64},	//141 Nepomuk::Resource::isTopicOfUri()
	{6, 160, 0, 0, Smoke::mf_static, 241, 65},	//142 Nepomuk::Resource::isRelatedUri()
	{6, 182, 0, 0, Smoke::mf_static, 241, 66},	//143 Nepomuk::Resource::labelUri()
	{6, 234, 0, 0, Smoke::mf_static, 241, 67},	//144 Nepomuk::Resource::ratingUri()
	{6, 314, 0, 0, Smoke::mf_static, 241, 68},	//145 Nepomuk::Resource::symbolUri()
	{6, 55, 0, 0, Smoke::mf_static, 179, 69},	//146 Nepomuk::Resource::allResources()
	{7, 189, 0, 0, Smoke::mf_const, 425, 1},	//147 Nepomuk::ResourceManager::metaObject() const
	{7, 227, 27, 3, 0, 446, 2},	//148 Nepomuk::ResourceManager::qt_metacall(QMetaObject::Call, int, void**)
	{7, 138, 0, 0, 0, 446, 3},	//149 Nepomuk::ResourceManager::init()
	{7, 139, 0, 0, Smoke::mf_const, 398, 4},	//150 Nepomuk::ResourceManager::initialized() const
	{7, 187, 0, 0, 0, 396, 5},	//151 Nepomuk::ResourceManager::mainModel()
	{7, 283, 87, 1, 0, 0, 6},	//152 Nepomuk::ResourceManager::setOverrideMainModel(Soprano::Model*)
	{7, 238, 148, 1, 0, 0, 7},	//153 Nepomuk::ResourceManager::removeResource(const QString&)
	{7, 56, 160, 1, 0, 179, 8},	//154 Nepomuk::ResourceManager::allResourcesOfType(const QUrl&)
	{7, 58, 162, 2, 0, 179, 9},	//155 Nepomuk::ResourceManager::allResourcesWithProperty(const QUrl&, const Nepomuk::Variant&)
	{7, 120, 0, 0, 0, 241, 10},	//156 Nepomuk::ResourceManager::generateUniqueUri()
	{7, 203, 153, 2, 0, 0, 11},	//157 Nepomuk::ResourceManager::notifyError(const QString&, int)
	{7, 144, 0, 0, Smoke::mf_static, 93, 12},	//158 Nepomuk::ResourceManager::instance()
	{8, 189, 0, 0, Smoke::mf_const, 425, 1},	//159 Nepomuk::Service::metaObject() const
	{8, 227, 27, 3, 0, 446, 2},	//160 Nepomuk::Service::qt_metacall(QMetaObject::Call, int, void**)
	{8, 15, 40, 2, Smoke::mf_ctor, 94, 3},	//161 Nepomuk::Service::Service(QObject*, bool)
	{8, 15, 35, 1, Smoke::mf_ctor, 94, 4},	//162 Nepomuk::Service::Service(QObject*)
	{8, 15, 0, 0, Smoke::mf_ctor, 94, 5},	//163 Nepomuk::Service::Service()
	{8, 368, 0, 0, Smoke::mf_dtor, 0, 8},	//164 Nepomuk::Service::~Service()
	{8, 187, 0, 0, Smoke::mf_protected, 396, 6},	//165 Nepomuk::Service::mainModel()
	{8, 291, 89, 1, Smoke::mf_protected, 0, 7},	//166 Nepomuk::Service::setServiceInitialized(bool)
	{9, 18, 0, 0, Smoke::mf_ctor, 97, 1},	//167 Nepomuk::Tag::Tag()
	{9, 18, 98, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 97, 2},	//168 Nepomuk::Tag::Tag(const Nepomuk::Tag&)
	{9, 18, 93, 1, Smoke::mf_ctor, 97, 3},	//169 Nepomuk::Tag::Tag(const Nepomuk::Resource&)
	{9, 18, 148, 1, Smoke::mf_ctor, 97, 4},	//170 Nepomuk::Tag::Tag(const QString&)
	{9, 18, 160, 1, Smoke::mf_ctor, 97, 5},	//171 Nepomuk::Tag::Tag(const QUrl&)
	{9, 369, 0, 0, Smoke::mf_dtor, 0, 12},	//172 Nepomuk::Tag::~Tag()
	{9, 207, 98, 1, 0, 96, 6},	//173 Nepomuk::Tag::operator=(const Nepomuk::Tag&)
	{9, 321, 0, 0, Smoke::mf_const, 179, 7},	//174 Nepomuk::Tag::tagOf() const
	{9, 60, 0, 0, Smoke::mf_static, 180, 8},	//175 Nepomuk::Tag::allTags()
	{9, 245, 0, 0, Smoke::mf_static, 241, 9},	//176 Nepomuk::Tag::resourceTypeUri()
	{9, 18, 150, 2, Smoke::mf_ctor|Smoke::mf_protected, 97, 10},	//177 Nepomuk::Tag::Tag(const QString&, const QUrl&)
	{9, 18, 165, 2, Smoke::mf_ctor|Smoke::mf_protected, 97, 11},	//178 Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
	{10, 189, 0, 0, Smoke::mf_const, 425, 1},	//179 Nepomuk::TagCloud::metaObject() const
	{10, 227, 27, 3, 0, 446, 2},	//180 Nepomuk::TagCloud::qt_metacall(QMetaObject::Call, int, void**)
	{10, 23, 79, 1, Smoke::mf_ctor, 98, 3},	//181 Nepomuk::TagCloud::TagCloud(QWidget*)
	{10, 23, 0, 0, Smoke::mf_ctor, 98, 4},	//182 Nepomuk::TagCloud::TagCloud()
	{10, 370, 0, 0, Smoke::mf_dtor, 0, 9},	//183 Nepomuk::TagCloud::~TagCloud()
	{10, 70, 0, 0, Smoke::mf_const, 398, 5},	//184 Nepomuk::TagCloud::autoUpdate() const
	{10, 357, 0, 0, 0, 0, 6},	//185 Nepomuk::TagCloud::updateTags()
	{10, 255, 89, 1, 0, 0, 7},	//186 Nepomuk::TagCloud::setAutoUpdate(bool)
	{10, 318, 188, 1, 0, 0, 8},	//187 Nepomuk::TagCloud::tagClicked(Nepomuk::Tag)
	{11, 189, 0, 0, Smoke::mf_const, 425, 1},	//188 Nepomuk::TagWidget::metaObject() const
	{11, 227, 27, 3, 0, 446, 2},	//189 Nepomuk::TagWidget::qt_metacall(QMetaObject::Call, int, void**)
	{11, 25, 95, 2, Smoke::mf_ctor, 99, 3},	//190 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&, QWidget*)
	{11, 25, 93, 1, Smoke::mf_ctor, 99, 4},	//191 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
	{11, 25, 79, 1, Smoke::mf_ctor, 99, 5},	//192 Nepomuk::TagWidget::TagWidget(QWidget*)
	{11, 25, 0, 0, Smoke::mf_ctor, 99, 6},	//193 Nepomuk::TagWidget::TagWidget()
	{11, 371, 0, 0, Smoke::mf_dtor, 0, 13},	//194 Nepomuk::TagWidget::~TagWidget()
	{11, 325, 0, 0, Smoke::mf_const, 179, 7},	//195 Nepomuk::TagWidget::taggedResources() const
	{11, 69, 0, 0, Smoke::mf_const, 180, 8},	//196 Nepomuk::TagWidget::assignedTags() const
	{11, 297, 93, 1, 0, 0, 9},	//197 Nepomuk::TagWidget::setTaggedResource(const Nepomuk::Resource&)
	{11, 299, 110, 1, 0, 0, 10},	//198 Nepomuk::TagWidget::setTaggedResources(const QList<Nepomuk::Resource>&)
	{11, 253, 112, 1, 0, 0, 11},	//199 Nepomuk::TagWidget::setAssignedTags(const QList<Nepomuk::Tag>&)
	{11, 318, 188, 1, 0, 0, 12},	//200 Nepomuk::TagWidget::tagClicked(Nepomuk::Tag)
	{12, 28, 0, 0, Smoke::mf_ctor, 102, 1},	//201 Nepomuk::Variant::Variant()
	{12, 372, 0, 0, Smoke::mf_dtor, 0, 123},	//202 Nepomuk::Variant::~Variant()
	{12, 28, 100, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 102, 2},	//203 Nepomuk::Variant::Variant(const Nepomuk::Variant&)
	{12, 28, 168, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 102, 3},	//204 Nepomuk::Variant::Variant(const QVariant&)
	{12, 28, 176, 1, Smoke::mf_ctor, 102, 4},	//205 Nepomuk::Variant::Variant(int)
	{12, 28, 178, 1, Smoke::mf_ctor, 102, 5},	//206 Nepomuk::Variant::Variant(qlonglong)
	{12, 28, 182, 1, Smoke::mf_ctor, 102, 6},	//207 Nepomuk::Variant::Variant(uint)
	{12, 28, 180, 1, Smoke::mf_ctor, 102, 7},	//208 Nepomuk::Variant::Variant(qulonglong)
	{12, 28, 89, 1, Smoke::mf_ctor, 102, 8},	//209 Nepomuk::Variant::Variant(bool)
	{12, 28, 174, 1, Smoke::mf_ctor, 102, 9},	//210 Nepomuk::Variant::Variant(double)
	{12, 28, 170, 1, Smoke::mf_ctor, 102, 10},	//211 Nepomuk::Variant::Variant(const char*)
	{12, 28, 148, 1, Smoke::mf_ctor, 102, 11},	//212 Nepomuk::Variant::Variant(const QString&)
	{12, 28, 102, 1, Smoke::mf_ctor, 102, 12},	//213 Nepomuk::Variant::Variant(const QDate&)
	{12, 28, 158, 1, Smoke::mf_ctor, 102, 13},	//214 Nepomuk::Variant::Variant(const QTime&)
	{12, 28, 104, 1, Smoke::mf_ctor, 102, 14},	//215 Nepomuk::Variant::Variant(const QDateTime&)
	{12, 28, 160, 1, Smoke::mf_ctor, 102, 15},	//216 Nepomuk::Variant::Variant(const QUrl&)
	{12, 28, 93, 1, Smoke::mf_ctor, 102, 16},	//217 Nepomuk::Variant::Variant(const Nepomuk::Resource&)
	{12, 28, 126, 1, Smoke::mf_ctor, 102, 17},	//218 Nepomuk::Variant::Variant(const QList<int>&)
	{12, 28, 128, 1, Smoke::mf_ctor, 102, 18},	//219 Nepomuk::Variant::Variant(const QList<qlonglong>&)
	{12, 28, 132, 1, Smoke::mf_ctor, 102, 19},	//220 Nepomuk::Variant::Variant(const QList<uint>&)
	{12, 28, 130, 1, Smoke::mf_ctor, 102, 20},	//221 Nepomuk::Variant::Variant(const QList<qulonglong>&)
	{12, 28, 122, 1, Smoke::mf_ctor, 102, 21},	//222 Nepomuk::Variant::Variant(const QList<bool>&)
	{12, 28, 124, 1, Smoke::mf_ctor, 102, 22},	//223 Nepomuk::Variant::Variant(const QList<double>&)
	{12, 28, 156, 1, Smoke::mf_ctor, 102, 23},	//224 Nepomuk::Variant::Variant(const QStringList&)
	{12, 28, 114, 1, Smoke::mf_ctor, 102, 24},	//225 Nepomuk::Variant::Variant(const QList<QDate>&)
	{12, 28, 118, 1, Smoke::mf_ctor, 102, 25},	//226 Nepomuk::Variant::Variant(const QList<QTime>&)
	{12, 28, 116, 1, Smoke::mf_ctor, 102, 26},	//227 Nepomuk::Variant::Variant(const QList<QDateTime>&)
	{12, 28, 120, 1, Smoke::mf_ctor, 102, 27},	//228 Nepomuk::Variant::Variant(const QList<QUrl>&)
	{12, 28, 110, 1, Smoke::mf_ctor, 102, 28},	//229 Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
	{12, 207, 100, 1, 0, 101, 29},	//230 Nepomuk::Variant::operator=(const Nepomuk::Variant&)
	{12, 207, 176, 1, 0, 101, 30},	//231 Nepomuk::Variant::operator=(int)
	{12, 207, 178, 1, 0, 101, 31},	//232 Nepomuk::Variant::operator=(qlonglong)
	{12, 207, 182, 1, 0, 101, 32},	//233 Nepomuk::Variant::operator=(uint)
	{12, 207, 180, 1, 0, 101, 33},	//234 Nepomuk::Variant::operator=(qulonglong)
	{12, 207, 89, 1, 0, 101, 34},	//235 Nepomuk::Variant::operator=(bool)
	{12, 207, 174, 1, 0, 101, 35},	//236 Nepomuk::Variant::operator=(double)
	{12, 207, 148, 1, 0, 101, 36},	//237 Nepomuk::Variant::operator=(const QString&)
	{12, 207, 102, 1, 0, 101, 37},	//238 Nepomuk::Variant::operator=(const QDate&)
	{12, 207, 158, 1, 0, 101, 38},	//239 Nepomuk::Variant::operator=(const QTime&)
	{12, 207, 104, 1, 0, 101, 39},	//240 Nepomuk::Variant::operator=(const QDateTime&)
	{12, 207, 160, 1, 0, 101, 40},	//241 Nepomuk::Variant::operator=(const QUrl&)
	{12, 207, 93, 1, 0, 101, 41},	//242 Nepomuk::Variant::operator=(const Nepomuk::Resource&)
	{12, 207, 126, 1, 0, 101, 42},	//243 Nepomuk::Variant::operator=(const QList<int>&)
	{12, 207, 128, 1, 0, 101, 43},	//244 Nepomuk::Variant::operator=(const QList<qlonglong>&)
	{12, 207, 132, 1, 0, 101, 44},	//245 Nepomuk::Variant::operator=(const QList<uint>&)
	{12, 207, 130, 1, 0, 101, 45},	//246 Nepomuk::Variant::operator=(const QList<qulonglong>&)
	{12, 207, 122, 1, 0, 101, 46},	//247 Nepomuk::Variant::operator=(const QList<bool>&)
	{12, 207, 124, 1, 0, 101, 47},	//248 Nepomuk::Variant::operator=(const QList<double>&)
	{12, 207, 156, 1, 0, 101, 48},	//249 Nepomuk::Variant::operator=(const QStringList&)
	{12, 207, 114, 1, 0, 101, 49},	//250 Nepomuk::Variant::operator=(const QList<QDate>&)
	{12, 207, 118, 1, 0, 101, 50},	//251 Nepomuk::Variant::operator=(const QList<QTime>&)
	{12, 207, 116, 1, 0, 101, 51},	//252 Nepomuk::Variant::operator=(const QList<QDateTime>&)
	{12, 207, 120, 1, 0, 101, 52},	//253 Nepomuk::Variant::operator=(const QList<QUrl>&)
	{12, 207, 110, 1, 0, 101, 53},	//254 Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
	{12, 66, 176, 1, 0, 0, 54},	//255 Nepomuk::Variant::append(int)
	{12, 66, 178, 1, 0, 0, 55},	//256 Nepomuk::Variant::append(qlonglong)
	{12, 66, 182, 1, 0, 0, 56},	//257 Nepomuk::Variant::append(uint)
	{12, 66, 180, 1, 0, 0, 57},	//258 Nepomuk::Variant::append(qulonglong)
	{12, 66, 89, 1, 0, 0, 58},	//259 Nepomuk::Variant::append(bool)
	{12, 66, 174, 1, 0, 0, 59},	//260 Nepomuk::Variant::append(double)
	{12, 66, 148, 1, 0, 0, 60},	//261 Nepomuk::Variant::append(const QString&)
	{12, 66, 102, 1, 0, 0, 61},	//262 Nepomuk::Variant::append(const QDate&)
	{12, 66, 158, 1, 0, 0, 62},	//263 Nepomuk::Variant::append(const QTime&)
	{12, 66, 104, 1, 0, 0, 63},	//264 Nepomuk::Variant::append(const QDateTime&)
	{12, 66, 160, 1, 0, 0, 64},	//265 Nepomuk::Variant::append(const QUrl&)
	{12, 66, 93, 1, 0, 0, 65},	//266 Nepomuk::Variant::append(const Nepomuk::Resource&)
	{12, 66, 100, 1, 0, 0, 66},	//267 Nepomuk::Variant::append(const Nepomuk::Variant&)
	{12, 210, 100, 1, Smoke::mf_const, 398, 67},	//268 Nepomuk::Variant::operator==(const Nepomuk::Variant&) const
	{12, 205, 100, 1, Smoke::mf_const, 398, 68},	//269 Nepomuk::Variant::operator!=(const Nepomuk::Variant&) const
	{12, 176, 0, 0, Smoke::mf_const, 398, 69},	//270 Nepomuk::Variant::isValid() const
	{12, 355, 0, 0, Smoke::mf_const, 446, 70},	//271 Nepomuk::Variant::type() const
	{12, 309, 0, 0, Smoke::mf_const, 446, 71},	//272 Nepomuk::Variant::simpleType() const
	{12, 158, 0, 0, Smoke::mf_const, 398, 72},	//273 Nepomuk::Variant::isList() const
	{12, 154, 0, 0, Smoke::mf_const, 398, 73},	//274 Nepomuk::Variant::isInt() const
	{12, 155, 0, 0, Smoke::mf_const, 398, 74},	//275 Nepomuk::Variant::isInt64() const
	{12, 170, 0, 0, Smoke::mf_const, 398, 75},	//276 Nepomuk::Variant::isUnsignedInt() const
	{12, 171, 0, 0, Smoke::mf_const, 398, 76},	//277 Nepomuk::Variant::isUnsignedInt64() const
	{12, 145, 0, 0, Smoke::mf_const, 398, 77},	//278 Nepomuk::Variant::isBool() const
	{12, 151, 0, 0, Smoke::mf_const, 398, 78},	//279 Nepomuk::Variant::isDouble() const
	{12, 164, 0, 0, Smoke::mf_const, 398, 79},	//280 Nepomuk::Variant::isString() const
	{12, 147, 0, 0, Smoke::mf_const, 398, 80},	//281 Nepomuk::Variant::isDate() const
	{12, 166, 0, 0, Smoke::mf_const, 398, 81},	//282 Nepomuk::Variant::isTime() const
	{12, 149, 0, 0, Smoke::mf_const, 398, 82},	//283 Nepomuk::Variant::isDateTime() const
	{12, 174, 0, 0, Smoke::mf_const, 398, 83},	//284 Nepomuk::Variant::isUrl() const
	{12, 162, 0, 0, Smoke::mf_const, 398, 84},	//285 Nepomuk::Variant::isResource() const
	{12, 157, 0, 0, Smoke::mf_const, 398, 85},	//286 Nepomuk::Variant::isIntList() const
	{12, 156, 0, 0, Smoke::mf_const, 398, 86},	//287 Nepomuk::Variant::isInt64List() const
	{12, 173, 0, 0, Smoke::mf_const, 398, 87},	//288 Nepomuk::Variant::isUnsignedIntList() const
	{12, 172, 0, 0, Smoke::mf_const, 398, 88},	//289 Nepomuk::Variant::isUnsignedInt64List() const
	{12, 146, 0, 0, Smoke::mf_const, 398, 89},	//290 Nepomuk::Variant::isBoolList() const
	{12, 152, 0, 0, Smoke::mf_const, 398, 90},	//291 Nepomuk::Variant::isDoubleList() const
	{12, 165, 0, 0, Smoke::mf_const, 398, 91},	//292 Nepomuk::Variant::isStringList() const
	{12, 148, 0, 0, Smoke::mf_const, 398, 92},	//293 Nepomuk::Variant::isDateList() const
	{12, 167, 0, 0, Smoke::mf_const, 398, 93},	//294 Nepomuk::Variant::isTimeList() const
	{12, 150, 0, 0, Smoke::mf_const, 398, 94},	//295 Nepomuk::Variant::isDateTimeList() const
	{12, 175, 0, 0, Smoke::mf_const, 398, 95},	//296 Nepomuk::Variant::isUrlList() const
	{12, 163, 0, 0, Smoke::mf_const, 398, 96},	//297 Nepomuk::Variant::isResourceList() const
	{12, 358, 0, 0, Smoke::mf_const, 295, 97},	//298 Nepomuk::Variant::variant() const
	{12, 337, 0, 0, Smoke::mf_const, 446, 98},	//299 Nepomuk::Variant::toInt() const
	{12, 338, 0, 0, Smoke::mf_const, 447, 99},	//300 Nepomuk::Variant::toInt64() const
	{12, 347, 0, 0, Smoke::mf_const, 449, 100},	//301 Nepomuk::Variant::toUnsignedInt() const
	{12, 348, 0, 0, Smoke::mf_const, 448, 101},	//302 Nepomuk::Variant::toUnsignedInt64() const
	{12, 329, 0, 0, Smoke::mf_const, 398, 102},	//303 Nepomuk::Variant::toBool() const
	{12, 335, 0, 0, Smoke::mf_const, 445, 103},	//304 Nepomuk::Variant::toDouble() const
	{12, 343, 0, 0, Smoke::mf_const, 241, 104},	//305 Nepomuk::Variant::toString() const
	{12, 331, 0, 0, Smoke::mf_const, 121, 105},	//306 Nepomuk::Variant::toDate() const
	{12, 345, 0, 0, Smoke::mf_const, 283, 106},	//307 Nepomuk::Variant::toTime() const
	{12, 333, 0, 0, Smoke::mf_const, 122, 107},	//308 Nepomuk::Variant::toDateTime() const
	{12, 351, 0, 0, Smoke::mf_const, 290, 108},	//309 Nepomuk::Variant::toUrl() const
	{12, 341, 0, 0, Smoke::mf_const, 89, 109},	//310 Nepomuk::Variant::toResource() const
	{12, 340, 0, 0, Smoke::mf_const, 189, 110},	//311 Nepomuk::Variant::toIntList() const
	{12, 339, 0, 0, Smoke::mf_const, 190, 111},	//312 Nepomuk::Variant::toInt64List() const
	{12, 350, 0, 0, Smoke::mf_const, 192, 112},	//313 Nepomuk::Variant::toUnsignedIntList() const
	{12, 349, 0, 0, Smoke::mf_const, 191, 113},	//314 Nepomuk::Variant::toUnsignedInt64List() const
	{12, 330, 0, 0, Smoke::mf_const, 187, 114},	//315 Nepomuk::Variant::toBoolList() const
	{12, 336, 0, 0, Smoke::mf_const, 188, 115},	//316 Nepomuk::Variant::toDoubleList() const
	{12, 344, 0, 0, Smoke::mf_const, 245, 116},	//317 Nepomuk::Variant::toStringList() const
	{12, 332, 0, 0, Smoke::mf_const, 181, 117},	//318 Nepomuk::Variant::toDateList() const
	{12, 346, 0, 0, Smoke::mf_const, 183, 118},	//319 Nepomuk::Variant::toTimeList() const
	{12, 334, 0, 0, Smoke::mf_const, 182, 119},	//320 Nepomuk::Variant::toDateTimeList() const
	{12, 352, 0, 0, Smoke::mf_const, 184, 120},	//321 Nepomuk::Variant::toUrlList() const
	{12, 342, 0, 0, Smoke::mf_const, 179, 121},	//322 Nepomuk::Variant::toResourceList() const
	{12, 118, 153, 2, Smoke::mf_static, 100, 122},	//323 Nepomuk::Variant::fromString(const QString&, int)
	{26, 189, 0, 0, Smoke::mf_const, 425, 13},	//324 QFrame::metaObject() const
	{26, 227, 27, 3, 0, 446, 14},	//325 QFrame::qt_metacall(QMetaObject::Call, int, void**)
	{37, 189, 0, 0, Smoke::mf_const, 425, 2},	//326 QObject::metaObject() const
	{37, 227, 27, 3, 0, 446, 3},	//327 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{37, 105, 17, 1, 0, 398, 6},	//328 QObject::event(QEvent*)
	{37, 107, 37, 2, 0, 398, 7},	//329 QObject::eventFilter(QObject*, QEvent*)
	{37, 327, 75, 1, Smoke::mf_protected, 0, 49},	//330 QObject::timerEvent(QTimerEvent*)
	{37, 73, 3, 1, Smoke::mf_protected, 0, 50},	//331 QObject::childEvent(QChildEvent*)
	{37, 83, 17, 1, Smoke::mf_protected, 0, 51},	//332 QObject::customEvent(QEvent*)
	{37, 79, 170, 1, Smoke::mf_protected, 0, 52},	//333 QObject::connectNotify(const char*)
	{37, 89, 170, 1, Smoke::mf_protected, 0, 53},	//334 QObject::disconnectNotify(const char*)
	{38, 88, 0, 0, Smoke::mf_const, 446, 11},	//335 QPaintDevice::devType() const
	{38, 216, 0, 0, Smoke::mf_const, 214, 13},	//336 QPaintDevice::paintEngine() const [pure virtual]
	{38, 190, 43, 1, Smoke::mf_const|Smoke::mf_protected, 446, 25},	//337 QPaintDevice::metric(QPaintDevice::PaintDeviceMetric) const
	{60, 189, 0, 0, Smoke::mf_const, 425, 4},	//338 QWidget::metaObject() const
	{60, 227, 27, 3, 0, 446, 5},	//339 QWidget::qt_metacall(QMetaObject::Call, int, void**)
	{60, 310, 0, 0, Smoke::mf_const, 236, 179},	//340 QWidget::sizeHint() const
	{60, 192, 0, 0, Smoke::mf_const, 236, 180},	//341 QWidget::minimumSizeHint() const
	{60, 131, 176, 1, Smoke::mf_const, 446, 184},	//342 QWidget::heightForWidth(int) const
	{60, 142, 83, 1, Smoke::mf_const, 295, 225},	//343 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
	{60, 305, 89, 1, 0, 0, 234},	//344 QWidget::setVisible(bool)
	{60, 197, 31, 1, Smoke::mf_protected, 0, 254},	//345 QWidget::mousePressEvent(QMouseEvent*)
	{60, 199, 31, 1, Smoke::mf_protected, 0, 255},	//346 QWidget::mouseReleaseEvent(QMouseEvent*)
	{60, 193, 31, 1, Smoke::mf_protected, 0, 256},	//347 QWidget::mouseDoubleClickEvent(QMouseEvent*)
	{60, 195, 31, 1, Smoke::mf_protected, 0, 257},	//348 QWidget::mouseMoveEvent(QMouseEvent*)
	{60, 359, 77, 1, Smoke::mf_protected, 0, 258},	//349 QWidget::wheelEvent(QWheelEvent*)
	{60, 177, 25, 1, Smoke::mf_protected, 0, 259},	//350 QWidget::keyPressEvent(QKeyEvent*)
	{60, 179, 25, 1, Smoke::mf_protected, 0, 260},	//351 QWidget::keyReleaseEvent(QKeyEvent*)
	{60, 110, 19, 1, Smoke::mf_protected, 0, 261},	//352 QWidget::focusInEvent(QFocusEvent*)
	{60, 114, 19, 1, Smoke::mf_protected, 0, 262},	//353 QWidget::focusOutEvent(QFocusEvent*)
	{60, 101, 17, 1, Smoke::mf_protected, 0, 263},	//354 QWidget::enterEvent(QEvent*)
	{60, 185, 17, 1, Smoke::mf_protected, 0, 264},	//355 QWidget::leaveEvent(QEvent*)
	{60, 217, 45, 1, Smoke::mf_protected, 0, 265},	//356 QWidget::paintEvent(QPaintEvent*)
	{60, 201, 33, 1, Smoke::mf_protected, 0, 266},	//357 QWidget::moveEvent(QMoveEvent*)
	{60, 240, 67, 1, Smoke::mf_protected, 0, 267},	//358 QWidget::resizeEvent(QResizeEvent*)
	{60, 77, 5, 1, Smoke::mf_protected, 0, 268},	//359 QWidget::closeEvent(QCloseEvent*)
	{60, 81, 7, 1, Smoke::mf_protected, 0, 269},	//360 QWidget::contextMenuEvent(QContextMenuEvent*)
	{60, 316, 73, 1, Smoke::mf_protected, 0, 270},	//361 QWidget::tabletEvent(QTabletEvent*)
	{60, 32, 1, 1, Smoke::mf_protected, 0, 271},	//362 QWidget::actionEvent(QActionEvent*)
	{60, 91, 9, 1, Smoke::mf_protected, 0, 272},	//363 QWidget::dragEnterEvent(QDragEnterEvent*)
	{60, 95, 13, 1, Smoke::mf_protected, 0, 273},	//364 QWidget::dragMoveEvent(QDragMoveEvent*)
	{60, 93, 11, 1, Smoke::mf_protected, 0, 274},	//365 QWidget::dragLeaveEvent(QDragLeaveEvent*)
	{60, 97, 15, 1, Smoke::mf_protected, 0, 275},	//366 QWidget::dropEvent(QDropEvent*)
	{60, 307, 69, 1, Smoke::mf_protected, 0, 276},	//367 QWidget::showEvent(QShowEvent*)
	{60, 133, 21, 1, Smoke::mf_protected, 0, 277},	//368 QWidget::hideEvent(QHideEvent*)
	{60, 71, 17, 1, Smoke::mf_protected, 0, 278},	//369 QWidget::changeEvent(QEvent*)
	{60, 140, 23, 1, Smoke::mf_protected, 0, 280},	//370 QWidget::inputMethodEvent(QInputMethodEvent*)
	{60, 112, 89, 1, Smoke::mf_protected, 398, 289},	//371 QWidget::focusNextPrevChild(bool)
	{60, 312, 71, 1, Smoke::mf_protected, 0, 292},	//372 QWidget::styleChange(QStyle&)
	{60, 99, 89, 1, Smoke::mf_protected, 0, 293},	//373 QWidget::enabledChange(bool)
	{60, 222, 136, 1, Smoke::mf_protected, 0, 294},	//374 QWidget::paletteChange(const QPalette&)
	{60, 116, 106, 1, Smoke::mf_protected, 0, 295},	//375 QWidget::fontChange(const QFont&)
	{60, 361, 89, 1, Smoke::mf_protected, 0, 296},	//376 QWidget::windowActivationChange(bool)
	{60, 183, 0, 0, Smoke::mf_protected, 0, 297},	//377 QWidget::languageChange()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap nepomuk_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{1, 1, 0},	//1 KRatingPainter::KRatingPainter
	{1, 2, 21},	//2 KRatingPainter::KRatingPainter#
	{1, 54, 4},	//3 KRatingPainter::alignment
	{1, 85, 8},	//4 KRatingPainter::customPixmap
	{1, 125, 24},	//5 KRatingPainter::getRatingFromPosition#$$#
	{1, 126, 3},	//6 KRatingPainter::halfStepsEnabled
	{1, 135, 6},	//7 KRatingPainter::icon
	{1, 153, 7},	//8 KRatingPainter::isEnabled
	{1, 184, 5},	//9 KRatingPainter::layoutDirection
	{1, 188, 2},	//10 KRatingPainter::maxRating
	{1, 214, 19},	//11 KRatingPainter::paint##$
	{1, 215, 18},	//12 KRatingPainter::paint##$$
	{1, 220, 23},	//13 KRatingPainter::paintRating##$$
	{1, 221, 22},	//14 KRatingPainter::paintRating##$$$
	{1, 233, 20},	//15 KRatingPainter::ratingFromPosition##
	{1, 248, 12},	//16 KRatingPainter::setAlignment$
	{1, 258, 16},	//17 KRatingPainter::setCustomPixmap#
	{1, 262, 15},	//18 KRatingPainter::setEnabled$
	{1, 264, 11},	//19 KRatingPainter::setHalfStepsEnabled$
	{1, 266, 14},	//20 KRatingPainter::setIcon#
	{1, 276, 13},	//21 KRatingPainter::setLayoutDirection$
	{1, 280, 10},	//22 KRatingPainter::setMaxRating$
	{1, 294, 17},	//23 KRatingPainter::setSpacing$
	{1, 311, 9},	//24 KRatingPainter::spacing
	{1, 363, 1},	//25 KRatingPainter::~KRatingPainter
	{2, 3, 28},	//26 KRatingWidget::KRatingWidget
	{2, 4, 27},	//27 KRatingWidget::KRatingWidget#
	{2, 54, 32},	//28 KRatingWidget::alignment
	{2, 126, 36},	//29 KRatingWidget::halfStepsEnabled
	{2, 135, 37},	//30 KRatingWidget::icon
	{2, 184, 33},	//31 KRatingWidget::layoutDirection
	{2, 186, 51},	//32 KRatingWidget::leaveEvent#
	{2, 188, 31},	//33 KRatingWidget::maxRating
	{2, 189, 25},	//34 KRatingWidget::metaObject
	{2, 196, 50},	//35 KRatingWidget::mouseMoveEvent#
	{2, 198, 49},	//36 KRatingWidget::mousePressEvent#
	{2, 218, 52},	//37 KRatingWidget::paintEvent#
	{2, 228, 26},	//38 KRatingWidget::qt_metacall$$?
	{2, 229, 30},	//39 KRatingWidget::rating
	{2, 231, -1},	//40 KRatingWidget::ratingChanged$
	{2, 241, 53},	//41 KRatingWidget::resizeEvent#
	{2, 248, 42},	//42 KRatingWidget::setAlignment$
	{2, 258, 45},	//43 KRatingWidget::setCustomPixmap#
	{2, 264, 40},	//44 KRatingWidget::setHalfStepsEnabled$
	{2, 266, 44},	//45 KRatingWidget::setIcon#
	{2, 276, 43},	//46 KRatingWidget::setLayoutDirection$
	{2, 280, 39},	//47 KRatingWidget::setMaxRating$
	{2, 286, 46},	//48 KRatingWidget::setPixmapSize$
	{2, 290, 38},	//49 KRatingWidget::setRating$
	{2, 294, 41},	//50 KRatingWidget::setSpacing$
	{2, 310, 35},	//51 KRatingWidget::sizeHint
	{2, 311, 34},	//52 KRatingWidget::spacing
	{2, 364, 29},	//53 KRatingWidget::~KRatingWidget
	{3, 5, 57},	//54 KTagCloudWidget::KTagCloudWidget
	{3, 6, 56},	//55 KTagCloudWidget::KTagCloudWidget#
	{3, 49, 60},	//56 KTagCloudWidget::addTag$$
	{3, 51, 61},	//57 KTagCloudWidget::addTags?
	{3, 76, 62},	//58 KTagCloudWidget::clear
	{3, 189, 54},	//59 KTagCloudWidget::metaObject
	{3, 228, 55},	//60 KTagCloudWidget::qt_metacall$$?
	{3, 241, 66},	//61 KTagCloudWidget::resizeEvent#
	{3, 278, 63},	//62 KTagCloudWidget::setMaxFontSize$
	{3, 282, 64},	//63 KTagCloudWidget::setMinFontSize$
	{3, 320, 65},	//64 KTagCloudWidget::tagClicked$
	{3, 324, 59},	//65 KTagCloudWidget::tagWeight$
	{3, 365, 58},	//66 KTagCloudWidget::~KTagCloudWidget
	{4, 7, 70},	//67 KTagDisplayWidget::KTagDisplayWidget
	{4, 8, 69},	//68 KTagDisplayWidget::KTagDisplayWidget#
	{4, 48, 73},	//69 KTagDisplayWidget::addTag$
	{4, 51, 74},	//70 KTagDisplayWidget::addTags?
	{4, 76, 75},	//71 KTagDisplayWidget::clear
	{4, 189, 67},	//72 KTagDisplayWidget::metaObject
	{4, 228, 68},	//73 KTagDisplayWidget::qt_metacall$$?
	{4, 302, 72},	//74 KTagDisplayWidget::setTags?
	{4, 320, 76},	//75 KTagDisplayWidget::tagClicked$
	{4, 366, 71},	//76 KTagDisplayWidget::~KTagDisplayWidget
	{6, 9, 77},	//77 Nepomuk::Resource::Resource
	{6, 10, -4},	//78 Nepomuk::Resource::Resource#
	{6, 11, 81},	//79 Nepomuk::Resource::Resource##
	{6, 12, 80},	//80 Nepomuk::Resource::Resource$
	{6, 13, 79},	//81 Nepomuk::Resource::Resource$#
	{6, 14, 83},	//82 Nepomuk::Resource::Resource?
	{6, 35, 110},	//83 Nepomuk::Resource::addAltLabel$
	{6, 37, 113},	//84 Nepomuk::Resource::addAnnotation#
	{6, 39, 107},	//85 Nepomuk::Resource::addIdentifier$
	{6, 41, 125},	//86 Nepomuk::Resource::addIsRelated#
	{6, 43, 122},	//87 Nepomuk::Resource::addIsTopicOf#
	{6, 45, 132},	//88 Nepomuk::Resource::addSymbol$
	{6, 47, 116},	//89 Nepomuk::Resource::addTag#
	{6, 53, 119},	//90 Nepomuk::Resource::addTopic#
	{6, 55, 146},	//91 Nepomuk::Resource::allResources
	{6, 61, 137},	//92 Nepomuk::Resource::altLabelUri
	{6, 62, 108},	//93 Nepomuk::Resource::altLabels
	{6, 63, 133},	//94 Nepomuk::Resource::annotationOf
	{6, 64, 138},	//95 Nepomuk::Resource::annotationUri
	{6, 65, 111},	//96 Nepomuk::Resource::annotations
	{6, 75, 90},	//97 Nepomuk::Resource::className
	{6, 86, 103},	//98 Nepomuk::Resource::description
	{6, 87, 135},	//99 Nepomuk::Resource::descriptionUri
	{6, 109, 97},	//100 Nepomuk::Resource::exists
	{6, 121, 100},	//101 Nepomuk::Resource::genericDescription
	{6, 122, 101},	//102 Nepomuk::Resource::genericIcon
	{6, 123, 99},	//103 Nepomuk::Resource::genericLabel
	{6, 128, 92},	//104 Nepomuk::Resource::hasProperty#
	{6, 130, 89},	//105 Nepomuk::Resource::hasType#
	{6, 136, 136},	//106 Nepomuk::Resource::identifierUri
	{6, 137, 105},	//107 Nepomuk::Resource::identifiers
	{6, 159, 134},	//108 Nepomuk::Resource::isRelatedOf
	{6, 160, 142},	//109 Nepomuk::Resource::isRelatedUri
	{6, 161, 123},	//110 Nepomuk::Resource::isRelateds
	{6, 168, 141},	//111 Nepomuk::Resource::isTopicOfUri
	{6, 169, 120},	//112 Nepomuk::Resource::isTopicOfs
	{6, 176, 98},	//113 Nepomuk::Resource::isValid
	{6, 181, 126},	//114 Nepomuk::Resource::label
	{6, 182, 143},	//115 Nepomuk::Resource::labelUri
	{6, 208, 85},	//116 Nepomuk::Resource::operator=#
	{6, 211, 102},	//117 Nepomuk::Resource::operator==#
	{6, 224, 91},	//118 Nepomuk::Resource::properties
	{6, 226, 93},	//119 Nepomuk::Resource::property#
	{6, 229, 128},	//120 Nepomuk::Resource::rating
	{6, 234, 144},	//121 Nepomuk::Resource::ratingUri
	{6, 235, 96},	//122 Nepomuk::Resource::remove
	{6, 237, 95},	//123 Nepomuk::Resource::removeProperty#
	{6, 244, 87},	//124 Nepomuk::Resource::resourceType
	{6, 246, 86},	//125 Nepomuk::Resource::resourceUri
	{6, 250, 109},	//126 Nepomuk::Resource::setAltLabels?
	{6, 252, 112},	//127 Nepomuk::Resource::setAnnotations?
	{6, 260, 104},	//128 Nepomuk::Resource::setDescription$
	{6, 268, 106},	//129 Nepomuk::Resource::setIdentifiers?
	{6, 270, 124},	//130 Nepomuk::Resource::setIsRelateds?
	{6, 272, 121},	//131 Nepomuk::Resource::setIsTopicOfs?
	{6, 274, 127},	//132 Nepomuk::Resource::setLabel$
	{6, 288, 94},	//133 Nepomuk::Resource::setProperty##
	{6, 290, 129},	//134 Nepomuk::Resource::setRating$
	{6, 296, 131},	//135 Nepomuk::Resource::setSymbols?
	{6, 302, 115},	//136 Nepomuk::Resource::setTags?
	{6, 304, 118},	//137 Nepomuk::Resource::setTopics?
	{6, 314, 145},	//138 Nepomuk::Resource::symbolUri
	{6, 315, 130},	//139 Nepomuk::Resource::symbols
	{6, 322, 139},	//140 Nepomuk::Resource::tagUri
	{6, 326, 114},	//141 Nepomuk::Resource::tags
	{6, 353, 140},	//142 Nepomuk::Resource::topicUri
	{6, 354, 117},	//143 Nepomuk::Resource::topics
	{6, 356, 88},	//144 Nepomuk::Resource::types
	{6, 367, 84},	//145 Nepomuk::Resource::~Resource
	{7, 57, 154},	//146 Nepomuk::ResourceManager::allResourcesOfType#
	{7, 59, 155},	//147 Nepomuk::ResourceManager::allResourcesWithProperty##
	{7, 120, 156},	//148 Nepomuk::ResourceManager::generateUniqueUri
	{7, 138, 149},	//149 Nepomuk::ResourceManager::init
	{7, 139, 150},	//150 Nepomuk::ResourceManager::initialized
	{7, 144, 158},	//151 Nepomuk::ResourceManager::instance
	{7, 187, 151},	//152 Nepomuk::ResourceManager::mainModel
	{7, 189, 147},	//153 Nepomuk::ResourceManager::metaObject
	{7, 204, 157},	//154 Nepomuk::ResourceManager::notifyError$$
	{7, 228, 148},	//155 Nepomuk::ResourceManager::qt_metacall$$?
	{7, 239, 153},	//156 Nepomuk::ResourceManager::removeResource$
	{7, 284, 152},	//157 Nepomuk::ResourceManager::setOverrideMainModel?
	{8, 15, 163},	//158 Nepomuk::Service::Service
	{8, 16, 162},	//159 Nepomuk::Service::Service#
	{8, 17, 161},	//160 Nepomuk::Service::Service#$
	{8, 187, 165},	//161 Nepomuk::Service::mainModel
	{8, 189, 159},	//162 Nepomuk::Service::metaObject
	{8, 228, 160},	//163 Nepomuk::Service::qt_metacall$$?
	{8, 292, 166},	//164 Nepomuk::Service::setServiceInitialized$
	{8, 368, 164},	//165 Nepomuk::Service::~Service
	{9, 18, 167},	//166 Nepomuk::Tag::Tag
	{9, 19, -7},	//167 Nepomuk::Tag::Tag#
	{9, 20, 178},	//168 Nepomuk::Tag::Tag##
	{9, 21, 170},	//169 Nepomuk::Tag::Tag$
	{9, 22, 177},	//170 Nepomuk::Tag::Tag$#
	{9, 60, 175},	//171 Nepomuk::Tag::allTags
	{9, 208, 173},	//172 Nepomuk::Tag::operator=#
	{9, 245, 176},	//173 Nepomuk::Tag::resourceTypeUri
	{9, 321, 174},	//174 Nepomuk::Tag::tagOf
	{9, 369, 172},	//175 Nepomuk::Tag::~Tag
	{10, 23, 182},	//176 Nepomuk::TagCloud::TagCloud
	{10, 24, 181},	//177 Nepomuk::TagCloud::TagCloud#
	{10, 70, 184},	//178 Nepomuk::TagCloud::autoUpdate
	{10, 189, 179},	//179 Nepomuk::TagCloud::metaObject
	{10, 228, 180},	//180 Nepomuk::TagCloud::qt_metacall$$?
	{10, 256, 186},	//181 Nepomuk::TagCloud::setAutoUpdate$
	{10, 319, 187},	//182 Nepomuk::TagCloud::tagClicked#
	{10, 357, 185},	//183 Nepomuk::TagCloud::updateTags
	{10, 370, 183},	//184 Nepomuk::TagCloud::~TagCloud
	{11, 25, 193},	//185 Nepomuk::TagWidget::TagWidget
	{11, 26, -11},	//186 Nepomuk::TagWidget::TagWidget#
	{11, 27, 190},	//187 Nepomuk::TagWidget::TagWidget##
	{11, 69, 196},	//188 Nepomuk::TagWidget::assignedTags
	{11, 189, 188},	//189 Nepomuk::TagWidget::metaObject
	{11, 228, 189},	//190 Nepomuk::TagWidget::qt_metacall$$?
	{11, 254, 199},	//191 Nepomuk::TagWidget::setAssignedTags?
	{11, 298, 197},	//192 Nepomuk::TagWidget::setTaggedResource#
	{11, 300, 198},	//193 Nepomuk::TagWidget::setTaggedResources?
	{11, 319, 200},	//194 Nepomuk::TagWidget::tagClicked#
	{11, 325, 195},	//195 Nepomuk::TagWidget::taggedResources
	{11, 371, 194},	//196 Nepomuk::TagWidget::~TagWidget
	{12, 28, 201},	//197 Nepomuk::Variant::Variant
	{12, 29, -14},	//198 Nepomuk::Variant::Variant#
	{12, 30, -22},	//199 Nepomuk::Variant::Variant$
	{12, 31, -31},	//200 Nepomuk::Variant::Variant?
	{12, 67, -44},	//201 Nepomuk::Variant::append#
	{12, 68, -51},	//202 Nepomuk::Variant::append$
	{12, 119, 323},	//203 Nepomuk::Variant::fromString$$
	{12, 145, 278},	//204 Nepomuk::Variant::isBool
	{12, 146, 290},	//205 Nepomuk::Variant::isBoolList
	{12, 147, 281},	//206 Nepomuk::Variant::isDate
	{12, 148, 293},	//207 Nepomuk::Variant::isDateList
	{12, 149, 283},	//208 Nepomuk::Variant::isDateTime
	{12, 150, 295},	//209 Nepomuk::Variant::isDateTimeList
	{12, 151, 279},	//210 Nepomuk::Variant::isDouble
	{12, 152, 291},	//211 Nepomuk::Variant::isDoubleList
	{12, 154, 274},	//212 Nepomuk::Variant::isInt
	{12, 155, 275},	//213 Nepomuk::Variant::isInt64
	{12, 156, 287},	//214 Nepomuk::Variant::isInt64List
	{12, 157, 286},	//215 Nepomuk::Variant::isIntList
	{12, 158, 273},	//216 Nepomuk::Variant::isList
	{12, 162, 285},	//217 Nepomuk::Variant::isResource
	{12, 163, 297},	//218 Nepomuk::Variant::isResourceList
	{12, 164, 280},	//219 Nepomuk::Variant::isString
	{12, 165, 292},	//220 Nepomuk::Variant::isStringList
	{12, 166, 282},	//221 Nepomuk::Variant::isTime
	{12, 167, 294},	//222 Nepomuk::Variant::isTimeList
	{12, 170, 276},	//223 Nepomuk::Variant::isUnsignedInt
	{12, 171, 277},	//224 Nepomuk::Variant::isUnsignedInt64
	{12, 172, 289},	//225 Nepomuk::Variant::isUnsignedInt64List
	{12, 173, 288},	//226 Nepomuk::Variant::isUnsignedIntList
	{12, 174, 284},	//227 Nepomuk::Variant::isUrl
	{12, 175, 296},	//228 Nepomuk::Variant::isUrlList
	{12, 176, 270},	//229 Nepomuk::Variant::isValid
	{12, 206, 269},	//230 Nepomuk::Variant::operator!=#
	{12, 208, -59},	//231 Nepomuk::Variant::operator=#
	{12, 209, -66},	//232 Nepomuk::Variant::operator=$
	{12, 211, 268},	//233 Nepomuk::Variant::operator==#
	{12, 212, -74},	//234 Nepomuk::Variant::operator=?
	{12, 309, 272},	//235 Nepomuk::Variant::simpleType
	{12, 329, 303},	//236 Nepomuk::Variant::toBool
	{12, 330, 315},	//237 Nepomuk::Variant::toBoolList
	{12, 331, 306},	//238 Nepomuk::Variant::toDate
	{12, 332, 318},	//239 Nepomuk::Variant::toDateList
	{12, 333, 308},	//240 Nepomuk::Variant::toDateTime
	{12, 334, 320},	//241 Nepomuk::Variant::toDateTimeList
	{12, 335, 304},	//242 Nepomuk::Variant::toDouble
	{12, 336, 316},	//243 Nepomuk::Variant::toDoubleList
	{12, 337, 299},	//244 Nepomuk::Variant::toInt
	{12, 338, 300},	//245 Nepomuk::Variant::toInt64
	{12, 339, 312},	//246 Nepomuk::Variant::toInt64List
	{12, 340, 311},	//247 Nepomuk::Variant::toIntList
	{12, 341, 310},	//248 Nepomuk::Variant::toResource
	{12, 342, 322},	//249 Nepomuk::Variant::toResourceList
	{12, 343, 305},	//250 Nepomuk::Variant::toString
	{12, 344, 317},	//251 Nepomuk::Variant::toStringList
	{12, 345, 307},	//252 Nepomuk::Variant::toTime
	{12, 346, 319},	//253 Nepomuk::Variant::toTimeList
	{12, 347, 301},	//254 Nepomuk::Variant::toUnsignedInt
	{12, 348, 302},	//255 Nepomuk::Variant::toUnsignedInt64
	{12, 349, 314},	//256 Nepomuk::Variant::toUnsignedInt64List
	{12, 350, 313},	//257 Nepomuk::Variant::toUnsignedIntList
	{12, 351, 309},	//258 Nepomuk::Variant::toUrl
	{12, 352, 321},	//259 Nepomuk::Variant::toUrlList
	{12, 355, 271},	//260 Nepomuk::Variant::type
	{12, 358, 298},	//261 Nepomuk::Variant::variant
	{12, 372, 202},	//262 Nepomuk::Variant::~Variant
};

static Smoke::Index nepomuk_ambiguousMethodList[] = {
    0,
    48,  // KRatingWidget::ratingChanged(int)
    47,  // KRatingWidget::ratingChanged(unsigned int)
    0,
    78,  // Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    82,  // Nepomuk::Resource::Resource(const QUrl&)
    0,
    168,  // Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    171,  // Nepomuk::Tag::Tag(const QUrl&)
    169,  // Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    0,
    192,  // Nepomuk::TagWidget::TagWidget(QWidget*)
    191,  // Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    0,
    216,  // Nepomuk::Variant::Variant(const QUrl&)
    215,  // Nepomuk::Variant::Variant(const QDateTime&)
    217,  // Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    204,  // Nepomuk::Variant::Variant(const QVariant&)
    213,  // Nepomuk::Variant::Variant(const QDate&)
    203,  // Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    214,  // Nepomuk::Variant::Variant(const QTime&)
    0,
    207,  // Nepomuk::Variant::Variant(uint)
    208,  // Nepomuk::Variant::Variant(qulonglong)
    212,  // Nepomuk::Variant::Variant(const QString&)
    211,  // Nepomuk::Variant::Variant(const char*)
    209,  // Nepomuk::Variant::Variant(bool)
    205,  // Nepomuk::Variant::Variant(int)
    210,  // Nepomuk::Variant::Variant(double)
    206,  // Nepomuk::Variant::Variant(qlonglong)
    0,
    219,  // Nepomuk::Variant::Variant(const QList<qlonglong>&)
    220,  // Nepomuk::Variant::Variant(const QList<uint>&)
    221,  // Nepomuk::Variant::Variant(const QList<qulonglong>&)
    229,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    218,  // Nepomuk::Variant::Variant(const QList<int>&)
    225,  // Nepomuk::Variant::Variant(const QList<QDate>&)
    226,  // Nepomuk::Variant::Variant(const QList<QTime>&)
    222,  // Nepomuk::Variant::Variant(const QList<bool>&)
    224,  // Nepomuk::Variant::Variant(const QStringList&)
    223,  // Nepomuk::Variant::Variant(const QList<double>&)
    227,  // Nepomuk::Variant::Variant(const QList<QDateTime>&)
    228,  // Nepomuk::Variant::Variant(const QList<QUrl>&)
    0,
    262,  // Nepomuk::Variant::append(const QDate&)
    266,  // Nepomuk::Variant::append(const Nepomuk::Resource&)
    267,  // Nepomuk::Variant::append(const Nepomuk::Variant&)
    264,  // Nepomuk::Variant::append(const QDateTime&)
    263,  // Nepomuk::Variant::append(const QTime&)
    265,  // Nepomuk::Variant::append(const QUrl&)
    0,
    255,  // Nepomuk::Variant::append(int)
    259,  // Nepomuk::Variant::append(bool)
    257,  // Nepomuk::Variant::append(uint)
    258,  // Nepomuk::Variant::append(qulonglong)
    260,  // Nepomuk::Variant::append(double)
    256,  // Nepomuk::Variant::append(qlonglong)
    261,  // Nepomuk::Variant::append(const QString&)
    0,
    241,  // Nepomuk::Variant::operator=(const QUrl&)
    238,  // Nepomuk::Variant::operator=(const QDate&)
    242,  // Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    230,  // Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    239,  // Nepomuk::Variant::operator=(const QTime&)
    240,  // Nepomuk::Variant::operator=(const QDateTime&)
    0,
    231,  // Nepomuk::Variant::operator=(int)
    235,  // Nepomuk::Variant::operator=(bool)
    236,  // Nepomuk::Variant::operator=(double)
    232,  // Nepomuk::Variant::operator=(qlonglong)
    233,  // Nepomuk::Variant::operator=(uint)
    237,  // Nepomuk::Variant::operator=(const QString&)
    234,  // Nepomuk::Variant::operator=(qulonglong)
    0,
    253,  // Nepomuk::Variant::operator=(const QList<QUrl>&)
    252,  // Nepomuk::Variant::operator=(const QList<QDateTime>&)
    244,  // Nepomuk::Variant::operator=(const QList<qlonglong>&)
    247,  // Nepomuk::Variant::operator=(const QList<bool>&)
    254,  // Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    251,  // Nepomuk::Variant::operator=(const QList<QTime>&)
    250,  // Nepomuk::Variant::operator=(const QList<QDate>&)
    243,  // Nepomuk::Variant::operator=(const QList<int>&)
    246,  // Nepomuk::Variant::operator=(const QList<qulonglong>&)
    248,  // Nepomuk::Variant::operator=(const QList<double>&)
    245,  // Nepomuk::Variant::operator=(const QList<uint>&)
    249,  // Nepomuk::Variant::operator=(const QStringList&)
    0,
};


void init_qt_Smoke();
void init_soprano_Smoke();
void init_kde_Smoke();

static bool initialized = false;
Smoke *nepomuk_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomuk_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    init_soprano_Smoke();
    init_kde_Smoke();
    nepomuk_Smoke = new Smoke(
        "nepomuk",
        nepomuk_classes, 63,
        nepomuk_methods, 378,
        nepomuk_methodMaps, 263,
        nepomuk_methodNames, 372,
        nepomuk_types, 452,
        nepomuk_inheritanceList,
        nepomuk_argumentList,
        nepomuk_ambiguousMethodList,
        nepomuk_cast );
    initialized = true;
}
