#include <qabstractitemmodel.h>
#include <qbytearray.h>
#include <qcoreevent.h>
#include <qevent.h>
#include <qfont.h>
#include <qimage.h>
#include <qiodevice.h>
#include <qline.h>
#include <qmimedata.h>
#include <qnamespace.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qrect.h>
#include <qsize.h>
#include <qstyle.h>
#include <qurl.h>
#include <qvariant.h>
#include <qwidget.h>
#include <phonon/abstractaudiooutput.h>
#include <phonon/abstractmediastream.h>
#include <phonon/abstractvideooutput.h>
#include <phonon/audiooutput.h>
#include <phonon/effect.h>
#include <phonon/effectparameter.h>
#include <phonon/effectwidget.h>
#include <phonon/mediacontroller.h>
#include <phonon/medianode.h>
#include <phonon/mediaobject.h>
#include <phonon/mediasource.h>
#include <phonon/objectdescription.h>
#include <phonon/objectdescriptionmodel.h>
#include <phonon/path.h>
#include <phonon/seekslider.h>
#include <phonon/streaminterface.h>
#include <phonon/videoplayer.h>
#include <phonon/videowidget.h>
#include <phonon/volumefadereffect.h>
#include <phonon/volumeslider.h>

#include <smoke.h>

#include <phonon_smoke.h>

static void *phonon_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 2:	//Phonon::AbstractAudioOutput
	switch(to) {
	    case 10: return (void*)(Phonon::MediaNode*)(Phonon::AbstractAudioOutput*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::AbstractAudioOutput*)xptr;
	    case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AbstractAudioOutput*)xptr;
	    case 5: return (void*)(Phonon::AudioOutput*)(Phonon::AbstractAudioOutput*)xptr;
	  default: return xptr;
	}
      case 3:	//Phonon::AbstractMediaStream
	switch(to) {
	    case 47: return (void*)(QObject*)(Phonon::AbstractMediaStream*)xptr;
	    case 3: return (void*)(Phonon::AbstractMediaStream*)(Phonon::AbstractMediaStream*)xptr;
	  default: return xptr;
	}
      case 4:	//Phonon::AbstractVideoOutput
	switch(to) {
	    case 10: return (void*)(Phonon::MediaNode*)(Phonon::AbstractVideoOutput*)xptr;
	    case 4: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::AbstractVideoOutput*)xptr;
	    case 19: return (void*)(Phonon::VideoWidget*)(Phonon::AbstractVideoOutput*)xptr;
	  default: return xptr;
	}
      case 5:	//Phonon::AudioOutput
	switch(to) {
	    case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioOutput*)xptr;
	    case 10: return (void*)(Phonon::MediaNode*)(Phonon::AudioOutput*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::AudioOutput*)xptr;
	    case 5: return (void*)(Phonon::AudioOutput*)(Phonon::AudioOutput*)xptr;
	  default: return xptr;
	}
      case 6:	//Phonon::Effect
	switch(to) {
	    case 10: return (void*)(Phonon::MediaNode*)(Phonon::Effect*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::Effect*)xptr;
	    case 6: return (void*)(Phonon::Effect*)(Phonon::Effect*)xptr;
	    case 20: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::Effect*)xptr;
	  default: return xptr;
	}
      case 7:	//Phonon::EffectParameter
	switch(to) {
	    case 7: return (void*)(Phonon::EffectParameter*)(Phonon::EffectParameter*)xptr;
	  default: return xptr;
	}
      case 8:	//Phonon::EffectWidget
	switch(to) {
	    case 68: return (void*)(QWidget*)(Phonon::EffectWidget*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::EffectWidget*)xptr;
	    case 48: return (void*)(QPaintDevice*)(Phonon::EffectWidget*)xptr;
	    case 8: return (void*)(Phonon::EffectWidget*)(Phonon::EffectWidget*)xptr;
	  default: return xptr;
	}
      case 9:	//Phonon::MediaController
	switch(to) {
	    case 47: return (void*)(QObject*)(Phonon::MediaController*)xptr;
	    case 9: return (void*)(Phonon::MediaController*)(Phonon::MediaController*)xptr;
	  default: return xptr;
	}
      case 10:	//Phonon::MediaNode
	switch(to) {
	    case 10: return (void*)(Phonon::MediaNode*)(Phonon::MediaNode*)xptr;
	    case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::MediaNode*)xptr;
	    case 4: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::MediaNode*)xptr;
	    case 5: return (void*)(Phonon::AudioOutput*)(Phonon::MediaNode*)xptr;
	    case 6: return (void*)(Phonon::Effect*)(Phonon::MediaNode*)xptr;
	    case 11: return (void*)(Phonon::MediaObject*)(Phonon::MediaNode*)xptr;
	    case 19: return (void*)(Phonon::VideoWidget*)(Phonon::MediaNode*)xptr;
	    case 20: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::MediaNode*)xptr;
	  default: return xptr;
	}
      case 11:	//Phonon::MediaObject
	switch(to) {
	    case 10: return (void*)(Phonon::MediaNode*)(Phonon::MediaObject*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::MediaObject*)xptr;
	    case 11: return (void*)(Phonon::MediaObject*)(Phonon::MediaObject*)xptr;
	  default: return xptr;
	}
      case 12:	//Phonon::MediaSource
	switch(to) {
	    case 12: return (void*)(Phonon::MediaSource*)(Phonon::MediaSource*)xptr;
	  default: return xptr;
	}
      case 13:	//Phonon::ObjectDescriptionData
	switch(to) {
	    case 13: return (void*)(Phonon::ObjectDescriptionData*)(Phonon::ObjectDescriptionData*)xptr;
	  default: return xptr;
	}
      case 14:	//Phonon::ObjectDescriptionModelData
	switch(to) {
	    case 14: return (void*)(Phonon::ObjectDescriptionModelData*)(Phonon::ObjectDescriptionModelData*)xptr;
	  default: return xptr;
	}
      case 15:	//Phonon::Path
	switch(to) {
	    case 15: return (void*)(Phonon::Path*)(Phonon::Path*)xptr;
	  default: return xptr;
	}
      case 16:	//Phonon::SeekSlider
	switch(to) {
	    case 68: return (void*)(QWidget*)(Phonon::SeekSlider*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::SeekSlider*)xptr;
	    case 48: return (void*)(QPaintDevice*)(Phonon::SeekSlider*)xptr;
	    case 16: return (void*)(Phonon::SeekSlider*)(Phonon::SeekSlider*)xptr;
	  default: return xptr;
	}
      case 17:	//Phonon::StreamInterface
	switch(to) {
	    case 17: return (void*)(Phonon::StreamInterface*)(Phonon::StreamInterface*)xptr;
	  default: return xptr;
	}
      case 18:	//Phonon::VideoPlayer
	switch(to) {
	    case 68: return (void*)(QWidget*)(Phonon::VideoPlayer*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::VideoPlayer*)xptr;
	    case 48: return (void*)(QPaintDevice*)(Phonon::VideoPlayer*)xptr;
	    case 18: return (void*)(Phonon::VideoPlayer*)(Phonon::VideoPlayer*)xptr;
	  default: return xptr;
	}
      case 19:	//Phonon::VideoWidget
	switch(to) {
	    case 4: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::VideoWidget*)xptr;
	    case 10: return (void*)(Phonon::MediaNode*)(Phonon::VideoWidget*)xptr;
	    case 68: return (void*)(QWidget*)(Phonon::VideoWidget*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::VideoWidget*)xptr;
	    case 48: return (void*)(QPaintDevice*)(Phonon::VideoWidget*)xptr;
	    case 19: return (void*)(Phonon::VideoWidget*)(Phonon::VideoWidget*)xptr;
	  default: return xptr;
	}
      case 20:	//Phonon::VolumeFaderEffect
	switch(to) {
	    case 6: return (void*)(Phonon::Effect*)(Phonon::VolumeFaderEffect*)xptr;
	    case 10: return (void*)(Phonon::MediaNode*)(Phonon::VolumeFaderEffect*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::VolumeFaderEffect*)xptr;
	    case 20: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::VolumeFaderEffect*)xptr;
	  default: return xptr;
	}
      case 21:	//Phonon::VolumeSlider
	switch(to) {
	    case 68: return (void*)(QWidget*)(Phonon::VolumeSlider*)xptr;
	    case 47: return (void*)(QObject*)(Phonon::VolumeSlider*)xptr;
	    case 48: return (void*)(QPaintDevice*)(Phonon::VolumeSlider*)xptr;
	    case 21: return (void*)(Phonon::VolumeSlider*)(Phonon::VolumeSlider*)xptr;
	  default: return xptr;
	}
      case 22:	//QAbstractListModel
	switch(to) {
	    case 47: return (void*)(QObject*)(QAbstractListModel*)xptr;
	    case 22: return (void*)(QAbstractListModel*)(QAbstractListModel*)xptr;
	  default: return xptr;
	}
      case 23:	//QActionEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 23: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 24:	//QByteArray
	switch(to) {
	    case 24: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 25:	//QChildEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 25: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 26:	//QCloseEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 26: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 27:	//QContextMenuEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 27: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 28:	//QDragEnterEvent
	switch(to) {
	    case 30: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 31: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 32: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 28: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 29:	//QDragLeaveEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 29: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 30:	//QDragMoveEvent
	switch(to) {
	    case 31: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 32: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 30: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 28: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 31:	//QDropEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 31: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 28: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 30: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 32:	//QEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QEvent*)xptr;
	    case 23: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 25: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 26: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 27: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 28: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 29: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 30: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 31: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 33: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 35: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 38: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 39: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 45: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 46: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 51: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 59: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 60: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 63: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 64: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 67: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 33:	//QFocusEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 33: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 34:	//QFont
	switch(to) {
	    case 34: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 35:	//QHideEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 35: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 36:	//QIODevice
	switch(to) {
	    case 47: return (void*)(QObject*)(QIODevice*)xptr;
	    case 36: return (void*)(QIODevice*)(QIODevice*)xptr;
	  default: return xptr;
	}
      case 37:	//QImage
	switch(to) {
	    case 48: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 37: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 38:	//QInputMethodEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 38: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 39:	//QKeyEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 39: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 40:	//QLine
	switch(to) {
	    case 40: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 41:	//QLineF
	switch(to) {
	    case 41: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 42:	//QMetaObject
	switch(to) {
	    case 42: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 43:	//QMimeData
	switch(to) {
	    case 47: return (void*)(QObject*)(QMimeData*)xptr;
	    case 43: return (void*)(QMimeData*)(QMimeData*)xptr;
	  default: return xptr;
	}
      case 44:	//QModelIndex
	switch(to) {
	    case 44: return (void*)(QModelIndex*)(QModelIndex*)xptr;
	  default: return xptr;
	}
      case 45:	//QMouseEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 45: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 46:	//QMoveEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 46: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 47:	//QObject
	switch(to) {
	    case 47: return (void*)(QObject*)(QObject*)xptr;
	    case 2: return (void*)(Phonon::AbstractAudioOutput*)(QObject*)xptr;
	    case 3: return (void*)(Phonon::AbstractMediaStream*)(QObject*)xptr;
	    case 5: return (void*)(Phonon::AudioOutput*)(QObject*)xptr;
	    case 6: return (void*)(Phonon::Effect*)(QObject*)xptr;
	    case 8: return (void*)(Phonon::EffectWidget*)(QObject*)xptr;
	    case 9: return (void*)(Phonon::MediaController*)(QObject*)xptr;
	    case 11: return (void*)(Phonon::MediaObject*)(QObject*)xptr;
	    case 16: return (void*)(Phonon::SeekSlider*)(QObject*)xptr;
	    case 18: return (void*)(Phonon::VideoPlayer*)(QObject*)xptr;
	    case 19: return (void*)(Phonon::VideoWidget*)(QObject*)xptr;
	    case 20: return (void*)(Phonon::VolumeFaderEffect*)(QObject*)xptr;
	    case 21: return (void*)(Phonon::VolumeSlider*)(QObject*)xptr;
	    case 22: return (void*)(QAbstractListModel*)(QObject*)xptr;
	    case 36: return (void*)(QIODevice*)(QObject*)xptr;
	    case 43: return (void*)(QMimeData*)(QObject*)xptr;
	    case 62: return (void*)(QStyle*)(QObject*)xptr;
	    case 68: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 48:	//QPaintDevice
	switch(to) {
	    case 48: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 8: return (void*)(Phonon::EffectWidget*)(QPaintDevice*)xptr;
	    case 16: return (void*)(Phonon::SeekSlider*)(QPaintDevice*)xptr;
	    case 18: return (void*)(Phonon::VideoPlayer*)(QPaintDevice*)xptr;
	    case 19: return (void*)(Phonon::VideoWidget*)(QPaintDevice*)xptr;
	    case 21: return (void*)(Phonon::VolumeSlider*)(QPaintDevice*)xptr;
	    case 37: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 54: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 68: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 49:	//QPaintEngine
	switch(to) {
	    case 49: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 50:	//QPaintEngineState
	switch(to) {
	    case 50: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 51:	//QPaintEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 51: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 52:	//QPainterPath
	switch(to) {
	    case 52: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 53:	//QPalette
	switch(to) {
	    case 53: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 54:	//QPixmap
	switch(to) {
	    case 48: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 54: return (void*)(QPixmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 55:	//QPoint
	switch(to) {
	    case 55: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 56:	//QPointF
	switch(to) {
	    case 56: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 57:	//QRect
	switch(to) {
	    case 57: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 58:	//QRectF
	switch(to) {
	    case 58: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 59:	//QResizeEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 59: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 60:	//QShowEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 60: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 61:	//QSize
	switch(to) {
	    case 61: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 62:	//QStyle
	switch(to) {
	    case 47: return (void*)(QObject*)(QStyle*)xptr;
	    case 62: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 63:	//QTabletEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 63: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 64:	//QTimerEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 64: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 65:	//QUrl
	switch(to) {
	    case 65: return (void*)(QUrl*)(QUrl*)xptr;
	  default: return xptr;
	}
      case 66:	//QVariant
	switch(to) {
	    case 66: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 67:	//QWheelEvent
	switch(to) {
	    case 32: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 67: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 68:	//QWidget
	switch(to) {
	    case 47: return (void*)(QObject*)(QWidget*)xptr;
	    case 48: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 68: return (void*)(QWidget*)(QWidget*)xptr;
	    case 8: return (void*)(Phonon::EffectWidget*)(QWidget*)xptr;
	    case 16: return (void*)(Phonon::SeekSlider*)(QWidget*)xptr;
	    case 18: return (void*)(Phonon::VideoPlayer*)(QWidget*)xptr;
	    case 19: return (void*)(Phonon::VideoWidget*)(QWidget*)xptr;
	    case 21: return (void*)(Phonon::VolumeSlider*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index phonon_inheritanceList[] = {
	0,	// 0: (no super class)
	10, 47, 0,	// 1: Phonon::MediaNode, QObject
	47, 0,	// 4: QObject
	10, 0,	// 6: Phonon::MediaNode
	2, 0,	// 8: Phonon::AbstractAudioOutput
	68, 0,	// 10: QWidget
	4, 68, 0,	// 12: Phonon::AbstractVideoOutput, QWidget
	6, 0,	// 15: Phonon::Effect
};

// These are the xenum functions for manipulating enum pointers
void xenum_Phonon__MediaController(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__EffectParameter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaSource(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Phonon(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractAudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractMediaStream(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractVideoOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Effect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectParameter(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaController(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaNode(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaObject(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaSource(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionModelData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Path(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__SeekSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__StreamInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeFaderEffect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeSlider(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class phonon_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "Phonon", false, 0, xcall_Phonon, xenum_Phonon, Smoke::cf_deepcopy }, 	//1
	{ "Phonon::AbstractAudioOutput", false, 1, xcall_Phonon__AbstractAudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//2
	{ "Phonon::AbstractMediaStream", false, 4, xcall_Phonon__AbstractMediaStream, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//3
	{ "Phonon::AbstractVideoOutput", false, 6, xcall_Phonon__AbstractVideoOutput, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//4
	{ "Phonon::AudioOutput", false, 8, xcall_Phonon__AudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//5
	{ "Phonon::Effect", false, 1, xcall_Phonon__Effect, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//6
	{ "Phonon::EffectParameter", false, 0, xcall_Phonon__EffectParameter, xenum_Phonon__EffectParameter, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//7
	{ "Phonon::EffectWidget", false, 10, xcall_Phonon__EffectWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//8
	{ "Phonon::MediaController", false, 4, xcall_Phonon__MediaController, xenum_Phonon__MediaController, Smoke::cf_constructor|Smoke::cf_virtual }, 	//9
	{ "Phonon::MediaNode", false, 0, xcall_Phonon__MediaNode, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//10
	{ "Phonon::MediaObject", false, 1, xcall_Phonon__MediaObject, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//11
	{ "Phonon::MediaSource", false, 0, xcall_Phonon__MediaSource, xenum_Phonon__MediaSource, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//12
	{ "Phonon::ObjectDescriptionData", false, 0, xcall_Phonon__ObjectDescriptionData, 0, Smoke::cf_constructor }, 	//13
	{ "Phonon::ObjectDescriptionModelData", false, 0, xcall_Phonon__ObjectDescriptionModelData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//14
	{ "Phonon::Path", false, 0, xcall_Phonon__Path, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//15
	{ "Phonon::SeekSlider", false, 10, xcall_Phonon__SeekSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//16
	{ "Phonon::StreamInterface", false, 0, xcall_Phonon__StreamInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//17
	{ "Phonon::VideoPlayer", false, 10, xcall_Phonon__VideoPlayer, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//18
	{ "Phonon::VideoWidget", false, 12, xcall_Phonon__VideoWidget, xenum_Phonon__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual }, 	//19
	{ "Phonon::VolumeFaderEffect", false, 15, xcall_Phonon__VolumeFaderEffect, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//20
	{ "Phonon::VolumeSlider", false, 10, xcall_Phonon__VolumeSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//21
	{ "QAbstractListModel", true, 0, 0, 0, 0 }, 	// 22
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 23
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 24
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 25
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 26
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 27
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 28
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 29
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 30
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 31
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 32
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 33
	{ "QFont", true, 0, 0, 0, 0 }, 	// 34
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 35
	{ "QIODevice", true, 0, 0, 0, 0 }, 	// 36
	{ "QImage", true, 0, 0, 0, 0 }, 	// 37
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 38
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 39
	{ "QLine", true, 0, 0, 0, 0 }, 	// 40
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 41
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 42
	{ "QMimeData", true, 0, 0, 0, 0 }, 	// 43
	{ "QModelIndex", true, 0, 0, 0, 0 }, 	// 44
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 45
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 46
	{ "QObject", true, 0, 0, 0, 0 }, 	// 47
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 48
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 49
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 50
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 51
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 52
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 53
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 54
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 55
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 56
	{ "QRect", true, 0, 0, 0, 0 }, 	// 57
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 58
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 59
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 60
	{ "QSize", true, 0, 0, 0, 0 }, 	// 61
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 62
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 63
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 64
	{ "QUrl", true, 0, 0, 0, 0 }, 	// 65
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 66
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 67
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 68
	{ "Qt", true, 0, 0, 0, 0 }, 	// 69
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type phonon_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "AspectRatio", 0, Smoke::t_voidp | Smoke::tf_stack },	//1
	{ "FadeCurve", 0, Smoke::t_voidp | Smoke::tf_stack },	//2
	{ "MediaObject*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//3
	{ "Phonon::AbstractMediaStream*", 3, Smoke::t_class | Smoke::tf_ptr },	//4
	{ "Phonon::AbstractVideoOutput*", 4, Smoke::t_class | Smoke::tf_ptr },	//5
	{ "Phonon::AudioOutput*", 5, Smoke::t_class | Smoke::tf_ptr },	//6
	{ "Phonon::AudioOutputDevice&", 0, Smoke::t_voidp | Smoke::tf_ref },	//7
	{ "Phonon::Category", 1, Smoke::t_enum | Smoke::tf_stack },	//8
	{ "Phonon::DiscType", 1, Smoke::t_enum | Smoke::tf_stack },	//9
	{ "Phonon::Effect*", 6, Smoke::t_class | Smoke::tf_ptr },	//10
	{ "Phonon::EffectParameter&", 7, Smoke::t_class | Smoke::tf_ref },	//11
	{ "Phonon::EffectParameter*", 7, Smoke::t_class | Smoke::tf_ptr },	//12
	{ "Phonon::EffectParameter::Hint", 7, Smoke::t_enum | Smoke::tf_stack },	//13
	{ "Phonon::EffectParameter::Hints", 0, Smoke::t_uint | Smoke::tf_stack },	//14
	{ "Phonon::EffectParameter::Hints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//15
	{ "Phonon::EffectWidget*", 8, Smoke::t_class | Smoke::tf_ptr },	//16
	{ "Phonon::ErrorType", 1, Smoke::t_enum | Smoke::tf_stack },	//17
	{ "Phonon::MediaController*", 9, Smoke::t_class | Smoke::tf_ptr },	//18
	{ "Phonon::MediaController::Feature", 9, Smoke::t_enum | Smoke::tf_stack },	//19
	{ "Phonon::MediaController::Features", 0, Smoke::t_uint | Smoke::tf_stack },	//20
	{ "Phonon::MediaController::Features&", 0, Smoke::t_voidp | Smoke::tf_ref },	//21
	{ "Phonon::MediaNode*", 10, Smoke::t_class | Smoke::tf_ptr },	//22
	{ "Phonon::MediaObject*", 11, Smoke::t_class | Smoke::tf_ptr },	//23
	{ "Phonon::MediaSource", 12, Smoke::t_class | Smoke::tf_stack },	//24
	{ "Phonon::MediaSource&", 12, Smoke::t_class | Smoke::tf_ref },	//25
	{ "Phonon::MediaSource*", 12, Smoke::t_class | Smoke::tf_ptr },	//26
	{ "Phonon::MediaSource::Type", 12, Smoke::t_enum | Smoke::tf_stack },	//27
	{ "Phonon::MetaData", 1, Smoke::t_enum | Smoke::tf_stack },	//28
	{ "Phonon::ObjectDescription<Phonon::AudioChannelType>", 0, Smoke::t_voidp | Smoke::tf_stack },	//29
	{ "Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>", 0, Smoke::t_voidp | Smoke::tf_stack },	//30
	{ "Phonon::ObjectDescription<Phonon::EffectType>", 0, Smoke::t_voidp | Smoke::tf_stack },	//31
	{ "Phonon::ObjectDescription<Phonon::SubtitleType>", 0, Smoke::t_voidp | Smoke::tf_stack },	//32
	{ "Phonon::ObjectDescriptionData*", 13, Smoke::t_class | Smoke::tf_ptr },	//33
	{ "Phonon::ObjectDescriptionModelData*", 14, Smoke::t_class | Smoke::tf_ptr },	//34
	{ "Phonon::ObjectDescriptionType", 1, Smoke::t_enum | Smoke::tf_stack },	//35
	{ "Phonon::Path", 15, Smoke::t_class | Smoke::tf_stack },	//36
	{ "Phonon::Path&", 15, Smoke::t_class | Smoke::tf_ref },	//37
	{ "Phonon::Path*", 15, Smoke::t_class | Smoke::tf_ptr },	//38
	{ "Phonon::SeekSlider*", 16, Smoke::t_class | Smoke::tf_ptr },	//39
	{ "Phonon::State", 1, Smoke::t_enum | Smoke::tf_stack },	//40
	{ "Phonon::StreamInterface*", 17, Smoke::t_class | Smoke::tf_ptr },	//41
	{ "Phonon::VideoPlayer*", 18, Smoke::t_class | Smoke::tf_ptr },	//42
	{ "Phonon::VideoWidget*", 19, Smoke::t_class | Smoke::tf_ptr },	//43
	{ "Phonon::VideoWidget::AspectRatio", 19, Smoke::t_enum | Smoke::tf_stack },	//44
	{ "Phonon::VideoWidget::ScaleMode", 19, Smoke::t_enum | Smoke::tf_stack },	//45
	{ "Phonon::VolumeFaderEffect*", 20, Smoke::t_class | Smoke::tf_ptr },	//46
	{ "Phonon::VolumeSlider*", 21, Smoke::t_class | Smoke::tf_ptr },	//47
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//48
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//49
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//50
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//51
	{ "QAbstractListModel*", 22, Smoke::t_class | Smoke::tf_ptr },	//52
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//53
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//54
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//55
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//56
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//57
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//58
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//59
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//60
	{ "QActionEvent*", 23, Smoke::t_class | Smoke::tf_ptr },	//61
	{ "QChildEvent*", 25, Smoke::t_class | Smoke::tf_ptr },	//62
	{ "QCloseEvent*", 26, Smoke::t_class | Smoke::tf_ptr },	//63
	{ "QContextMenuEvent*", 27, Smoke::t_class | Smoke::tf_ptr },	//64
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//65
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//66
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//67
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//68
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//69
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//70
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//71
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//72
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//73
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//74
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//75
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//76
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//77
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//78
	{ "QDragEnterEvent*", 28, Smoke::t_class | Smoke::tf_ptr },	//79
	{ "QDragLeaveEvent*", 29, Smoke::t_class | Smoke::tf_ptr },	//80
	{ "QDragMoveEvent*", 30, Smoke::t_class | Smoke::tf_ptr },	//81
	{ "QDropEvent*", 31, Smoke::t_class | Smoke::tf_ptr },	//82
	{ "QEvent*", 32, Smoke::t_class | Smoke::tf_ptr },	//83
	{ "QEvent::Type", 32, Smoke::t_enum | Smoke::tf_stack },	//84
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//85
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//86
	{ "QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData>", 0, Smoke::t_voidp | Smoke::tf_stack },	//87
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//88
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//89
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//90
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//91
	{ "QFocusEvent*", 33, Smoke::t_class | Smoke::tf_ptr },	//92
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//93
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//94
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//95
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//96
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//97
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//98
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//99
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//100
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//101
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//102
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//103
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//104
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//105
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//106
	{ "QHideEvent*", 35, Smoke::t_class | Smoke::tf_ptr },	//107
	{ "QIODevice*", 36, Smoke::t_class | Smoke::tf_ptr },	//108
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//109
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//110
	{ "QIODevice::OpenModeFlag", 36, Smoke::t_enum | Smoke::tf_stack },	//111
	{ "QInputMethodEvent*", 38, Smoke::t_class | Smoke::tf_ptr },	//112
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//113
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//114
	{ "QKeyEvent*", 39, Smoke::t_class | Smoke::tf_ptr },	//115
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//116
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//117
	{ "QList<Phonon::Effect*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//118
	{ "QList<Phonon::EffectParameter>", 0, Smoke::t_voidp | Smoke::tf_stack },	//119
	{ "QList<Phonon::MediaSource>", 0, Smoke::t_voidp | Smoke::tf_stack },	//120
	{ "QList<Phonon::ObjectDescription<Phonon::AudioChannelType> >", 0, Smoke::t_voidp | Smoke::tf_stack },	//121
	{ "QList<Phonon::ObjectDescription<Phonon::SubtitleType> >", 0, Smoke::t_voidp | Smoke::tf_stack },	//122
	{ "QList<Phonon::Path>", 0, Smoke::t_voidp | Smoke::tf_stack },	//123
	{ "QList<QByteArray>", 0, Smoke::t_voidp | Smoke::tf_stack },	//124
	{ "QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >", 0, Smoke::t_voidp | Smoke::tf_stack },	//125
	{ "QList<QVariant>", 0, Smoke::t_voidp | Smoke::tf_stack },	//126
	{ "QList<int>", 0, Smoke::t_voidp | Smoke::tf_stack },	//127
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//128
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//129
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//130
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//131
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//132
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//133
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//134
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//135
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//136
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//137
	{ "QMetaObject::Call", 42, Smoke::t_enum | Smoke::tf_stack },	//138
	{ "QMimeData*", 43, Smoke::t_class | Smoke::tf_ptr },	//139
	{ "QMouseEvent*", 45, Smoke::t_class | Smoke::tf_ptr },	//140
	{ "QMoveEvent*", 46, Smoke::t_class | Smoke::tf_ptr },	//141
	{ "QMultiMap<QString,QString>", 0, Smoke::t_voidp | Smoke::tf_stack },	//142
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//143
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//144
	{ "QObject*", 47, Smoke::t_class | Smoke::tf_ptr },	//145
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//146
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//147
	{ "QPaintDevice*", 48, Smoke::t_class | Smoke::tf_ptr },	//148
	{ "QPaintDevice::PaintDeviceMetric", 48, Smoke::t_enum | Smoke::tf_stack },	//149
	{ "QPaintEngine*", 49, Smoke::t_class | Smoke::tf_ptr },	//150
	{ "QPaintEngine::DirtyFlag", 49, Smoke::t_enum | Smoke::tf_stack },	//151
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//152
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//153
	{ "QPaintEngine::PaintEngineFeature", 49, Smoke::t_enum | Smoke::tf_stack },	//154
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//155
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//156
	{ "QPaintEngine::PolygonDrawMode", 49, Smoke::t_enum | Smoke::tf_stack },	//157
	{ "QPaintEngine::Type", 49, Smoke::t_enum | Smoke::tf_stack },	//158
	{ "QPaintEvent*", 51, Smoke::t_class | Smoke::tf_ptr },	//159
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//160
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//161
	{ "QPainterPath::ElementType", 52, Smoke::t_enum | Smoke::tf_stack },	//162
	{ "QPixmap::Type", 54, Smoke::t_enum | Smoke::tf_stack },	//163
	{ "QPoint", 55, Smoke::t_class | Smoke::tf_stack },	//164
	{ "QResizeEvent*", 59, Smoke::t_class | Smoke::tf_ptr },	//165
	{ "QShowEvent*", 60, Smoke::t_class | Smoke::tf_ptr },	//166
	{ "QSize", 61, Smoke::t_class | Smoke::tf_stack },	//167
	{ "QSize&", 61, Smoke::t_class | Smoke::tf_ref },	//168
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//169
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//170
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//171
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//172
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//173
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//174
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//175
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//176
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//177
	{ "QStyle&", 62, Smoke::t_class | Smoke::tf_ref },	//178
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//179
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//180
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//181
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//182
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//183
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//184
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//185
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//186
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//187
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//188
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//189
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//190
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//191
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//192
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//193
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//194
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//195
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//196
	{ "QTabletEvent*", 63, Smoke::t_class | Smoke::tf_ptr },	//197
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//198
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//199
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//200
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//201
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//202
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//203
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//204
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//205
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//206
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//207
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//208
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//209
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//210
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//211
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//212
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//213
	{ "QTimerEvent*", 64, Smoke::t_class | Smoke::tf_ptr },	//214
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//215
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//216
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//217
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//218
	{ "QUrl", 65, Smoke::t_class | Smoke::tf_stack },	//219
	{ "QUrl::FormattingOption", 65, Smoke::t_enum | Smoke::tf_stack },	//220
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//221
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//222
	{ "QUrl::ParsingMode", 65, Smoke::t_enum | Smoke::tf_stack },	//223
	{ "QVariant", 66, Smoke::t_class | Smoke::tf_stack },	//224
	{ "QVariant::Type", 66, Smoke::t_enum | Smoke::tf_stack },	//225
	{ "QWheelEvent*", 67, Smoke::t_class | Smoke::tf_ptr },	//226
	{ "QWidget*", 68, Smoke::t_class | Smoke::tf_ptr },	//227
	{ "QWidget::RenderFlag", 68, Smoke::t_enum | Smoke::tf_stack },	//228
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//229
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//230
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//231
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//232
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//233
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//234
	{ "Qt::AlignmentFlag", 69, Smoke::t_enum | Smoke::tf_stack },	//235
	{ "Qt::AnchorAttribute", 69, Smoke::t_enum | Smoke::tf_stack },	//236
	{ "Qt::ApplicationAttribute", 69, Smoke::t_enum | Smoke::tf_stack },	//237
	{ "Qt::ArrowType", 69, Smoke::t_enum | Smoke::tf_stack },	//238
	{ "Qt::AspectRatioMode", 69, Smoke::t_enum | Smoke::tf_stack },	//239
	{ "Qt::Axis", 69, Smoke::t_enum | Smoke::tf_stack },	//240
	{ "Qt::BGMode", 69, Smoke::t_enum | Smoke::tf_stack },	//241
	{ "Qt::BrushStyle", 69, Smoke::t_enum | Smoke::tf_stack },	//242
	{ "Qt::CaseSensitivity", 69, Smoke::t_enum | Smoke::tf_stack },	//243
	{ "Qt::CheckState", 69, Smoke::t_enum | Smoke::tf_stack },	//244
	{ "Qt::ClipOperation", 69, Smoke::t_enum | Smoke::tf_stack },	//245
	{ "Qt::ConnectionType", 69, Smoke::t_enum | Smoke::tf_stack },	//246
	{ "Qt::ContextMenuPolicy", 69, Smoke::t_enum | Smoke::tf_stack },	//247
	{ "Qt::Corner", 69, Smoke::t_enum | Smoke::tf_stack },	//248
	{ "Qt::CursorShape", 69, Smoke::t_enum | Smoke::tf_stack },	//249
	{ "Qt::DateFormat", 69, Smoke::t_enum | Smoke::tf_stack },	//250
	{ "Qt::DayOfWeek", 69, Smoke::t_enum | Smoke::tf_stack },	//251
	{ "Qt::DockWidgetArea", 69, Smoke::t_enum | Smoke::tf_stack },	//252
	{ "Qt::DockWidgetAreaSizes", 69, Smoke::t_enum | Smoke::tf_stack },	//253
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//254
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//255
	{ "Qt::DropAction", 69, Smoke::t_enum | Smoke::tf_stack },	//256
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//257
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//258
	{ "Qt::EventPriority", 69, Smoke::t_enum | Smoke::tf_stack },	//259
	{ "Qt::FillRule", 69, Smoke::t_enum | Smoke::tf_stack },	//260
	{ "Qt::FocusPolicy", 69, Smoke::t_enum | Smoke::tf_stack },	//261
	{ "Qt::FocusReason", 69, Smoke::t_enum | Smoke::tf_stack },	//262
	{ "Qt::GlobalColor", 69, Smoke::t_enum | Smoke::tf_stack },	//263
	{ "Qt::HitTestAccuracy", 69, Smoke::t_enum | Smoke::tf_stack },	//264
	{ "Qt::ImageConversionFlag", 69, Smoke::t_enum | Smoke::tf_stack },	//265
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//266
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//267
	{ "Qt::InputMethodQuery", 69, Smoke::t_enum | Smoke::tf_stack },	//268
	{ "Qt::ItemDataRole", 69, Smoke::t_enum | Smoke::tf_stack },	//269
	{ "Qt::ItemFlag", 69, Smoke::t_enum | Smoke::tf_stack },	//270
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//271
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//272
	{ "Qt::ItemSelectionMode", 69, Smoke::t_enum | Smoke::tf_stack },	//273
	{ "Qt::Key", 69, Smoke::t_enum | Smoke::tf_stack },	//274
	{ "Qt::KeyboardModifier", 69, Smoke::t_enum | Smoke::tf_stack },	//275
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//276
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//277
	{ "Qt::LayoutDirection", 69, Smoke::t_enum | Smoke::tf_stack },	//278
	{ "Qt::MaskMode", 69, Smoke::t_enum | Smoke::tf_stack },	//279
	{ "Qt::MatchFlag", 69, Smoke::t_enum | Smoke::tf_stack },	//280
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//281
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//282
	{ "Qt::Modifier", 69, Smoke::t_enum | Smoke::tf_stack },	//283
	{ "Qt::MouseButton", 69, Smoke::t_enum | Smoke::tf_stack },	//284
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//285
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//286
	{ "Qt::Orientation", 69, Smoke::t_enum | Smoke::tf_stack },	//287
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//288
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//289
	{ "Qt::PenCapStyle", 69, Smoke::t_enum | Smoke::tf_stack },	//290
	{ "Qt::PenJoinStyle", 69, Smoke::t_enum | Smoke::tf_stack },	//291
	{ "Qt::PenStyle", 69, Smoke::t_enum | Smoke::tf_stack },	//292
	{ "Qt::ScrollBarPolicy", 69, Smoke::t_enum | Smoke::tf_stack },	//293
	{ "Qt::ShortcutContext", 69, Smoke::t_enum | Smoke::tf_stack },	//294
	{ "Qt::SizeHint", 69, Smoke::t_enum | Smoke::tf_stack },	//295
	{ "Qt::SizeMode", 69, Smoke::t_enum | Smoke::tf_stack },	//296
	{ "Qt::SortOrder", 69, Smoke::t_enum | Smoke::tf_stack },	//297
	{ "Qt::TextElideMode", 69, Smoke::t_enum | Smoke::tf_stack },	//298
	{ "Qt::TextFlag", 69, Smoke::t_enum | Smoke::tf_stack },	//299
	{ "Qt::TextFormat", 69, Smoke::t_enum | Smoke::tf_stack },	//300
	{ "Qt::TextInteractionFlag", 69, Smoke::t_enum | Smoke::tf_stack },	//301
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//302
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//303
	{ "Qt::TimeSpec", 69, Smoke::t_enum | Smoke::tf_stack },	//304
	{ "Qt::ToolBarArea", 69, Smoke::t_enum | Smoke::tf_stack },	//305
	{ "Qt::ToolBarAreaSizes", 69, Smoke::t_enum | Smoke::tf_stack },	//306
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//307
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//308
	{ "Qt::ToolButtonStyle", 69, Smoke::t_enum | Smoke::tf_stack },	//309
	{ "Qt::TransformationMode", 69, Smoke::t_enum | Smoke::tf_stack },	//310
	{ "Qt::UIEffect", 69, Smoke::t_enum | Smoke::tf_stack },	//311
	{ "Qt::WhiteSpaceMode", 69, Smoke::t_enum | Smoke::tf_stack },	//312
	{ "Qt::WidgetAttribute", 69, Smoke::t_enum | Smoke::tf_stack },	//313
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//314
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//315
	{ "Qt::WindowFrameSection", 69, Smoke::t_enum | Smoke::tf_stack },	//316
	{ "Qt::WindowModality", 69, Smoke::t_enum | Smoke::tf_stack },	//317
	{ "Qt::WindowState", 69, Smoke::t_enum | Smoke::tf_stack },	//318
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//319
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//320
	{ "Qt::WindowType", 69, Smoke::t_enum | Smoke::tf_stack },	//321
	{ "ScaleMode", 0, Smoke::t_voidp | Smoke::tf_stack },	//322
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//323
	{ "char*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//324
	{ "const Handler*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//325
	{ "const Phonon::AbstractVideoOutput&", 4, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//326
	{ "const Phonon::EffectParameter&", 7, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//327
	{ "const Phonon::MediaNode&", 10, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//328
	{ "const Phonon::MediaSource&", 12, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//329
	{ "const Phonon::ObjectDescription<Phonon::AudioChannelType>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//330
	{ "const Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//331
	{ "const Phonon::ObjectDescription<Phonon::EffectType>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//332
	{ "const Phonon::ObjectDescription<Phonon::SubtitleType>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//333
	{ "const Phonon::ObjectDescriptionData&", 13, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//334
	{ "const Phonon::ObjectDescriptionModelData&", 14, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//335
	{ "const Phonon::Path&", 15, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//336
	{ "const Phonon::StreamInterface&", 17, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//337
	{ "const QByteArray&", 24, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//338
	{ "const QFont&", 34, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//339
	{ "const QHash<QByteArray,QVariant>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//340
	{ "const QImage&", 37, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//341
	{ "const QLine*", 40, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//342
	{ "const QLineF*", 41, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//343
	{ "const QList<Phonon::MediaSource>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//344
	{ "const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//345
	{ "const QList<QModelIndex>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//346
	{ "const QList<QUrl>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//347
	{ "const QList<QVariant>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//348
	{ "const QMetaObject", 42, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//349
	{ "const QMetaObject*", 42, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//350
	{ "const QMimeData*", 43, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//351
	{ "const QModelIndex&", 44, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//352
	{ "const QPaintEngineState&", 50, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//353
	{ "const QPainterPath&", 52, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//354
	{ "const QPalette&", 53, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//355
	{ "const QPixmap&", 54, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//356
	{ "const QPoint*", 55, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//357
	{ "const QPointF&", 56, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//358
	{ "const QPointF*", 56, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//359
	{ "const QRect&", 57, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//360
	{ "const QRect*", 57, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//361
	{ "const QRectF&", 58, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//362
	{ "const QRectF*", 58, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//363
	{ "const QSize&", 61, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//364
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//365
	{ "const QUrl&", 65, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//366
	{ "const QVariant&", 66, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//367
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//368
	{ "double", 0, Smoke::t_double | Smoke::tf_stack },	//369
	{ "float", 0, Smoke::t_float | Smoke::tf_stack },	//370
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//371
	{ "qint32", 0, Smoke::t_int | Smoke::tf_stack },	//372
	{ "qint64", 0, Smoke::t_long | Smoke::tf_stack },	//373
	{ "qreal", 0, Smoke::t_double | Smoke::tf_stack },	//374
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//375
};

static Smoke::Index phonon_argumentList[] = {
	0,	//0  (void)
	10, 0,	//1  Phonon::Effect*  
	10, 10, 0,	//3  Phonon::Effect*, Phonon::Effect*  
	10, 227, 0,	//6  Phonon::Effect*, QWidget*  
	107, 0,	//9  QHideEvent*  
	108, 0,	//11  QIODevice*  
	112, 0,	//13  QInputMethodEvent*  
	115, 0,	//15  QKeyEvent*  
	138, 371, 375, 0,	//17  QMetaObject::Call, int, void**  
	140, 0,	//21  QMouseEvent*  
	141, 0,	//23  QMoveEvent*  
	145, 0,	//25  QObject*  
	145, 83, 0,	//27  QObject*, QEvent*  
	149, 0,	//30  QPaintDevice::PaintDeviceMetric  
	159, 0,	//32  QPaintEvent*  
	165, 0,	//34  QResizeEvent*  
	166, 0,	//36  QShowEvent*  
	17, 365, 0,	//38  Phonon::ErrorType, const QString&  
	178, 0,	//41  QStyle&  
	197, 0,	//43  QTabletEvent*  
	2, 0,	//45  FadeCurve  
	214, 0,	//47  QTimerEvent*  
	22, 22, 0,	//49  Phonon::MediaNode*, Phonon::MediaNode*  
	226, 0,	//52  QWheelEvent*  
	227, 0,	//54  QWidget*  
	23, 0,	//56  Phonon::MediaObject*  
	23, 227, 0,	//58  Phonon::MediaObject*, QWidget*  
	268, 0,	//61  Qt::InputMethodQuery  
	28, 0,	//63  Phonon::MetaData  
	287, 0,	//65  Qt::Orientation  
	323, 0,	//67  bool  
	326, 0,	//69  const Phonon::AbstractVideoOutput&  
	327, 0,	//71  const Phonon::EffectParameter&  
	327, 367, 0,	//73  const Phonon::EffectParameter&, const QVariant&  
	328, 0,	//76  const Phonon::MediaNode&  
	329, 0,	//78  const Phonon::MediaSource&  
	330, 0,	//80  const Phonon::ObjectDescription<Phonon::AudioChannelType>&  
	331, 0,	//82  const Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>&  
	332, 0,	//84  const Phonon::ObjectDescription<Phonon::EffectType>&  
	332, 10, 0,	//86  const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*  
	332, 145, 0,	//89  const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*  
	333, 0,	//92  const Phonon::ObjectDescription<Phonon::SubtitleType>&  
	334, 0,	//94  const Phonon::ObjectDescriptionData&  
	335, 0,	//96  const Phonon::ObjectDescriptionModelData&  
	336, 0,	//98  const Phonon::Path&  
	337, 0,	//100  const Phonon::StreamInterface&  
	338, 0,	//102  const QByteArray&  
	339, 0,	//104  const QFont&  
	344, 0,	//106  const QList<Phonon::MediaSource>&  
	345, 0,	//108  const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&  
	347, 0,	//110  const QList<QUrl>&  
	35, 0,	//112  Phonon::ObjectDescriptionType  
	35, 346, 0,	//114  Phonon::ObjectDescriptionType, const QList<QModelIndex>&  
	35, 351, 256, 371, 371, 352, 0,	//117  Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&  
	35, 371, 0,	//124  Phonon::ObjectDescriptionType, int  
	352, 0,	//127  const QModelIndex&  
	352, 371, 0,	//129  const QModelIndex&, int  
	355, 0,	//132  const QPalette&  
	364, 0,	//134  const QSize&  
	365, 0,	//136  const QString&  
	366, 0,	//138  const QUrl&  
	368, 0,	//140  const char*  
	369, 0,	//142  double  
	370, 0,	//144  float  
	370, 371, 0,	//146  float, int  
	371, 0,	//149  int  
	371, 340, 0,	//151  int, const QHash<QByteArray, QVariant>&  
	371, 365, 14, 367, 0,	//154  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&  
	371, 365, 14, 367, 367, 0,	//159  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&  
	371, 365, 14, 367, 367, 367, 0,	//165  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&  
	371, 365, 14, 367, 367, 367, 348, 0,	//172  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&  
	371, 365, 14, 367, 367, 367, 348, 365, 0,	//180  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&  
	371, 371, 0,	//189  int, int  
	371, 371, 352, 0,	//192  int, int, const QModelIndex&  
	373, 0,	//196  qint64  
	374, 0,	//198  qreal  
	4, 0,	//200  Phonon::AbstractMediaStream*  
	40, 40, 0,	//202  Phonon::State, Phonon::State  
	44, 0,	//205  Phonon::VideoWidget::AspectRatio  
	45, 0,	//207  Phonon::VideoWidget::ScaleMode  
	52, 0,	//209  QAbstractListModel*  
	6, 0,	//211  Phonon::AudioOutput*  
	6, 227, 0,	//213  Phonon::AudioOutput*, QWidget*  
	61, 0,	//216  QActionEvent*  
	62, 0,	//218  QChildEvent*  
	63, 0,	//220  QCloseEvent*  
	64, 0,	//222  QContextMenuEvent*  
	79, 0,	//224  QDragEnterEvent*  
	8, 0,	//226  Phonon::Category  
	8, 145, 0,	//228  Phonon::Category, QObject*  
	8, 227, 0,	//231  Phonon::Category, QWidget*  
	8, 329, 0,	//234  Phonon::Category, const Phonon::MediaSource&  
	80, 0,	//237  QDragLeaveEvent*  
	81, 0,	//239  QDragMoveEvent*  
	82, 0,	//241  QDropEvent*  
	83, 0,	//243  QEvent*  
	9, 0,	//245  Phonon::DiscType  
	9, 365, 0,	//247  Phonon::DiscType, const QString&  
	92, 0,	//250  QFocusEvent*  
};

// Raw list of all methods, using munged names
static const char *phonon_methodNames[] = {
    "",	//0
    "AbstractMediaStream",	//1
    "AbstractMediaStream#",	//2
    "AbstractVideoOutput",	//3
    "AbstractVideoOutput#",	//4
    "AccessibilityCategory",	//5
    "AlbumMetaData",	//6
    "Angles",	//7
    "ArtistMetaData",	//8
    "AspectRatio16_9",	//9
    "AspectRatio4_3",	//10
    "AspectRatioAuto",	//11
    "AspectRatioWidget",	//12
    "AudioCaptureDeviceType",	//13
    "AudioChannelType",	//14
    "AudioOutput",	//15
    "AudioOutput#",	//16
    "AudioOutput$",	//17
    "AudioOutput$#",	//18
    "AudioOutputDeviceType",	//19
    "BufferingState",	//20
    "Cd",	//21
    "Chapters",	//22
    "CommunicationCategory",	//23
    "DateMetaData",	//24
    "DescriptionMetaData",	//25
    "Disc",	//26
    "Dvd",	//27
    "Effect",	//28
    "Effect?",	//29
    "Effect?#",	//30
    "EffectParameter",	//31
    "EffectParameter#",	//32
    "EffectParameter$$$#",	//33
    "EffectParameter$$$##",	//34
    "EffectParameter$$$###",	//35
    "EffectParameter$$$###?",	//36
    "EffectParameter$$$###?$",	//37
    "EffectType",	//38
    "EffectWidget",	//39
    "EffectWidget#",	//40
    "EffectWidget##",	//41
    "ErrorState",	//42
    "FatalError",	//43
    "FitInView",	//44
    "GameCategory",	//45
    "GenreMetaData",	//46
    "IntegerHint",	//47
    "Invalid",	//48
    "LastCategory",	//49
    "LoadingState",	//50
    "LocalFile",	//51
    "LogarithmicHint",	//52
    "MediaController",	//53
    "MediaController#",	//54
    "MediaNode",	//55
    "MediaNode#",	//56
    "MediaObject",	//57
    "MediaSource",	//58
    "MediaSource#",	//59
    "MediaSource$",	//60
    "MediaSource$$",	//61
    "MusicBrainzDiscIdMetaData",	//62
    "MusicCategory",	//63
    "NoCategory",	//64
    "NoDisc",	//65
    "NoError",	//66
    "NormalError",	//67
    "NotificationCategory",	//68
    "ObjectDescriptionData",	//69
    "ObjectDescriptionData$?",	//70
    "ObjectDescriptionModelData",	//71
    "ObjectDescriptionModelData#",	//72
    "Path",	//73
    "Path#",	//74
    "PausedState",	//75
    "PlayingState",	//76
    "ScaleAndCrop",	//77
    "SeekSlider",	//78
    "SeekSlider#",	//79
    "SeekSlider##",	//80
    "StoppedState",	//81
    "Stream",	//82
    "StreamInterface",	//83
    "StreamInterface#",	//84
    "SubtitleType",	//85
    "TitleMetaData",	//86
    "Titles",	//87
    "ToggledHint",	//88
    "TracknumberMetaData",	//89
    "Url",	//90
    "Vcd",	//91
    "VideoCategory",	//92
    "VideoPlayer",	//93
    "VideoPlayer$",	//94
    "VideoPlayer$#",	//95
    "VideoWidget",	//96
    "VideoWidget#",	//97
    "VolumeFaderEffect",	//98
    "VolumeSlider",	//99
    "VolumeSlider#",	//100
    "VolumeSlider##",	//101
    "aboutToFinish",	//102
    "actionEvent",	//103
    "actionEvent#",	//104
    "angleChanged",	//105
    "angleChanged$",	//106
    "aspectRatio",	//107
    "audioOutput",	//108
    "autoDelete",	//109
    "autoplayTitles",	//110
    "availableAngles",	//111
    "availableAnglesChanged",	//112
    "availableAnglesChanged$",	//113
    "availableAudioChannels",	//114
    "availableAudioChannelsChanged",	//115
    "availableChapters",	//116
    "availableChaptersChanged",	//117
    "availableChaptersChanged$",	//118
    "availableSubtitles",	//119
    "availableSubtitlesChanged",	//120
    "availableTitles",	//121
    "availableTitlesChanged",	//122
    "availableTitlesChanged$",	//123
    "brightness",	//124
    "bufferStatus",	//125
    "bufferStatus$",	//126
    "category",	//127
    "categoryToString",	//128
    "categoryToString$",	//129
    "changeEvent",	//130
    "changeEvent#",	//131
    "chapterChanged",	//132
    "chapterChanged$",	//133
    "childEvent",	//134
    "childEvent#",	//135
    "clearQueue",	//136
    "closeEvent",	//137
    "closeEvent#",	//138
    "connectNotify",	//139
    "connectNotify$",	//140
    "connectToSource",	//141
    "connectToSource#",	//142
    "contextMenuEvent",	//143
    "contextMenuEvent#",	//144
    "contrast",	//145
    "createPath",	//146
    "createPath##",	//147
    "createPlayer",	//148
    "createPlayer$",	//149
    "createPlayer$#",	//150
    "currentAngle",	//151
    "currentAudioChannel",	//152
    "currentChapter",	//153
    "currentSource",	//154
    "currentSourceChanged",	//155
    "currentSourceChanged#",	//156
    "currentSubtitle",	//157
    "currentTime",	//158
    "currentTitle",	//159
    "customEvent",	//160
    "customEvent#",	//161
    "data",	//162
    "data#",	//163
    "data#$",	//164
    "defaultValue",	//165
    "description",	//166
    "devType",	//167
    "deviceName",	//168
    "discType",	//169
    "disconnect",	//170
    "disconnectNotify",	//171
    "disconnectNotify$",	//172
    "dragEnterEvent",	//173
    "dragEnterEvent#",	//174
    "dragLeaveEvent",	//175
    "dragLeaveEvent#",	//176
    "dragMoveEvent",	//177
    "dragMoveEvent#",	//178
    "dropEvent",	//179
    "dropEvent#",	//180
    "dropMimeData",	//181
    "dropMimeData$#$$$#",	//182
    "effects",	//183
    "enabledChange",	//184
    "enabledChange$",	//185
    "endOfData",	//186
    "enoughData",	//187
    "enqueue",	//188
    "enqueue#",	//189
    "enqueue?",	//190
    "enterEvent",	//191
    "enterEvent#",	//192
    "enterFullScreen",	//193
    "error",	//194
    "error$$",	//195
    "errorString",	//196
    "errorType",	//197
    "event",	//198
    "event#",	//199
    "eventFilter",	//200
    "eventFilter##",	//201
    "exitFullScreen",	//202
    "fadeCurve",	//203
    "fadeIn",	//204
    "fadeIn$",	//205
    "fadeOut",	//206
    "fadeOut$",	//207
    "fadeTo",	//208
    "fadeTo$$",	//209
    "fileName",	//210
    "finished",	//211
    "flags",	//212
    "flags#",	//213
    "focusInEvent",	//214
    "focusInEvent#",	//215
    "focusNextPrevChild",	//216
    "focusNextPrevChild$",	//217
    "focusOutEvent",	//218
    "focusOutEvent#",	//219
    "fontChange",	//220
    "fontChange#",	//221
    "fromIndex",	//222
    "fromIndex$$",	//223
    "hasTracking",	//224
    "hasVideo",	//225
    "hasVideoChanged",	//226
    "hasVideoChanged$",	//227
    "heightForWidth",	//228
    "heightForWidth$",	//229
    "hideEvent",	//230
    "hideEvent#",	//231
    "hue",	//232
    "iconSize",	//233
    "id",	//234
    "index",	//235
    "inputMethodEvent",	//236
    "inputMethodEvent#",	//237
    "inputMethodQuery",	//238
    "inputMethodQuery$",	//239
    "inputPaths",	//240
    "insertEffect",	//241
    "insertEffect#",	//242
    "insertEffect##",	//243
    "insertEffect?",	//244
    "insertEffect?#",	//245
    "isIconVisible",	//246
    "isLogarithmicControl",	//247
    "isMuteVisible",	//248
    "isMuted",	//249
    "isPaused",	//250
    "isPlaying",	//251
    "isSeekable",	//252
    "isValid",	//253
    "keyPressEvent",	//254
    "keyPressEvent#",	//255
    "keyReleaseEvent",	//256
    "keyReleaseEvent#",	//257
    "languageChange",	//258
    "leaveEvent",	//259
    "leaveEvent#",	//260
    "load",	//261
    "load#",	//262
    "maximumValue",	//263
    "maximumVolume",	//264
    "mediaObject",	//265
    "metaData",	//266
    "metaData$",	//267
    "metaDataChanged",	//268
    "metaObject",	//269
    "metric",	//270
    "metric$",	//271
    "mimeData",	//272
    "mimeData$?",	//273
    "mimeTypes",	//274
    "mimeTypes$",	//275
    "minimumSizeHint",	//276
    "minimumValue",	//277
    "modelData",	//278
    "modelData#",	//279
    "mouseDoubleClickEvent",	//280
    "mouseDoubleClickEvent#",	//281
    "mouseMoveEvent",	//282
    "mouseMoveEvent#",	//283
    "mousePressEvent",	//284
    "mousePressEvent#",	//285
    "mouseReleaseEvent",	//286
    "mouseReleaseEvent#",	//287
    "moveDown",	//288
    "moveDown#",	//289
    "moveEvent",	//290
    "moveEvent#",	//291
    "moveUp",	//292
    "moveUp#",	//293
    "mutedChanged",	//294
    "mutedChanged$",	//295
    "name",	//296
    "needData",	//297
    "nextTitle",	//298
    "operator!=",	//299
    "operator!=#",	//300
    "operator<",	//301
    "operator<#",	//302
    "operator=",	//303
    "operator=#",	//304
    "operator==",	//305
    "operator==#",	//306
    "operator>",	//307
    "operator>#",	//308
    "orientation",	//309
    "outputDevice",	//310
    "outputDeviceChanged",	//311
    "outputDeviceChanged?",	//312
    "outputPaths",	//313
    "pageStep",	//314
    "paintEngine",	//315
    "paintEvent",	//316
    "paintEvent#",	//317
    "paletteChange",	//318
    "paletteChange#",	//319
    "parameterValue",	//320
    "parameterValue#",	//321
    "parameters",	//322
    "pause",	//323
    "phononVersion",	//324
    "play",	//325
    "play#",	//326
    "possibleValues",	//327
    "prefinishMark",	//328
    "prefinishMarkReached",	//329
    "prefinishMarkReached$",	//330
    "previousTitle",	//331
    "property",	//332
    "property$",	//333
    "propertyNames",	//334
    "qt_metacall",	//335
    "qt_metacall$$?",	//336
    "queue",	//337
    "reconnect",	//338
    "reconnect##",	//339
    "remainingTime",	//340
    "removeEffect",	//341
    "removeEffect#",	//342
    "removeRows",	//343
    "removeRows$$",	//344
    "removeRows$$#",	//345
    "reset",	//346
    "resizeEvent",	//347
    "resizeEvent#",	//348
    "rowCount",	//349
    "rowCount#",	//350
    "saturation",	//351
    "scaleMode",	//352
    "seek",	//353
    "seek$",	//354
    "seekStream",	//355
    "seekStream$",	//356
    "seekableChanged",	//357
    "seekableChanged$",	//358
    "setAspectRatio",	//359
    "setAspectRatio$",	//360
    "setAudioOutput",	//361
    "setAudioOutput#",	//362
    "setAutoDelete",	//363
    "setAutoDelete$",	//364
    "setAutoplayTitles",	//365
    "setAutoplayTitles$",	//366
    "setBrightness",	//367
    "setBrightness$",	//368
    "setContrast",	//369
    "setContrast$",	//370
    "setCurrentAngle",	//371
    "setCurrentAngle$",	//372
    "setCurrentAudioChannel",	//373
    "setCurrentAudioChannel?",	//374
    "setCurrentChapter",	//375
    "setCurrentChapter$",	//376
    "setCurrentSource",	//377
    "setCurrentSource#",	//378
    "setCurrentSubtitle",	//379
    "setCurrentSubtitle?",	//380
    "setCurrentTitle",	//381
    "setCurrentTitle$",	//382
    "setFadeCurve",	//383
    "setFadeCurve?",	//384
    "setFullScreen",	//385
    "setFullScreen$",	//386
    "setHue",	//387
    "setHue$",	//388
    "setIconSize",	//389
    "setIconSize#",	//390
    "setIconVisible",	//391
    "setIconVisible$",	//392
    "setMaximumVolume",	//393
    "setMaximumVolume$",	//394
    "setMediaObject",	//395
    "setMediaObject#",	//396
    "setModelData",	//397
    "setModelData?",	//398
    "setMuteVisible",	//399
    "setMuteVisible$",	//400
    "setMuted",	//401
    "setMuted$",	//402
    "setName",	//403
    "setName$",	//404
    "setOrientation",	//405
    "setOrientation$",	//406
    "setOutputDevice",	//407
    "setOutputDevice?",	//408
    "setPageStep",	//409
    "setPageStep$",	//410
    "setParameterValue",	//411
    "setParameterValue##",	//412
    "setPrefinishMark",	//413
    "setPrefinishMark$",	//414
    "setQueue",	//415
    "setQueue?",	//416
    "setSaturation",	//417
    "setSaturation$",	//418
    "setScaleMode",	//419
    "setScaleMode$",	//420
    "setSingleStep",	//421
    "setSingleStep$",	//422
    "setStreamSeekable",	//423
    "setStreamSeekable$",	//424
    "setStreamSize",	//425
    "setStreamSize$",	//426
    "setTickInterval",	//427
    "setTickInterval$",	//428
    "setTracking",	//429
    "setTracking$",	//430
    "setTransitionTime",	//431
    "setTransitionTime$",	//432
    "setVisible",	//433
    "setVisible$",	//434
    "setVolume",	//435
    "setVolume$",	//436
    "setVolumeDecibel",	//437
    "setVolumeDecibel$",	//438
    "showEvent",	//439
    "showEvent#",	//440
    "singleStep",	//441
    "sizeHint",	//442
    "state",	//443
    "stateChanged",	//444
    "stateChanged$$",	//445
    "stop",	//446
    "stream",	//447
    "streamSeekable",	//448
    "streamSize",	//449
    "styleChange",	//450
    "styleChange#",	//451
    "supportedDropActions",	//452
    "supportedFeatures",	//453
    "tabletEvent",	//454
    "tabletEvent#",	//455
    "tick",	//456
    "tick$",	//457
    "tickInterval",	//458
    "timerEvent",	//459
    "timerEvent#",	//460
    "titleChanged",	//461
    "titleChanged$",	//462
    "totalTime",	//463
    "totalTimeChanged",	//464
    "totalTimeChanged$",	//465
    "transitionTime",	//466
    "tupleIndexAtPositionIndex",	//467
    "tupleIndexAtPositionIndex$",	//468
    "tupleIndexOrder",	//469
    "type",	//470
    "url",	//471
    "videoWidget",	//472
    "volume",	//473
    "volumeChanged",	//474
    "volumeChanged$",	//475
    "volumeDecibel",	//476
    "wheelEvent",	//477
    "wheelEvent#",	//478
    "windowActivationChange",	//479
    "windowActivationChange$",	//480
    "writeData",	//481
    "writeData#",	//482
    "~AbstractAudioOutput",	//483
    "~AbstractMediaStream",	//484
    "~AbstractVideoOutput",	//485
    "~AudioOutput",	//486
    "~Effect",	//487
    "~EffectParameter",	//488
    "~EffectWidget",	//489
    "~MediaController",	//490
    "~MediaNode",	//491
    "~MediaObject",	//492
    "~MediaSource",	//493
    "~ObjectDescriptionData",	//494
    "~ObjectDescriptionModelData",	//495
    "~Path",	//496
    "~SeekSlider",	//497
    "~StreamInterface",	//498
    "~VideoPlayer",	//499
    "~VideoWidget",	//500
    "~VolumeFaderEffect",	//501
    "~VolumeSlider",	//502
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method phonon_methods[] = {
	{1, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 1},	//0 Phonon::AudioOutputDeviceType (enum)
	{1, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 2},	//1 Phonon::EffectType (enum)
	{1, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 3},	//2 Phonon::AudioChannelType (enum)
	{1, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 4},	//3 Phonon::SubtitleType (enum)
	{1, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 5},	//4 Phonon::AudioCaptureDeviceType (enum)
	{1, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 6},	//5 Phonon::NoDisc (enum)
	{1, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 7},	//6 Phonon::Cd (enum)
	{1, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 8},	//7 Phonon::Dvd (enum)
	{1, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 9},	//8 Phonon::Vcd (enum)
	{1, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 10},	//9 Phonon::ArtistMetaData (enum)
	{1, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 11},	//10 Phonon::AlbumMetaData (enum)
	{1, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 12},	//11 Phonon::TitleMetaData (enum)
	{1, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 13},	//12 Phonon::DateMetaData (enum)
	{1, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 14},	//13 Phonon::GenreMetaData (enum)
	{1, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 15},	//14 Phonon::TracknumberMetaData (enum)
	{1, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 16},	//15 Phonon::DescriptionMetaData (enum)
	{1, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 17},	//16 Phonon::MusicBrainzDiscIdMetaData (enum)
	{1, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 18},	//17 Phonon::LoadingState (enum)
	{1, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 19},	//18 Phonon::StoppedState (enum)
	{1, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 20},	//19 Phonon::PlayingState (enum)
	{1, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 21},	//20 Phonon::BufferingState (enum)
	{1, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 22},	//21 Phonon::PausedState (enum)
	{1, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 23},	//22 Phonon::ErrorState (enum)
	{1, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 24},	//23 Phonon::NoCategory (enum)
	{1, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 25},	//24 Phonon::NotificationCategory (enum)
	{1, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 26},	//25 Phonon::MusicCategory (enum)
	{1, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 27},	//26 Phonon::VideoCategory (enum)
	{1, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 28},	//27 Phonon::CommunicationCategory (enum)
	{1, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 29},	//28 Phonon::GameCategory (enum)
	{1, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 30},	//29 Phonon::AccessibilityCategory (enum)
	{1, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 31},	//30 Phonon::LastCategory (enum)
	{1, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 32},	//31 Phonon::NoError (enum)
	{1, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//32 Phonon::NormalError (enum)
	{1, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//33 Phonon::FatalError (enum)
	{1, 148, 234, 2, Smoke::mf_static, 23, 35},	//34 Phonon::createPlayer(Phonon::Category, const Phonon::MediaSource&)
	{1, 148, 226, 1, Smoke::mf_static, 23, 36},	//35 Phonon::createPlayer(Phonon::Category)
	{1, 146, 49, 2, Smoke::mf_static, 36, 37},	//36 Phonon::createPath(Phonon::MediaNode*, Phonon::MediaNode*)
	{1, 324, 0, 0, Smoke::mf_static, 368, 38},	//37 Phonon::phononVersion()
	{1, 128, 226, 1, Smoke::mf_static, 173, 39},	//38 Phonon::categoryToString(Phonon::Category)
	{2, 269, 0, 0, Smoke::mf_const, 350, 1},	//39 Phonon::AbstractAudioOutput::metaObject() const
	{2, 335, 17, 3, 0, 371, 2},	//40 Phonon::AbstractAudioOutput::qt_metacall(QMetaObject::Call, int, void**)
	{2, 483, 0, 0, Smoke::mf_dtor, 0, 3},	//41 Phonon::AbstractAudioOutput::~AbstractAudioOutput()
	{3, 269, 0, 0, Smoke::mf_const, 350, 1},	//42 Phonon::AbstractMediaStream::metaObject() const
	{3, 335, 17, 3, 0, 371, 2},	//43 Phonon::AbstractMediaStream::qt_metacall(QMetaObject::Call, int, void**)
	{3, 484, 0, 0, Smoke::mf_dtor, 0, 16},	//44 Phonon::AbstractMediaStream::~AbstractMediaStream()
	{3, 1, 25, 1, Smoke::mf_ctor|Smoke::mf_protected, 4, 3},	//45 Phonon::AbstractMediaStream::AbstractMediaStream(QObject*)
	{3, 1, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 4, 4},	//46 Phonon::AbstractMediaStream::AbstractMediaStream()
	{3, 449, 0, 0, Smoke::mf_const|Smoke::mf_protected, 373, 5},	//47 Phonon::AbstractMediaStream::streamSize() const
	{3, 425, 196, 1, Smoke::mf_protected, 0, 6},	//48 Phonon::AbstractMediaStream::setStreamSize(qint64)
	{3, 448, 0, 0, Smoke::mf_const|Smoke::mf_protected, 323, 7},	//49 Phonon::AbstractMediaStream::streamSeekable() const
	{3, 423, 67, 1, Smoke::mf_protected, 0, 8},	//50 Phonon::AbstractMediaStream::setStreamSeekable(bool)
	{3, 481, 102, 1, Smoke::mf_protected, 0, 9},	//51 Phonon::AbstractMediaStream::writeData(const QByteArray&)
	{3, 186, 0, 0, Smoke::mf_protected, 0, 10},	//52 Phonon::AbstractMediaStream::endOfData()
	{3, 194, 38, 2, Smoke::mf_protected, 0, 11},	//53 Phonon::AbstractMediaStream::error(Phonon::ErrorType, const QString&)
	{3, 346, 0, 0, Smoke::mf_protected, 0, 12},	//54 Phonon::AbstractMediaStream::reset() [pure virtual]
	{3, 297, 0, 0, Smoke::mf_protected, 0, 13},	//55 Phonon::AbstractMediaStream::needData() [pure virtual]
	{3, 187, 0, 0, Smoke::mf_protected, 0, 14},	//56 Phonon::AbstractMediaStream::enoughData()
	{3, 355, 196, 1, Smoke::mf_protected, 0, 15},	//57 Phonon::AbstractMediaStream::seekStream(qint64)
	{4, 485, 0, 0, Smoke::mf_dtor, 0, 2},	//58 Phonon::AbstractVideoOutput::~AbstractVideoOutput()
	{4, 3, 69, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 5, 1},	//59 Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
	{5, 269, 0, 0, Smoke::mf_const, 350, 1},	//60 Phonon::AudioOutput::metaObject() const
	{5, 335, 17, 3, 0, 371, 2},	//61 Phonon::AudioOutput::qt_metacall(QMetaObject::Call, int, void**)
	{5, 15, 228, 2, Smoke::mf_ctor, 6, 3},	//62 Phonon::AudioOutput::AudioOutput(Phonon::Category, QObject*)
	{5, 15, 226, 1, Smoke::mf_ctor, 6, 4},	//63 Phonon::AudioOutput::AudioOutput(Phonon::Category)
	{5, 15, 25, 1, Smoke::mf_ctor, 6, 5},	//64 Phonon::AudioOutput::AudioOutput(QObject*)
	{5, 15, 0, 0, Smoke::mf_ctor, 6, 6},	//65 Phonon::AudioOutput::AudioOutput()
	{5, 296, 0, 0, Smoke::mf_const, 173, 7},	//66 Phonon::AudioOutput::name() const
	{5, 473, 0, 0, Smoke::mf_const, 374, 8},	//67 Phonon::AudioOutput::volume() const
	{5, 476, 0, 0, Smoke::mf_const, 374, 9},	//68 Phonon::AudioOutput::volumeDecibel() const
	{5, 127, 0, 0, Smoke::mf_const, 8, 10},	//69 Phonon::AudioOutput::category() const
	{5, 310, 0, 0, Smoke::mf_const, 30, 11},	//70 Phonon::AudioOutput::outputDevice() const
	{5, 249, 0, 0, Smoke::mf_const, 323, 12},	//71 Phonon::AudioOutput::isMuted() const
	{5, 486, 0, 0, Smoke::mf_dtor, 0, 21},	//72 Phonon::AudioOutput::~AudioOutput()
	{5, 403, 136, 1, 0, 0, 13},	//73 Phonon::AudioOutput::setName(const QString&)
	{5, 435, 198, 1, 0, 0, 14},	//74 Phonon::AudioOutput::setVolume(qreal)
	{5, 437, 198, 1, 0, 0, 15},	//75 Phonon::AudioOutput::setVolumeDecibel(qreal)
	{5, 407, 82, 1, 0, 323, 16},	//76 Phonon::AudioOutput::setOutputDevice(const Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>&)
	{5, 401, 67, 1, 0, 0, 17},	//77 Phonon::AudioOutput::setMuted(bool)
	{5, 474, 198, 1, 0, 0, 18},	//78 Phonon::AudioOutput::volumeChanged(qreal)
	{5, 294, 67, 1, 0, 0, 19},	//79 Phonon::AudioOutput::mutedChanged(bool)
	{5, 311, 82, 1, 0, 0, 20},	//80 Phonon::AudioOutput::outputDeviceChanged(const Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>&)
	{6, 269, 0, 0, Smoke::mf_const, 350, 1},	//81 Phonon::Effect::metaObject() const
	{6, 335, 17, 3, 0, 371, 2},	//82 Phonon::Effect::qt_metacall(QMetaObject::Call, int, void**)
	{6, 487, 0, 0, Smoke::mf_dtor, 0, 9},	//83 Phonon::Effect::~Effect()
	{6, 28, 89, 2, Smoke::mf_ctor, 10, 3},	//84 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*)
	{6, 28, 84, 1, Smoke::mf_ctor, 10, 4},	//85 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&)
	{6, 166, 0, 0, Smoke::mf_const, 31, 5},	//86 Phonon::Effect::description() const
	{6, 322, 0, 0, Smoke::mf_const, 119, 6},	//87 Phonon::Effect::parameters() const
	{6, 320, 71, 1, Smoke::mf_const, 224, 7},	//88 Phonon::Effect::parameterValue(const Phonon::EffectParameter&) const
	{6, 411, 73, 2, 0, 0, 8},	//89 Phonon::Effect::setParameterValue(const Phonon::EffectParameter&, const QVariant&)
	{7, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 1},	//90 Phonon::EffectParameter::ToggledHint (enum)
	{7, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 2},	//91 Phonon::EffectParameter::LogarithmicHint (enum)
	{7, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 3},	//92 Phonon::EffectParameter::IntegerHint (enum)
	{7, 31, 0, 0, Smoke::mf_ctor, 12, 4},	//93 Phonon::EffectParameter::EffectParameter()
	{7, 296, 0, 0, Smoke::mf_const, 365, 5},	//94 Phonon::EffectParameter::name() const
	{7, 166, 0, 0, Smoke::mf_const, 365, 6},	//95 Phonon::EffectParameter::description() const
	{7, 470, 0, 0, Smoke::mf_const, 225, 7},	//96 Phonon::EffectParameter::type() const
	{7, 247, 0, 0, Smoke::mf_const, 323, 8},	//97 Phonon::EffectParameter::isLogarithmicControl() const
	{7, 277, 0, 0, Smoke::mf_const, 224, 9},	//98 Phonon::EffectParameter::minimumValue() const
	{7, 263, 0, 0, Smoke::mf_const, 224, 10},	//99 Phonon::EffectParameter::maximumValue() const
	{7, 165, 0, 0, Smoke::mf_const, 224, 11},	//100 Phonon::EffectParameter::defaultValue() const
	{7, 327, 0, 0, Smoke::mf_const, 126, 12},	//101 Phonon::EffectParameter::possibleValues() const
	{7, 301, 71, 1, Smoke::mf_const, 323, 13},	//102 Phonon::EffectParameter::operator<(const Phonon::EffectParameter&) const
	{7, 307, 71, 1, Smoke::mf_const, 323, 14},	//103 Phonon::EffectParameter::operator>(const Phonon::EffectParameter&) const
	{7, 305, 71, 1, Smoke::mf_const, 323, 15},	//104 Phonon::EffectParameter::operator==(const Phonon::EffectParameter&) const
	{7, 488, 0, 0, Smoke::mf_dtor, 0, 24},	//105 Phonon::EffectParameter::~EffectParameter()
	{7, 31, 71, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 12, 16},	//106 Phonon::EffectParameter::EffectParameter(const Phonon::EffectParameter&)
	{7, 303, 71, 1, 0, 11, 17},	//107 Phonon::EffectParameter::operator=(const Phonon::EffectParameter&)
	{7, 31, 180, 8, Smoke::mf_ctor, 12, 18},	//108 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&)
	{7, 31, 172, 7, Smoke::mf_ctor, 12, 19},	//109 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&)
	{7, 31, 165, 6, Smoke::mf_ctor, 12, 20},	//110 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&)
	{7, 31, 159, 5, Smoke::mf_ctor, 12, 21},	//111 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&)
	{7, 31, 154, 4, Smoke::mf_ctor, 12, 22},	//112 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&)
	{7, 234, 0, 0, Smoke::mf_const, 371, 23},	//113 Phonon::EffectParameter::id() const
	{8, 269, 0, 0, Smoke::mf_const, 350, 1},	//114 Phonon::EffectWidget::metaObject() const
	{8, 335, 17, 3, 0, 371, 2},	//115 Phonon::EffectWidget::qt_metacall(QMetaObject::Call, int, void**)
	{8, 39, 6, 2, Smoke::mf_ctor, 16, 3},	//116 Phonon::EffectWidget::EffectWidget(Phonon::Effect*, QWidget*)
	{8, 39, 1, 1, Smoke::mf_ctor, 16, 4},	//117 Phonon::EffectWidget::EffectWidget(Phonon::Effect*)
	{8, 489, 0, 0, Smoke::mf_dtor, 0, 5},	//118 Phonon::EffectWidget::~EffectWidget()
	{9, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 1},	//119 Phonon::MediaController::Angles (enum)
	{9, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 2},	//120 Phonon::MediaController::Chapters (enum)
	{9, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 3},	//121 Phonon::MediaController::Titles (enum)
	{9, 269, 0, 0, Smoke::mf_const, 350, 4},	//122 Phonon::MediaController::metaObject() const
	{9, 335, 17, 3, 0, 371, 5},	//123 Phonon::MediaController::qt_metacall(QMetaObject::Call, int, void**)
	{9, 53, 56, 1, Smoke::mf_ctor, 18, 6},	//124 Phonon::MediaController::MediaController(Phonon::MediaObject*)
	{9, 490, 0, 0, Smoke::mf_dtor, 0, 35},	//125 Phonon::MediaController::~MediaController()
	{9, 453, 0, 0, Smoke::mf_const, 20, 7},	//126 Phonon::MediaController::supportedFeatures() const
	{9, 111, 0, 0, Smoke::mf_const, 371, 8},	//127 Phonon::MediaController::availableAngles() const
	{9, 151, 0, 0, Smoke::mf_const, 371, 9},	//128 Phonon::MediaController::currentAngle() const
	{9, 116, 0, 0, Smoke::mf_const, 371, 10},	//129 Phonon::MediaController::availableChapters() const
	{9, 153, 0, 0, Smoke::mf_const, 371, 11},	//130 Phonon::MediaController::currentChapter() const
	{9, 121, 0, 0, Smoke::mf_const, 371, 12},	//131 Phonon::MediaController::availableTitles() const
	{9, 159, 0, 0, Smoke::mf_const, 371, 13},	//132 Phonon::MediaController::currentTitle() const
	{9, 110, 0, 0, Smoke::mf_const, 323, 14},	//133 Phonon::MediaController::autoplayTitles() const
	{9, 152, 0, 0, Smoke::mf_const, 29, 15},	//134 Phonon::MediaController::currentAudioChannel() const
	{9, 157, 0, 0, Smoke::mf_const, 32, 16},	//135 Phonon::MediaController::currentSubtitle() const
	{9, 114, 0, 0, Smoke::mf_const, 121, 17},	//136 Phonon::MediaController::availableAudioChannels() const
	{9, 119, 0, 0, Smoke::mf_const, 122, 18},	//137 Phonon::MediaController::availableSubtitles() const
	{9, 373, 80, 1, 0, 0, 19},	//138 Phonon::MediaController::setCurrentAudioChannel(const Phonon::ObjectDescription<Phonon::AudioChannelType>&)
	{9, 379, 92, 1, 0, 0, 20},	//139 Phonon::MediaController::setCurrentSubtitle(const Phonon::ObjectDescription<Phonon::SubtitleType>&)
	{9, 371, 149, 1, 0, 0, 21},	//140 Phonon::MediaController::setCurrentAngle(int)
	{9, 375, 149, 1, 0, 0, 22},	//141 Phonon::MediaController::setCurrentChapter(int)
	{9, 381, 149, 1, 0, 0, 23},	//142 Phonon::MediaController::setCurrentTitle(int)
	{9, 365, 67, 1, 0, 0, 24},	//143 Phonon::MediaController::setAutoplayTitles(bool)
	{9, 298, 0, 0, 0, 0, 25},	//144 Phonon::MediaController::nextTitle()
	{9, 331, 0, 0, 0, 0, 26},	//145 Phonon::MediaController::previousTitle()
	{9, 120, 0, 0, 0, 0, 27},	//146 Phonon::MediaController::availableSubtitlesChanged()
	{9, 115, 0, 0, 0, 0, 28},	//147 Phonon::MediaController::availableAudioChannelsChanged()
	{9, 112, 149, 1, 0, 0, 29},	//148 Phonon::MediaController::availableAnglesChanged(int)
	{9, 105, 149, 1, 0, 0, 30},	//149 Phonon::MediaController::angleChanged(int)
	{9, 117, 149, 1, 0, 0, 31},	//150 Phonon::MediaController::availableChaptersChanged(int)
	{9, 132, 149, 1, 0, 0, 32},	//151 Phonon::MediaController::chapterChanged(int)
	{9, 122, 149, 1, 0, 0, 33},	//152 Phonon::MediaController::availableTitlesChanged(int)
	{9, 461, 149, 1, 0, 0, 34},	//153 Phonon::MediaController::titleChanged(int)
	{10, 491, 0, 0, Smoke::mf_dtor, 0, 5},	//154 Phonon::MediaNode::~MediaNode()
	{10, 253, 0, 0, Smoke::mf_const, 323, 1},	//155 Phonon::MediaNode::isValid() const
	{10, 240, 0, 0, Smoke::mf_const, 123, 2},	//156 Phonon::MediaNode::inputPaths() const
	{10, 313, 0, 0, Smoke::mf_const, 123, 3},	//157 Phonon::MediaNode::outputPaths() const
	{10, 55, 76, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 22, 4},	//158 Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
	{11, 269, 0, 0, Smoke::mf_const, 350, 1},	//159 Phonon::MediaObject::metaObject() const
	{11, 335, 17, 3, 0, 371, 2},	//160 Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**)
	{11, 492, 0, 0, Smoke::mf_dtor, 0, 45},	//161 Phonon::MediaObject::~MediaObject()
	{11, 443, 0, 0, Smoke::mf_const, 40, 3},	//162 Phonon::MediaObject::state() const
	{11, 225, 0, 0, Smoke::mf_const, 323, 4},	//163 Phonon::MediaObject::hasVideo() const
	{11, 252, 0, 0, Smoke::mf_const, 323, 5},	//164 Phonon::MediaObject::isSeekable() const
	{11, 458, 0, 0, Smoke::mf_const, 371, 6},	//165 Phonon::MediaObject::tickInterval() const
	{11, 266, 136, 1, Smoke::mf_const, 177, 7},	//166 Phonon::MediaObject::metaData(const QString&) const
	{11, 266, 63, 1, Smoke::mf_const, 177, 8},	//167 Phonon::MediaObject::metaData(Phonon::MetaData) const
	{11, 266, 0, 0, Smoke::mf_const, 142, 9},	//168 Phonon::MediaObject::metaData() const
	{11, 196, 0, 0, Smoke::mf_const, 173, 10},	//169 Phonon::MediaObject::errorString() const
	{11, 197, 0, 0, Smoke::mf_const, 17, 11},	//170 Phonon::MediaObject::errorType() const
	{11, 154, 0, 0, Smoke::mf_const, 24, 12},	//171 Phonon::MediaObject::currentSource() const
	{11, 377, 78, 1, 0, 0, 13},	//172 Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&)
	{11, 337, 0, 0, Smoke::mf_const, 120, 14},	//173 Phonon::MediaObject::queue() const
	{11, 415, 106, 1, 0, 0, 15},	//174 Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
	{11, 415, 110, 1, 0, 0, 16},	//175 Phonon::MediaObject::setQueue(const QList<QUrl>&)
	{11, 188, 78, 1, 0, 0, 17},	//176 Phonon::MediaObject::enqueue(const Phonon::MediaSource&)
	{11, 188, 106, 1, 0, 0, 18},	//177 Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
	{11, 188, 110, 1, 0, 0, 19},	//178 Phonon::MediaObject::enqueue(const QList<QUrl>&)
	{11, 136, 0, 0, 0, 0, 20},	//179 Phonon::MediaObject::clearQueue()
	{11, 158, 0, 0, Smoke::mf_const, 373, 21},	//180 Phonon::MediaObject::currentTime() const
	{11, 463, 0, 0, Smoke::mf_const, 373, 22},	//181 Phonon::MediaObject::totalTime() const
	{11, 340, 0, 0, Smoke::mf_const, 373, 23},	//182 Phonon::MediaObject::remainingTime() const
	{11, 328, 0, 0, Smoke::mf_const, 371, 24},	//183 Phonon::MediaObject::prefinishMark() const
	{11, 413, 149, 1, 0, 0, 25},	//184 Phonon::MediaObject::setPrefinishMark(int)
	{11, 466, 0, 0, Smoke::mf_const, 371, 26},	//185 Phonon::MediaObject::transitionTime() const
	{11, 431, 149, 1, 0, 0, 27},	//186 Phonon::MediaObject::setTransitionTime(int)
	{11, 57, 0, 0, Smoke::mf_ctor, 23, 28},	//187 Phonon::MediaObject::MediaObject()
	{11, 427, 149, 1, 0, 0, 29},	//188 Phonon::MediaObject::setTickInterval(int)
	{11, 325, 0, 0, 0, 0, 30},	//189 Phonon::MediaObject::play()
	{11, 323, 0, 0, 0, 0, 31},	//190 Phonon::MediaObject::pause()
	{11, 446, 0, 0, 0, 0, 32},	//191 Phonon::MediaObject::stop()
	{11, 353, 196, 1, 0, 0, 33},	//192 Phonon::MediaObject::seek(qint64)
	{11, 444, 202, 2, 0, 0, 34},	//193 Phonon::MediaObject::stateChanged(Phonon::State, Phonon::State)
	{11, 456, 196, 1, 0, 0, 35},	//194 Phonon::MediaObject::tick(qint64)
	{11, 268, 0, 0, 0, 0, 36},	//195 Phonon::MediaObject::metaDataChanged()
	{11, 357, 67, 1, 0, 0, 37},	//196 Phonon::MediaObject::seekableChanged(bool)
	{11, 226, 67, 1, 0, 0, 38},	//197 Phonon::MediaObject::hasVideoChanged(bool)
	{11, 125, 149, 1, 0, 0, 39},	//198 Phonon::MediaObject::bufferStatus(int)
	{11, 211, 0, 0, 0, 0, 40},	//199 Phonon::MediaObject::finished()
	{11, 155, 78, 1, 0, 0, 41},	//200 Phonon::MediaObject::currentSourceChanged(const Phonon::MediaSource&)
	{11, 102, 0, 0, 0, 0, 42},	//201 Phonon::MediaObject::aboutToFinish()
	{11, 329, 149, 1, 0, 0, 43},	//202 Phonon::MediaObject::prefinishMarkReached(int)
	{11, 464, 196, 1, 0, 0, 44},	//203 Phonon::MediaObject::totalTimeChanged(qint64)
	{12, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 1},	//204 Phonon::MediaSource::Invalid (enum)
	{12, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 2},	//205 Phonon::MediaSource::LocalFile (enum)
	{12, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 3},	//206 Phonon::MediaSource::Url (enum)
	{12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 4},	//207 Phonon::MediaSource::Disc (enum)
	{12, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 5},	//208 Phonon::MediaSource::Stream (enum)
	{12, 58, 0, 0, Smoke::mf_ctor, 26, 6},	//209 Phonon::MediaSource::MediaSource()
	{12, 58, 136, 1, Smoke::mf_ctor, 26, 7},	//210 Phonon::MediaSource::MediaSource(const QString&)
	{12, 58, 138, 1, Smoke::mf_ctor, 26, 8},	//211 Phonon::MediaSource::MediaSource(const QUrl&)
	{12, 58, 247, 2, Smoke::mf_ctor, 26, 9},	//212 Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
	{12, 58, 245, 1, Smoke::mf_ctor, 26, 10},	//213 Phonon::MediaSource::MediaSource(Phonon::DiscType)
	{12, 58, 200, 1, Smoke::mf_ctor, 26, 11},	//214 Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
	{12, 58, 11, 1, Smoke::mf_ctor, 26, 12},	//215 Phonon::MediaSource::MediaSource(QIODevice*)
	{12, 493, 0, 0, Smoke::mf_dtor, 0, 24},	//216 Phonon::MediaSource::~MediaSource()
	{12, 58, 78, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 26, 13},	//217 Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
	{12, 303, 78, 1, 0, 25, 14},	//218 Phonon::MediaSource::operator=(const Phonon::MediaSource&)
	{12, 305, 78, 1, Smoke::mf_const, 323, 15},	//219 Phonon::MediaSource::operator==(const Phonon::MediaSource&) const
	{12, 363, 67, 1, 0, 0, 16},	//220 Phonon::MediaSource::setAutoDelete(bool)
	{12, 109, 0, 0, Smoke::mf_const, 323, 17},	//221 Phonon::MediaSource::autoDelete() const
	{12, 470, 0, 0, Smoke::mf_const, 27, 18},	//222 Phonon::MediaSource::type() const
	{12, 210, 0, 0, Smoke::mf_const, 173, 19},	//223 Phonon::MediaSource::fileName() const
	{12, 471, 0, 0, Smoke::mf_const, 219, 20},	//224 Phonon::MediaSource::url() const
	{12, 169, 0, 0, Smoke::mf_const, 9, 21},	//225 Phonon::MediaSource::discType() const
	{12, 168, 0, 0, Smoke::mf_const, 173, 22},	//226 Phonon::MediaSource::deviceName() const
	{12, 447, 0, 0, Smoke::mf_const, 4, 23},	//227 Phonon::MediaSource::stream() const
	{13, 305, 94, 1, Smoke::mf_const, 323, 1},	//228 Phonon::ObjectDescriptionData::operator==(const Phonon::ObjectDescriptionData&) const
	{13, 296, 0, 0, Smoke::mf_const, 173, 2},	//229 Phonon::ObjectDescriptionData::name() const
	{13, 166, 0, 0, Smoke::mf_const, 173, 3},	//230 Phonon::ObjectDescriptionData::description() const
	{13, 332, 140, 1, Smoke::mf_const, 224, 4},	//231 Phonon::ObjectDescriptionData::property(const char*) const
	{13, 334, 0, 0, Smoke::mf_const, 124, 5},	//232 Phonon::ObjectDescriptionData::propertyNames() const
	{13, 253, 0, 0, Smoke::mf_const, 323, 6},	//233 Phonon::ObjectDescriptionData::isValid() const
	{13, 235, 0, 0, Smoke::mf_const, 371, 7},	//234 Phonon::ObjectDescriptionData::index() const
	{13, 494, 0, 0, Smoke::mf_dtor, 0, 10},	//235 Phonon::ObjectDescriptionData::~ObjectDescriptionData()
	{13, 69, 151, 2, Smoke::mf_ctor, 33, 8},	//236 Phonon::ObjectDescriptionData::ObjectDescriptionData(int, const QHash<QByteArray, QVariant>&)
	{13, 222, 124, 2, Smoke::mf_static, 33, 9},	//237 Phonon::ObjectDescriptionData::fromIndex(Phonon::ObjectDescriptionType, int)
	{14, 349, 127, 1, Smoke::mf_const, 371, 1},	//238 Phonon::ObjectDescriptionModelData::rowCount(const QModelIndex&) const
	{14, 349, 0, 0, Smoke::mf_const, 371, 2},	//239 Phonon::ObjectDescriptionModelData::rowCount() const
	{14, 162, 129, 2, Smoke::mf_const, 224, 3},	//240 Phonon::ObjectDescriptionModelData::data(const QModelIndex&, int) const
	{14, 162, 127, 1, Smoke::mf_const, 224, 4},	//241 Phonon::ObjectDescriptionModelData::data(const QModelIndex&) const
	{14, 212, 127, 1, Smoke::mf_const, 271, 5},	//242 Phonon::ObjectDescriptionModelData::flags(const QModelIndex&) const
	{14, 469, 0, 0, Smoke::mf_const, 127, 6},	//243 Phonon::ObjectDescriptionModelData::tupleIndexOrder() const
	{14, 467, 149, 1, Smoke::mf_const, 371, 7},	//244 Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex(int) const
	{14, 272, 114, 2, Smoke::mf_const, 139, 8},	//245 Phonon::ObjectDescriptionModelData::mimeData(Phonon::ObjectDescriptionType, const QList<QModelIndex>&) const
	{14, 292, 127, 1, 0, 0, 9},	//246 Phonon::ObjectDescriptionModelData::moveUp(const QModelIndex&)
	{14, 288, 127, 1, 0, 0, 10},	//247 Phonon::ObjectDescriptionModelData::moveDown(const QModelIndex&)
	{14, 397, 108, 1, 0, 0, 11},	//248 Phonon::ObjectDescriptionModelData::setModelData(const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&)
	{14, 278, 0, 0, Smoke::mf_const, 125, 12},	//249 Phonon::ObjectDescriptionModelData::modelData() const
	{14, 278, 127, 1, Smoke::mf_const, 87, 13},	//250 Phonon::ObjectDescriptionModelData::modelData(const QModelIndex&) const
	{14, 452, 0, 0, Smoke::mf_const, 257, 14},	//251 Phonon::ObjectDescriptionModelData::supportedDropActions() const
	{14, 181, 117, 6, 0, 323, 15},	//252 Phonon::ObjectDescriptionModelData::dropMimeData(Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
	{14, 343, 192, 3, 0, 323, 16},	//253 Phonon::ObjectDescriptionModelData::removeRows(int, int, const QModelIndex&)
	{14, 343, 189, 2, 0, 323, 17},	//254 Phonon::ObjectDescriptionModelData::removeRows(int, int)
	{14, 274, 112, 1, Smoke::mf_const, 177, 18},	//255 Phonon::ObjectDescriptionModelData::mimeTypes(Phonon::ObjectDescriptionType) const
	{14, 71, 209, 1, Smoke::mf_ctor, 34, 19},	//256 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
	{14, 71, 96, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 34, 20},	//257 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
	{15, 496, 0, 0, Smoke::mf_dtor, 0, 15},	//258 Phonon::Path::~Path()
	{15, 73, 0, 0, Smoke::mf_ctor, 38, 1},	//259 Phonon::Path::Path()
	{15, 73, 98, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 38, 2},	//260 Phonon::Path::Path(const Phonon::Path&)
	{15, 253, 0, 0, Smoke::mf_const, 323, 3},	//261 Phonon::Path::isValid() const
	{15, 241, 86, 2, 0, 10, 4},	//262 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*)
	{15, 241, 84, 1, 0, 10, 5},	//263 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&)
	{15, 241, 3, 2, 0, 323, 6},	//264 Phonon::Path::insertEffect(Phonon::Effect*, Phonon::Effect*)
	{15, 241, 1, 1, 0, 323, 7},	//265 Phonon::Path::insertEffect(Phonon::Effect*)
	{15, 341, 1, 1, 0, 323, 8},	//266 Phonon::Path::removeEffect(Phonon::Effect*)
	{15, 183, 0, 0, Smoke::mf_const, 118, 9},	//267 Phonon::Path::effects() const
	{15, 338, 49, 2, 0, 323, 10},	//268 Phonon::Path::reconnect(Phonon::MediaNode*, Phonon::MediaNode*)
	{15, 170, 0, 0, 0, 323, 11},	//269 Phonon::Path::disconnect()
	{15, 303, 98, 1, 0, 37, 12},	//270 Phonon::Path::operator=(const Phonon::Path&)
	{15, 305, 98, 1, Smoke::mf_const, 323, 13},	//271 Phonon::Path::operator==(const Phonon::Path&) const
	{15, 299, 98, 1, Smoke::mf_const, 323, 14},	//272 Phonon::Path::operator!=(const Phonon::Path&) const
	{16, 269, 0, 0, Smoke::mf_const, 350, 1},	//273 Phonon::SeekSlider::metaObject() const
	{16, 335, 17, 3, 0, 371, 2},	//274 Phonon::SeekSlider::qt_metacall(QMetaObject::Call, int, void**)
	{16, 78, 54, 1, Smoke::mf_ctor, 39, 3},	//275 Phonon::SeekSlider::SeekSlider(QWidget*)
	{16, 78, 0, 0, Smoke::mf_ctor, 39, 4},	//276 Phonon::SeekSlider::SeekSlider()
	{16, 78, 58, 2, Smoke::mf_ctor, 39, 5},	//277 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*, QWidget*)
	{16, 78, 56, 1, Smoke::mf_ctor, 39, 6},	//278 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
	{16, 497, 0, 0, Smoke::mf_dtor, 0, 21},	//279 Phonon::SeekSlider::~SeekSlider()
	{16, 224, 0, 0, Smoke::mf_const, 323, 7},	//280 Phonon::SeekSlider::hasTracking() const
	{16, 429, 67, 1, 0, 0, 8},	//281 Phonon::SeekSlider::setTracking(bool)
	{16, 314, 0, 0, Smoke::mf_const, 371, 9},	//282 Phonon::SeekSlider::pageStep() const
	{16, 409, 149, 1, 0, 0, 10},	//283 Phonon::SeekSlider::setPageStep(int)
	{16, 441, 0, 0, Smoke::mf_const, 371, 11},	//284 Phonon::SeekSlider::singleStep() const
	{16, 421, 149, 1, 0, 0, 12},	//285 Phonon::SeekSlider::setSingleStep(int)
	{16, 309, 0, 0, Smoke::mf_const, 287, 13},	//286 Phonon::SeekSlider::orientation() const
	{16, 246, 0, 0, Smoke::mf_const, 323, 14},	//287 Phonon::SeekSlider::isIconVisible() const
	{16, 233, 0, 0, Smoke::mf_const, 167, 15},	//288 Phonon::SeekSlider::iconSize() const
	{16, 265, 0, 0, Smoke::mf_const, 23, 16},	//289 Phonon::SeekSlider::mediaObject() const
	{16, 405, 65, 1, 0, 0, 17},	//290 Phonon::SeekSlider::setOrientation(Qt::Orientation)
	{16, 391, 67, 1, 0, 0, 18},	//291 Phonon::SeekSlider::setIconVisible(bool)
	{16, 389, 134, 1, 0, 0, 19},	//292 Phonon::SeekSlider::setIconSize(const QSize&)
	{16, 395, 56, 1, 0, 0, 20},	//293 Phonon::SeekSlider::setMediaObject(Phonon::MediaObject*)
	{17, 498, 0, 0, Smoke::mf_dtor, 0, 12},	//294 Phonon::StreamInterface::~StreamInterface()
	{17, 481, 102, 1, 0, 0, 1},	//295 Phonon::StreamInterface::writeData(const QByteArray&) [pure virtual]
	{17, 186, 0, 0, 0, 0, 2},	//296 Phonon::StreamInterface::endOfData() [pure virtual]
	{17, 425, 196, 1, 0, 0, 3},	//297 Phonon::StreamInterface::setStreamSize(qint64) [pure virtual]
	{17, 423, 67, 1, 0, 0, 4},	//298 Phonon::StreamInterface::setStreamSeekable(bool) [pure virtual]
	{17, 141, 78, 1, 0, 0, 5},	//299 Phonon::StreamInterface::connectToSource(const Phonon::MediaSource&)
	{17, 297, 0, 0, 0, 0, 6},	//300 Phonon::StreamInterface::needData()
	{17, 187, 0, 0, 0, 0, 7},	//301 Phonon::StreamInterface::enoughData()
	{17, 355, 196, 1, 0, 0, 8},	//302 Phonon::StreamInterface::seekStream(qint64)
	{17, 346, 0, 0, 0, 0, 9},	//303 Phonon::StreamInterface::reset()
	{17, 83, 100, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 41, 10},	//304 Phonon::StreamInterface::StreamInterface(const Phonon::StreamInterface&)
	{17, 83, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 41, 11},	//305 Phonon::StreamInterface::StreamInterface()
	{18, 269, 0, 0, Smoke::mf_const, 350, 1},	//306 Phonon::VideoPlayer::metaObject() const
	{18, 335, 17, 3, 0, 371, 2},	//307 Phonon::VideoPlayer::qt_metacall(QMetaObject::Call, int, void**)
	{18, 93, 231, 2, Smoke::mf_ctor, 42, 3},	//308 Phonon::VideoPlayer::VideoPlayer(Phonon::Category, QWidget*)
	{18, 93, 226, 1, Smoke::mf_ctor, 42, 4},	//309 Phonon::VideoPlayer::VideoPlayer(Phonon::Category)
	{18, 499, 0, 0, Smoke::mf_dtor, 0, 21},	//310 Phonon::VideoPlayer::~VideoPlayer()
	{18, 463, 0, 0, Smoke::mf_const, 373, 5},	//311 Phonon::VideoPlayer::totalTime() const
	{18, 158, 0, 0, Smoke::mf_const, 373, 6},	//312 Phonon::VideoPlayer::currentTime() const
	{18, 473, 0, 0, Smoke::mf_const, 370, 7},	//313 Phonon::VideoPlayer::volume() const
	{18, 251, 0, 0, Smoke::mf_const, 323, 8},	//314 Phonon::VideoPlayer::isPlaying() const
	{18, 250, 0, 0, Smoke::mf_const, 323, 9},	//315 Phonon::VideoPlayer::isPaused() const
	{18, 265, 0, 0, Smoke::mf_const, 23, 10},	//316 Phonon::VideoPlayer::mediaObject() const
	{18, 108, 0, 0, Smoke::mf_const, 6, 11},	//317 Phonon::VideoPlayer::audioOutput() const
	{18, 472, 0, 0, Smoke::mf_const, 43, 12},	//318 Phonon::VideoPlayer::videoWidget() const
	{18, 261, 78, 1, 0, 0, 13},	//319 Phonon::VideoPlayer::load(const Phonon::MediaSource&)
	{18, 325, 78, 1, 0, 0, 14},	//320 Phonon::VideoPlayer::play(const Phonon::MediaSource&)
	{18, 325, 0, 0, 0, 0, 15},	//321 Phonon::VideoPlayer::play()
	{18, 323, 0, 0, 0, 0, 16},	//322 Phonon::VideoPlayer::pause()
	{18, 446, 0, 0, 0, 0, 17},	//323 Phonon::VideoPlayer::stop()
	{18, 353, 196, 1, 0, 0, 18},	//324 Phonon::VideoPlayer::seek(qint64)
	{18, 435, 144, 1, 0, 0, 19},	//325 Phonon::VideoPlayer::setVolume(float)
	{18, 211, 0, 0, 0, 0, 20},	//326 Phonon::VideoPlayer::finished()
	{19, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 1},	//327 Phonon::VideoWidget::AspectRatioAuto (enum)
	{19, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 2},	//328 Phonon::VideoWidget::AspectRatioWidget (enum)
	{19, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 3},	//329 Phonon::VideoWidget::AspectRatio4_3 (enum)
	{19, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 4},	//330 Phonon::VideoWidget::AspectRatio16_9 (enum)
	{19, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 5},	//331 Phonon::VideoWidget::FitInView (enum)
	{19, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 6},	//332 Phonon::VideoWidget::ScaleAndCrop (enum)
	{19, 269, 0, 0, Smoke::mf_const, 350, 7},	//333 Phonon::VideoWidget::metaObject() const
	{19, 335, 17, 3, 0, 371, 8},	//334 Phonon::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
	{19, 96, 54, 1, Smoke::mf_ctor, 43, 9},	//335 Phonon::VideoWidget::VideoWidget(QWidget*)
	{19, 96, 0, 0, Smoke::mf_ctor, 43, 10},	//336 Phonon::VideoWidget::VideoWidget()
	{19, 107, 0, 0, Smoke::mf_const, 44, 11},	//337 Phonon::VideoWidget::aspectRatio() const
	{19, 352, 0, 0, Smoke::mf_const, 45, 12},	//338 Phonon::VideoWidget::scaleMode() const
	{19, 124, 0, 0, Smoke::mf_const, 374, 13},	//339 Phonon::VideoWidget::brightness() const
	{19, 145, 0, 0, Smoke::mf_const, 374, 14},	//340 Phonon::VideoWidget::contrast() const
	{19, 232, 0, 0, Smoke::mf_const, 374, 15},	//341 Phonon::VideoWidget::hue() const
	{19, 351, 0, 0, Smoke::mf_const, 374, 16},	//342 Phonon::VideoWidget::saturation() const
	{19, 500, 0, 0, Smoke::mf_dtor, 0, 28},	//343 Phonon::VideoWidget::~VideoWidget()
	{19, 385, 67, 1, 0, 0, 17},	//344 Phonon::VideoWidget::setFullScreen(bool)
	{19, 202, 0, 0, 0, 0, 18},	//345 Phonon::VideoWidget::exitFullScreen()
	{19, 193, 0, 0, 0, 0, 19},	//346 Phonon::VideoWidget::enterFullScreen()
	{19, 359, 205, 1, 0, 0, 20},	//347 Phonon::VideoWidget::setAspectRatio(Phonon::VideoWidget::AspectRatio)
	{19, 419, 207, 1, 0, 0, 21},	//348 Phonon::VideoWidget::setScaleMode(Phonon::VideoWidget::ScaleMode)
	{19, 367, 198, 1, 0, 0, 22},	//349 Phonon::VideoWidget::setBrightness(qreal)
	{19, 369, 198, 1, 0, 0, 23},	//350 Phonon::VideoWidget::setContrast(qreal)
	{19, 387, 198, 1, 0, 0, 24},	//351 Phonon::VideoWidget::setHue(qreal)
	{19, 417, 198, 1, 0, 0, 25},	//352 Phonon::VideoWidget::setSaturation(qreal)
	{19, 282, 21, 1, Smoke::mf_protected, 0, 26},	//353 Phonon::VideoWidget::mouseMoveEvent(QMouseEvent*)
	{19, 198, 243, 1, Smoke::mf_protected, 323, 27},	//354 Phonon::VideoWidget::event(QEvent*)
	{20, 269, 0, 0, Smoke::mf_const, 350, 1},	//355 Phonon::VolumeFaderEffect::metaObject() const
	{20, 335, 17, 3, 0, 371, 2},	//356 Phonon::VolumeFaderEffect::qt_metacall(QMetaObject::Call, int, void**)
	{20, 473, 0, 0, Smoke::mf_const, 370, 3},	//357 Phonon::VolumeFaderEffect::volume() const
	{20, 476, 0, 0, Smoke::mf_const, 369, 4},	//358 Phonon::VolumeFaderEffect::volumeDecibel() const
	{20, 203, 0, 0, Smoke::mf_const, 2, 5},	//359 Phonon::VolumeFaderEffect::fadeCurve() const
	{20, 98, 0, 0, Smoke::mf_ctor, 46, 6},	//360 Phonon::VolumeFaderEffect::VolumeFaderEffect()
	{20, 501, 0, 0, Smoke::mf_dtor, 0, 13},	//361 Phonon::VolumeFaderEffect::~VolumeFaderEffect()
	{20, 204, 149, 1, 0, 0, 7},	//362 Phonon::VolumeFaderEffect::fadeIn(int)
	{20, 206, 149, 1, 0, 0, 8},	//363 Phonon::VolumeFaderEffect::fadeOut(int)
	{20, 435, 144, 1, 0, 0, 9},	//364 Phonon::VolumeFaderEffect::setVolume(float)
	{20, 437, 142, 1, 0, 0, 10},	//365 Phonon::VolumeFaderEffect::setVolumeDecibel(double)
	{20, 383, 45, 1, 0, 0, 11},	//366 Phonon::VolumeFaderEffect::setFadeCurve(FadeCurve)
	{20, 208, 146, 2, 0, 0, 12},	//367 Phonon::VolumeFaderEffect::fadeTo(float, int)
	{21, 269, 0, 0, Smoke::mf_const, 350, 1},	//368 Phonon::VolumeSlider::metaObject() const
	{21, 335, 17, 3, 0, 371, 2},	//369 Phonon::VolumeSlider::qt_metacall(QMetaObject::Call, int, void**)
	{21, 99, 54, 1, Smoke::mf_ctor, 47, 3},	//370 Phonon::VolumeSlider::VolumeSlider(QWidget*)
	{21, 99, 0, 0, Smoke::mf_ctor, 47, 4},	//371 Phonon::VolumeSlider::VolumeSlider()
	{21, 99, 213, 2, Smoke::mf_ctor, 47, 5},	//372 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*, QWidget*)
	{21, 99, 211, 1, Smoke::mf_ctor, 47, 6},	//373 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
	{21, 502, 0, 0, Smoke::mf_dtor, 0, 23},	//374 Phonon::VolumeSlider::~VolumeSlider()
	{21, 224, 0, 0, Smoke::mf_const, 323, 7},	//375 Phonon::VolumeSlider::hasTracking() const
	{21, 429, 67, 1, 0, 0, 8},	//376 Phonon::VolumeSlider::setTracking(bool)
	{21, 314, 0, 0, Smoke::mf_const, 371, 9},	//377 Phonon::VolumeSlider::pageStep() const
	{21, 409, 149, 1, 0, 0, 10},	//378 Phonon::VolumeSlider::setPageStep(int)
	{21, 441, 0, 0, Smoke::mf_const, 371, 11},	//379 Phonon::VolumeSlider::singleStep() const
	{21, 421, 149, 1, 0, 0, 12},	//380 Phonon::VolumeSlider::setSingleStep(int)
	{21, 248, 0, 0, Smoke::mf_const, 323, 13},	//381 Phonon::VolumeSlider::isMuteVisible() const
	{21, 233, 0, 0, Smoke::mf_const, 167, 14},	//382 Phonon::VolumeSlider::iconSize() const
	{21, 264, 0, 0, Smoke::mf_const, 374, 15},	//383 Phonon::VolumeSlider::maximumVolume() const
	{21, 309, 0, 0, Smoke::mf_const, 287, 16},	//384 Phonon::VolumeSlider::orientation() const
	{21, 108, 0, 0, Smoke::mf_const, 6, 17},	//385 Phonon::VolumeSlider::audioOutput() const
	{21, 393, 198, 1, 0, 0, 18},	//386 Phonon::VolumeSlider::setMaximumVolume(qreal)
	{21, 405, 65, 1, 0, 0, 19},	//387 Phonon::VolumeSlider::setOrientation(Qt::Orientation)
	{21, 399, 67, 1, 0, 0, 20},	//388 Phonon::VolumeSlider::setMuteVisible(bool)
	{21, 389, 134, 1, 0, 0, 21},	//389 Phonon::VolumeSlider::setIconSize(const QSize&)
	{21, 361, 211, 1, 0, 0, 22},	//390 Phonon::VolumeSlider::setAudioOutput(Phonon::AudioOutput*)
	{47, 269, 0, 0, Smoke::mf_const, 350, 2},	//391 QObject::metaObject() const
	{47, 335, 17, 3, 0, 371, 3},	//392 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{47, 198, 243, 1, 0, 323, 6},	//393 QObject::event(QEvent*)
	{47, 200, 27, 2, 0, 323, 7},	//394 QObject::eventFilter(QObject*, QEvent*)
	{47, 459, 47, 1, Smoke::mf_protected, 0, 49},	//395 QObject::timerEvent(QTimerEvent*)
	{47, 134, 218, 1, Smoke::mf_protected, 0, 50},	//396 QObject::childEvent(QChildEvent*)
	{47, 160, 243, 1, Smoke::mf_protected, 0, 51},	//397 QObject::customEvent(QEvent*)
	{47, 139, 140, 1, Smoke::mf_protected, 0, 52},	//398 QObject::connectNotify(const char*)
	{47, 171, 140, 1, Smoke::mf_protected, 0, 53},	//399 QObject::disconnectNotify(const char*)
	{48, 167, 0, 0, Smoke::mf_const, 371, 11},	//400 QPaintDevice::devType() const
	{48, 315, 0, 0, Smoke::mf_const, 150, 13},	//401 QPaintDevice::paintEngine() const [pure virtual]
	{48, 270, 30, 1, Smoke::mf_const|Smoke::mf_protected, 371, 25},	//402 QPaintDevice::metric(QPaintDevice::PaintDeviceMetric) const
	{68, 269, 0, 0, Smoke::mf_const, 350, 4},	//403 QWidget::metaObject() const
	{68, 335, 17, 3, 0, 371, 5},	//404 QWidget::qt_metacall(QMetaObject::Call, int, void**)
	{68, 442, 0, 0, Smoke::mf_const, 167, 179},	//405 QWidget::sizeHint() const
	{68, 276, 0, 0, Smoke::mf_const, 167, 180},	//406 QWidget::minimumSizeHint() const
	{68, 228, 149, 1, Smoke::mf_const, 371, 184},	//407 QWidget::heightForWidth(int) const
	{68, 238, 61, 1, Smoke::mf_const, 224, 225},	//408 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
	{68, 433, 67, 1, 0, 0, 234},	//409 QWidget::setVisible(bool)
	{68, 284, 21, 1, Smoke::mf_protected, 0, 254},	//410 QWidget::mousePressEvent(QMouseEvent*)
	{68, 286, 21, 1, Smoke::mf_protected, 0, 255},	//411 QWidget::mouseReleaseEvent(QMouseEvent*)
	{68, 280, 21, 1, Smoke::mf_protected, 0, 256},	//412 QWidget::mouseDoubleClickEvent(QMouseEvent*)
	{68, 282, 21, 1, Smoke::mf_protected, 0, 257},	//413 QWidget::mouseMoveEvent(QMouseEvent*)
	{68, 477, 52, 1, Smoke::mf_protected, 0, 258},	//414 QWidget::wheelEvent(QWheelEvent*)
	{68, 254, 15, 1, Smoke::mf_protected, 0, 259},	//415 QWidget::keyPressEvent(QKeyEvent*)
	{68, 256, 15, 1, Smoke::mf_protected, 0, 260},	//416 QWidget::keyReleaseEvent(QKeyEvent*)
	{68, 214, 250, 1, Smoke::mf_protected, 0, 261},	//417 QWidget::focusInEvent(QFocusEvent*)
	{68, 218, 250, 1, Smoke::mf_protected, 0, 262},	//418 QWidget::focusOutEvent(QFocusEvent*)
	{68, 191, 243, 1, Smoke::mf_protected, 0, 263},	//419 QWidget::enterEvent(QEvent*)
	{68, 259, 243, 1, Smoke::mf_protected, 0, 264},	//420 QWidget::leaveEvent(QEvent*)
	{68, 316, 32, 1, Smoke::mf_protected, 0, 265},	//421 QWidget::paintEvent(QPaintEvent*)
	{68, 290, 23, 1, Smoke::mf_protected, 0, 266},	//422 QWidget::moveEvent(QMoveEvent*)
	{68, 347, 34, 1, Smoke::mf_protected, 0, 267},	//423 QWidget::resizeEvent(QResizeEvent*)
	{68, 137, 220, 1, Smoke::mf_protected, 0, 268},	//424 QWidget::closeEvent(QCloseEvent*)
	{68, 143, 222, 1, Smoke::mf_protected, 0, 269},	//425 QWidget::contextMenuEvent(QContextMenuEvent*)
	{68, 454, 43, 1, Smoke::mf_protected, 0, 270},	//426 QWidget::tabletEvent(QTabletEvent*)
	{68, 103, 216, 1, Smoke::mf_protected, 0, 271},	//427 QWidget::actionEvent(QActionEvent*)
	{68, 173, 224, 1, Smoke::mf_protected, 0, 272},	//428 QWidget::dragEnterEvent(QDragEnterEvent*)
	{68, 177, 239, 1, Smoke::mf_protected, 0, 273},	//429 QWidget::dragMoveEvent(QDragMoveEvent*)
	{68, 175, 237, 1, Smoke::mf_protected, 0, 274},	//430 QWidget::dragLeaveEvent(QDragLeaveEvent*)
	{68, 179, 241, 1, Smoke::mf_protected, 0, 275},	//431 QWidget::dropEvent(QDropEvent*)
	{68, 439, 36, 1, Smoke::mf_protected, 0, 276},	//432 QWidget::showEvent(QShowEvent*)
	{68, 230, 9, 1, Smoke::mf_protected, 0, 277},	//433 QWidget::hideEvent(QHideEvent*)
	{68, 130, 243, 1, Smoke::mf_protected, 0, 278},	//434 QWidget::changeEvent(QEvent*)
	{68, 236, 13, 1, Smoke::mf_protected, 0, 280},	//435 QWidget::inputMethodEvent(QInputMethodEvent*)
	{68, 216, 67, 1, Smoke::mf_protected, 323, 289},	//436 QWidget::focusNextPrevChild(bool)
	{68, 450, 41, 1, Smoke::mf_protected, 0, 292},	//437 QWidget::styleChange(QStyle&)
	{68, 184, 67, 1, Smoke::mf_protected, 0, 293},	//438 QWidget::enabledChange(bool)
	{68, 318, 132, 1, Smoke::mf_protected, 0, 294},	//439 QWidget::paletteChange(const QPalette&)
	{68, 220, 104, 1, Smoke::mf_protected, 0, 295},	//440 QWidget::fontChange(const QFont&)
	{68, 479, 67, 1, Smoke::mf_protected, 0, 296},	//441 QWidget::windowActivationChange(bool)
	{68, 258, 0, 0, Smoke::mf_protected, 0, 297},	//442 QWidget::languageChange()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap phonon_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{1, 5, 29},	//1 Phonon::AccessibilityCategory
	{1, 6, 10},	//2 Phonon::AlbumMetaData
	{1, 8, 9},	//3 Phonon::ArtistMetaData
	{1, 13, 4},	//4 Phonon::AudioCaptureDeviceType
	{1, 14, 2},	//5 Phonon::AudioChannelType
	{1, 19, 0},	//6 Phonon::AudioOutputDeviceType
	{1, 20, 20},	//7 Phonon::BufferingState
	{1, 21, 6},	//8 Phonon::Cd
	{1, 23, 27},	//9 Phonon::CommunicationCategory
	{1, 24, 12},	//10 Phonon::DateMetaData
	{1, 25, 15},	//11 Phonon::DescriptionMetaData
	{1, 27, 7},	//12 Phonon::Dvd
	{1, 38, 1},	//13 Phonon::EffectType
	{1, 42, 22},	//14 Phonon::ErrorState
	{1, 43, 33},	//15 Phonon::FatalError
	{1, 45, 28},	//16 Phonon::GameCategory
	{1, 46, 13},	//17 Phonon::GenreMetaData
	{1, 49, 30},	//18 Phonon::LastCategory
	{1, 50, 17},	//19 Phonon::LoadingState
	{1, 62, 16},	//20 Phonon::MusicBrainzDiscIdMetaData
	{1, 63, 25},	//21 Phonon::MusicCategory
	{1, 64, 23},	//22 Phonon::NoCategory
	{1, 65, 5},	//23 Phonon::NoDisc
	{1, 66, 31},	//24 Phonon::NoError
	{1, 67, 32},	//25 Phonon::NormalError
	{1, 68, 24},	//26 Phonon::NotificationCategory
	{1, 75, 21},	//27 Phonon::PausedState
	{1, 76, 19},	//28 Phonon::PlayingState
	{1, 81, 18},	//29 Phonon::StoppedState
	{1, 85, 3},	//30 Phonon::SubtitleType
	{1, 86, 11},	//31 Phonon::TitleMetaData
	{1, 89, 14},	//32 Phonon::TracknumberMetaData
	{1, 91, 8},	//33 Phonon::Vcd
	{1, 92, 26},	//34 Phonon::VideoCategory
	{1, 129, 38},	//35 Phonon::categoryToString$
	{1, 147, 36},	//36 Phonon::createPath##
	{1, 149, 35},	//37 Phonon::createPlayer$
	{1, 150, 34},	//38 Phonon::createPlayer$#
	{1, 324, 37},	//39 Phonon::phononVersion
	{2, 269, 39},	//40 Phonon::AbstractAudioOutput::metaObject
	{2, 336, 40},	//41 Phonon::AbstractAudioOutput::qt_metacall$$?
	{2, 483, 41},	//42 Phonon::AbstractAudioOutput::~AbstractAudioOutput
	{3, 1, 46},	//43 Phonon::AbstractMediaStream::AbstractMediaStream
	{3, 2, 45},	//44 Phonon::AbstractMediaStream::AbstractMediaStream#
	{3, 186, 52},	//45 Phonon::AbstractMediaStream::endOfData
	{3, 187, 56},	//46 Phonon::AbstractMediaStream::enoughData
	{3, 195, 53},	//47 Phonon::AbstractMediaStream::error$$
	{3, 269, 42},	//48 Phonon::AbstractMediaStream::metaObject
	{3, 297, 55},	//49 Phonon::AbstractMediaStream::needData
	{3, 336, 43},	//50 Phonon::AbstractMediaStream::qt_metacall$$?
	{3, 346, 54},	//51 Phonon::AbstractMediaStream::reset
	{3, 356, 57},	//52 Phonon::AbstractMediaStream::seekStream$
	{3, 424, 50},	//53 Phonon::AbstractMediaStream::setStreamSeekable$
	{3, 426, 48},	//54 Phonon::AbstractMediaStream::setStreamSize$
	{3, 448, 49},	//55 Phonon::AbstractMediaStream::streamSeekable
	{3, 449, 47},	//56 Phonon::AbstractMediaStream::streamSize
	{3, 482, 51},	//57 Phonon::AbstractMediaStream::writeData#
	{3, 484, 44},	//58 Phonon::AbstractMediaStream::~AbstractMediaStream
	{4, 4, 59},	//59 Phonon::AbstractVideoOutput::AbstractVideoOutput#
	{4, 485, 58},	//60 Phonon::AbstractVideoOutput::~AbstractVideoOutput
	{5, 15, 65},	//61 Phonon::AudioOutput::AudioOutput
	{5, 16, 64},	//62 Phonon::AudioOutput::AudioOutput#
	{5, 17, 63},	//63 Phonon::AudioOutput::AudioOutput$
	{5, 18, 62},	//64 Phonon::AudioOutput::AudioOutput$#
	{5, 127, 69},	//65 Phonon::AudioOutput::category
	{5, 249, 71},	//66 Phonon::AudioOutput::isMuted
	{5, 269, 60},	//67 Phonon::AudioOutput::metaObject
	{5, 295, 79},	//68 Phonon::AudioOutput::mutedChanged$
	{5, 296, 66},	//69 Phonon::AudioOutput::name
	{5, 310, 70},	//70 Phonon::AudioOutput::outputDevice
	{5, 312, 80},	//71 Phonon::AudioOutput::outputDeviceChanged?
	{5, 336, 61},	//72 Phonon::AudioOutput::qt_metacall$$?
	{5, 402, 77},	//73 Phonon::AudioOutput::setMuted$
	{5, 404, 73},	//74 Phonon::AudioOutput::setName$
	{5, 408, 76},	//75 Phonon::AudioOutput::setOutputDevice?
	{5, 436, 74},	//76 Phonon::AudioOutput::setVolume$
	{5, 438, 75},	//77 Phonon::AudioOutput::setVolumeDecibel$
	{5, 473, 67},	//78 Phonon::AudioOutput::volume
	{5, 475, 78},	//79 Phonon::AudioOutput::volumeChanged$
	{5, 476, 68},	//80 Phonon::AudioOutput::volumeDecibel
	{5, 486, 72},	//81 Phonon::AudioOutput::~AudioOutput
	{6, 29, 85},	//82 Phonon::Effect::Effect?
	{6, 30, 84},	//83 Phonon::Effect::Effect?#
	{6, 166, 86},	//84 Phonon::Effect::description
	{6, 269, 81},	//85 Phonon::Effect::metaObject
	{6, 321, 88},	//86 Phonon::Effect::parameterValue#
	{6, 322, 87},	//87 Phonon::Effect::parameters
	{6, 336, 82},	//88 Phonon::Effect::qt_metacall$$?
	{6, 412, 89},	//89 Phonon::Effect::setParameterValue##
	{6, 487, 83},	//90 Phonon::Effect::~Effect
	{7, 31, 93},	//91 Phonon::EffectParameter::EffectParameter
	{7, 32, 106},	//92 Phonon::EffectParameter::EffectParameter#
	{7, 33, 112},	//93 Phonon::EffectParameter::EffectParameter$$$#
	{7, 34, 111},	//94 Phonon::EffectParameter::EffectParameter$$$##
	{7, 35, 110},	//95 Phonon::EffectParameter::EffectParameter$$$###
	{7, 36, 109},	//96 Phonon::EffectParameter::EffectParameter$$$###?
	{7, 37, 108},	//97 Phonon::EffectParameter::EffectParameter$$$###?$
	{7, 47, 92},	//98 Phonon::EffectParameter::IntegerHint
	{7, 52, 91},	//99 Phonon::EffectParameter::LogarithmicHint
	{7, 88, 90},	//100 Phonon::EffectParameter::ToggledHint
	{7, 165, 100},	//101 Phonon::EffectParameter::defaultValue
	{7, 166, 95},	//102 Phonon::EffectParameter::description
	{7, 234, 113},	//103 Phonon::EffectParameter::id
	{7, 247, 97},	//104 Phonon::EffectParameter::isLogarithmicControl
	{7, 263, 99},	//105 Phonon::EffectParameter::maximumValue
	{7, 277, 98},	//106 Phonon::EffectParameter::minimumValue
	{7, 296, 94},	//107 Phonon::EffectParameter::name
	{7, 302, 102},	//108 Phonon::EffectParameter::operator<#
	{7, 304, 107},	//109 Phonon::EffectParameter::operator=#
	{7, 306, 104},	//110 Phonon::EffectParameter::operator==#
	{7, 308, 103},	//111 Phonon::EffectParameter::operator>#
	{7, 327, 101},	//112 Phonon::EffectParameter::possibleValues
	{7, 470, 96},	//113 Phonon::EffectParameter::type
	{7, 488, 105},	//114 Phonon::EffectParameter::~EffectParameter
	{8, 40, 117},	//115 Phonon::EffectWidget::EffectWidget#
	{8, 41, 116},	//116 Phonon::EffectWidget::EffectWidget##
	{8, 269, 114},	//117 Phonon::EffectWidget::metaObject
	{8, 336, 115},	//118 Phonon::EffectWidget::qt_metacall$$?
	{8, 489, 118},	//119 Phonon::EffectWidget::~EffectWidget
	{9, 7, 119},	//120 Phonon::MediaController::Angles
	{9, 22, 120},	//121 Phonon::MediaController::Chapters
	{9, 54, 124},	//122 Phonon::MediaController::MediaController#
	{9, 87, 121},	//123 Phonon::MediaController::Titles
	{9, 106, 149},	//124 Phonon::MediaController::angleChanged$
	{9, 110, 133},	//125 Phonon::MediaController::autoplayTitles
	{9, 111, 127},	//126 Phonon::MediaController::availableAngles
	{9, 113, 148},	//127 Phonon::MediaController::availableAnglesChanged$
	{9, 114, 136},	//128 Phonon::MediaController::availableAudioChannels
	{9, 115, 147},	//129 Phonon::MediaController::availableAudioChannelsChanged
	{9, 116, 129},	//130 Phonon::MediaController::availableChapters
	{9, 118, 150},	//131 Phonon::MediaController::availableChaptersChanged$
	{9, 119, 137},	//132 Phonon::MediaController::availableSubtitles
	{9, 120, 146},	//133 Phonon::MediaController::availableSubtitlesChanged
	{9, 121, 131},	//134 Phonon::MediaController::availableTitles
	{9, 123, 152},	//135 Phonon::MediaController::availableTitlesChanged$
	{9, 133, 151},	//136 Phonon::MediaController::chapterChanged$
	{9, 151, 128},	//137 Phonon::MediaController::currentAngle
	{9, 152, 134},	//138 Phonon::MediaController::currentAudioChannel
	{9, 153, 130},	//139 Phonon::MediaController::currentChapter
	{9, 157, 135},	//140 Phonon::MediaController::currentSubtitle
	{9, 159, 132},	//141 Phonon::MediaController::currentTitle
	{9, 269, 122},	//142 Phonon::MediaController::metaObject
	{9, 298, 144},	//143 Phonon::MediaController::nextTitle
	{9, 331, 145},	//144 Phonon::MediaController::previousTitle
	{9, 336, 123},	//145 Phonon::MediaController::qt_metacall$$?
	{9, 366, 143},	//146 Phonon::MediaController::setAutoplayTitles$
	{9, 372, 140},	//147 Phonon::MediaController::setCurrentAngle$
	{9, 374, 138},	//148 Phonon::MediaController::setCurrentAudioChannel?
	{9, 376, 141},	//149 Phonon::MediaController::setCurrentChapter$
	{9, 380, 139},	//150 Phonon::MediaController::setCurrentSubtitle?
	{9, 382, 142},	//151 Phonon::MediaController::setCurrentTitle$
	{9, 453, 126},	//152 Phonon::MediaController::supportedFeatures
	{9, 462, 153},	//153 Phonon::MediaController::titleChanged$
	{9, 490, 125},	//154 Phonon::MediaController::~MediaController
	{10, 56, 158},	//155 Phonon::MediaNode::MediaNode#
	{10, 240, 156},	//156 Phonon::MediaNode::inputPaths
	{10, 253, 155},	//157 Phonon::MediaNode::isValid
	{10, 313, 157},	//158 Phonon::MediaNode::outputPaths
	{10, 491, 154},	//159 Phonon::MediaNode::~MediaNode
	{11, 57, 187},	//160 Phonon::MediaObject::MediaObject
	{11, 102, 201},	//161 Phonon::MediaObject::aboutToFinish
	{11, 126, 198},	//162 Phonon::MediaObject::bufferStatus$
	{11, 136, 179},	//163 Phonon::MediaObject::clearQueue
	{11, 154, 171},	//164 Phonon::MediaObject::currentSource
	{11, 156, 200},	//165 Phonon::MediaObject::currentSourceChanged#
	{11, 158, 180},	//166 Phonon::MediaObject::currentTime
	{11, 189, 176},	//167 Phonon::MediaObject::enqueue#
	{11, 190, -1},	//168 Phonon::MediaObject::enqueue?
	{11, 196, 169},	//169 Phonon::MediaObject::errorString
	{11, 197, 170},	//170 Phonon::MediaObject::errorType
	{11, 211, 199},	//171 Phonon::MediaObject::finished
	{11, 225, 163},	//172 Phonon::MediaObject::hasVideo
	{11, 227, 197},	//173 Phonon::MediaObject::hasVideoChanged$
	{11, 252, 164},	//174 Phonon::MediaObject::isSeekable
	{11, 266, 168},	//175 Phonon::MediaObject::metaData
	{11, 267, -4},	//176 Phonon::MediaObject::metaData$
	{11, 268, 195},	//177 Phonon::MediaObject::metaDataChanged
	{11, 269, 159},	//178 Phonon::MediaObject::metaObject
	{11, 323, 190},	//179 Phonon::MediaObject::pause
	{11, 325, 189},	//180 Phonon::MediaObject::play
	{11, 328, 183},	//181 Phonon::MediaObject::prefinishMark
	{11, 330, 202},	//182 Phonon::MediaObject::prefinishMarkReached$
	{11, 336, 160},	//183 Phonon::MediaObject::qt_metacall$$?
	{11, 337, 173},	//184 Phonon::MediaObject::queue
	{11, 340, 182},	//185 Phonon::MediaObject::remainingTime
	{11, 354, 192},	//186 Phonon::MediaObject::seek$
	{11, 358, 196},	//187 Phonon::MediaObject::seekableChanged$
	{11, 378, 172},	//188 Phonon::MediaObject::setCurrentSource#
	{11, 414, 184},	//189 Phonon::MediaObject::setPrefinishMark$
	{11, 416, -7},	//190 Phonon::MediaObject::setQueue?
	{11, 428, 188},	//191 Phonon::MediaObject::setTickInterval$
	{11, 432, 186},	//192 Phonon::MediaObject::setTransitionTime$
	{11, 443, 162},	//193 Phonon::MediaObject::state
	{11, 445, 193},	//194 Phonon::MediaObject::stateChanged$$
	{11, 446, 191},	//195 Phonon::MediaObject::stop
	{11, 457, 194},	//196 Phonon::MediaObject::tick$
	{11, 458, 165},	//197 Phonon::MediaObject::tickInterval
	{11, 463, 181},	//198 Phonon::MediaObject::totalTime
	{11, 465, 203},	//199 Phonon::MediaObject::totalTimeChanged$
	{11, 466, 185},	//200 Phonon::MediaObject::transitionTime
	{11, 492, 161},	//201 Phonon::MediaObject::~MediaObject
	{12, 26, 207},	//202 Phonon::MediaSource::Disc
	{12, 48, 204},	//203 Phonon::MediaSource::Invalid
	{12, 51, 205},	//204 Phonon::MediaSource::LocalFile
	{12, 58, 209},	//205 Phonon::MediaSource::MediaSource
	{12, 59, -10},	//206 Phonon::MediaSource::MediaSource#
	{12, 60, -15},	//207 Phonon::MediaSource::MediaSource$
	{12, 61, 212},	//208 Phonon::MediaSource::MediaSource$$
	{12, 82, 208},	//209 Phonon::MediaSource::Stream
	{12, 90, 206},	//210 Phonon::MediaSource::Url
	{12, 109, 221},	//211 Phonon::MediaSource::autoDelete
	{12, 168, 226},	//212 Phonon::MediaSource::deviceName
	{12, 169, 225},	//213 Phonon::MediaSource::discType
	{12, 210, 223},	//214 Phonon::MediaSource::fileName
	{12, 304, 218},	//215 Phonon::MediaSource::operator=#
	{12, 306, 219},	//216 Phonon::MediaSource::operator==#
	{12, 364, 220},	//217 Phonon::MediaSource::setAutoDelete$
	{12, 447, 227},	//218 Phonon::MediaSource::stream
	{12, 470, 222},	//219 Phonon::MediaSource::type
	{12, 471, 224},	//220 Phonon::MediaSource::url
	{12, 493, 216},	//221 Phonon::MediaSource::~MediaSource
	{13, 70, 236},	//222 Phonon::ObjectDescriptionData::ObjectDescriptionData$?
	{13, 166, 230},	//223 Phonon::ObjectDescriptionData::description
	{13, 223, 237},	//224 Phonon::ObjectDescriptionData::fromIndex$$
	{13, 235, 234},	//225 Phonon::ObjectDescriptionData::index
	{13, 253, 233},	//226 Phonon::ObjectDescriptionData::isValid
	{13, 296, 229},	//227 Phonon::ObjectDescriptionData::name
	{13, 306, 228},	//228 Phonon::ObjectDescriptionData::operator==#
	{13, 333, 231},	//229 Phonon::ObjectDescriptionData::property$
	{13, 334, 232},	//230 Phonon::ObjectDescriptionData::propertyNames
	{13, 494, 235},	//231 Phonon::ObjectDescriptionData::~ObjectDescriptionData
	{14, 72, -18},	//232 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData#
	{14, 163, 241},	//233 Phonon::ObjectDescriptionModelData::data#
	{14, 164, 240},	//234 Phonon::ObjectDescriptionModelData::data#$
	{14, 182, 252},	//235 Phonon::ObjectDescriptionModelData::dropMimeData$#$$$#
	{14, 213, 242},	//236 Phonon::ObjectDescriptionModelData::flags#
	{14, 273, 245},	//237 Phonon::ObjectDescriptionModelData::mimeData$?
	{14, 275, 255},	//238 Phonon::ObjectDescriptionModelData::mimeTypes$
	{14, 278, 249},	//239 Phonon::ObjectDescriptionModelData::modelData
	{14, 279, 250},	//240 Phonon::ObjectDescriptionModelData::modelData#
	{14, 289, 247},	//241 Phonon::ObjectDescriptionModelData::moveDown#
	{14, 293, 246},	//242 Phonon::ObjectDescriptionModelData::moveUp#
	{14, 344, 254},	//243 Phonon::ObjectDescriptionModelData::removeRows$$
	{14, 345, 253},	//244 Phonon::ObjectDescriptionModelData::removeRows$$#
	{14, 349, 239},	//245 Phonon::ObjectDescriptionModelData::rowCount
	{14, 350, 238},	//246 Phonon::ObjectDescriptionModelData::rowCount#
	{14, 398, 248},	//247 Phonon::ObjectDescriptionModelData::setModelData?
	{14, 452, 251},	//248 Phonon::ObjectDescriptionModelData::supportedDropActions
	{14, 468, 244},	//249 Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex$
	{14, 469, 243},	//250 Phonon::ObjectDescriptionModelData::tupleIndexOrder
	{15, 73, 259},	//251 Phonon::Path::Path
	{15, 74, 260},	//252 Phonon::Path::Path#
	{15, 170, 269},	//253 Phonon::Path::disconnect
	{15, 183, 267},	//254 Phonon::Path::effects
	{15, 242, 265},	//255 Phonon::Path::insertEffect#
	{15, 243, 264},	//256 Phonon::Path::insertEffect##
	{15, 244, 263},	//257 Phonon::Path::insertEffect?
	{15, 245, 262},	//258 Phonon::Path::insertEffect?#
	{15, 253, 261},	//259 Phonon::Path::isValid
	{15, 300, 272},	//260 Phonon::Path::operator!=#
	{15, 304, 270},	//261 Phonon::Path::operator=#
	{15, 306, 271},	//262 Phonon::Path::operator==#
	{15, 339, 268},	//263 Phonon::Path::reconnect##
	{15, 342, 266},	//264 Phonon::Path::removeEffect#
	{15, 496, 258},	//265 Phonon::Path::~Path
	{16, 78, 276},	//266 Phonon::SeekSlider::SeekSlider
	{16, 79, -21},	//267 Phonon::SeekSlider::SeekSlider#
	{16, 80, 277},	//268 Phonon::SeekSlider::SeekSlider##
	{16, 224, 280},	//269 Phonon::SeekSlider::hasTracking
	{16, 233, 288},	//270 Phonon::SeekSlider::iconSize
	{16, 246, 287},	//271 Phonon::SeekSlider::isIconVisible
	{16, 265, 289},	//272 Phonon::SeekSlider::mediaObject
	{16, 269, 273},	//273 Phonon::SeekSlider::metaObject
	{16, 309, 286},	//274 Phonon::SeekSlider::orientation
	{16, 314, 282},	//275 Phonon::SeekSlider::pageStep
	{16, 336, 274},	//276 Phonon::SeekSlider::qt_metacall$$?
	{16, 390, 292},	//277 Phonon::SeekSlider::setIconSize#
	{16, 392, 291},	//278 Phonon::SeekSlider::setIconVisible$
	{16, 396, 293},	//279 Phonon::SeekSlider::setMediaObject#
	{16, 406, 290},	//280 Phonon::SeekSlider::setOrientation$
	{16, 410, 283},	//281 Phonon::SeekSlider::setPageStep$
	{16, 422, 285},	//282 Phonon::SeekSlider::setSingleStep$
	{16, 430, 281},	//283 Phonon::SeekSlider::setTracking$
	{16, 441, 284},	//284 Phonon::SeekSlider::singleStep
	{16, 497, 279},	//285 Phonon::SeekSlider::~SeekSlider
	{17, 83, 305},	//286 Phonon::StreamInterface::StreamInterface
	{17, 84, 304},	//287 Phonon::StreamInterface::StreamInterface#
	{17, 142, 299},	//288 Phonon::StreamInterface::connectToSource#
	{17, 186, 296},	//289 Phonon::StreamInterface::endOfData
	{17, 187, 301},	//290 Phonon::StreamInterface::enoughData
	{17, 297, 300},	//291 Phonon::StreamInterface::needData
	{17, 346, 303},	//292 Phonon::StreamInterface::reset
	{17, 356, 302},	//293 Phonon::StreamInterface::seekStream$
	{17, 424, 298},	//294 Phonon::StreamInterface::setStreamSeekable$
	{17, 426, 297},	//295 Phonon::StreamInterface::setStreamSize$
	{17, 482, 295},	//296 Phonon::StreamInterface::writeData#
	{17, 498, 294},	//297 Phonon::StreamInterface::~StreamInterface
	{18, 94, 309},	//298 Phonon::VideoPlayer::VideoPlayer$
	{18, 95, 308},	//299 Phonon::VideoPlayer::VideoPlayer$#
	{18, 108, 317},	//300 Phonon::VideoPlayer::audioOutput
	{18, 158, 312},	//301 Phonon::VideoPlayer::currentTime
	{18, 211, 326},	//302 Phonon::VideoPlayer::finished
	{18, 250, 315},	//303 Phonon::VideoPlayer::isPaused
	{18, 251, 314},	//304 Phonon::VideoPlayer::isPlaying
	{18, 262, 319},	//305 Phonon::VideoPlayer::load#
	{18, 265, 316},	//306 Phonon::VideoPlayer::mediaObject
	{18, 269, 306},	//307 Phonon::VideoPlayer::metaObject
	{18, 323, 322},	//308 Phonon::VideoPlayer::pause
	{18, 325, 321},	//309 Phonon::VideoPlayer::play
	{18, 326, 320},	//310 Phonon::VideoPlayer::play#
	{18, 336, 307},	//311 Phonon::VideoPlayer::qt_metacall$$?
	{18, 354, 324},	//312 Phonon::VideoPlayer::seek$
	{18, 436, 325},	//313 Phonon::VideoPlayer::setVolume$
	{18, 446, 323},	//314 Phonon::VideoPlayer::stop
	{18, 463, 311},	//315 Phonon::VideoPlayer::totalTime
	{18, 472, 318},	//316 Phonon::VideoPlayer::videoWidget
	{18, 473, 313},	//317 Phonon::VideoPlayer::volume
	{18, 499, 310},	//318 Phonon::VideoPlayer::~VideoPlayer
	{19, 9, 330},	//319 Phonon::VideoWidget::AspectRatio16_9
	{19, 10, 329},	//320 Phonon::VideoWidget::AspectRatio4_3
	{19, 11, 327},	//321 Phonon::VideoWidget::AspectRatioAuto
	{19, 12, 328},	//322 Phonon::VideoWidget::AspectRatioWidget
	{19, 44, 331},	//323 Phonon::VideoWidget::FitInView
	{19, 77, 332},	//324 Phonon::VideoWidget::ScaleAndCrop
	{19, 96, 336},	//325 Phonon::VideoWidget::VideoWidget
	{19, 97, 335},	//326 Phonon::VideoWidget::VideoWidget#
	{19, 107, 337},	//327 Phonon::VideoWidget::aspectRatio
	{19, 124, 339},	//328 Phonon::VideoWidget::brightness
	{19, 145, 340},	//329 Phonon::VideoWidget::contrast
	{19, 193, 346},	//330 Phonon::VideoWidget::enterFullScreen
	{19, 199, 354},	//331 Phonon::VideoWidget::event#
	{19, 202, 345},	//332 Phonon::VideoWidget::exitFullScreen
	{19, 232, 341},	//333 Phonon::VideoWidget::hue
	{19, 269, 333},	//334 Phonon::VideoWidget::metaObject
	{19, 283, 353},	//335 Phonon::VideoWidget::mouseMoveEvent#
	{19, 336, 334},	//336 Phonon::VideoWidget::qt_metacall$$?
	{19, 351, 342},	//337 Phonon::VideoWidget::saturation
	{19, 352, 338},	//338 Phonon::VideoWidget::scaleMode
	{19, 360, 347},	//339 Phonon::VideoWidget::setAspectRatio$
	{19, 368, 349},	//340 Phonon::VideoWidget::setBrightness$
	{19, 370, 350},	//341 Phonon::VideoWidget::setContrast$
	{19, 386, 344},	//342 Phonon::VideoWidget::setFullScreen$
	{19, 388, 351},	//343 Phonon::VideoWidget::setHue$
	{19, 418, 352},	//344 Phonon::VideoWidget::setSaturation$
	{19, 420, 348},	//345 Phonon::VideoWidget::setScaleMode$
	{19, 500, 343},	//346 Phonon::VideoWidget::~VideoWidget
	{20, 98, 360},	//347 Phonon::VolumeFaderEffect::VolumeFaderEffect
	{20, 203, 359},	//348 Phonon::VolumeFaderEffect::fadeCurve
	{20, 205, 362},	//349 Phonon::VolumeFaderEffect::fadeIn$
	{20, 207, 363},	//350 Phonon::VolumeFaderEffect::fadeOut$
	{20, 209, 367},	//351 Phonon::VolumeFaderEffect::fadeTo$$
	{20, 269, 355},	//352 Phonon::VolumeFaderEffect::metaObject
	{20, 336, 356},	//353 Phonon::VolumeFaderEffect::qt_metacall$$?
	{20, 384, 366},	//354 Phonon::VolumeFaderEffect::setFadeCurve?
	{20, 436, 364},	//355 Phonon::VolumeFaderEffect::setVolume$
	{20, 438, 365},	//356 Phonon::VolumeFaderEffect::setVolumeDecibel$
	{20, 473, 357},	//357 Phonon::VolumeFaderEffect::volume
	{20, 476, 358},	//358 Phonon::VolumeFaderEffect::volumeDecibel
	{20, 501, 361},	//359 Phonon::VolumeFaderEffect::~VolumeFaderEffect
	{21, 99, 371},	//360 Phonon::VolumeSlider::VolumeSlider
	{21, 100, -24},	//361 Phonon::VolumeSlider::VolumeSlider#
	{21, 101, 372},	//362 Phonon::VolumeSlider::VolumeSlider##
	{21, 108, 385},	//363 Phonon::VolumeSlider::audioOutput
	{21, 224, 375},	//364 Phonon::VolumeSlider::hasTracking
	{21, 233, 382},	//365 Phonon::VolumeSlider::iconSize
	{21, 248, 381},	//366 Phonon::VolumeSlider::isMuteVisible
	{21, 264, 383},	//367 Phonon::VolumeSlider::maximumVolume
	{21, 269, 368},	//368 Phonon::VolumeSlider::metaObject
	{21, 309, 384},	//369 Phonon::VolumeSlider::orientation
	{21, 314, 377},	//370 Phonon::VolumeSlider::pageStep
	{21, 336, 369},	//371 Phonon::VolumeSlider::qt_metacall$$?
	{21, 362, 390},	//372 Phonon::VolumeSlider::setAudioOutput#
	{21, 390, 389},	//373 Phonon::VolumeSlider::setIconSize#
	{21, 394, 386},	//374 Phonon::VolumeSlider::setMaximumVolume$
	{21, 400, 388},	//375 Phonon::VolumeSlider::setMuteVisible$
	{21, 406, 387},	//376 Phonon::VolumeSlider::setOrientation$
	{21, 410, 378},	//377 Phonon::VolumeSlider::setPageStep$
	{21, 422, 380},	//378 Phonon::VolumeSlider::setSingleStep$
	{21, 430, 376},	//379 Phonon::VolumeSlider::setTracking$
	{21, 441, 379},	//380 Phonon::VolumeSlider::singleStep
	{21, 502, 374},	//381 Phonon::VolumeSlider::~VolumeSlider
};

static Smoke::Index phonon_ambiguousMethodList[] = {
    0,
    178,  // Phonon::MediaObject::enqueue(const QList<QUrl>&)
    177,  // Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    0,
    166,  // Phonon::MediaObject::metaData(const QString&) const
    167,  // Phonon::MediaObject::metaData(Phonon::MetaData) const
    0,
    174,  // Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    175,  // Phonon::MediaObject::setQueue(const QList<QUrl>&)
    0,
    215,  // Phonon::MediaSource::MediaSource(QIODevice*)
    211,  // Phonon::MediaSource::MediaSource(const QUrl&)
    217,  // Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    214,  // Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    0,
    210,  // Phonon::MediaSource::MediaSource(const QString&)
    213,  // Phonon::MediaSource::MediaSource(Phonon::DiscType)
    0,
    256,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    257,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    0,
    278,  // Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    275,  // Phonon::SeekSlider::SeekSlider(QWidget*)
    0,
    373,  // Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    370,  // Phonon::VolumeSlider::VolumeSlider(QWidget*)
    0,
};


void init_qt_Smoke();

static bool initialized = false;
Smoke *phonon_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_phonon_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    phonon_Smoke = new Smoke(
        "phonon",
        phonon_classes, 70,
        phonon_methods, 443,
        phonon_methodMaps, 382,
        phonon_methodNames, 502,
        phonon_types, 376,
        phonon_inheritanceList,
        phonon_argumentList,
        phonon_ambiguousMethodList,
        phonon_cast );
    initialized = true;
}
