#include <qaction.h>
#include <qbytearray.h>
#include <qcoreevent.h>
#include <qdatetime.h>
#include <qevent.h>
#include <qfont.h>
#include <qicon.h>
#include <qimage.h>
#include <qline.h>
#include <qnamespace.h>
#include <qnetworkaccessmanager.h>
#include <qnetworkreply.h>
#include <qnetworkrequest.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainter.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qprinter.h>
#include <qrect.h>
#include <qregion.h>
#include <qsize.h>
#include <qstyle.h>
#include <qundostack.h>
#include <qurl.h>
#include <qvariant.h>
#include <qwebframe.h>
#include <qwebhistory.h>
#include <qwebhistoryinterface.h>
#include <qwebpage.h>
#include <qwebpluginfactory.h>
#include <qwebsettings.h>
#include <qwebview.h>
#include <qwidget.h>

#include <smoke.h>

#include <qtwebkit_smoke.h>

static void *qtwebkit_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//QAction
	switch(to) {
	    case 28: return (void*)(QObject*)(QAction*)xptr;
	    case 1: return (void*)(QAction*)(QAction*)xptr;
	  default: return xptr;
	}
      case 2:	//QActionEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 2: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 3:	//QByteArray
	switch(to) {
	    case 3: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 4:	//QChildEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 4: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 5:	//QCloseEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 5: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 6:	//QContextMenuEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 6: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 7:	//QDateTime
	switch(to) {
	    case 7: return (void*)(QDateTime*)(QDateTime*)xptr;
	  default: return xptr;
	}
      case 8:	//QDragEnterEvent
	switch(to) {
	    case 10: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 11: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 12: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 8: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 9:	//QDragLeaveEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 9: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 10:	//QDragMoveEvent
	switch(to) {
	    case 11: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 12: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 10: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 8: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 11:	//QDropEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 11: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 8: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 10: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 12:	//QEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QEvent*)xptr;
	    case 2: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 4: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 5: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 6: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 8: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 9: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 10: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 11: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 13: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 15: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 18: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 19: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 23: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 24: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 32: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 43: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 44: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 47: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 48: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 61: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 13:	//QFocusEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 13: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 14:	//QFont
	switch(to) {
	    case 14: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 15:	//QHideEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 15: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 16:	//QIcon
	switch(to) {
	    case 16: return (void*)(QIcon*)(QIcon*)xptr;
	  default: return xptr;
	}
      case 17:	//QImage
	switch(to) {
	    case 29: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 17: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 18:	//QInputMethodEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 18: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 19:	//QKeyEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 19: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 20:	//QLine
	switch(to) {
	    case 20: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 21:	//QLineF
	switch(to) {
	    case 21: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 22:	//QMetaObject
	switch(to) {
	    case 22: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 23:	//QMouseEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 23: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 24:	//QMoveEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 24: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 25:	//QNetworkAccessManager
	switch(to) {
	    case 28: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
	    case 25: return (void*)(QNetworkAccessManager*)(QNetworkAccessManager*)xptr;
	  default: return xptr;
	}
      case 26:	//QNetworkReply
	switch(to) {
	    case 28: return (void*)(QObject*)(QNetworkReply*)xptr;
	    case 26: return (void*)(QNetworkReply*)(QNetworkReply*)xptr;
	  default: return xptr;
	}
      case 27:	//QNetworkRequest
	switch(to) {
	    case 27: return (void*)(QNetworkRequest*)(QNetworkRequest*)xptr;
	  default: return xptr;
	}
      case 28:	//QObject
	switch(to) {
	    case 28: return (void*)(QObject*)(QObject*)xptr;
	    case 1: return (void*)(QAction*)(QObject*)xptr;
	    case 25: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
	    case 26: return (void*)(QNetworkReply*)(QObject*)xptr;
	    case 46: return (void*)(QStyle*)(QObject*)xptr;
	    case 49: return (void*)(QUndoStack*)(QObject*)xptr;
	    case 52: return (void*)(QWebFrame*)(QObject*)xptr;
	    case 54: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
	    case 57: return (void*)(QWebPage*)(QObject*)xptr;
	    case 58: return (void*)(QWebPluginFactory*)(QObject*)xptr;
	    case 60: return (void*)(QWebView*)(QObject*)xptr;
	    case 62: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 29:	//QPaintDevice
	switch(to) {
	    case 29: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 17: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 36: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 39: return (void*)(QPrinter*)(QPaintDevice*)xptr;
	    case 60: return (void*)(QWebView*)(QPaintDevice*)xptr;
	    case 62: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 30:	//QPaintEngine
	switch(to) {
	    case 30: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 31:	//QPaintEngineState
	switch(to) {
	    case 31: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 32:	//QPaintEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 32: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 33:	//QPainter
	switch(to) {
	    case 33: return (void*)(QPainter*)(QPainter*)xptr;
	  default: return xptr;
	}
      case 34:	//QPainterPath
	switch(to) {
	    case 34: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 35:	//QPalette
	switch(to) {
	    case 35: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 36:	//QPixmap
	switch(to) {
	    case 29: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 36: return (void*)(QPixmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 37:	//QPoint
	switch(to) {
	    case 37: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 38:	//QPointF
	switch(to) {
	    case 38: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 39:	//QPrinter
	switch(to) {
	    case 29: return (void*)(QPaintDevice*)(QPrinter*)xptr;
	    case 39: return (void*)(QPrinter*)(QPrinter*)xptr;
	  default: return xptr;
	}
      case 40:	//QRect
	switch(to) {
	    case 40: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 41:	//QRectF
	switch(to) {
	    case 41: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 42:	//QRegion
	switch(to) {
	    case 42: return (void*)(QRegion*)(QRegion*)xptr;
	  default: return xptr;
	}
      case 43:	//QResizeEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 43: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 44:	//QShowEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 44: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 45:	//QSize
	switch(to) {
	    case 45: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 46:	//QStyle
	switch(to) {
	    case 28: return (void*)(QObject*)(QStyle*)xptr;
	    case 46: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 47:	//QTabletEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 47: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 48:	//QTimerEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 48: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 49:	//QUndoStack
	switch(to) {
	    case 28: return (void*)(QObject*)(QUndoStack*)xptr;
	    case 49: return (void*)(QUndoStack*)(QUndoStack*)xptr;
	  default: return xptr;
	}
      case 50:	//QUrl
	switch(to) {
	    case 50: return (void*)(QUrl*)(QUrl*)xptr;
	  default: return xptr;
	}
      case 51:	//QVariant
	switch(to) {
	    case 51: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 52:	//QWebFrame
	switch(to) {
	    case 28: return (void*)(QObject*)(QWebFrame*)xptr;
	    case 52: return (void*)(QWebFrame*)(QWebFrame*)xptr;
	  default: return xptr;
	}
      case 53:	//QWebHistory
	switch(to) {
	    case 53: return (void*)(QWebHistory*)(QWebHistory*)xptr;
	  default: return xptr;
	}
      case 54:	//QWebHistoryInterface
	switch(to) {
	    case 28: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
	    case 54: return (void*)(QWebHistoryInterface*)(QWebHistoryInterface*)xptr;
	  default: return xptr;
	}
      case 55:	//QWebHistoryItem
	switch(to) {
	    case 55: return (void*)(QWebHistoryItem*)(QWebHistoryItem*)xptr;
	  default: return xptr;
	}
      case 56:	//QWebHitTestResult
	switch(to) {
	    case 56: return (void*)(QWebHitTestResult*)(QWebHitTestResult*)xptr;
	  default: return xptr;
	}
      case 57:	//QWebPage
	switch(to) {
	    case 28: return (void*)(QObject*)(QWebPage*)xptr;
	    case 57: return (void*)(QWebPage*)(QWebPage*)xptr;
	  default: return xptr;
	}
      case 58:	//QWebPluginFactory
	switch(to) {
	    case 28: return (void*)(QObject*)(QWebPluginFactory*)xptr;
	    case 58: return (void*)(QWebPluginFactory*)(QWebPluginFactory*)xptr;
	  default: return xptr;
	}
      case 59:	//QWebSettings
	switch(to) {
	    case 59: return (void*)(QWebSettings*)(QWebSettings*)xptr;
	  default: return xptr;
	}
      case 60:	//QWebView
	switch(to) {
	    case 62: return (void*)(QWidget*)(QWebView*)xptr;
	    case 28: return (void*)(QObject*)(QWebView*)xptr;
	    case 29: return (void*)(QPaintDevice*)(QWebView*)xptr;
	    case 60: return (void*)(QWebView*)(QWebView*)xptr;
	  default: return xptr;
	}
      case 61:	//QWheelEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 61: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 62:	//QWidget
	switch(to) {
	    case 28: return (void*)(QObject*)(QWidget*)xptr;
	    case 29: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 62: return (void*)(QWidget*)(QWidget*)xptr;
	    case 60: return (void*)(QWebView*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index qtwebkit_inheritanceList[] = {
	0,	// 0: (no super class)
	28, 0,	// 1: QObject
	62, 0,	// 3: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class qtwebkit_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "QAction", true, 0, 0, 0, 0 }, 	// 1
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 2
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 3
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 4
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 5
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 6
	{ "QDateTime", true, 0, 0, 0, 0 }, 	// 7
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 8
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 9
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 10
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 11
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 12
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 13
	{ "QFont", true, 0, 0, 0, 0 }, 	// 14
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 15
	{ "QIcon", true, 0, 0, 0, 0 }, 	// 16
	{ "QImage", true, 0, 0, 0, 0 }, 	// 17
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 18
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 19
	{ "QLine", true, 0, 0, 0, 0 }, 	// 20
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 21
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 22
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 23
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 24
	{ "QNetworkAccessManager", true, 0, 0, 0, 0 }, 	// 25
	{ "QNetworkReply", true, 0, 0, 0, 0 }, 	// 26
	{ "QNetworkRequest", true, 0, 0, 0, 0 }, 	// 27
	{ "QObject", true, 0, 0, 0, 0 }, 	// 28
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 29
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 30
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 31
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 32
	{ "QPainter", true, 0, 0, 0, 0 }, 	// 33
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 34
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 35
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 36
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 37
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 38
	{ "QPrinter", true, 0, 0, 0, 0 }, 	// 39
	{ "QRect", true, 0, 0, 0, 0 }, 	// 40
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 41
	{ "QRegion", true, 0, 0, 0, 0 }, 	// 42
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 43
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 44
	{ "QSize", true, 0, 0, 0, 0 }, 	// 45
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 46
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 47
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 48
	{ "QUndoStack", true, 0, 0, 0, 0 }, 	// 49
	{ "QUrl", true, 0, 0, 0, 0 }, 	// 50
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 51
	{ "QWebFrame", false, 1, xcall_QWebFrame, 0, Smoke::cf_virtual }, 	//52
	{ "QWebHistory", false, 0, xcall_QWebHistory, 0, 0 }, 	//53
	{ "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//54
	{ "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//55
	{ "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//56
	{ "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual }, 	//57
	{ "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual }, 	//58
	{ "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0 }, 	//59
	{ "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//60
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 61
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 62
	{ "Qt", true, 0, 0, 0, 0 }, 	// 63
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type qtwebkit_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//1
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//2
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//3
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//4
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//7
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//8
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//9
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//10
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//11
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//12
	{ "QAction*", 1, Smoke::t_class | Smoke::tf_ptr },	//13
	{ "QActionEvent*", 2, Smoke::t_class | Smoke::tf_ptr },	//14
	{ "QChildEvent*", 4, Smoke::t_class | Smoke::tf_ptr },	//15
	{ "QCloseEvent*", 5, Smoke::t_class | Smoke::tf_ptr },	//16
	{ "QContextMenuEvent*", 6, Smoke::t_class | Smoke::tf_ptr },	//17
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//18
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//19
	{ "QDateTime", 7, Smoke::t_class | Smoke::tf_stack },	//20
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//21
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//22
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//24
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//25
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//26
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//29
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//30
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//31
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//32
	{ "QDragEnterEvent*", 8, Smoke::t_class | Smoke::tf_ptr },	//33
	{ "QDragLeaveEvent*", 9, Smoke::t_class | Smoke::tf_ptr },	//34
	{ "QDragMoveEvent*", 10, Smoke::t_class | Smoke::tf_ptr },	//35
	{ "QDropEvent*", 11, Smoke::t_class | Smoke::tf_ptr },	//36
	{ "QEvent*", 12, Smoke::t_class | Smoke::tf_ptr },	//37
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//38
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//39
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//40
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//41
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//42
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//43
	{ "QFocusEvent*", 13, Smoke::t_class | Smoke::tf_ptr },	//44
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//45
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//46
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//47
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//48
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//49
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//50
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//51
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//52
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//53
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//54
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//55
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//56
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//57
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//58
	{ "QHideEvent*", 15, Smoke::t_class | Smoke::tf_ptr },	//59
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//60
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//61
	{ "QIcon", 16, Smoke::t_class | Smoke::tf_stack },	//62
	{ "QInputMethodEvent*", 18, Smoke::t_class | Smoke::tf_ptr },	//63
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//64
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//65
	{ "QKeyEvent*", 19, Smoke::t_class | Smoke::tf_ptr },	//66
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//67
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//68
	{ "QList<QWebFrame*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//69
	{ "QList<QWebHistoryItem>", 0, Smoke::t_voidp | Smoke::tf_stack },	//70
	{ "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp | Smoke::tf_stack },	//71
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//72
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//73
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//74
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//75
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//76
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//77
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//78
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//79
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//80
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//81
	{ "QMetaObject::Call", 22, Smoke::t_enum | Smoke::tf_stack },	//82
	{ "QMouseEvent*", 23, Smoke::t_class | Smoke::tf_ptr },	//83
	{ "QMoveEvent*", 24, Smoke::t_class | Smoke::tf_ptr },	//84
	{ "QNetworkAccessManager*", 25, Smoke::t_class | Smoke::tf_ptr },	//85
	{ "QNetworkAccessManager::Operation", 25, Smoke::t_enum | Smoke::tf_stack },	//86
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//87
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//88
	{ "QNetworkReply*", 26, Smoke::t_class | Smoke::tf_ptr },	//89
	{ "QNetworkRequest&", 27, Smoke::t_class | Smoke::tf_ref },	//90
	{ "QObject*", 28, Smoke::t_class | Smoke::tf_ptr },	//91
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//92
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//93
	{ "QPaintDevice*", 29, Smoke::t_class | Smoke::tf_ptr },	//94
	{ "QPaintDevice::PaintDeviceMetric", 29, Smoke::t_enum | Smoke::tf_stack },	//95
	{ "QPaintEngine*", 30, Smoke::t_class | Smoke::tf_ptr },	//96
	{ "QPaintEngine::DirtyFlag", 30, Smoke::t_enum | Smoke::tf_stack },	//97
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//98
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//99
	{ "QPaintEngine::PaintEngineFeature", 30, Smoke::t_enum | Smoke::tf_stack },	//100
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//101
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//102
	{ "QPaintEngine::PolygonDrawMode", 30, Smoke::t_enum | Smoke::tf_stack },	//103
	{ "QPaintEngine::Type", 30, Smoke::t_enum | Smoke::tf_stack },	//104
	{ "QPaintEvent*", 32, Smoke::t_class | Smoke::tf_ptr },	//105
	{ "QPainter*", 33, Smoke::t_class | Smoke::tf_ptr },	//106
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//107
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//108
	{ "QPainterPath::ElementType", 34, Smoke::t_enum | Smoke::tf_stack },	//109
	{ "QPalette", 35, Smoke::t_class | Smoke::tf_stack },	//110
	{ "QPixmap", 36, Smoke::t_class | Smoke::tf_stack },	//111
	{ "QPixmap::Type", 36, Smoke::t_enum | Smoke::tf_stack },	//112
	{ "QPoint", 37, Smoke::t_class | Smoke::tf_stack },	//113
	{ "QPrinter*", 39, Smoke::t_class | Smoke::tf_ptr },	//114
	{ "QRect", 40, Smoke::t_class | Smoke::tf_stack },	//115
	{ "QRect&", 40, Smoke::t_class | Smoke::tf_ref },	//116
	{ "QResizeEvent*", 43, Smoke::t_class | Smoke::tf_ptr },	//117
	{ "QShowEvent*", 44, Smoke::t_class | Smoke::tf_ptr },	//118
	{ "QSize", 45, Smoke::t_class | Smoke::tf_stack },	//119
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//120
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//121
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//122
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//123
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//124
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//125
	{ "QString*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//126
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//127
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//128
	{ "QStyle&", 46, Smoke::t_class | Smoke::tf_ref },	//129
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//130
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//131
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//132
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//133
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//134
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//135
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//136
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//137
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//138
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//139
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//140
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//141
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//142
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//143
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//144
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//145
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//146
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//147
	{ "QTabletEvent*", 47, Smoke::t_class | Smoke::tf_ptr },	//148
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//149
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//150
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//151
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//152
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//153
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//154
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//155
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//156
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//157
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//158
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//159
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//160
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//161
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//162
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//163
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//164
	{ "QTimerEvent*", 48, Smoke::t_class | Smoke::tf_ptr },	//165
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//166
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//167
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//168
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//169
	{ "QUndoStack*", 49, Smoke::t_class | Smoke::tf_ptr },	//170
	{ "QUrl", 50, Smoke::t_class | Smoke::tf_stack },	//171
	{ "QUrl&", 50, Smoke::t_class | Smoke::tf_ref },	//172
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//173
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//174
	{ "QVariant", 51, Smoke::t_class | Smoke::tf_stack },	//175
	{ "QWebFrame*", 52, Smoke::t_class | Smoke::tf_ptr },	//176
	{ "QWebHistory*", 53, Smoke::t_class | Smoke::tf_ptr },	//177
	{ "QWebHistoryInterface*", 54, Smoke::t_class | Smoke::tf_ptr },	//178
	{ "QWebHistoryItem", 55, Smoke::t_class | Smoke::tf_stack },	//179
	{ "QWebHistoryItem&", 55, Smoke::t_class | Smoke::tf_ref },	//180
	{ "QWebHistoryItem*", 55, Smoke::t_class | Smoke::tf_ptr },	//181
	{ "QWebHitTestResult", 56, Smoke::t_class | Smoke::tf_stack },	//182
	{ "QWebHitTestResult&", 56, Smoke::t_class | Smoke::tf_ref },	//183
	{ "QWebHitTestResult*", 56, Smoke::t_class | Smoke::tf_ptr },	//184
	{ "QWebPage*", 57, Smoke::t_class | Smoke::tf_ptr },	//185
	{ "QWebPage::Extension", 57, Smoke::t_enum | Smoke::tf_stack },	//186
	{ "QWebPage::ExtensionReturn*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//187
	{ "QWebPage::FindFlag", 57, Smoke::t_enum | Smoke::tf_stack },	//188
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//189
	{ "QWebPage::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//190
	{ "QWebPage::LinkDelegationPolicy", 57, Smoke::t_enum | Smoke::tf_stack },	//191
	{ "QWebPage::NavigationType", 57, Smoke::t_enum | Smoke::tf_stack },	//192
	{ "QWebPage::WebAction", 57, Smoke::t_enum | Smoke::tf_stack },	//193
	{ "QWebPage::WebWindowType", 57, Smoke::t_enum | Smoke::tf_stack },	//194
	{ "QWebPluginFactory*", 58, Smoke::t_class | Smoke::tf_ptr },	//195
	{ "QWebPluginFactory::Extension", 58, Smoke::t_enum | Smoke::tf_stack },	//196
	{ "QWebPluginFactory::ExtensionReturn*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//197
	{ "QWebSettings*", 59, Smoke::t_class | Smoke::tf_ptr },	//198
	{ "QWebSettings::FontFamily", 59, Smoke::t_enum | Smoke::tf_stack },	//199
	{ "QWebSettings::FontSize", 59, Smoke::t_enum | Smoke::tf_stack },	//200
	{ "QWebSettings::WebAttribute", 59, Smoke::t_enum | Smoke::tf_stack },	//201
	{ "QWebSettings::WebGraphic", 59, Smoke::t_enum | Smoke::tf_stack },	//202
	{ "QWebView*", 60, Smoke::t_class | Smoke::tf_ptr },	//203
	{ "QWheelEvent*", 61, Smoke::t_class | Smoke::tf_ptr },	//204
	{ "QWidget*", 62, Smoke::t_class | Smoke::tf_ptr },	//205
	{ "QWidget::RenderFlag", 62, Smoke::t_enum | Smoke::tf_stack },	//206
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//207
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//208
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//209
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//210
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//211
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//212
	{ "Qt::AlignmentFlag", 63, Smoke::t_enum | Smoke::tf_stack },	//213
	{ "Qt::AnchorAttribute", 63, Smoke::t_enum | Smoke::tf_stack },	//214
	{ "Qt::ApplicationAttribute", 63, Smoke::t_enum | Smoke::tf_stack },	//215
	{ "Qt::ArrowType", 63, Smoke::t_enum | Smoke::tf_stack },	//216
	{ "Qt::AspectRatioMode", 63, Smoke::t_enum | Smoke::tf_stack },	//217
	{ "Qt::Axis", 63, Smoke::t_enum | Smoke::tf_stack },	//218
	{ "Qt::BGMode", 63, Smoke::t_enum | Smoke::tf_stack },	//219
	{ "Qt::BrushStyle", 63, Smoke::t_enum | Smoke::tf_stack },	//220
	{ "Qt::CaseSensitivity", 63, Smoke::t_enum | Smoke::tf_stack },	//221
	{ "Qt::CheckState", 63, Smoke::t_enum | Smoke::tf_stack },	//222
	{ "Qt::ClipOperation", 63, Smoke::t_enum | Smoke::tf_stack },	//223
	{ "Qt::ConnectionType", 63, Smoke::t_enum | Smoke::tf_stack },	//224
	{ "Qt::ContextMenuPolicy", 63, Smoke::t_enum | Smoke::tf_stack },	//225
	{ "Qt::Corner", 63, Smoke::t_enum | Smoke::tf_stack },	//226
	{ "Qt::CursorShape", 63, Smoke::t_enum | Smoke::tf_stack },	//227
	{ "Qt::DateFormat", 63, Smoke::t_enum | Smoke::tf_stack },	//228
	{ "Qt::DayOfWeek", 63, Smoke::t_enum | Smoke::tf_stack },	//229
	{ "Qt::DockWidgetArea", 63, Smoke::t_enum | Smoke::tf_stack },	//230
	{ "Qt::DockWidgetAreaSizes", 63, Smoke::t_enum | Smoke::tf_stack },	//231
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//232
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//233
	{ "Qt::DropAction", 63, Smoke::t_enum | Smoke::tf_stack },	//234
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//235
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//236
	{ "Qt::EventPriority", 63, Smoke::t_enum | Smoke::tf_stack },	//237
	{ "Qt::FillRule", 63, Smoke::t_enum | Smoke::tf_stack },	//238
	{ "Qt::FocusPolicy", 63, Smoke::t_enum | Smoke::tf_stack },	//239
	{ "Qt::FocusReason", 63, Smoke::t_enum | Smoke::tf_stack },	//240
	{ "Qt::GlobalColor", 63, Smoke::t_enum | Smoke::tf_stack },	//241
	{ "Qt::HitTestAccuracy", 63, Smoke::t_enum | Smoke::tf_stack },	//242
	{ "Qt::ImageConversionFlag", 63, Smoke::t_enum | Smoke::tf_stack },	//243
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//244
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//245
	{ "Qt::InputMethodQuery", 63, Smoke::t_enum | Smoke::tf_stack },	//246
	{ "Qt::ItemDataRole", 63, Smoke::t_enum | Smoke::tf_stack },	//247
	{ "Qt::ItemFlag", 63, Smoke::t_enum | Smoke::tf_stack },	//248
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//249
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//250
	{ "Qt::ItemSelectionMode", 63, Smoke::t_enum | Smoke::tf_stack },	//251
	{ "Qt::Key", 63, Smoke::t_enum | Smoke::tf_stack },	//252
	{ "Qt::KeyboardModifier", 63, Smoke::t_enum | Smoke::tf_stack },	//253
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//254
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//255
	{ "Qt::LayoutDirection", 63, Smoke::t_enum | Smoke::tf_stack },	//256
	{ "Qt::MaskMode", 63, Smoke::t_enum | Smoke::tf_stack },	//257
	{ "Qt::MatchFlag", 63, Smoke::t_enum | Smoke::tf_stack },	//258
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//259
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//260
	{ "Qt::Modifier", 63, Smoke::t_enum | Smoke::tf_stack },	//261
	{ "Qt::MouseButton", 63, Smoke::t_enum | Smoke::tf_stack },	//262
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//263
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//264
	{ "Qt::Orientation", 63, Smoke::t_enum | Smoke::tf_stack },	//265
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//266
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//267
	{ "Qt::PenCapStyle", 63, Smoke::t_enum | Smoke::tf_stack },	//268
	{ "Qt::PenJoinStyle", 63, Smoke::t_enum | Smoke::tf_stack },	//269
	{ "Qt::PenStyle", 63, Smoke::t_enum | Smoke::tf_stack },	//270
	{ "Qt::ScrollBarPolicy", 63, Smoke::t_enum | Smoke::tf_stack },	//271
	{ "Qt::ShortcutContext", 63, Smoke::t_enum | Smoke::tf_stack },	//272
	{ "Qt::SizeHint", 63, Smoke::t_enum | Smoke::tf_stack },	//273
	{ "Qt::SizeMode", 63, Smoke::t_enum | Smoke::tf_stack },	//274
	{ "Qt::SortOrder", 63, Smoke::t_enum | Smoke::tf_stack },	//275
	{ "Qt::TextElideMode", 63, Smoke::t_enum | Smoke::tf_stack },	//276
	{ "Qt::TextFlag", 63, Smoke::t_enum | Smoke::tf_stack },	//277
	{ "Qt::TextFormat", 63, Smoke::t_enum | Smoke::tf_stack },	//278
	{ "Qt::TextInteractionFlag", 63, Smoke::t_enum | Smoke::tf_stack },	//279
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//280
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//281
	{ "Qt::TimeSpec", 63, Smoke::t_enum | Smoke::tf_stack },	//282
	{ "Qt::ToolBarArea", 63, Smoke::t_enum | Smoke::tf_stack },	//283
	{ "Qt::ToolBarAreaSizes", 63, Smoke::t_enum | Smoke::tf_stack },	//284
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//285
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//286
	{ "Qt::ToolButtonStyle", 63, Smoke::t_enum | Smoke::tf_stack },	//287
	{ "Qt::TransformationMode", 63, Smoke::t_enum | Smoke::tf_stack },	//288
	{ "Qt::UIEffect", 63, Smoke::t_enum | Smoke::tf_stack },	//289
	{ "Qt::WhiteSpaceMode", 63, Smoke::t_enum | Smoke::tf_stack },	//290
	{ "Qt::WidgetAttribute", 63, Smoke::t_enum | Smoke::tf_stack },	//291
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//292
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//293
	{ "Qt::WindowFrameSection", 63, Smoke::t_enum | Smoke::tf_stack },	//294
	{ "Qt::WindowModality", 63, Smoke::t_enum | Smoke::tf_stack },	//295
	{ "Qt::WindowState", 63, Smoke::t_enum | Smoke::tf_stack },	//296
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//297
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//298
	{ "Qt::WindowType", 63, Smoke::t_enum | Smoke::tf_stack },	//299
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//300
	{ "const QByteArray&", 3, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//301
	{ "const QFont&", 14, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//302
	{ "const QImage&", 17, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//303
	{ "const QLine*", 20, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//304
	{ "const QLineF*", 21, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//305
	{ "const QMetaObject", 22, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//306
	{ "const QMetaObject*", 22, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//307
	{ "const QNetworkRequest&", 27, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//308
	{ "const QPaintEngineState&", 31, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//309
	{ "const QPainterPath&", 34, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//310
	{ "const QPalette&", 35, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//311
	{ "const QPixmap&", 36, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//312
	{ "const QPoint&", 37, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//313
	{ "const QPoint*", 37, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//314
	{ "const QPointF&", 38, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//315
	{ "const QPointF*", 38, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//316
	{ "const QRect&", 40, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//317
	{ "const QRect*", 40, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//318
	{ "const QRectF&", 41, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//319
	{ "const QRectF*", 41, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//320
	{ "const QRegion&", 42, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//321
	{ "const QSize&", 45, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//322
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//323
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//324
	{ "const QUrl&", 50, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//325
	{ "const QWebHistoryItem&", 55, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//326
	{ "const QWebHitTestResult&", 56, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//327
	{ "const QWebPage::ExtensionOption*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//328
	{ "const QWebPluginFactory::ExtensionOption*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//329
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//330
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//331
	{ "qreal", 0, Smoke::t_double | Smoke::tf_stack },	//332
	{ "quint64", 0, Smoke::t_voidp | Smoke::tf_stack },	//333
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//334
};

static Smoke::Index qtwebkit_argumentList[] = {
	0,	//0  (void)
	105, 0,	//1  QPaintEvent*  
	106, 0,	//3  QPainter*  
	106, 321, 0,	//5  QPainter*, const QRegion&  
	114, 0,	//8  QPrinter*  
	117, 0,	//10  QResizeEvent*  
	118, 0,	//12  QShowEvent*  
	129, 0,	//14  QStyle&  
	14, 0,	//16  QActionEvent*  
	148, 0,	//18  QTabletEvent*  
	15, 0,	//20  QChildEvent*  
	16, 0,	//22  QCloseEvent*  
	165, 0,	//24  QTimerEvent*  
	17, 0,	//26  QContextMenuEvent*  
	176, 0,	//28  QWebFrame*  
	176, 308, 192, 0,	//30  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType  
	176, 323, 0,	//34  QWebFrame*, const QString&  
	176, 323, 323, 126, 0,	//37  QWebFrame*, const QString&, const QString&, QString*  
	178, 0,	//42  QWebHistoryInterface*  
	185, 0,	//44  QWebPage*  
	186, 0,	//46  QWebPage::Extension  
	186, 328, 0,	//48  QWebPage::Extension, const QWebPage::ExtensionOption*  
	186, 328, 187, 0,	//51  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*  
	191, 0,	//55  QWebPage::LinkDelegationPolicy  
	193, 0,	//57  QWebPage::WebAction  
	193, 300, 0,	//59  QWebPage::WebAction, bool  
	194, 0,	//62  QWebPage::WebWindowType  
	195, 0,	//64  QWebPluginFactory*  
	196, 0,	//66  QWebPluginFactory::Extension  
	196, 329, 0,	//68  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*  
	196, 329, 197, 0,	//71  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*  
	199, 0,	//75  QWebSettings::FontFamily  
	199, 323, 0,	//77  QWebSettings::FontFamily, const QString&  
	200, 0,	//80  QWebSettings::FontSize  
	200, 331, 0,	//82  QWebSettings::FontSize, int  
	201, 0,	//85  QWebSettings::WebAttribute  
	201, 300, 0,	//87  QWebSettings::WebAttribute, bool  
	202, 0,	//90  QWebSettings::WebGraphic  
	202, 312, 0,	//92  QWebSettings::WebGraphic, const QPixmap&  
	204, 0,	//95  QWheelEvent*  
	205, 0,	//97  QWidget*  
	246, 0,	//99  Qt::InputMethodQuery  
	265, 0,	//101  Qt::Orientation  
	265, 271, 0,	//103  Qt::Orientation, Qt::ScrollBarPolicy  
	265, 331, 0,	//106  Qt::Orientation, int  
	300, 0,	//109  bool  
	301, 0,	//111  const QByteArray&  
	301, 323, 0,	//113  const QByteArray&, const QString&  
	301, 323, 325, 0,	//116  const QByteArray&, const QString&, const QUrl&  
	302, 0,	//120  const QFont&  
	308, 0,	//122  const QNetworkRequest&  
	308, 86, 0,	//124  const QNetworkRequest&, QNetworkAccessManager::Operation  
	308, 86, 301, 0,	//127  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&  
	311, 0,	//131  const QPalette&  
	313, 0,	//133  const QPoint&  
	317, 0,	//135  const QRect&  
	322, 0,	//137  const QSize&  
	323, 0,	//139  const QString&  
	323, 189, 0,	//141  const QString&, QWebPage::FindFlags  
	323, 323, 323, 0,	//144  const QString&, const QString&, const QString&  
	323, 325, 0,	//148  const QString&, const QUrl&  
	323, 325, 324, 324, 0,	//151  const QString&, const QUrl&, const QStringList&, const QStringList&  
	323, 331, 323, 0,	//156  const QString&, int, const QString&  
	323, 91, 0,	//160  const QString&, QObject*  
	325, 0,	//163  const QUrl&  
	326, 0,	//165  const QWebHistoryItem&  
	327, 0,	//167  const QWebHitTestResult&  
	33, 0,	//169  QDragEnterEvent*  
	330, 0,	//171  const char*  
	330, 330, 0,	//173  const char*, const char*  
	331, 0,	//176  int  
	331, 331, 317, 0,	//178  int, int, const QRect&  
	331, 331, 331, 0,	//182  int, int, int  
	332, 0,	//186  qreal  
	34, 0,	//188  QDragLeaveEvent*  
	35, 0,	//190  QDragMoveEvent*  
	36, 0,	//192  QDropEvent*  
	37, 0,	//194  QEvent*  
	44, 0,	//196  QFocusEvent*  
	59, 0,	//198  QHideEvent*  
	63, 0,	//200  QInputMethodEvent*  
	66, 0,	//202  QKeyEvent*  
	82, 331, 334, 0,	//204  QMetaObject::Call, int, void**  
	83, 0,	//208  QMouseEvent*  
	84, 0,	//210  QMoveEvent*  
	85, 0,	//212  QNetworkAccessManager*  
	89, 0,	//214  QNetworkReply*  
	91, 0,	//216  QObject*  
	91, 37, 0,	//218  QObject*, QEvent*  
	95, 0,	//221  QPaintDevice::PaintDeviceMetric  
};

// Raw list of all methods, using munged names
static const char *qtwebkit_methodNames[] = {
    "",	//0
    "AutoLoadImages",	//1
    "Back",	//2
    "Copy",	//3
    "CopyImageToClipboard",	//4
    "CopyLinkToClipboard",	//5
    "CursiveFont",	//6
    "Cut",	//7
    "DefaultFixedFontSize",	//8
    "DefaultFontSize",	//9
    "DefaultFrameIconGraphic",	//10
    "DelegateAllLinks",	//11
    "DelegateExternalLinks",	//12
    "DeleteEndOfWord",	//13
    "DeleteStartOfWord",	//14
    "DeveloperExtrasEnabled",	//15
    "DontDelegateLinks",	//16
    "DownloadImageToDisk",	//17
    "DownloadLinkToDisk",	//18
    "FantasyFont",	//19
    "FindBackward",	//20
    "FindCaseSensitively",	//21
    "FindWrapsAroundDocument",	//22
    "FixedFont",	//23
    "Forward",	//24
    "InspectElement",	//25
    "JavaEnabled",	//26
    "JavascriptCanAccessClipboard",	//27
    "JavascriptCanOpenWindows",	//28
    "JavascriptEnabled",	//29
    "LinksIncludedInFocusChain",	//30
    "MinimumFontSize",	//31
    "MinimumLogicalFontSize",	//32
    "MissingImageGraphic",	//33
    "MissingPluginGraphic",	//34
    "MoveToEndOfBlock",	//35
    "MoveToEndOfDocument",	//36
    "MoveToEndOfLine",	//37
    "MoveToNextChar",	//38
    "MoveToNextLine",	//39
    "MoveToNextWord",	//40
    "MoveToPreviousChar",	//41
    "MoveToPreviousLine",	//42
    "MoveToPreviousWord",	//43
    "MoveToStartOfBlock",	//44
    "MoveToStartOfDocument",	//45
    "MoveToStartOfLine",	//46
    "NavigationTypeBackOrForward",	//47
    "NavigationTypeFormResubmitted",	//48
    "NavigationTypeFormSubmitted",	//49
    "NavigationTypeLinkClicked",	//50
    "NavigationTypeOther",	//51
    "NavigationTypeReload",	//52
    "NoWebAction",	//53
    "OpenFrameInNewWindow",	//54
    "OpenImageInNewWindow",	//55
    "OpenLink",	//56
    "OpenLinkInNewWindow",	//57
    "Paste",	//58
    "PluginsEnabled",	//59
    "PrivateBrowsingEnabled",	//60
    "QWebHistoryInterface",	//61
    "QWebHistoryInterface#",	//62
    "QWebHistoryItem",	//63
    "QWebHistoryItem#",	//64
    "QWebHitTestResult",	//65
    "QWebHitTestResult#",	//66
    "QWebPage",	//67
    "QWebPage#",	//68
    "QWebPluginFactory",	//69
    "QWebPluginFactory#",	//70
    "QWebView",	//71
    "QWebView#",	//72
    "Redo",	//73
    "Reload",	//74
    "SansSerifFont",	//75
    "SelectEndOfBlock",	//76
    "SelectEndOfDocument",	//77
    "SelectEndOfLine",	//78
    "SelectNextChar",	//79
    "SelectNextLine",	//80
    "SelectNextWord",	//81
    "SelectPreviousChar",	//82
    "SelectPreviousLine",	//83
    "SelectPreviousWord",	//84
    "SelectStartOfBlock",	//85
    "SelectStartOfDocument",	//86
    "SelectStartOfLine",	//87
    "SerifFont",	//88
    "SetTextDirectionDefault",	//89
    "SetTextDirectionLeftToRight",	//90
    "SetTextDirectionRightToLeft",	//91
    "StandardFont",	//92
    "Stop",	//93
    "TextAreaSizeGripCornerGraphic",	//94
    "ToggleBold",	//95
    "ToggleItalic",	//96
    "ToggleUnderline",	//97
    "Undo",	//98
    "WebActionCount",	//99
    "WebBrowserWindow",	//100
    "WebModalDialog",	//101
    "acceptNavigationRequest",	//102
    "acceptNavigationRequest##$",	//103
    "action",	//104
    "action$",	//105
    "actionEvent",	//106
    "actionEvent#",	//107
    "addHistoryEntry",	//108
    "addHistoryEntry$",	//109
    "addToJavaScriptWindowObject",	//110
    "addToJavaScriptWindowObject$#",	//111
    "alternateText",	//112
    "back",	//113
    "backItem",	//114
    "backItems",	//115
    "backItems$",	//116
    "bytesReceived",	//117
    "canGoBack",	//118
    "canGoForward",	//119
    "changeEvent",	//120
    "changeEvent#",	//121
    "childEvent",	//122
    "childEvent#",	//123
    "childFrames",	//124
    "chooseFile",	//125
    "chooseFile#$",	//126
    "clear",	//127
    "clearIconDatabase",	//128
    "closeEvent",	//129
    "closeEvent#",	//130
    "connectNotify",	//131
    "connectNotify$",	//132
    "contentsSize",	//133
    "contextMenuEvent",	//134
    "contextMenuEvent#",	//135
    "count",	//136
    "create",	//137
    "create$#??",	//138
    "createPlugin",	//139
    "createPlugin$#??",	//140
    "createWindow",	//141
    "createWindow$",	//142
    "currentFrame",	//143
    "currentItem",	//144
    "customEvent",	//145
    "customEvent#",	//146
    "defaultInterface",	//147
    "devType",	//148
    "disconnectNotify",	//149
    "disconnectNotify$",	//150
    "downloadRequested",	//151
    "downloadRequested#",	//152
    "dragEnterEvent",	//153
    "dragEnterEvent#",	//154
    "dragLeaveEvent",	//155
    "dragLeaveEvent#",	//156
    "dragMoveEvent",	//157
    "dragMoveEvent#",	//158
    "dropEvent",	//159
    "dropEvent#",	//160
    "enabledChange",	//161
    "enabledChange$",	//162
    "enterEvent",	//163
    "enterEvent#",	//164
    "evaluateJavaScript",	//165
    "evaluateJavaScript$",	//166
    "event",	//167
    "event#",	//168
    "eventFilter",	//169
    "eventFilter##",	//170
    "extension",	//171
    "extension$",	//172
    "extension$?",	//173
    "extension$??",	//174
    "findText",	//175
    "findText$",	//176
    "findText$$",	//177
    "focusInEvent",	//178
    "focusInEvent#",	//179
    "focusNextPrevChild",	//180
    "focusNextPrevChild$",	//181
    "focusOutEvent",	//182
    "focusOutEvent#",	//183
    "fontChange",	//184
    "fontChange#",	//185
    "fontFamily",	//186
    "fontFamily$",	//187
    "fontSize",	//188
    "fontSize$",	//189
    "forward",	//190
    "forwardItem",	//191
    "forwardItems",	//192
    "forwardItems$",	//193
    "forwardUnsupportedContent",	//194
    "frame",	//195
    "frameCreated",	//196
    "frameCreated#",	//197
    "frameName",	//198
    "geometry",	//199
    "geometryChangeRequested",	//200
    "geometryChangeRequested#",	//201
    "globalSettings",	//202
    "goToItem",	//203
    "goToItem#",	//204
    "heightForWidth",	//205
    "heightForWidth$",	//206
    "hideEvent",	//207
    "hideEvent#",	//208
    "history",	//209
    "historyContains",	//210
    "historyContains$",	//211
    "hitTestContent",	//212
    "hitTestContent#",	//213
    "icon",	//214
    "iconChanged",	//215
    "iconDatabasePath",	//216
    "iconForUrl",	//217
    "iconForUrl#",	//218
    "imageUrl",	//219
    "initialLayoutCompleted",	//220
    "inputMethodEvent",	//221
    "inputMethodEvent#",	//222
    "inputMethodQuery",	//223
    "inputMethodQuery$",	//224
    "isContentEditable",	//225
    "isContentSelected",	//226
    "isModified",	//227
    "isNull",	//228
    "itemAt",	//229
    "itemAt$",	//230
    "items",	//231
    "javaScriptAlert",	//232
    "javaScriptAlert#$",	//233
    "javaScriptConfirm",	//234
    "javaScriptConfirm#$",	//235
    "javaScriptConsoleMessage",	//236
    "javaScriptConsoleMessage$$$",	//237
    "javaScriptPrompt",	//238
    "javaScriptPrompt#$$$",	//239
    "javaScriptWindowObjectCleared",	//240
    "keyPressEvent",	//241
    "keyPressEvent#",	//242
    "keyReleaseEvent",	//243
    "keyReleaseEvent#",	//244
    "languageChange",	//245
    "lastVisited",	//246
    "leaveEvent",	//247
    "leaveEvent#",	//248
    "linkClicked",	//249
    "linkClicked#",	//250
    "linkDelegationPolicy",	//251
    "linkHovered",	//252
    "linkHovered$$$",	//253
    "linkTargetFrame",	//254
    "linkText",	//255
    "linkTitle",	//256
    "linkUrl",	//257
    "load",	//258
    "load#",	//259
    "load#$",	//260
    "load#$#",	//261
    "loadFinished",	//262
    "loadFinished$",	//263
    "loadProgress",	//264
    "loadProgress$",	//265
    "loadStarted",	//266
    "mainFrame",	//267
    "maximumPagesInCache",	//268
    "menuBarVisibilityChangeRequested",	//269
    "menuBarVisibilityChangeRequested$",	//270
    "metaObject",	//271
    "metric",	//272
    "metric$",	//273
    "microFocusChanged",	//274
    "minimumSizeHint",	//275
    "mouseDoubleClickEvent",	//276
    "mouseDoubleClickEvent#",	//277
    "mouseMoveEvent",	//278
    "mouseMoveEvent#",	//279
    "mousePressEvent",	//280
    "mousePressEvent#",	//281
    "mouseReleaseEvent",	//282
    "mouseReleaseEvent#",	//283
    "moveEvent",	//284
    "moveEvent#",	//285
    "networkAccessManager",	//286
    "operator=",	//287
    "operator=#",	//288
    "originalUrl",	//289
    "page",	//290
    "pageAction",	//291
    "pageAction$",	//292
    "paintEngine",	//293
    "paintEvent",	//294
    "paintEvent#",	//295
    "palette",	//296
    "paletteChange",	//297
    "paletteChange#",	//298
    "parentFrame",	//299
    "pixmap",	//300
    "pluginFactory",	//301
    "plugins",	//302
    "pos",	//303
    "print",	//304
    "print#",	//305
    "printRequested",	//306
    "printRequested#",	//307
    "provisionalLoad",	//308
    "qt_metacall",	//309
    "qt_metacall$$?",	//310
    "refreshPlugins",	//311
    "reload",	//312
    "render",	//313
    "render#",	//314
    "render##",	//315
    "renderTreeDump",	//316
    "repaintRequested",	//317
    "repaintRequested#",	//318
    "resetAttribute",	//319
    "resetAttribute$",	//320
    "resetFontFamily",	//321
    "resetFontFamily$",	//322
    "resetFontSize",	//323
    "resetFontSize$",	//324
    "resizeEvent",	//325
    "resizeEvent#",	//326
    "scrollBarMaximum",	//327
    "scrollBarMaximum$",	//328
    "scrollBarMinimum",	//329
    "scrollBarMinimum$",	//330
    "scrollBarPolicy",	//331
    "scrollBarPolicy$",	//332
    "scrollBarValue",	//333
    "scrollBarValue$",	//334
    "scrollRequested",	//335
    "scrollRequested$$#",	//336
    "selectedText",	//337
    "selectionChanged",	//338
    "setAttribute",	//339
    "setAttribute$$",	//340
    "setContent",	//341
    "setContent#",	//342
    "setContent#$",	//343
    "setContent#$#",	//344
    "setDefaultInterface",	//345
    "setDefaultInterface#",	//346
    "setFontFamily",	//347
    "setFontFamily$$",	//348
    "setFontSize",	//349
    "setFontSize$$",	//350
    "setForwardUnsupportedContent",	//351
    "setForwardUnsupportedContent$",	//352
    "setHtml",	//353
    "setHtml$",	//354
    "setHtml$#",	//355
    "setIconDatabasePath",	//356
    "setIconDatabasePath$",	//357
    "setLinkDelegationPolicy",	//358
    "setLinkDelegationPolicy$",	//359
    "setMaximumPagesInCache",	//360
    "setMaximumPagesInCache$",	//361
    "setNetworkAccessManager",	//362
    "setNetworkAccessManager#",	//363
    "setObjectCacheCapacities",	//364
    "setObjectCacheCapacities$$$",	//365
    "setPage",	//366
    "setPage#",	//367
    "setPalette",	//368
    "setPalette#",	//369
    "setPluginFactory",	//370
    "setPluginFactory#",	//371
    "setScrollBarPolicy",	//372
    "setScrollBarPolicy$$",	//373
    "setScrollBarValue",	//374
    "setScrollBarValue$$",	//375
    "setTextSizeMultiplier",	//376
    "setTextSizeMultiplier$",	//377
    "setUrl",	//378
    "setUrl#",	//379
    "setUserStyleSheetUrl",	//380
    "setUserStyleSheetUrl#",	//381
    "setView",	//382
    "setView#",	//383
    "setViewportSize",	//384
    "setViewportSize#",	//385
    "setVisible",	//386
    "setVisible$",	//387
    "setWebGraphic",	//388
    "setWebGraphic$#",	//389
    "settings",	//390
    "showEvent",	//391
    "showEvent#",	//392
    "sizeHint",	//393
    "statusBarMessage",	//394
    "statusBarMessage$",	//395
    "statusBarVisibilityChangeRequested",	//396
    "statusBarVisibilityChangeRequested$",	//397
    "stop",	//398
    "styleChange",	//399
    "styleChange#",	//400
    "supportsExtension",	//401
    "supportsExtension$",	//402
    "swallowContextMenuEvent",	//403
    "swallowContextMenuEvent#",	//404
    "tabletEvent",	//405
    "tabletEvent#",	//406
    "testAttribute",	//407
    "testAttribute$",	//408
    "textSizeMultiplier",	//409
    "timerEvent",	//410
    "timerEvent#",	//411
    "title",	//412
    "titleChanged",	//413
    "titleChanged$",	//414
    "toHtml",	//415
    "toPlainText",	//416
    "toolBarVisibilityChangeRequested",	//417
    "toolBarVisibilityChangeRequested$",	//418
    "totalBytes",	//419
    "tr",	//420
    "tr$",	//421
    "tr$$",	//422
    "triggerAction",	//423
    "triggerAction$",	//424
    "triggerAction$$",	//425
    "triggerPageAction",	//426
    "triggerPageAction$",	//427
    "triggerPageAction$$",	//428
    "undoStack",	//429
    "unsupportedContent",	//430
    "unsupportedContent#",	//431
    "updatePositionDependentActions",	//432
    "updatePositionDependentActions#",	//433
    "url",	//434
    "urlChanged",	//435
    "urlChanged#",	//436
    "userAgentForUrl",	//437
    "userAgentForUrl#",	//438
    "userStyleSheetUrl",	//439
    "view",	//440
    "viewportSize",	//441
    "webGraphic",	//442
    "webGraphic$",	//443
    "wheelEvent",	//444
    "wheelEvent#",	//445
    "windowActivationChange",	//446
    "windowActivationChange$",	//447
    "windowCloseRequested",	//448
    "~QWebHistoryInterface",	//449
    "~QWebHistoryItem",	//450
    "~QWebHitTestResult",	//451
    "~QWebPage",	//452
    "~QWebPluginFactory",	//453
    "~QWebView",	//454
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method qtwebkit_methods[] = {
	{28, 271, 0, 0, Smoke::mf_const, 307, 2},	//0 QObject::metaObject() const
	{28, 309, 204, 3, 0, 331, 3},	//1 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{28, 167, 194, 1, 0, 300, 6},	//2 QObject::event(QEvent*)
	{28, 169, 218, 2, 0, 300, 7},	//3 QObject::eventFilter(QObject*, QEvent*)
	{28, 410, 24, 1, Smoke::mf_protected, 0, 49},	//4 QObject::timerEvent(QTimerEvent*)
	{28, 122, 20, 1, Smoke::mf_protected, 0, 50},	//5 QObject::childEvent(QChildEvent*)
	{28, 145, 194, 1, Smoke::mf_protected, 0, 51},	//6 QObject::customEvent(QEvent*)
	{28, 131, 171, 1, Smoke::mf_protected, 0, 52},	//7 QObject::connectNotify(const char*)
	{28, 149, 171, 1, Smoke::mf_protected, 0, 53},	//8 QObject::disconnectNotify(const char*)
	{29, 148, 0, 0, Smoke::mf_const, 331, 11},	//9 QPaintDevice::devType() const
	{29, 293, 0, 0, Smoke::mf_const, 96, 13},	//10 QPaintDevice::paintEngine() const [pure virtual]
	{29, 272, 221, 1, Smoke::mf_const|Smoke::mf_protected, 331, 25},	//11 QPaintDevice::metric(QPaintDevice::PaintDeviceMetric) const
	{52, 271, 0, 0, Smoke::mf_const, 307, 1},	//12 QWebFrame::metaObject() const
	{52, 309, 204, 3, 0, 331, 2},	//13 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
	{52, 290, 0, 0, Smoke::mf_const, 185, 3},	//14 QWebFrame::page() const
	{52, 258, 163, 1, 0, 0, 4},	//15 QWebFrame::load(const QUrl&)
	{52, 258, 127, 3, 0, 0, 5},	//16 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
	{52, 258, 124, 2, 0, 0, 6},	//17 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
	{52, 258, 122, 1, 0, 0, 7},	//18 QWebFrame::load(const QNetworkRequest&)
	{52, 353, 148, 2, 0, 0, 8},	//19 QWebFrame::setHtml(const QString&, const QUrl&)
	{52, 353, 139, 1, 0, 0, 9},	//20 QWebFrame::setHtml(const QString&)
	{52, 341, 116, 3, 0, 0, 10},	//21 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
	{52, 341, 113, 2, 0, 0, 11},	//22 QWebFrame::setContent(const QByteArray&, const QString&)
	{52, 341, 111, 1, 0, 0, 12},	//23 QWebFrame::setContent(const QByteArray&)
	{52, 110, 160, 2, 0, 0, 13},	//24 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
	{52, 415, 0, 0, Smoke::mf_const, 124, 14},	//25 QWebFrame::toHtml() const
	{52, 416, 0, 0, Smoke::mf_const, 124, 15},	//26 QWebFrame::toPlainText() const
	{52, 316, 0, 0, Smoke::mf_const, 124, 16},	//27 QWebFrame::renderTreeDump() const
	{52, 412, 0, 0, Smoke::mf_const, 124, 17},	//28 QWebFrame::title() const
	{52, 378, 163, 1, 0, 0, 18},	//29 QWebFrame::setUrl(const QUrl&)
	{52, 434, 0, 0, Smoke::mf_const, 171, 19},	//30 QWebFrame::url() const
	{52, 214, 0, 0, Smoke::mf_const, 62, 20},	//31 QWebFrame::icon() const
	{52, 198, 0, 0, Smoke::mf_const, 124, 21},	//32 QWebFrame::frameName() const
	{52, 299, 0, 0, Smoke::mf_const, 176, 22},	//33 QWebFrame::parentFrame() const
	{52, 124, 0, 0, Smoke::mf_const, 69, 23},	//34 QWebFrame::childFrames() const
	{52, 331, 101, 1, Smoke::mf_const, 271, 24},	//35 QWebFrame::scrollBarPolicy(Qt::Orientation) const
	{52, 372, 103, 2, 0, 0, 25},	//36 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
	{52, 374, 106, 2, 0, 0, 26},	//37 QWebFrame::setScrollBarValue(Qt::Orientation, int)
	{52, 333, 101, 1, Smoke::mf_const, 331, 27},	//38 QWebFrame::scrollBarValue(Qt::Orientation) const
	{52, 329, 101, 1, Smoke::mf_const, 331, 28},	//39 QWebFrame::scrollBarMinimum(Qt::Orientation) const
	{52, 327, 101, 1, Smoke::mf_const, 331, 29},	//40 QWebFrame::scrollBarMaximum(Qt::Orientation) const
	{52, 313, 5, 2, 0, 0, 30},	//41 QWebFrame::render(QPainter*, const QRegion&)
	{52, 313, 3, 1, 0, 0, 31},	//42 QWebFrame::render(QPainter*)
	{52, 376, 186, 1, 0, 0, 32},	//43 QWebFrame::setTextSizeMultiplier(qreal)
	{52, 409, 0, 0, Smoke::mf_const, 332, 33},	//44 QWebFrame::textSizeMultiplier() const
	{52, 303, 0, 0, Smoke::mf_const, 113, 34},	//45 QWebFrame::pos() const
	{52, 199, 0, 0, Smoke::mf_const, 115, 35},	//46 QWebFrame::geometry() const
	{52, 133, 0, 0, Smoke::mf_const, 119, 36},	//47 QWebFrame::contentsSize() const
	{52, 212, 133, 1, Smoke::mf_const, 182, 37},	//48 QWebFrame::hitTestContent(const QPoint&) const
	{52, 167, 194, 1, 0, 300, 38},	//49 QWebFrame::event(QEvent*)
	{52, 165, 139, 1, 0, 175, 39},	//50 QWebFrame::evaluateJavaScript(const QString&)
	{52, 304, 8, 1, Smoke::mf_const, 0, 40},	//51 QWebFrame::print(QPrinter*) const
	{52, 420, 173, 2, Smoke::mf_static, 124, 41},	//52 QWebFrame::tr(const char*, const char*)
	{52, 420, 171, 1, Smoke::mf_static, 124, 42},	//53 QWebFrame::tr(const char*)
	{53, 127, 0, 0, 0, 0, 1},	//54 QWebHistory::clear()
	{53, 231, 0, 0, Smoke::mf_const, 70, 2},	//55 QWebHistory::items() const
	{53, 115, 176, 1, Smoke::mf_const, 70, 3},	//56 QWebHistory::backItems(int) const
	{53, 192, 176, 1, Smoke::mf_const, 70, 4},	//57 QWebHistory::forwardItems(int) const
	{53, 118, 0, 0, Smoke::mf_const, 300, 5},	//58 QWebHistory::canGoBack() const
	{53, 119, 0, 0, Smoke::mf_const, 300, 6},	//59 QWebHistory::canGoForward() const
	{53, 113, 0, 0, 0, 0, 7},	//60 QWebHistory::back()
	{53, 190, 0, 0, 0, 0, 8},	//61 QWebHistory::forward()
	{53, 203, 165, 1, 0, 0, 9},	//62 QWebHistory::goToItem(const QWebHistoryItem&)
	{53, 114, 0, 0, Smoke::mf_const, 179, 10},	//63 QWebHistory::backItem() const
	{53, 144, 0, 0, Smoke::mf_const, 179, 11},	//64 QWebHistory::currentItem() const
	{53, 191, 0, 0, Smoke::mf_const, 179, 12},	//65 QWebHistory::forwardItem() const
	{53, 229, 176, 1, Smoke::mf_const, 179, 13},	//66 QWebHistory::itemAt(int) const
	{53, 136, 0, 0, Smoke::mf_const, 331, 14},	//67 QWebHistory::count() const
	{54, 271, 0, 0, Smoke::mf_const, 307, 1},	//68 QWebHistoryInterface::metaObject() const
	{54, 309, 204, 3, 0, 331, 2},	//69 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
	{54, 61, 216, 1, Smoke::mf_ctor, 178, 3},	//70 QWebHistoryInterface::QWebHistoryInterface(QObject*)
	{54, 61, 0, 0, Smoke::mf_ctor, 178, 4},	//71 QWebHistoryInterface::QWebHistoryInterface()
	{54, 449, 0, 0, Smoke::mf_dtor, 0, 11},	//72 QWebHistoryInterface::~QWebHistoryInterface()
	{54, 210, 139, 1, Smoke::mf_const, 300, 5},	//73 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
	{54, 108, 139, 1, 0, 0, 6},	//74 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
	{54, 420, 173, 2, Smoke::mf_static, 124, 7},	//75 QWebHistoryInterface::tr(const char*, const char*)
	{54, 420, 171, 1, Smoke::mf_static, 124, 8},	//76 QWebHistoryInterface::tr(const char*)
	{54, 345, 42, 1, Smoke::mf_static, 0, 9},	//77 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
	{54, 147, 0, 0, Smoke::mf_static, 178, 10},	//78 QWebHistoryInterface::defaultInterface()
	{55, 63, 165, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 181, 1},	//79 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
	{55, 287, 165, 1, 0, 180, 2},	//80 QWebHistoryItem::operator=(const QWebHistoryItem&)
	{55, 450, 0, 0, Smoke::mf_dtor, 0, 8},	//81 QWebHistoryItem::~QWebHistoryItem()
	{55, 289, 0, 0, Smoke::mf_const, 171, 3},	//82 QWebHistoryItem::originalUrl() const
	{55, 434, 0, 0, Smoke::mf_const, 171, 4},	//83 QWebHistoryItem::url() const
	{55, 412, 0, 0, Smoke::mf_const, 124, 5},	//84 QWebHistoryItem::title() const
	{55, 246, 0, 0, Smoke::mf_const, 20, 6},	//85 QWebHistoryItem::lastVisited() const
	{55, 214, 0, 0, Smoke::mf_const, 62, 7},	//86 QWebHistoryItem::icon() const
	{56, 65, 0, 0, Smoke::mf_ctor, 184, 1},	//87 QWebHitTestResult::QWebHitTestResult()
	{56, 65, 167, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 184, 2},	//88 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
	{56, 287, 167, 1, 0, 183, 3},	//89 QWebHitTestResult::operator=(const QWebHitTestResult&)
	{56, 451, 0, 0, Smoke::mf_dtor, 0, 17},	//90 QWebHitTestResult::~QWebHitTestResult()
	{56, 228, 0, 0, Smoke::mf_const, 300, 4},	//91 QWebHitTestResult::isNull() const
	{56, 303, 0, 0, Smoke::mf_const, 113, 5},	//92 QWebHitTestResult::pos() const
	{56, 412, 0, 0, Smoke::mf_const, 124, 6},	//93 QWebHitTestResult::title() const
	{56, 255, 0, 0, Smoke::mf_const, 124, 7},	//94 QWebHitTestResult::linkText() const
	{56, 257, 0, 0, Smoke::mf_const, 171, 8},	//95 QWebHitTestResult::linkUrl() const
	{56, 256, 0, 0, Smoke::mf_const, 171, 9},	//96 QWebHitTestResult::linkTitle() const
	{56, 254, 0, 0, Smoke::mf_const, 176, 10},	//97 QWebHitTestResult::linkTargetFrame() const
	{56, 112, 0, 0, Smoke::mf_const, 124, 11},	//98 QWebHitTestResult::alternateText() const
	{56, 219, 0, 0, Smoke::mf_const, 171, 12},	//99 QWebHitTestResult::imageUrl() const
	{56, 300, 0, 0, Smoke::mf_const, 111, 13},	//100 QWebHitTestResult::pixmap() const
	{56, 225, 0, 0, Smoke::mf_const, 300, 14},	//101 QWebHitTestResult::isContentEditable() const
	{56, 226, 0, 0, Smoke::mf_const, 300, 15},	//102 QWebHitTestResult::isContentSelected() const
	{56, 195, 0, 0, Smoke::mf_const, 176, 16},	//103 QWebHitTestResult::frame() const
	{57, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 1},	//104 QWebPage::NavigationTypeLinkClicked (enum)
	{57, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 2},	//105 QWebPage::NavigationTypeFormSubmitted (enum)
	{57, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 3},	//106 QWebPage::NavigationTypeBackOrForward (enum)
	{57, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 4},	//107 QWebPage::NavigationTypeReload (enum)
	{57, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 5},	//108 QWebPage::NavigationTypeFormResubmitted (enum)
	{57, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 6},	//109 QWebPage::NavigationTypeOther (enum)
	{57, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 7},	//110 QWebPage::NoWebAction (enum)
	{57, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 8},	//111 QWebPage::OpenLink (enum)
	{57, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 9},	//112 QWebPage::OpenLinkInNewWindow (enum)
	{57, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 10},	//113 QWebPage::OpenFrameInNewWindow (enum)
	{57, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 11},	//114 QWebPage::DownloadLinkToDisk (enum)
	{57, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 12},	//115 QWebPage::CopyLinkToClipboard (enum)
	{57, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 13},	//116 QWebPage::OpenImageInNewWindow (enum)
	{57, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 14},	//117 QWebPage::DownloadImageToDisk (enum)
	{57, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 15},	//118 QWebPage::CopyImageToClipboard (enum)
	{57, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 16},	//119 QWebPage::Back (enum)
	{57, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 17},	//120 QWebPage::Forward (enum)
	{57, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 18},	//121 QWebPage::Stop (enum)
	{57, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 19},	//122 QWebPage::Reload (enum)
	{57, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 20},	//123 QWebPage::Cut (enum)
	{57, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 21},	//124 QWebPage::Copy (enum)
	{57, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 22},	//125 QWebPage::Paste (enum)
	{57, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 23},	//126 QWebPage::Undo (enum)
	{57, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 24},	//127 QWebPage::Redo (enum)
	{57, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 25},	//128 QWebPage::MoveToNextChar (enum)
	{57, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 26},	//129 QWebPage::MoveToPreviousChar (enum)
	{57, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 27},	//130 QWebPage::MoveToNextWord (enum)
	{57, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 28},	//131 QWebPage::MoveToPreviousWord (enum)
	{57, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 29},	//132 QWebPage::MoveToNextLine (enum)
	{57, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 30},	//133 QWebPage::MoveToPreviousLine (enum)
	{57, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 31},	//134 QWebPage::MoveToStartOfLine (enum)
	{57, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 32},	//135 QWebPage::MoveToEndOfLine (enum)
	{57, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 33},	//136 QWebPage::MoveToStartOfBlock (enum)
	{57, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 34},	//137 QWebPage::MoveToEndOfBlock (enum)
	{57, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 35},	//138 QWebPage::MoveToStartOfDocument (enum)
	{57, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 36},	//139 QWebPage::MoveToEndOfDocument (enum)
	{57, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 37},	//140 QWebPage::SelectNextChar (enum)
	{57, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 38},	//141 QWebPage::SelectPreviousChar (enum)
	{57, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 39},	//142 QWebPage::SelectNextWord (enum)
	{57, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 40},	//143 QWebPage::SelectPreviousWord (enum)
	{57, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 41},	//144 QWebPage::SelectNextLine (enum)
	{57, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 42},	//145 QWebPage::SelectPreviousLine (enum)
	{57, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 43},	//146 QWebPage::SelectStartOfLine (enum)
	{57, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 44},	//147 QWebPage::SelectEndOfLine (enum)
	{57, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 45},	//148 QWebPage::SelectStartOfBlock (enum)
	{57, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 46},	//149 QWebPage::SelectEndOfBlock (enum)
	{57, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 47},	//150 QWebPage::SelectStartOfDocument (enum)
	{57, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 48},	//151 QWebPage::SelectEndOfDocument (enum)
	{57, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 49},	//152 QWebPage::DeleteStartOfWord (enum)
	{57, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 50},	//153 QWebPage::DeleteEndOfWord (enum)
	{57, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 51},	//154 QWebPage::SetTextDirectionDefault (enum)
	{57, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 52},	//155 QWebPage::SetTextDirectionLeftToRight (enum)
	{57, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 53},	//156 QWebPage::SetTextDirectionRightToLeft (enum)
	{57, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 54},	//157 QWebPage::ToggleBold (enum)
	{57, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 55},	//158 QWebPage::ToggleItalic (enum)
	{57, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 56},	//159 QWebPage::ToggleUnderline (enum)
	{57, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 57},	//160 QWebPage::InspectElement (enum)
	{57, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 58},	//161 QWebPage::WebActionCount (enum)
	{57, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 59},	//162 QWebPage::FindBackward (enum)
	{57, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 60},	//163 QWebPage::FindCaseSensitively (enum)
	{57, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 61},	//164 QWebPage::FindWrapsAroundDocument (enum)
	{57, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 62},	//165 QWebPage::DontDelegateLinks (enum)
	{57, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 63},	//166 QWebPage::DelegateExternalLinks (enum)
	{57, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 64},	//167 QWebPage::DelegateAllLinks (enum)
	{57, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 65},	//168 QWebPage::WebBrowserWindow (enum)
	{57, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 66},	//169 QWebPage::WebModalDialog (enum)
	{57, 271, 0, 0, Smoke::mf_const, 307, 67},	//170 QWebPage::metaObject() const
	{57, 309, 204, 3, 0, 331, 68},	//171 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
	{57, 67, 216, 1, Smoke::mf_ctor, 185, 69},	//172 QWebPage::QWebPage(QObject*)
	{57, 67, 0, 0, Smoke::mf_ctor, 185, 70},	//173 QWebPage::QWebPage()
	{57, 452, 0, 0, Smoke::mf_dtor, 0, 138},	//174 QWebPage::~QWebPage()
	{57, 267, 0, 0, Smoke::mf_const, 176, 71},	//175 QWebPage::mainFrame() const
	{57, 143, 0, 0, Smoke::mf_const, 176, 72},	//176 QWebPage::currentFrame() const
	{57, 209, 0, 0, Smoke::mf_const, 177, 73},	//177 QWebPage::history() const
	{57, 390, 0, 0, Smoke::mf_const, 198, 74},	//178 QWebPage::settings() const
	{57, 382, 97, 1, 0, 0, 75},	//179 QWebPage::setView(QWidget*)
	{57, 440, 0, 0, Smoke::mf_const, 205, 76},	//180 QWebPage::view() const
	{57, 227, 0, 0, Smoke::mf_const, 300, 77},	//181 QWebPage::isModified() const
	{57, 429, 0, 0, Smoke::mf_const, 170, 78},	//182 QWebPage::undoStack() const
	{57, 362, 212, 1, 0, 0, 79},	//183 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
	{57, 286, 0, 0, Smoke::mf_const, 85, 80},	//184 QWebPage::networkAccessManager() const
	{57, 370, 64, 1, 0, 0, 81},	//185 QWebPage::setPluginFactory(QWebPluginFactory*)
	{57, 301, 0, 0, Smoke::mf_const, 195, 82},	//186 QWebPage::pluginFactory() const
	{57, 419, 0, 0, Smoke::mf_const, 333, 83},	//187 QWebPage::totalBytes() const
	{57, 117, 0, 0, Smoke::mf_const, 333, 84},	//188 QWebPage::bytesReceived() const
	{57, 337, 0, 0, Smoke::mf_const, 124, 85},	//189 QWebPage::selectedText() const
	{57, 104, 57, 1, Smoke::mf_const, 13, 86},	//190 QWebPage::action(QWebPage::WebAction) const
	{57, 423, 59, 2, 0, 0, 87},	//191 QWebPage::triggerAction(QWebPage::WebAction, bool)
	{57, 423, 57, 1, 0, 0, 88},	//192 QWebPage::triggerAction(QWebPage::WebAction)
	{57, 441, 0, 0, Smoke::mf_const, 119, 89},	//193 QWebPage::viewportSize() const
	{57, 384, 137, 1, Smoke::mf_const, 0, 90},	//194 QWebPage::setViewportSize(const QSize&) const
	{57, 167, 194, 1, 0, 300, 91},	//195 QWebPage::event(QEvent*)
	{57, 180, 109, 1, 0, 300, 92},	//196 QWebPage::focusNextPrevChild(bool)
	{57, 223, 99, 1, Smoke::mf_const, 175, 93},	//197 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
	{57, 175, 141, 2, 0, 300, 94},	//198 QWebPage::findText(const QString&, QWebPage::FindFlags)
	{57, 175, 139, 1, 0, 300, 95},	//199 QWebPage::findText(const QString&)
	{57, 351, 109, 1, 0, 0, 96},	//200 QWebPage::setForwardUnsupportedContent(bool)
	{57, 194, 0, 0, Smoke::mf_const, 300, 97},	//201 QWebPage::forwardUnsupportedContent() const
	{57, 358, 55, 1, 0, 0, 98},	//202 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
	{57, 251, 0, 0, Smoke::mf_const, 191, 99},	//203 QWebPage::linkDelegationPolicy() const
	{57, 368, 131, 1, 0, 0, 100},	//204 QWebPage::setPalette(const QPalette&)
	{57, 296, 0, 0, Smoke::mf_const, 110, 101},	//205 QWebPage::palette() const
	{57, 403, 26, 1, 0, 300, 102},	//206 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
	{57, 432, 133, 1, 0, 0, 103},	//207 QWebPage::updatePositionDependentActions(const QPoint&)
	{57, 171, 51, 3, 0, 300, 104},	//208 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
	{57, 171, 48, 2, 0, 300, 105},	//209 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
	{57, 171, 46, 1, 0, 300, 106},	//210 QWebPage::extension(QWebPage::Extension)
	{57, 401, 46, 1, Smoke::mf_const, 300, 107},	//211 QWebPage::supportsExtension(QWebPage::Extension) const
	{57, 266, 0, 0, 0, 0, 108},	//212 QWebPage::loadStarted()
	{57, 264, 176, 1, 0, 0, 109},	//213 QWebPage::loadProgress(int)
	{57, 262, 109, 1, 0, 0, 110},	//214 QWebPage::loadFinished(bool)
	{57, 252, 144, 3, 0, 0, 111},	//215 QWebPage::linkHovered(const QString&, const QString&, const QString&)
	{57, 394, 139, 1, 0, 0, 112},	//216 QWebPage::statusBarMessage(const QString&)
	{57, 338, 0, 0, 0, 0, 113},	//217 QWebPage::selectionChanged()
	{57, 196, 28, 1, 0, 0, 114},	//218 QWebPage::frameCreated(QWebFrame*)
	{57, 200, 135, 1, 0, 0, 115},	//219 QWebPage::geometryChangeRequested(const QRect&)
	{57, 317, 135, 1, 0, 0, 116},	//220 QWebPage::repaintRequested(const QRect&)
	{57, 335, 178, 3, 0, 0, 117},	//221 QWebPage::scrollRequested(int, int, const QRect&)
	{57, 448, 0, 0, 0, 0, 118},	//222 QWebPage::windowCloseRequested()
	{57, 306, 28, 1, 0, 0, 119},	//223 QWebPage::printRequested(QWebFrame*)
	{57, 249, 163, 1, 0, 0, 120},	//224 QWebPage::linkClicked(const QUrl&)
	{57, 417, 109, 1, 0, 0, 121},	//225 QWebPage::toolBarVisibilityChangeRequested(bool)
	{57, 396, 109, 1, 0, 0, 122},	//226 QWebPage::statusBarVisibilityChangeRequested(bool)
	{57, 269, 109, 1, 0, 0, 123},	//227 QWebPage::menuBarVisibilityChangeRequested(bool)
	{57, 430, 214, 1, 0, 0, 124},	//228 QWebPage::unsupportedContent(QNetworkReply*)
	{57, 151, 122, 1, 0, 0, 125},	//229 QWebPage::downloadRequested(const QNetworkRequest&)
	{57, 274, 0, 0, 0, 0, 126},	//230 QWebPage::microFocusChanged()
	{57, 420, 173, 2, Smoke::mf_static, 124, 127},	//231 QWebPage::tr(const char*, const char*)
	{57, 420, 171, 1, Smoke::mf_static, 124, 128},	//232 QWebPage::tr(const char*)
	{57, 141, 62, 1, Smoke::mf_protected, 185, 129},	//233 QWebPage::createWindow(QWebPage::WebWindowType)
	{57, 139, 151, 4, Smoke::mf_protected, 91, 130},	//234 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
	{57, 102, 30, 3, Smoke::mf_protected, 300, 131},	//235 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
	{57, 125, 34, 2, Smoke::mf_protected, 124, 132},	//236 QWebPage::chooseFile(QWebFrame*, const QString&)
	{57, 232, 34, 2, Smoke::mf_protected, 0, 133},	//237 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
	{57, 234, 34, 2, Smoke::mf_protected, 300, 134},	//238 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
	{57, 238, 37, 4, Smoke::mf_protected, 300, 135},	//239 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
	{57, 236, 156, 3, Smoke::mf_protected, 0, 136},	//240 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
	{57, 437, 163, 1, Smoke::mf_const|Smoke::mf_protected, 124, 137},	//241 QWebPage::userAgentForUrl(const QUrl&) const
	{58, 271, 0, 0, Smoke::mf_const, 307, 1},	//242 QWebPluginFactory::metaObject() const
	{58, 309, 204, 3, 0, 331, 2},	//243 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
	{58, 69, 216, 1, Smoke::mf_ctor, 195, 3},	//244 QWebPluginFactory::QWebPluginFactory(QObject*)
	{58, 69, 0, 0, Smoke::mf_ctor, 195, 4},	//245 QWebPluginFactory::QWebPluginFactory()
	{58, 453, 0, 0, Smoke::mf_dtor, 0, 14},	//246 QWebPluginFactory::~QWebPluginFactory()
	{58, 302, 0, 0, Smoke::mf_const, 71, 5},	//247 QWebPluginFactory::plugins() const [pure virtual]
	{58, 311, 0, 0, 0, 0, 6},	//248 QWebPluginFactory::refreshPlugins()
	{58, 137, 151, 4, Smoke::mf_const, 91, 7},	//249 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
	{58, 171, 71, 3, 0, 300, 8},	//250 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
	{58, 171, 68, 2, 0, 300, 9},	//251 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
	{58, 171, 66, 1, 0, 300, 10},	//252 QWebPluginFactory::extension(QWebPluginFactory::Extension)
	{58, 401, 66, 1, Smoke::mf_const, 300, 11},	//253 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
	{58, 420, 173, 2, Smoke::mf_static, 124, 12},	//254 QWebPluginFactory::tr(const char*, const char*)
	{58, 420, 171, 1, Smoke::mf_static, 124, 13},	//255 QWebPluginFactory::tr(const char*)
	{59, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 1},	//256 QWebSettings::StandardFont (enum)
	{59, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 2},	//257 QWebSettings::FixedFont (enum)
	{59, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 3},	//258 QWebSettings::SerifFont (enum)
	{59, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 4},	//259 QWebSettings::SansSerifFont (enum)
	{59, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 5},	//260 QWebSettings::CursiveFont (enum)
	{59, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 6},	//261 QWebSettings::FantasyFont (enum)
	{59, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 7},	//262 QWebSettings::AutoLoadImages (enum)
	{59, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 8},	//263 QWebSettings::JavascriptEnabled (enum)
	{59, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 9},	//264 QWebSettings::JavaEnabled (enum)
	{59, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 10},	//265 QWebSettings::PluginsEnabled (enum)
	{59, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 11},	//266 QWebSettings::PrivateBrowsingEnabled (enum)
	{59, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 12},	//267 QWebSettings::JavascriptCanOpenWindows (enum)
	{59, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 13},	//268 QWebSettings::JavascriptCanAccessClipboard (enum)
	{59, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 14},	//269 QWebSettings::DeveloperExtrasEnabled (enum)
	{59, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 15},	//270 QWebSettings::LinksIncludedInFocusChain (enum)
	{59, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 16},	//271 QWebSettings::MissingImageGraphic (enum)
	{59, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 17},	//272 QWebSettings::MissingPluginGraphic (enum)
	{59, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 18},	//273 QWebSettings::DefaultFrameIconGraphic (enum)
	{59, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 19},	//274 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
	{59, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 20},	//275 QWebSettings::MinimumFontSize (enum)
	{59, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 21},	//276 QWebSettings::MinimumLogicalFontSize (enum)
	{59, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 22},	//277 QWebSettings::DefaultFontSize (enum)
	{59, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 23},	//278 QWebSettings::DefaultFixedFontSize (enum)
	{59, 347, 77, 2, 0, 0, 24},	//279 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
	{59, 186, 75, 1, Smoke::mf_const, 124, 25},	//280 QWebSettings::fontFamily(QWebSettings::FontFamily) const
	{59, 321, 75, 1, 0, 0, 26},	//281 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
	{59, 349, 82, 2, 0, 0, 27},	//282 QWebSettings::setFontSize(QWebSettings::FontSize, int)
	{59, 188, 80, 1, Smoke::mf_const, 331, 28},	//283 QWebSettings::fontSize(QWebSettings::FontSize) const
	{59, 323, 80, 1, 0, 0, 29},	//284 QWebSettings::resetFontSize(QWebSettings::FontSize)
	{59, 339, 87, 2, 0, 0, 30},	//285 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
	{59, 407, 85, 1, Smoke::mf_const, 300, 31},	//286 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
	{59, 319, 85, 1, 0, 0, 32},	//287 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
	{59, 380, 163, 1, 0, 0, 33},	//288 QWebSettings::setUserStyleSheetUrl(const QUrl&)
	{59, 439, 0, 0, Smoke::mf_const, 171, 34},	//289 QWebSettings::userStyleSheetUrl() const
	{59, 202, 0, 0, Smoke::mf_static, 198, 35},	//290 QWebSettings::globalSettings()
	{59, 356, 139, 1, Smoke::mf_static, 0, 36},	//291 QWebSettings::setIconDatabasePath(const QString&)
	{59, 216, 0, 0, Smoke::mf_static, 124, 37},	//292 QWebSettings::iconDatabasePath()
	{59, 128, 0, 0, Smoke::mf_static, 0, 38},	//293 QWebSettings::clearIconDatabase()
	{59, 217, 163, 1, Smoke::mf_static, 62, 39},	//294 QWebSettings::iconForUrl(const QUrl&)
	{59, 388, 92, 2, Smoke::mf_static, 0, 40},	//295 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
	{59, 442, 90, 1, Smoke::mf_static, 111, 41},	//296 QWebSettings::webGraphic(QWebSettings::WebGraphic)
	{59, 360, 176, 1, Smoke::mf_static, 0, 42},	//297 QWebSettings::setMaximumPagesInCache(int)
	{59, 268, 0, 0, Smoke::mf_static, 331, 43},	//298 QWebSettings::maximumPagesInCache()
	{59, 364, 182, 3, Smoke::mf_static, 0, 44},	//299 QWebSettings::setObjectCacheCapacities(int, int, int)
	{60, 271, 0, 0, Smoke::mf_const, 307, 1},	//300 QWebView::metaObject() const
	{60, 309, 204, 3, 0, 331, 2},	//301 QWebView::qt_metacall(QMetaObject::Call, int, void**)
	{60, 71, 97, 1, Smoke::mf_ctor, 203, 3},	//302 QWebView::QWebView(QWidget*)
	{60, 71, 0, 0, Smoke::mf_ctor, 203, 4},	//303 QWebView::QWebView()
	{60, 454, 0, 0, Smoke::mf_dtor, 0, 70},	//304 QWebView::~QWebView()
	{60, 290, 0, 0, Smoke::mf_const, 185, 5},	//305 QWebView::page() const
	{60, 366, 44, 1, 0, 0, 6},	//306 QWebView::setPage(QWebPage*)
	{60, 258, 163, 1, 0, 0, 7},	//307 QWebView::load(const QUrl&)
	{60, 258, 127, 3, 0, 0, 8},	//308 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
	{60, 258, 124, 2, 0, 0, 9},	//309 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
	{60, 258, 122, 1, 0, 0, 10},	//310 QWebView::load(const QNetworkRequest&)
	{60, 353, 148, 2, 0, 0, 11},	//311 QWebView::setHtml(const QString&, const QUrl&)
	{60, 353, 139, 1, 0, 0, 12},	//312 QWebView::setHtml(const QString&)
	{60, 341, 116, 3, 0, 0, 13},	//313 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
	{60, 341, 113, 2, 0, 0, 14},	//314 QWebView::setContent(const QByteArray&, const QString&)
	{60, 341, 111, 1, 0, 0, 15},	//315 QWebView::setContent(const QByteArray&)
	{60, 209, 0, 0, Smoke::mf_const, 177, 16},	//316 QWebView::history() const
	{60, 390, 0, 0, Smoke::mf_const, 198, 17},	//317 QWebView::settings() const
	{60, 412, 0, 0, Smoke::mf_const, 124, 18},	//318 QWebView::title() const
	{60, 378, 163, 1, 0, 0, 19},	//319 QWebView::setUrl(const QUrl&)
	{60, 434, 0, 0, Smoke::mf_const, 171, 20},	//320 QWebView::url() const
	{60, 214, 0, 0, Smoke::mf_const, 62, 21},	//321 QWebView::icon() const
	{60, 337, 0, 0, Smoke::mf_const, 124, 22},	//322 QWebView::selectedText() const
	{60, 291, 57, 1, Smoke::mf_const, 13, 23},	//323 QWebView::pageAction(QWebPage::WebAction) const
	{60, 426, 59, 2, 0, 0, 24},	//324 QWebView::triggerPageAction(QWebPage::WebAction, bool)
	{60, 426, 57, 1, 0, 0, 25},	//325 QWebView::triggerPageAction(QWebPage::WebAction)
	{60, 227, 0, 0, Smoke::mf_const, 300, 26},	//326 QWebView::isModified() const
	{60, 223, 99, 1, Smoke::mf_const, 175, 27},	//327 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
	{60, 393, 0, 0, Smoke::mf_const, 119, 28},	//328 QWebView::sizeHint() const
	{60, 376, 186, 1, 0, 0, 29},	//329 QWebView::setTextSizeMultiplier(qreal)
	{60, 409, 0, 0, Smoke::mf_const, 332, 30},	//330 QWebView::textSizeMultiplier() const
	{60, 175, 141, 2, 0, 300, 31},	//331 QWebView::findText(const QString&, QWebPage::FindFlags)
	{60, 175, 139, 1, 0, 300, 32},	//332 QWebView::findText(const QString&)
	{60, 167, 194, 1, 0, 300, 33},	//333 QWebView::event(QEvent*)
	{60, 398, 0, 0, 0, 0, 34},	//334 QWebView::stop()
	{60, 113, 0, 0, 0, 0, 35},	//335 QWebView::back()
	{60, 190, 0, 0, 0, 0, 36},	//336 QWebView::forward()
	{60, 312, 0, 0, 0, 0, 37},	//337 QWebView::reload()
	{60, 304, 8, 1, Smoke::mf_const, 0, 38},	//338 QWebView::print(QPrinter*) const
	{60, 266, 0, 0, 0, 0, 39},	//339 QWebView::loadStarted()
	{60, 264, 176, 1, 0, 0, 40},	//340 QWebView::loadProgress(int)
	{60, 262, 109, 1, 0, 0, 41},	//341 QWebView::loadFinished(bool)
	{60, 413, 139, 1, 0, 0, 42},	//342 QWebView::titleChanged(const QString&)
	{60, 394, 139, 1, 0, 0, 43},	//343 QWebView::statusBarMessage(const QString&)
	{60, 249, 163, 1, 0, 0, 44},	//344 QWebView::linkClicked(const QUrl&)
	{60, 338, 0, 0, 0, 0, 45},	//345 QWebView::selectionChanged()
	{60, 215, 0, 0, 0, 0, 46},	//346 QWebView::iconChanged()
	{60, 435, 163, 1, 0, 0, 47},	//347 QWebView::urlChanged(const QUrl&)
	{60, 420, 173, 2, Smoke::mf_static, 124, 48},	//348 QWebView::tr(const char*, const char*)
	{60, 420, 171, 1, Smoke::mf_static, 124, 49},	//349 QWebView::tr(const char*)
	{60, 325, 10, 1, Smoke::mf_protected, 0, 50},	//350 QWebView::resizeEvent(QResizeEvent*)
	{60, 294, 1, 1, Smoke::mf_protected, 0, 51},	//351 QWebView::paintEvent(QPaintEvent*)
	{60, 141, 62, 1, Smoke::mf_protected, 203, 52},	//352 QWebView::createWindow(QWebPage::WebWindowType)
	{60, 120, 194, 1, Smoke::mf_protected, 0, 53},	//353 QWebView::changeEvent(QEvent*)
	{60, 278, 208, 1, Smoke::mf_protected, 0, 54},	//354 QWebView::mouseMoveEvent(QMouseEvent*)
	{60, 280, 208, 1, Smoke::mf_protected, 0, 55},	//355 QWebView::mousePressEvent(QMouseEvent*)
	{60, 276, 208, 1, Smoke::mf_protected, 0, 56},	//356 QWebView::mouseDoubleClickEvent(QMouseEvent*)
	{60, 282, 208, 1, Smoke::mf_protected, 0, 57},	//357 QWebView::mouseReleaseEvent(QMouseEvent*)
	{60, 134, 26, 1, Smoke::mf_protected, 0, 58},	//358 QWebView::contextMenuEvent(QContextMenuEvent*)
	{60, 444, 95, 1, Smoke::mf_protected, 0, 59},	//359 QWebView::wheelEvent(QWheelEvent*)
	{60, 241, 202, 1, Smoke::mf_protected, 0, 60},	//360 QWebView::keyPressEvent(QKeyEvent*)
	{60, 243, 202, 1, Smoke::mf_protected, 0, 61},	//361 QWebView::keyReleaseEvent(QKeyEvent*)
	{60, 153, 169, 1, Smoke::mf_protected, 0, 62},	//362 QWebView::dragEnterEvent(QDragEnterEvent*)
	{60, 155, 188, 1, Smoke::mf_protected, 0, 63},	//363 QWebView::dragLeaveEvent(QDragLeaveEvent*)
	{60, 157, 190, 1, Smoke::mf_protected, 0, 64},	//364 QWebView::dragMoveEvent(QDragMoveEvent*)
	{60, 159, 192, 1, Smoke::mf_protected, 0, 65},	//365 QWebView::dropEvent(QDropEvent*)
	{60, 178, 196, 1, Smoke::mf_protected, 0, 66},	//366 QWebView::focusInEvent(QFocusEvent*)
	{60, 182, 196, 1, Smoke::mf_protected, 0, 67},	//367 QWebView::focusOutEvent(QFocusEvent*)
	{60, 221, 200, 1, Smoke::mf_protected, 0, 68},	//368 QWebView::inputMethodEvent(QInputMethodEvent*)
	{60, 180, 109, 1, Smoke::mf_protected, 300, 69},	//369 QWebView::focusNextPrevChild(bool)
	{62, 271, 0, 0, Smoke::mf_const, 307, 4},	//370 QWidget::metaObject() const
	{62, 309, 204, 3, 0, 331, 5},	//371 QWidget::qt_metacall(QMetaObject::Call, int, void**)
	{62, 393, 0, 0, Smoke::mf_const, 119, 179},	//372 QWidget::sizeHint() const
	{62, 275, 0, 0, Smoke::mf_const, 119, 180},	//373 QWidget::minimumSizeHint() const
	{62, 205, 176, 1, Smoke::mf_const, 331, 184},	//374 QWidget::heightForWidth(int) const
	{62, 223, 99, 1, Smoke::mf_const, 175, 225},	//375 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
	{62, 386, 109, 1, 0, 0, 234},	//376 QWidget::setVisible(bool)
	{62, 280, 208, 1, Smoke::mf_protected, 0, 254},	//377 QWidget::mousePressEvent(QMouseEvent*)
	{62, 282, 208, 1, Smoke::mf_protected, 0, 255},	//378 QWidget::mouseReleaseEvent(QMouseEvent*)
	{62, 276, 208, 1, Smoke::mf_protected, 0, 256},	//379 QWidget::mouseDoubleClickEvent(QMouseEvent*)
	{62, 278, 208, 1, Smoke::mf_protected, 0, 257},	//380 QWidget::mouseMoveEvent(QMouseEvent*)
	{62, 444, 95, 1, Smoke::mf_protected, 0, 258},	//381 QWidget::wheelEvent(QWheelEvent*)
	{62, 241, 202, 1, Smoke::mf_protected, 0, 259},	//382 QWidget::keyPressEvent(QKeyEvent*)
	{62, 243, 202, 1, Smoke::mf_protected, 0, 260},	//383 QWidget::keyReleaseEvent(QKeyEvent*)
	{62, 178, 196, 1, Smoke::mf_protected, 0, 261},	//384 QWidget::focusInEvent(QFocusEvent*)
	{62, 182, 196, 1, Smoke::mf_protected, 0, 262},	//385 QWidget::focusOutEvent(QFocusEvent*)
	{62, 163, 194, 1, Smoke::mf_protected, 0, 263},	//386 QWidget::enterEvent(QEvent*)
	{62, 247, 194, 1, Smoke::mf_protected, 0, 264},	//387 QWidget::leaveEvent(QEvent*)
	{62, 294, 1, 1, Smoke::mf_protected, 0, 265},	//388 QWidget::paintEvent(QPaintEvent*)
	{62, 284, 210, 1, Smoke::mf_protected, 0, 266},	//389 QWidget::moveEvent(QMoveEvent*)
	{62, 325, 10, 1, Smoke::mf_protected, 0, 267},	//390 QWidget::resizeEvent(QResizeEvent*)
	{62, 129, 22, 1, Smoke::mf_protected, 0, 268},	//391 QWidget::closeEvent(QCloseEvent*)
	{62, 134, 26, 1, Smoke::mf_protected, 0, 269},	//392 QWidget::contextMenuEvent(QContextMenuEvent*)
	{62, 405, 18, 1, Smoke::mf_protected, 0, 270},	//393 QWidget::tabletEvent(QTabletEvent*)
	{62, 106, 16, 1, Smoke::mf_protected, 0, 271},	//394 QWidget::actionEvent(QActionEvent*)
	{62, 153, 169, 1, Smoke::mf_protected, 0, 272},	//395 QWidget::dragEnterEvent(QDragEnterEvent*)
	{62, 157, 190, 1, Smoke::mf_protected, 0, 273},	//396 QWidget::dragMoveEvent(QDragMoveEvent*)
	{62, 155, 188, 1, Smoke::mf_protected, 0, 274},	//397 QWidget::dragLeaveEvent(QDragLeaveEvent*)
	{62, 159, 192, 1, Smoke::mf_protected, 0, 275},	//398 QWidget::dropEvent(QDropEvent*)
	{62, 391, 12, 1, Smoke::mf_protected, 0, 276},	//399 QWidget::showEvent(QShowEvent*)
	{62, 207, 198, 1, Smoke::mf_protected, 0, 277},	//400 QWidget::hideEvent(QHideEvent*)
	{62, 120, 194, 1, Smoke::mf_protected, 0, 278},	//401 QWidget::changeEvent(QEvent*)
	{62, 221, 200, 1, Smoke::mf_protected, 0, 280},	//402 QWidget::inputMethodEvent(QInputMethodEvent*)
	{62, 180, 109, 1, Smoke::mf_protected, 300, 289},	//403 QWidget::focusNextPrevChild(bool)
	{62, 399, 14, 1, Smoke::mf_protected, 0, 292},	//404 QWidget::styleChange(QStyle&)
	{62, 161, 109, 1, Smoke::mf_protected, 0, 293},	//405 QWidget::enabledChange(bool)
	{62, 297, 131, 1, Smoke::mf_protected, 0, 294},	//406 QWidget::paletteChange(const QPalette&)
	{62, 184, 120, 1, Smoke::mf_protected, 0, 295},	//407 QWidget::fontChange(const QFont&)
	{62, 446, 109, 1, Smoke::mf_protected, 0, 296},	//408 QWidget::windowActivationChange(bool)
	{62, 245, 0, 0, Smoke::mf_protected, 0, 297},	//409 QWidget::languageChange()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap qtwebkit_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{52, 111, 24},	//1 QWebFrame::addToJavaScriptWindowObject$#
	{52, 124, 34},	//2 QWebFrame::childFrames
	{52, 133, 47},	//3 QWebFrame::contentsSize
	{52, 166, 50},	//4 QWebFrame::evaluateJavaScript$
	{52, 168, 49},	//5 QWebFrame::event#
	{52, 198, 32},	//6 QWebFrame::frameName
	{52, 199, 46},	//7 QWebFrame::geometry
	{52, 213, 48},	//8 QWebFrame::hitTestContent#
	{52, 214, 31},	//9 QWebFrame::icon
	{52, 259, -1},	//10 QWebFrame::load#
	{52, 260, 17},	//11 QWebFrame::load#$
	{52, 261, 16},	//12 QWebFrame::load#$#
	{52, 271, 12},	//13 QWebFrame::metaObject
	{52, 290, 14},	//14 QWebFrame::page
	{52, 299, 33},	//15 QWebFrame::parentFrame
	{52, 303, 45},	//16 QWebFrame::pos
	{52, 305, 51},	//17 QWebFrame::print#
	{52, 310, 13},	//18 QWebFrame::qt_metacall$$?
	{52, 314, 42},	//19 QWebFrame::render#
	{52, 315, 41},	//20 QWebFrame::render##
	{52, 316, 27},	//21 QWebFrame::renderTreeDump
	{52, 328, 40},	//22 QWebFrame::scrollBarMaximum$
	{52, 330, 39},	//23 QWebFrame::scrollBarMinimum$
	{52, 332, 35},	//24 QWebFrame::scrollBarPolicy$
	{52, 334, 38},	//25 QWebFrame::scrollBarValue$
	{52, 342, 23},	//26 QWebFrame::setContent#
	{52, 343, 22},	//27 QWebFrame::setContent#$
	{52, 344, 21},	//28 QWebFrame::setContent#$#
	{52, 354, 20},	//29 QWebFrame::setHtml$
	{52, 355, 19},	//30 QWebFrame::setHtml$#
	{52, 373, 36},	//31 QWebFrame::setScrollBarPolicy$$
	{52, 375, 37},	//32 QWebFrame::setScrollBarValue$$
	{52, 377, 43},	//33 QWebFrame::setTextSizeMultiplier$
	{52, 379, 29},	//34 QWebFrame::setUrl#
	{52, 409, 44},	//35 QWebFrame::textSizeMultiplier
	{52, 412, 28},	//36 QWebFrame::title
	{52, 415, 25},	//37 QWebFrame::toHtml
	{52, 416, 26},	//38 QWebFrame::toPlainText
	{52, 421, 53},	//39 QWebFrame::tr$
	{52, 422, 52},	//40 QWebFrame::tr$$
	{52, 434, 30},	//41 QWebFrame::url
	{53, 113, 60},	//42 QWebHistory::back
	{53, 114, 63},	//43 QWebHistory::backItem
	{53, 116, 56},	//44 QWebHistory::backItems$
	{53, 118, 58},	//45 QWebHistory::canGoBack
	{53, 119, 59},	//46 QWebHistory::canGoForward
	{53, 127, 54},	//47 QWebHistory::clear
	{53, 136, 67},	//48 QWebHistory::count
	{53, 144, 64},	//49 QWebHistory::currentItem
	{53, 190, 61},	//50 QWebHistory::forward
	{53, 191, 65},	//51 QWebHistory::forwardItem
	{53, 193, 57},	//52 QWebHistory::forwardItems$
	{53, 204, 62},	//53 QWebHistory::goToItem#
	{53, 230, 66},	//54 QWebHistory::itemAt$
	{53, 231, 55},	//55 QWebHistory::items
	{54, 61, 71},	//56 QWebHistoryInterface::QWebHistoryInterface
	{54, 62, 70},	//57 QWebHistoryInterface::QWebHistoryInterface#
	{54, 109, 74},	//58 QWebHistoryInterface::addHistoryEntry$
	{54, 147, 78},	//59 QWebHistoryInterface::defaultInterface
	{54, 211, 73},	//60 QWebHistoryInterface::historyContains$
	{54, 271, 68},	//61 QWebHistoryInterface::metaObject
	{54, 310, 69},	//62 QWebHistoryInterface::qt_metacall$$?
	{54, 346, 77},	//63 QWebHistoryInterface::setDefaultInterface#
	{54, 421, 76},	//64 QWebHistoryInterface::tr$
	{54, 422, 75},	//65 QWebHistoryInterface::tr$$
	{54, 449, 72},	//66 QWebHistoryInterface::~QWebHistoryInterface
	{55, 64, 79},	//67 QWebHistoryItem::QWebHistoryItem#
	{55, 214, 86},	//68 QWebHistoryItem::icon
	{55, 246, 85},	//69 QWebHistoryItem::lastVisited
	{55, 288, 80},	//70 QWebHistoryItem::operator=#
	{55, 289, 82},	//71 QWebHistoryItem::originalUrl
	{55, 412, 84},	//72 QWebHistoryItem::title
	{55, 434, 83},	//73 QWebHistoryItem::url
	{55, 450, 81},	//74 QWebHistoryItem::~QWebHistoryItem
	{56, 65, 87},	//75 QWebHitTestResult::QWebHitTestResult
	{56, 66, 88},	//76 QWebHitTestResult::QWebHitTestResult#
	{56, 112, 98},	//77 QWebHitTestResult::alternateText
	{56, 195, 103},	//78 QWebHitTestResult::frame
	{56, 219, 99},	//79 QWebHitTestResult::imageUrl
	{56, 225, 101},	//80 QWebHitTestResult::isContentEditable
	{56, 226, 102},	//81 QWebHitTestResult::isContentSelected
	{56, 228, 91},	//82 QWebHitTestResult::isNull
	{56, 254, 97},	//83 QWebHitTestResult::linkTargetFrame
	{56, 255, 94},	//84 QWebHitTestResult::linkText
	{56, 256, 96},	//85 QWebHitTestResult::linkTitle
	{56, 257, 95},	//86 QWebHitTestResult::linkUrl
	{56, 288, 89},	//87 QWebHitTestResult::operator=#
	{56, 300, 100},	//88 QWebHitTestResult::pixmap
	{56, 303, 92},	//89 QWebHitTestResult::pos
	{56, 412, 93},	//90 QWebHitTestResult::title
	{56, 451, 90},	//91 QWebHitTestResult::~QWebHitTestResult
	{57, 2, 119},	//92 QWebPage::Back
	{57, 3, 124},	//93 QWebPage::Copy
	{57, 4, 118},	//94 QWebPage::CopyImageToClipboard
	{57, 5, 115},	//95 QWebPage::CopyLinkToClipboard
	{57, 7, 123},	//96 QWebPage::Cut
	{57, 11, 167},	//97 QWebPage::DelegateAllLinks
	{57, 12, 166},	//98 QWebPage::DelegateExternalLinks
	{57, 13, 153},	//99 QWebPage::DeleteEndOfWord
	{57, 14, 152},	//100 QWebPage::DeleteStartOfWord
	{57, 16, 165},	//101 QWebPage::DontDelegateLinks
	{57, 17, 117},	//102 QWebPage::DownloadImageToDisk
	{57, 18, 114},	//103 QWebPage::DownloadLinkToDisk
	{57, 20, 162},	//104 QWebPage::FindBackward
	{57, 21, 163},	//105 QWebPage::FindCaseSensitively
	{57, 22, 164},	//106 QWebPage::FindWrapsAroundDocument
	{57, 24, 120},	//107 QWebPage::Forward
	{57, 25, 160},	//108 QWebPage::InspectElement
	{57, 35, 137},	//109 QWebPage::MoveToEndOfBlock
	{57, 36, 139},	//110 QWebPage::MoveToEndOfDocument
	{57, 37, 135},	//111 QWebPage::MoveToEndOfLine
	{57, 38, 128},	//112 QWebPage::MoveToNextChar
	{57, 39, 132},	//113 QWebPage::MoveToNextLine
	{57, 40, 130},	//114 QWebPage::MoveToNextWord
	{57, 41, 129},	//115 QWebPage::MoveToPreviousChar
	{57, 42, 133},	//116 QWebPage::MoveToPreviousLine
	{57, 43, 131},	//117 QWebPage::MoveToPreviousWord
	{57, 44, 136},	//118 QWebPage::MoveToStartOfBlock
	{57, 45, 138},	//119 QWebPage::MoveToStartOfDocument
	{57, 46, 134},	//120 QWebPage::MoveToStartOfLine
	{57, 47, 106},	//121 QWebPage::NavigationTypeBackOrForward
	{57, 48, 108},	//122 QWebPage::NavigationTypeFormResubmitted
	{57, 49, 105},	//123 QWebPage::NavigationTypeFormSubmitted
	{57, 50, 104},	//124 QWebPage::NavigationTypeLinkClicked
	{57, 51, 109},	//125 QWebPage::NavigationTypeOther
	{57, 52, 107},	//126 QWebPage::NavigationTypeReload
	{57, 53, 110},	//127 QWebPage::NoWebAction
	{57, 54, 113},	//128 QWebPage::OpenFrameInNewWindow
	{57, 55, 116},	//129 QWebPage::OpenImageInNewWindow
	{57, 56, 111},	//130 QWebPage::OpenLink
	{57, 57, 112},	//131 QWebPage::OpenLinkInNewWindow
	{57, 58, 125},	//132 QWebPage::Paste
	{57, 67, 173},	//133 QWebPage::QWebPage
	{57, 68, 172},	//134 QWebPage::QWebPage#
	{57, 73, 127},	//135 QWebPage::Redo
	{57, 74, 122},	//136 QWebPage::Reload
	{57, 76, 149},	//137 QWebPage::SelectEndOfBlock
	{57, 77, 151},	//138 QWebPage::SelectEndOfDocument
	{57, 78, 147},	//139 QWebPage::SelectEndOfLine
	{57, 79, 140},	//140 QWebPage::SelectNextChar
	{57, 80, 144},	//141 QWebPage::SelectNextLine
	{57, 81, 142},	//142 QWebPage::SelectNextWord
	{57, 82, 141},	//143 QWebPage::SelectPreviousChar
	{57, 83, 145},	//144 QWebPage::SelectPreviousLine
	{57, 84, 143},	//145 QWebPage::SelectPreviousWord
	{57, 85, 148},	//146 QWebPage::SelectStartOfBlock
	{57, 86, 150},	//147 QWebPage::SelectStartOfDocument
	{57, 87, 146},	//148 QWebPage::SelectStartOfLine
	{57, 89, 154},	//149 QWebPage::SetTextDirectionDefault
	{57, 90, 155},	//150 QWebPage::SetTextDirectionLeftToRight
	{57, 91, 156},	//151 QWebPage::SetTextDirectionRightToLeft
	{57, 93, 121},	//152 QWebPage::Stop
	{57, 95, 157},	//153 QWebPage::ToggleBold
	{57, 96, 158},	//154 QWebPage::ToggleItalic
	{57, 97, 159},	//155 QWebPage::ToggleUnderline
	{57, 98, 126},	//156 QWebPage::Undo
	{57, 99, 161},	//157 QWebPage::WebActionCount
	{57, 100, 168},	//158 QWebPage::WebBrowserWindow
	{57, 101, 169},	//159 QWebPage::WebModalDialog
	{57, 103, 235},	//160 QWebPage::acceptNavigationRequest##$
	{57, 105, 190},	//161 QWebPage::action$
	{57, 117, 188},	//162 QWebPage::bytesReceived
	{57, 126, 236},	//163 QWebPage::chooseFile#$
	{57, 140, 234},	//164 QWebPage::createPlugin$#??
	{57, 142, 233},	//165 QWebPage::createWindow$
	{57, 143, 176},	//166 QWebPage::currentFrame
	{57, 152, 229},	//167 QWebPage::downloadRequested#
	{57, 168, 195},	//168 QWebPage::event#
	{57, 172, 210},	//169 QWebPage::extension$
	{57, 173, 209},	//170 QWebPage::extension$?
	{57, 174, 208},	//171 QWebPage::extension$??
	{57, 176, 199},	//172 QWebPage::findText$
	{57, 177, 198},	//173 QWebPage::findText$$
	{57, 181, 196},	//174 QWebPage::focusNextPrevChild$
	{57, 194, 201},	//175 QWebPage::forwardUnsupportedContent
	{57, 197, 218},	//176 QWebPage::frameCreated#
	{57, 201, 219},	//177 QWebPage::geometryChangeRequested#
	{57, 209, 177},	//178 QWebPage::history
	{57, 224, 197},	//179 QWebPage::inputMethodQuery$
	{57, 227, 181},	//180 QWebPage::isModified
	{57, 233, 237},	//181 QWebPage::javaScriptAlert#$
	{57, 235, 238},	//182 QWebPage::javaScriptConfirm#$
	{57, 237, 240},	//183 QWebPage::javaScriptConsoleMessage$$$
	{57, 239, 239},	//184 QWebPage::javaScriptPrompt#$$$
	{57, 250, 224},	//185 QWebPage::linkClicked#
	{57, 251, 203},	//186 QWebPage::linkDelegationPolicy
	{57, 253, 215},	//187 QWebPage::linkHovered$$$
	{57, 263, 214},	//188 QWebPage::loadFinished$
	{57, 265, 213},	//189 QWebPage::loadProgress$
	{57, 266, 212},	//190 QWebPage::loadStarted
	{57, 267, 175},	//191 QWebPage::mainFrame
	{57, 270, 227},	//192 QWebPage::menuBarVisibilityChangeRequested$
	{57, 271, 170},	//193 QWebPage::metaObject
	{57, 274, 230},	//194 QWebPage::microFocusChanged
	{57, 286, 184},	//195 QWebPage::networkAccessManager
	{57, 296, 205},	//196 QWebPage::palette
	{57, 301, 186},	//197 QWebPage::pluginFactory
	{57, 307, 223},	//198 QWebPage::printRequested#
	{57, 310, 171},	//199 QWebPage::qt_metacall$$?
	{57, 318, 220},	//200 QWebPage::repaintRequested#
	{57, 336, 221},	//201 QWebPage::scrollRequested$$#
	{57, 337, 189},	//202 QWebPage::selectedText
	{57, 338, 217},	//203 QWebPage::selectionChanged
	{57, 352, 200},	//204 QWebPage::setForwardUnsupportedContent$
	{57, 359, 202},	//205 QWebPage::setLinkDelegationPolicy$
	{57, 363, 183},	//206 QWebPage::setNetworkAccessManager#
	{57, 369, 204},	//207 QWebPage::setPalette#
	{57, 371, 185},	//208 QWebPage::setPluginFactory#
	{57, 383, 179},	//209 QWebPage::setView#
	{57, 385, 194},	//210 QWebPage::setViewportSize#
	{57, 390, 178},	//211 QWebPage::settings
	{57, 395, 216},	//212 QWebPage::statusBarMessage$
	{57, 397, 226},	//213 QWebPage::statusBarVisibilityChangeRequested$
	{57, 402, 211},	//214 QWebPage::supportsExtension$
	{57, 404, 206},	//215 QWebPage::swallowContextMenuEvent#
	{57, 418, 225},	//216 QWebPage::toolBarVisibilityChangeRequested$
	{57, 419, 187},	//217 QWebPage::totalBytes
	{57, 421, 232},	//218 QWebPage::tr$
	{57, 422, 231},	//219 QWebPage::tr$$
	{57, 424, 192},	//220 QWebPage::triggerAction$
	{57, 425, 191},	//221 QWebPage::triggerAction$$
	{57, 429, 182},	//222 QWebPage::undoStack
	{57, 431, 228},	//223 QWebPage::unsupportedContent#
	{57, 433, 207},	//224 QWebPage::updatePositionDependentActions#
	{57, 438, 241},	//225 QWebPage::userAgentForUrl#
	{57, 440, 180},	//226 QWebPage::view
	{57, 441, 193},	//227 QWebPage::viewportSize
	{57, 448, 222},	//228 QWebPage::windowCloseRequested
	{57, 452, 174},	//229 QWebPage::~QWebPage
	{58, 69, 245},	//230 QWebPluginFactory::QWebPluginFactory
	{58, 70, 244},	//231 QWebPluginFactory::QWebPluginFactory#
	{58, 138, 249},	//232 QWebPluginFactory::create$#??
	{58, 172, 252},	//233 QWebPluginFactory::extension$
	{58, 173, 251},	//234 QWebPluginFactory::extension$?
	{58, 174, 250},	//235 QWebPluginFactory::extension$??
	{58, 271, 242},	//236 QWebPluginFactory::metaObject
	{58, 302, 247},	//237 QWebPluginFactory::plugins
	{58, 310, 243},	//238 QWebPluginFactory::qt_metacall$$?
	{58, 311, 248},	//239 QWebPluginFactory::refreshPlugins
	{58, 402, 253},	//240 QWebPluginFactory::supportsExtension$
	{58, 421, 255},	//241 QWebPluginFactory::tr$
	{58, 422, 254},	//242 QWebPluginFactory::tr$$
	{58, 453, 246},	//243 QWebPluginFactory::~QWebPluginFactory
	{59, 1, 262},	//244 QWebSettings::AutoLoadImages
	{59, 6, 260},	//245 QWebSettings::CursiveFont
	{59, 8, 278},	//246 QWebSettings::DefaultFixedFontSize
	{59, 9, 277},	//247 QWebSettings::DefaultFontSize
	{59, 10, 273},	//248 QWebSettings::DefaultFrameIconGraphic
	{59, 15, 269},	//249 QWebSettings::DeveloperExtrasEnabled
	{59, 19, 261},	//250 QWebSettings::FantasyFont
	{59, 23, 257},	//251 QWebSettings::FixedFont
	{59, 26, 264},	//252 QWebSettings::JavaEnabled
	{59, 27, 268},	//253 QWebSettings::JavascriptCanAccessClipboard
	{59, 28, 267},	//254 QWebSettings::JavascriptCanOpenWindows
	{59, 29, 263},	//255 QWebSettings::JavascriptEnabled
	{59, 30, 270},	//256 QWebSettings::LinksIncludedInFocusChain
	{59, 31, 275},	//257 QWebSettings::MinimumFontSize
	{59, 32, 276},	//258 QWebSettings::MinimumLogicalFontSize
	{59, 33, 271},	//259 QWebSettings::MissingImageGraphic
	{59, 34, 272},	//260 QWebSettings::MissingPluginGraphic
	{59, 59, 265},	//261 QWebSettings::PluginsEnabled
	{59, 60, 266},	//262 QWebSettings::PrivateBrowsingEnabled
	{59, 75, 259},	//263 QWebSettings::SansSerifFont
	{59, 88, 258},	//264 QWebSettings::SerifFont
	{59, 92, 256},	//265 QWebSettings::StandardFont
	{59, 94, 274},	//266 QWebSettings::TextAreaSizeGripCornerGraphic
	{59, 128, 293},	//267 QWebSettings::clearIconDatabase
	{59, 187, 280},	//268 QWebSettings::fontFamily$
	{59, 189, 283},	//269 QWebSettings::fontSize$
	{59, 202, 290},	//270 QWebSettings::globalSettings
	{59, 216, 292},	//271 QWebSettings::iconDatabasePath
	{59, 218, 294},	//272 QWebSettings::iconForUrl#
	{59, 268, 298},	//273 QWebSettings::maximumPagesInCache
	{59, 320, 287},	//274 QWebSettings::resetAttribute$
	{59, 322, 281},	//275 QWebSettings::resetFontFamily$
	{59, 324, 284},	//276 QWebSettings::resetFontSize$
	{59, 340, 285},	//277 QWebSettings::setAttribute$$
	{59, 348, 279},	//278 QWebSettings::setFontFamily$$
	{59, 350, 282},	//279 QWebSettings::setFontSize$$
	{59, 357, 291},	//280 QWebSettings::setIconDatabasePath$
	{59, 361, 297},	//281 QWebSettings::setMaximumPagesInCache$
	{59, 365, 299},	//282 QWebSettings::setObjectCacheCapacities$$$
	{59, 381, 288},	//283 QWebSettings::setUserStyleSheetUrl#
	{59, 389, 295},	//284 QWebSettings::setWebGraphic$#
	{59, 408, 286},	//285 QWebSettings::testAttribute$
	{59, 439, 289},	//286 QWebSettings::userStyleSheetUrl
	{59, 443, 296},	//287 QWebSettings::webGraphic$
	{60, 71, 303},	//288 QWebView::QWebView
	{60, 72, 302},	//289 QWebView::QWebView#
	{60, 113, 335},	//290 QWebView::back
	{60, 121, 353},	//291 QWebView::changeEvent#
	{60, 135, 358},	//292 QWebView::contextMenuEvent#
	{60, 142, 352},	//293 QWebView::createWindow$
	{60, 154, 362},	//294 QWebView::dragEnterEvent#
	{60, 156, 363},	//295 QWebView::dragLeaveEvent#
	{60, 158, 364},	//296 QWebView::dragMoveEvent#
	{60, 160, 365},	//297 QWebView::dropEvent#
	{60, 168, 333},	//298 QWebView::event#
	{60, 176, 332},	//299 QWebView::findText$
	{60, 177, 331},	//300 QWebView::findText$$
	{60, 179, 366},	//301 QWebView::focusInEvent#
	{60, 181, 369},	//302 QWebView::focusNextPrevChild$
	{60, 183, 367},	//303 QWebView::focusOutEvent#
	{60, 190, 336},	//304 QWebView::forward
	{60, 209, 316},	//305 QWebView::history
	{60, 214, 321},	//306 QWebView::icon
	{60, 215, 346},	//307 QWebView::iconChanged
	{60, 222, 368},	//308 QWebView::inputMethodEvent#
	{60, 224, 327},	//309 QWebView::inputMethodQuery$
	{60, 227, 326},	//310 QWebView::isModified
	{60, 242, 360},	//311 QWebView::keyPressEvent#
	{60, 244, 361},	//312 QWebView::keyReleaseEvent#
	{60, 250, 344},	//313 QWebView::linkClicked#
	{60, 259, -4},	//314 QWebView::load#
	{60, 260, 309},	//315 QWebView::load#$
	{60, 261, 308},	//316 QWebView::load#$#
	{60, 263, 341},	//317 QWebView::loadFinished$
	{60, 265, 340},	//318 QWebView::loadProgress$
	{60, 266, 339},	//319 QWebView::loadStarted
	{60, 271, 300},	//320 QWebView::metaObject
	{60, 277, 356},	//321 QWebView::mouseDoubleClickEvent#
	{60, 279, 354},	//322 QWebView::mouseMoveEvent#
	{60, 281, 355},	//323 QWebView::mousePressEvent#
	{60, 283, 357},	//324 QWebView::mouseReleaseEvent#
	{60, 290, 305},	//325 QWebView::page
	{60, 292, 323},	//326 QWebView::pageAction$
	{60, 295, 351},	//327 QWebView::paintEvent#
	{60, 305, 338},	//328 QWebView::print#
	{60, 310, 301},	//329 QWebView::qt_metacall$$?
	{60, 312, 337},	//330 QWebView::reload
	{60, 326, 350},	//331 QWebView::resizeEvent#
	{60, 337, 322},	//332 QWebView::selectedText
	{60, 338, 345},	//333 QWebView::selectionChanged
	{60, 342, 315},	//334 QWebView::setContent#
	{60, 343, 314},	//335 QWebView::setContent#$
	{60, 344, 313},	//336 QWebView::setContent#$#
	{60, 354, 312},	//337 QWebView::setHtml$
	{60, 355, 311},	//338 QWebView::setHtml$#
	{60, 367, 306},	//339 QWebView::setPage#
	{60, 377, 329},	//340 QWebView::setTextSizeMultiplier$
	{60, 379, 319},	//341 QWebView::setUrl#
	{60, 390, 317},	//342 QWebView::settings
	{60, 393, 328},	//343 QWebView::sizeHint
	{60, 395, 343},	//344 QWebView::statusBarMessage$
	{60, 398, 334},	//345 QWebView::stop
	{60, 409, 330},	//346 QWebView::textSizeMultiplier
	{60, 412, 318},	//347 QWebView::title
	{60, 414, 342},	//348 QWebView::titleChanged$
	{60, 421, 349},	//349 QWebView::tr$
	{60, 422, 348},	//350 QWebView::tr$$
	{60, 427, 325},	//351 QWebView::triggerPageAction$
	{60, 428, 324},	//352 QWebView::triggerPageAction$$
	{60, 434, 320},	//353 QWebView::url
	{60, 436, 347},	//354 QWebView::urlChanged#
	{60, 445, 359},	//355 QWebView::wheelEvent#
	{60, 454, 304},	//356 QWebView::~QWebView
};

static Smoke::Index qtwebkit_ambiguousMethodList[] = {
    0,
    18,  // QWebFrame::load(const QNetworkRequest&)
    15,  // QWebFrame::load(const QUrl&)
    0,
    310,  // QWebView::load(const QNetworkRequest&)
    307,  // QWebView::load(const QUrl&)
    0,
};


void init_qt_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        qtwebkit_classes, 64,
        qtwebkit_methods, 410,
        qtwebkit_methodMaps, 357,
        qtwebkit_methodNames, 454,
        qtwebkit_types, 335,
        qtwebkit_inheritanceList,
        qtwebkit_argumentList,
        qtwebkit_ambiguousMethodList,
        qtwebkit_cast );
    initialized = true;
}
