#include <qcoreevent.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qvariant.h>
#include <solid/acadapter.h>
#include <solid/audiointerface.h>
#include <solid/battery.h>
#include <solid/block.h>
#include <solid/button.h>
#include <solid/camera.h>
#include <solid/device.h>
#include <solid/deviceinterface.h>
#include <solid/devicenotifier.h>
#include <solid/dvbinterface.h>
#include <solid/genericinterface.h>
#include <solid/networking.h>
#include <solid/networkinterface.h>
#include <solid/opticaldisc.h>
#include <solid/opticaldrive.h>
#include <solid/portablemediaplayer.h>
#include <solid/powermanagement.h>
#include <solid/predicate.h>
#include <solid/processor.h>
#include <solid/storageaccess.h>
#include <solid/storagedrive.h>
#include <solid/storagevolume.h>
#include <solid/video.h>

#include <smoke.h>

#include <solid_smoke.h>

static void *solid_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//QChildEvent
	switch(to) {
	    case 2: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 1: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 2:	//QEvent
	switch(to) {
	    case 2: return (void*)(QEvent*)(QEvent*)xptr;
	    case 1: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 5: return (void*)(QTimerEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 3:	//QMetaObject
	switch(to) {
	    case 3: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 4:	//QObject
	switch(to) {
	    case 4: return (void*)(QObject*)(QObject*)xptr;
	    case 8: return (void*)(Solid::AcAdapter*)(QObject*)xptr;
	    case 9: return (void*)(Solid::AudioInterface*)(QObject*)xptr;
	    case 10: return (void*)(Solid::Battery*)(QObject*)xptr;
	    case 11: return (void*)(Solid::Block*)(QObject*)xptr;
	    case 12: return (void*)(Solid::Button*)(QObject*)xptr;
	    case 13: return (void*)(Solid::Camera*)(QObject*)xptr;
	    case 15: return (void*)(Solid::DeviceInterface*)(QObject*)xptr;
	    case 16: return (void*)(Solid::DeviceNotifier*)(QObject*)xptr;
	    case 17: return (void*)(Solid::DvbInterface*)(QObject*)xptr;
	    case 18: return (void*)(Solid::GenericInterface*)(QObject*)xptr;
	    case 19: return (void*)(Solid::NetworkInterface*)(QObject*)xptr;
	    case 21: return (void*)(Solid::Networking::Notifier*)(QObject*)xptr;
	    case 22: return (void*)(Solid::OpticalDisc*)(QObject*)xptr;
	    case 23: return (void*)(Solid::OpticalDrive*)(QObject*)xptr;
	    case 24: return (void*)(Solid::PortableMediaPlayer*)(QObject*)xptr;
	    case 26: return (void*)(Solid::PowerManagement::Notifier*)(QObject*)xptr;
	    case 28: return (void*)(Solid::Processor*)(QObject*)xptr;
	    case 29: return (void*)(Solid::StorageAccess*)(QObject*)xptr;
	    case 30: return (void*)(Solid::StorageDrive*)(QObject*)xptr;
	    case 31: return (void*)(Solid::StorageVolume*)(QObject*)xptr;
	    case 32: return (void*)(Solid::Video*)(QObject*)xptr;
	  default: return xptr;
	}
      case 5:	//QTimerEvent
	switch(to) {
	    case 2: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 5: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 6:	//QVariant
	switch(to) {
	    case 6: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 8:	//Solid::AcAdapter
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::AcAdapter*)xptr;
	    case 4: return (void*)(QObject*)(Solid::AcAdapter*)xptr;
	    case 8: return (void*)(Solid::AcAdapter*)(Solid::AcAdapter*)xptr;
	  default: return xptr;
	}
      case 9:	//Solid::AudioInterface
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::AudioInterface*)xptr;
	    case 4: return (void*)(QObject*)(Solid::AudioInterface*)xptr;
	    case 9: return (void*)(Solid::AudioInterface*)(Solid::AudioInterface*)xptr;
	  default: return xptr;
	}
      case 10:	//Solid::Battery
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Battery*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Battery*)xptr;
	    case 10: return (void*)(Solid::Battery*)(Solid::Battery*)xptr;
	  default: return xptr;
	}
      case 11:	//Solid::Block
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Block*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Block*)xptr;
	    case 11: return (void*)(Solid::Block*)(Solid::Block*)xptr;
	  default: return xptr;
	}
      case 12:	//Solid::Button
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Button*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Button*)xptr;
	    case 12: return (void*)(Solid::Button*)(Solid::Button*)xptr;
	  default: return xptr;
	}
      case 13:	//Solid::Camera
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Camera*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Camera*)xptr;
	    case 13: return (void*)(Solid::Camera*)(Solid::Camera*)xptr;
	  default: return xptr;
	}
      case 14:	//Solid::Device
	switch(to) {
	    case 14: return (void*)(Solid::Device*)(Solid::Device*)xptr;
	  default: return xptr;
	}
      case 15:	//Solid::DeviceInterface
	switch(to) {
	    case 4: return (void*)(QObject*)(Solid::DeviceInterface*)xptr;
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::DeviceInterface*)xptr;
	    case 8: return (void*)(Solid::AcAdapter*)(Solid::DeviceInterface*)xptr;
	    case 9: return (void*)(Solid::AudioInterface*)(Solid::DeviceInterface*)xptr;
	    case 10: return (void*)(Solid::Battery*)(Solid::DeviceInterface*)xptr;
	    case 11: return (void*)(Solid::Block*)(Solid::DeviceInterface*)xptr;
	    case 12: return (void*)(Solid::Button*)(Solid::DeviceInterface*)xptr;
	    case 13: return (void*)(Solid::Camera*)(Solid::DeviceInterface*)xptr;
	    case 17: return (void*)(Solid::DvbInterface*)(Solid::DeviceInterface*)xptr;
	    case 18: return (void*)(Solid::GenericInterface*)(Solid::DeviceInterface*)xptr;
	    case 19: return (void*)(Solid::NetworkInterface*)(Solid::DeviceInterface*)xptr;
	    case 22: return (void*)(Solid::OpticalDisc*)(Solid::DeviceInterface*)xptr;
	    case 23: return (void*)(Solid::OpticalDrive*)(Solid::DeviceInterface*)xptr;
	    case 24: return (void*)(Solid::PortableMediaPlayer*)(Solid::DeviceInterface*)xptr;
	    case 28: return (void*)(Solid::Processor*)(Solid::DeviceInterface*)xptr;
	    case 29: return (void*)(Solid::StorageAccess*)(Solid::DeviceInterface*)xptr;
	    case 30: return (void*)(Solid::StorageDrive*)(Solid::DeviceInterface*)xptr;
	    case 31: return (void*)(Solid::StorageVolume*)(Solid::DeviceInterface*)xptr;
	    case 32: return (void*)(Solid::Video*)(Solid::DeviceInterface*)xptr;
	  default: return xptr;
	}
      case 16:	//Solid::DeviceNotifier
	switch(to) {
	    case 4: return (void*)(QObject*)(Solid::DeviceNotifier*)xptr;
	    case 16: return (void*)(Solid::DeviceNotifier*)(Solid::DeviceNotifier*)xptr;
	  default: return xptr;
	}
      case 17:	//Solid::DvbInterface
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::DvbInterface*)xptr;
	    case 4: return (void*)(QObject*)(Solid::DvbInterface*)xptr;
	    case 17: return (void*)(Solid::DvbInterface*)(Solid::DvbInterface*)xptr;
	  default: return xptr;
	}
      case 18:	//Solid::GenericInterface
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::GenericInterface*)xptr;
	    case 4: return (void*)(QObject*)(Solid::GenericInterface*)xptr;
	    case 18: return (void*)(Solid::GenericInterface*)(Solid::GenericInterface*)xptr;
	  default: return xptr;
	}
      case 19:	//Solid::NetworkInterface
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::NetworkInterface*)xptr;
	    case 4: return (void*)(QObject*)(Solid::NetworkInterface*)xptr;
	    case 19: return (void*)(Solid::NetworkInterface*)(Solid::NetworkInterface*)xptr;
	  default: return xptr;
	}
      case 21:	//Solid::Networking::Notifier
	switch(to) {
	    case 4: return (void*)(QObject*)(Solid::Networking::Notifier*)xptr;
	    case 21: return (void*)(Solid::Networking::Notifier*)(Solid::Networking::Notifier*)xptr;
	  default: return xptr;
	}
      case 22:	//Solid::OpticalDisc
	switch(to) {
	    case 31: return (void*)(Solid::StorageVolume*)(Solid::OpticalDisc*)xptr;
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDisc*)xptr;
	    case 4: return (void*)(QObject*)(Solid::OpticalDisc*)xptr;
	    case 22: return (void*)(Solid::OpticalDisc*)(Solid::OpticalDisc*)xptr;
	  default: return xptr;
	}
      case 23:	//Solid::OpticalDrive
	switch(to) {
	    case 30: return (void*)(Solid::StorageDrive*)(Solid::OpticalDrive*)xptr;
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDrive*)xptr;
	    case 4: return (void*)(QObject*)(Solid::OpticalDrive*)xptr;
	    case 23: return (void*)(Solid::OpticalDrive*)(Solid::OpticalDrive*)xptr;
	  default: return xptr;
	}
      case 24:	//Solid::PortableMediaPlayer
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::PortableMediaPlayer*)xptr;
	    case 4: return (void*)(QObject*)(Solid::PortableMediaPlayer*)xptr;
	    case 24: return (void*)(Solid::PortableMediaPlayer*)(Solid::PortableMediaPlayer*)xptr;
	  default: return xptr;
	}
      case 26:	//Solid::PowerManagement::Notifier
	switch(to) {
	    case 4: return (void*)(QObject*)(Solid::PowerManagement::Notifier*)xptr;
	    case 26: return (void*)(Solid::PowerManagement::Notifier*)(Solid::PowerManagement::Notifier*)xptr;
	  default: return xptr;
	}
      case 27:	//Solid::Predicate
	switch(to) {
	    case 27: return (void*)(Solid::Predicate*)(Solid::Predicate*)xptr;
	  default: return xptr;
	}
      case 28:	//Solid::Processor
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Processor*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Processor*)xptr;
	    case 28: return (void*)(Solid::Processor*)(Solid::Processor*)xptr;
	  default: return xptr;
	}
      case 29:	//Solid::StorageAccess
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::StorageAccess*)xptr;
	    case 4: return (void*)(QObject*)(Solid::StorageAccess*)xptr;
	    case 29: return (void*)(Solid::StorageAccess*)(Solid::StorageAccess*)xptr;
	  default: return xptr;
	}
      case 30:	//Solid::StorageDrive
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::StorageDrive*)xptr;
	    case 4: return (void*)(QObject*)(Solid::StorageDrive*)xptr;
	    case 30: return (void*)(Solid::StorageDrive*)(Solid::StorageDrive*)xptr;
	    case 23: return (void*)(Solid::OpticalDrive*)(Solid::StorageDrive*)xptr;
	  default: return xptr;
	}
      case 31:	//Solid::StorageVolume
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::StorageVolume*)xptr;
	    case 4: return (void*)(QObject*)(Solid::StorageVolume*)xptr;
	    case 31: return (void*)(Solid::StorageVolume*)(Solid::StorageVolume*)xptr;
	    case 22: return (void*)(Solid::OpticalDisc*)(Solid::StorageVolume*)xptr;
	  default: return xptr;
	}
      case 32:	//Solid::Video
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Video*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Video*)xptr;
	    case 32: return (void*)(Solid::Video*)(Solid::Video*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index solid_inheritanceList[] = {
	0,	// 0: (no super class)
	15, 0,	// 1: Solid::DeviceInterface
	4, 0,	// 3: QObject
	31, 0,	// 5: Solid::StorageVolume
	30, 0,	// 7: Solid::StorageDrive
};

// These are the xenum functions for manipulating enum pointers
void xenum_Solid__Battery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Processor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__GenericInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Networking(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DvbInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__PowerManagement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Button(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__AudioInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDisc(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageVolume(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Predicate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DeviceInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Solid(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AcAdapter(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AudioInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Battery(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Block(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Camera(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Device(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DvbInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__GenericInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__NetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDisc(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PortableMediaPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Predicate(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Processor(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageAccess(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageVolume(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Video(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class solid_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 1
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 2
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 3
	{ "QObject", true, 0, 0, 0, 0 }, 	// 4
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 5
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 6
	{ "Solid", false, 0, xcall_Solid, xenum_Solid, Smoke::cf_deepcopy }, 	//7
	{ "Solid::AcAdapter", false, 1, xcall_Solid__AcAdapter, 0, Smoke::cf_virtual }, 	//8
	{ "Solid::AudioInterface", false, 1, xcall_Solid__AudioInterface, xenum_Solid__AudioInterface, Smoke::cf_virtual }, 	//9
	{ "Solid::Battery", false, 1, xcall_Solid__Battery, xenum_Solid__Battery, Smoke::cf_virtual }, 	//10
	{ "Solid::Block", false, 1, xcall_Solid__Block, 0, Smoke::cf_virtual }, 	//11
	{ "Solid::Button", false, 1, xcall_Solid__Button, xenum_Solid__Button, Smoke::cf_virtual }, 	//12
	{ "Solid::Camera", false, 1, xcall_Solid__Camera, 0, Smoke::cf_virtual }, 	//13
	{ "Solid::Device", false, 0, xcall_Solid__Device, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//14
	{ "Solid::DeviceInterface", false, 3, xcall_Solid__DeviceInterface, xenum_Solid__DeviceInterface, Smoke::cf_constructor|Smoke::cf_virtual }, 	//15
	{ "Solid::DeviceNotifier", false, 3, xcall_Solid__DeviceNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//16
	{ "Solid::DvbInterface", false, 1, xcall_Solid__DvbInterface, xenum_Solid__DvbInterface, Smoke::cf_virtual }, 	//17
	{ "Solid::GenericInterface", false, 1, xcall_Solid__GenericInterface, xenum_Solid__GenericInterface, Smoke::cf_virtual }, 	//18
	{ "Solid::NetworkInterface", false, 1, xcall_Solid__NetworkInterface, 0, Smoke::cf_virtual }, 	//19
	{ "Solid::Networking", false, 0, xcall_Solid__Networking, xenum_Solid__Networking, Smoke::cf_deepcopy }, 	//20
	{ "Solid::Networking::Notifier", true, 0, 0, 0, 0 }, 	// 21
	{ "Solid::OpticalDisc", false, 5, xcall_Solid__OpticalDisc, xenum_Solid__OpticalDisc, Smoke::cf_virtual }, 	//22
	{ "Solid::OpticalDrive", false, 7, xcall_Solid__OpticalDrive, xenum_Solid__OpticalDrive, Smoke::cf_virtual }, 	//23
	{ "Solid::PortableMediaPlayer", false, 1, xcall_Solid__PortableMediaPlayer, 0, Smoke::cf_virtual }, 	//24
	{ "Solid::PowerManagement", false, 0, xcall_Solid__PowerManagement, xenum_Solid__PowerManagement, Smoke::cf_deepcopy }, 	//25
	{ "Solid::PowerManagement::Notifier", true, 0, 0, 0, 0 }, 	// 26
	{ "Solid::Predicate", false, 0, xcall_Solid__Predicate, xenum_Solid__Predicate, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//27
	{ "Solid::Processor", false, 1, xcall_Solid__Processor, xenum_Solid__Processor, Smoke::cf_virtual }, 	//28
	{ "Solid::StorageAccess", false, 1, xcall_Solid__StorageAccess, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//29
	{ "Solid::StorageDrive", false, 1, xcall_Solid__StorageDrive, xenum_Solid__StorageDrive, Smoke::cf_constructor|Smoke::cf_virtual }, 	//30
	{ "Solid::StorageVolume", false, 1, xcall_Solid__StorageVolume, xenum_Solid__StorageVolume, Smoke::cf_constructor|Smoke::cf_virtual }, 	//31
	{ "Solid::Video", false, 1, xcall_Solid__Video, 0, Smoke::cf_virtual }, 	//32
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type solid_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "KAction::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//1
	{ "KAction::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//2
	{ "KAutostart::Conditions", 0, Smoke::t_uint | Smoke::tf_stack },	//3
	{ "KAutostart::Conditions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//4
	{ "KCModule::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "KCModule::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "KCmdLineArgs::StdCmdLineArgs", 0, Smoke::t_uint | Smoke::tf_stack },	//7
	{ "KCmdLineArgs::StdCmdLineArgs&", 0, Smoke::t_voidp | Smoke::tf_ref },	//8
	{ "KConfig::OpenFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//9
	{ "KConfig::OpenFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//10
	{ "KConfigBase::WriteConfigFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//11
	{ "KConfigBase::WriteConfigFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//12
	{ "KCrash::CrashFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//13
	{ "KCrash::CrashFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//14
	{ "KDialog::ButtonCodes", 0, Smoke::t_uint | Smoke::tf_stack },	//15
	{ "KDialog::ButtonCodes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//16
	{ "KDialog::ButtonPopupModes", 0, Smoke::t_uint | Smoke::tf_stack },	//17
	{ "KDialog::ButtonPopupModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//18
	{ "KDialog::CaptionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//19
	{ "KDialog::CaptionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//20
	{ "KDirLister::OpenUrlFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//21
	{ "KDirLister::OpenUrlFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//22
	{ "KDirModel::DropsAllowed", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "KDirModel::DropsAllowed&", 0, Smoke::t_voidp | Smoke::tf_ref },	//24
	{ "KDirWatch::WatchModes", 0, Smoke::t_uint | Smoke::tf_stack },	//25
	{ "KDirWatch::WatchModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//26
	{ "KEditListBox::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "KEditListBox::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "KFileMetaInfo::WhatFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//29
	{ "KFileMetaInfo::WhatFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//30
	{ "KFontChooser::DisplayFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//31
	{ "KFontChooser::DisplayFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//32
	{ "KFontChooser::FontDiffFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//33
	{ "KFontChooser::FontDiffFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//34
	{ "KGlobalSettings::GraphicEffects", 0, Smoke::t_uint | Smoke::tf_stack },	//35
	{ "KGlobalSettings::GraphicEffects&", 0, Smoke::t_voidp | Smoke::tf_ref },	//36
	{ "KIO::JobFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//37
	{ "KIO::JobFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//38
	{ "KIO::NetRC::LookUpMode", 0, Smoke::t_uint | Smoke::tf_stack },	//39
	{ "KIO::NetRC::LookUpMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//40
	{ "KIO::TCPSlaveBase::SslResult", 0, Smoke::t_uint | Smoke::tf_stack },	//41
	{ "KIO::TCPSlaveBase::SslResult&", 0, Smoke::t_voidp | Smoke::tf_ref },	//42
	{ "KJob::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//43
	{ "KJob::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//44
	{ "KLocale::DateTimeFormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//45
	{ "KLocale::DateTimeFormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//46
	{ "KLockFile::LockFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//47
	{ "KLockFile::LockFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//48
	{ "KMessageBox::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//49
	{ "KMessageBox::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//50
	{ "KNTLM::AuthFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//51
	{ "KNTLM::AuthFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//52
	{ "KNotification::NotificationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//53
	{ "KNotification::NotificationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//54
	{ "KNotificationRestrictions::Services", 0, Smoke::t_uint | Smoke::tf_stack },	//55
	{ "KNotificationRestrictions::Services&", 0, Smoke::t_voidp | Smoke::tf_ref },	//56
	{ "KParts::BrowserExtension::PopupFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//57
	{ "KParts::BrowserExtension::PopupFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//58
	{ "KPasswordDialog::KPasswordDialogFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//59
	{ "KPasswordDialog::KPasswordDialogFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//60
	{ "KPlotObject::PlotTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//61
	{ "KPlotObject::PlotTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//62
	{ "KServiceGroup::EntriesOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//63
	{ "KServiceGroup::EntriesOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//64
	{ "KShell::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//65
	{ "KShell::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//66
	{ "KShortcutsEditor::ActionTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//67
	{ "KShortcutsEditor::ActionTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//68
	{ "KStandardDirs::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//69
	{ "KStandardDirs::SearchOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//70
	{ "KUniqueApplication::StartFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//71
	{ "KUniqueApplication::StartFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//72
	{ "KUrl::CleanPathOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//73
	{ "KUrl::CleanPathOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//74
	{ "KUrl::DirectoryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//75
	{ "KUrl::DirectoryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//76
	{ "KUrl::EncodedPathAndQueryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//77
	{ "KUrl::EncodedPathAndQueryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//78
	{ "KUrl::EqualsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//79
	{ "KUrl::EqualsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//80
	{ "KUrl::QueryItemsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//81
	{ "KUrl::QueryItemsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//82
	{ "KXmlGuiWindow::StandardWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//83
	{ "KXmlGuiWindow::StandardWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//84
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//85
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//86
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//87
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//88
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//89
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//90
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//91
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//92
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//93
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//94
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//95
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//96
	{ "QChildEvent*", 1, Smoke::t_class | Smoke::tf_ptr },	//97
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//98
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//99
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//100
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//101
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//102
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//103
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//104
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//105
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//106
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//107
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//108
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//109
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//110
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//111
	{ "QEvent*", 2, Smoke::t_class | Smoke::tf_ptr },	//112
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//113
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//114
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//115
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//116
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//117
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//118
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//119
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//120
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//121
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//122
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//123
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//124
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//125
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//126
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//127
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//128
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//129
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//130
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//131
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//132
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//133
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//134
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//135
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//136
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//137
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//138
	{ "QList<Solid::Device>", 0, Smoke::t_voidp | Smoke::tf_stack },	//139
	{ "QList<int>", 0, Smoke::t_voidp | Smoke::tf_stack },	//140
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//141
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//142
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//143
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//144
	{ "QMap<QString,QVariant>", 0, Smoke::t_voidp | Smoke::tf_stack },	//145
	{ "QMap<QString,int>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//146
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//147
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//148
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//149
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//150
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//151
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//152
	{ "QMetaObject::Call", 3, Smoke::t_enum | Smoke::tf_stack },	//153
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//154
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//155
	{ "QObject*", 4, Smoke::t_class | Smoke::tf_ptr },	//156
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//157
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//158
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//159
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//160
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//161
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//162
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//163
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//164
	{ "QSet<Solid::DeviceInterface::Type>", 0, Smoke::t_voidp | Smoke::tf_stack },	//165
	{ "QSet<Solid::PowerManagement::SleepState>", 0, Smoke::t_voidp | Smoke::tf_stack },	//166
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//167
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//168
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//169
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//170
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//171
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//172
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//173
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//174
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//175
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//176
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//177
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//178
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//179
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//180
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//181
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//182
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//183
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//184
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//185
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//186
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//187
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//188
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//189
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//190
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//191
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//192
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//193
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//194
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//195
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//196
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//197
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//198
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//199
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//200
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//201
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//202
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//203
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//204
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//205
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//206
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//207
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//208
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//209
	{ "QTimerEvent*", 5, Smoke::t_class | Smoke::tf_ptr },	//210
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//211
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//212
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//213
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//214
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//215
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//216
	{ "QVariant", 6, Smoke::t_class | Smoke::tf_stack },	//217
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//218
	{ "QWebPage::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//219
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//220
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//221
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//222
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//223
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//224
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//225
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//226
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//227
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//228
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//229
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//230
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//231
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//232
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//233
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//234
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//235
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//236
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//237
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//238
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//239
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//240
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//241
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//242
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//243
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//244
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//245
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//246
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//247
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//248
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//249
	{ "Solid::AudioInterface::AudioDriver", 9, Smoke::t_enum | Smoke::tf_stack },	//250
	{ "Solid::AudioInterface::AudioInterfaceType", 9, Smoke::t_enum | Smoke::tf_stack },	//251
	{ "Solid::AudioInterface::AudioInterfaceTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//252
	{ "Solid::AudioInterface::AudioInterfaceTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//253
	{ "Solid::AudioInterface::SoundcardType", 9, Smoke::t_enum | Smoke::tf_stack },	//254
	{ "Solid::Battery::BatteryType", 10, Smoke::t_enum | Smoke::tf_stack },	//255
	{ "Solid::Battery::ChargeState", 10, Smoke::t_enum | Smoke::tf_stack },	//256
	{ "Solid::Button::ButtonType", 12, Smoke::t_enum | Smoke::tf_stack },	//257
	{ "Solid::Device", 14, Smoke::t_class | Smoke::tf_stack },	//258
	{ "Solid::Device&", 14, Smoke::t_class | Smoke::tf_ref },	//259
	{ "Solid::Device*", 14, Smoke::t_class | Smoke::tf_ptr },	//260
	{ "Solid::DeviceInterface*", 15, Smoke::t_class | Smoke::tf_ptr },	//261
	{ "Solid::DeviceInterface::Type", 15, Smoke::t_enum | Smoke::tf_stack },	//262
	{ "Solid::DeviceNotifier*", 16, Smoke::t_class | Smoke::tf_ptr },	//263
	{ "Solid::DvbInterface::DeviceType", 17, Smoke::t_enum | Smoke::tf_stack },	//264
	{ "Solid::ErrorType", 7, Smoke::t_enum | Smoke::tf_stack },	//265
	{ "Solid::GenericInterface::PropertyChange", 18, Smoke::t_enum | Smoke::tf_stack },	//266
	{ "Solid::Networking::ManagementPolicy", 20, Smoke::t_enum | Smoke::tf_stack },	//267
	{ "Solid::Networking::Notifier*", 21, Smoke::t_class | Smoke::tf_ptr },	//268
	{ "Solid::Networking::Status", 20, Smoke::t_enum | Smoke::tf_stack },	//269
	{ "Solid::OpticalDisc::ContentType", 22, Smoke::t_enum | Smoke::tf_stack },	//270
	{ "Solid::OpticalDisc::ContentTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//271
	{ "Solid::OpticalDisc::ContentTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//272
	{ "Solid::OpticalDisc::DiscType", 22, Smoke::t_enum | Smoke::tf_stack },	//273
	{ "Solid::OpticalDrive::MediumType", 23, Smoke::t_enum | Smoke::tf_stack },	//274
	{ "Solid::OpticalDrive::MediumTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//275
	{ "Solid::OpticalDrive::MediumTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//276
	{ "Solid::PowerManagement::Notifier*", 26, Smoke::t_class | Smoke::tf_ptr },	//277
	{ "Solid::PowerManagement::SleepState", 25, Smoke::t_enum | Smoke::tf_stack },	//278
	{ "Solid::Predicate", 27, Smoke::t_class | Smoke::tf_stack },	//279
	{ "Solid::Predicate&", 27, Smoke::t_class | Smoke::tf_ref },	//280
	{ "Solid::Predicate*", 27, Smoke::t_class | Smoke::tf_ptr },	//281
	{ "Solid::Predicate::ComparisonOperator", 27, Smoke::t_enum | Smoke::tf_stack },	//282
	{ "Solid::Processor::InstructionSet", 28, Smoke::t_enum | Smoke::tf_stack },	//283
	{ "Solid::Processor::InstructionSets", 0, Smoke::t_uint | Smoke::tf_stack },	//284
	{ "Solid::Processor::InstructionSets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//285
	{ "Solid::StorageDrive::Bus", 30, Smoke::t_enum | Smoke::tf_stack },	//286
	{ "Solid::StorageDrive::DriveType", 30, Smoke::t_enum | Smoke::tf_stack },	//287
	{ "Solid::StorageVolume::UsageType", 31, Smoke::t_enum | Smoke::tf_stack },	//288
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//289
	{ "const QMap<QString,int>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//290
	{ "const QMetaObject", 3, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//291
	{ "const QMetaObject*", 3, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//292
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//293
	{ "const QVariant&", 6, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//294
	{ "const Solid::Device&", 14, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//295
	{ "const Solid::DeviceInterface*", 15, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//296
	{ "const Solid::DeviceInterface::Type&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//297
	{ "const Solid::Predicate&", 27, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//298
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//299
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//300
	{ "qulonglong", 0, Smoke::t_voidp | Smoke::tf_stack },	//301
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//302
};

static Smoke::Index solid_argumentList[] = {
	0,	//0  (void)
	112, 0,	//1  QEvent*  
	153, 300, 302, 0,	//3  QMetaObject::Call, int, void**  
	156, 112, 0,	//7  QObject*, QEvent*  
	171, 0,	//10  QString  
	210, 0,	//12  QTimerEvent*  
	257, 293, 0,	//14  Solid::Button::ButtonType, const QString&  
	262, 0,	//17  Solid::DeviceInterface::Type  
	265, 217, 293, 0,	//19  Solid::ErrorType, QVariant, const QString&  
	278, 156, 299, 0,	//23  Solid::PowerManagement::SleepState, QObject*, const char*  
	289, 293, 0,	//27  bool, const QString&  
	290, 0,	//30  const QMap<QString, int>&  
	293, 0,	//32  const QString&  
	293, 293, 0,	//34  const QString&, const QString&  
	293, 293, 294, 0,	//37  const QString&, const QString&, const QVariant&  
	293, 293, 294, 282, 0,	//41  const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator  
	295, 0,	//46  const Solid::Device&  
	297, 0,	//48  const Solid::DeviceInterface::Type&  
	297, 293, 0,	//50  const Solid::DeviceInterface::Type&, const QString&  
	297, 293, 294, 0,	//53  const Solid::DeviceInterface::Type&, const QString&, const QVariant&  
	297, 293, 294, 282, 0,	//57  const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator  
	298, 0,	//62  const Solid::Predicate&  
	298, 293, 0,	//64  const Solid::Predicate&, const QString&  
	299, 0,	//67  const char*  
	300, 0,	//69  int  
	300, 293, 0,	//71  int, const QString&  
	97, 0,	//74  QChildEvent*  
};

// Raw list of all methods, using munged names
static const char *solid_methodNames[] = {
    "",	//0
    "AcAdapter",	//1
    "Alsa",	//2
    "AltiVec",	//3
    "Amd3DNow",	//4
    "Audio",	//5
    "AudioControl",	//6
    "AudioInput",	//7
    "AudioInterface",	//8
    "AudioOutput",	//9
    "Battery",	//10
    "Bd",	//11
    "Bdr",	//12
    "Bdre",	//13
    "Block",	//14
    "BluRayRecordable",	//15
    "BluRayRewritable",	//16
    "BluRayRom",	//17
    "Button",	//18
    "Camera",	//19
    "CameraBattery",	//20
    "CdRecordable",	//21
    "CdRewritable",	//22
    "CdRom",	//23
    "Cdr",	//24
    "CdromDrive",	//25
    "Cdrw",	//26
    "Charging",	//27
    "CompactFlash",	//28
    "Connected",	//29
    "Connecting",	//30
    "Data",	//31
    "Device",	//32
    "Device#",	//33
    "Device$",	//34
    "DeviceNotifier",	//35
    "Discharging",	//36
    "Disconnecting",	//37
    "DvbAudio",	//38
    "DvbCa",	//39
    "DvbDemux",	//40
    "DvbDvr",	//41
    "DvbFrontend",	//42
    "DvbInterface",	//43
    "DvbNet",	//44
    "DvbOsd",	//45
    "DvbSec",	//46
    "DvbUnknown",	//47
    "DvbVideo",	//48
    "Dvd",	//49
    "DvdPlusRecordable",	//50
    "DvdPlusRecordableDuallayer",	//51
    "DvdPlusRewritable",	//52
    "DvdPlusRewritableDuallayer",	//53
    "DvdRam",	//54
    "DvdRecordable",	//55
    "DvdRewritable",	//56
    "DvdRom",	//57
    "Dvdplusdl",	//58
    "Dvdplusdlrw",	//59
    "Dvdplusr",	//60
    "Dvdplusrw",	//61
    "Dvdr",	//62
    "Dvdram",	//63
    "Dvdrw",	//64
    "Encrypted",	//65
    "Equals",	//66
    "FileSystem",	//67
    "FirewireSoundcard",	//68
    "Floppy",	//69
    "GenericInterface",	//70
    "HardDisk",	//71
    "HdDvd",	//72
    "HdDvdRecordable",	//73
    "HdDvdRewritable",	//74
    "HdDvdRom",	//75
    "HdDvdr",	//76
    "HdDvdrw",	//77
    "Headset",	//78
    "HibernateState",	//79
    "Ide",	//80
    "Ieee1394",	//81
    "IntelMmx",	//82
    "IntelSse",	//83
    "IntelSse2",	//84
    "IntelSse3",	//85
    "IntelSse4",	//86
    "InternalSoundcard",	//87
    "KeyboardBattery",	//88
    "KeyboardMouseBattery",	//89
    "Last",	//90
    "LidButton",	//91
    "Managed",	//92
    "Manual",	//93
    "Mask",	//94
    "MemoryStick",	//95
    "Modem",	//96
    "MouseBattery",	//97
    "NetworkInterface",	//98
    "NoCharge",	//99
    "NoError",	//100
    "NoExtensions",	//101
    "OnNextStatusChange",	//102
    "OpenSoundSystem",	//103
    "OpticalDisc",	//104
    "OpticalDrive",	//105
    "Other",	//106
    "PartitionTable",	//107
    "PdaBattery",	//108
    "Platform",	//109
    "PortableMediaPlayer",	//110
    "PowerButton",	//111
    "Predicate",	//112
    "Predicate#",	//113
    "Predicate$",	//114
    "Predicate$$#",	//115
    "Predicate$$#$",	//116
    "PrimaryBattery",	//117
    "Processor",	//118
    "PropertyAdded",	//119
    "PropertyModified",	//120
    "PropertyRemoved",	//121
    "Raid",	//122
    "Sata",	//123
    "Scsi",	//124
    "SdMmc",	//125
    "SleepButton",	//126
    "SmartMedia",	//127
    "StandbyState",	//128
    "StorageAccess",	//129
    "StorageDrive",	//130
    "StorageVolume",	//131
    "SuperVideoCd",	//132
    "SuspendState",	//133
    "Tape",	//134
    "UnauthorizedOperation",	//135
    "Unconnected",	//136
    "Unknown",	//137
    "UnknownAudioDriver",	//138
    "UnknownAudioInterfaceType",	//139
    "UnknownBattery",	//140
    "UnknownButtonType",	//141
    "UnknownDiscType",	//142
    "Unused",	//143
    "UpsBattery",	//144
    "Usb",	//145
    "UsbSoundcard",	//146
    "Video",	//147
    "VideoCd",	//148
    "VideoDvd",	//149
    "Xd",	//150
    "accessibilityChanged",	//151
    "accessibilityChanged$$",	//152
    "allDevices",	//153
    "allProperties",	//154
    "appShouldConserveResources",	//155
    "asDeviceInterface",	//156
    "asDeviceInterface$",	//157
    "availableContent",	//158
    "beginSuppressingSleep",	//159
    "beginSuppressingSleep$",	//160
    "bus",	//161
    "canChangeFrequency",	//162
    "capacity",	//163
    "chargePercent",	//164
    "chargePercentChanged",	//165
    "chargePercentChanged$$",	//166
    "chargeState",	//167
    "chargeStateChanged",	//168
    "chargeStateChanged$$",	//169
    "childEvent",	//170
    "childEvent#",	//171
    "conditionRaised",	//172
    "conditionRaised$$",	//173
    "connectNotify",	//174
    "connectNotify$",	//175
    "customEvent",	//176
    "customEvent#",	//177
    "device",	//178
    "deviceAdapter",	//179
    "deviceAdded",	//180
    "deviceAdded$",	//181
    "deviceIndex",	//182
    "deviceInterfaceType",	//183
    "deviceMajor",	//184
    "deviceMinor",	//185
    "deviceRemoved",	//186
    "deviceRemoved$",	//187
    "deviceType",	//188
    "discType",	//189
    "disconnectNotify",	//190
    "disconnectNotify$",	//191
    "driveType",	//192
    "driver",	//193
    "driverHandle",	//194
    "driverHandle$",	//195
    "eject",	//196
    "ejectDone",	//197
    "ejectDone$#$",	//198
    "ejectPressed",	//199
    "ejectPressed$",	//200
    "encryptedContainer",	//201
    "event",	//202
    "event#",	//203
    "eventFilter",	//204
    "eventFilter##",	//205
    "filePath",	//206
    "fromString",	//207
    "fromString$",	//208
    "fsType",	//209
    "hasState",	//210
    "hwAddress",	//211
    "icon",	//212
    "ifaceName",	//213
    "instance",	//214
    "instructionSets",	//215
    "isAccessible",	//216
    "isAppendable",	//217
    "isBlank",	//218
    "isDeviceInterface",	//219
    "isDeviceInterface$",	//220
    "isHotpluggable",	//221
    "isIgnored",	//222
    "isPlugged",	//223
    "isRechargeable",	//224
    "isRemovable",	//225
    "isRewritable",	//226
    "isValid",	//227
    "isWireless",	//228
    "label",	//229
    "listFromQuery",	//230
    "listFromQuery#",	//231
    "listFromQuery#$",	//232
    "listFromQuery$",	//233
    "listFromQuery$$",	//234
    "listFromType",	//235
    "listFromType$",	//236
    "listFromType$$",	//237
    "macAddress",	//238
    "matches",	//239
    "matches#",	//240
    "maxSpeed",	//241
    "metaObject",	//242
    "name",	//243
    "notifier",	//244
    "number",	//245
    "operator&",	//246
    "operator&#",	//247
    "operator&=",	//248
    "operator&=#",	//249
    "operator=",	//250
    "operator=#",	//251
    "operator|",	//252
    "operator|#",	//253
    "operator|=",	//254
    "operator|=#",	//255
    "parent",	//256
    "parentUdi",	//257
    "plugStateChanged",	//258
    "plugStateChanged$$",	//259
    "pressed",	//260
    "pressed$$",	//261
    "product",	//262
    "property",	//263
    "property$",	//264
    "propertyChanged",	//265
    "propertyChanged?",	//266
    "propertyExists",	//267
    "propertyExists$",	//268
    "qt_metacall",	//269
    "qt_metacall$$?",	//270
    "readSpeed",	//271
    "requestSleep",	//272
    "requestSleep$#$",	//273
    "setup",	//274
    "setupDone",	//275
    "setupDone$#$",	//276
    "size",	//277
    "soundcardType",	//278
    "stateValue",	//279
    "status",	//280
    "stopSuppressingSleep",	//281
    "stopSuppressingSleep$",	//282
    "stringToType",	//283
    "stringToType$",	//284
    "supportedDrivers",	//285
    "supportedDrivers$",	//286
    "supportedMedia",	//287
    "supportedProtocols",	//288
    "supportedSleepStates",	//289
    "teardown",	//290
    "teardownDone",	//291
    "teardownDone$#$",	//292
    "timerEvent",	//293
    "timerEvent#",	//294
    "toString",	//295
    "type",	//296
    "typeToString",	//297
    "typeToString$",	//298
    "udi",	//299
    "usage",	//300
    "usedTypes",	//301
    "uuid",	//302
    "vendor",	//303
    "writeSpeed",	//304
    "writeSpeeds",	//305
    "~AcAdapter",	//306
    "~AudioInterface",	//307
    "~Battery",	//308
    "~Block",	//309
    "~Button",	//310
    "~Camera",	//311
    "~Device",	//312
    "~DeviceInterface",	//313
    "~DeviceNotifier",	//314
    "~DvbInterface",	//315
    "~GenericInterface",	//316
    "~NetworkInterface",	//317
    "~OpticalDisc",	//318
    "~OpticalDrive",	//319
    "~PortableMediaPlayer",	//320
    "~Predicate",	//321
    "~Processor",	//322
    "~StorageAccess",	//323
    "~StorageDrive",	//324
    "~StorageVolume",	//325
    "~Video",	//326
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method solid_methods[] = {
	{4, 242, 0, 0, Smoke::mf_const, 292, 2},	//0 QObject::metaObject() const
	{4, 269, 3, 3, 0, 300, 3},	//1 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{4, 202, 1, 1, 0, 289, 6},	//2 QObject::event(QEvent*)
	{4, 204, 7, 2, 0, 289, 7},	//3 QObject::eventFilter(QObject*, QEvent*)
	{4, 293, 12, 1, Smoke::mf_protected, 0, 49},	//4 QObject::timerEvent(QTimerEvent*)
	{4, 170, 74, 1, Smoke::mf_protected, 0, 50},	//5 QObject::childEvent(QChildEvent*)
	{4, 176, 1, 1, Smoke::mf_protected, 0, 51},	//6 QObject::customEvent(QEvent*)
	{4, 174, 67, 1, Smoke::mf_protected, 0, 52},	//7 QObject::connectNotify(const char*)
	{4, 190, 67, 1, Smoke::mf_protected, 0, 53},	//8 QObject::disconnectNotify(const char*)
	{7, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 1},	//9 Solid::NoError (enum)
	{7, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 2},	//10 Solid::UnauthorizedOperation (enum)
	{8, 242, 0, 0, Smoke::mf_const, 292, 1},	//11 Solid::AcAdapter::metaObject() const
	{8, 269, 3, 3, 0, 300, 2},	//12 Solid::AcAdapter::qt_metacall(QMetaObject::Call, int, void**)
	{8, 223, 0, 0, Smoke::mf_const, 289, 3},	//13 Solid::AcAdapter::isPlugged() const
	{8, 183, 0, 0, Smoke::mf_static, 262, 4},	//14 Solid::AcAdapter::deviceInterfaceType()
	{9, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 1},	//15 Solid::AudioInterface::Alsa (enum)
	{9, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 2},	//16 Solid::AudioInterface::OpenSoundSystem (enum)
	{9, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 3},	//17 Solid::AudioInterface::UnknownAudioDriver (enum)
	{9, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 4},	//18 Solid::AudioInterface::UnknownAudioInterfaceType (enum)
	{9, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 5},	//19 Solid::AudioInterface::AudioControl (enum)
	{9, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 6},	//20 Solid::AudioInterface::AudioInput (enum)
	{9, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 7},	//21 Solid::AudioInterface::AudioOutput (enum)
	{9, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 8},	//22 Solid::AudioInterface::InternalSoundcard (enum)
	{9, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 9},	//23 Solid::AudioInterface::UsbSoundcard (enum)
	{9, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 10},	//24 Solid::AudioInterface::FirewireSoundcard (enum)
	{9, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 11},	//25 Solid::AudioInterface::Headset (enum)
	{9, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 12},	//26 Solid::AudioInterface::Modem (enum)
	{9, 242, 0, 0, Smoke::mf_const, 292, 13},	//27 Solid::AudioInterface::metaObject() const
	{9, 269, 3, 3, 0, 300, 14},	//28 Solid::AudioInterface::qt_metacall(QMetaObject::Call, int, void**)
	{9, 193, 0, 0, Smoke::mf_const, 250, 15},	//29 Solid::AudioInterface::driver() const
	{9, 194, 0, 0, Smoke::mf_const, 217, 16},	//30 Solid::AudioInterface::driverHandle() const
	{9, 243, 0, 0, Smoke::mf_const, 171, 17},	//31 Solid::AudioInterface::name() const
	{9, 188, 0, 0, Smoke::mf_const, 252, 18},	//32 Solid::AudioInterface::deviceType() const
	{9, 278, 0, 0, Smoke::mf_const, 254, 19},	//33 Solid::AudioInterface::soundcardType() const
	{9, 183, 0, 0, Smoke::mf_static, 262, 20},	//34 Solid::AudioInterface::deviceInterfaceType()
	{10, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 1},	//35 Solid::Battery::UnknownBattery (enum)
	{10, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 2},	//36 Solid::Battery::PdaBattery (enum)
	{10, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 3},	//37 Solid::Battery::UpsBattery (enum)
	{10, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 4},	//38 Solid::Battery::PrimaryBattery (enum)
	{10, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 5},	//39 Solid::Battery::MouseBattery (enum)
	{10, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 6},	//40 Solid::Battery::KeyboardBattery (enum)
	{10, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 7},	//41 Solid::Battery::KeyboardMouseBattery (enum)
	{10, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 8},	//42 Solid::Battery::CameraBattery (enum)
	{10, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 9},	//43 Solid::Battery::NoCharge (enum)
	{10, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 10},	//44 Solid::Battery::Charging (enum)
	{10, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 11},	//45 Solid::Battery::Discharging (enum)
	{10, 242, 0, 0, Smoke::mf_const, 292, 12},	//46 Solid::Battery::metaObject() const
	{10, 269, 3, 3, 0, 300, 13},	//47 Solid::Battery::qt_metacall(QMetaObject::Call, int, void**)
	{10, 223, 0, 0, Smoke::mf_const, 289, 14},	//48 Solid::Battery::isPlugged() const
	{10, 296, 0, 0, Smoke::mf_const, 255, 15},	//49 Solid::Battery::type() const
	{10, 164, 0, 0, Smoke::mf_const, 300, 16},	//50 Solid::Battery::chargePercent() const
	{10, 224, 0, 0, Smoke::mf_const, 289, 17},	//51 Solid::Battery::isRechargeable() const
	{10, 167, 0, 0, Smoke::mf_const, 256, 18},	//52 Solid::Battery::chargeState() const
	{10, 183, 0, 0, Smoke::mf_static, 262, 19},	//53 Solid::Battery::deviceInterfaceType()
	{11, 242, 0, 0, Smoke::mf_const, 292, 1},	//54 Solid::Block::metaObject() const
	{11, 269, 3, 3, 0, 300, 2},	//55 Solid::Block::qt_metacall(QMetaObject::Call, int, void**)
	{11, 184, 0, 0, Smoke::mf_const, 300, 3},	//56 Solid::Block::deviceMajor() const
	{11, 185, 0, 0, Smoke::mf_const, 300, 4},	//57 Solid::Block::deviceMinor() const
	{11, 178, 0, 0, Smoke::mf_const, 171, 5},	//58 Solid::Block::device() const
	{11, 183, 0, 0, Smoke::mf_static, 262, 6},	//59 Solid::Block::deviceInterfaceType()
	{12, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 1},	//60 Solid::Button::LidButton (enum)
	{12, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 2},	//61 Solid::Button::PowerButton (enum)
	{12, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 3},	//62 Solid::Button::SleepButton (enum)
	{12, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 4},	//63 Solid::Button::UnknownButtonType (enum)
	{12, 242, 0, 0, Smoke::mf_const, 292, 5},	//64 Solid::Button::metaObject() const
	{12, 269, 3, 3, 0, 300, 6},	//65 Solid::Button::qt_metacall(QMetaObject::Call, int, void**)
	{12, 296, 0, 0, Smoke::mf_const, 257, 7},	//66 Solid::Button::type() const
	{12, 210, 0, 0, Smoke::mf_const, 289, 8},	//67 Solid::Button::hasState() const
	{12, 279, 0, 0, Smoke::mf_const, 289, 9},	//68 Solid::Button::stateValue() const
	{12, 183, 0, 0, Smoke::mf_static, 262, 10},	//69 Solid::Button::deviceInterfaceType()
	{13, 242, 0, 0, Smoke::mf_const, 292, 1},	//70 Solid::Camera::metaObject() const
	{13, 269, 3, 3, 0, 300, 2},	//71 Solid::Camera::qt_metacall(QMetaObject::Call, int, void**)
	{13, 288, 0, 0, Smoke::mf_const, 175, 3},	//72 Solid::Camera::supportedProtocols() const
	{13, 285, 10, 1, Smoke::mf_const, 175, 4},	//73 Solid::Camera::supportedDrivers(QString) const
	{13, 285, 0, 0, Smoke::mf_const, 175, 5},	//74 Solid::Camera::supportedDrivers() const
	{13, 194, 32, 1, Smoke::mf_const, 217, 6},	//75 Solid::Camera::driverHandle(const QString&) const
	{13, 183, 0, 0, Smoke::mf_static, 262, 7},	//76 Solid::Camera::deviceInterfaceType()
	{14, 32, 32, 1, Smoke::mf_ctor, 260, 1},	//77 Solid::Device::Device(const QString&)
	{14, 32, 0, 0, Smoke::mf_ctor, 260, 2},	//78 Solid::Device::Device()
	{14, 32, 46, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 260, 3},	//79 Solid::Device::Device(const Solid::Device&)
	{14, 312, 0, 0, Smoke::mf_dtor, 0, 21},	//80 Solid::Device::~Device()
	{14, 250, 46, 1, 0, 259, 4},	//81 Solid::Device::operator=(const Solid::Device&)
	{14, 227, 0, 0, Smoke::mf_const, 289, 5},	//82 Solid::Device::isValid() const
	{14, 299, 0, 0, Smoke::mf_const, 171, 6},	//83 Solid::Device::udi() const
	{14, 257, 0, 0, Smoke::mf_const, 171, 7},	//84 Solid::Device::parentUdi() const
	{14, 256, 0, 0, Smoke::mf_const, 258, 8},	//85 Solid::Device::parent() const
	{14, 303, 0, 0, Smoke::mf_const, 171, 9},	//86 Solid::Device::vendor() const
	{14, 262, 0, 0, Smoke::mf_const, 171, 10},	//87 Solid::Device::product() const
	{14, 212, 0, 0, Smoke::mf_const, 171, 11},	//88 Solid::Device::icon() const
	{14, 219, 48, 1, Smoke::mf_const, 289, 12},	//89 Solid::Device::isDeviceInterface(const Solid::DeviceInterface::Type&) const
	{14, 156, 48, 1, 0, 261, 13},	//90 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
	{14, 153, 0, 0, Smoke::mf_static, 139, 14},	//91 Solid::Device::allDevices()
	{14, 235, 50, 2, Smoke::mf_static, 139, 15},	//92 Solid::Device::listFromType(const Solid::DeviceInterface::Type&, const QString&)
	{14, 235, 48, 1, Smoke::mf_static, 139, 16},	//93 Solid::Device::listFromType(const Solid::DeviceInterface::Type&)
	{14, 230, 64, 2, Smoke::mf_static, 139, 17},	//94 Solid::Device::listFromQuery(const Solid::Predicate&, const QString&)
	{14, 230, 62, 1, Smoke::mf_static, 139, 18},	//95 Solid::Device::listFromQuery(const Solid::Predicate&)
	{14, 230, 34, 2, Smoke::mf_static, 139, 19},	//96 Solid::Device::listFromQuery(const QString&, const QString&)
	{14, 230, 32, 1, Smoke::mf_static, 139, 20},	//97 Solid::Device::listFromQuery(const QString&)
	{15, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 1},	//98 Solid::DeviceInterface::Unknown (enum)
	{15, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 2},	//99 Solid::DeviceInterface::GenericInterface (enum)
	{15, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 3},	//100 Solid::DeviceInterface::Processor (enum)
	{15, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 4},	//101 Solid::DeviceInterface::Block (enum)
	{15, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 5},	//102 Solid::DeviceInterface::StorageAccess (enum)
	{15, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 6},	//103 Solid::DeviceInterface::StorageDrive (enum)
	{15, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 7},	//104 Solid::DeviceInterface::OpticalDrive (enum)
	{15, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 8},	//105 Solid::DeviceInterface::StorageVolume (enum)
	{15, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 9},	//106 Solid::DeviceInterface::OpticalDisc (enum)
	{15, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 10},	//107 Solid::DeviceInterface::Camera (enum)
	{15, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 11},	//108 Solid::DeviceInterface::PortableMediaPlayer (enum)
	{15, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 12},	//109 Solid::DeviceInterface::NetworkInterface (enum)
	{15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 13},	//110 Solid::DeviceInterface::AcAdapter (enum)
	{15, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 14},	//111 Solid::DeviceInterface::Battery (enum)
	{15, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 15},	//112 Solid::DeviceInterface::Button (enum)
	{15, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 16},	//113 Solid::DeviceInterface::AudioInterface (enum)
	{15, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 17},	//114 Solid::DeviceInterface::DvbInterface (enum)
	{15, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 18},	//115 Solid::DeviceInterface::Video (enum)
	{15, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 19},	//116 Solid::DeviceInterface::Last (enum)
	{15, 242, 0, 0, Smoke::mf_const, 292, 20},	//117 Solid::DeviceInterface::metaObject() const
	{15, 269, 3, 3, 0, 300, 21},	//118 Solid::DeviceInterface::qt_metacall(QMetaObject::Call, int, void**)
	{15, 313, 0, 0, Smoke::mf_dtor, 0, 25},	//119 Solid::DeviceInterface::~DeviceInterface()
	{15, 227, 0, 0, Smoke::mf_const, 289, 22},	//120 Solid::DeviceInterface::isValid() const
	{15, 297, 17, 1, Smoke::mf_static, 171, 23},	//121 Solid::DeviceInterface::typeToString(Solid::DeviceInterface::Type)
	{15, 283, 32, 1, Smoke::mf_static, 262, 24},	//122 Solid::DeviceInterface::stringToType(const QString&)
	{16, 242, 0, 0, Smoke::mf_const, 292, 1},	//123 Solid::DeviceNotifier::metaObject() const
	{16, 269, 3, 3, 0, 300, 2},	//124 Solid::DeviceNotifier::qt_metacall(QMetaObject::Call, int, void**)
	{16, 35, 0, 0, Smoke::mf_ctor, 263, 3},	//125 Solid::DeviceNotifier::DeviceNotifier()
	{16, 314, 0, 0, Smoke::mf_dtor, 0, 7},	//126 Solid::DeviceNotifier::~DeviceNotifier()
	{16, 180, 32, 1, 0, 0, 4},	//127 Solid::DeviceNotifier::deviceAdded(const QString&)
	{16, 186, 32, 1, 0, 0, 5},	//128 Solid::DeviceNotifier::deviceRemoved(const QString&)
	{16, 214, 0, 0, Smoke::mf_static, 263, 6},	//129 Solid::DeviceNotifier::instance()
	{17, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 1},	//130 Solid::DvbInterface::DvbUnknown (enum)
	{17, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 2},	//131 Solid::DvbInterface::DvbAudio (enum)
	{17, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 3},	//132 Solid::DvbInterface::DvbCa (enum)
	{17, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 4},	//133 Solid::DvbInterface::DvbDemux (enum)
	{17, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 5},	//134 Solid::DvbInterface::DvbDvr (enum)
	{17, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 6},	//135 Solid::DvbInterface::DvbFrontend (enum)
	{17, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 7},	//136 Solid::DvbInterface::DvbNet (enum)
	{17, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 8},	//137 Solid::DvbInterface::DvbOsd (enum)
	{17, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 9},	//138 Solid::DvbInterface::DvbSec (enum)
	{17, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 10},	//139 Solid::DvbInterface::DvbVideo (enum)
	{17, 242, 0, 0, Smoke::mf_const, 292, 11},	//140 Solid::DvbInterface::metaObject() const
	{17, 269, 3, 3, 0, 300, 12},	//141 Solid::DvbInterface::qt_metacall(QMetaObject::Call, int, void**)
	{17, 178, 0, 0, Smoke::mf_const, 171, 13},	//142 Solid::DvbInterface::device() const
	{17, 179, 0, 0, Smoke::mf_const, 300, 14},	//143 Solid::DvbInterface::deviceAdapter() const
	{17, 188, 0, 0, Smoke::mf_const, 264, 15},	//144 Solid::DvbInterface::deviceType() const
	{17, 182, 0, 0, Smoke::mf_const, 300, 16},	//145 Solid::DvbInterface::deviceIndex() const
	{17, 183, 0, 0, Smoke::mf_static, 262, 17},	//146 Solid::DvbInterface::deviceInterfaceType()
	{18, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 1},	//147 Solid::GenericInterface::PropertyModified (enum)
	{18, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 2},	//148 Solid::GenericInterface::PropertyAdded (enum)
	{18, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 3},	//149 Solid::GenericInterface::PropertyRemoved (enum)
	{18, 242, 0, 0, Smoke::mf_const, 292, 4},	//150 Solid::GenericInterface::metaObject() const
	{18, 269, 3, 3, 0, 300, 5},	//151 Solid::GenericInterface::qt_metacall(QMetaObject::Call, int, void**)
	{18, 263, 32, 1, Smoke::mf_const, 217, 6},	//152 Solid::GenericInterface::property(const QString&) const
	{18, 154, 0, 0, Smoke::mf_const, 145, 7},	//153 Solid::GenericInterface::allProperties() const
	{18, 267, 32, 1, Smoke::mf_const, 289, 8},	//154 Solid::GenericInterface::propertyExists(const QString&) const
	{18, 183, 0, 0, Smoke::mf_static, 262, 9},	//155 Solid::GenericInterface::deviceInterfaceType()
	{19, 242, 0, 0, Smoke::mf_const, 292, 1},	//156 Solid::NetworkInterface::metaObject() const
	{19, 269, 3, 3, 0, 300, 2},	//157 Solid::NetworkInterface::qt_metacall(QMetaObject::Call, int, void**)
	{19, 213, 0, 0, Smoke::mf_const, 171, 3},	//158 Solid::NetworkInterface::ifaceName() const
	{19, 228, 0, 0, Smoke::mf_const, 289, 4},	//159 Solid::NetworkInterface::isWireless() const
	{19, 211, 0, 0, Smoke::mf_const, 171, 5},	//160 Solid::NetworkInterface::hwAddress() const
	{19, 238, 0, 0, Smoke::mf_const, 301, 6},	//161 Solid::NetworkInterface::macAddress() const
	{19, 183, 0, 0, Smoke::mf_static, 262, 7},	//162 Solid::NetworkInterface::deviceInterfaceType()
	{20, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 1},	//163 Solid::Networking::Unknown (enum)
	{20, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 2},	//164 Solid::Networking::Unconnected (enum)
	{20, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 3},	//165 Solid::Networking::Disconnecting (enum)
	{20, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 4},	//166 Solid::Networking::Connecting (enum)
	{20, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 5},	//167 Solid::Networking::Connected (enum)
	{20, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 6},	//168 Solid::Networking::Manual (enum)
	{20, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 7},	//169 Solid::Networking::OnNextStatusChange (enum)
	{20, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 8},	//170 Solid::Networking::Managed (enum)
	{20, 280, 0, 0, Smoke::mf_static, 269, 9},	//171 Solid::Networking::status()
	{20, 244, 0, 0, Smoke::mf_static, 268, 10},	//172 Solid::Networking::notifier()
	{22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 1},	//173 Solid::OpticalDisc::Audio (enum)
	{22, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 2},	//174 Solid::OpticalDisc::Data (enum)
	{22, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 3},	//175 Solid::OpticalDisc::VideoCd (enum)
	{22, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 4},	//176 Solid::OpticalDisc::SuperVideoCd (enum)
	{22, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 5},	//177 Solid::OpticalDisc::VideoDvd (enum)
	{22, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 6},	//178 Solid::OpticalDisc::UnknownDiscType (enum)
	{22, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 7},	//179 Solid::OpticalDisc::CdRom (enum)
	{22, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 8},	//180 Solid::OpticalDisc::CdRecordable (enum)
	{22, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 9},	//181 Solid::OpticalDisc::CdRewritable (enum)
	{22, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 10},	//182 Solid::OpticalDisc::DvdRom (enum)
	{22, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 11},	//183 Solid::OpticalDisc::DvdRam (enum)
	{22, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 12},	//184 Solid::OpticalDisc::DvdRecordable (enum)
	{22, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 13},	//185 Solid::OpticalDisc::DvdRewritable (enum)
	{22, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 14},	//186 Solid::OpticalDisc::DvdPlusRecordable (enum)
	{22, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 15},	//187 Solid::OpticalDisc::DvdPlusRewritable (enum)
	{22, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 16},	//188 Solid::OpticalDisc::DvdPlusRecordableDuallayer (enum)
	{22, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 17},	//189 Solid::OpticalDisc::DvdPlusRewritableDuallayer (enum)
	{22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 18},	//190 Solid::OpticalDisc::BluRayRom (enum)
	{22, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 19},	//191 Solid::OpticalDisc::BluRayRecordable (enum)
	{22, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 20},	//192 Solid::OpticalDisc::BluRayRewritable (enum)
	{22, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 21},	//193 Solid::OpticalDisc::HdDvdRom (enum)
	{22, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 22},	//194 Solid::OpticalDisc::HdDvdRecordable (enum)
	{22, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 23},	//195 Solid::OpticalDisc::HdDvdRewritable (enum)
	{22, 242, 0, 0, Smoke::mf_const, 292, 24},	//196 Solid::OpticalDisc::metaObject() const
	{22, 269, 3, 3, 0, 300, 25},	//197 Solid::OpticalDisc::qt_metacall(QMetaObject::Call, int, void**)
	{22, 158, 0, 0, Smoke::mf_const, 271, 26},	//198 Solid::OpticalDisc::availableContent() const
	{22, 189, 0, 0, Smoke::mf_const, 273, 27},	//199 Solid::OpticalDisc::discType() const
	{22, 217, 0, 0, Smoke::mf_const, 289, 28},	//200 Solid::OpticalDisc::isAppendable() const
	{22, 218, 0, 0, Smoke::mf_const, 289, 29},	//201 Solid::OpticalDisc::isBlank() const
	{22, 226, 0, 0, Smoke::mf_const, 289, 30},	//202 Solid::OpticalDisc::isRewritable() const
	{22, 163, 0, 0, Smoke::mf_const, 301, 31},	//203 Solid::OpticalDisc::capacity() const
	{22, 183, 0, 0, Smoke::mf_static, 262, 32},	//204 Solid::OpticalDisc::deviceInterfaceType()
	{23, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 1},	//205 Solid::OpticalDrive::Cdr (enum)
	{23, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 2},	//206 Solid::OpticalDrive::Cdrw (enum)
	{23, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 3},	//207 Solid::OpticalDrive::Dvd (enum)
	{23, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 4},	//208 Solid::OpticalDrive::Dvdr (enum)
	{23, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 5},	//209 Solid::OpticalDrive::Dvdrw (enum)
	{23, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 6},	//210 Solid::OpticalDrive::Dvdram (enum)
	{23, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 7},	//211 Solid::OpticalDrive::Dvdplusr (enum)
	{23, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 8},	//212 Solid::OpticalDrive::Dvdplusrw (enum)
	{23, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 9},	//213 Solid::OpticalDrive::Dvdplusdl (enum)
	{23, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 10},	//214 Solid::OpticalDrive::Dvdplusdlrw (enum)
	{23, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 11},	//215 Solid::OpticalDrive::Bd (enum)
	{23, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 12},	//216 Solid::OpticalDrive::Bdr (enum)
	{23, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 13},	//217 Solid::OpticalDrive::Bdre (enum)
	{23, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 14},	//218 Solid::OpticalDrive::HdDvd (enum)
	{23, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 15},	//219 Solid::OpticalDrive::HdDvdr (enum)
	{23, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 16},	//220 Solid::OpticalDrive::HdDvdrw (enum)
	{23, 242, 0, 0, Smoke::mf_const, 292, 17},	//221 Solid::OpticalDrive::metaObject() const
	{23, 269, 3, 3, 0, 300, 18},	//222 Solid::OpticalDrive::qt_metacall(QMetaObject::Call, int, void**)
	{23, 287, 0, 0, Smoke::mf_const, 275, 19},	//223 Solid::OpticalDrive::supportedMedia() const
	{23, 271, 0, 0, Smoke::mf_const, 300, 20},	//224 Solid::OpticalDrive::readSpeed() const
	{23, 304, 0, 0, Smoke::mf_const, 300, 21},	//225 Solid::OpticalDrive::writeSpeed() const
	{23, 305, 0, 0, Smoke::mf_const, 140, 22},	//226 Solid::OpticalDrive::writeSpeeds() const
	{23, 196, 0, 0, 0, 289, 23},	//227 Solid::OpticalDrive::eject()
	{23, 183, 0, 0, Smoke::mf_static, 262, 24},	//228 Solid::OpticalDrive::deviceInterfaceType()
	{24, 242, 0, 0, Smoke::mf_const, 292, 1},	//229 Solid::PortableMediaPlayer::metaObject() const
	{24, 269, 3, 3, 0, 300, 2},	//230 Solid::PortableMediaPlayer::qt_metacall(QMetaObject::Call, int, void**)
	{24, 288, 0, 0, Smoke::mf_const, 175, 3},	//231 Solid::PortableMediaPlayer::supportedProtocols() const
	{24, 285, 10, 1, Smoke::mf_const, 175, 4},	//232 Solid::PortableMediaPlayer::supportedDrivers(QString) const
	{24, 285, 0, 0, Smoke::mf_const, 175, 5},	//233 Solid::PortableMediaPlayer::supportedDrivers() const
	{24, 194, 32, 1, Smoke::mf_const, 217, 6},	//234 Solid::PortableMediaPlayer::driverHandle(const QString&) const
	{24, 183, 0, 0, Smoke::mf_static, 262, 7},	//235 Solid::PortableMediaPlayer::deviceInterfaceType()
	{25, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 1},	//236 Solid::PowerManagement::StandbyState (enum)
	{25, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 2},	//237 Solid::PowerManagement::SuspendState (enum)
	{25, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 3},	//238 Solid::PowerManagement::HibernateState (enum)
	{25, 155, 0, 0, Smoke::mf_static, 289, 4},	//239 Solid::PowerManagement::appShouldConserveResources()
	{25, 289, 0, 0, Smoke::mf_static, 166, 5},	//240 Solid::PowerManagement::supportedSleepStates()
	{25, 272, 23, 3, Smoke::mf_static, 0, 6},	//241 Solid::PowerManagement::requestSleep(Solid::PowerManagement::SleepState, QObject*, const char*)
	{25, 159, 32, 1, Smoke::mf_static, 300, 7},	//242 Solid::PowerManagement::beginSuppressingSleep(const QString&)
	{25, 159, 0, 0, Smoke::mf_static, 300, 8},	//243 Solid::PowerManagement::beginSuppressingSleep()
	{25, 281, 69, 1, Smoke::mf_static, 289, 9},	//244 Solid::PowerManagement::stopSuppressingSleep(int)
	{25, 244, 0, 0, Smoke::mf_static, 277, 10},	//245 Solid::PowerManagement::notifier()
	{27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 1},	//246 Solid::Predicate::Equals (enum)
	{27, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 2},	//247 Solid::Predicate::Mask (enum)
	{27, 112, 0, 0, Smoke::mf_ctor, 281, 3},	//248 Solid::Predicate::Predicate()
	{27, 112, 62, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 281, 4},	//249 Solid::Predicate::Predicate(const Solid::Predicate&)
	{27, 112, 57, 4, Smoke::mf_ctor, 281, 5},	//250 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
	{27, 112, 53, 3, Smoke::mf_ctor, 281, 6},	//251 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
	{27, 112, 41, 4, Smoke::mf_ctor, 281, 7},	//252 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
	{27, 112, 37, 3, Smoke::mf_ctor, 281, 8},	//253 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
	{27, 112, 48, 1, Smoke::mf_ctor, 281, 9},	//254 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
	{27, 112, 32, 1, Smoke::mf_ctor, 281, 10},	//255 Solid::Predicate::Predicate(const QString&)
	{27, 321, 0, 0, Smoke::mf_dtor, 0, 21},	//256 Solid::Predicate::~Predicate()
	{27, 250, 62, 1, 0, 280, 11},	//257 Solid::Predicate::operator=(const Solid::Predicate&)
	{27, 246, 62, 1, 0, 279, 12},	//258 Solid::Predicate::operator&(const Solid::Predicate&)
	{27, 248, 62, 1, 0, 280, 13},	//259 Solid::Predicate::operator&=(const Solid::Predicate&)
	{27, 252, 62, 1, 0, 279, 14},	//260 Solid::Predicate::operator|(const Solid::Predicate&)
	{27, 254, 62, 1, 0, 280, 15},	//261 Solid::Predicate::operator|=(const Solid::Predicate&)
	{27, 227, 0, 0, Smoke::mf_const, 289, 16},	//262 Solid::Predicate::isValid() const
	{27, 239, 46, 1, Smoke::mf_const, 289, 17},	//263 Solid::Predicate::matches(const Solid::Device&) const
	{27, 301, 0, 0, Smoke::mf_const, 165, 18},	//264 Solid::Predicate::usedTypes() const
	{27, 295, 0, 0, Smoke::mf_const, 171, 19},	//265 Solid::Predicate::toString() const
	{27, 207, 32, 1, Smoke::mf_static, 279, 20},	//266 Solid::Predicate::fromString(const QString&)
	{28, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 1},	//267 Solid::Processor::NoExtensions (enum)
	{28, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 2},	//268 Solid::Processor::IntelMmx (enum)
	{28, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 3},	//269 Solid::Processor::IntelSse (enum)
	{28, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 4},	//270 Solid::Processor::IntelSse2 (enum)
	{28, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 5},	//271 Solid::Processor::IntelSse3 (enum)
	{28, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 6},	//272 Solid::Processor::IntelSse4 (enum)
	{28, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 7},	//273 Solid::Processor::Amd3DNow (enum)
	{28, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 8},	//274 Solid::Processor::AltiVec (enum)
	{28, 242, 0, 0, Smoke::mf_const, 292, 9},	//275 Solid::Processor::metaObject() const
	{28, 269, 3, 3, 0, 300, 10},	//276 Solid::Processor::qt_metacall(QMetaObject::Call, int, void**)
	{28, 245, 0, 0, Smoke::mf_const, 300, 11},	//277 Solid::Processor::number() const
	{28, 241, 0, 0, Smoke::mf_const, 300, 12},	//278 Solid::Processor::maxSpeed() const
	{28, 162, 0, 0, Smoke::mf_const, 289, 13},	//279 Solid::Processor::canChangeFrequency() const
	{28, 215, 0, 0, Smoke::mf_const, 284, 14},	//280 Solid::Processor::instructionSets() const
	{28, 183, 0, 0, Smoke::mf_static, 262, 15},	//281 Solid::Processor::deviceInterfaceType()
	{29, 242, 0, 0, Smoke::mf_const, 292, 1},	//282 Solid::StorageAccess::metaObject() const
	{29, 269, 3, 3, 0, 300, 2},	//283 Solid::StorageAccess::qt_metacall(QMetaObject::Call, int, void**)
	{29, 323, 0, 0, Smoke::mf_dtor, 0, 11},	//284 Solid::StorageAccess::~StorageAccess()
	{29, 216, 0, 0, Smoke::mf_const, 289, 3},	//285 Solid::StorageAccess::isAccessible() const
	{29, 206, 0, 0, Smoke::mf_const, 171, 4},	//286 Solid::StorageAccess::filePath() const
	{29, 274, 0, 0, 0, 289, 5},	//287 Solid::StorageAccess::setup()
	{29, 290, 0, 0, 0, 289, 6},	//288 Solid::StorageAccess::teardown()
	{29, 151, 27, 2, 0, 0, 7},	//289 Solid::StorageAccess::accessibilityChanged(bool, const QString&)
	{29, 275, 19, 3, 0, 0, 8},	//290 Solid::StorageAccess::setupDone(Solid::ErrorType, QVariant, const QString&)
	{29, 291, 19, 3, 0, 0, 9},	//291 Solid::StorageAccess::teardownDone(Solid::ErrorType, QVariant, const QString&)
	{29, 183, 0, 0, Smoke::mf_static, 262, 10},	//292 Solid::StorageAccess::deviceInterfaceType()
	{30, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 1},	//293 Solid::StorageDrive::Ide (enum)
	{30, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 2},	//294 Solid::StorageDrive::Usb (enum)
	{30, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 3},	//295 Solid::StorageDrive::Ieee1394 (enum)
	{30, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 4},	//296 Solid::StorageDrive::Scsi (enum)
	{30, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 5},	//297 Solid::StorageDrive::Sata (enum)
	{30, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 6},	//298 Solid::StorageDrive::Platform (enum)
	{30, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 7},	//299 Solid::StorageDrive::HardDisk (enum)
	{30, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 8},	//300 Solid::StorageDrive::CdromDrive (enum)
	{30, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 9},	//301 Solid::StorageDrive::Floppy (enum)
	{30, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 10},	//302 Solid::StorageDrive::Tape (enum)
	{30, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 11},	//303 Solid::StorageDrive::CompactFlash (enum)
	{30, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 12},	//304 Solid::StorageDrive::MemoryStick (enum)
	{30, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 13},	//305 Solid::StorageDrive::SmartMedia (enum)
	{30, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 14},	//306 Solid::StorageDrive::SdMmc (enum)
	{30, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 15},	//307 Solid::StorageDrive::Xd (enum)
	{30, 242, 0, 0, Smoke::mf_const, 292, 16},	//308 Solid::StorageDrive::metaObject() const
	{30, 269, 3, 3, 0, 300, 17},	//309 Solid::StorageDrive::qt_metacall(QMetaObject::Call, int, void**)
	{30, 324, 0, 0, Smoke::mf_dtor, 0, 23},	//310 Solid::StorageDrive::~StorageDrive()
	{30, 161, 0, 0, Smoke::mf_const, 286, 18},	//311 Solid::StorageDrive::bus() const
	{30, 192, 0, 0, Smoke::mf_const, 287, 19},	//312 Solid::StorageDrive::driveType() const
	{30, 225, 0, 0, Smoke::mf_const, 289, 20},	//313 Solid::StorageDrive::isRemovable() const
	{30, 221, 0, 0, Smoke::mf_const, 289, 21},	//314 Solid::StorageDrive::isHotpluggable() const
	{30, 183, 0, 0, Smoke::mf_static, 262, 22},	//315 Solid::StorageDrive::deviceInterfaceType()
	{31, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 1},	//316 Solid::StorageVolume::Other (enum)
	{31, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 2},	//317 Solid::StorageVolume::Unused (enum)
	{31, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 3},	//318 Solid::StorageVolume::FileSystem (enum)
	{31, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 4},	//319 Solid::StorageVolume::PartitionTable (enum)
	{31, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 5},	//320 Solid::StorageVolume::Raid (enum)
	{31, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 6},	//321 Solid::StorageVolume::Encrypted (enum)
	{31, 242, 0, 0, Smoke::mf_const, 292, 7},	//322 Solid::StorageVolume::metaObject() const
	{31, 269, 3, 3, 0, 300, 8},	//323 Solid::StorageVolume::qt_metacall(QMetaObject::Call, int, void**)
	{31, 325, 0, 0, Smoke::mf_dtor, 0, 17},	//324 Solid::StorageVolume::~StorageVolume()
	{31, 222, 0, 0, Smoke::mf_const, 289, 9},	//325 Solid::StorageVolume::isIgnored() const
	{31, 300, 0, 0, Smoke::mf_const, 288, 10},	//326 Solid::StorageVolume::usage() const
	{31, 209, 0, 0, Smoke::mf_const, 171, 11},	//327 Solid::StorageVolume::fsType() const
	{31, 229, 0, 0, Smoke::mf_const, 171, 12},	//328 Solid::StorageVolume::label() const
	{31, 302, 0, 0, Smoke::mf_const, 171, 13},	//329 Solid::StorageVolume::uuid() const
	{31, 277, 0, 0, Smoke::mf_const, 301, 14},	//330 Solid::StorageVolume::size() const
	{31, 201, 0, 0, Smoke::mf_const, 258, 15},	//331 Solid::StorageVolume::encryptedContainer() const
	{31, 183, 0, 0, Smoke::mf_static, 262, 16},	//332 Solid::StorageVolume::deviceInterfaceType()
	{32, 242, 0, 0, Smoke::mf_const, 292, 1},	//333 Solid::Video::metaObject() const
	{32, 269, 3, 3, 0, 300, 2},	//334 Solid::Video::qt_metacall(QMetaObject::Call, int, void**)
	{32, 288, 0, 0, Smoke::mf_const, 175, 3},	//335 Solid::Video::supportedProtocols() const
	{32, 285, 10, 1, Smoke::mf_const, 175, 4},	//336 Solid::Video::supportedDrivers(QString) const
	{32, 285, 0, 0, Smoke::mf_const, 175, 5},	//337 Solid::Video::supportedDrivers() const
	{32, 194, 32, 1, Smoke::mf_const, 217, 6},	//338 Solid::Video::driverHandle(const QString&) const
	{32, 183, 0, 0, Smoke::mf_static, 262, 7},	//339 Solid::Video::deviceInterfaceType()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap solid_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{7, 100, 9},	//1 Solid::NoError
	{7, 135, 10},	//2 Solid::UnauthorizedOperation
	{8, 183, 14},	//3 Solid::AcAdapter::deviceInterfaceType
	{8, 223, 13},	//4 Solid::AcAdapter::isPlugged
	{8, 242, 11},	//5 Solid::AcAdapter::metaObject
	{8, 270, 12},	//6 Solid::AcAdapter::qt_metacall$$?
	{9, 2, 15},	//7 Solid::AudioInterface::Alsa
	{9, 6, 19},	//8 Solid::AudioInterface::AudioControl
	{9, 7, 20},	//9 Solid::AudioInterface::AudioInput
	{9, 9, 21},	//10 Solid::AudioInterface::AudioOutput
	{9, 68, 24},	//11 Solid::AudioInterface::FirewireSoundcard
	{9, 78, 25},	//12 Solid::AudioInterface::Headset
	{9, 87, 22},	//13 Solid::AudioInterface::InternalSoundcard
	{9, 96, 26},	//14 Solid::AudioInterface::Modem
	{9, 103, 16},	//15 Solid::AudioInterface::OpenSoundSystem
	{9, 138, 17},	//16 Solid::AudioInterface::UnknownAudioDriver
	{9, 139, 18},	//17 Solid::AudioInterface::UnknownAudioInterfaceType
	{9, 146, 23},	//18 Solid::AudioInterface::UsbSoundcard
	{9, 183, 34},	//19 Solid::AudioInterface::deviceInterfaceType
	{9, 188, 32},	//20 Solid::AudioInterface::deviceType
	{9, 193, 29},	//21 Solid::AudioInterface::driver
	{9, 194, 30},	//22 Solid::AudioInterface::driverHandle
	{9, 242, 27},	//23 Solid::AudioInterface::metaObject
	{9, 243, 31},	//24 Solid::AudioInterface::name
	{9, 270, 28},	//25 Solid::AudioInterface::qt_metacall$$?
	{9, 278, 33},	//26 Solid::AudioInterface::soundcardType
	{10, 20, 42},	//27 Solid::Battery::CameraBattery
	{10, 27, 44},	//28 Solid::Battery::Charging
	{10, 36, 45},	//29 Solid::Battery::Discharging
	{10, 88, 40},	//30 Solid::Battery::KeyboardBattery
	{10, 89, 41},	//31 Solid::Battery::KeyboardMouseBattery
	{10, 97, 39},	//32 Solid::Battery::MouseBattery
	{10, 99, 43},	//33 Solid::Battery::NoCharge
	{10, 108, 36},	//34 Solid::Battery::PdaBattery
	{10, 117, 38},	//35 Solid::Battery::PrimaryBattery
	{10, 140, 35},	//36 Solid::Battery::UnknownBattery
	{10, 144, 37},	//37 Solid::Battery::UpsBattery
	{10, 164, 50},	//38 Solid::Battery::chargePercent
	{10, 167, 52},	//39 Solid::Battery::chargeState
	{10, 183, 53},	//40 Solid::Battery::deviceInterfaceType
	{10, 223, 48},	//41 Solid::Battery::isPlugged
	{10, 224, 51},	//42 Solid::Battery::isRechargeable
	{10, 242, 46},	//43 Solid::Battery::metaObject
	{10, 270, 47},	//44 Solid::Battery::qt_metacall$$?
	{10, 296, 49},	//45 Solid::Battery::type
	{11, 178, 58},	//46 Solid::Block::device
	{11, 183, 59},	//47 Solid::Block::deviceInterfaceType
	{11, 184, 56},	//48 Solid::Block::deviceMajor
	{11, 185, 57},	//49 Solid::Block::deviceMinor
	{11, 242, 54},	//50 Solid::Block::metaObject
	{11, 270, 55},	//51 Solid::Block::qt_metacall$$?
	{12, 91, 60},	//52 Solid::Button::LidButton
	{12, 111, 61},	//53 Solid::Button::PowerButton
	{12, 126, 62},	//54 Solid::Button::SleepButton
	{12, 141, 63},	//55 Solid::Button::UnknownButtonType
	{12, 183, 69},	//56 Solid::Button::deviceInterfaceType
	{12, 210, 67},	//57 Solid::Button::hasState
	{12, 242, 64},	//58 Solid::Button::metaObject
	{12, 270, 65},	//59 Solid::Button::qt_metacall$$?
	{12, 279, 68},	//60 Solid::Button::stateValue
	{12, 296, 66},	//61 Solid::Button::type
	{13, 183, 76},	//62 Solid::Camera::deviceInterfaceType
	{13, 195, 75},	//63 Solid::Camera::driverHandle$
	{13, 242, 70},	//64 Solid::Camera::metaObject
	{13, 270, 71},	//65 Solid::Camera::qt_metacall$$?
	{13, 285, 74},	//66 Solid::Camera::supportedDrivers
	{13, 286, 73},	//67 Solid::Camera::supportedDrivers$
	{13, 288, 72},	//68 Solid::Camera::supportedProtocols
	{14, 32, 78},	//69 Solid::Device::Device
	{14, 33, 79},	//70 Solid::Device::Device#
	{14, 34, 77},	//71 Solid::Device::Device$
	{14, 153, 91},	//72 Solid::Device::allDevices
	{14, 157, 90},	//73 Solid::Device::asDeviceInterface$
	{14, 212, 88},	//74 Solid::Device::icon
	{14, 220, 89},	//75 Solid::Device::isDeviceInterface$
	{14, 227, 82},	//76 Solid::Device::isValid
	{14, 231, 95},	//77 Solid::Device::listFromQuery#
	{14, 232, 94},	//78 Solid::Device::listFromQuery#$
	{14, 233, 97},	//79 Solid::Device::listFromQuery$
	{14, 234, 96},	//80 Solid::Device::listFromQuery$$
	{14, 236, 93},	//81 Solid::Device::listFromType$
	{14, 237, 92},	//82 Solid::Device::listFromType$$
	{14, 251, 81},	//83 Solid::Device::operator=#
	{14, 256, 85},	//84 Solid::Device::parent
	{14, 257, 84},	//85 Solid::Device::parentUdi
	{14, 262, 87},	//86 Solid::Device::product
	{14, 299, 83},	//87 Solid::Device::udi
	{14, 303, 86},	//88 Solid::Device::vendor
	{14, 312, 80},	//89 Solid::Device::~Device
	{15, 1, 110},	//90 Solid::DeviceInterface::AcAdapter
	{15, 8, 113},	//91 Solid::DeviceInterface::AudioInterface
	{15, 10, 111},	//92 Solid::DeviceInterface::Battery
	{15, 14, 101},	//93 Solid::DeviceInterface::Block
	{15, 18, 112},	//94 Solid::DeviceInterface::Button
	{15, 19, 107},	//95 Solid::DeviceInterface::Camera
	{15, 43, 114},	//96 Solid::DeviceInterface::DvbInterface
	{15, 70, 99},	//97 Solid::DeviceInterface::GenericInterface
	{15, 90, 116},	//98 Solid::DeviceInterface::Last
	{15, 98, 109},	//99 Solid::DeviceInterface::NetworkInterface
	{15, 104, 106},	//100 Solid::DeviceInterface::OpticalDisc
	{15, 105, 104},	//101 Solid::DeviceInterface::OpticalDrive
	{15, 110, 108},	//102 Solid::DeviceInterface::PortableMediaPlayer
	{15, 118, 100},	//103 Solid::DeviceInterface::Processor
	{15, 129, 102},	//104 Solid::DeviceInterface::StorageAccess
	{15, 130, 103},	//105 Solid::DeviceInterface::StorageDrive
	{15, 131, 105},	//106 Solid::DeviceInterface::StorageVolume
	{15, 137, 98},	//107 Solid::DeviceInterface::Unknown
	{15, 147, 115},	//108 Solid::DeviceInterface::Video
	{15, 227, 120},	//109 Solid::DeviceInterface::isValid
	{15, 242, 117},	//110 Solid::DeviceInterface::metaObject
	{15, 270, 118},	//111 Solid::DeviceInterface::qt_metacall$$?
	{15, 284, 122},	//112 Solid::DeviceInterface::stringToType$
	{15, 298, 121},	//113 Solid::DeviceInterface::typeToString$
	{15, 313, 119},	//114 Solid::DeviceInterface::~DeviceInterface
	{16, 35, 125},	//115 Solid::DeviceNotifier::DeviceNotifier
	{16, 181, 127},	//116 Solid::DeviceNotifier::deviceAdded$
	{16, 187, 128},	//117 Solid::DeviceNotifier::deviceRemoved$
	{16, 214, 129},	//118 Solid::DeviceNotifier::instance
	{16, 242, 123},	//119 Solid::DeviceNotifier::metaObject
	{16, 270, 124},	//120 Solid::DeviceNotifier::qt_metacall$$?
	{16, 314, 126},	//121 Solid::DeviceNotifier::~DeviceNotifier
	{17, 38, 131},	//122 Solid::DvbInterface::DvbAudio
	{17, 39, 132},	//123 Solid::DvbInterface::DvbCa
	{17, 40, 133},	//124 Solid::DvbInterface::DvbDemux
	{17, 41, 134},	//125 Solid::DvbInterface::DvbDvr
	{17, 42, 135},	//126 Solid::DvbInterface::DvbFrontend
	{17, 44, 136},	//127 Solid::DvbInterface::DvbNet
	{17, 45, 137},	//128 Solid::DvbInterface::DvbOsd
	{17, 46, 138},	//129 Solid::DvbInterface::DvbSec
	{17, 47, 130},	//130 Solid::DvbInterface::DvbUnknown
	{17, 48, 139},	//131 Solid::DvbInterface::DvbVideo
	{17, 178, 142},	//132 Solid::DvbInterface::device
	{17, 179, 143},	//133 Solid::DvbInterface::deviceAdapter
	{17, 182, 145},	//134 Solid::DvbInterface::deviceIndex
	{17, 183, 146},	//135 Solid::DvbInterface::deviceInterfaceType
	{17, 188, 144},	//136 Solid::DvbInterface::deviceType
	{17, 242, 140},	//137 Solid::DvbInterface::metaObject
	{17, 270, 141},	//138 Solid::DvbInterface::qt_metacall$$?
	{18, 119, 148},	//139 Solid::GenericInterface::PropertyAdded
	{18, 120, 147},	//140 Solid::GenericInterface::PropertyModified
	{18, 121, 149},	//141 Solid::GenericInterface::PropertyRemoved
	{18, 154, 153},	//142 Solid::GenericInterface::allProperties
	{18, 183, 155},	//143 Solid::GenericInterface::deviceInterfaceType
	{18, 242, 150},	//144 Solid::GenericInterface::metaObject
	{18, 264, 152},	//145 Solid::GenericInterface::property$
	{18, 268, 154},	//146 Solid::GenericInterface::propertyExists$
	{18, 270, 151},	//147 Solid::GenericInterface::qt_metacall$$?
	{19, 183, 162},	//148 Solid::NetworkInterface::deviceInterfaceType
	{19, 211, 160},	//149 Solid::NetworkInterface::hwAddress
	{19, 213, 158},	//150 Solid::NetworkInterface::ifaceName
	{19, 228, 159},	//151 Solid::NetworkInterface::isWireless
	{19, 238, 161},	//152 Solid::NetworkInterface::macAddress
	{19, 242, 156},	//153 Solid::NetworkInterface::metaObject
	{19, 270, 157},	//154 Solid::NetworkInterface::qt_metacall$$?
	{20, 29, 167},	//155 Solid::Networking::Connected
	{20, 30, 166},	//156 Solid::Networking::Connecting
	{20, 37, 165},	//157 Solid::Networking::Disconnecting
	{20, 92, 170},	//158 Solid::Networking::Managed
	{20, 93, 168},	//159 Solid::Networking::Manual
	{20, 102, 169},	//160 Solid::Networking::OnNextStatusChange
	{20, 136, 164},	//161 Solid::Networking::Unconnected
	{20, 137, 163},	//162 Solid::Networking::Unknown
	{20, 244, 172},	//163 Solid::Networking::notifier
	{20, 280, 171},	//164 Solid::Networking::status
	{22, 5, 173},	//165 Solid::OpticalDisc::Audio
	{22, 15, 191},	//166 Solid::OpticalDisc::BluRayRecordable
	{22, 16, 192},	//167 Solid::OpticalDisc::BluRayRewritable
	{22, 17, 190},	//168 Solid::OpticalDisc::BluRayRom
	{22, 21, 180},	//169 Solid::OpticalDisc::CdRecordable
	{22, 22, 181},	//170 Solid::OpticalDisc::CdRewritable
	{22, 23, 179},	//171 Solid::OpticalDisc::CdRom
	{22, 31, 174},	//172 Solid::OpticalDisc::Data
	{22, 50, 186},	//173 Solid::OpticalDisc::DvdPlusRecordable
	{22, 51, 188},	//174 Solid::OpticalDisc::DvdPlusRecordableDuallayer
	{22, 52, 187},	//175 Solid::OpticalDisc::DvdPlusRewritable
	{22, 53, 189},	//176 Solid::OpticalDisc::DvdPlusRewritableDuallayer
	{22, 54, 183},	//177 Solid::OpticalDisc::DvdRam
	{22, 55, 184},	//178 Solid::OpticalDisc::DvdRecordable
	{22, 56, 185},	//179 Solid::OpticalDisc::DvdRewritable
	{22, 57, 182},	//180 Solid::OpticalDisc::DvdRom
	{22, 73, 194},	//181 Solid::OpticalDisc::HdDvdRecordable
	{22, 74, 195},	//182 Solid::OpticalDisc::HdDvdRewritable
	{22, 75, 193},	//183 Solid::OpticalDisc::HdDvdRom
	{22, 132, 176},	//184 Solid::OpticalDisc::SuperVideoCd
	{22, 142, 178},	//185 Solid::OpticalDisc::UnknownDiscType
	{22, 148, 175},	//186 Solid::OpticalDisc::VideoCd
	{22, 149, 177},	//187 Solid::OpticalDisc::VideoDvd
	{22, 158, 198},	//188 Solid::OpticalDisc::availableContent
	{22, 163, 203},	//189 Solid::OpticalDisc::capacity
	{22, 183, 204},	//190 Solid::OpticalDisc::deviceInterfaceType
	{22, 189, 199},	//191 Solid::OpticalDisc::discType
	{22, 217, 200},	//192 Solid::OpticalDisc::isAppendable
	{22, 218, 201},	//193 Solid::OpticalDisc::isBlank
	{22, 226, 202},	//194 Solid::OpticalDisc::isRewritable
	{22, 242, 196},	//195 Solid::OpticalDisc::metaObject
	{22, 270, 197},	//196 Solid::OpticalDisc::qt_metacall$$?
	{23, 11, 215},	//197 Solid::OpticalDrive::Bd
	{23, 12, 216},	//198 Solid::OpticalDrive::Bdr
	{23, 13, 217},	//199 Solid::OpticalDrive::Bdre
	{23, 24, 205},	//200 Solid::OpticalDrive::Cdr
	{23, 26, 206},	//201 Solid::OpticalDrive::Cdrw
	{23, 49, 207},	//202 Solid::OpticalDrive::Dvd
	{23, 58, 213},	//203 Solid::OpticalDrive::Dvdplusdl
	{23, 59, 214},	//204 Solid::OpticalDrive::Dvdplusdlrw
	{23, 60, 211},	//205 Solid::OpticalDrive::Dvdplusr
	{23, 61, 212},	//206 Solid::OpticalDrive::Dvdplusrw
	{23, 62, 208},	//207 Solid::OpticalDrive::Dvdr
	{23, 63, 210},	//208 Solid::OpticalDrive::Dvdram
	{23, 64, 209},	//209 Solid::OpticalDrive::Dvdrw
	{23, 72, 218},	//210 Solid::OpticalDrive::HdDvd
	{23, 76, 219},	//211 Solid::OpticalDrive::HdDvdr
	{23, 77, 220},	//212 Solid::OpticalDrive::HdDvdrw
	{23, 183, 228},	//213 Solid::OpticalDrive::deviceInterfaceType
	{23, 196, 227},	//214 Solid::OpticalDrive::eject
	{23, 242, 221},	//215 Solid::OpticalDrive::metaObject
	{23, 270, 222},	//216 Solid::OpticalDrive::qt_metacall$$?
	{23, 271, 224},	//217 Solid::OpticalDrive::readSpeed
	{23, 287, 223},	//218 Solid::OpticalDrive::supportedMedia
	{23, 304, 225},	//219 Solid::OpticalDrive::writeSpeed
	{23, 305, 226},	//220 Solid::OpticalDrive::writeSpeeds
	{24, 183, 235},	//221 Solid::PortableMediaPlayer::deviceInterfaceType
	{24, 195, 234},	//222 Solid::PortableMediaPlayer::driverHandle$
	{24, 242, 229},	//223 Solid::PortableMediaPlayer::metaObject
	{24, 270, 230},	//224 Solid::PortableMediaPlayer::qt_metacall$$?
	{24, 285, 233},	//225 Solid::PortableMediaPlayer::supportedDrivers
	{24, 286, 232},	//226 Solid::PortableMediaPlayer::supportedDrivers$
	{24, 288, 231},	//227 Solid::PortableMediaPlayer::supportedProtocols
	{25, 79, 238},	//228 Solid::PowerManagement::HibernateState
	{25, 128, 236},	//229 Solid::PowerManagement::StandbyState
	{25, 133, 237},	//230 Solid::PowerManagement::SuspendState
	{25, 155, 239},	//231 Solid::PowerManagement::appShouldConserveResources
	{25, 159, 243},	//232 Solid::PowerManagement::beginSuppressingSleep
	{25, 160, 242},	//233 Solid::PowerManagement::beginSuppressingSleep$
	{25, 244, 245},	//234 Solid::PowerManagement::notifier
	{25, 273, 241},	//235 Solid::PowerManagement::requestSleep$#$
	{25, 282, 244},	//236 Solid::PowerManagement::stopSuppressingSleep$
	{25, 289, 240},	//237 Solid::PowerManagement::supportedSleepStates
	{27, 66, 246},	//238 Solid::Predicate::Equals
	{27, 94, 247},	//239 Solid::Predicate::Mask
	{27, 112, 248},	//240 Solid::Predicate::Predicate
	{27, 113, 249},	//241 Solid::Predicate::Predicate#
	{27, 114, -1},	//242 Solid::Predicate::Predicate$
	{27, 115, -4},	//243 Solid::Predicate::Predicate$$#
	{27, 116, -7},	//244 Solid::Predicate::Predicate$$#$
	{27, 208, 266},	//245 Solid::Predicate::fromString$
	{27, 227, 262},	//246 Solid::Predicate::isValid
	{27, 240, 263},	//247 Solid::Predicate::matches#
	{27, 247, 258},	//248 Solid::Predicate::operator&#
	{27, 249, 259},	//249 Solid::Predicate::operator&=#
	{27, 251, 257},	//250 Solid::Predicate::operator=#
	{27, 253, 260},	//251 Solid::Predicate::operator|#
	{27, 255, 261},	//252 Solid::Predicate::operator|=#
	{27, 295, 265},	//253 Solid::Predicate::toString
	{27, 301, 264},	//254 Solid::Predicate::usedTypes
	{27, 321, 256},	//255 Solid::Predicate::~Predicate
	{28, 3, 274},	//256 Solid::Processor::AltiVec
	{28, 4, 273},	//257 Solid::Processor::Amd3DNow
	{28, 82, 268},	//258 Solid::Processor::IntelMmx
	{28, 83, 269},	//259 Solid::Processor::IntelSse
	{28, 84, 270},	//260 Solid::Processor::IntelSse2
	{28, 85, 271},	//261 Solid::Processor::IntelSse3
	{28, 86, 272},	//262 Solid::Processor::IntelSse4
	{28, 101, 267},	//263 Solid::Processor::NoExtensions
	{28, 162, 279},	//264 Solid::Processor::canChangeFrequency
	{28, 183, 281},	//265 Solid::Processor::deviceInterfaceType
	{28, 215, 280},	//266 Solid::Processor::instructionSets
	{28, 241, 278},	//267 Solid::Processor::maxSpeed
	{28, 242, 275},	//268 Solid::Processor::metaObject
	{28, 245, 277},	//269 Solid::Processor::number
	{28, 270, 276},	//270 Solid::Processor::qt_metacall$$?
	{29, 152, 289},	//271 Solid::StorageAccess::accessibilityChanged$$
	{29, 183, 292},	//272 Solid::StorageAccess::deviceInterfaceType
	{29, 206, 286},	//273 Solid::StorageAccess::filePath
	{29, 216, 285},	//274 Solid::StorageAccess::isAccessible
	{29, 242, 282},	//275 Solid::StorageAccess::metaObject
	{29, 270, 283},	//276 Solid::StorageAccess::qt_metacall$$?
	{29, 274, 287},	//277 Solid::StorageAccess::setup
	{29, 276, 290},	//278 Solid::StorageAccess::setupDone$#$
	{29, 290, 288},	//279 Solid::StorageAccess::teardown
	{29, 292, 291},	//280 Solid::StorageAccess::teardownDone$#$
	{29, 323, 284},	//281 Solid::StorageAccess::~StorageAccess
	{30, 25, 300},	//282 Solid::StorageDrive::CdromDrive
	{30, 28, 303},	//283 Solid::StorageDrive::CompactFlash
	{30, 69, 301},	//284 Solid::StorageDrive::Floppy
	{30, 71, 299},	//285 Solid::StorageDrive::HardDisk
	{30, 80, 293},	//286 Solid::StorageDrive::Ide
	{30, 81, 295},	//287 Solid::StorageDrive::Ieee1394
	{30, 95, 304},	//288 Solid::StorageDrive::MemoryStick
	{30, 109, 298},	//289 Solid::StorageDrive::Platform
	{30, 123, 297},	//290 Solid::StorageDrive::Sata
	{30, 124, 296},	//291 Solid::StorageDrive::Scsi
	{30, 125, 306},	//292 Solid::StorageDrive::SdMmc
	{30, 127, 305},	//293 Solid::StorageDrive::SmartMedia
	{30, 134, 302},	//294 Solid::StorageDrive::Tape
	{30, 145, 294},	//295 Solid::StorageDrive::Usb
	{30, 150, 307},	//296 Solid::StorageDrive::Xd
	{30, 161, 311},	//297 Solid::StorageDrive::bus
	{30, 183, 315},	//298 Solid::StorageDrive::deviceInterfaceType
	{30, 192, 312},	//299 Solid::StorageDrive::driveType
	{30, 221, 314},	//300 Solid::StorageDrive::isHotpluggable
	{30, 225, 313},	//301 Solid::StorageDrive::isRemovable
	{30, 242, 308},	//302 Solid::StorageDrive::metaObject
	{30, 270, 309},	//303 Solid::StorageDrive::qt_metacall$$?
	{30, 324, 310},	//304 Solid::StorageDrive::~StorageDrive
	{31, 65, 321},	//305 Solid::StorageVolume::Encrypted
	{31, 67, 318},	//306 Solid::StorageVolume::FileSystem
	{31, 106, 316},	//307 Solid::StorageVolume::Other
	{31, 107, 319},	//308 Solid::StorageVolume::PartitionTable
	{31, 122, 320},	//309 Solid::StorageVolume::Raid
	{31, 143, 317},	//310 Solid::StorageVolume::Unused
	{31, 183, 332},	//311 Solid::StorageVolume::deviceInterfaceType
	{31, 201, 331},	//312 Solid::StorageVolume::encryptedContainer
	{31, 209, 327},	//313 Solid::StorageVolume::fsType
	{31, 222, 325},	//314 Solid::StorageVolume::isIgnored
	{31, 229, 328},	//315 Solid::StorageVolume::label
	{31, 242, 322},	//316 Solid::StorageVolume::metaObject
	{31, 270, 323},	//317 Solid::StorageVolume::qt_metacall$$?
	{31, 277, 330},	//318 Solid::StorageVolume::size
	{31, 300, 326},	//319 Solid::StorageVolume::usage
	{31, 302, 329},	//320 Solid::StorageVolume::uuid
	{31, 325, 324},	//321 Solid::StorageVolume::~StorageVolume
	{32, 183, 339},	//322 Solid::Video::deviceInterfaceType
	{32, 195, 338},	//323 Solid::Video::driverHandle$
	{32, 242, 333},	//324 Solid::Video::metaObject
	{32, 270, 334},	//325 Solid::Video::qt_metacall$$?
	{32, 285, 337},	//326 Solid::Video::supportedDrivers
	{32, 286, 336},	//327 Solid::Video::supportedDrivers$
	{32, 288, 335},	//328 Solid::Video::supportedProtocols
};

static Smoke::Index solid_ambiguousMethodList[] = {
    0,
    255,  // Solid::Predicate::Predicate(const QString&)
    254,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    0,
    253,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    251,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    0,
    250,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    252,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    0,
};


void init_qt_Smoke();

static bool initialized = false;
Smoke *solid_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_solid_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    solid_Smoke = new Smoke(
        "solid",
        solid_classes, 33,
        solid_methods, 340,
        solid_methodMaps, 329,
        solid_methodNames, 326,
        solid_types, 303,
        solid_inheritanceList,
        solid_argumentList,
        solid_ambiguousMethodList,
        solid_cast );
    initialized = true;
}
