#include <qabstractitemmodel.h>
#include <qaction.h>
#include <qbrush.h>
#include <qchar.h>
#include <qcoreevent.h>
#include <qdom.h>
#include <qevent.h>
#include <qfont.h>
#include <qimage.h>
#include <qline.h>
#include <qmenu.h>
#include <qmimedata.h>
#include <qnamespace.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qrect.h>
#include <qsize.h>
#include <qstyle.h>
#include <qtextformat.h>
#include <qvariant.h>
#include <qwidget.h>
#include <kaboutdata.h>
#include <kaction.h>
#include <kactioncollection.h>
#include <kcompletion.h>
#include <kcomponentdata.h>
#include <kconfig.h>
#include <kconfiggroup.h>
#include <kicon.h>
#include <kparts/event.h>
#include <kparts/factory.h>
#include <kparts/part.h>
#include <kparts/partmanager.h>
#include <kparts/plugin.h>
#include <kpluginfactory.h>
#include <ktexteditor/annotationinterface.h>
#include <ktexteditor/attribute.h>
#include <ktexteditor/codecompletioninterface.h>
#include <ktexteditor/codecompletionmodel.h>
#include <ktexteditor/commandinterface.h>
#include <ktexteditor/configinterface.h>
#include <ktexteditor/configpage.h>
#include <ktexteditor/containerinterface.h>
#include <ktexteditor/cursor.h>
#include <ktexteditor/cursorfeedback.h>
#include <ktexteditor/document.h>
#include <ktexteditor/editor.h>
#include <ktexteditor/editorchooser.h>
#include <ktexteditor/factory.h>
#include <ktexteditor/markinterface.h>
#include <ktexteditor/modificationinterface.h>
#include <ktexteditor/plugin.h>
#include <ktexteditor/range.h>
#include <ktexteditor/rangefeedback.h>
#include <ktexteditor/searchinterface.h>
#include <ktexteditor/sessionconfiginterface.h>
#include <ktexteditor/smartcursor.h>
#include <ktexteditor/smartinterface.h>
#include <ktexteditor/smartrange.h>
#include <ktexteditor/templateinterface.h>
#include <ktexteditor/texthintinterface.h>
#include <ktexteditor/variableinterface.h>
#include <ktexteditor/view.h>
#include <kurl.h>
#include <kxmlguiclient.h>

#include <smoke.h>

#include <ktexteditor_smoke.h>

static void *ktexteditor_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//KAboutData
	switch(to) {
	    case 1: return (void*)(KAboutData*)(KAboutData*)xptr;
	  default: return xptr;
	}
      case 2:	//KAction
	switch(to) {
	    case 61: return (void*)(QAction*)(KAction*)xptr;
	    case 89: return (void*)(QObject*)(KAction*)xptr;
	    case 2: return (void*)(KAction*)(KAction*)xptr;
	  default: return xptr;
	}
      case 3:	//KActionCollection
	switch(to) {
	    case 89: return (void*)(QObject*)(KActionCollection*)xptr;
	    case 3: return (void*)(KActionCollection*)(KActionCollection*)xptr;
	  default: return xptr;
	}
      case 4:	//KCompletion
	switch(to) {
	    case 89: return (void*)(QObject*)(KCompletion*)xptr;
	    case 4: return (void*)(KCompletion*)(KCompletion*)xptr;
	  default: return xptr;
	}
      case 5:	//KComponentData
	switch(to) {
	    case 5: return (void*)(KComponentData*)(KComponentData*)xptr;
	  default: return xptr;
	}
      case 6:	//KConfig
	switch(to) {
	    case 6: return (void*)(KConfig*)(KConfig*)xptr;
	  default: return xptr;
	}
      case 7:	//KConfigGroup
	switch(to) {
	    case 7: return (void*)(KConfigGroup*)(KConfigGroup*)xptr;
	  default: return xptr;
	}
      case 8:	//KIcon
	switch(to) {
	    case 8: return (void*)(KIcon*)(KIcon*)xptr;
	  default: return xptr;
	}
      case 10:	//KParts::Factory
	switch(to) {
	    case 19: return (void*)(KPluginFactory*)(KParts::Factory*)xptr;
	    case 10: return (void*)(KParts::Factory*)(KParts::Factory*)xptr;
	    case 38: return (void*)(KTextEditor::Factory*)(KParts::Factory*)xptr;
	  default: return xptr;
	}
      case 11:	//KParts::GUIActivateEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(KParts::GUIActivateEvent*)xptr;
	    case 11: return (void*)(KParts::GUIActivateEvent*)(KParts::GUIActivateEvent*)xptr;
	  default: return xptr;
	}
      case 12:	//KParts::Part
	switch(to) {
	    case 14: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
	    case 59: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
	    case 89: return (void*)(QObject*)(KParts::Part*)xptr;
	    case 12: return (void*)(KParts::Part*)(KParts::Part*)xptr;
	    case 17: return (void*)(KParts::ReadOnlyPart*)(KParts::Part*)xptr;
	    case 18: return (void*)(KParts::ReadWritePart*)(KParts::Part*)xptr;
	    case 35: return (void*)(KTextEditor::Document*)(KParts::Part*)xptr;
	  default: return xptr;
	}
      case 13:	//KParts::PartActivateEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(KParts::PartActivateEvent*)xptr;
	    case 13: return (void*)(KParts::PartActivateEvent*)(KParts::PartActivateEvent*)xptr;
	  default: return xptr;
	}
      case 14:	//KParts::PartBase
	switch(to) {
	    case 59: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
	    case 14: return (void*)(KParts::PartBase*)(KParts::PartBase*)xptr;
	    case 12: return (void*)(KParts::Part*)(KParts::PartBase*)xptr;
	    case 17: return (void*)(KParts::ReadOnlyPart*)(KParts::PartBase*)xptr;
	    case 18: return (void*)(KParts::ReadWritePart*)(KParts::PartBase*)xptr;
	    case 35: return (void*)(KTextEditor::Document*)(KParts::PartBase*)xptr;
	  default: return xptr;
	}
      case 15:	//KParts::PartManager
	switch(to) {
	    case 89: return (void*)(QObject*)(KParts::PartManager*)xptr;
	    case 15: return (void*)(KParts::PartManager*)(KParts::PartManager*)xptr;
	  default: return xptr;
	}
      case 16:	//KParts::PartSelectEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(KParts::PartSelectEvent*)xptr;
	    case 16: return (void*)(KParts::PartSelectEvent*)(KParts::PartSelectEvent*)xptr;
	  default: return xptr;
	}
      case 17:	//KParts::ReadOnlyPart
	switch(to) {
	    case 12: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
	    case 14: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
	    case 59: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
	    case 89: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
	    case 17: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadOnlyPart*)xptr;
	    case 18: return (void*)(KParts::ReadWritePart*)(KParts::ReadOnlyPart*)xptr;
	    case 35: return (void*)(KTextEditor::Document*)(KParts::ReadOnlyPart*)xptr;
	  default: return xptr;
	}
      case 18:	//KParts::ReadWritePart
	switch(to) {
	    case 17: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadWritePart*)xptr;
	    case 12: return (void*)(KParts::Part*)(KParts::ReadWritePart*)xptr;
	    case 14: return (void*)(KParts::PartBase*)(KParts::ReadWritePart*)xptr;
	    case 59: return (void*)(KXMLGUIClient*)(KParts::ReadWritePart*)xptr;
	    case 89: return (void*)(QObject*)(KParts::ReadWritePart*)xptr;
	    case 18: return (void*)(KParts::ReadWritePart*)(KParts::ReadWritePart*)xptr;
	    case 35: return (void*)(KTextEditor::Document*)(KParts::ReadWritePart*)xptr;
	  default: return xptr;
	}
      case 19:	//KPluginFactory
	switch(to) {
	    case 89: return (void*)(QObject*)(KPluginFactory*)xptr;
	    case 19: return (void*)(KPluginFactory*)(KPluginFactory*)xptr;
	    case 10: return (void*)(KParts::Factory*)(KPluginFactory*)xptr;
	    case 38: return (void*)(KTextEditor::Factory*)(KPluginFactory*)xptr;
	  default: return xptr;
	}
      case 21:	//KTextEditor::AnnotationInterface
	switch(to) {
	    case 21: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationInterface*)xptr;
	    case 23: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationInterface*)xptr;
	  default: return xptr;
	}
      case 22:	//KTextEditor::AnnotationModel
	switch(to) {
	    case 89: return (void*)(QObject*)(KTextEditor::AnnotationModel*)xptr;
	    case 22: return (void*)(KTextEditor::AnnotationModel*)(KTextEditor::AnnotationModel*)xptr;
	  default: return xptr;
	}
      case 23:	//KTextEditor::AnnotationViewInterface
	switch(to) {
	    case 21: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
	    case 23: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
	  default: return xptr;
	}
      case 24:	//KTextEditor::Attribute
	switch(to) {
	    case 106: return (void*)(QTextCharFormat*)(KTextEditor::Attribute*)xptr;
	    case 107: return (void*)(QTextFormat*)(KTextEditor::Attribute*)xptr;
	    case 24: return (void*)(KTextEditor::Attribute*)(KTextEditor::Attribute*)xptr;
	  default: return xptr;
	}
      case 25:	//KTextEditor::CodeCompletionInterface
	switch(to) {
	    case 25: return (void*)(KTextEditor::CodeCompletionInterface*)(KTextEditor::CodeCompletionInterface*)xptr;
	  default: return xptr;
	}
      case 26:	//KTextEditor::CodeCompletionModel
	switch(to) {
	    case 60: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel*)xptr;
	    case 89: return (void*)(QObject*)(KTextEditor::CodeCompletionModel*)xptr;
	    case 26: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel*)xptr;
	    case 27: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel*)xptr;
	  default: return xptr;
	}
      case 27:	//KTextEditor::CodeCompletionModel2
	switch(to) {
	    case 26: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel2*)xptr;
	    case 60: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel2*)xptr;
	    case 89: return (void*)(QObject*)(KTextEditor::CodeCompletionModel2*)xptr;
	    case 27: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel2*)xptr;
	  default: return xptr;
	}
      case 28:	//KTextEditor::Command
	switch(to) {
	    case 28: return (void*)(KTextEditor::Command*)(KTextEditor::Command*)xptr;
	  default: return xptr;
	}
      case 29:	//KTextEditor::CommandExtension
	switch(to) {
	    case 29: return (void*)(KTextEditor::CommandExtension*)(KTextEditor::CommandExtension*)xptr;
	  default: return xptr;
	}
      case 30:	//KTextEditor::CommandInterface
	switch(to) {
	    case 30: return (void*)(KTextEditor::CommandInterface*)(KTextEditor::CommandInterface*)xptr;
	  default: return xptr;
	}
      case 31:	//KTextEditor::ConfigInterface
	switch(to) {
	    case 31: return (void*)(KTextEditor::ConfigInterface*)(KTextEditor::ConfigInterface*)xptr;
	  default: return xptr;
	}
      case 32:	//KTextEditor::ConfigPage
	switch(to) {
	    case 111: return (void*)(QWidget*)(KTextEditor::ConfigPage*)xptr;
	    case 89: return (void*)(QObject*)(KTextEditor::ConfigPage*)xptr;
	    case 90: return (void*)(QPaintDevice*)(KTextEditor::ConfigPage*)xptr;
	    case 32: return (void*)(KTextEditor::ConfigPage*)(KTextEditor::ConfigPage*)xptr;
	  default: return xptr;
	}
      case 33:	//KTextEditor::ContainerInterface
	switch(to) {
	    case 33: return (void*)(KTextEditor::ContainerInterface*)(KTextEditor::ContainerInterface*)xptr;
	  default: return xptr;
	}
      case 34:	//KTextEditor::Cursor
	switch(to) {
	    case 34: return (void*)(KTextEditor::Cursor*)(KTextEditor::Cursor*)xptr;
	    case 47: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::Cursor*)xptr;
	  default: return xptr;
	}
      case 35:	//KTextEditor::Document
	switch(to) {
	    case 18: return (void*)(KParts::ReadWritePart*)(KTextEditor::Document*)xptr;
	    case 17: return (void*)(KParts::ReadOnlyPart*)(KTextEditor::Document*)xptr;
	    case 12: return (void*)(KParts::Part*)(KTextEditor::Document*)xptr;
	    case 14: return (void*)(KParts::PartBase*)(KTextEditor::Document*)xptr;
	    case 59: return (void*)(KXMLGUIClient*)(KTextEditor::Document*)xptr;
	    case 89: return (void*)(QObject*)(KTextEditor::Document*)xptr;
	    case 35: return (void*)(KTextEditor::Document*)(KTextEditor::Document*)xptr;
	  default: return xptr;
	}
      case 36:	//KTextEditor::Editor
	switch(to) {
	    case 89: return (void*)(QObject*)(KTextEditor::Editor*)xptr;
	    case 36: return (void*)(KTextEditor::Editor*)(KTextEditor::Editor*)xptr;
	  default: return xptr;
	}
      case 37:	//KTextEditor::EditorChooser
	switch(to) {
	    case 111: return (void*)(QWidget*)(KTextEditor::EditorChooser*)xptr;
	    case 89: return (void*)(QObject*)(KTextEditor::EditorChooser*)xptr;
	    case 90: return (void*)(QPaintDevice*)(KTextEditor::EditorChooser*)xptr;
	    case 37: return (void*)(KTextEditor::EditorChooser*)(KTextEditor::EditorChooser*)xptr;
	  default: return xptr;
	}
      case 38:	//KTextEditor::Factory
	switch(to) {
	    case 10: return (void*)(KParts::Factory*)(KTextEditor::Factory*)xptr;
	    case 19: return (void*)(KPluginFactory*)(KTextEditor::Factory*)xptr;
	    case 38: return (void*)(KTextEditor::Factory*)(KTextEditor::Factory*)xptr;
	  default: return xptr;
	}
      case 39:	//KTextEditor::Mark
	switch(to) {
	    case 39: return (void*)(KTextEditor::Mark*)(KTextEditor::Mark*)xptr;
	  default: return xptr;
	}
      case 40:	//KTextEditor::MarkInterface
	switch(to) {
	    case 40: return (void*)(KTextEditor::MarkInterface*)(KTextEditor::MarkInterface*)xptr;
	  default: return xptr;
	}
      case 41:	//KTextEditor::MdiContainer
	switch(to) {
	    case 41: return (void*)(KTextEditor::MdiContainer*)(KTextEditor::MdiContainer*)xptr;
	  default: return xptr;
	}
      case 42:	//KTextEditor::ModificationInterface
	switch(to) {
	    case 42: return (void*)(KTextEditor::ModificationInterface*)(KTextEditor::ModificationInterface*)xptr;
	  default: return xptr;
	}
      case 43:	//KTextEditor::Plugin
	switch(to) {
	    case 89: return (void*)(QObject*)(KTextEditor::Plugin*)xptr;
	    case 43: return (void*)(KTextEditor::Plugin*)(KTextEditor::Plugin*)xptr;
	  default: return xptr;
	}
      case 44:	//KTextEditor::Range
	switch(to) {
	    case 44: return (void*)(KTextEditor::Range*)(KTextEditor::Range*)xptr;
	    case 51: return (void*)(KTextEditor::SmartRange*)(KTextEditor::Range*)xptr;
	  default: return xptr;
	}
      case 45:	//KTextEditor::SearchInterface
	switch(to) {
	    case 45: return (void*)(KTextEditor::SearchInterface*)(KTextEditor::SearchInterface*)xptr;
	  default: return xptr;
	}
      case 46:	//KTextEditor::SessionConfigInterface
	switch(to) {
	    case 46: return (void*)(KTextEditor::SessionConfigInterface*)(KTextEditor::SessionConfigInterface*)xptr;
	  default: return xptr;
	}
      case 47:	//KTextEditor::SmartCursor
	switch(to) {
	    case 34: return (void*)(KTextEditor::Cursor*)(KTextEditor::SmartCursor*)xptr;
	    case 47: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::SmartCursor*)xptr;
	  default: return xptr;
	}
      case 48:	//KTextEditor::SmartCursorNotifier
	switch(to) {
	    case 89: return (void*)(QObject*)(KTextEditor::SmartCursorNotifier*)xptr;
	    case 48: return (void*)(KTextEditor::SmartCursorNotifier*)(KTextEditor::SmartCursorNotifier*)xptr;
	  default: return xptr;
	}
      case 49:	//KTextEditor::SmartCursorWatcher
	switch(to) {
	    case 49: return (void*)(KTextEditor::SmartCursorWatcher*)(KTextEditor::SmartCursorWatcher*)xptr;
	  default: return xptr;
	}
      case 50:	//KTextEditor::SmartInterface
	switch(to) {
	    case 50: return (void*)(KTextEditor::SmartInterface*)(KTextEditor::SmartInterface*)xptr;
	  default: return xptr;
	}
      case 51:	//KTextEditor::SmartRange
	switch(to) {
	    case 44: return (void*)(KTextEditor::Range*)(KTextEditor::SmartRange*)xptr;
	    case 51: return (void*)(KTextEditor::SmartRange*)(KTextEditor::SmartRange*)xptr;
	  default: return xptr;
	}
      case 52:	//KTextEditor::SmartRangeNotifier
	switch(to) {
	    case 89: return (void*)(QObject*)(KTextEditor::SmartRangeNotifier*)xptr;
	    case 52: return (void*)(KTextEditor::SmartRangeNotifier*)(KTextEditor::SmartRangeNotifier*)xptr;
	  default: return xptr;
	}
      case 53:	//KTextEditor::SmartRangeWatcher
	switch(to) {
	    case 53: return (void*)(KTextEditor::SmartRangeWatcher*)(KTextEditor::SmartRangeWatcher*)xptr;
	  default: return xptr;
	}
      case 54:	//KTextEditor::TemplateInterface
	switch(to) {
	    case 54: return (void*)(KTextEditor::TemplateInterface*)(KTextEditor::TemplateInterface*)xptr;
	  default: return xptr;
	}
      case 55:	//KTextEditor::TextHintInterface
	switch(to) {
	    case 55: return (void*)(KTextEditor::TextHintInterface*)(KTextEditor::TextHintInterface*)xptr;
	  default: return xptr;
	}
      case 56:	//KTextEditor::VariableInterface
	switch(to) {
	    case 56: return (void*)(KTextEditor::VariableInterface*)(KTextEditor::VariableInterface*)xptr;
	  default: return xptr;
	}
      case 57:	//KTextEditor::View
	switch(to) {
	    case 59: return (void*)(KXMLGUIClient*)(KTextEditor::View*)xptr;
	    case 111: return (void*)(QWidget*)(KTextEditor::View*)xptr;
	    case 89: return (void*)(QObject*)(KTextEditor::View*)xptr;
	    case 90: return (void*)(QPaintDevice*)(KTextEditor::View*)xptr;
	    case 57: return (void*)(KTextEditor::View*)(KTextEditor::View*)xptr;
	  default: return xptr;
	}
      case 58:	//KUrl
	switch(to) {
	    case 58: return (void*)(KUrl*)(KUrl*)xptr;
	  default: return xptr;
	}
      case 59:	//KXMLGUIClient
	switch(to) {
	    case 59: return (void*)(KXMLGUIClient*)(KXMLGUIClient*)xptr;
	    case 57: return (void*)(KTextEditor::View*)(KXMLGUIClient*)xptr;
	  default: return xptr;
	}
      case 60:	//QAbstractItemModel
	switch(to) {
	    case 89: return (void*)(QObject*)(QAbstractItemModel*)xptr;
	    case 60: return (void*)(QAbstractItemModel*)(QAbstractItemModel*)xptr;
	    case 26: return (void*)(KTextEditor::CodeCompletionModel*)(QAbstractItemModel*)xptr;
	    case 27: return (void*)(KTextEditor::CodeCompletionModel2*)(QAbstractItemModel*)xptr;
	  default: return xptr;
	}
      case 61:	//QAction
	switch(to) {
	    case 89: return (void*)(QObject*)(QAction*)xptr;
	    case 61: return (void*)(QAction*)(QAction*)xptr;
	    case 2: return (void*)(KAction*)(QAction*)xptr;
	  default: return xptr;
	}
      case 62:	//QActionEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 62: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 63:	//QBrush
	switch(to) {
	    case 63: return (void*)(QBrush*)(QBrush*)xptr;
	  default: return xptr;
	}
      case 64:	//QChar
	switch(to) {
	    case 64: return (void*)(QChar*)(QChar*)xptr;
	  default: return xptr;
	}
      case 65:	//QChildEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 65: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 66:	//QCloseEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 66: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 67:	//QContextMenuEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 67: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 68:	//QDomDocument
	switch(to) {
	    case 68: return (void*)(QDomDocument*)(QDomDocument*)xptr;
	  default: return xptr;
	}
      case 69:	//QDomElement
	switch(to) {
	    case 69: return (void*)(QDomElement*)(QDomElement*)xptr;
	  default: return xptr;
	}
      case 70:	//QDragEnterEvent
	switch(to) {
	    case 72: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 73: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 74: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 70: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 71:	//QDragLeaveEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 71: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 72:	//QDragMoveEvent
	switch(to) {
	    case 73: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 74: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 72: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 70: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 73:	//QDropEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 73: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 70: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 72: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 74:	//QEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QEvent*)xptr;
	    case 11: return (void*)(KParts::GUIActivateEvent*)(QEvent*)xptr;
	    case 13: return (void*)(KParts::PartActivateEvent*)(QEvent*)xptr;
	    case 16: return (void*)(KParts::PartSelectEvent*)(QEvent*)xptr;
	    case 62: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 65: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 66: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 67: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 70: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 71: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 72: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 73: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 75: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 77: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 79: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 80: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 87: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 88: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 93: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 101: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 102: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 105: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 108: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 110: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 75:	//QFocusEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 75: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 76:	//QFont
	switch(to) {
	    case 76: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 77:	//QHideEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 77: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 78:	//QImage
	switch(to) {
	    case 90: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 78: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 79:	//QInputMethodEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 79: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 80:	//QKeyEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 80: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 81:	//QLine
	switch(to) {
	    case 81: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 82:	//QLineF
	switch(to) {
	    case 82: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 83:	//QMenu
	switch(to) {
	    case 111: return (void*)(QWidget*)(QMenu*)xptr;
	    case 89: return (void*)(QObject*)(QMenu*)xptr;
	    case 90: return (void*)(QPaintDevice*)(QMenu*)xptr;
	    case 83: return (void*)(QMenu*)(QMenu*)xptr;
	  default: return xptr;
	}
      case 84:	//QMetaObject
	switch(to) {
	    case 84: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 85:	//QMimeData
	switch(to) {
	    case 89: return (void*)(QObject*)(QMimeData*)xptr;
	    case 85: return (void*)(QMimeData*)(QMimeData*)xptr;
	  default: return xptr;
	}
      case 86:	//QModelIndex
	switch(to) {
	    case 86: return (void*)(QModelIndex*)(QModelIndex*)xptr;
	  default: return xptr;
	}
      case 87:	//QMouseEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 87: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 88:	//QMoveEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 88: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 89:	//QObject
	switch(to) {
	    case 89: return (void*)(QObject*)(QObject*)xptr;
	    case 2: return (void*)(KAction*)(QObject*)xptr;
	    case 3: return (void*)(KActionCollection*)(QObject*)xptr;
	    case 4: return (void*)(KCompletion*)(QObject*)xptr;
	    case 12: return (void*)(KParts::Part*)(QObject*)xptr;
	    case 15: return (void*)(KParts::PartManager*)(QObject*)xptr;
	    case 17: return (void*)(KParts::ReadOnlyPart*)(QObject*)xptr;
	    case 18: return (void*)(KParts::ReadWritePart*)(QObject*)xptr;
	    case 19: return (void*)(KPluginFactory*)(QObject*)xptr;
	    case 22: return (void*)(KTextEditor::AnnotationModel*)(QObject*)xptr;
	    case 26: return (void*)(KTextEditor::CodeCompletionModel*)(QObject*)xptr;
	    case 27: return (void*)(KTextEditor::CodeCompletionModel2*)(QObject*)xptr;
	    case 32: return (void*)(KTextEditor::ConfigPage*)(QObject*)xptr;
	    case 35: return (void*)(KTextEditor::Document*)(QObject*)xptr;
	    case 36: return (void*)(KTextEditor::Editor*)(QObject*)xptr;
	    case 37: return (void*)(KTextEditor::EditorChooser*)(QObject*)xptr;
	    case 43: return (void*)(KTextEditor::Plugin*)(QObject*)xptr;
	    case 48: return (void*)(KTextEditor::SmartCursorNotifier*)(QObject*)xptr;
	    case 52: return (void*)(KTextEditor::SmartRangeNotifier*)(QObject*)xptr;
	    case 57: return (void*)(KTextEditor::View*)(QObject*)xptr;
	    case 60: return (void*)(QAbstractItemModel*)(QObject*)xptr;
	    case 61: return (void*)(QAction*)(QObject*)xptr;
	    case 83: return (void*)(QMenu*)(QObject*)xptr;
	    case 85: return (void*)(QMimeData*)(QObject*)xptr;
	    case 104: return (void*)(QStyle*)(QObject*)xptr;
	    case 111: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 90:	//QPaintDevice
	switch(to) {
	    case 90: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 32: return (void*)(KTextEditor::ConfigPage*)(QPaintDevice*)xptr;
	    case 37: return (void*)(KTextEditor::EditorChooser*)(QPaintDevice*)xptr;
	    case 57: return (void*)(KTextEditor::View*)(QPaintDevice*)xptr;
	    case 78: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 83: return (void*)(QMenu*)(QPaintDevice*)xptr;
	    case 96: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 111: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 91:	//QPaintEngine
	switch(to) {
	    case 91: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 92:	//QPaintEngineState
	switch(to) {
	    case 92: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 93:	//QPaintEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 93: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 94:	//QPainterPath
	switch(to) {
	    case 94: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 95:	//QPalette
	switch(to) {
	    case 95: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 96:	//QPixmap
	switch(to) {
	    case 90: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 96: return (void*)(QPixmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 97:	//QPoint
	switch(to) {
	    case 97: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 98:	//QPointF
	switch(to) {
	    case 98: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 99:	//QRect
	switch(to) {
	    case 99: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 100:	//QRectF
	switch(to) {
	    case 100: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 101:	//QResizeEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 101: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 102:	//QShowEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 102: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 103:	//QSize
	switch(to) {
	    case 103: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 104:	//QStyle
	switch(to) {
	    case 89: return (void*)(QObject*)(QStyle*)xptr;
	    case 104: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 105:	//QTabletEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 105: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 106:	//QTextCharFormat
	switch(to) {
	    case 107: return (void*)(QTextFormat*)(QTextCharFormat*)xptr;
	    case 106: return (void*)(QTextCharFormat*)(QTextCharFormat*)xptr;
	    case 24: return (void*)(KTextEditor::Attribute*)(QTextCharFormat*)xptr;
	  default: return xptr;
	}
      case 107:	//QTextFormat
	switch(to) {
	    case 107: return (void*)(QTextFormat*)(QTextFormat*)xptr;
	    case 24: return (void*)(KTextEditor::Attribute*)(QTextFormat*)xptr;
	    case 106: return (void*)(QTextCharFormat*)(QTextFormat*)xptr;
	  default: return xptr;
	}
      case 108:	//QTimerEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 108: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 109:	//QVariant
	switch(to) {
	    case 109: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 110:	//QWheelEvent
	switch(to) {
	    case 74: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 110: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 111:	//QWidget
	switch(to) {
	    case 89: return (void*)(QObject*)(QWidget*)xptr;
	    case 90: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 111: return (void*)(QWidget*)(QWidget*)xptr;
	    case 32: return (void*)(KTextEditor::ConfigPage*)(QWidget*)xptr;
	    case 37: return (void*)(KTextEditor::EditorChooser*)(QWidget*)xptr;
	    case 57: return (void*)(KTextEditor::View*)(QWidget*)xptr;
	    case 83: return (void*)(QMenu*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index ktexteditor_inheritanceList[] = {
	0,	// 0: (no super class)
	89, 0,	// 1: QObject
	21, 0,	// 3: KTextEditor::AnnotationInterface
	106, 0,	// 5: KShared, QTextCharFormat
	60, 0,	// 7: QAbstractItemModel
	26, 0,	// 9: KTextEditor::CodeCompletionModel
	111, 0,	// 11: QWidget
	18, 0,	// 13: KParts::ReadWritePart
	10, 0,	// 15: KParts::Factory
	34, 0,	// 17: KTextEditor::Cursor
	44, 0,	// 19: KTextEditor::Range
	59, 111, 0,	// 21: KXMLGUIClient, QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_KTextEditor__View(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartRange(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__Attribute(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ModificationInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__MarkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTextEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationViewInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Command(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandExtension(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ContainerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Cursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Editor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__EditorChooser(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Factory(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Mark(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MarkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MdiContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ModificationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SearchInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRange(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TemplateInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TextHintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__VariableInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__View(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class ktexteditor_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "KAboutData", true, 0, 0, 0, 0 }, 	// 1
	{ "KAction", true, 0, 0, 0, 0 }, 	// 2
	{ "KActionCollection", true, 0, 0, 0, 0 }, 	// 3
	{ "KCompletion", true, 0, 0, 0, 0 }, 	// 4
	{ "KComponentData", true, 0, 0, 0, 0 }, 	// 5
	{ "KConfig", true, 0, 0, 0, 0 }, 	// 6
	{ "KConfigGroup", true, 0, 0, 0, 0 }, 	// 7
	{ "KIcon", true, 0, 0, 0, 0 }, 	// 8
	{ "KParts", true, 0, 0, 0, 0 }, 	// 9
	{ "KParts::Factory", true, 0, 0, 0, 0 }, 	// 10
	{ "KParts::GUIActivateEvent", true, 0, 0, 0, 0 }, 	// 11
	{ "KParts::Part", true, 0, 0, 0, 0 }, 	// 12
	{ "KParts::PartActivateEvent", true, 0, 0, 0, 0 }, 	// 13
	{ "KParts::PartBase", true, 0, 0, 0, 0 }, 	// 14
	{ "KParts::PartManager", true, 0, 0, 0, 0 }, 	// 15
	{ "KParts::PartSelectEvent", true, 0, 0, 0, 0 }, 	// 16
	{ "KParts::ReadOnlyPart", true, 0, 0, 0, 0 }, 	// 17
	{ "KParts::ReadWritePart", true, 0, 0, 0, 0 }, 	// 18
	{ "KPluginFactory", true, 0, 0, 0, 0 }, 	// 19
	{ "KTextEditor", false, 0, xcall_KTextEditor, 0, Smoke::cf_deepcopy }, 	//20
	{ "KTextEditor::AnnotationInterface", false, 0, xcall_KTextEditor__AnnotationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//21
	{ "KTextEditor::AnnotationModel", false, 1, xcall_KTextEditor__AnnotationModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//22
	{ "KTextEditor::AnnotationViewInterface", false, 3, xcall_KTextEditor__AnnotationViewInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//23
	{ "KTextEditor::Attribute", false, 5, xcall_KTextEditor__Attribute, xenum_KTextEditor__Attribute, Smoke::cf_constructor|Smoke::cf_virtual }, 	//24
	{ "KTextEditor::CodeCompletionInterface", false, 0, xcall_KTextEditor__CodeCompletionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//25
	{ "KTextEditor::CodeCompletionModel", false, 7, xcall_KTextEditor__CodeCompletionModel, xenum_KTextEditor__CodeCompletionModel, Smoke::cf_constructor|Smoke::cf_virtual }, 	//26
	{ "KTextEditor::CodeCompletionModel2", false, 9, xcall_KTextEditor__CodeCompletionModel2, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//27
	{ "KTextEditor::Command", false, 0, xcall_KTextEditor__Command, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//28
	{ "KTextEditor::CommandExtension", false, 0, xcall_KTextEditor__CommandExtension, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//29
	{ "KTextEditor::CommandInterface", false, 0, xcall_KTextEditor__CommandInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//30
	{ "KTextEditor::ConfigInterface", false, 0, xcall_KTextEditor__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//31
	{ "KTextEditor::ConfigPage", false, 11, xcall_KTextEditor__ConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//32
	{ "KTextEditor::ContainerInterface", false, 0, xcall_KTextEditor__ContainerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//33
	{ "KTextEditor::Cursor", false, 0, xcall_KTextEditor__Cursor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//34
	{ "KTextEditor::Document", false, 13, xcall_KTextEditor__Document, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//35
	{ "KTextEditor::Editor", false, 1, xcall_KTextEditor__Editor, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//36
	{ "KTextEditor::EditorChooser", false, 11, xcall_KTextEditor__EditorChooser, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//37
	{ "KTextEditor::Factory", false, 15, xcall_KTextEditor__Factory, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//38
	{ "KTextEditor::Mark", false, 0, xcall_KTextEditor__Mark, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//39
	{ "KTextEditor::MarkInterface", false, 0, xcall_KTextEditor__MarkInterface, xenum_KTextEditor__MarkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//40
	{ "KTextEditor::MdiContainer", false, 0, xcall_KTextEditor__MdiContainer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//41
	{ "KTextEditor::ModificationInterface", false, 0, xcall_KTextEditor__ModificationInterface, xenum_KTextEditor__ModificationInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//42
	{ "KTextEditor::Plugin", false, 1, xcall_KTextEditor__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//43
	{ "KTextEditor::Range", false, 0, xcall_KTextEditor__Range, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//44
	{ "KTextEditor::SearchInterface", false, 0, xcall_KTextEditor__SearchInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//45
	{ "KTextEditor::SessionConfigInterface", false, 0, xcall_KTextEditor__SessionConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//46
	{ "KTextEditor::SmartCursor", false, 17, xcall_KTextEditor__SmartCursor, xenum_KTextEditor__SmartCursor, Smoke::cf_constructor|Smoke::cf_virtual }, 	//47
	{ "KTextEditor::SmartCursorNotifier", false, 1, xcall_KTextEditor__SmartCursorNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//48
	{ "KTextEditor::SmartCursorWatcher", false, 0, xcall_KTextEditor__SmartCursorWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//49
	{ "KTextEditor::SmartInterface", false, 0, xcall_KTextEditor__SmartInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//50
	{ "KTextEditor::SmartRange", false, 19, xcall_KTextEditor__SmartRange, xenum_KTextEditor__SmartRange, Smoke::cf_constructor|Smoke::cf_virtual }, 	//51
	{ "KTextEditor::SmartRangeNotifier", false, 1, xcall_KTextEditor__SmartRangeNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//52
	{ "KTextEditor::SmartRangeWatcher", false, 0, xcall_KTextEditor__SmartRangeWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//53
	{ "KTextEditor::TemplateInterface", false, 0, xcall_KTextEditor__TemplateInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//54
	{ "KTextEditor::TextHintInterface", false, 0, xcall_KTextEditor__TextHintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//55
	{ "KTextEditor::VariableInterface", false, 0, xcall_KTextEditor__VariableInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//56
	{ "KTextEditor::View", false, 21, xcall_KTextEditor__View, xenum_KTextEditor__View, Smoke::cf_constructor|Smoke::cf_virtual }, 	//57
	{ "KUrl", true, 0, 0, 0, 0 }, 	// 58
	{ "KXMLGUIClient", true, 0, 0, 0, 0 }, 	// 59
	{ "QAbstractItemModel", true, 0, 0, 0, 0 }, 	// 60
	{ "QAction", true, 0, 0, 0, 0 }, 	// 61
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 62
	{ "QBrush", true, 0, 0, 0, 0 }, 	// 63
	{ "QChar", true, 0, 0, 0, 0 }, 	// 64
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 65
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 66
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 67
	{ "QDomDocument", true, 0, 0, 0, 0 }, 	// 68
	{ "QDomElement", true, 0, 0, 0, 0 }, 	// 69
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 70
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 71
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 72
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 73
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 74
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 75
	{ "QFont", true, 0, 0, 0, 0 }, 	// 76
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 77
	{ "QImage", true, 0, 0, 0, 0 }, 	// 78
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 79
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 80
	{ "QLine", true, 0, 0, 0, 0 }, 	// 81
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 82
	{ "QMenu", true, 0, 0, 0, 0 }, 	// 83
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 84
	{ "QMimeData", true, 0, 0, 0, 0 }, 	// 85
	{ "QModelIndex", true, 0, 0, 0, 0 }, 	// 86
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 87
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 88
	{ "QObject", true, 0, 0, 0, 0 }, 	// 89
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 90
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 91
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 92
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 93
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 94
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 95
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 96
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 97
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 98
	{ "QRect", true, 0, 0, 0, 0 }, 	// 99
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 100
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 101
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 102
	{ "QSize", true, 0, 0, 0, 0 }, 	// 103
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 104
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 105
	{ "QTextCharFormat", true, 0, 0, 0, 0 }, 	// 106
	{ "QTextFormat", true, 0, 0, 0, 0 }, 	// 107
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 108
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 109
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 110
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 111
	{ "Qt", true, 0, 0, 0, 0 }, 	// 112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type ktexteditor_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "KAction*", 2, Smoke::t_class | Smoke::tf_ptr },	//1
	{ "KAction::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//2
	{ "KAction::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//3
	{ "KActionCollection*", 3, Smoke::t_class | Smoke::tf_ptr },	//4
	{ "KAutostart::Conditions", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "KAutostart::Conditions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "KCModule::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//7
	{ "KCModule::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//8
	{ "KCmdLineArgs::StdCmdLineArgs", 0, Smoke::t_uint | Smoke::tf_stack },	//9
	{ "KCmdLineArgs::StdCmdLineArgs&", 0, Smoke::t_voidp | Smoke::tf_ref },	//10
	{ "KCompletion*", 4, Smoke::t_class | Smoke::tf_ptr },	//11
	{ "KComponentData", 5, Smoke::t_class | Smoke::tf_stack },	//12
	{ "KConfig*", 6, Smoke::t_class | Smoke::tf_ptr },	//13
	{ "KConfig::OpenFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//14
	{ "KConfig::OpenFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//15
	{ "KConfigBase::WriteConfigFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//16
	{ "KConfigBase::WriteConfigFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//17
	{ "KConfigGroup&", 7, Smoke::t_class | Smoke::tf_ref },	//18
	{ "KCrash::CrashFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//19
	{ "KCrash::CrashFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//20
	{ "KDialog::ButtonCodes", 0, Smoke::t_uint | Smoke::tf_stack },	//21
	{ "KDialog::ButtonCodes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//22
	{ "KDialog::ButtonPopupModes", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "KDialog::ButtonPopupModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//24
	{ "KDialog::CaptionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//25
	{ "KDialog::CaptionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//26
	{ "KDirLister::OpenUrlFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "KDirLister::OpenUrlFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "KDirModel::DropsAllowed", 0, Smoke::t_uint | Smoke::tf_stack },	//29
	{ "KDirModel::DropsAllowed&", 0, Smoke::t_voidp | Smoke::tf_ref },	//30
	{ "KDirWatch::WatchModes", 0, Smoke::t_uint | Smoke::tf_stack },	//31
	{ "KDirWatch::WatchModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//32
	{ "KEditListBox::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//33
	{ "KEditListBox::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//34
	{ "KFile::Modes", 0, Smoke::t_uint | Smoke::tf_stack },	//35
	{ "KFile::Modes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//36
	{ "KFileMetaInfo::WhatFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//37
	{ "KFileMetaInfo::WhatFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//38
	{ "KFontChooser::DisplayFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//39
	{ "KFontChooser::DisplayFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//40
	{ "KFontChooser::FontDiffFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//41
	{ "KFontChooser::FontDiffFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//42
	{ "KGlobalSettings::GraphicEffects", 0, Smoke::t_uint | Smoke::tf_stack },	//43
	{ "KGlobalSettings::GraphicEffects&", 0, Smoke::t_voidp | Smoke::tf_ref },	//44
	{ "KIO::JobFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//45
	{ "KIO::JobFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//46
	{ "KIO::NetRC::LookUpMode", 0, Smoke::t_uint | Smoke::tf_stack },	//47
	{ "KIO::NetRC::LookUpMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//48
	{ "KIO::TCPSlaveBase::SslResult", 0, Smoke::t_uint | Smoke::tf_stack },	//49
	{ "KIO::TCPSlaveBase::SslResult&", 0, Smoke::t_voidp | Smoke::tf_ref },	//50
	{ "KIcon", 8, Smoke::t_class | Smoke::tf_stack },	//51
	{ "KJob::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//52
	{ "KJob::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//53
	{ "KLocale::DateTimeFormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//54
	{ "KLocale::DateTimeFormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//55
	{ "KLockFile::LockFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//56
	{ "KLockFile::LockFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//57
	{ "KMessageBox::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//58
	{ "KMessageBox::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//59
	{ "KNotification::NotificationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//60
	{ "KNotification::NotificationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//61
	{ "KNotificationRestrictions::Services", 0, Smoke::t_uint | Smoke::tf_stack },	//62
	{ "KNotificationRestrictions::Services&", 0, Smoke::t_voidp | Smoke::tf_ref },	//63
	{ "KParts::BrowserExtension::PopupFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//64
	{ "KParts::BrowserExtension::PopupFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//65
	{ "KParts::GUIActivateEvent*", 11, Smoke::t_class | Smoke::tf_ptr },	//66
	{ "KParts::Part*", 12, Smoke::t_class | Smoke::tf_ptr },	//67
	{ "KParts::PartActivateEvent*", 13, Smoke::t_class | Smoke::tf_ptr },	//68
	{ "KParts::PartBase::PluginLoadingMode", 14, Smoke::t_enum | Smoke::tf_stack },	//69
	{ "KParts::PartManager*", 15, Smoke::t_class | Smoke::tf_ptr },	//70
	{ "KParts::PartManager::Reason", 15, Smoke::t_enum | Smoke::tf_stack },	//71
	{ "KParts::PartManager::SelectionPolicy", 15, Smoke::t_enum | Smoke::tf_stack },	//72
	{ "KParts::PartSelectEvent*", 16, Smoke::t_class | Smoke::tf_ptr },	//73
	{ "KPasswordDialog::KPasswordDialogFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//74
	{ "KPasswordDialog::KPasswordDialogFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//75
	{ "KPlotObject::PlotTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//76
	{ "KPlotObject::PlotTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//77
	{ "KServiceGroup::EntriesOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//78
	{ "KServiceGroup::EntriesOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//79
	{ "KSharedPtr<KService>", 0, Smoke::t_voidp | Smoke::tf_stack },	//80
	{ "KSharedPtr<KTextEditor::Attribute>", 0, Smoke::t_voidp | Smoke::tf_stack },	//81
	{ "KShell::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//82
	{ "KShell::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//83
	{ "KShortcutsEditor::ActionTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//84
	{ "KShortcutsEditor::ActionTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//85
	{ "KStandardDirs::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//86
	{ "KStandardDirs::SearchOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//87
	{ "KTextEditor::AnnotationInterface*", 21, Smoke::t_class | Smoke::tf_ptr },	//88
	{ "KTextEditor::AnnotationModel*", 22, Smoke::t_class | Smoke::tf_ptr },	//89
	{ "KTextEditor::AnnotationViewInterface*", 23, Smoke::t_class | Smoke::tf_ptr },	//90
	{ "KTextEditor::Attribute&", 24, Smoke::t_class | Smoke::tf_ref },	//91
	{ "KTextEditor::Attribute*", 24, Smoke::t_class | Smoke::tf_ptr },	//92
	{ "KTextEditor::Attribute::ActivationType", 24, Smoke::t_enum | Smoke::tf_stack },	//93
	{ "KTextEditor::Attribute::CustomProperties", 24, Smoke::t_enum | Smoke::tf_stack },	//94
	{ "KTextEditor::Attribute::Effect", 24, Smoke::t_enum | Smoke::tf_stack },	//95
	{ "KTextEditor::Attribute::Effects", 0, Smoke::t_uint | Smoke::tf_stack },	//96
	{ "KTextEditor::Attribute::Effects&", 0, Smoke::t_voidp | Smoke::tf_ref },	//97
	{ "KTextEditor::Attribute::Ptr", 0, Smoke::t_voidp | Smoke::tf_stack },	//98
	{ "KTextEditor::CodeCompletionInterface*", 25, Smoke::t_class | Smoke::tf_ptr },	//99
	{ "KTextEditor::CodeCompletionModel*", 26, Smoke::t_class | Smoke::tf_ptr },	//100
	{ "KTextEditor::CodeCompletionModel2*", 27, Smoke::t_class | Smoke::tf_ptr },	//101
	{ "KTextEditor::CodeCompletionModel::Columns", 26, Smoke::t_enum | Smoke::tf_stack },	//102
	{ "KTextEditor::CodeCompletionModel::CompletionProperties", 0, Smoke::t_uint | Smoke::tf_stack },	//103
	{ "KTextEditor::CodeCompletionModel::CompletionProperties&", 0, Smoke::t_voidp | Smoke::tf_ref },	//104
	{ "KTextEditor::CodeCompletionModel::CompletionProperty", 26, Smoke::t_enum | Smoke::tf_stack },	//105
	{ "KTextEditor::CodeCompletionModel::ExtraItemDataRoles", 26, Smoke::t_enum | Smoke::tf_stack },	//106
	{ "KTextEditor::CodeCompletionModel::HighlightMethod", 26, Smoke::t_enum | Smoke::tf_stack },	//107
	{ "KTextEditor::CodeCompletionModel::HighlightMethods", 0, Smoke::t_uint | Smoke::tf_stack },	//108
	{ "KTextEditor::CodeCompletionModel::HighlightMethods&", 0, Smoke::t_voidp | Smoke::tf_ref },	//109
	{ "KTextEditor::CodeCompletionModel::InvocationType", 26, Smoke::t_enum | Smoke::tf_stack },	//110
	{ "KTextEditor::Command*", 28, Smoke::t_class | Smoke::tf_ptr },	//111
	{ "KTextEditor::CommandExtension*", 29, Smoke::t_class | Smoke::tf_ptr },	//112
	{ "KTextEditor::CommandInterface*", 30, Smoke::t_class | Smoke::tf_ptr },	//113
	{ "KTextEditor::ConfigInterface*", 31, Smoke::t_class | Smoke::tf_ptr },	//114
	{ "KTextEditor::ConfigPage*", 32, Smoke::t_class | Smoke::tf_ptr },	//115
	{ "KTextEditor::ContainerInterface*", 33, Smoke::t_class | Smoke::tf_ptr },	//116
	{ "KTextEditor::Cursor", 34, Smoke::t_class | Smoke::tf_stack },	//117
	{ "KTextEditor::Cursor&", 34, Smoke::t_class | Smoke::tf_ref },	//118
	{ "KTextEditor::Cursor*", 34, Smoke::t_class | Smoke::tf_ptr },	//119
	{ "KTextEditor::Document*", 35, Smoke::t_class | Smoke::tf_ptr },	//120
	{ "KTextEditor::Editor*", 36, Smoke::t_class | Smoke::tf_ptr },	//121
	{ "KTextEditor::EditorChooser*", 37, Smoke::t_class | Smoke::tf_ptr },	//122
	{ "KTextEditor::Factory*", 38, Smoke::t_class | Smoke::tf_ptr },	//123
	{ "KTextEditor::Mark", 39, Smoke::t_class | Smoke::tf_stack },	//124
	{ "KTextEditor::Mark*", 39, Smoke::t_class | Smoke::tf_ptr },	//125
	{ "KTextEditor::MarkInterface*", 40, Smoke::t_class | Smoke::tf_ptr },	//126
	{ "KTextEditor::MarkInterface::MarkChangeAction", 40, Smoke::t_enum | Smoke::tf_stack },	//127
	{ "KTextEditor::MarkInterface::MarkTypes", 40, Smoke::t_enum | Smoke::tf_stack },	//128
	{ "KTextEditor::MdiContainer*", 41, Smoke::t_class | Smoke::tf_ptr },	//129
	{ "KTextEditor::ModificationInterface*", 42, Smoke::t_class | Smoke::tf_ptr },	//130
	{ "KTextEditor::ModificationInterface::ModifiedOnDiskReason", 42, Smoke::t_enum | Smoke::tf_stack },	//131
	{ "KTextEditor::Plugin*", 43, Smoke::t_class | Smoke::tf_ptr },	//132
	{ "KTextEditor::Range", 44, Smoke::t_class | Smoke::tf_stack },	//133
	{ "KTextEditor::Range&", 44, Smoke::t_class | Smoke::tf_ref },	//134
	{ "KTextEditor::Range*", 44, Smoke::t_class | Smoke::tf_ptr },	//135
	{ "KTextEditor::Search::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//136
	{ "KTextEditor::Search::SearchOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//137
	{ "KTextEditor::SearchInterface*", 45, Smoke::t_class | Smoke::tf_ptr },	//138
	{ "KTextEditor::SessionConfigInterface*", 46, Smoke::t_class | Smoke::tf_ptr },	//139
	{ "KTextEditor::SmartCursor&", 47, Smoke::t_class | Smoke::tf_ref },	//140
	{ "KTextEditor::SmartCursor*", 47, Smoke::t_class | Smoke::tf_ptr },	//141
	{ "KTextEditor::SmartCursor::AdvanceMode", 47, Smoke::t_enum | Smoke::tf_stack },	//142
	{ "KTextEditor::SmartCursor::InsertBehavior", 47, Smoke::t_enum | Smoke::tf_stack },	//143
	{ "KTextEditor::SmartCursorNotifier*", 48, Smoke::t_class | Smoke::tf_ptr },	//144
	{ "KTextEditor::SmartCursorWatcher*", 49, Smoke::t_class | Smoke::tf_ptr },	//145
	{ "KTextEditor::SmartInterface*", 50, Smoke::t_class | Smoke::tf_ptr },	//146
	{ "KTextEditor::SmartRange&", 51, Smoke::t_class | Smoke::tf_ref },	//147
	{ "KTextEditor::SmartRange*", 51, Smoke::t_class | Smoke::tf_ptr },	//148
	{ "KTextEditor::SmartRange::InsertBehavior", 51, Smoke::t_enum | Smoke::tf_stack },	//149
	{ "KTextEditor::SmartRange::InsertBehaviors", 0, Smoke::t_uint | Smoke::tf_stack },	//150
	{ "KTextEditor::SmartRange::InsertBehaviors&", 0, Smoke::t_voidp | Smoke::tf_ref },	//151
	{ "KTextEditor::SmartRangeNotifier*", 52, Smoke::t_class | Smoke::tf_ptr },	//152
	{ "KTextEditor::SmartRangeWatcher*", 53, Smoke::t_class | Smoke::tf_ptr },	//153
	{ "KTextEditor::TemplateInterface*", 54, Smoke::t_class | Smoke::tf_ptr },	//154
	{ "KTextEditor::TextHintInterface*", 55, Smoke::t_class | Smoke::tf_ptr },	//155
	{ "KTextEditor::VariableInterface*", 56, Smoke::t_class | Smoke::tf_ptr },	//156
	{ "KTextEditor::View*", 57, Smoke::t_class | Smoke::tf_ptr },	//157
	{ "KTextEditor::View::EditMode", 57, Smoke::t_enum | Smoke::tf_stack },	//158
	{ "KUniqueApplication::StartFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//159
	{ "KUniqueApplication::StartFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//160
	{ "KUrl&", 58, Smoke::t_class | Smoke::tf_ref },	//161
	{ "KUrl::AdjustPathOption", 58, Smoke::t_enum | Smoke::tf_stack },	//162
	{ "KUrl::CleanPathOption", 58, Smoke::t_enum | Smoke::tf_stack },	//163
	{ "KUrl::CleanPathOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//164
	{ "KUrl::CleanPathOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//165
	{ "KUrl::DirectoryOption", 58, Smoke::t_enum | Smoke::tf_stack },	//166
	{ "KUrl::DirectoryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//167
	{ "KUrl::DirectoryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//168
	{ "KUrl::EncodedPathAndQueryOption", 58, Smoke::t_enum | Smoke::tf_stack },	//169
	{ "KUrl::EncodedPathAndQueryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//170
	{ "KUrl::EncodedPathAndQueryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//171
	{ "KUrl::EqualsOption", 58, Smoke::t_enum | Smoke::tf_stack },	//172
	{ "KUrl::EqualsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//173
	{ "KUrl::EqualsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//174
	{ "KUrl::MimeDataFlags", 58, Smoke::t_enum | Smoke::tf_stack },	//175
	{ "KUrl::QueryItemsOption", 58, Smoke::t_enum | Smoke::tf_stack },	//176
	{ "KUrl::QueryItemsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//177
	{ "KUrl::QueryItemsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//178
	{ "KXMLGUIClient::ReverseStateChange", 59, Smoke::t_enum | Smoke::tf_stack },	//179
	{ "KXmlGuiWindow::StandardWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//180
	{ "KXmlGuiWindow::StandardWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//181
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//182
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//183
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//184
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//185
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//186
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//187
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//188
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//189
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//190
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//191
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//192
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//193
	{ "QAction*", 61, Smoke::t_class | Smoke::tf_ptr },	//194
	{ "QAction::ActionEvent", 61, Smoke::t_enum | Smoke::tf_stack },	//195
	{ "QAction::MenuRole", 61, Smoke::t_enum | Smoke::tf_stack },	//196
	{ "QActionEvent*", 62, Smoke::t_class | Smoke::tf_ptr },	//197
	{ "QBrush", 63, Smoke::t_class | Smoke::tf_stack },	//198
	{ "QChar", 64, Smoke::t_class | Smoke::tf_stack },	//199
	{ "QChar::Category", 64, Smoke::t_enum | Smoke::tf_stack },	//200
	{ "QChar::CombiningClass", 64, Smoke::t_enum | Smoke::tf_stack },	//201
	{ "QChar::Decomposition", 64, Smoke::t_enum | Smoke::tf_stack },	//202
	{ "QChar::Direction", 64, Smoke::t_enum | Smoke::tf_stack },	//203
	{ "QChar::Joining", 64, Smoke::t_enum | Smoke::tf_stack },	//204
	{ "QChar::SpecialCharacter", 64, Smoke::t_enum | Smoke::tf_stack },	//205
	{ "QChar::UnicodeVersion", 64, Smoke::t_enum | Smoke::tf_stack },	//206
	{ "QChildEvent*", 65, Smoke::t_class | Smoke::tf_ptr },	//207
	{ "QCloseEvent*", 66, Smoke::t_class | Smoke::tf_ptr },	//208
	{ "QContextMenuEvent*", 67, Smoke::t_class | Smoke::tf_ptr },	//209
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//210
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//211
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//212
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//213
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//214
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//215
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//216
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//217
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//218
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//219
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//220
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//221
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//222
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//223
	{ "QDomDocument", 68, Smoke::t_class | Smoke::tf_stack },	//224
	{ "QDragEnterEvent*", 70, Smoke::t_class | Smoke::tf_ptr },	//225
	{ "QDragLeaveEvent*", 71, Smoke::t_class | Smoke::tf_ptr },	//226
	{ "QDragMoveEvent*", 72, Smoke::t_class | Smoke::tf_ptr },	//227
	{ "QDropEvent*", 73, Smoke::t_class | Smoke::tf_ptr },	//228
	{ "QEvent*", 74, Smoke::t_class | Smoke::tf_ptr },	//229
	{ "QEvent::Type", 74, Smoke::t_enum | Smoke::tf_stack },	//230
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//231
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//232
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//233
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//234
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//235
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//236
	{ "QFocusEvent*", 75, Smoke::t_class | Smoke::tf_ptr },	//237
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//238
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//239
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//240
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//241
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//242
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//243
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//244
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//245
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//246
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//247
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//248
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//249
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//250
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//251
	{ "QHideEvent*", 77, Smoke::t_class | Smoke::tf_ptr },	//252
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//253
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//254
	{ "QInputMethodEvent*", 79, Smoke::t_class | Smoke::tf_ptr },	//255
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//256
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//257
	{ "QKeyEvent*", 80, Smoke::t_class | Smoke::tf_ptr },	//258
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//259
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//260
	{ "QList<KTextEditor::Command*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//261
	{ "QList<QModelIndex>", 0, Smoke::t_voidp | Smoke::tf_stack },	//262
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//263
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//264
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//265
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//266
	{ "QMap<QString,QString>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//267
	{ "QMap<int,QVariant>", 0, Smoke::t_voidp | Smoke::tf_stack },	//268
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//269
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//270
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//271
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//272
	{ "QMenu*", 83, Smoke::t_class | Smoke::tf_ptr },	//273
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//274
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//275
	{ "QMetaObject::Call", 84, Smoke::t_enum | Smoke::tf_stack },	//276
	{ "QMimeData*", 85, Smoke::t_class | Smoke::tf_ptr },	//277
	{ "QModelIndex", 86, Smoke::t_class | Smoke::tf_stack },	//278
	{ "QMouseEvent*", 87, Smoke::t_class | Smoke::tf_ptr },	//279
	{ "QMoveEvent*", 88, Smoke::t_class | Smoke::tf_ptr },	//280
	{ "QMutex*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//281
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//282
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//283
	{ "QObject*", 89, Smoke::t_class | Smoke::tf_ptr },	//284
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//285
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//286
	{ "QPaintDevice*", 90, Smoke::t_class | Smoke::tf_ptr },	//287
	{ "QPaintDevice::PaintDeviceMetric", 90, Smoke::t_enum | Smoke::tf_stack },	//288
	{ "QPaintEngine*", 91, Smoke::t_class | Smoke::tf_ptr },	//289
	{ "QPaintEngine::DirtyFlag", 91, Smoke::t_enum | Smoke::tf_stack },	//290
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//291
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//292
	{ "QPaintEngine::PaintEngineFeature", 91, Smoke::t_enum | Smoke::tf_stack },	//293
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//294
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//295
	{ "QPaintEngine::PolygonDrawMode", 91, Smoke::t_enum | Smoke::tf_stack },	//296
	{ "QPaintEngine::Type", 91, Smoke::t_enum | Smoke::tf_stack },	//297
	{ "QPaintEvent*", 93, Smoke::t_class | Smoke::tf_ptr },	//298
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//299
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//300
	{ "QPainterPath::ElementType", 94, Smoke::t_enum | Smoke::tf_stack },	//301
	{ "QPixmap", 96, Smoke::t_class | Smoke::tf_stack },	//302
	{ "QPixmap::Type", 96, Smoke::t_enum | Smoke::tf_stack },	//303
	{ "QPoint", 97, Smoke::t_class | Smoke::tf_stack },	//304
	{ "QResizeEvent*", 101, Smoke::t_class | Smoke::tf_ptr },	//305
	{ "QShowEvent*", 102, Smoke::t_class | Smoke::tf_ptr },	//306
	{ "QSize", 103, Smoke::t_class | Smoke::tf_stack },	//307
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//308
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//309
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//310
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//311
	{ "QStack<KTextEditor::SmartRange*>*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//312
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//313
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//314
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//315
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//316
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//317
	{ "QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref },	//318
	{ "QStyle&", 104, Smoke::t_class | Smoke::tf_ref },	//319
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//320
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//321
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//322
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//323
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//324
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//325
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//326
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//327
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//328
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//329
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//330
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//331
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//332
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//333
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//334
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//335
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//336
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//337
	{ "QTabletEvent*", 105, Smoke::t_class | Smoke::tf_ptr },	//338
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//339
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//340
	{ "QTextCharFormat::UnderlineStyle", 106, Smoke::t_enum | Smoke::tf_stack },	//341
	{ "QTextCharFormat::VerticalAlignment", 106, Smoke::t_enum | Smoke::tf_stack },	//342
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//343
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//344
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//345
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//346
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//347
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//348
	{ "QTextFormat::FormatType", 107, Smoke::t_enum | Smoke::tf_stack },	//349
	{ "QTextFormat::ObjectTypes", 107, Smoke::t_enum | Smoke::tf_stack },	//350
	{ "QTextFormat::PageBreakFlag", 107, Smoke::t_enum | Smoke::tf_stack },	//351
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//352
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//353
	{ "QTextFormat::Property", 107, Smoke::t_enum | Smoke::tf_stack },	//354
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//355
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//356
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//357
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//358
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//359
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//360
	{ "QTimerEvent*", 108, Smoke::t_class | Smoke::tf_ptr },	//361
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//362
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//363
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//364
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//365
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//366
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//367
	{ "QVariant", 109, Smoke::t_class | Smoke::tf_stack },	//368
	{ "QVariant::Type", 109, Smoke::t_enum | Smoke::tf_stack },	//369
	{ "QVector<KTextEditor::Range>", 0, Smoke::t_voidp | Smoke::tf_stack },	//370
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//371
	{ "QWebPage::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//372
	{ "QWheelEvent*", 110, Smoke::t_class | Smoke::tf_ptr },	//373
	{ "QWidget*", 111, Smoke::t_class | Smoke::tf_ptr },	//374
	{ "QWidget::RenderFlag", 111, Smoke::t_enum | Smoke::tf_stack },	//375
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//376
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//377
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//378
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//379
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//380
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//381
	{ "Qt::AlignmentFlag", 112, Smoke::t_enum | Smoke::tf_stack },	//382
	{ "Qt::AnchorAttribute", 112, Smoke::t_enum | Smoke::tf_stack },	//383
	{ "Qt::ApplicationAttribute", 112, Smoke::t_enum | Smoke::tf_stack },	//384
	{ "Qt::ArrowType", 112, Smoke::t_enum | Smoke::tf_stack },	//385
	{ "Qt::AspectRatioMode", 112, Smoke::t_enum | Smoke::tf_stack },	//386
	{ "Qt::Axis", 112, Smoke::t_enum | Smoke::tf_stack },	//387
	{ "Qt::BGMode", 112, Smoke::t_enum | Smoke::tf_stack },	//388
	{ "Qt::BrushStyle", 112, Smoke::t_enum | Smoke::tf_stack },	//389
	{ "Qt::CaseSensitivity", 112, Smoke::t_enum | Smoke::tf_stack },	//390
	{ "Qt::CheckState", 112, Smoke::t_enum | Smoke::tf_stack },	//391
	{ "Qt::ClipOperation", 112, Smoke::t_enum | Smoke::tf_stack },	//392
	{ "Qt::ConnectionType", 112, Smoke::t_enum | Smoke::tf_stack },	//393
	{ "Qt::ContextMenuPolicy", 112, Smoke::t_enum | Smoke::tf_stack },	//394
	{ "Qt::Corner", 112, Smoke::t_enum | Smoke::tf_stack },	//395
	{ "Qt::CursorShape", 112, Smoke::t_enum | Smoke::tf_stack },	//396
	{ "Qt::DateFormat", 112, Smoke::t_enum | Smoke::tf_stack },	//397
	{ "Qt::DayOfWeek", 112, Smoke::t_enum | Smoke::tf_stack },	//398
	{ "Qt::DockWidgetArea", 112, Smoke::t_enum | Smoke::tf_stack },	//399
	{ "Qt::DockWidgetAreaSizes", 112, Smoke::t_enum | Smoke::tf_stack },	//400
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//401
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//402
	{ "Qt::DropAction", 112, Smoke::t_enum | Smoke::tf_stack },	//403
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//404
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//405
	{ "Qt::EventPriority", 112, Smoke::t_enum | Smoke::tf_stack },	//406
	{ "Qt::FillRule", 112, Smoke::t_enum | Smoke::tf_stack },	//407
	{ "Qt::FocusPolicy", 112, Smoke::t_enum | Smoke::tf_stack },	//408
	{ "Qt::FocusReason", 112, Smoke::t_enum | Smoke::tf_stack },	//409
	{ "Qt::GlobalColor", 112, Smoke::t_enum | Smoke::tf_stack },	//410
	{ "Qt::HitTestAccuracy", 112, Smoke::t_enum | Smoke::tf_stack },	//411
	{ "Qt::ImageConversionFlag", 112, Smoke::t_enum | Smoke::tf_stack },	//412
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//413
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//414
	{ "Qt::InputMethodQuery", 112, Smoke::t_enum | Smoke::tf_stack },	//415
	{ "Qt::ItemDataRole", 112, Smoke::t_enum | Smoke::tf_stack },	//416
	{ "Qt::ItemFlag", 112, Smoke::t_enum | Smoke::tf_stack },	//417
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//418
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//419
	{ "Qt::ItemSelectionMode", 112, Smoke::t_enum | Smoke::tf_stack },	//420
	{ "Qt::Key", 112, Smoke::t_enum | Smoke::tf_stack },	//421
	{ "Qt::KeyboardModifier", 112, Smoke::t_enum | Smoke::tf_stack },	//422
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//423
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//424
	{ "Qt::LayoutDirection", 112, Smoke::t_enum | Smoke::tf_stack },	//425
	{ "Qt::MaskMode", 112, Smoke::t_enum | Smoke::tf_stack },	//426
	{ "Qt::MatchFlag", 112, Smoke::t_enum | Smoke::tf_stack },	//427
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//428
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//429
	{ "Qt::Modifier", 112, Smoke::t_enum | Smoke::tf_stack },	//430
	{ "Qt::MouseButton", 112, Smoke::t_enum | Smoke::tf_stack },	//431
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//432
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//433
	{ "Qt::Orientation", 112, Smoke::t_enum | Smoke::tf_stack },	//434
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//435
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//436
	{ "Qt::PenCapStyle", 112, Smoke::t_enum | Smoke::tf_stack },	//437
	{ "Qt::PenJoinStyle", 112, Smoke::t_enum | Smoke::tf_stack },	//438
	{ "Qt::PenStyle", 112, Smoke::t_enum | Smoke::tf_stack },	//439
	{ "Qt::ScrollBarPolicy", 112, Smoke::t_enum | Smoke::tf_stack },	//440
	{ "Qt::ShortcutContext", 112, Smoke::t_enum | Smoke::tf_stack },	//441
	{ "Qt::SizeHint", 112, Smoke::t_enum | Smoke::tf_stack },	//442
	{ "Qt::SizeMode", 112, Smoke::t_enum | Smoke::tf_stack },	//443
	{ "Qt::SortOrder", 112, Smoke::t_enum | Smoke::tf_stack },	//444
	{ "Qt::TextElideMode", 112, Smoke::t_enum | Smoke::tf_stack },	//445
	{ "Qt::TextFlag", 112, Smoke::t_enum | Smoke::tf_stack },	//446
	{ "Qt::TextFormat", 112, Smoke::t_enum | Smoke::tf_stack },	//447
	{ "Qt::TextInteractionFlag", 112, Smoke::t_enum | Smoke::tf_stack },	//448
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//449
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//450
	{ "Qt::TimeSpec", 112, Smoke::t_enum | Smoke::tf_stack },	//451
	{ "Qt::ToolBarArea", 112, Smoke::t_enum | Smoke::tf_stack },	//452
	{ "Qt::ToolBarAreaSizes", 112, Smoke::t_enum | Smoke::tf_stack },	//453
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//454
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//455
	{ "Qt::ToolButtonStyle", 112, Smoke::t_enum | Smoke::tf_stack },	//456
	{ "Qt::TransformationMode", 112, Smoke::t_enum | Smoke::tf_stack },	//457
	{ "Qt::UIEffect", 112, Smoke::t_enum | Smoke::tf_stack },	//458
	{ "Qt::WhiteSpaceMode", 112, Smoke::t_enum | Smoke::tf_stack },	//459
	{ "Qt::WidgetAttribute", 112, Smoke::t_enum | Smoke::tf_stack },	//460
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//461
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//462
	{ "Qt::WindowFrameSection", 112, Smoke::t_enum | Smoke::tf_stack },	//463
	{ "Qt::WindowModality", 112, Smoke::t_enum | Smoke::tf_stack },	//464
	{ "Qt::WindowState", 112, Smoke::t_enum | Smoke::tf_stack },	//465
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//466
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//467
	{ "Qt::WindowType", 112, Smoke::t_enum | Smoke::tf_stack },	//468
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//469
	{ "const Handler*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//470
	{ "const KAboutData*", 1, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//471
	{ "const KComponentData&", 5, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//472
	{ "const KConfigGroup&", 7, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//473
	{ "const KTextEditor::AnnotationInterface&", 21, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//474
	{ "const KTextEditor::AnnotationViewInterface&", 23, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//475
	{ "const KTextEditor::Attribute&", 24, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//476
	{ "const KTextEditor::CodeCompletionInterface&", 25, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//477
	{ "const KTextEditor::Command&", 28, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//478
	{ "const KTextEditor::CommandExtension&", 29, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//479
	{ "const KTextEditor::CommandInterface&", 30, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//480
	{ "const KTextEditor::ConfigInterface&", 31, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//481
	{ "const KTextEditor::ContainerInterface&", 33, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//482
	{ "const KTextEditor::Cursor&", 34, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//483
	{ "const KTextEditor::Mark&", 39, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//484
	{ "const KTextEditor::MarkInterface&", 40, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//485
	{ "const KTextEditor::MdiContainer&", 41, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//486
	{ "const KTextEditor::ModificationInterface&", 42, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//487
	{ "const KTextEditor::Range&", 44, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//488
	{ "const KTextEditor::Search::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack | Smoke::tf_const },	//489
	{ "const KTextEditor::SearchInterface&", 45, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//490
	{ "const KTextEditor::SessionConfigInterface&", 46, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//491
	{ "const KTextEditor::SmartCursor&", 47, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//492
	{ "const KTextEditor::SmartCursorWatcher&", 49, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//493
	{ "const KTextEditor::SmartInterface&", 50, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//494
	{ "const KTextEditor::SmartRange&", 51, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//495
	{ "const KTextEditor::SmartRange*", 51, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//496
	{ "const KTextEditor::SmartRangeWatcher&", 53, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//497
	{ "const KTextEditor::TemplateInterface&", 54, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//498
	{ "const KTextEditor::TextHintInterface&", 55, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//499
	{ "const KTextEditor::VariableInterface&", 56, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//500
	{ "const KUrl&", 58, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//501
	{ "const QBrush&", 63, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//502
	{ "const QDomDocument&", 68, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//503
	{ "const QDomElement&", 69, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//504
	{ "const QFont&", 76, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//505
	{ "const QHash<int,KTextEditor::Mark*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//506
	{ "const QImage&", 78, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//507
	{ "const QLine*", 81, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//508
	{ "const QLineF*", 82, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//509
	{ "const QList<KAction*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//510
	{ "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//511
	{ "const QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//512
	{ "const QList<KTextEditor::SmartRange*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//513
	{ "const QList<KTextEditor::SmartRangeNotifier*>", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//514
	{ "const QList<KTextEditor::SmartRangeWatcher*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//515
	{ "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//516
	{ "const QList<QModelIndex>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//517
	{ "const QList<QVariant>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//518
	{ "const QMap<QString,QString>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//519
	{ "const QMap<int,QVariant>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//520
	{ "const QMetaObject", 84, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//521
	{ "const QMetaObject*", 84, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//522
	{ "const QMimeData*", 85, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//523
	{ "const QModelIndex&", 86, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//524
	{ "const QPaintEngineState&", 92, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//525
	{ "const QPainterPath&", 94, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//526
	{ "const QPalette&", 95, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//527
	{ "const QPixmap&", 96, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//528
	{ "const QPoint&", 97, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//529
	{ "const QPoint*", 97, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//530
	{ "const QPointF&", 98, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//531
	{ "const QPointF*", 98, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//532
	{ "const QRect&", 99, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//533
	{ "const QRect*", 99, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//534
	{ "const QRectF&", 100, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//535
	{ "const QRectF*", 100, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//536
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//537
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//538
	{ "const QVariant&", 109, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//539
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//540
	{ "const int", 0, Smoke::t_int | Smoke::tf_stack | Smoke::tf_const },	//541
	{ "enum EditMode", 0, Smoke::t_voidp | Smoke::tf_stack },	//542
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//543
	{ "int&", 0, Smoke::t_voidp | Smoke::tf_ref },	//544
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//545
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//546
};

static Smoke::Index ktexteditor_argumentList[] = {
	0,	//0  (void)
	1, 0,	//1  KAction*  
	100, 0,	//3  KTextEditor::CodeCompletionModel*  
	111, 0,	//5  KTextEditor::Command*  
	117, 0,	//7  KTextEditor::Cursor  
	119, 119, 0,	//9  KTextEditor::Cursor*, KTextEditor::Cursor*  
	119, 488, 0,	//12  KTextEditor::Cursor*, const KTextEditor::Range&  
	120, 0,	//15  KTextEditor::Document*  
	120, 124, 127, 0,	//17  KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction  
	120, 157, 0,	//21  KTextEditor::Document*, KTextEditor::View*  
	120, 469, 131, 0,	//24  KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason  
	120, 488, 0,	//28  KTextEditor::Document*, const KTextEditor::Range&  
	120, 488, 488, 0,	//31  KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&  
	120, 488, 524, 0,	//35  KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&  
	120, 537, 537, 0,	//39  KTextEditor::Document*, const QString&, const QString&  
	121, 120, 0,	//43  KTextEditor::Editor*, KTextEditor::Document*  
	128, 0,	//46  KTextEditor::MarkInterface::MarkTypes  
	128, 528, 0,	//48  KTextEditor::MarkInterface::MarkTypes, const QPixmap&  
	128, 537, 0,	//51  KTextEditor::MarkInterface::MarkTypes, const QString&  
	13, 0,	//54  KConfig*  
	131, 0,	//56  KTextEditor::ModificationInterface::ModifiedOnDiskReason  
	135, 0,	//58  KTextEditor::Range*  
	141, 0,	//60  KTextEditor::SmartCursor*  
	141, 141, 0,	//62  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*  
	141, 141, 148, 0,	//65  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*  
	141, 141, 148, 150, 0,	//69  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors  
	141, 469, 0,	//74  KTextEditor::SmartCursor*, bool  
	143, 0,	//77  KTextEditor::SmartCursor::InsertBehavior  
	145, 0,	//79  KTextEditor::SmartCursorWatcher*  
	148, 0,	//81  KTextEditor::SmartRange*  
	148, 148, 0,	//83  KTextEditor::SmartRange*, KTextEditor::SmartRange*  
	148, 148, 148, 0,	//86  KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*  
	148, 157, 0,	//90  KTextEditor::SmartRange*, KTextEditor::View*  
	148, 469, 0,	//93  KTextEditor::SmartRange*, bool  
	148, 81, 81, 0,	//96  KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>  
	150, 0,	//100  KTextEditor::SmartRange::InsertBehaviors  
	152, 0,	//102  KTextEditor::SmartRangeNotifier*  
	153, 0,	//104  KTextEditor::SmartRangeWatcher*  
	157, 0,	//106  KTextEditor::View*  
	157, 148, 0,	//108  KTextEditor::View*, KTextEditor::SmartRange*  
	157, 148, 469, 0,	//111  KTextEditor::View*, KTextEditor::SmartRange*, bool  
	157, 158, 0,	//115  KTextEditor::View*, KTextEditor::View::EditMode  
	157, 273, 0,	//118  KTextEditor::View*, QMenu*  
	157, 273, 543, 0,	//121  KTextEditor::View*, QMenu*, int  
	157, 469, 0,	//125  KTextEditor::View*, bool  
	157, 483, 0,	//128  KTextEditor::View*, const KTextEditor::Cursor&  
	157, 483, 537, 0,	//131  KTextEditor::View*, const KTextEditor::Cursor&, const QString&  
	157, 488, 110, 0,	//135  KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType  
	157, 537, 0,	//139  KTextEditor::View*, const QString&  
	157, 537, 314, 0,	//142  KTextEditor::View*, const QString&, QString&  
	157, 543, 0,	//146  KTextEditor::View*, int  
	18, 0,	//149  KConfigGroup&  
	197, 0,	//151  QActionEvent*  
	207, 0,	//153  QChildEvent*  
	208, 0,	//155  QCloseEvent*  
	209, 0,	//157  QContextMenuEvent*  
	225, 0,	//159  QDragEnterEvent*  
	226, 0,	//161  QDragLeaveEvent*  
	227, 0,	//163  QDragMoveEvent*  
	228, 0,	//165  QDropEvent*  
	229, 0,	//167  QEvent*  
	237, 0,	//169  QFocusEvent*  
	252, 0,	//171  QHideEvent*  
	255, 0,	//173  QInputMethodEvent*  
	258, 0,	//175  QKeyEvent*  
	267, 374, 0,	//177  QMap<QString, QString>&, QWidget*  
	273, 0,	//180  QMenu*  
	276, 543, 546, 0,	//182  QMetaObject::Call, int, void**  
	279, 0,	//186  QMouseEvent*  
	280, 0,	//188  QMoveEvent*  
	284, 0,	//190  QObject*  
	284, 229, 0,	//192  QObject*, QEvent*  
	284, 540, 0,	//195  QObject*, const char*  
	284, 540, 538, 0,	//198  QObject*, const char*, const QStringList&  
	288, 0,	//202  QPaintDevice::PaintDeviceMetric  
	298, 0,	//204  QPaintEvent*  
	305, 0,	//206  QResizeEvent*  
	306, 0,	//208  QShowEvent*  
	318, 0,	//210  QStringList&  
	319, 0,	//212  QStyle&  
	338, 0,	//214  QTabletEvent*  
	361, 0,	//216  QTimerEvent*  
	373, 0,	//218  QWheelEvent*  
	374, 0,	//220  QWidget*  
	374, 284, 0,	//222  QWidget*, QObject*  
	374, 284, 540, 0,	//225  QWidget*, QObject*, const char*  
	374, 284, 540, 538, 0,	//229  QWidget*, QObject*, const char*, const QStringList&  
	374, 529, 0,	//234  QWidget*, const QPoint&  
	415, 0,	//237  Qt::InputMethodQuery  
	469, 0,	//239  bool  
	472, 0,	//241  const KComponentData&  
	472, 469, 0,	//243  const KComponentData&, bool  
	473, 0,	//246  const KConfigGroup&  
	474, 0,	//248  const KTextEditor::AnnotationInterface&  
	475, 0,	//250  const KTextEditor::AnnotationViewInterface&  
	476, 0,	//252  const KTextEditor::Attribute&  
	477, 0,	//254  const KTextEditor::CodeCompletionInterface&  
	478, 0,	//256  const KTextEditor::Command&  
	479, 0,	//258  const KTextEditor::CommandExtension&  
	480, 0,	//260  const KTextEditor::CommandInterface&  
	481, 0,	//262  const KTextEditor::ConfigInterface&  
	482, 0,	//264  const KTextEditor::ContainerInterface&  
	483, 0,	//266  const KTextEditor::Cursor&  
	483, 120, 143, 0,	//268  const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior  
	483, 143, 0,	//272  const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior  
	483, 312, 0,	//275  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*  
	483, 312, 312, 0,	//278  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*  
	483, 314, 0,	//282  const KTextEditor::Cursor&, QString&  
	483, 483, 0,	//285  const KTextEditor::Cursor&, const KTextEditor::Cursor&  
	483, 483, 148, 0,	//288  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*  
	483, 483, 148, 150, 0,	//292  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors  
	483, 537, 0,	//297  const KTextEditor::Cursor&, const QString&  
	483, 537, 469, 0,	//300  const KTextEditor::Cursor&, const QString&, bool  
	483, 537, 519, 0,	//304  const KTextEditor::Cursor&, const QString&, const QMap<QString, QString>&  
	483, 538, 0,	//308  const KTextEditor::Cursor&, const QStringList&  
	483, 538, 469, 0,	//311  const KTextEditor::Cursor&, const QStringList&, bool  
	483, 543, 0,	//315  const KTextEditor::Cursor&, int  
	483, 543, 469, 0,	//318  const KTextEditor::Cursor&, int, bool  
	483, 543, 543, 0,	//322  const KTextEditor::Cursor&, int, int  
	484, 0,	//326  const KTextEditor::Mark&  
	485, 0,	//328  const KTextEditor::MarkInterface&  
	486, 0,	//330  const KTextEditor::MdiContainer&  
	487, 0,	//332  const KTextEditor::ModificationInterface&  
	488, 0,	//334  const KTextEditor::Range&  
	488, 100, 0,	//336  const KTextEditor::Range&, KTextEditor::CodeCompletionModel*  
	488, 148, 0,	//339  const KTextEditor::Range&, KTextEditor::SmartRange*  
	488, 148, 150, 0,	//342  const KTextEditor::Range&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors  
	488, 150, 0,	//346  const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors  
	488, 469, 0,	//349  const KTextEditor::Range&, bool  
	488, 537, 0,	//352  const KTextEditor::Range&, const QString&  
	488, 537, 469, 0,	//355  const KTextEditor::Range&, const QString&, bool  
	488, 537, 489, 0,	//359  const KTextEditor::Range&, const QString&, const KTextEditor::Search::SearchOptions  
	488, 538, 0,	//363  const KTextEditor::Range&, const QStringList&  
	488, 538, 469, 0,	//366  const KTextEditor::Range&, const QStringList&, bool  
	490, 0,	//370  const KTextEditor::SearchInterface&  
	491, 0,	//372  const KTextEditor::SessionConfigInterface&  
	492, 0,	//374  const KTextEditor::SmartCursor&  
	493, 0,	//376  const KTextEditor::SmartCursorWatcher&  
	494, 0,	//378  const KTextEditor::SmartInterface&  
	495, 0,	//380  const KTextEditor::SmartRange&  
	496, 0,	//382  const KTextEditor::SmartRange*  
	497, 0,	//384  const KTextEditor::SmartRangeWatcher&  
	498, 0,	//386  const KTextEditor::TemplateInterface&  
	499, 0,	//388  const KTextEditor::TextHintInterface&  
	500, 0,	//390  const KTextEditor::VariableInterface&  
	501, 0,	//392  const KUrl&  
	502, 0,	//394  const QBrush&  
	503, 0,	//396  const QDomDocument&  
	503, 469, 0,	//398  const QDomDocument&, bool  
	504, 0,	//401  const QDomElement&  
	505, 0,	//403  const QFont&  
	517, 0,	//405  const QList<QModelIndex>&  
	523, 403, 543, 543, 524, 0,	//407  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&  
	524, 0,	//413  const QModelIndex&  
	524, 520, 0,	//415  const QModelIndex&, const QMap<int, QVariant>&  
	524, 539, 0,	//418  const QModelIndex&, const QVariant&  
	524, 539, 543, 0,	//421  const QModelIndex&, const QVariant&, int  
	524, 543, 0,	//425  const QModelIndex&, int  
	524, 543, 539, 0,	//428  const QModelIndex&, int, const QVariant&  
	524, 543, 539, 543, 0,	//432  const QModelIndex&, int, const QVariant&, int  
	524, 543, 539, 543, 428, 0,	//437  const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags  
	527, 0,	//443  const QPalette&  
	537, 0,	//445  const QString&  
	537, 179, 0,	//447  const QString&, KXMLGUIClient::ReverseStateChange  
	537, 469, 0,	//450  const QString&, bool  
	537, 469, 469, 0,	//453  const QString&, bool, bool  
	537, 539, 0,	//457  const QString&, const QVariant&  
	538, 0,	//460  const QStringList&  
	538, 469, 0,	//462  const QStringList&, bool  
	540, 0,	//465  const char*  
	540, 374, 284, 518, 537, 0,	//467  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&  
	543, 0,	//473  int  
	543, 142, 0,	//475  int, KTextEditor::SmartCursor::AdvanceMode  
	543, 374, 0,	//478  int, QWidget*  
	543, 416, 0,	//481  int, Qt::ItemDataRole  
	543, 434, 0,	//484  int, Qt::Orientation  
	543, 434, 539, 0,	//487  int, Qt::Orientation, const QVariant&  
	543, 434, 539, 543, 0,	//491  int, Qt::Orientation, const QVariant&, int  
	543, 434, 543, 0,	//496  int, Qt::Orientation, int  
	543, 444, 0,	//500  int, Qt::SortOrder  
	543, 537, 0,	//503  int, const QString&  
	543, 538, 0,	//506  int, const QStringList&  
	543, 543, 0,	//509  int, int  
	543, 543, 143, 0,	//512  int, int, KTextEditor::SmartCursor::InsertBehavior  
	543, 543, 524, 0,	//516  int, int, const QModelIndex&  
	543, 543, 543, 543, 0,	//520  int, int, int, int  
	543, 543, 543, 543, 148, 0,	//525  int, int, int, int, KTextEditor::SmartRange*  
	543, 543, 543, 543, 148, 150, 0,	//531  int, int, int, int, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors  
	543, 545, 0,	//538  int, uint  
	544, 544, 0,	//541  int&, int&  
	545, 0,	//544  uint  
	66, 0,	//546  KParts::GUIActivateEvent*  
	68, 0,	//548  KParts::PartActivateEvent*  
	70, 0,	//550  KParts::PartManager*  
	73, 0,	//552  KParts::PartSelectEvent*  
	80, 284, 0,	//554  KSharedPtr<KService>, QObject*  
	81, 0,	//557  KSharedPtr<KTextEditor::Attribute>  
	89, 0,	//559  KTextEditor::AnnotationModel*  
	93, 0,	//561  KTextEditor::Attribute::ActivationType  
	93, 81, 0,	//563  KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>  
	96, 0,	//566  KTextEditor::Attribute::Effects  
};

// Raw list of all methods, using munged names
static const char *ktexteditor_methodNames[] = {
    "",	//0
    "AccessibilityAccept",	//1
    "AccessibilityNext",	//2
    "AccessibilityPrevious",	//3
    "ActivateCaretIn",	//4
    "ActivateMouseIn",	//5
    "AnnotationInterface",	//6
    "AnnotationInterface#",	//7
    "AnnotationModel",	//8
    "AnnotationViewInterface",	//9
    "AnnotationViewInterface#",	//10
    "ArgumentHintDepth",	//11
    "Arguments",	//12
    "Attribute",	//13
    "Attribute#",	//14
    "AttributeDynamicEffect",	//15
    "AttributeInternalProperty",	//16
    "AttributeUserProperty",	//17
    "AutomaticInvocation",	//18
    "BackgroundFillWhitespace",	//19
    "BestMatchesCount",	//20
    "Bookmark",	//21
    "BreakpointActive",	//22
    "BreakpointDisabled",	//23
    "BreakpointReached",	//24
    "ByCharacter",	//25
    "ByCursorPosition",	//26
    "Class",	//27
    "CodeCompletionInterface",	//28
    "CodeCompletionInterface#",	//29
    "CodeCompletionModel",	//30
    "CodeCompletionModel#",	//31
    "CodeCompletionModel2",	//32
    "CodeCompletionModel2#",	//33
    "ColumnCount",	//34
    "Command",	//35
    "Command#",	//36
    "CommandExtension",	//37
    "CommandExtension#",	//38
    "CommandInterface",	//39
    "CommandInterface#",	//40
    "CompletionRole",	//41
    "ConfigInterface",	//42
    "ConfigInterface#",	//43
    "ConfigPage",	//44
    "ConfigPage#",	//45
    "Const",	//46
    "ContainerInterface",	//47
    "ContainerInterface#",	//48
    "Cursor",	//49
    "Cursor#",	//50
    "Cursor$$",	//51
    "CustomHighlight",	//52
    "CustomHighlighting",	//53
    "DoNotExpand",	//54
    "Document",	//55
    "Document#",	//56
    "EditInsert",	//57
    "EditOverwrite",	//58
    "Editor",	//59
    "Editor#",	//60
    "EditorChooser",	//61
    "EditorChooser#",	//62
    "EffectCycleGradient",	//63
    "EffectFadeIn",	//64
    "EffectFadeOut",	//65
    "EffectNone",	//66
    "EffectPulse",	//67
    "Enum",	//68
    "Error",	//69
    "Execution",	//70
    "ExpandLeft",	//71
    "ExpandRight",	//72
    "ExpandingWidget",	//73
    "Factory",	//74
    "Factory#",	//75
    "FirstProperty",	//76
    "Friend",	//77
    "Function",	//78
    "GlobalScope",	//79
    "GroupRole",	//80
    "HighlightingMethod",	//81
    "Icon",	//82
    "InheritanceDepth",	//83
    "Inline",	//84
    "InternalHighlighting",	//85
    "IsExpandable",	//86
    "ItemSelected",	//87
    "LastItemDataRole",	//88
    "LastProperty",	//89
    "LocalScope",	//90
    "ManualInvocation",	//91
    "Mark",	//92
    "Mark#",	//93
    "MarkAdded",	//94
    "MarkInterface",	//95
    "MarkInterface#",	//96
    "MarkRemoved",	//97
    "MatchQuality",	//98
    "MdiContainer",	//99
    "MdiContainer#",	//100
    "ModificationInterface",	//101
    "ModificationInterface#",	//102
    "MoveOnInsert",	//103
    "Name",	//104
    "Namespace",	//105
    "NamespaceScope",	//106
    "NoHighlighting",	//107
    "NoProperty",	//108
    "OnDiskCreated",	//109
    "OnDiskDeleted",	//110
    "OnDiskModified",	//111
    "OnDiskUnmodified",	//112
    "Outline",	//113
    "Override",	//114
    "Plugin",	//115
    "Plugin#",	//116
    "Postfix",	//117
    "Prefix",	//118
    "Private",	//119
    "Protected",	//120
    "Public",	//121
    "Range",	//122
    "Range#",	//123
    "Range##",	//124
    "Range#$",	//125
    "Range#$$",	//126
    "Range$$$$",	//127
    "Scope",	//128
    "ScopeIndex",	//129
    "SearchInterface",	//130
    "SearchInterface#",	//131
    "SelectedBackground",	//132
    "SelectedForeground",	//133
    "SessionConfigInterface",	//134
    "SessionConfigInterface#",	//135
    "SetMatchContext",	//136
    "Signal",	//137
    "Slot",	//138
    "SmartCursor",	//139
    "SmartCursor##$",	//140
    "SmartCursorNotifier",	//141
    "SmartCursorWatcher",	//142
    "SmartCursorWatcher#",	//143
    "SmartInterface",	//144
    "SmartInterface#",	//145
    "SmartRange",	//146
    "SmartRange##",	//147
    "SmartRange###",	//148
    "SmartRange###$",	//149
    "SmartRangeNotifier",	//150
    "SmartRangeWatcher",	//151
    "SmartRangeWatcher#",	//152
    "Static",	//153
    "StayOnInsert",	//154
    "Struct",	//155
    "Template",	//156
    "TemplateInterface",	//157
    "TemplateInterface#",	//158
    "TextHintInterface",	//159
    "TextHintInterface#",	//160
    "TypeAlias",	//161
    "Union",	//162
    "UserInvocation",	//163
    "Variable",	//164
    "VariableInterface",	//165
    "VariableInterface#",	//166
    "View",	//167
    "View#",	//168
    "Virtual",	//169
    "Warning",	//170
    "abortCompletion",	//171
    "aboutData",	//172
    "aboutToClose",	//173
    "aboutToClose#",	//174
    "aboutToReload",	//175
    "aboutToReload#",	//176
    "action",	//177
    "action#",	//178
    "actionCollection",	//179
    "actionEvent",	//180
    "actionEvent#",	//181
    "activeView",	//182
    "addActionsToDocument",	//183
    "addActionsToDocument#",	//184
    "addActionsToView",	//185
    "addActionsToView##",	//186
    "addDocument",	//187
    "addDocument#",	//188
    "addHighlightToDocument",	//189
    "addHighlightToDocument#",	//190
    "addHighlightToDocument#$",	//191
    "addHighlightToView",	//192
    "addHighlightToView##",	//193
    "addHighlightToView##$",	//194
    "addMark",	//195
    "addMark$$",	//196
    "addNotifier",	//197
    "addNotifier#",	//198
    "addView",	//199
    "addView#",	//200
    "addWatcher",	//201
    "addWatcher#",	//202
    "advance",	//203
    "advance$",	//204
    "advance$$",	//205
    "annotationActivated",	//206
    "annotationActivated#$",	//207
    "annotationBorderVisibilityChanged",	//208
    "annotationBorderVisibilityChanged#$",	//209
    "annotationContextMenuAboutToShow",	//210
    "annotationContextMenuAboutToShow##$",	//211
    "annotationModel",	//212
    "apply",	//213
    "associateAction",	//214
    "associateAction#",	//215
    "associatedActions",	//216
    "atEndOfDocument",	//217
    "atEndOfLine",	//218
    "atStartOfDocument",	//219
    "atStartOfLine",	//220
    "attribute",	//221
    "attributeDynamic",	//222
    "attributeDynamic?",	//223
    "attributeNotDynamic",	//224
    "attributeNotDynamic?",	//225
    "backgroundFillWhitespace",	//226
    "blockSelection",	//227
    "boundaryAtCursor",	//228
    "boundaryAtCursor#",	//229
    "boundaryOnLine",	//230
    "boundaryOnLine$",	//231
    "buddy",	//232
    "buddy#",	//233
    "canFetchMore",	//234
    "canFetchMore#",	//235
    "caretEnteredRange",	//236
    "caretEnteredRange##",	//237
    "caretExitedRange",	//238
    "caretExitedRange##",	//239
    "changeEvent",	//240
    "changeEvent#",	//241
    "changed",	//242
    "character",	//243
    "character#",	//244
    "characterDeleted",	//245
    "characterDeleted#$",	//246
    "characterInserted",	//247
    "characterInserted#$",	//248
    "checkFeedback",	//249
    "childAfter",	//250
    "childAfter#",	//251
    "childBefore",	//252
    "childBefore#",	//253
    "childEvent",	//254
    "childEvent#",	//255
    "childRangeInserted",	//256
    "childRangeInserted##",	//257
    "childRangeRemoved",	//258
    "childRangeRemoved##",	//259
    "childRanges",	//260
    "clear",	//261
    "clearAndDeleteChildRanges",	//262
    "clearAssociatedActions",	//263
    "clearChildRanges",	//264
    "clearDocumentActions",	//265
    "clearDocumentHighlights",	//266
    "clearMark",	//267
    "clearMark$",	//268
    "clearMarks",	//269
    "clearOnDocumentReload",	//270
    "clearRevision",	//271
    "clearSmartInterface",	//272
    "clearViewActions",	//273
    "clearViewActions#",	//274
    "clearViewHighlights",	//275
    "clearViewHighlights#",	//276
    "closeDocument",	//277
    "closeDocument#",	//278
    "closeEvent",	//279
    "closeEvent#",	//280
    "closeUrl",	//281
    "closeUrl$",	//282
    "closeView",	//283
    "closeView#",	//284
    "cmds",	//285
    "column",	//286
    "columnCount",	//287
    "columnCount#",	//288
    "columnWidth",	//289
    "commandList",	//290
    "commands",	//291
    "completionInvoked",	//292
    "completionInvoked##$",	//293
    "completionObject",	//294
    "completionObject#$",	//295
    "componentData",	//296
    "configDialog",	//297
    "configDialog#",	//298
    "configDialogSupported",	//299
    "configKeys",	//300
    "configPage",	//301
    "configPage$#",	//302
    "configPageFullName",	//303
    "configPageFullName$",	//304
    "configPageIcon",	//305
    "configPageIcon$",	//306
    "configPageName",	//307
    "configPageName$",	//308
    "configPages",	//309
    "configValue",	//310
    "configValue$",	//311
    "confineToRange",	//312
    "confineToRange#",	//313
    "connectNotify",	//314
    "connectNotify$",	//315
    "container",	//316
    "contains",	//317
    "contains#",	//318
    "containsColumn",	//319
    "containsColumn$",	//320
    "containsLine",	//321
    "containsLine$",	//322
    "contextMenu",	//323
    "contextMenuAboutToShow",	//324
    "contextMenuAboutToShow##",	//325
    "contextMenuEvent",	//326
    "contextMenuEvent#",	//327
    "create",	//328
    "create$##?$",	//329
    "createDocument",	//330
    "createDocument#",	//331
    "createNotifier",	//332
    "createObject",	//333
    "createObject#",	//334
    "createObject#$",	//335
    "createObject#$?",	//336
    "createPartObject",	//337
    "createPartObject#",	//338
    "createPartObject##",	//339
    "createPartObject##$",	//340
    "createPartObject##$?",	//341
    "createPlugin",	//342
    "createPlugin?#",	//343
    "createView",	//344
    "createView#",	//345
    "currentRevision",	//346
    "cursorChangedDirectly",	//347
    "cursorChangedDirectly#",	//348
    "cursorInText",	//349
    "cursorInText#",	//350
    "cursorPosition",	//351
    "cursorPositionChanged",	//352
    "cursorPositionChanged##",	//353
    "cursorPositionCoordinates",	//354
    "cursorPositionVirtual",	//355
    "cursorToCoordinate",	//356
    "cursorToCoordinate#",	//357
    "customEvent",	//358
    "customEvent#",	//359
    "data",	//360
    "data#",	//361
    "data#$",	//362
    "data$$",	//363
    "deepestRangeContaining",	//364
    "deepestRangeContaining#",	//365
    "deepestRangeContaining#?",	//366
    "deepestRangeContaining#??",	//367
    "defaultContextMenu",	//368
    "defaultContextMenu#",	//369
    "defaults",	//370
    "deleteChildRanges",	//371
    "deleteCursors",	//372
    "deleteNotifier",	//373
    "deletePrimaryNotifier",	//374
    "deleteRanges",	//375
    "deleted",	//376
    "deleted#",	//377
    "depth",	//378
    "devType",	//379
    "disableTextHints",	//380
    "disconnectNotify",	//381
    "disconnectNotify$",	//382
    "dissociateAction",	//383
    "dissociateAction#",	//384
    "document",	//385
    "documentActions",	//386
    "documentCreated",	//387
    "documentCreated##",	//388
    "documentEnd",	//389
    "documentHighlights",	//390
    "documentName",	//391
    "documentNameChanged",	//392
    "documentNameChanged#",	//393
    "documentRange",	//394
    "documentReload",	//395
    "documentSave",	//396
    "documentSaveAs",	//397
    "documentUrlChanged",	//398
    "documentUrlChanged#",	//399
    "documents",	//400
    "domDocument",	//401
    "dragEnterEvent",	//402
    "dragEnterEvent#",	//403
    "dragLeaveEvent",	//404
    "dragLeaveEvent#",	//405
    "dragMoveEvent",	//406
    "dragMoveEvent#",	//407
    "dropEvent",	//408
    "dropEvent#",	//409
    "dropMimeData",	//410
    "dropMimeData#$$$#",	//411
    "dynamicAttribute",	//412
    "dynamicAttribute$",	//413
    "editableMarks",	//414
    "editor",	//415
    "editor$",	//416
    "editor$$",	//417
    "effects",	//418
    "embed",	//419
    "embed#",	//420
    "enableTextHints",	//421
    "enableTextHints$",	//422
    "enabledChange",	//423
    "enabledChange$",	//424
    "encoding",	//425
    "encompass",	//426
    "encompass#",	//427
    "end",	//428
    "endEditing",	//429
    "endOfLine",	//430
    "endOfLine$",	//431
    "enterEvent",	//432
    "enterEvent#",	//433
    "event",	//434
    "event#",	//435
    "eventFilter",	//436
    "eventFilter##",	//437
    "exec",	//438
    "exec#$$",	//439
    "executeCompletionItem2",	//440
    "executeCompletionItem2###",	//441
    "expandMacros",	//442
    "expandMacros?#",	//443
    "expandToRange",	//444
    "expandToRange#",	//445
    "fetchMore",	//446
    "fetchMore#",	//447
    "firstRangeContaining",	//448
    "firstRangeContaining#",	//449
    "flagCompletions",	//450
    "flagCompletions?",	//451
    "flags",	//452
    "flags#",	//453
    "focusIn",	//454
    "focusIn#",	//455
    "focusInEvent",	//456
    "focusInEvent#",	//457
    "focusNextPrevChild",	//458
    "focusNextPrevChild$",	//459
    "focusOut",	//460
    "focusOut#",	//461
    "focusOutEvent",	//462
    "focusOutEvent#",	//463
    "fontBold",	//464
    "fontChange",	//465
    "fontChange#",	//466
    "forceCompletion",	//467
    "guiActivateEvent",	//468
    "guiActivateEvent#",	//469
    "hasAnyProperty",	//470
    "hasChildren",	//471
    "hasChildren#",	//472
    "hasNotifier",	//473
    "hasParent",	//474
    "hasParent#",	//475
    "headerData",	//476
    "headerData$$",	//477
    "headerData$$$",	//478
    "heightForWidth",	//479
    "heightForWidth$",	//480
    "help",	//481
    "help#$$",	//482
    "hideEvent",	//483
    "hideEvent#",	//484
    "highlightingMode",	//485
    "highlightingModeChanged",	//486
    "highlightingModeChanged#",	//487
    "highlightingModeSection",	//488
    "highlightingModeSection$",	//489
    "highlightingModes",	//490
    "hitTest",	//491
    "hitTest##",	//492
    "horizontalScrollPositionChanged",	//493
    "horizontalScrollPositionChanged#",	//494
    "index",	//495
    "index$$",	//496
    "index$$#",	//497
    "informationMessage",	//498
    "informationMessage#$",	//499
    "inputMethodEvent",	//500
    "inputMethodEvent#",	//501
    "inputMethodQuery",	//502
    "inputMethodQuery$",	//503
    "insertBehavior",	//504
    "insertColumns",	//505
    "insertColumns$$",	//506
    "insertColumns$$#",	//507
    "insertLine",	//508
    "insertLine$$",	//509
    "insertLines",	//510
    "insertLines$?",	//511
    "insertRows",	//512
    "insertRows$$",	//513
    "insertRows$$#",	//514
    "insertTemplateText",	//515
    "insertTemplateText#$?",	//516
    "insertTemplateTextImplementation",	//517
    "insertTemplateTextImplementation#$?",	//518
    "insertText",	//519
    "insertText#$",	//520
    "insertText#$$",	//521
    "insertText#?",	//522
    "insertText#?$",	//523
    "insertText$",	//524
    "insertText?",	//525
    "insertText?$",	//526
    "intersect",	//527
    "intersect#",	//528
    "invalid",	//529
    "isActiveView",	//530
    "isAnnotationBorderVisible",	//531
    "isAutomaticInvocationEnabled",	//532
    "isCompletionActive",	//533
    "isEmpty",	//534
    "isSmartCursor",	//535
    "isSmartRange",	//536
    "isValid",	//537
    "itemData",	//538
    "itemData#",	//539
    "keyPressEvent",	//540
    "keyPressEvent#",	//541
    "keyReleaseEvent",	//542
    "keyReleaseEvent#",	//543
    "languageChange",	//544
    "leaveEvent",	//545
    "leaveEvent#",	//546
    "line",	//547
    "line$",	//548
    "lineChanged",	//549
    "lineChanged$",	//550
    "lineLength",	//551
    "lineLength$",	//552
    "lines",	//553
    "localXMLFile",	//554
    "mark",	//555
    "mark$",	//556
    "markChanged",	//557
    "markChanged##$",	//558
    "markDescription",	//559
    "markDescription$",	//560
    "markPixmap",	//561
    "markPixmap$",	//562
    "markType01",	//563
    "markType02",	//564
    "markType03",	//565
    "markType04",	//566
    "markType05",	//567
    "markType06",	//568
    "markType07",	//569
    "markType08",	//570
    "markType09",	//571
    "markType10",	//572
    "markType11",	//573
    "markType12",	//574
    "markType13",	//575
    "markType14",	//576
    "markType15",	//577
    "markType16",	//578
    "markType17",	//579
    "markType18",	//580
    "markType19",	//581
    "markType20",	//582
    "markType21",	//583
    "markType22",	//584
    "markType23",	//585
    "markType24",	//586
    "markType25",	//587
    "markType26",	//588
    "markType27",	//589
    "markType28",	//590
    "markType29",	//591
    "markType30",	//592
    "markType31",	//593
    "markType32",	//594
    "marks",	//595
    "marksChanged",	//596
    "marksChanged#",	//597
    "match",	//598
    "match#$#",	//599
    "match#$#$",	//600
    "match#$#$$",	//601
    "metaObject",	//602
    "metric",	//603
    "metric$",	//604
    "mimeData",	//605
    "mimeData?",	//606
    "mimeType",	//607
    "mimeTypes",	//608
    "minimumSizeHint",	//609
    "mode",	//610
    "modeChanged",	//611
    "modeChanged#",	//612
    "modeSection",	//613
    "modeSection$",	//614
    "modes",	//615
    "modifiedChanged",	//616
    "modifiedChanged#",	//617
    "modifiedOnDisk",	//618
    "modifiedOnDisk#$$",	//619
    "mostSpecificRange",	//620
    "mostSpecificRange#",	//621
    "mouseDoubleClickEvent",	//622
    "mouseDoubleClickEvent#",	//623
    "mouseEnteredRange",	//624
    "mouseEnteredRange##",	//625
    "mouseExitedRange",	//626
    "mouseExitedRange##",	//627
    "mouseMoveEvent",	//628
    "mouseMoveEvent#",	//629
    "mousePositionChanged",	//630
    "mousePositionChanged##",	//631
    "mousePressEvent",	//632
    "mousePressEvent#",	//633
    "mouseReleaseEvent",	//634
    "mouseReleaseEvent#",	//635
    "mouseTrackingEnabled",	//636
    "moveEvent",	//637
    "moveEvent#",	//638
    "needTextHint",	//639
    "needTextHint#$",	//640
    "newSmartCursor",	//641
    "newSmartCursor#",	//642
    "newSmartCursor#$",	//643
    "newSmartCursor$$",	//644
    "newSmartCursor$$$",	//645
    "newSmartRange",	//646
    "newSmartRange#",	//647
    "newSmartRange##",	//648
    "newSmartRange###",	//649
    "newSmartRange###$",	//650
    "newSmartRange##$",	//651
    "newSmartRange$$$$",	//652
    "newSmartRange$$$$#",	//653
    "newSmartRange$$$$#$",	//654
    "notifier",	//655
    "notifiers",	//656
    "numberOfLines",	//657
    "onSingleLine",	//658
    "openFile",	//659
    "openUrl",	//660
    "openUrl#",	//661
    "openingError",	//662
    "openingErrorMessage",	//663
    "operator+=",	//664
    "operator+=#",	//665
    "operator=",	//666
    "operator=#",	//667
    "outline",	//668
    "overlaps",	//669
    "overlaps#",	//670
    "overlapsColumn",	//671
    "overlapsColumn$",	//672
    "overlapsLine",	//673
    "overlapsLine$",	//674
    "paintEngine",	//675
    "paintEvent",	//676
    "paintEvent#",	//677
    "paletteChange",	//678
    "paletteChange#",	//679
    "parent",	//680
    "parent#",	//681
    "parentRange",	//682
    "parentRangeChanged",	//683
    "parentRangeChanged###",	//684
    "partActivateEvent",	//685
    "partActivateEvent#",	//686
    "partComponentData",	//687
    "partSelectEvent",	//688
    "partSelectEvent#",	//689
    "position",	//690
    "position$$",	//691
    "positionChanged",	//692
    "positionChanged#",	//693
    "positionDeleted",	//694
    "positionDeleted#",	//695
    "positionRelativeToCursor",	//696
    "positionRelativeToCursor#",	//697
    "positionRelativeToLine",	//698
    "positionRelativeToLine$",	//699
    "primaryNotifier",	//700
    "processText",	//701
    "processText#$",	//702
    "qt_metacall",	//703
    "qt_metacall$$?",	//704
    "queryClose",	//705
    "queryCommand",	//706
    "queryCommand$",	//707
    "range",	//708
    "rangeAttributeChanged",	//709
    "rangeAttributeChanged#??",	//710
    "rangeChanged",	//711
    "rangeChanged##",	//712
    "rangeContentsChanged",	//713
    "rangeContentsChanged#",	//714
    "rangeContentsChanged##",	//715
    "rangeDeleted",	//716
    "rangeDeleted#",	//717
    "rangeEliminated",	//718
    "rangeEliminated#",	//719
    "rangePositionChanged",	//720
    "rangePositionChanged#",	//721
    "readAppSetting",	//722
    "readAppSetting$",	//723
    "readConfig",	//724
    "readConfig#",	//725
    "readSessionConfig",	//726
    "readSessionConfig#",	//727
    "registerCommand",	//728
    "registerCommand#",	//729
    "registerCompletionModel",	//730
    "registerCompletionModel#",	//731
    "releaseRevision",	//732
    "releaseRevision$",	//733
    "removeActionsFromDocument",	//734
    "removeActionsFromDocument#",	//735
    "removeActionsFromView",	//736
    "removeActionsFromView##",	//737
    "removeColumns",	//738
    "removeColumns$$",	//739
    "removeColumns$$#",	//740
    "removeDocument",	//741
    "removeDocument#",	//742
    "removeHighlightFromDocument",	//743
    "removeHighlightFromDocument#",	//744
    "removeHighlightFromView",	//745
    "removeHighlightFromView##",	//746
    "removeLine",	//747
    "removeLine$",	//748
    "removeMark",	//749
    "removeMark$$",	//750
    "removeNotifier",	//751
    "removeNotifier#",	//752
    "removeRows",	//753
    "removeRows$$",	//754
    "removeRows$$#",	//755
    "removeSelection",	//756
    "removeSelectionText",	//757
    "removeText",	//758
    "removeText#",	//759
    "removeText#$",	//760
    "removeText$",	//761
    "removeView",	//762
    "removeView#",	//763
    "removeWatcher",	//764
    "removeWatcher#",	//765
    "replaceText",	//766
    "replaceText#$",	//767
    "replaceText#$$",	//768
    "replaceText#?",	//769
    "replaceText#?$",	//770
    "replaceText?",	//771
    "replaceText?$",	//772
    "reservedMarkersCount",	//773
    "reset",	//774
    "resizeEvent",	//775
    "resizeEvent#",	//776
    "revert",	//777
    "rowCount",	//778
    "rowCount#",	//779
    "save",	//780
    "saveAs",	//781
    "saveAs#",	//782
    "saveFile",	//783
    "saveToUrl",	//784
    "searchText",	//785
    "searchText#$",	//786
    "searchText#$$",	//787
    "selectedBackground",	//788
    "selectedForeground",	//789
    "selection",	//790
    "selectionChanged",	//791
    "selectionChanged#",	//792
    "selectionRange",	//793
    "selectionText",	//794
    "setActiveView",	//795
    "setActiveView#",	//796
    "setAnnotationBorderVisible",	//797
    "setAnnotationBorderVisible$",	//798
    "setAnnotationModel",	//799
    "setAnnotationModel#",	//800
    "setAttribute",	//801
    "setAttribute?",	//802
    "setAutomaticInvocationEnabled",	//803
    "setAutomaticInvocationEnabled$",	//804
    "setBackgroundFillWhitespace",	//805
    "setBackgroundFillWhitespace$",	//806
    "setBlockSelection",	//807
    "setBlockSelection$",	//808
    "setBothColumns",	//809
    "setBothColumns$",	//810
    "setBothLines",	//811
    "setBothLines$",	//812
    "setClearOnDocumentReload",	//813
    "setClearOnDocumentReload$",	//814
    "setColumn",	//815
    "setColumn$",	//816
    "setComponentData",	//817
    "setComponentData#",	//818
    "setComponentData#$",	//819
    "setConfigValue",	//820
    "setConfigValue$#",	//821
    "setContainer",	//822
    "setContainer#",	//823
    "setContextMenu",	//824
    "setContextMenu#",	//825
    "setCursorPosition",	//826
    "setCursorPosition#",	//827
    "setDOMDocument",	//828
    "setDOMDocument#",	//829
    "setDOMDocument#$",	//830
    "setData",	//831
    "setData##",	//832
    "setData##$",	//833
    "setDynamicAttribute",	//834
    "setDynamicAttribute$?",	//835
    "setEditableMarks",	//836
    "setEditableMarks$",	//837
    "setEffects",	//838
    "setEffects$",	//839
    "setEncoding",	//840
    "setEncoding$",	//841
    "setFontBold",	//842
    "setFontBold$",	//843
    "setHeaderData",	//844
    "setHeaderData$$#",	//845
    "setHeaderData$$#$",	//846
    "setHighlightingMode",	//847
    "setHighlightingMode$",	//848
    "setInsertBehavior",	//849
    "setInsertBehavior$",	//850
    "setItemData",	//851
    "setItemData#?",	//852
    "setLine",	//853
    "setLine$",	//854
    "setLocalXMLFile",	//855
    "setLocalXMLFile$",	//856
    "setManager",	//857
    "setManager#",	//858
    "setMark",	//859
    "setMark$$",	//860
    "setMarkDescription",	//861
    "setMarkDescription$$",	//862
    "setMarkPixmap",	//863
    "setMarkPixmap$#",	//864
    "setMode",	//865
    "setMode$",	//866
    "setModified",	//867
    "setModified$",	//868
    "setModifiedOnDisk",	//869
    "setModifiedOnDisk$",	//870
    "setModifiedOnDiskWarning",	//871
    "setModifiedOnDiskWarning$",	//872
    "setMouseTrackingEnabled",	//873
    "setMouseTrackingEnabled$",	//874
    "setOpeningError",	//875
    "setOpeningError$",	//876
    "setOpeningErrorMessage",	//877
    "setOpeningErrorMessage$",	//878
    "setOutline",	//879
    "setOutline#",	//880
    "setParentRange",	//881
    "setParentRange#",	//882
    "setPosition",	//883
    "setPosition#",	//884
    "setPosition$$",	//885
    "setRange",	//886
    "setRange#",	//887
    "setRange##",	//888
    "setReadWrite",	//889
    "setReadWrite$",	//890
    "setRowCount",	//891
    "setRowCount$",	//892
    "setSelectable",	//893
    "setSelectable$",	//894
    "setSelectedBackground",	//895
    "setSelectedBackground#",	//896
    "setSelectedForeground",	//897
    "setSelectedForeground#",	//898
    "setSelection",	//899
    "setSelection#",	//900
    "setSelection#$",	//901
    "setSelection#$$",	//902
    "setSimpleMode",	//903
    "setSimpleMode$",	//904
    "setSuppressOpeningErrorDialogs",	//905
    "setSuppressOpeningErrorDialogs$",	//906
    "setText",	//907
    "setText$",	//908
    "setText?",	//909
    "setType",	//910
    "setType$",	//911
    "setVisible",	//912
    "setVisible$",	//913
    "setWantsDirectChanges",	//914
    "setWantsDirectChanges$",	//915
    "setWatcher",	//916
    "setWatcher#",	//917
    "setWidget",	//918
    "setWidget#",	//919
    "setXML",	//920
    "setXML$",	//921
    "setXML$$",	//922
    "setXMLFile",	//923
    "setXMLFile$",	//924
    "setXMLFile$$",	//925
    "setXMLFile$$$",	//926
    "setupTranslations",	//927
    "showEvent",	//928
    "showEvent#",	//929
    "simpleMode",	//930
    "sizeHint",	//931
    "slotModifiedOnDisk",	//932
    "slotModifiedOnDisk#",	//933
    "smartEnd",	//934
    "smartMutex",	//935
    "smartRange",	//936
    "smartStart",	//937
    "sort",	//938
    "sort$",	//939
    "sort$$",	//940
    "span",	//941
    "span#",	//942
    "start",	//943
    "startCompletion",	//944
    "startCompletion##",	//945
    "startEditing",	//946
    "stateChanged",	//947
    "stateChanged$",	//948
    "stateChanged$$",	//949
    "styleChange",	//950
    "styleChange#",	//951
    "submit",	//952
    "supportedDropActions",	//953
    "supportedSearchOptions",	//954
    "suppressOpeningErrorDialogs",	//955
    "tabletEvent",	//956
    "tabletEvent#",	//957
    "text",	//958
    "text#",	//959
    "text#$",	//960
    "text$",	//961
    "textChanged",	//962
    "textChanged#",	//963
    "textChanged###",	//964
    "textInserted",	//965
    "textInserted##",	//966
    "textInserted##$",	//967
    "textLines",	//968
    "textLines#",	//969
    "textLines#$",	//970
    "textRemoved",	//971
    "textRemoved##",	//972
    "timerEvent",	//973
    "timerEvent#",	//974
    "toSmartCursor",	//975
    "toSmartRange",	//976
    "topParentRange",	//977
    "totalCharacters",	//978
    "translateFromRevision",	//979
    "translateFromRevision#",	//980
    "translateFromRevision#$",	//981
    "type",	//982
    "unbindSmartRange",	//983
    "unbindSmartRange#",	//984
    "unregisterCommand",	//985
    "unregisterCommand#",	//986
    "unregisterCompletionModel",	//987
    "unregisterCompletionModel#",	//988
    "useRevision",	//989
    "useRevision$",	//990
    "variable",	//991
    "variable$",	//992
    "variableChanged",	//993
    "variableChanged#$$",	//994
    "verticalScrollPositionChanged",	//995
    "verticalScrollPositionChanged##",	//996
    "viewActions",	//997
    "viewActions#",	//998
    "viewCreated",	//999
    "viewCreated##",	//1000
    "viewEditMode",	//1001
    "viewEditModeChanged",	//1002
    "viewEditModeChanged#$",	//1003
    "viewHighlights",	//1004
    "viewHighlights#",	//1005
    "viewMode",	//1006
    "viewModeChanged",	//1007
    "viewModeChanged#",	//1008
    "views",	//1009
    "wantsDirectChanges",	//1010
    "wantsToProcessText",	//1011
    "wantsToProcessText$",	//1012
    "watcher",	//1013
    "watchers",	//1014
    "wheelEvent",	//1015
    "wheelEvent#",	//1016
    "widget",	//1017
    "windowActivationChange",	//1018
    "windowActivationChange$",	//1019
    "writeAppSetting",	//1020
    "writeAppSetting$",	//1021
    "writeConfig",	//1022
    "writeConfig#",	//1023
    "writeSessionConfig",	//1024
    "writeSessionConfig#",	//1025
    "xmlFile",	//1026
    "~AnnotationInterface",	//1027
    "~AnnotationModel",	//1028
    "~AnnotationViewInterface",	//1029
    "~Attribute",	//1030
    "~CodeCompletionInterface",	//1031
    "~CodeCompletionModel",	//1032
    "~CodeCompletionModel2",	//1033
    "~Command",	//1034
    "~CommandExtension",	//1035
    "~CommandInterface",	//1036
    "~ConfigInterface",	//1037
    "~ConfigPage",	//1038
    "~ContainerInterface",	//1039
    "~Cursor",	//1040
    "~Document",	//1041
    "~Editor",	//1042
    "~EditorChooser",	//1043
    "~Factory",	//1044
    "~Mark",	//1045
    "~MarkInterface",	//1046
    "~MdiContainer",	//1047
    "~ModificationInterface",	//1048
    "~Plugin",	//1049
    "~Range",	//1050
    "~SearchInterface",	//1051
    "~SessionConfigInterface",	//1052
    "~SmartCursor",	//1053
    "~SmartCursorNotifier",	//1054
    "~SmartCursorWatcher",	//1055
    "~SmartInterface",	//1056
    "~SmartRange",	//1057
    "~SmartRangeNotifier",	//1058
    "~SmartRangeWatcher",	//1059
    "~TemplateInterface",	//1060
    "~TextHintInterface",	//1061
    "~VariableInterface",	//1062
    "~View",	//1063
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method ktexteditor_methods[] = {
	{10, 602, 0, 0, Smoke::mf_const, 522, 1},	//0 KParts::Factory::metaObject() const
	{10, 703, 182, 3, 0, 543, 2},	//1 KParts::Factory::qt_metacall(QMetaObject::Call, int, void**)
	{10, 687, 0, 0, 0, 12, 10},	//2 KParts::Factory::partComponentData()
	{10, 337, 229, 4, Smoke::mf_protected, 67, 12},	//3 KParts::Factory::createPartObject(QWidget*, QObject*, const char*, const QStringList&) [pure virtual]
	{10, 337, 225, 3, Smoke::mf_protected, 67, -1},	//4 KParts::Factory::createPartObject(QWidget*, QObject*, const char*) [pure virtual]
	{10, 337, 222, 2, Smoke::mf_protected, 67, -1},	//5 KParts::Factory::createPartObject(QWidget*, QObject*) [pure virtual]
	{10, 337, 220, 1, Smoke::mf_protected, 67, -1},	//6 KParts::Factory::createPartObject(QWidget*) [pure virtual]
	{10, 337, 0, 0, Smoke::mf_protected, 67, -1},	//7 KParts::Factory::createPartObject() [pure virtual]
	{10, 333, 198, 3, Smoke::mf_protected, 284, 13},	//8 KParts::Factory::createObject(QObject*, const char*, const QStringList&)
	{10, 333, 195, 2, Smoke::mf_protected, 284, 14},	//9 KParts::Factory::createObject(QObject*, const char*)
	{10, 333, 190, 1, Smoke::mf_protected, 284, 15},	//10 KParts::Factory::createObject(QObject*)
	{10, 333, 0, 0, Smoke::mf_protected, 284, 16},	//11 KParts::Factory::createObject()
	{12, 602, 0, 0, Smoke::mf_const, 522, 1},	//12 KParts::Part::metaObject() const
	{12, 703, 182, 3, 0, 543, 2},	//13 KParts::Part::qt_metacall(QMetaObject::Call, int, void**)
	{12, 419, 220, 1, 0, 0, 5},	//14 KParts::Part::embed(QWidget*)
	{12, 1017, 0, 0, 0, 374, 6},	//15 KParts::Part::widget()
	{12, 857, 550, 1, 0, 0, 7},	//16 KParts::Part::setManager(KParts::PartManager*)
	{12, 491, 234, 2, 0, 67, 11},	//17 KParts::Part::hitTest(QWidget*, const QPoint&)
	{12, 893, 239, 1, 0, 0, 12},	//18 KParts::Part::setSelectable(bool)
	{12, 918, 220, 1, Smoke::mf_protected, 0, 17},	//19 KParts::Part::setWidget(QWidget*)
	{12, 358, 167, 1, Smoke::mf_protected, 0, 18},	//20 KParts::Part::customEvent(QEvent*)
	{12, 685, 548, 1, Smoke::mf_protected, 0, 19},	//21 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
	{12, 688, 552, 1, Smoke::mf_protected, 0, 20},	//22 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
	{12, 468, 546, 1, Smoke::mf_protected, 0, 21},	//23 KParts::Part::guiActivateEvent(KParts::GUIActivateEvent*)
	{14, 817, 241, 1, Smoke::mf_protected, 0, 7},	//24 KParts::PartBase::setComponentData(const KComponentData&)
	{14, 817, 243, 2, Smoke::mf_protected, 0, 8},	//25 KParts::PartBase::setComponentData(const KComponentData&, bool)
	{17, 602, 0, 0, Smoke::mf_const, 522, 1},	//26 KParts::ReadOnlyPart::metaObject() const
	{17, 703, 182, 3, 0, 543, 2},	//27 KParts::ReadOnlyPart::qt_metacall(QMetaObject::Call, int, void**)
	{17, 281, 0, 0, 0, 469, 9},	//28 KParts::ReadOnlyPart::closeUrl()
	{17, 660, 392, 1, 0, 469, 16},	//29 KParts::ReadOnlyPart::openUrl(const KUrl&)
	{17, 659, 0, 0, Smoke::mf_protected, 469, 21},	//30 KParts::ReadOnlyPart::openFile() [pure virtual]
	{17, 468, 546, 1, Smoke::mf_protected, 0, 23},	//31 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
	{18, 602, 0, 0, Smoke::mf_const, 522, 1},	//32 KParts::ReadWritePart::metaObject() const
	{18, 703, 182, 3, 0, 543, 2},	//33 KParts::ReadWritePart::qt_metacall(QMetaObject::Call, int, void**)
	{18, 889, 239, 1, 0, 0, 6},	//34 KParts::ReadWritePart::setReadWrite(bool)
	{18, 889, 0, 0, 0, 0, 7},	//35 KParts::ReadWritePart::setReadWrite()
	{18, 705, 0, 0, 0, 469, 9},	//36 KParts::ReadWritePart::queryClose()
	{18, 281, 0, 0, 0, 469, 10},	//37 KParts::ReadWritePart::closeUrl()
	{18, 281, 239, 1, 0, 469, 11},	//38 KParts::ReadWritePart::closeUrl(bool)
	{18, 781, 392, 1, 0, 469, 12},	//39 KParts::ReadWritePart::saveAs(const KUrl&)
	{18, 867, 239, 1, 0, 0, 13},	//40 KParts::ReadWritePart::setModified(bool)
	{18, 780, 0, 0, 0, 469, 15},	//41 KParts::ReadWritePart::save()
	{18, 783, 0, 0, Smoke::mf_protected, 469, 18},	//42 KParts::ReadWritePart::saveFile() [pure virtual]
	{18, 784, 0, 0, Smoke::mf_protected, 469, 19},	//43 KParts::ReadWritePart::saveToUrl()
	{19, 602, 0, 0, Smoke::mf_const, 522, 1},	//44 KPluginFactory::metaObject() const
	{19, 703, 182, 3, 0, 543, 2},	//45 KPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
	{19, 927, 0, 0, Smoke::mf_protected, 0, 13},	//46 KPluginFactory::setupTranslations()
	{19, 328, 467, 5, Smoke::mf_protected, 284, 15},	//47 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
	{20, 415, 465, 1, Smoke::mf_static, 121, 1},	//48 KTextEditor::editor(const char*)
	{20, 342, 554, 2, Smoke::mf_static, 132, 2},	//49 KTextEditor::createPlugin(KSharedPtr<KService>, QObject*)
	{21, 1027, 0, 0, Smoke::mf_dtor, 0, 5},	//50 KTextEditor::AnnotationInterface::~AnnotationInterface()
	{21, 799, 559, 1, 0, 0, 1},	//51 KTextEditor::AnnotationInterface::setAnnotationModel(KTextEditor::AnnotationModel*) [pure virtual]
	{21, 212, 0, 0, Smoke::mf_const, 89, 2},	//52 KTextEditor::AnnotationInterface::annotationModel() const [pure virtual]
	{21, 6, 0, 0, Smoke::mf_ctor, 88, 3},	//53 KTextEditor::AnnotationInterface::AnnotationInterface()
	{21, 6, 248, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 88, 4},	//54 KTextEditor::AnnotationInterface::AnnotationInterface(const KTextEditor::AnnotationInterface&)
	{22, 602, 0, 0, Smoke::mf_const, 522, 1},	//55 KTextEditor::AnnotationModel::metaObject() const
	{22, 703, 182, 3, 0, 543, 2},	//56 KTextEditor::AnnotationModel::qt_metacall(QMetaObject::Call, int, void**)
	{22, 1028, 0, 0, Smoke::mf_dtor, 0, 7},	//57 KTextEditor::AnnotationModel::~AnnotationModel()
	{22, 360, 481, 2, Smoke::mf_const, 368, 3},	//58 KTextEditor::AnnotationModel::data(int, Qt::ItemDataRole) const [pure virtual]
	{22, 8, 0, 0, Smoke::mf_ctor, 89, 4},	//59 KTextEditor::AnnotationModel::AnnotationModel()
	{22, 774, 0, 0, 0, 0, 5},	//60 KTextEditor::AnnotationModel::reset()
	{22, 549, 473, 1, 0, 0, 6},	//61 KTextEditor::AnnotationModel::lineChanged(int)
	{23, 1029, 0, 0, Smoke::mf_dtor, 0, 8},	//62 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface()
	{23, 797, 239, 1, 0, 0, 1},	//63 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible(bool) [pure virtual]
	{23, 531, 0, 0, Smoke::mf_const, 469, 2},	//64 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible() const [pure virtual]
	{23, 210, 121, 3, 0, 0, 3},	//65 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow(KTextEditor::View*, QMenu*, int) [pure virtual]
	{23, 206, 146, 2, 0, 0, 4},	//66 KTextEditor::AnnotationViewInterface::annotationActivated(KTextEditor::View*, int) [pure virtual]
	{23, 208, 125, 2, 0, 0, 5},	//67 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged(KTextEditor::View*, bool) [pure virtual]
	{23, 9, 0, 0, Smoke::mf_ctor, 90, 6},	//68 KTextEditor::AnnotationViewInterface::AnnotationViewInterface()
	{23, 9, 250, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 90, 7},	//69 KTextEditor::AnnotationViewInterface::AnnotationViewInterface(const KTextEditor::AnnotationViewInterface&)
	{24, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 1},	//70 KTextEditor::Attribute::Outline (enum)
	{24, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 2},	//71 KTextEditor::Attribute::SelectedForeground (enum)
	{24, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 3},	//72 KTextEditor::Attribute::SelectedBackground (enum)
	{24, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 4},	//73 KTextEditor::Attribute::BackgroundFillWhitespace (enum)
	{24, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 5},	//74 KTextEditor::Attribute::AttributeDynamicEffect (enum)
	{24, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 6},	//75 KTextEditor::Attribute::AttributeInternalProperty (enum)
	{24, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 7},	//76 KTextEditor::Attribute::AttributeUserProperty (enum)
	{24, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 8},	//77 KTextEditor::Attribute::ActivateMouseIn (enum)
	{24, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 9},	//78 KTextEditor::Attribute::ActivateCaretIn (enum)
	{24, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 10},	//79 KTextEditor::Attribute::EffectNone (enum)
	{24, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 11},	//80 KTextEditor::Attribute::EffectFadeIn (enum)
	{24, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 12},	//81 KTextEditor::Attribute::EffectFadeOut (enum)
	{24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 13},	//82 KTextEditor::Attribute::EffectPulse (enum)
	{24, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 14},	//83 KTextEditor::Attribute::EffectCycleGradient (enum)
	{24, 13, 0, 0, Smoke::mf_ctor, 92, 15},	//84 KTextEditor::Attribute::Attribute()
	{24, 13, 252, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 92, 16},	//85 KTextEditor::Attribute::Attribute(const KTextEditor::Attribute&)
	{24, 1030, 0, 0, Smoke::mf_dtor, 0, 38},	//86 KTextEditor::Attribute::~Attribute()
	{24, 464, 0, 0, Smoke::mf_const, 469, 17},	//87 KTextEditor::Attribute::fontBold() const
	{24, 842, 239, 1, 0, 0, 18},	//88 KTextEditor::Attribute::setFontBold(bool)
	{24, 842, 0, 0, 0, 0, 19},	//89 KTextEditor::Attribute::setFontBold()
	{24, 668, 0, 0, Smoke::mf_const, 198, 20},	//90 KTextEditor::Attribute::outline() const
	{24, 879, 394, 1, 0, 0, 21},	//91 KTextEditor::Attribute::setOutline(const QBrush&)
	{24, 789, 0, 0, Smoke::mf_const, 198, 22},	//92 KTextEditor::Attribute::selectedForeground() const
	{24, 897, 394, 1, 0, 0, 23},	//93 KTextEditor::Attribute::setSelectedForeground(const QBrush&)
	{24, 788, 0, 0, Smoke::mf_const, 198, 24},	//94 KTextEditor::Attribute::selectedBackground() const
	{24, 895, 394, 1, 0, 0, 25},	//95 KTextEditor::Attribute::setSelectedBackground(const QBrush&)
	{24, 226, 0, 0, Smoke::mf_const, 469, 26},	//96 KTextEditor::Attribute::backgroundFillWhitespace() const
	{24, 805, 239, 1, 0, 0, 27},	//97 KTextEditor::Attribute::setBackgroundFillWhitespace(bool)
	{24, 261, 0, 0, 0, 0, 28},	//98 KTextEditor::Attribute::clear()
	{24, 470, 0, 0, Smoke::mf_const, 469, 29},	//99 KTextEditor::Attribute::hasAnyProperty() const
	{24, 216, 0, 0, Smoke::mf_const, 510, 30},	//100 KTextEditor::Attribute::associatedActions() const
	{24, 263, 0, 0, 0, 0, 31},	//101 KTextEditor::Attribute::clearAssociatedActions()
	{24, 412, 561, 1, Smoke::mf_const, 81, 32},	//102 KTextEditor::Attribute::dynamicAttribute(KTextEditor::Attribute::ActivationType) const
	{24, 834, 563, 2, 0, 0, 33},	//103 KTextEditor::Attribute::setDynamicAttribute(KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>)
	{24, 418, 0, 0, Smoke::mf_const, 96, 34},	//104 KTextEditor::Attribute::effects() const
	{24, 838, 566, 1, 0, 0, 35},	//105 KTextEditor::Attribute::setEffects(KTextEditor::Attribute::Effects)
	{24, 664, 252, 1, 0, 91, 36},	//106 KTextEditor::Attribute::operator+=(const KTextEditor::Attribute&)
	{24, 666, 252, 1, 0, 91, 37},	//107 KTextEditor::Attribute::operator=(const KTextEditor::Attribute&)
	{25, 1031, 0, 0, Smoke::mf_dtor, 0, 11},	//108 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface()
	{25, 533, 0, 0, Smoke::mf_const, 469, 1},	//109 KTextEditor::CodeCompletionInterface::isCompletionActive() const [pure virtual]
	{25, 944, 336, 2, 0, 0, 2},	//110 KTextEditor::CodeCompletionInterface::startCompletion(const KTextEditor::Range&, KTextEditor::CodeCompletionModel*) [pure virtual]
	{25, 171, 0, 0, 0, 0, 3},	//111 KTextEditor::CodeCompletionInterface::abortCompletion() [pure virtual]
	{25, 467, 0, 0, 0, 0, 4},	//112 KTextEditor::CodeCompletionInterface::forceCompletion() [pure virtual]
	{25, 730, 3, 1, 0, 0, 5},	//113 KTextEditor::CodeCompletionInterface::registerCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
	{25, 987, 3, 1, 0, 0, 6},	//114 KTextEditor::CodeCompletionInterface::unregisterCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
	{25, 532, 0, 0, Smoke::mf_const, 469, 7},	//115 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled() const [pure virtual]
	{25, 803, 239, 1, 0, 0, 8},	//116 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled(bool) [pure virtual]
	{25, 803, 0, 0, 0, 0, -1},	//117 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled() [pure virtual]
	{25, 28, 0, 0, Smoke::mf_ctor, 99, 9},	//118 KTextEditor::CodeCompletionInterface::CodeCompletionInterface()
	{25, 28, 254, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 99, 10},	//119 KTextEditor::CodeCompletionInterface::CodeCompletionInterface(const KTextEditor::CodeCompletionInterface&)
	{26, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 1},	//120 KTextEditor::CodeCompletionModel::Prefix (enum)
	{26, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 2},	//121 KTextEditor::CodeCompletionModel::Icon (enum)
	{26, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 3},	//122 KTextEditor::CodeCompletionModel::Scope (enum)
	{26, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 4},	//123 KTextEditor::CodeCompletionModel::Name (enum)
	{26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 5},	//124 KTextEditor::CodeCompletionModel::Arguments (enum)
	{26, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 6},	//125 KTextEditor::CodeCompletionModel::Postfix (enum)
	{26, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 7},	//126 KTextEditor::CodeCompletionModel::NoProperty (enum)
	{26, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 8},	//127 KTextEditor::CodeCompletionModel::FirstProperty (enum)
	{26, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 9},	//128 KTextEditor::CodeCompletionModel::Public (enum)
	{26, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 10},	//129 KTextEditor::CodeCompletionModel::Protected (enum)
	{26, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 11},	//130 KTextEditor::CodeCompletionModel::Private (enum)
	{26, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 12},	//131 KTextEditor::CodeCompletionModel::Static (enum)
	{26, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 13},	//132 KTextEditor::CodeCompletionModel::Const (enum)
	{26, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 14},	//133 KTextEditor::CodeCompletionModel::Namespace (enum)
	{26, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 15},	//134 KTextEditor::CodeCompletionModel::Class (enum)
	{26, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 16},	//135 KTextEditor::CodeCompletionModel::Struct (enum)
	{26, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 17},	//136 KTextEditor::CodeCompletionModel::Union (enum)
	{26, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 18},	//137 KTextEditor::CodeCompletionModel::Function (enum)
	{26, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 19},	//138 KTextEditor::CodeCompletionModel::Variable (enum)
	{26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 20},	//139 KTextEditor::CodeCompletionModel::Enum (enum)
	{26, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 21},	//140 KTextEditor::CodeCompletionModel::Template (enum)
	{26, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 22},	//141 KTextEditor::CodeCompletionModel::TypeAlias (enum)
	{26, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 23},	//142 KTextEditor::CodeCompletionModel::Virtual (enum)
	{26, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 24},	//143 KTextEditor::CodeCompletionModel::Override (enum)
	{26, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 25},	//144 KTextEditor::CodeCompletionModel::Inline (enum)
	{26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 26},	//145 KTextEditor::CodeCompletionModel::Friend (enum)
	{26, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 27},	//146 KTextEditor::CodeCompletionModel::Signal (enum)
	{26, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 28},	//147 KTextEditor::CodeCompletionModel::Slot (enum)
	{26, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 29},	//148 KTextEditor::CodeCompletionModel::LocalScope (enum)
	{26, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 30},	//149 KTextEditor::CodeCompletionModel::NamespaceScope (enum)
	{26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 31},	//150 KTextEditor::CodeCompletionModel::GlobalScope (enum)
	{26, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 32},	//151 KTextEditor::CodeCompletionModel::LastProperty (enum)
	{26, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 33},	//152 KTextEditor::CodeCompletionModel::NoHighlighting (enum)
	{26, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 34},	//153 KTextEditor::CodeCompletionModel::InternalHighlighting (enum)
	{26, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 35},	//154 KTextEditor::CodeCompletionModel::CustomHighlighting (enum)
	{26, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 36},	//155 KTextEditor::CodeCompletionModel::CompletionRole (enum)
	{26, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 37},	//156 KTextEditor::CodeCompletionModel::ScopeIndex (enum)
	{26, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 38},	//157 KTextEditor::CodeCompletionModel::MatchQuality (enum)
	{26, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 39},	//158 KTextEditor::CodeCompletionModel::SetMatchContext (enum)
	{26, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 40},	//159 KTextEditor::CodeCompletionModel::HighlightingMethod (enum)
	{26, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 41},	//160 KTextEditor::CodeCompletionModel::CustomHighlight (enum)
	{26, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 42},	//161 KTextEditor::CodeCompletionModel::InheritanceDepth (enum)
	{26, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 43},	//162 KTextEditor::CodeCompletionModel::IsExpandable (enum)
	{26, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 44},	//163 KTextEditor::CodeCompletionModel::ExpandingWidget (enum)
	{26, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 45},	//164 KTextEditor::CodeCompletionModel::ItemSelected (enum)
	{26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 46},	//165 KTextEditor::CodeCompletionModel::ArgumentHintDepth (enum)
	{26, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 47},	//166 KTextEditor::CodeCompletionModel::BestMatchesCount (enum)
	{26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 48},	//167 KTextEditor::CodeCompletionModel::AccessibilityNext (enum)
	{26, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 49},	//168 KTextEditor::CodeCompletionModel::AccessibilityPrevious (enum)
	{26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 50},	//169 KTextEditor::CodeCompletionModel::AccessibilityAccept (enum)
	{26, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 51},	//170 KTextEditor::CodeCompletionModel::GroupRole (enum)
	{26, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 52},	//171 KTextEditor::CodeCompletionModel::AutomaticInvocation (enum)
	{26, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 53},	//172 KTextEditor::CodeCompletionModel::UserInvocation (enum)
	{26, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 54},	//173 KTextEditor::CodeCompletionModel::ManualInvocation (enum)
	{26, 602, 0, 0, Smoke::mf_const, 522, 57},	//174 KTextEditor::CodeCompletionModel::metaObject() const
	{26, 703, 182, 3, 0, 543, 58},	//175 KTextEditor::CodeCompletionModel::qt_metacall(QMetaObject::Call, int, void**)
	{26, 30, 190, 1, Smoke::mf_ctor, 100, 59},	//176 KTextEditor::CodeCompletionModel::CodeCompletionModel(QObject*)
	{26, 1032, 0, 0, Smoke::mf_dtor, 0, 70},	//177 KTextEditor::CodeCompletionModel::~CodeCompletionModel()
	{26, 891, 473, 1, 0, 0, 60},	//178 KTextEditor::CodeCompletionModel::setRowCount(int)
	{26, 292, 135, 3, 0, 0, 61},	//179 KTextEditor::CodeCompletionModel::completionInvoked(KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType)
	{26, 287, 413, 1, Smoke::mf_const, 543, 62},	//180 KTextEditor::CodeCompletionModel::columnCount(const QModelIndex&) const
	{26, 287, 0, 0, Smoke::mf_const, 543, 63},	//181 KTextEditor::CodeCompletionModel::columnCount() const
	{26, 495, 516, 3, Smoke::mf_const, 278, 64},	//182 KTextEditor::CodeCompletionModel::index(int, int, const QModelIndex&) const
	{26, 495, 509, 2, Smoke::mf_const, 278, 65},	//183 KTextEditor::CodeCompletionModel::index(int, int) const
	{26, 538, 413, 1, Smoke::mf_const, 268, 66},	//184 KTextEditor::CodeCompletionModel::itemData(const QModelIndex&) const
	{26, 680, 413, 1, Smoke::mf_const, 278, 67},	//185 KTextEditor::CodeCompletionModel::parent(const QModelIndex&) const
	{26, 778, 413, 1, Smoke::mf_const, 543, 68},	//186 KTextEditor::CodeCompletionModel::rowCount(const QModelIndex&) const
	{26, 778, 0, 0, Smoke::mf_const, 543, 69},	//187 KTextEditor::CodeCompletionModel::rowCount() const
	{26, 34, 0, 0, Smoke::mf_static, 541, 55},	//188 KTextEditor::CodeCompletionModel::ColumnCount (static var)
	{26, 88, 0, 0, Smoke::mf_static, 541, 56},	//189 KTextEditor::CodeCompletionModel::LastItemDataRole (static var)
	{27, 602, 0, 0, Smoke::mf_const, 522, 1},	//190 KTextEditor::CodeCompletionModel2::metaObject() const
	{27, 703, 182, 3, 0, 543, 2},	//191 KTextEditor::CodeCompletionModel2::qt_metacall(QMetaObject::Call, int, void**)
	{27, 32, 190, 1, Smoke::mf_ctor, 101, 3},	//192 KTextEditor::CodeCompletionModel2::CodeCompletionModel2(QObject*)
	{27, 440, 35, 3, Smoke::mf_const, 0, 4},	//193 KTextEditor::CodeCompletionModel2::executeCompletionItem2(KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&) const
	{27, 1033, 0, 0, Smoke::mf_dtor, 0, 5},	//194 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2()
	{28, 1034, 0, 0, Smoke::mf_dtor, 0, 6},	//195 KTextEditor::Command::~Command()
	{28, 285, 0, 0, 0, 538, 1},	//196 KTextEditor::Command::cmds() [pure virtual]
	{28, 438, 142, 3, 0, 469, 2},	//197 KTextEditor::Command::exec(KTextEditor::View*, const QString&, QString&) [pure virtual]
	{28, 481, 142, 3, 0, 469, 3},	//198 KTextEditor::Command::help(KTextEditor::View*, const QString&, QString&) [pure virtual]
	{28, 35, 0, 0, Smoke::mf_ctor, 111, 4},	//199 KTextEditor::Command::Command()
	{28, 35, 256, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 111, 5},	//200 KTextEditor::Command::Command(const KTextEditor::Command&)
	{29, 1035, 0, 0, Smoke::mf_dtor, 0, 7},	//201 KTextEditor::CommandExtension::~CommandExtension()
	{29, 450, 210, 1, 0, 0, 1},	//202 KTextEditor::CommandExtension::flagCompletions(QStringList&) [pure virtual]
	{29, 294, 139, 2, 0, 11, 2},	//203 KTextEditor::CommandExtension::completionObject(KTextEditor::View*, const QString&) [pure virtual]
	{29, 1011, 445, 1, 0, 469, 3},	//204 KTextEditor::CommandExtension::wantsToProcessText(const QString&) [pure virtual]
	{29, 701, 139, 2, 0, 0, 4},	//205 KTextEditor::CommandExtension::processText(KTextEditor::View*, const QString&) [pure virtual]
	{29, 37, 0, 0, Smoke::mf_ctor, 112, 5},	//206 KTextEditor::CommandExtension::CommandExtension()
	{29, 37, 258, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 112, 6},	//207 KTextEditor::CommandExtension::CommandExtension(const KTextEditor::CommandExtension&)
	{30, 1036, 0, 0, Smoke::mf_dtor, 0, 8},	//208 KTextEditor::CommandInterface::~CommandInterface()
	{30, 728, 5, 1, 0, 469, 1},	//209 KTextEditor::CommandInterface::registerCommand(KTextEditor::Command*) [pure virtual]
	{30, 985, 5, 1, 0, 469, 2},	//210 KTextEditor::CommandInterface::unregisterCommand(KTextEditor::Command*) [pure virtual]
	{30, 706, 445, 1, Smoke::mf_const, 111, 3},	//211 KTextEditor::CommandInterface::queryCommand(const QString&) const [pure virtual]
	{30, 291, 0, 0, Smoke::mf_const, 261, 4},	//212 KTextEditor::CommandInterface::commands() const [pure virtual]
	{30, 290, 0, 0, Smoke::mf_const, 317, 5},	//213 KTextEditor::CommandInterface::commandList() const [pure virtual]
	{30, 39, 0, 0, Smoke::mf_ctor, 113, 6},	//214 KTextEditor::CommandInterface::CommandInterface()
	{30, 39, 260, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 113, 7},	//215 KTextEditor::CommandInterface::CommandInterface(const KTextEditor::CommandInterface&)
	{31, 42, 0, 0, Smoke::mf_ctor, 114, 1},	//216 KTextEditor::ConfigInterface::ConfigInterface()
	{31, 1037, 0, 0, Smoke::mf_dtor, 0, 6},	//217 KTextEditor::ConfigInterface::~ConfigInterface()
	{31, 300, 0, 0, Smoke::mf_const, 317, 2},	//218 KTextEditor::ConfigInterface::configKeys() const [pure virtual]
	{31, 310, 445, 1, 0, 368, 3},	//219 KTextEditor::ConfigInterface::configValue(const QString&) [pure virtual]
	{31, 820, 457, 2, 0, 0, 4},	//220 KTextEditor::ConfigInterface::setConfigValue(const QString&, const QVariant&) [pure virtual]
	{31, 42, 262, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 114, 5},	//221 KTextEditor::ConfigInterface::ConfigInterface(const KTextEditor::ConfigInterface&)
	{32, 602, 0, 0, Smoke::mf_const, 522, 1},	//222 KTextEditor::ConfigPage::metaObject() const
	{32, 703, 182, 3, 0, 543, 2},	//223 KTextEditor::ConfigPage::qt_metacall(QMetaObject::Call, int, void**)
	{32, 44, 220, 1, Smoke::mf_ctor, 115, 3},	//224 KTextEditor::ConfigPage::ConfigPage(QWidget*)
	{32, 1038, 0, 0, Smoke::mf_dtor, 0, 8},	//225 KTextEditor::ConfigPage::~ConfigPage()
	{32, 213, 0, 0, 0, 0, 4},	//226 KTextEditor::ConfigPage::apply() [pure virtual]
	{32, 774, 0, 0, 0, 0, 5},	//227 KTextEditor::ConfigPage::reset() [pure virtual]
	{32, 370, 0, 0, 0, 0, 6},	//228 KTextEditor::ConfigPage::defaults() [pure virtual]
	{32, 242, 0, 0, 0, 0, 7},	//229 KTextEditor::ConfigPage::changed()
	{33, 47, 0, 0, Smoke::mf_ctor, 116, 1},	//230 KTextEditor::ContainerInterface::ContainerInterface()
	{33, 1039, 0, 0, Smoke::mf_dtor, 0, 5},	//231 KTextEditor::ContainerInterface::~ContainerInterface()
	{33, 822, 190, 1, 0, 0, 2},	//232 KTextEditor::ContainerInterface::setContainer(QObject*) [pure virtual]
	{33, 316, 0, 0, 0, 284, 3},	//233 KTextEditor::ContainerInterface::container() [pure virtual]
	{33, 47, 264, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 116, 4},	//234 KTextEditor::ContainerInterface::ContainerInterface(const KTextEditor::ContainerInterface&)
	{34, 49, 0, 0, Smoke::mf_ctor, 119, 1},	//235 KTextEditor::Cursor::Cursor()
	{34, 49, 509, 2, Smoke::mf_ctor, 119, 2},	//236 KTextEditor::Cursor::Cursor(int, int)
	{34, 49, 266, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 119, 3},	//237 KTextEditor::Cursor::Cursor(const KTextEditor::Cursor&)
	{34, 1040, 0, 0, Smoke::mf_dtor, 0, 21},	//238 KTextEditor::Cursor::~Cursor()
	{34, 537, 0, 0, Smoke::mf_const, 469, 4},	//239 KTextEditor::Cursor::isValid() const
	{34, 535, 0, 0, Smoke::mf_const, 469, 5},	//240 KTextEditor::Cursor::isSmartCursor() const
	{34, 975, 0, 0, Smoke::mf_const, 141, 6},	//241 KTextEditor::Cursor::toSmartCursor() const
	{34, 883, 266, 1, 0, 0, 7},	//242 KTextEditor::Cursor::setPosition(const KTextEditor::Cursor&)
	{34, 883, 509, 2, 0, 0, 8},	//243 KTextEditor::Cursor::setPosition(int, int)
	{34, 547, 0, 0, Smoke::mf_const, 543, 9},	//244 KTextEditor::Cursor::line() const
	{34, 853, 473, 1, 0, 0, 10},	//245 KTextEditor::Cursor::setLine(int)
	{34, 286, 0, 0, Smoke::mf_const, 543, 11},	//246 KTextEditor::Cursor::column() const
	{34, 815, 473, 1, 0, 0, 12},	//247 KTextEditor::Cursor::setColumn(int)
	{34, 220, 0, 0, Smoke::mf_const, 469, 13},	//248 KTextEditor::Cursor::atStartOfLine() const
	{34, 219, 0, 0, Smoke::mf_const, 469, 14},	//249 KTextEditor::Cursor::atStartOfDocument() const
	{34, 690, 541, 2, Smoke::mf_const, 0, 15},	//250 KTextEditor::Cursor::position(int&, int&) const
	{34, 708, 0, 0, Smoke::mf_const, 135, 16},	//251 KTextEditor::Cursor::range() const
	{34, 529, 0, 0, Smoke::mf_static, 117, 17},	//252 KTextEditor::Cursor::invalid()
	{34, 943, 0, 0, Smoke::mf_static, 117, 18},	//253 KTextEditor::Cursor::start()
	{34, 886, 58, 1, Smoke::mf_protected, 0, 19},	//254 KTextEditor::Cursor::setRange(KTextEditor::Range*)
	{34, 347, 266, 1, Smoke::mf_protected, 0, 20},	//255 KTextEditor::Cursor::cursorChangedDirectly(const KTextEditor::Cursor&)
	{35, 602, 0, 0, Smoke::mf_const, 522, 1},	//256 KTextEditor::Document::metaObject() const
	{35, 703, 182, 3, 0, 543, 2},	//257 KTextEditor::Document::qt_metacall(QMetaObject::Call, int, void**)
	{35, 55, 190, 1, Smoke::mf_ctor, 120, 3},	//258 KTextEditor::Document::Document(QObject*)
	{35, 55, 0, 0, Smoke::mf_ctor, 120, 4},	//259 KTextEditor::Document::Document()
	{35, 1041, 0, 0, Smoke::mf_dtor, 0, 70},	//260 KTextEditor::Document::~Document()
	{35, 415, 0, 0, 0, 121, 5},	//261 KTextEditor::Document::editor() [pure virtual]
	{35, 344, 220, 1, 0, 157, 6},	//262 KTextEditor::Document::createView(QWidget*) [pure virtual]
	{35, 182, 0, 0, Smoke::mf_const, 157, 7},	//263 KTextEditor::Document::activeView() const [pure virtual]
	{35, 1009, 0, 0, Smoke::mf_const, 516, 8},	//264 KTextEditor::Document::views() const [pure virtual]
	{35, 391, 0, 0, Smoke::mf_const, 537, 9},	//265 KTextEditor::Document::documentName() const [pure virtual]
	{35, 607, 0, 0, 0, 313, 10},	//266 KTextEditor::Document::mimeType() [pure virtual]
	{35, 840, 445, 1, 0, 469, 11},	//267 KTextEditor::Document::setEncoding(const QString&) [pure virtual]
	{35, 425, 0, 0, Smoke::mf_const, 537, 12},	//268 KTextEditor::Document::encoding() const [pure virtual]
	{35, 395, 0, 0, 0, 469, 13},	//269 KTextEditor::Document::documentReload() [pure virtual]
	{35, 396, 0, 0, 0, 469, 14},	//270 KTextEditor::Document::documentSave() [pure virtual]
	{35, 397, 0, 0, 0, 469, 15},	//271 KTextEditor::Document::documentSaveAs() [pure virtual]
	{35, 946, 0, 0, 0, 469, 16},	//272 KTextEditor::Document::startEditing() [pure virtual]
	{35, 429, 0, 0, 0, 469, 17},	//273 KTextEditor::Document::endEditing() [pure virtual]
	{35, 958, 0, 0, Smoke::mf_const, 313, 18},	//274 KTextEditor::Document::text() const [pure virtual]
	{35, 958, 349, 2, Smoke::mf_const, 313, 19},	//275 KTextEditor::Document::text(const KTextEditor::Range&, bool) const [pure virtual]
	{35, 958, 334, 1, Smoke::mf_const, 313, -1},	//276 KTextEditor::Document::text(const KTextEditor::Range&) const [pure virtual]
	{35, 243, 266, 1, Smoke::mf_const, 199, 20},	//277 KTextEditor::Document::character(const KTextEditor::Cursor&) const [pure virtual]
	{35, 968, 349, 2, Smoke::mf_const, 317, 21},	//278 KTextEditor::Document::textLines(const KTextEditor::Range&, bool) const [pure virtual]
	{35, 968, 334, 1, Smoke::mf_const, 317, -1},	//279 KTextEditor::Document::textLines(const KTextEditor::Range&) const [pure virtual]
	{35, 547, 473, 1, Smoke::mf_const, 313, 22},	//280 KTextEditor::Document::line(int) const [pure virtual]
	{35, 553, 0, 0, Smoke::mf_const, 543, 23},	//281 KTextEditor::Document::lines() const [pure virtual]
	{35, 389, 0, 0, Smoke::mf_const, 117, 24},	//282 KTextEditor::Document::documentEnd() const [pure virtual]
	{35, 394, 0, 0, Smoke::mf_const, 133, 25},	//283 KTextEditor::Document::documentRange() const
	{35, 978, 0, 0, Smoke::mf_const, 543, 26},	//284 KTextEditor::Document::totalCharacters() const [pure virtual]
	{35, 534, 0, 0, Smoke::mf_const, 469, 27},	//285 KTextEditor::Document::isEmpty() const
	{35, 551, 473, 1, Smoke::mf_const, 543, 28},	//286 KTextEditor::Document::lineLength(int) const [pure virtual]
	{35, 430, 473, 1, Smoke::mf_const, 117, 29},	//287 KTextEditor::Document::endOfLine(int) const
	{35, 907, 445, 1, 0, 469, 30},	//288 KTextEditor::Document::setText(const QString&) [pure virtual]
	{35, 907, 460, 1, 0, 469, 31},	//289 KTextEditor::Document::setText(const QStringList&) [pure virtual]
	{35, 261, 0, 0, 0, 469, 32},	//290 KTextEditor::Document::clear() [pure virtual]
	{35, 519, 300, 3, 0, 469, 33},	//291 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&, bool) [pure virtual]
	{35, 519, 297, 2, 0, 469, -1},	//292 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&) [pure virtual]
	{35, 519, 311, 3, 0, 469, 34},	//293 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&, bool) [pure virtual]
	{35, 519, 308, 2, 0, 469, -1},	//294 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&) [pure virtual]
	{35, 766, 355, 3, 0, 469, 35},	//295 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&, bool)
	{35, 766, 352, 2, 0, 469, 36},	//296 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&)
	{35, 766, 366, 3, 0, 469, 37},	//297 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&, bool)
	{35, 766, 363, 2, 0, 469, 38},	//298 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&)
	{35, 758, 349, 2, 0, 469, 39},	//299 KTextEditor::Document::removeText(const KTextEditor::Range&, bool) [pure virtual]
	{35, 758, 334, 1, 0, 469, -1},	//300 KTextEditor::Document::removeText(const KTextEditor::Range&) [pure virtual]
	{35, 349, 266, 1, 0, 469, 40},	//301 KTextEditor::Document::cursorInText(const KTextEditor::Cursor&)
	{35, 508, 503, 2, 0, 469, 41},	//302 KTextEditor::Document::insertLine(int, const QString&) [pure virtual]
	{35, 510, 506, 2, 0, 469, 42},	//303 KTextEditor::Document::insertLines(int, const QStringList&) [pure virtual]
	{35, 747, 473, 1, 0, 469, 43},	//304 KTextEditor::Document::removeLine(int) [pure virtual]
	{35, 610, 0, 0, Smoke::mf_const, 313, 44},	//305 KTextEditor::Document::mode() const [pure virtual]
	{35, 485, 0, 0, Smoke::mf_const, 313, 45},	//306 KTextEditor::Document::highlightingMode() const [pure virtual]
	{35, 615, 0, 0, Smoke::mf_const, 317, 46},	//307 KTextEditor::Document::modes() const [pure virtual]
	{35, 490, 0, 0, Smoke::mf_const, 317, 47},	//308 KTextEditor::Document::highlightingModes() const [pure virtual]
	{35, 865, 445, 1, 0, 469, 48},	//309 KTextEditor::Document::setMode(const QString&) [pure virtual]
	{35, 847, 445, 1, 0, 469, 49},	//310 KTextEditor::Document::setHighlightingMode(const QString&) [pure virtual]
	{35, 488, 473, 1, Smoke::mf_const, 313, 50},	//311 KTextEditor::Document::highlightingModeSection(int) const [pure virtual]
	{35, 613, 473, 1, Smoke::mf_const, 313, 51},	//312 KTextEditor::Document::modeSection(int) const [pure virtual]
	{35, 905, 239, 1, 0, 0, 52},	//313 KTextEditor::Document::setSuppressOpeningErrorDialogs(bool)
	{35, 955, 0, 0, Smoke::mf_const, 469, 53},	//314 KTextEditor::Document::suppressOpeningErrorDialogs() const
	{35, 662, 0, 0, Smoke::mf_const, 469, 54},	//315 KTextEditor::Document::openingError() const
	{35, 663, 0, 0, Smoke::mf_const, 313, 55},	//316 KTextEditor::Document::openingErrorMessage() const
	{35, 999, 21, 2, 0, 0, 56},	//317 KTextEditor::Document::viewCreated(KTextEditor::Document*, KTextEditor::View*)
	{35, 392, 15, 1, 0, 0, 57},	//318 KTextEditor::Document::documentNameChanged(KTextEditor::Document*)
	{35, 398, 15, 1, 0, 0, 58},	//319 KTextEditor::Document::documentUrlChanged(KTextEditor::Document*)
	{35, 616, 15, 1, 0, 0, 59},	//320 KTextEditor::Document::modifiedChanged(KTextEditor::Document*)
	{35, 962, 15, 1, 0, 0, 60},	//321 KTextEditor::Document::textChanged(KTextEditor::Document*)
	{35, 965, 28, 2, 0, 0, 61},	//322 KTextEditor::Document::textInserted(KTextEditor::Document*, const KTextEditor::Range&)
	{35, 971, 28, 2, 0, 0, 62},	//323 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&)
	{35, 962, 31, 3, 0, 0, 63},	//324 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&)
	{35, 173, 15, 1, 0, 0, 64},	//325 KTextEditor::Document::aboutToClose(KTextEditor::Document*)
	{35, 175, 15, 1, 0, 0, 65},	//326 KTextEditor::Document::aboutToReload(KTextEditor::Document*)
	{35, 611, 15, 1, 0, 0, 66},	//327 KTextEditor::Document::modeChanged(KTextEditor::Document*)
	{35, 486, 15, 1, 0, 0, 67},	//328 KTextEditor::Document::highlightingModeChanged(KTextEditor::Document*)
	{35, 875, 239, 1, Smoke::mf_protected, 0, 68},	//329 KTextEditor::Document::setOpeningError(bool)
	{35, 877, 445, 1, Smoke::mf_protected, 0, 69},	//330 KTextEditor::Document::setOpeningErrorMessage(const QString&)
	{36, 602, 0, 0, Smoke::mf_const, 522, 1},	//331 KTextEditor::Editor::metaObject() const
	{36, 703, 182, 3, 0, 543, 2},	//332 KTextEditor::Editor::qt_metacall(QMetaObject::Call, int, void**)
	{36, 59, 190, 1, Smoke::mf_ctor, 121, 3},	//333 KTextEditor::Editor::Editor(QObject*)
	{36, 1042, 0, 0, Smoke::mf_dtor, 0, 19},	//334 KTextEditor::Editor::~Editor()
	{36, 903, 239, 1, 0, 0, 4},	//335 KTextEditor::Editor::setSimpleMode(bool)
	{36, 930, 0, 0, Smoke::mf_const, 469, 5},	//336 KTextEditor::Editor::simpleMode() const
	{36, 330, 190, 1, 0, 120, 6},	//337 KTextEditor::Editor::createDocument(QObject*) [pure virtual]
	{36, 400, 0, 0, 0, 511, 7},	//338 KTextEditor::Editor::documents() [pure virtual]
	{36, 172, 0, 0, Smoke::mf_const, 471, 8},	//339 KTextEditor::Editor::aboutData() const [pure virtual]
	{36, 724, 54, 1, 0, 0, 9},	//340 KTextEditor::Editor::readConfig(KConfig*) [pure virtual]
	{36, 724, 0, 0, 0, 0, -1},	//341 KTextEditor::Editor::readConfig() [pure virtual]
	{36, 1022, 54, 1, 0, 0, 10},	//342 KTextEditor::Editor::writeConfig(KConfig*) [pure virtual]
	{36, 1022, 0, 0, 0, 0, -1},	//343 KTextEditor::Editor::writeConfig() [pure virtual]
	{36, 299, 0, 0, Smoke::mf_const, 469, 11},	//344 KTextEditor::Editor::configDialogSupported() const [pure virtual]
	{36, 297, 220, 1, 0, 0, 12},	//345 KTextEditor::Editor::configDialog(QWidget*) [pure virtual]
	{36, 309, 0, 0, Smoke::mf_const, 543, 13},	//346 KTextEditor::Editor::configPages() const [pure virtual]
	{36, 301, 478, 2, 0, 115, 14},	//347 KTextEditor::Editor::configPage(int, QWidget*) [pure virtual]
	{36, 307, 473, 1, Smoke::mf_const, 313, 15},	//348 KTextEditor::Editor::configPageName(int) const [pure virtual]
	{36, 303, 473, 1, Smoke::mf_const, 313, 16},	//349 KTextEditor::Editor::configPageFullName(int) const [pure virtual]
	{36, 305, 473, 1, Smoke::mf_const, 51, 17},	//350 KTextEditor::Editor::configPageIcon(int) const [pure virtual]
	{36, 387, 43, 2, 0, 0, 18},	//351 KTextEditor::Editor::documentCreated(KTextEditor::Editor*, KTextEditor::Document*)
	{37, 602, 0, 0, Smoke::mf_const, 522, 1},	//352 KTextEditor::EditorChooser::metaObject() const
	{37, 703, 182, 3, 0, 543, 2},	//353 KTextEditor::EditorChooser::qt_metacall(QMetaObject::Call, int, void**)
	{37, 61, 220, 1, Smoke::mf_ctor, 122, 3},	//354 KTextEditor::EditorChooser::EditorChooser(QWidget*)
	{37, 61, 0, 0, Smoke::mf_ctor, 122, 4},	//355 KTextEditor::EditorChooser::EditorChooser()
	{37, 1043, 0, 0, Smoke::mf_dtor, 0, 13},	//356 KTextEditor::EditorChooser::~EditorChooser()
	{37, 722, 445, 1, 0, 0, 5},	//357 KTextEditor::EditorChooser::readAppSetting(const QString&)
	{37, 722, 0, 0, 0, 0, 6},	//358 KTextEditor::EditorChooser::readAppSetting()
	{37, 1020, 445, 1, 0, 0, 7},	//359 KTextEditor::EditorChooser::writeAppSetting(const QString&)
	{37, 1020, 0, 0, 0, 0, 8},	//360 KTextEditor::EditorChooser::writeAppSetting()
	{37, 242, 0, 0, 0, 0, 9},	//361 KTextEditor::EditorChooser::changed()
	{37, 415, 450, 2, Smoke::mf_static, 121, 10},	//362 KTextEditor::EditorChooser::editor(const QString&, bool)
	{37, 415, 445, 1, Smoke::mf_static, 121, 11},	//363 KTextEditor::EditorChooser::editor(const QString&)
	{37, 415, 0, 0, Smoke::mf_static, 121, 12},	//364 KTextEditor::EditorChooser::editor()
	{38, 602, 0, 0, Smoke::mf_const, 522, 1},	//365 KTextEditor::Factory::metaObject() const
	{38, 703, 182, 3, 0, 543, 2},	//366 KTextEditor::Factory::qt_metacall(QMetaObject::Call, int, void**)
	{38, 74, 190, 1, Smoke::mf_ctor, 123, 3},	//367 KTextEditor::Factory::Factory(QObject*)
	{38, 1044, 0, 0, Smoke::mf_dtor, 0, 5},	//368 KTextEditor::Factory::~Factory()
	{38, 415, 0, 0, 0, 121, 4},	//369 KTextEditor::Factory::editor() [pure virtual]
	{39, 853, 473, 1, 0, 0, 3},	//370 KTextEditor::Mark::setLine(int)
	{39, 910, 544, 1, 0, 0, 4},	//371 KTextEditor::Mark::setType(uint)
	{39, 92, 0, 0, Smoke::mf_ctor, 125, 5},	//372 KTextEditor::Mark::Mark()
	{39, 1045, 0, 0, Smoke::mf_dtor, 0, 7},	//373 KTextEditor::Mark::~Mark()
	{39, 92, 326, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 125, 6},	//374 KTextEditor::Mark::Mark(const KTextEditor::Mark&)
	{39, 547, 0, 0, 0, 543, 1},	//375 KTextEditor::Mark::line (var)
	{39, 982, 0, 0, 0, 545, 2},	//376 KTextEditor::Mark::type (var)
	{40, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 1},	//377 KTextEditor::MarkInterface::markType01 (enum)
	{40, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 2},	//378 KTextEditor::MarkInterface::markType02 (enum)
	{40, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 3},	//379 KTextEditor::MarkInterface::markType03 (enum)
	{40, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 4},	//380 KTextEditor::MarkInterface::markType04 (enum)
	{40, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 5},	//381 KTextEditor::MarkInterface::markType05 (enum)
	{40, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 6},	//382 KTextEditor::MarkInterface::markType06 (enum)
	{40, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 7},	//383 KTextEditor::MarkInterface::markType07 (enum)
	{40, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 8},	//384 KTextEditor::MarkInterface::markType08 (enum)
	{40, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 9},	//385 KTextEditor::MarkInterface::markType09 (enum)
	{40, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 10},	//386 KTextEditor::MarkInterface::markType10 (enum)
	{40, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 11},	//387 KTextEditor::MarkInterface::markType11 (enum)
	{40, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 12},	//388 KTextEditor::MarkInterface::markType12 (enum)
	{40, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 13},	//389 KTextEditor::MarkInterface::markType13 (enum)
	{40, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 14},	//390 KTextEditor::MarkInterface::markType14 (enum)
	{40, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 15},	//391 KTextEditor::MarkInterface::markType15 (enum)
	{40, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 16},	//392 KTextEditor::MarkInterface::markType16 (enum)
	{40, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 17},	//393 KTextEditor::MarkInterface::markType17 (enum)
	{40, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 18},	//394 KTextEditor::MarkInterface::markType18 (enum)
	{40, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 19},	//395 KTextEditor::MarkInterface::markType19 (enum)
	{40, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 20},	//396 KTextEditor::MarkInterface::markType20 (enum)
	{40, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 21},	//397 KTextEditor::MarkInterface::markType21 (enum)
	{40, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 22},	//398 KTextEditor::MarkInterface::markType22 (enum)
	{40, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 23},	//399 KTextEditor::MarkInterface::markType23 (enum)
	{40, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 24},	//400 KTextEditor::MarkInterface::markType24 (enum)
	{40, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 25},	//401 KTextEditor::MarkInterface::markType25 (enum)
	{40, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 26},	//402 KTextEditor::MarkInterface::markType26 (enum)
	{40, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 27},	//403 KTextEditor::MarkInterface::markType27 (enum)
	{40, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 28},	//404 KTextEditor::MarkInterface::markType28 (enum)
	{40, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 29},	//405 KTextEditor::MarkInterface::markType29 (enum)
	{40, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 30},	//406 KTextEditor::MarkInterface::markType30 (enum)
	{40, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 31},	//407 KTextEditor::MarkInterface::markType31 (enum)
	{40, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 32},	//408 KTextEditor::MarkInterface::markType32 (enum)
	{40, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 33},	//409 KTextEditor::MarkInterface::Bookmark (enum)
	{40, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 34},	//410 KTextEditor::MarkInterface::BreakpointActive (enum)
	{40, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 35},	//411 KTextEditor::MarkInterface::BreakpointReached (enum)
	{40, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 36},	//412 KTextEditor::MarkInterface::BreakpointDisabled (enum)
	{40, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 37},	//413 KTextEditor::MarkInterface::Execution (enum)
	{40, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 38},	//414 KTextEditor::MarkInterface::Warning (enum)
	{40, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 39},	//415 KTextEditor::MarkInterface::Error (enum)
	{40, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 40},	//416 KTextEditor::MarkInterface::MarkAdded (enum)
	{40, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 41},	//417 KTextEditor::MarkInterface::MarkRemoved (enum)
	{40, 95, 0, 0, Smoke::mf_ctor, 126, 42},	//418 KTextEditor::MarkInterface::MarkInterface()
	{40, 1046, 0, 0, Smoke::mf_dtor, 0, 60},	//419 KTextEditor::MarkInterface::~MarkInterface()
	{40, 555, 473, 1, 0, 545, 43},	//420 KTextEditor::MarkInterface::mark(int) [pure virtual]
	{40, 859, 538, 2, 0, 0, 44},	//421 KTextEditor::MarkInterface::setMark(int, uint) [pure virtual]
	{40, 267, 473, 1, 0, 0, 45},	//422 KTextEditor::MarkInterface::clearMark(int) [pure virtual]
	{40, 195, 538, 2, 0, 0, 46},	//423 KTextEditor::MarkInterface::addMark(int, uint) [pure virtual]
	{40, 749, 538, 2, 0, 0, 47},	//424 KTextEditor::MarkInterface::removeMark(int, uint) [pure virtual]
	{40, 595, 0, 0, 0, 506, 48},	//425 KTextEditor::MarkInterface::marks() [pure virtual]
	{40, 269, 0, 0, 0, 0, 49},	//426 KTextEditor::MarkInterface::clearMarks() [pure virtual]
	{40, 596, 15, 1, 0, 0, 50},	//427 KTextEditor::MarkInterface::marksChanged(KTextEditor::Document*) [pure virtual]
	{40, 863, 48, 2, 0, 0, 51},	//428 KTextEditor::MarkInterface::setMarkPixmap(KTextEditor::MarkInterface::MarkTypes, const QPixmap&) [pure virtual]
	{40, 561, 46, 1, Smoke::mf_const, 302, 52},	//429 KTextEditor::MarkInterface::markPixmap(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
	{40, 861, 51, 2, 0, 0, 53},	//430 KTextEditor::MarkInterface::setMarkDescription(KTextEditor::MarkInterface::MarkTypes, const QString&) [pure virtual]
	{40, 559, 46, 1, Smoke::mf_const, 313, 54},	//431 KTextEditor::MarkInterface::markDescription(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
	{40, 836, 544, 1, 0, 0, 55},	//432 KTextEditor::MarkInterface::setEditableMarks(uint) [pure virtual]
	{40, 414, 0, 0, Smoke::mf_const, 545, 56},	//433 KTextEditor::MarkInterface::editableMarks() const [pure virtual]
	{40, 557, 17, 3, 0, 0, 57},	//434 KTextEditor::MarkInterface::markChanged(KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction) [pure virtual]
	{40, 95, 328, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 126, 58},	//435 KTextEditor::MarkInterface::MarkInterface(const KTextEditor::MarkInterface&)
	{40, 773, 0, 0, Smoke::mf_static, 543, 59},	//436 KTextEditor::MarkInterface::reservedMarkersCount()
	{41, 99, 0, 0, Smoke::mf_ctor, 129, 1},	//437 KTextEditor::MdiContainer::MdiContainer()
	{41, 1047, 0, 0, Smoke::mf_dtor, 0, 9},	//438 KTextEditor::MdiContainer::~MdiContainer()
	{41, 795, 106, 1, 0, 0, 2},	//439 KTextEditor::MdiContainer::setActiveView(KTextEditor::View*) [pure virtual]
	{41, 182, 0, 0, 0, 157, 3},	//440 KTextEditor::MdiContainer::activeView() [pure virtual]
	{41, 330, 0, 0, 0, 120, 4},	//441 KTextEditor::MdiContainer::createDocument() [pure virtual]
	{41, 277, 15, 1, 0, 469, 5},	//442 KTextEditor::MdiContainer::closeDocument(KTextEditor::Document*) [pure virtual]
	{41, 344, 15, 1, 0, 157, 6},	//443 KTextEditor::MdiContainer::createView(KTextEditor::Document*) [pure virtual]
	{41, 283, 106, 1, 0, 469, 7},	//444 KTextEditor::MdiContainer::closeView(KTextEditor::View*) [pure virtual]
	{41, 99, 330, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 129, 8},	//445 KTextEditor::MdiContainer::MdiContainer(const KTextEditor::MdiContainer&)
	{42, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 1},	//446 KTextEditor::ModificationInterface::OnDiskUnmodified (enum)
	{42, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 2},	//447 KTextEditor::ModificationInterface::OnDiskModified (enum)
	{42, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 3},	//448 KTextEditor::ModificationInterface::OnDiskCreated (enum)
	{42, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 4},	//449 KTextEditor::ModificationInterface::OnDiskDeleted (enum)
	{42, 101, 0, 0, Smoke::mf_ctor, 130, 5},	//450 KTextEditor::ModificationInterface::ModificationInterface()
	{42, 1048, 0, 0, Smoke::mf_dtor, 0, 11},	//451 KTextEditor::ModificationInterface::~ModificationInterface()
	{42, 869, 56, 1, 0, 0, 6},	//452 KTextEditor::ModificationInterface::setModifiedOnDisk(KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
	{42, 871, 239, 1, 0, 0, 7},	//453 KTextEditor::ModificationInterface::setModifiedOnDiskWarning(bool) [pure virtual]
	{42, 932, 106, 1, 0, 0, 8},	//454 KTextEditor::ModificationInterface::slotModifiedOnDisk(KTextEditor::View*) [pure virtual]
	{42, 932, 0, 0, 0, 0, -1},	//455 KTextEditor::ModificationInterface::slotModifiedOnDisk() [pure virtual]
	{42, 618, 24, 3, 0, 0, 9},	//456 KTextEditor::ModificationInterface::modifiedOnDisk(KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
	{42, 101, 332, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 130, 10},	//457 KTextEditor::ModificationInterface::ModificationInterface(const KTextEditor::ModificationInterface&)
	{43, 602, 0, 0, Smoke::mf_const, 522, 1},	//458 KTextEditor::Plugin::metaObject() const
	{43, 703, 182, 3, 0, 543, 2},	//459 KTextEditor::Plugin::qt_metacall(QMetaObject::Call, int, void**)
	{43, 115, 190, 1, Smoke::mf_ctor, 132, 3},	//460 KTextEditor::Plugin::Plugin(QObject*)
	{43, 1049, 0, 0, Smoke::mf_dtor, 0, 8},	//461 KTextEditor::Plugin::~Plugin()
	{43, 187, 15, 1, 0, 0, 4},	//462 KTextEditor::Plugin::addDocument(KTextEditor::Document*)
	{43, 741, 15, 1, 0, 0, 5},	//463 KTextEditor::Plugin::removeDocument(KTextEditor::Document*)
	{43, 199, 106, 1, 0, 0, 6},	//464 KTextEditor::Plugin::addView(KTextEditor::View*)
	{43, 762, 106, 1, 0, 0, 7},	//465 KTextEditor::Plugin::removeView(KTextEditor::View*)
	{44, 122, 0, 0, Smoke::mf_ctor, 135, 1},	//466 KTextEditor::Range::Range()
	{44, 122, 285, 2, Smoke::mf_ctor, 135, 2},	//467 KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
	{44, 122, 315, 2, Smoke::mf_ctor, 135, 3},	//468 KTextEditor::Range::Range(const KTextEditor::Cursor&, int)
	{44, 122, 322, 3, Smoke::mf_ctor, 135, 4},	//469 KTextEditor::Range::Range(const KTextEditor::Cursor&, int, int)
	{44, 122, 520, 4, Smoke::mf_ctor, 135, 5},	//470 KTextEditor::Range::Range(int, int, int, int)
	{44, 122, 334, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 135, 6},	//471 KTextEditor::Range::Range(const KTextEditor::Range&)
	{44, 1050, 0, 0, Smoke::mf_dtor, 0, 38},	//472 KTextEditor::Range::~Range()
	{44, 537, 0, 0, Smoke::mf_const, 469, 7},	//473 KTextEditor::Range::isValid() const
	{44, 536, 0, 0, Smoke::mf_const, 469, 8},	//474 KTextEditor::Range::isSmartRange() const
	{44, 976, 0, 0, Smoke::mf_const, 148, 9},	//475 KTextEditor::Range::toSmartRange() const
	{44, 943, 0, 0, 0, 118, 10},	//476 KTextEditor::Range::start()
	{44, 428, 0, 0, 0, 118, 11},	//477 KTextEditor::Range::end()
	{44, 811, 473, 1, 0, 0, 12},	//478 KTextEditor::Range::setBothLines(int)
	{44, 809, 473, 1, 0, 0, 13},	//479 KTextEditor::Range::setBothColumns(int)
	{44, 886, 334, 1, 0, 0, 14},	//480 KTextEditor::Range::setRange(const KTextEditor::Range&)
	{44, 886, 285, 2, 0, 0, 15},	//481 KTextEditor::Range::setRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
	{44, 444, 334, 1, 0, 469, 16},	//482 KTextEditor::Range::expandToRange(const KTextEditor::Range&)
	{44, 312, 334, 1, 0, 469, 17},	//483 KTextEditor::Range::confineToRange(const KTextEditor::Range&)
	{44, 658, 0, 0, Smoke::mf_const, 469, 18},	//484 KTextEditor::Range::onSingleLine() const
	{44, 657, 0, 0, Smoke::mf_const, 543, 19},	//485 KTextEditor::Range::numberOfLines() const
	{44, 289, 0, 0, Smoke::mf_const, 543, 20},	//486 KTextEditor::Range::columnWidth() const
	{44, 534, 0, 0, Smoke::mf_const, 469, 21},	//487 KTextEditor::Range::isEmpty() const
	{44, 317, 334, 1, Smoke::mf_const, 469, 22},	//488 KTextEditor::Range::contains(const KTextEditor::Range&) const
	{44, 317, 266, 1, Smoke::mf_const, 469, 23},	//489 KTextEditor::Range::contains(const KTextEditor::Cursor&) const
	{44, 321, 473, 1, Smoke::mf_const, 469, 24},	//490 KTextEditor::Range::containsLine(int) const
	{44, 319, 473, 1, Smoke::mf_const, 469, 25},	//491 KTextEditor::Range::containsColumn(int) const
	{44, 669, 334, 1, Smoke::mf_const, 469, 26},	//492 KTextEditor::Range::overlaps(const KTextEditor::Range&) const
	{44, 673, 473, 1, Smoke::mf_const, 469, 27},	//493 KTextEditor::Range::overlapsLine(int) const
	{44, 671, 473, 1, Smoke::mf_const, 469, 28},	//494 KTextEditor::Range::overlapsColumn(int) const
	{44, 696, 266, 1, Smoke::mf_const, 543, 29},	//495 KTextEditor::Range::positionRelativeToCursor(const KTextEditor::Cursor&) const
	{44, 698, 473, 1, Smoke::mf_const, 543, 30},	//496 KTextEditor::Range::positionRelativeToLine(int) const
	{44, 228, 266, 1, Smoke::mf_const, 469, 31},	//497 KTextEditor::Range::boundaryAtCursor(const KTextEditor::Cursor&) const
	{44, 230, 473, 1, Smoke::mf_const, 469, 32},	//498 KTextEditor::Range::boundaryOnLine(int) const
	{44, 527, 334, 1, Smoke::mf_const, 133, 33},	//499 KTextEditor::Range::intersect(const KTextEditor::Range&) const
	{44, 426, 334, 1, Smoke::mf_const, 133, 34},	//500 KTextEditor::Range::encompass(const KTextEditor::Range&) const
	{44, 529, 0, 0, Smoke::mf_static, 133, 35},	//501 KTextEditor::Range::invalid()
	{44, 122, 9, 2, Smoke::mf_ctor|Smoke::mf_protected, 135, 36},	//502 KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
	{44, 711, 12, 2, Smoke::mf_protected, 0, 37},	//503 KTextEditor::Range::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
	{45, 130, 0, 0, Smoke::mf_ctor, 138, 1},	//504 KTextEditor::SearchInterface::SearchInterface()
	{45, 1051, 0, 0, Smoke::mf_dtor, 0, 5},	//505 KTextEditor::SearchInterface::~SearchInterface()
	{45, 785, 359, 3, 0, 370, 2},	//506 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&, const KTextEditor::Search::SearchOptions) [pure virtual]
	{45, 785, 352, 2, 0, 370, -1},	//507 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&) [pure virtual]
	{45, 954, 0, 0, Smoke::mf_const, 136, 3},	//508 KTextEditor::SearchInterface::supportedSearchOptions() const [pure virtual]
	{45, 130, 370, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 138, 4},	//509 KTextEditor::SearchInterface::SearchInterface(const KTextEditor::SearchInterface&)
	{46, 134, 0, 0, Smoke::mf_ctor, 139, 1},	//510 KTextEditor::SessionConfigInterface::SessionConfigInterface()
	{46, 1052, 0, 0, Smoke::mf_dtor, 0, 5},	//511 KTextEditor::SessionConfigInterface::~SessionConfigInterface()
	{46, 726, 246, 1, 0, 0, 2},	//512 KTextEditor::SessionConfigInterface::readSessionConfig(const KConfigGroup&) [pure virtual]
	{46, 1024, 149, 1, 0, 0, 3},	//513 KTextEditor::SessionConfigInterface::writeSessionConfig(KConfigGroup&) [pure virtual]
	{46, 134, 372, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 139, 4},	//514 KTextEditor::SessionConfigInterface::SessionConfigInterface(const KTextEditor::SessionConfigInterface&)
	{47, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 1},	//515 KTextEditor::SmartCursor::ByCharacter (enum)
	{47, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 2},	//516 KTextEditor::SmartCursor::ByCursorPosition (enum)
	{47, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 3},	//517 KTextEditor::SmartCursor::StayOnInsert (enum)
	{47, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 4},	//518 KTextEditor::SmartCursor::MoveOnInsert (enum)
	{47, 1053, 0, 0, Smoke::mf_dtor, 0, 26},	//519 KTextEditor::SmartCursor::~SmartCursor()
	{47, 535, 0, 0, Smoke::mf_const, 469, 5},	//520 KTextEditor::SmartCursor::isSmartCursor() const
	{47, 975, 0, 0, Smoke::mf_const, 141, 6},	//521 KTextEditor::SmartCursor::toSmartCursor() const
	{47, 936, 0, 0, Smoke::mf_const, 148, 7},	//522 KTextEditor::SmartCursor::smartRange() const
	{47, 385, 0, 0, Smoke::mf_const, 120, 8},	//523 KTextEditor::SmartCursor::document() const
	{47, 218, 0, 0, Smoke::mf_const, 469, 9},	//524 KTextEditor::SmartCursor::atEndOfLine() const
	{47, 217, 0, 0, Smoke::mf_const, 469, 10},	//525 KTextEditor::SmartCursor::atEndOfDocument() const
	{47, 537, 0, 0, Smoke::mf_const, 469, 11},	//526 KTextEditor::SmartCursor::isValid() const
	{47, 243, 0, 0, Smoke::mf_const, 199, 12},	//527 KTextEditor::SmartCursor::character() const
	{47, 519, 462, 2, 0, 469, 13},	//528 KTextEditor::SmartCursor::insertText(const QStringList&, bool)
	{47, 519, 460, 1, 0, 469, 14},	//529 KTextEditor::SmartCursor::insertText(const QStringList&)
	{47, 203, 475, 2, 0, 469, 15},	//530 KTextEditor::SmartCursor::advance(int, KTextEditor::SmartCursor::AdvanceMode)
	{47, 203, 473, 1, 0, 469, 16},	//531 KTextEditor::SmartCursor::advance(int)
	{47, 504, 0, 0, Smoke::mf_const, 143, 17},	//532 KTextEditor::SmartCursor::insertBehavior() const
	{47, 849, 77, 1, 0, 0, 18},	//533 KTextEditor::SmartCursor::setInsertBehavior(KTextEditor::SmartCursor::InsertBehavior)
	{47, 473, 0, 0, Smoke::mf_const, 469, 19},	//534 KTextEditor::SmartCursor::hasNotifier() const [pure virtual]
	{47, 655, 0, 0, 0, 144, 20},	//535 KTextEditor::SmartCursor::notifier() [pure virtual]
	{47, 373, 0, 0, 0, 0, 21},	//536 KTextEditor::SmartCursor::deleteNotifier() [pure virtual]
	{47, 1013, 0, 0, Smoke::mf_const, 145, 22},	//537 KTextEditor::SmartCursor::watcher() const [pure virtual]
	{47, 916, 79, 1, 0, 0, 23},	//538 KTextEditor::SmartCursor::setWatcher(KTextEditor::SmartCursorWatcher*) [pure virtual]
	{47, 916, 0, 0, 0, 0, -1},	//539 KTextEditor::SmartCursor::setWatcher() [pure virtual]
	{47, 666, 374, 1, 0, 140, 24},	//540 KTextEditor::SmartCursor::operator=(const KTextEditor::SmartCursor&)
	{47, 139, 268, 3, Smoke::mf_ctor|Smoke::mf_protected, 141, 25},	//541 KTextEditor::SmartCursor::SmartCursor(const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior)
	{48, 602, 0, 0, Smoke::mf_const, 522, 1},	//542 KTextEditor::SmartCursorNotifier::metaObject() const
	{48, 703, 182, 3, 0, 543, 2},	//543 KTextEditor::SmartCursorNotifier::qt_metacall(QMetaObject::Call, int, void**)
	{48, 141, 0, 0, Smoke::mf_ctor, 144, 3},	//544 KTextEditor::SmartCursorNotifier::SmartCursorNotifier()
	{48, 1010, 0, 0, Smoke::mf_const, 469, 4},	//545 KTextEditor::SmartCursorNotifier::wantsDirectChanges() const
	{48, 914, 239, 1, 0, 0, 5},	//546 KTextEditor::SmartCursorNotifier::setWantsDirectChanges(bool)
	{48, 1054, 0, 0, Smoke::mf_dtor, 0, 11},	//547 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier()
	{48, 692, 60, 1, 0, 0, 6},	//548 KTextEditor::SmartCursorNotifier::positionChanged(KTextEditor::SmartCursor*)
	{48, 694, 60, 1, 0, 0, 7},	//549 KTextEditor::SmartCursorNotifier::positionDeleted(KTextEditor::SmartCursor*)
	{48, 245, 74, 2, 0, 0, 8},	//550 KTextEditor::SmartCursorNotifier::characterDeleted(KTextEditor::SmartCursor*, bool)
	{48, 247, 74, 2, 0, 0, 9},	//551 KTextEditor::SmartCursorNotifier::characterInserted(KTextEditor::SmartCursor*, bool)
	{48, 376, 60, 1, 0, 0, 10},	//552 KTextEditor::SmartCursorNotifier::deleted(KTextEditor::SmartCursor*)
	{49, 142, 0, 0, Smoke::mf_ctor, 145, 1},	//553 KTextEditor::SmartCursorWatcher::SmartCursorWatcher()
	{49, 1055, 0, 0, Smoke::mf_dtor, 0, 10},	//554 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher()
	{49, 1010, 0, 0, Smoke::mf_const, 469, 2},	//555 KTextEditor::SmartCursorWatcher::wantsDirectChanges() const
	{49, 914, 239, 1, 0, 0, 3},	//556 KTextEditor::SmartCursorWatcher::setWantsDirectChanges(bool)
	{49, 692, 60, 1, 0, 0, 4},	//557 KTextEditor::SmartCursorWatcher::positionChanged(KTextEditor::SmartCursor*)
	{49, 694, 60, 1, 0, 0, 5},	//558 KTextEditor::SmartCursorWatcher::positionDeleted(KTextEditor::SmartCursor*)
	{49, 245, 74, 2, 0, 0, 6},	//559 KTextEditor::SmartCursorWatcher::characterDeleted(KTextEditor::SmartCursor*, bool)
	{49, 247, 74, 2, 0, 0, 7},	//560 KTextEditor::SmartCursorWatcher::characterInserted(KTextEditor::SmartCursor*, bool)
	{49, 376, 60, 1, 0, 0, 8},	//561 KTextEditor::SmartCursorWatcher::deleted(KTextEditor::SmartCursor*)
	{49, 142, 376, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 145, 9},	//562 KTextEditor::SmartCursorWatcher::SmartCursorWatcher(const KTextEditor::SmartCursorWatcher&)
	{50, 144, 0, 0, Smoke::mf_ctor, 146, 1},	//563 KTextEditor::SmartInterface::SmartInterface()
	{50, 1056, 0, 0, Smoke::mf_dtor, 0, 47},	//564 KTextEditor::SmartInterface::~SmartInterface()
	{50, 935, 0, 0, Smoke::mf_const, 281, 2},	//565 KTextEditor::SmartInterface::smartMutex() const
	{50, 272, 0, 0, 0, 0, 3},	//566 KTextEditor::SmartInterface::clearSmartInterface() [pure virtual]
	{50, 270, 0, 0, Smoke::mf_const, 469, 4},	//567 KTextEditor::SmartInterface::clearOnDocumentReload() const
	{50, 813, 239, 1, 0, 0, 5},	//568 KTextEditor::SmartInterface::setClearOnDocumentReload(bool)
	{50, 346, 0, 0, Smoke::mf_const, 543, 6},	//569 KTextEditor::SmartInterface::currentRevision() const [pure virtual]
	{50, 732, 473, 1, Smoke::mf_const, 0, 7},	//570 KTextEditor::SmartInterface::releaseRevision(int) const [pure virtual]
	{50, 989, 473, 1, 0, 0, 8},	//571 KTextEditor::SmartInterface::useRevision(int) [pure virtual]
	{50, 271, 0, 0, 0, 0, 9},	//572 KTextEditor::SmartInterface::clearRevision()
	{50, 979, 272, 2, Smoke::mf_const, 117, 10},	//573 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
	{50, 979, 266, 1, Smoke::mf_const, 117, 11},	//574 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
	{50, 979, 346, 2, Smoke::mf_const, 133, 12},	//575 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors) const
	{50, 979, 334, 1, Smoke::mf_const, 133, 13},	//576 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
	{50, 641, 272, 2, 0, 141, 14},	//577 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) [pure virtual]
	{50, 641, 266, 1, 0, 141, -1},	//578 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&) [pure virtual]
	{50, 641, 0, 0, 0, 141, -1},	//579 KTextEditor::SmartInterface::newSmartCursor() [pure virtual]
	{50, 641, 512, 3, 0, 141, 15},	//580 KTextEditor::SmartInterface::newSmartCursor(int, int, KTextEditor::SmartCursor::InsertBehavior)
	{50, 641, 509, 2, 0, 141, 16},	//581 KTextEditor::SmartInterface::newSmartCursor(int, int)
	{50, 372, 0, 0, 0, 0, 17},	//582 KTextEditor::SmartInterface::deleteCursors() [pure virtual]
	{50, 646, 342, 3, 0, 148, 18},	//583 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors) [pure virtual]
	{50, 646, 339, 2, 0, 148, -1},	//584 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*) [pure virtual]
	{50, 646, 334, 1, 0, 148, -1},	//585 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&) [pure virtual]
	{50, 646, 0, 0, 0, 148, -1},	//586 KTextEditor::SmartInterface::newSmartRange() [pure virtual]
	{50, 646, 292, 4, 0, 148, 19},	//587 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
	{50, 646, 288, 3, 0, 148, 20},	//588 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
	{50, 646, 285, 2, 0, 148, 21},	//589 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
	{50, 646, 531, 6, 0, 148, 22},	//590 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
	{50, 646, 525, 5, 0, 148, 23},	//591 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*)
	{50, 646, 520, 4, 0, 148, 24},	//592 KTextEditor::SmartInterface::newSmartRange(int, int, int, int)
	{50, 646, 69, 4, 0, 148, 25},	//593 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors) [pure virtual]
	{50, 646, 65, 3, 0, 148, -1},	//594 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*) [pure virtual]
	{50, 646, 62, 2, 0, 148, -1},	//595 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*) [pure virtual]
	{50, 983, 81, 1, 0, 0, 26},	//596 KTextEditor::SmartInterface::unbindSmartRange(KTextEditor::SmartRange*) [pure virtual]
	{50, 375, 0, 0, 0, 0, 27},	//597 KTextEditor::SmartInterface::deleteRanges() [pure virtual]
	{50, 189, 93, 2, 0, 0, 28},	//598 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*, bool) [pure virtual]
	{50, 189, 81, 1, 0, 0, -1},	//599 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*) [pure virtual]
	{50, 743, 81, 1, 0, 0, 29},	//600 KTextEditor::SmartInterface::removeHighlightFromDocument(KTextEditor::SmartRange*) [pure virtual]
	{50, 390, 0, 0, Smoke::mf_const, 512, 30},	//601 KTextEditor::SmartInterface::documentHighlights() const [pure virtual]
	{50, 266, 0, 0, 0, 0, 31},	//602 KTextEditor::SmartInterface::clearDocumentHighlights() [pure virtual]
	{50, 192, 111, 3, 0, 0, 32},	//603 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*, bool) [pure virtual]
	{50, 192, 108, 2, 0, 0, -1},	//604 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
	{50, 745, 108, 2, 0, 0, 33},	//605 KTextEditor::SmartInterface::removeHighlightFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
	{50, 1004, 106, 1, Smoke::mf_const, 512, 34},	//606 KTextEditor::SmartInterface::viewHighlights(KTextEditor::View*) const [pure virtual]
	{50, 275, 106, 1, 0, 0, 35},	//607 KTextEditor::SmartInterface::clearViewHighlights(KTextEditor::View*) [pure virtual]
	{50, 183, 81, 1, 0, 0, 36},	//608 KTextEditor::SmartInterface::addActionsToDocument(KTextEditor::SmartRange*) [pure virtual]
	{50, 734, 81, 1, 0, 0, 37},	//609 KTextEditor::SmartInterface::removeActionsFromDocument(KTextEditor::SmartRange*) [pure virtual]
	{50, 386, 0, 0, Smoke::mf_const, 512, 38},	//610 KTextEditor::SmartInterface::documentActions() const [pure virtual]
	{50, 265, 0, 0, 0, 0, 39},	//611 KTextEditor::SmartInterface::clearDocumentActions() [pure virtual]
	{50, 185, 108, 2, 0, 0, 40},	//612 KTextEditor::SmartInterface::addActionsToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
	{50, 736, 108, 2, 0, 0, 41},	//613 KTextEditor::SmartInterface::removeActionsFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
	{50, 997, 106, 1, Smoke::mf_const, 512, 42},	//614 KTextEditor::SmartInterface::viewActions(KTextEditor::View*) const [pure virtual]
	{50, 273, 106, 1, 0, 0, 43},	//615 KTextEditor::SmartInterface::clearViewActions(KTextEditor::View*) [pure virtual]
	{50, 144, 378, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 146, 44},	//616 KTextEditor::SmartInterface::SmartInterface(const KTextEditor::SmartInterface&)
	{50, 222, 557, 1, Smoke::mf_protected, 0, 45},	//617 KTextEditor::SmartInterface::attributeDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
	{50, 224, 557, 1, Smoke::mf_protected, 0, 46},	//618 KTextEditor::SmartInterface::attributeNotDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
	{51, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 1},	//619 KTextEditor::SmartRange::DoNotExpand (enum)
	{51, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 2},	//620 KTextEditor::SmartRange::ExpandLeft (enum)
	{51, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 3},	//621 KTextEditor::SmartRange::ExpandRight (enum)
	{51, 1057, 0, 0, Smoke::mf_dtor, 0, 58},	//622 KTextEditor::SmartRange::~SmartRange()
	{51, 536, 0, 0, Smoke::mf_const, 469, 4},	//623 KTextEditor::SmartRange::isSmartRange() const
	{51, 976, 0, 0, Smoke::mf_const, 148, 5},	//624 KTextEditor::SmartRange::toSmartRange() const
	{51, 886, 334, 1, 0, 0, 6},	//625 KTextEditor::SmartRange::setRange(const KTextEditor::Range&)
	{51, 937, 0, 0, 0, 140, 7},	//626 KTextEditor::SmartRange::smartStart()
	{51, 934, 0, 0, 0, 140, 8},	//627 KTextEditor::SmartRange::smartEnd()
	{51, 312, 334, 1, 0, 469, 9},	//628 KTextEditor::SmartRange::confineToRange(const KTextEditor::Range&)
	{51, 444, 334, 1, 0, 469, 10},	//629 KTextEditor::SmartRange::expandToRange(const KTextEditor::Range&)
	{51, 385, 0, 0, Smoke::mf_const, 120, 11},	//630 KTextEditor::SmartRange::document() const
	{51, 958, 239, 1, Smoke::mf_const, 317, 12},	//631 KTextEditor::SmartRange::text(bool) const
	{51, 958, 0, 0, Smoke::mf_const, 317, 13},	//632 KTextEditor::SmartRange::text() const
	{51, 766, 462, 2, 0, 469, 14},	//633 KTextEditor::SmartRange::replaceText(const QStringList&, bool)
	{51, 766, 460, 1, 0, 469, 15},	//634 KTextEditor::SmartRange::replaceText(const QStringList&)
	{51, 758, 239, 1, 0, 469, 16},	//635 KTextEditor::SmartRange::removeText(bool)
	{51, 758, 0, 0, 0, 469, 17},	//636 KTextEditor::SmartRange::removeText()
	{51, 504, 0, 0, Smoke::mf_const, 150, 18},	//637 KTextEditor::SmartRange::insertBehavior() const
	{51, 849, 100, 1, 0, 0, 19},	//638 KTextEditor::SmartRange::setInsertBehavior(KTextEditor::SmartRange::InsertBehaviors)
	{51, 682, 0, 0, Smoke::mf_const, 148, 20},	//639 KTextEditor::SmartRange::parentRange() const
	{51, 881, 81, 1, 0, 0, 21},	//640 KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*)
	{51, 474, 81, 1, Smoke::mf_const, 469, 22},	//641 KTextEditor::SmartRange::hasParent(KTextEditor::SmartRange*) const
	{51, 378, 0, 0, Smoke::mf_const, 543, 23},	//642 KTextEditor::SmartRange::depth() const
	{51, 977, 0, 0, Smoke::mf_const, 148, 24},	//643 KTextEditor::SmartRange::topParentRange() const
	{51, 260, 0, 0, Smoke::mf_const, 513, 25},	//644 KTextEditor::SmartRange::childRanges() const
	{51, 264, 0, 0, 0, 0, 26},	//645 KTextEditor::SmartRange::clearChildRanges()
	{51, 371, 0, 0, 0, 0, 27},	//646 KTextEditor::SmartRange::deleteChildRanges()
	{51, 262, 0, 0, 0, 0, 28},	//647 KTextEditor::SmartRange::clearAndDeleteChildRanges()
	{51, 252, 382, 1, Smoke::mf_const, 148, 29},	//648 KTextEditor::SmartRange::childBefore(const KTextEditor::SmartRange*) const
	{51, 250, 382, 1, Smoke::mf_const, 148, 30},	//649 KTextEditor::SmartRange::childAfter(const KTextEditor::SmartRange*) const
	{51, 620, 334, 1, Smoke::mf_const, 148, 31},	//650 KTextEditor::SmartRange::mostSpecificRange(const KTextEditor::Range&) const
	{51, 448, 266, 1, Smoke::mf_const, 148, 32},	//651 KTextEditor::SmartRange::firstRangeContaining(const KTextEditor::Cursor&) const
	{51, 364, 278, 3, Smoke::mf_const, 148, 33},	//652 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*) const
	{51, 364, 275, 2, Smoke::mf_const, 148, 34},	//653 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*) const
	{51, 364, 266, 1, Smoke::mf_const, 148, 35},	//654 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&) const
	{51, 221, 0, 0, Smoke::mf_const, 81, 36},	//655 KTextEditor::SmartRange::attribute() const
	{51, 801, 557, 1, 0, 0, 37},	//656 KTextEditor::SmartRange::setAttribute(KSharedPtr<KTextEditor::Attribute>)
	{51, 214, 1, 1, 0, 0, 38},	//657 KTextEditor::SmartRange::associateAction(KAction*)
	{51, 383, 1, 1, 0, 0, 39},	//658 KTextEditor::SmartRange::dissociateAction(KAction*)
	{51, 216, 0, 0, Smoke::mf_const, 510, 40},	//659 KTextEditor::SmartRange::associatedActions() const
	{51, 263, 0, 0, 0, 0, 41},	//660 KTextEditor::SmartRange::clearAssociatedActions()
	{51, 700, 0, 0, 0, 152, 42},	//661 KTextEditor::SmartRange::primaryNotifier()
	{51, 656, 0, 0, Smoke::mf_const, 514, 43},	//662 KTextEditor::SmartRange::notifiers() const
	{51, 197, 102, 1, 0, 0, 44},	//663 KTextEditor::SmartRange::addNotifier(KTextEditor::SmartRangeNotifier*)
	{51, 751, 102, 1, 0, 0, 45},	//664 KTextEditor::SmartRange::removeNotifier(KTextEditor::SmartRangeNotifier*)
	{51, 374, 0, 0, 0, 0, 46},	//665 KTextEditor::SmartRange::deletePrimaryNotifier()
	{51, 1014, 0, 0, Smoke::mf_const, 515, 47},	//666 KTextEditor::SmartRange::watchers() const
	{51, 201, 104, 1, 0, 0, 48},	//667 KTextEditor::SmartRange::addWatcher(KTextEditor::SmartRangeWatcher*)
	{51, 764, 104, 1, 0, 0, 49},	//668 KTextEditor::SmartRange::removeWatcher(KTextEditor::SmartRangeWatcher*)
	{51, 666, 380, 1, 0, 147, 50},	//669 KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
	{51, 666, 334, 1, 0, 147, 51},	//670 KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
	{51, 146, 69, 4, Smoke::mf_ctor|Smoke::mf_protected, 148, 52},	//671 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
	{51, 146, 65, 3, Smoke::mf_ctor|Smoke::mf_protected, 148, 53},	//672 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
	{51, 146, 62, 2, Smoke::mf_ctor|Smoke::mf_protected, 148, 54},	//673 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
	{51, 711, 12, 2, Smoke::mf_protected, 0, 55},	//674 KTextEditor::SmartRange::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
	{51, 249, 0, 0, Smoke::mf_protected, 0, 56},	//675 KTextEditor::SmartRange::checkFeedback()
	{51, 332, 0, 0, Smoke::mf_protected, 152, 57},	//676 KTextEditor::SmartRange::createNotifier() [pure virtual]
	{52, 602, 0, 0, Smoke::mf_const, 522, 1},	//677 KTextEditor::SmartRangeNotifier::metaObject() const
	{52, 703, 182, 3, 0, 543, 2},	//678 KTextEditor::SmartRangeNotifier::qt_metacall(QMetaObject::Call, int, void**)
	{52, 150, 0, 0, Smoke::mf_ctor, 152, 3},	//679 KTextEditor::SmartRangeNotifier::SmartRangeNotifier()
	{52, 1010, 0, 0, Smoke::mf_const, 469, 4},	//680 KTextEditor::SmartRangeNotifier::wantsDirectChanges() const
	{52, 914, 239, 1, 0, 0, 5},	//681 KTextEditor::SmartRangeNotifier::setWantsDirectChanges(bool)
	{52, 1058, 0, 0, Smoke::mf_dtor, 0, 19},	//682 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier()
	{52, 720, 81, 1, 0, 0, 6},	//683 KTextEditor::SmartRangeNotifier::rangePositionChanged(KTextEditor::SmartRange*)
	{52, 713, 81, 1, 0, 0, 7},	//684 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*)
	{52, 713, 83, 2, 0, 0, 8},	//685 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{52, 624, 90, 2, 0, 0, 9},	//686 KTextEditor::SmartRangeNotifier::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{52, 626, 90, 2, 0, 0, 10},	//687 KTextEditor::SmartRangeNotifier::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{52, 236, 90, 2, 0, 0, 11},	//688 KTextEditor::SmartRangeNotifier::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{52, 238, 90, 2, 0, 0, 12},	//689 KTextEditor::SmartRangeNotifier::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{52, 718, 81, 1, 0, 0, 13},	//690 KTextEditor::SmartRangeNotifier::rangeEliminated(KTextEditor::SmartRange*)
	{52, 716, 81, 1, 0, 0, 14},	//691 KTextEditor::SmartRangeNotifier::rangeDeleted(KTextEditor::SmartRange*)
	{52, 683, 86, 3, 0, 0, 15},	//692 KTextEditor::SmartRangeNotifier::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{52, 256, 83, 2, 0, 0, 16},	//693 KTextEditor::SmartRangeNotifier::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{52, 258, 83, 2, 0, 0, 17},	//694 KTextEditor::SmartRangeNotifier::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{52, 709, 96, 3, 0, 0, 18},	//695 KTextEditor::SmartRangeNotifier::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
	{53, 151, 0, 0, Smoke::mf_ctor, 153, 1},	//696 KTextEditor::SmartRangeWatcher::SmartRangeWatcher()
	{53, 1059, 0, 0, Smoke::mf_dtor, 0, 18},	//697 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher()
	{53, 1010, 0, 0, Smoke::mf_const, 469, 2},	//698 KTextEditor::SmartRangeWatcher::wantsDirectChanges() const
	{53, 914, 239, 1, 0, 0, 3},	//699 KTextEditor::SmartRangeWatcher::setWantsDirectChanges(bool)
	{53, 720, 81, 1, 0, 0, 4},	//700 KTextEditor::SmartRangeWatcher::rangePositionChanged(KTextEditor::SmartRange*)
	{53, 713, 81, 1, 0, 0, 5},	//701 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*)
	{53, 713, 83, 2, 0, 0, 6},	//702 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{53, 624, 90, 2, 0, 0, 7},	//703 KTextEditor::SmartRangeWatcher::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{53, 626, 90, 2, 0, 0, 8},	//704 KTextEditor::SmartRangeWatcher::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{53, 236, 90, 2, 0, 0, 9},	//705 KTextEditor::SmartRangeWatcher::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{53, 238, 90, 2, 0, 0, 10},	//706 KTextEditor::SmartRangeWatcher::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{53, 718, 81, 1, 0, 0, 11},	//707 KTextEditor::SmartRangeWatcher::rangeEliminated(KTextEditor::SmartRange*)
	{53, 716, 81, 1, 0, 0, 12},	//708 KTextEditor::SmartRangeWatcher::rangeDeleted(KTextEditor::SmartRange*)
	{53, 683, 86, 3, 0, 0, 13},	//709 KTextEditor::SmartRangeWatcher::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{53, 256, 83, 2, 0, 0, 14},	//710 KTextEditor::SmartRangeWatcher::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{53, 258, 83, 2, 0, 0, 15},	//711 KTextEditor::SmartRangeWatcher::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{53, 709, 96, 3, 0, 0, 16},	//712 KTextEditor::SmartRangeWatcher::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
	{53, 151, 384, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 153, 17},	//713 KTextEditor::SmartRangeWatcher::SmartRangeWatcher(const KTextEditor::SmartRangeWatcher&)
	{54, 157, 0, 0, Smoke::mf_ctor, 154, 1},	//714 KTextEditor::TemplateInterface::TemplateInterface()
	{54, 1060, 0, 0, Smoke::mf_dtor, 0, 6},	//715 KTextEditor::TemplateInterface::~TemplateInterface()
	{54, 515, 304, 3, 0, 469, 2},	//716 KTextEditor::TemplateInterface::insertTemplateText(const KTextEditor::Cursor&, const QString&, const QMap<QString, QString>&)
	{54, 157, 386, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 154, 3},	//717 KTextEditor::TemplateInterface::TemplateInterface(const KTextEditor::TemplateInterface&)
	{54, 442, 177, 2, Smoke::mf_static, 469, 4},	//718 KTextEditor::TemplateInterface::expandMacros(QMap<QString, QString>&, QWidget*)
	{54, 517, 304, 3, Smoke::mf_protected, 469, 5},	//719 KTextEditor::TemplateInterface::insertTemplateTextImplementation(const KTextEditor::Cursor&, const QString&, const QMap<QString, QString>&) [pure virtual]
	{55, 159, 0, 0, Smoke::mf_ctor, 155, 1},	//720 KTextEditor::TextHintInterface::TextHintInterface()
	{55, 1061, 0, 0, Smoke::mf_dtor, 0, 6},	//721 KTextEditor::TextHintInterface::~TextHintInterface()
	{55, 421, 473, 1, 0, 0, 2},	//722 KTextEditor::TextHintInterface::enableTextHints(int) [pure virtual]
	{55, 380, 0, 0, 0, 0, 3},	//723 KTextEditor::TextHintInterface::disableTextHints() [pure virtual]
	{55, 639, 282, 2, 0, 0, 4},	//724 KTextEditor::TextHintInterface::needTextHint(const KTextEditor::Cursor&, QString&) [pure virtual]
	{55, 159, 388, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 155, 5},	//725 KTextEditor::TextHintInterface::TextHintInterface(const KTextEditor::TextHintInterface&)
	{56, 165, 0, 0, Smoke::mf_ctor, 156, 1},	//726 KTextEditor::VariableInterface::VariableInterface()
	{56, 1062, 0, 0, Smoke::mf_dtor, 0, 5},	//727 KTextEditor::VariableInterface::~VariableInterface()
	{56, 991, 445, 1, Smoke::mf_const, 313, 2},	//728 KTextEditor::VariableInterface::variable(const QString&) const [pure virtual]
	{56, 993, 39, 3, 0, 0, 3},	//729 KTextEditor::VariableInterface::variableChanged(KTextEditor::Document*, const QString&, const QString&) [pure virtual]
	{56, 165, 390, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 156, 4},	//730 KTextEditor::VariableInterface::VariableInterface(const KTextEditor::VariableInterface&)
	{57, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 1},	//731 KTextEditor::View::EditInsert (enum)
	{57, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 2},	//732 KTextEditor::View::EditOverwrite (enum)
	{57, 602, 0, 0, Smoke::mf_const, 522, 3},	//733 KTextEditor::View::metaObject() const
	{57, 703, 182, 3, 0, 543, 4},	//734 KTextEditor::View::qt_metacall(QMetaObject::Call, int, void**)
	{57, 167, 220, 1, Smoke::mf_ctor, 157, 5},	//735 KTextEditor::View::View(QWidget*)
	{57, 1063, 0, 0, Smoke::mf_dtor, 0, 43},	//736 KTextEditor::View::~View()
	{57, 385, 0, 0, Smoke::mf_const, 120, 6},	//737 KTextEditor::View::document() const [pure virtual]
	{57, 530, 0, 0, Smoke::mf_const, 469, 7},	//738 KTextEditor::View::isActiveView() const
	{57, 1006, 0, 0, Smoke::mf_const, 313, 8},	//739 KTextEditor::View::viewMode() const [pure virtual]
	{57, 1001, 0, 0, Smoke::mf_const, 542, 9},	//740 KTextEditor::View::viewEditMode() const [pure virtual]
	{57, 824, 180, 1, 0, 0, 10},	//741 KTextEditor::View::setContextMenu(QMenu*) [pure virtual]
	{57, 323, 0, 0, Smoke::mf_const, 273, 11},	//742 KTextEditor::View::contextMenu() const [pure virtual]
	{57, 368, 180, 1, Smoke::mf_const, 273, 12},	//743 KTextEditor::View::defaultContextMenu(QMenu*) const [pure virtual]
	{57, 368, 0, 0, Smoke::mf_const, 273, -1},	//744 KTextEditor::View::defaultContextMenu() const [pure virtual]
	{57, 826, 7, 1, 0, 469, 13},	//745 KTextEditor::View::setCursorPosition(KTextEditor::Cursor) [pure virtual]
	{57, 351, 0, 0, Smoke::mf_const, 117, 14},	//746 KTextEditor::View::cursorPosition() const [pure virtual]
	{57, 355, 0, 0, Smoke::mf_const, 117, 15},	//747 KTextEditor::View::cursorPositionVirtual() const [pure virtual]
	{57, 356, 266, 1, Smoke::mf_const, 304, 16},	//748 KTextEditor::View::cursorToCoordinate(const KTextEditor::Cursor&) const [pure virtual]
	{57, 354, 0, 0, Smoke::mf_const, 304, 17},	//749 KTextEditor::View::cursorPositionCoordinates() const [pure virtual]
	{57, 636, 0, 0, Smoke::mf_const, 469, 18},	//750 KTextEditor::View::mouseTrackingEnabled() const [pure virtual]
	{57, 873, 239, 1, 0, 469, 19},	//751 KTextEditor::View::setMouseTrackingEnabled(bool) [pure virtual]
	{57, 899, 334, 1, 0, 469, 20},	//752 KTextEditor::View::setSelection(const KTextEditor::Range&) [pure virtual]
	{57, 899, 318, 3, 0, 469, 21},	//753 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int, bool)
	{57, 899, 315, 2, 0, 469, 22},	//754 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int)
	{57, 790, 0, 0, Smoke::mf_const, 469, 23},	//755 KTextEditor::View::selection() const [pure virtual]
	{57, 793, 0, 0, Smoke::mf_const, 488, 24},	//756 KTextEditor::View::selectionRange() const [pure virtual]
	{57, 794, 0, 0, Smoke::mf_const, 313, 25},	//757 KTextEditor::View::selectionText() const [pure virtual]
	{57, 756, 0, 0, 0, 469, 26},	//758 KTextEditor::View::removeSelection() [pure virtual]
	{57, 757, 0, 0, 0, 469, 27},	//759 KTextEditor::View::removeSelectionText() [pure virtual]
	{57, 807, 239, 1, 0, 469, 28},	//760 KTextEditor::View::setBlockSelection(bool) [pure virtual]
	{57, 227, 0, 0, Smoke::mf_const, 469, 29},	//761 KTextEditor::View::blockSelection() const [pure virtual]
	{57, 519, 445, 1, 0, 469, 30},	//762 KTextEditor::View::insertText(const QString&)
	{57, 454, 106, 1, 0, 0, 31},	//763 KTextEditor::View::focusIn(KTextEditor::View*)
	{57, 460, 106, 1, 0, 0, 32},	//764 KTextEditor::View::focusOut(KTextEditor::View*)
	{57, 1007, 106, 1, 0, 0, 33},	//765 KTextEditor::View::viewModeChanged(KTextEditor::View*)
	{57, 1002, 115, 2, 0, 0, 34},	//766 KTextEditor::View::viewEditModeChanged(KTextEditor::View*, KTextEditor::View::EditMode)
	{57, 498, 139, 2, 0, 0, 35},	//767 KTextEditor::View::informationMessage(KTextEditor::View*, const QString&)
	{57, 965, 131, 3, 0, 0, 36},	//768 KTextEditor::View::textInserted(KTextEditor::View*, const KTextEditor::Cursor&, const QString&)
	{57, 324, 118, 2, 0, 0, 37},	//769 KTextEditor::View::contextMenuAboutToShow(KTextEditor::View*, QMenu*)
	{57, 352, 128, 2, 0, 0, 38},	//770 KTextEditor::View::cursorPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
	{57, 995, 128, 2, 0, 0, 39},	//771 KTextEditor::View::verticalScrollPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
	{57, 493, 106, 1, 0, 0, 40},	//772 KTextEditor::View::horizontalScrollPositionChanged(KTextEditor::View*)
	{57, 630, 128, 2, 0, 0, 41},	//773 KTextEditor::View::mousePositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
	{57, 791, 106, 1, 0, 0, 42},	//774 KTextEditor::View::selectionChanged(KTextEditor::View*)
	{59, 177, 401, 1, Smoke::mf_const, 194, 6},	//775 KXMLGUIClient::action(const QDomElement&) const
	{59, 179, 0, 0, Smoke::mf_const, 4, 7},	//776 KXMLGUIClient::actionCollection() const
	{59, 296, 0, 0, Smoke::mf_const, 12, 8},	//777 KXMLGUIClient::componentData() const
	{59, 401, 0, 0, Smoke::mf_const, 224, 9},	//778 KXMLGUIClient::domDocument() const
	{59, 1026, 0, 0, Smoke::mf_const, 313, 10},	//779 KXMLGUIClient::xmlFile() const
	{59, 554, 0, 0, Smoke::mf_const, 313, 11},	//780 KXMLGUIClient::localXMLFile() const
	{59, 817, 241, 1, Smoke::mf_protected, 0, 33},	//781 KXMLGUIClient::setComponentData(const KComponentData&)
	{59, 923, 453, 3, Smoke::mf_protected, 0, 34},	//782 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
	{59, 923, 450, 2, Smoke::mf_protected, 0, 35},	//783 KXMLGUIClient::setXMLFile(const QString&, bool)
	{59, 923, 445, 1, Smoke::mf_protected, 0, 36},	//784 KXMLGUIClient::setXMLFile(const QString&)
	{59, 855, 445, 1, Smoke::mf_protected, 0, 37},	//785 KXMLGUIClient::setLocalXMLFile(const QString&)
	{59, 920, 450, 2, Smoke::mf_protected, 0, 38},	//786 KXMLGUIClient::setXML(const QString&, bool)
	{59, 920, 445, 1, Smoke::mf_protected, 0, 39},	//787 KXMLGUIClient::setXML(const QString&)
	{59, 828, 398, 2, Smoke::mf_protected, 0, 40},	//788 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
	{59, 828, 396, 1, Smoke::mf_protected, 0, 41},	//789 KXMLGUIClient::setDOMDocument(const QDomDocument&)
	{59, 947, 447, 2, Smoke::mf_protected, 0, 42},	//790 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
	{59, 947, 445, 1, Smoke::mf_protected, 0, 43},	//791 KXMLGUIClient::stateChanged(const QString&)
	{60, 602, 0, 0, Smoke::mf_const, 522, 1},	//792 QAbstractItemModel::metaObject() const
	{60, 703, 182, 3, 0, 543, 2},	//793 QAbstractItemModel::qt_metacall(QMetaObject::Call, int, void**)
	{60, 495, 516, 3, Smoke::mf_const, 278, 7},	//794 QAbstractItemModel::index(int, int, const QModelIndex&) const [pure virtual]
	{60, 495, 509, 2, Smoke::mf_const, 278, -1},	//795 QAbstractItemModel::index(int, int) const [pure virtual]
	{60, 680, 413, 1, Smoke::mf_const, 278, 8},	//796 QAbstractItemModel::parent(const QModelIndex&) const [pure virtual]
	{60, 778, 413, 1, Smoke::mf_const, 543, 10},	//797 QAbstractItemModel::rowCount(const QModelIndex&) const [pure virtual]
	{60, 778, 0, 0, Smoke::mf_const, 543, -1},	//798 QAbstractItemModel::rowCount() const [pure virtual]
	{60, 287, 413, 1, Smoke::mf_const, 543, 11},	//799 QAbstractItemModel::columnCount(const QModelIndex&) const [pure virtual]
	{60, 287, 0, 0, Smoke::mf_const, 543, -1},	//800 QAbstractItemModel::columnCount() const [pure virtual]
	{60, 471, 413, 1, Smoke::mf_const, 469, 12},	//801 QAbstractItemModel::hasChildren(const QModelIndex&) const
	{60, 471, 0, 0, Smoke::mf_const, 469, 13},	//802 QAbstractItemModel::hasChildren() const
	{60, 360, 425, 2, Smoke::mf_const, 368, 14},	//803 QAbstractItemModel::data(const QModelIndex&, int) const [pure virtual]
	{60, 360, 413, 1, Smoke::mf_const, 368, -1},	//804 QAbstractItemModel::data(const QModelIndex&) const [pure virtual]
	{60, 831, 421, 3, 0, 469, 15},	//805 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
	{60, 831, 418, 2, 0, 469, 16},	//806 QAbstractItemModel::setData(const QModelIndex&, const QVariant&)
	{60, 476, 496, 3, Smoke::mf_const, 368, 17},	//807 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
	{60, 476, 484, 2, Smoke::mf_const, 368, 18},	//808 QAbstractItemModel::headerData(int, Qt::Orientation) const
	{60, 844, 491, 4, 0, 469, 19},	//809 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
	{60, 844, 487, 3, 0, 469, 20},	//810 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&)
	{60, 538, 413, 1, Smoke::mf_const, 268, 21},	//811 QAbstractItemModel::itemData(const QModelIndex&) const
	{60, 851, 415, 2, 0, 469, 22},	//812 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int, QVariant>&)
	{60, 608, 0, 0, Smoke::mf_const, 317, 23},	//813 QAbstractItemModel::mimeTypes() const
	{60, 605, 405, 1, Smoke::mf_const, 277, 24},	//814 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
	{60, 410, 407, 5, 0, 469, 25},	//815 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
	{60, 953, 0, 0, Smoke::mf_const, 404, 26},	//816 QAbstractItemModel::supportedDropActions() const
	{60, 512, 516, 3, 0, 469, 29},	//817 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
	{60, 512, 509, 2, 0, 469, 30},	//818 QAbstractItemModel::insertRows(int, int)
	{60, 505, 516, 3, 0, 469, 31},	//819 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
	{60, 505, 509, 2, 0, 469, 32},	//820 QAbstractItemModel::insertColumns(int, int)
	{60, 753, 516, 3, 0, 469, 33},	//821 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
	{60, 753, 509, 2, 0, 469, 34},	//822 QAbstractItemModel::removeRows(int, int)
	{60, 738, 516, 3, 0, 469, 35},	//823 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
	{60, 738, 509, 2, 0, 469, 36},	//824 QAbstractItemModel::removeColumns(int, int)
	{60, 446, 413, 1, 0, 0, 45},	//825 QAbstractItemModel::fetchMore(const QModelIndex&)
	{60, 234, 413, 1, Smoke::mf_const, 469, 46},	//826 QAbstractItemModel::canFetchMore(const QModelIndex&) const
	{60, 452, 413, 1, Smoke::mf_const, 418, 47},	//827 QAbstractItemModel::flags(const QModelIndex&) const
	{60, 938, 500, 2, 0, 0, 48},	//828 QAbstractItemModel::sort(int, Qt::SortOrder)
	{60, 938, 473, 1, 0, 0, 49},	//829 QAbstractItemModel::sort(int)
	{60, 232, 413, 1, Smoke::mf_const, 278, 50},	//830 QAbstractItemModel::buddy(const QModelIndex&) const
	{60, 598, 437, 5, Smoke::mf_const, 262, 51},	//831 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
	{60, 598, 432, 4, Smoke::mf_const, 262, 52},	//832 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int) const
	{60, 598, 428, 3, Smoke::mf_const, 262, 53},	//833 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&) const
	{60, 941, 413, 1, Smoke::mf_const, 307, 54},	//834 QAbstractItemModel::span(const QModelIndex&) const
	{60, 952, 0, 0, 0, 469, 56},	//835 QAbstractItemModel::submit()
	{60, 777, 0, 0, 0, 0, 57},	//836 QAbstractItemModel::revert()
	{89, 602, 0, 0, Smoke::mf_const, 522, 2},	//837 QObject::metaObject() const
	{89, 703, 182, 3, 0, 543, 3},	//838 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{89, 434, 167, 1, 0, 469, 6},	//839 QObject::event(QEvent*)
	{89, 436, 192, 2, 0, 469, 7},	//840 QObject::eventFilter(QObject*, QEvent*)
	{89, 973, 216, 1, Smoke::mf_protected, 0, 49},	//841 QObject::timerEvent(QTimerEvent*)
	{89, 254, 153, 1, Smoke::mf_protected, 0, 50},	//842 QObject::childEvent(QChildEvent*)
	{89, 358, 167, 1, Smoke::mf_protected, 0, 51},	//843 QObject::customEvent(QEvent*)
	{89, 314, 465, 1, Smoke::mf_protected, 0, 52},	//844 QObject::connectNotify(const char*)
	{89, 381, 465, 1, Smoke::mf_protected, 0, 53},	//845 QObject::disconnectNotify(const char*)
	{90, 379, 0, 0, Smoke::mf_const, 543, 11},	//846 QPaintDevice::devType() const
	{90, 675, 0, 0, Smoke::mf_const, 289, 13},	//847 QPaintDevice::paintEngine() const [pure virtual]
	{90, 603, 202, 1, Smoke::mf_const|Smoke::mf_protected, 543, 25},	//848 QPaintDevice::metric(QPaintDevice::PaintDeviceMetric) const
	{111, 602, 0, 0, Smoke::mf_const, 522, 4},	//849 QWidget::metaObject() const
	{111, 703, 182, 3, 0, 543, 5},	//850 QWidget::qt_metacall(QMetaObject::Call, int, void**)
	{111, 931, 0, 0, Smoke::mf_const, 307, 179},	//851 QWidget::sizeHint() const
	{111, 609, 0, 0, Smoke::mf_const, 307, 180},	//852 QWidget::minimumSizeHint() const
	{111, 479, 473, 1, Smoke::mf_const, 543, 184},	//853 QWidget::heightForWidth(int) const
	{111, 502, 237, 1, Smoke::mf_const, 368, 225},	//854 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
	{111, 912, 239, 1, 0, 0, 234},	//855 QWidget::setVisible(bool)
	{111, 632, 186, 1, Smoke::mf_protected, 0, 254},	//856 QWidget::mousePressEvent(QMouseEvent*)
	{111, 634, 186, 1, Smoke::mf_protected, 0, 255},	//857 QWidget::mouseReleaseEvent(QMouseEvent*)
	{111, 622, 186, 1, Smoke::mf_protected, 0, 256},	//858 QWidget::mouseDoubleClickEvent(QMouseEvent*)
	{111, 628, 186, 1, Smoke::mf_protected, 0, 257},	//859 QWidget::mouseMoveEvent(QMouseEvent*)
	{111, 1015, 218, 1, Smoke::mf_protected, 0, 258},	//860 QWidget::wheelEvent(QWheelEvent*)
	{111, 540, 175, 1, Smoke::mf_protected, 0, 259},	//861 QWidget::keyPressEvent(QKeyEvent*)
	{111, 542, 175, 1, Smoke::mf_protected, 0, 260},	//862 QWidget::keyReleaseEvent(QKeyEvent*)
	{111, 456, 169, 1, Smoke::mf_protected, 0, 261},	//863 QWidget::focusInEvent(QFocusEvent*)
	{111, 462, 169, 1, Smoke::mf_protected, 0, 262},	//864 QWidget::focusOutEvent(QFocusEvent*)
	{111, 432, 167, 1, Smoke::mf_protected, 0, 263},	//865 QWidget::enterEvent(QEvent*)
	{111, 545, 167, 1, Smoke::mf_protected, 0, 264},	//866 QWidget::leaveEvent(QEvent*)
	{111, 676, 204, 1, Smoke::mf_protected, 0, 265},	//867 QWidget::paintEvent(QPaintEvent*)
	{111, 637, 188, 1, Smoke::mf_protected, 0, 266},	//868 QWidget::moveEvent(QMoveEvent*)
	{111, 775, 206, 1, Smoke::mf_protected, 0, 267},	//869 QWidget::resizeEvent(QResizeEvent*)
	{111, 279, 155, 1, Smoke::mf_protected, 0, 268},	//870 QWidget::closeEvent(QCloseEvent*)
	{111, 326, 157, 1, Smoke::mf_protected, 0, 269},	//871 QWidget::contextMenuEvent(QContextMenuEvent*)
	{111, 956, 214, 1, Smoke::mf_protected, 0, 270},	//872 QWidget::tabletEvent(QTabletEvent*)
	{111, 180, 151, 1, Smoke::mf_protected, 0, 271},	//873 QWidget::actionEvent(QActionEvent*)
	{111, 402, 159, 1, Smoke::mf_protected, 0, 272},	//874 QWidget::dragEnterEvent(QDragEnterEvent*)
	{111, 406, 163, 1, Smoke::mf_protected, 0, 273},	//875 QWidget::dragMoveEvent(QDragMoveEvent*)
	{111, 404, 161, 1, Smoke::mf_protected, 0, 274},	//876 QWidget::dragLeaveEvent(QDragLeaveEvent*)
	{111, 408, 165, 1, Smoke::mf_protected, 0, 275},	//877 QWidget::dropEvent(QDropEvent*)
	{111, 928, 208, 1, Smoke::mf_protected, 0, 276},	//878 QWidget::showEvent(QShowEvent*)
	{111, 483, 171, 1, Smoke::mf_protected, 0, 277},	//879 QWidget::hideEvent(QHideEvent*)
	{111, 240, 167, 1, Smoke::mf_protected, 0, 278},	//880 QWidget::changeEvent(QEvent*)
	{111, 500, 173, 1, Smoke::mf_protected, 0, 280},	//881 QWidget::inputMethodEvent(QInputMethodEvent*)
	{111, 458, 239, 1, Smoke::mf_protected, 469, 289},	//882 QWidget::focusNextPrevChild(bool)
	{111, 950, 212, 1, Smoke::mf_protected, 0, 292},	//883 QWidget::styleChange(QStyle&)
	{111, 423, 239, 1, Smoke::mf_protected, 0, 293},	//884 QWidget::enabledChange(bool)
	{111, 678, 443, 1, Smoke::mf_protected, 0, 294},	//885 QWidget::paletteChange(const QPalette&)
	{111, 465, 403, 1, Smoke::mf_protected, 0, 295},	//886 QWidget::fontChange(const QFont&)
	{111, 1018, 239, 1, Smoke::mf_protected, 0, 296},	//887 QWidget::windowActivationChange(bool)
	{111, 544, 0, 0, Smoke::mf_protected, 0, 297},	//888 QWidget::languageChange()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap ktexteditor_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{20, 343, 49},	//1 KTextEditor::createPlugin?#
	{20, 416, 48},	//2 KTextEditor::editor$
	{21, 6, 53},	//3 KTextEditor::AnnotationInterface::AnnotationInterface
	{21, 7, 54},	//4 KTextEditor::AnnotationInterface::AnnotationInterface#
	{21, 212, 52},	//5 KTextEditor::AnnotationInterface::annotationModel
	{21, 800, 51},	//6 KTextEditor::AnnotationInterface::setAnnotationModel#
	{21, 1027, 50},	//7 KTextEditor::AnnotationInterface::~AnnotationInterface
	{22, 8, 59},	//8 KTextEditor::AnnotationModel::AnnotationModel
	{22, 363, 58},	//9 KTextEditor::AnnotationModel::data$$
	{22, 550, 61},	//10 KTextEditor::AnnotationModel::lineChanged$
	{22, 602, 55},	//11 KTextEditor::AnnotationModel::metaObject
	{22, 704, 56},	//12 KTextEditor::AnnotationModel::qt_metacall$$?
	{22, 774, 60},	//13 KTextEditor::AnnotationModel::reset
	{22, 1028, 57},	//14 KTextEditor::AnnotationModel::~AnnotationModel
	{23, 9, 68},	//15 KTextEditor::AnnotationViewInterface::AnnotationViewInterface
	{23, 10, 69},	//16 KTextEditor::AnnotationViewInterface::AnnotationViewInterface#
	{23, 207, 66},	//17 KTextEditor::AnnotationViewInterface::annotationActivated#$
	{23, 209, 67},	//18 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged#$
	{23, 211, 65},	//19 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow##$
	{23, 531, 64},	//20 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible
	{23, 798, 63},	//21 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible$
	{23, 1029, 62},	//22 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface
	{24, 4, 78},	//23 KTextEditor::Attribute::ActivateCaretIn
	{24, 5, 77},	//24 KTextEditor::Attribute::ActivateMouseIn
	{24, 13, 84},	//25 KTextEditor::Attribute::Attribute
	{24, 14, 85},	//26 KTextEditor::Attribute::Attribute#
	{24, 15, 74},	//27 KTextEditor::Attribute::AttributeDynamicEffect
	{24, 16, 75},	//28 KTextEditor::Attribute::AttributeInternalProperty
	{24, 17, 76},	//29 KTextEditor::Attribute::AttributeUserProperty
	{24, 19, 73},	//30 KTextEditor::Attribute::BackgroundFillWhitespace
	{24, 63, 83},	//31 KTextEditor::Attribute::EffectCycleGradient
	{24, 64, 80},	//32 KTextEditor::Attribute::EffectFadeIn
	{24, 65, 81},	//33 KTextEditor::Attribute::EffectFadeOut
	{24, 66, 79},	//34 KTextEditor::Attribute::EffectNone
	{24, 67, 82},	//35 KTextEditor::Attribute::EffectPulse
	{24, 113, 70},	//36 KTextEditor::Attribute::Outline
	{24, 132, 72},	//37 KTextEditor::Attribute::SelectedBackground
	{24, 133, 71},	//38 KTextEditor::Attribute::SelectedForeground
	{24, 216, 100},	//39 KTextEditor::Attribute::associatedActions
	{24, 226, 96},	//40 KTextEditor::Attribute::backgroundFillWhitespace
	{24, 261, 98},	//41 KTextEditor::Attribute::clear
	{24, 263, 101},	//42 KTextEditor::Attribute::clearAssociatedActions
	{24, 413, 102},	//43 KTextEditor::Attribute::dynamicAttribute$
	{24, 418, 104},	//44 KTextEditor::Attribute::effects
	{24, 464, 87},	//45 KTextEditor::Attribute::fontBold
	{24, 470, 99},	//46 KTextEditor::Attribute::hasAnyProperty
	{24, 665, 106},	//47 KTextEditor::Attribute::operator+=#
	{24, 667, 107},	//48 KTextEditor::Attribute::operator=#
	{24, 668, 90},	//49 KTextEditor::Attribute::outline
	{24, 788, 94},	//50 KTextEditor::Attribute::selectedBackground
	{24, 789, 92},	//51 KTextEditor::Attribute::selectedForeground
	{24, 806, 97},	//52 KTextEditor::Attribute::setBackgroundFillWhitespace$
	{24, 835, 103},	//53 KTextEditor::Attribute::setDynamicAttribute$?
	{24, 839, 105},	//54 KTextEditor::Attribute::setEffects$
	{24, 842, 89},	//55 KTextEditor::Attribute::setFontBold
	{24, 843, 88},	//56 KTextEditor::Attribute::setFontBold$
	{24, 880, 91},	//57 KTextEditor::Attribute::setOutline#
	{24, 896, 95},	//58 KTextEditor::Attribute::setSelectedBackground#
	{24, 898, 93},	//59 KTextEditor::Attribute::setSelectedForeground#
	{24, 1030, 86},	//60 KTextEditor::Attribute::~Attribute
	{25, 28, 118},	//61 KTextEditor::CodeCompletionInterface::CodeCompletionInterface
	{25, 29, 119},	//62 KTextEditor::CodeCompletionInterface::CodeCompletionInterface#
	{25, 171, 111},	//63 KTextEditor::CodeCompletionInterface::abortCompletion
	{25, 467, 112},	//64 KTextEditor::CodeCompletionInterface::forceCompletion
	{25, 532, 115},	//65 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled
	{25, 533, 109},	//66 KTextEditor::CodeCompletionInterface::isCompletionActive
	{25, 731, 113},	//67 KTextEditor::CodeCompletionInterface::registerCompletionModel#
	{25, 803, 117},	//68 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled
	{25, 804, 116},	//69 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled$
	{25, 945, 110},	//70 KTextEditor::CodeCompletionInterface::startCompletion##
	{25, 988, 114},	//71 KTextEditor::CodeCompletionInterface::unregisterCompletionModel#
	{25, 1031, 108},	//72 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface
	{26, 1, 169},	//73 KTextEditor::CodeCompletionModel::AccessibilityAccept
	{26, 2, 167},	//74 KTextEditor::CodeCompletionModel::AccessibilityNext
	{26, 3, 168},	//75 KTextEditor::CodeCompletionModel::AccessibilityPrevious
	{26, 11, 165},	//76 KTextEditor::CodeCompletionModel::ArgumentHintDepth
	{26, 12, 124},	//77 KTextEditor::CodeCompletionModel::Arguments
	{26, 18, 171},	//78 KTextEditor::CodeCompletionModel::AutomaticInvocation
	{26, 20, 166},	//79 KTextEditor::CodeCompletionModel::BestMatchesCount
	{26, 27, 134},	//80 KTextEditor::CodeCompletionModel::Class
	{26, 31, 176},	//81 KTextEditor::CodeCompletionModel::CodeCompletionModel#
	{26, 34, 188},	//82 KTextEditor::CodeCompletionModel::ColumnCount
	{26, 41, 155},	//83 KTextEditor::CodeCompletionModel::CompletionRole
	{26, 46, 132},	//84 KTextEditor::CodeCompletionModel::Const
	{26, 52, 160},	//85 KTextEditor::CodeCompletionModel::CustomHighlight
	{26, 53, 154},	//86 KTextEditor::CodeCompletionModel::CustomHighlighting
	{26, 68, 139},	//87 KTextEditor::CodeCompletionModel::Enum
	{26, 73, 163},	//88 KTextEditor::CodeCompletionModel::ExpandingWidget
	{26, 76, 127},	//89 KTextEditor::CodeCompletionModel::FirstProperty
	{26, 77, 145},	//90 KTextEditor::CodeCompletionModel::Friend
	{26, 78, 137},	//91 KTextEditor::CodeCompletionModel::Function
	{26, 79, 150},	//92 KTextEditor::CodeCompletionModel::GlobalScope
	{26, 80, 170},	//93 KTextEditor::CodeCompletionModel::GroupRole
	{26, 81, 159},	//94 KTextEditor::CodeCompletionModel::HighlightingMethod
	{26, 82, 121},	//95 KTextEditor::CodeCompletionModel::Icon
	{26, 83, 161},	//96 KTextEditor::CodeCompletionModel::InheritanceDepth
	{26, 84, 144},	//97 KTextEditor::CodeCompletionModel::Inline
	{26, 85, 153},	//98 KTextEditor::CodeCompletionModel::InternalHighlighting
	{26, 86, 162},	//99 KTextEditor::CodeCompletionModel::IsExpandable
	{26, 87, 164},	//100 KTextEditor::CodeCompletionModel::ItemSelected
	{26, 88, 189},	//101 KTextEditor::CodeCompletionModel::LastItemDataRole
	{26, 89, 151},	//102 KTextEditor::CodeCompletionModel::LastProperty
	{26, 90, 148},	//103 KTextEditor::CodeCompletionModel::LocalScope
	{26, 91, 173},	//104 KTextEditor::CodeCompletionModel::ManualInvocation
	{26, 98, 157},	//105 KTextEditor::CodeCompletionModel::MatchQuality
	{26, 104, 123},	//106 KTextEditor::CodeCompletionModel::Name
	{26, 105, 133},	//107 KTextEditor::CodeCompletionModel::Namespace
	{26, 106, 149},	//108 KTextEditor::CodeCompletionModel::NamespaceScope
	{26, 107, 152},	//109 KTextEditor::CodeCompletionModel::NoHighlighting
	{26, 108, 126},	//110 KTextEditor::CodeCompletionModel::NoProperty
	{26, 114, 143},	//111 KTextEditor::CodeCompletionModel::Override
	{26, 117, 125},	//112 KTextEditor::CodeCompletionModel::Postfix
	{26, 118, 120},	//113 KTextEditor::CodeCompletionModel::Prefix
	{26, 119, 130},	//114 KTextEditor::CodeCompletionModel::Private
	{26, 120, 129},	//115 KTextEditor::CodeCompletionModel::Protected
	{26, 121, 128},	//116 KTextEditor::CodeCompletionModel::Public
	{26, 128, 122},	//117 KTextEditor::CodeCompletionModel::Scope
	{26, 129, 156},	//118 KTextEditor::CodeCompletionModel::ScopeIndex
	{26, 136, 158},	//119 KTextEditor::CodeCompletionModel::SetMatchContext
	{26, 137, 146},	//120 KTextEditor::CodeCompletionModel::Signal
	{26, 138, 147},	//121 KTextEditor::CodeCompletionModel::Slot
	{26, 153, 131},	//122 KTextEditor::CodeCompletionModel::Static
	{26, 155, 135},	//123 KTextEditor::CodeCompletionModel::Struct
	{26, 156, 140},	//124 KTextEditor::CodeCompletionModel::Template
	{26, 161, 141},	//125 KTextEditor::CodeCompletionModel::TypeAlias
	{26, 162, 136},	//126 KTextEditor::CodeCompletionModel::Union
	{26, 163, 172},	//127 KTextEditor::CodeCompletionModel::UserInvocation
	{26, 164, 138},	//128 KTextEditor::CodeCompletionModel::Variable
	{26, 169, 142},	//129 KTextEditor::CodeCompletionModel::Virtual
	{26, 287, 181},	//130 KTextEditor::CodeCompletionModel::columnCount
	{26, 288, 180},	//131 KTextEditor::CodeCompletionModel::columnCount#
	{26, 293, 179},	//132 KTextEditor::CodeCompletionModel::completionInvoked##$
	{26, 496, 183},	//133 KTextEditor::CodeCompletionModel::index$$
	{26, 497, 182},	//134 KTextEditor::CodeCompletionModel::index$$#
	{26, 539, 184},	//135 KTextEditor::CodeCompletionModel::itemData#
	{26, 602, 174},	//136 KTextEditor::CodeCompletionModel::metaObject
	{26, 681, 185},	//137 KTextEditor::CodeCompletionModel::parent#
	{26, 704, 175},	//138 KTextEditor::CodeCompletionModel::qt_metacall$$?
	{26, 778, 187},	//139 KTextEditor::CodeCompletionModel::rowCount
	{26, 779, 186},	//140 KTextEditor::CodeCompletionModel::rowCount#
	{26, 892, 178},	//141 KTextEditor::CodeCompletionModel::setRowCount$
	{26, 1032, 177},	//142 KTextEditor::CodeCompletionModel::~CodeCompletionModel
	{27, 33, 192},	//143 KTextEditor::CodeCompletionModel2::CodeCompletionModel2#
	{27, 441, 193},	//144 KTextEditor::CodeCompletionModel2::executeCompletionItem2###
	{27, 602, 190},	//145 KTextEditor::CodeCompletionModel2::metaObject
	{27, 704, 191},	//146 KTextEditor::CodeCompletionModel2::qt_metacall$$?
	{27, 1033, 194},	//147 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2
	{28, 35, 199},	//148 KTextEditor::Command::Command
	{28, 36, 200},	//149 KTextEditor::Command::Command#
	{28, 285, 196},	//150 KTextEditor::Command::cmds
	{28, 439, 197},	//151 KTextEditor::Command::exec#$$
	{28, 482, 198},	//152 KTextEditor::Command::help#$$
	{28, 1034, 195},	//153 KTextEditor::Command::~Command
	{29, 37, 206},	//154 KTextEditor::CommandExtension::CommandExtension
	{29, 38, 207},	//155 KTextEditor::CommandExtension::CommandExtension#
	{29, 295, 203},	//156 KTextEditor::CommandExtension::completionObject#$
	{29, 451, 202},	//157 KTextEditor::CommandExtension::flagCompletions?
	{29, 702, 205},	//158 KTextEditor::CommandExtension::processText#$
	{29, 1012, 204},	//159 KTextEditor::CommandExtension::wantsToProcessText$
	{29, 1035, 201},	//160 KTextEditor::CommandExtension::~CommandExtension
	{30, 39, 214},	//161 KTextEditor::CommandInterface::CommandInterface
	{30, 40, 215},	//162 KTextEditor::CommandInterface::CommandInterface#
	{30, 290, 213},	//163 KTextEditor::CommandInterface::commandList
	{30, 291, 212},	//164 KTextEditor::CommandInterface::commands
	{30, 707, 211},	//165 KTextEditor::CommandInterface::queryCommand$
	{30, 729, 209},	//166 KTextEditor::CommandInterface::registerCommand#
	{30, 986, 210},	//167 KTextEditor::CommandInterface::unregisterCommand#
	{30, 1036, 208},	//168 KTextEditor::CommandInterface::~CommandInterface
	{31, 42, 216},	//169 KTextEditor::ConfigInterface::ConfigInterface
	{31, 43, 221},	//170 KTextEditor::ConfigInterface::ConfigInterface#
	{31, 300, 218},	//171 KTextEditor::ConfigInterface::configKeys
	{31, 311, 219},	//172 KTextEditor::ConfigInterface::configValue$
	{31, 821, 220},	//173 KTextEditor::ConfigInterface::setConfigValue$#
	{31, 1037, 217},	//174 KTextEditor::ConfigInterface::~ConfigInterface
	{32, 45, 224},	//175 KTextEditor::ConfigPage::ConfigPage#
	{32, 213, 226},	//176 KTextEditor::ConfigPage::apply
	{32, 242, 229},	//177 KTextEditor::ConfigPage::changed
	{32, 370, 228},	//178 KTextEditor::ConfigPage::defaults
	{32, 602, 222},	//179 KTextEditor::ConfigPage::metaObject
	{32, 704, 223},	//180 KTextEditor::ConfigPage::qt_metacall$$?
	{32, 774, 227},	//181 KTextEditor::ConfigPage::reset
	{32, 1038, 225},	//182 KTextEditor::ConfigPage::~ConfigPage
	{33, 47, 230},	//183 KTextEditor::ContainerInterface::ContainerInterface
	{33, 48, 234},	//184 KTextEditor::ContainerInterface::ContainerInterface#
	{33, 316, 233},	//185 KTextEditor::ContainerInterface::container
	{33, 823, 232},	//186 KTextEditor::ContainerInterface::setContainer#
	{33, 1039, 231},	//187 KTextEditor::ContainerInterface::~ContainerInterface
	{34, 49, 235},	//188 KTextEditor::Cursor::Cursor
	{34, 50, 237},	//189 KTextEditor::Cursor::Cursor#
	{34, 51, 236},	//190 KTextEditor::Cursor::Cursor$$
	{34, 219, 249},	//191 KTextEditor::Cursor::atStartOfDocument
	{34, 220, 248},	//192 KTextEditor::Cursor::atStartOfLine
	{34, 286, 246},	//193 KTextEditor::Cursor::column
	{34, 348, 255},	//194 KTextEditor::Cursor::cursorChangedDirectly#
	{34, 529, 252},	//195 KTextEditor::Cursor::invalid
	{34, 535, 240},	//196 KTextEditor::Cursor::isSmartCursor
	{34, 537, 239},	//197 KTextEditor::Cursor::isValid
	{34, 547, 244},	//198 KTextEditor::Cursor::line
	{34, 691, 250},	//199 KTextEditor::Cursor::position$$
	{34, 708, 251},	//200 KTextEditor::Cursor::range
	{34, 816, 247},	//201 KTextEditor::Cursor::setColumn$
	{34, 854, 245},	//202 KTextEditor::Cursor::setLine$
	{34, 884, 242},	//203 KTextEditor::Cursor::setPosition#
	{34, 885, 243},	//204 KTextEditor::Cursor::setPosition$$
	{34, 887, 254},	//205 KTextEditor::Cursor::setRange#
	{34, 943, 253},	//206 KTextEditor::Cursor::start
	{34, 975, 241},	//207 KTextEditor::Cursor::toSmartCursor
	{34, 1040, 238},	//208 KTextEditor::Cursor::~Cursor
	{35, 55, 259},	//209 KTextEditor::Document::Document
	{35, 56, 258},	//210 KTextEditor::Document::Document#
	{35, 174, 325},	//211 KTextEditor::Document::aboutToClose#
	{35, 176, 326},	//212 KTextEditor::Document::aboutToReload#
	{35, 182, 263},	//213 KTextEditor::Document::activeView
	{35, 244, 277},	//214 KTextEditor::Document::character#
	{35, 261, 290},	//215 KTextEditor::Document::clear
	{35, 345, 262},	//216 KTextEditor::Document::createView#
	{35, 350, 301},	//217 KTextEditor::Document::cursorInText#
	{35, 389, 282},	//218 KTextEditor::Document::documentEnd
	{35, 391, 265},	//219 KTextEditor::Document::documentName
	{35, 393, 318},	//220 KTextEditor::Document::documentNameChanged#
	{35, 394, 283},	//221 KTextEditor::Document::documentRange
	{35, 395, 269},	//222 KTextEditor::Document::documentReload
	{35, 396, 270},	//223 KTextEditor::Document::documentSave
	{35, 397, 271},	//224 KTextEditor::Document::documentSaveAs
	{35, 399, 319},	//225 KTextEditor::Document::documentUrlChanged#
	{35, 415, 261},	//226 KTextEditor::Document::editor
	{35, 425, 268},	//227 KTextEditor::Document::encoding
	{35, 429, 273},	//228 KTextEditor::Document::endEditing
	{35, 431, 287},	//229 KTextEditor::Document::endOfLine$
	{35, 485, 306},	//230 KTextEditor::Document::highlightingMode
	{35, 487, 328},	//231 KTextEditor::Document::highlightingModeChanged#
	{35, 489, 311},	//232 KTextEditor::Document::highlightingModeSection$
	{35, 490, 308},	//233 KTextEditor::Document::highlightingModes
	{35, 509, 302},	//234 KTextEditor::Document::insertLine$$
	{35, 511, 303},	//235 KTextEditor::Document::insertLines$?
	{35, 520, 292},	//236 KTextEditor::Document::insertText#$
	{35, 521, 291},	//237 KTextEditor::Document::insertText#$$
	{35, 522, 294},	//238 KTextEditor::Document::insertText#?
	{35, 523, 293},	//239 KTextEditor::Document::insertText#?$
	{35, 534, 285},	//240 KTextEditor::Document::isEmpty
	{35, 548, 280},	//241 KTextEditor::Document::line$
	{35, 552, 286},	//242 KTextEditor::Document::lineLength$
	{35, 553, 281},	//243 KTextEditor::Document::lines
	{35, 602, 256},	//244 KTextEditor::Document::metaObject
	{35, 607, 266},	//245 KTextEditor::Document::mimeType
	{35, 610, 305},	//246 KTextEditor::Document::mode
	{35, 612, 327},	//247 KTextEditor::Document::modeChanged#
	{35, 614, 312},	//248 KTextEditor::Document::modeSection$
	{35, 615, 307},	//249 KTextEditor::Document::modes
	{35, 617, 320},	//250 KTextEditor::Document::modifiedChanged#
	{35, 662, 315},	//251 KTextEditor::Document::openingError
	{35, 663, 316},	//252 KTextEditor::Document::openingErrorMessage
	{35, 704, 257},	//253 KTextEditor::Document::qt_metacall$$?
	{35, 748, 304},	//254 KTextEditor::Document::removeLine$
	{35, 759, 300},	//255 KTextEditor::Document::removeText#
	{35, 760, 299},	//256 KTextEditor::Document::removeText#$
	{35, 767, 296},	//257 KTextEditor::Document::replaceText#$
	{35, 768, 295},	//258 KTextEditor::Document::replaceText#$$
	{35, 769, 298},	//259 KTextEditor::Document::replaceText#?
	{35, 770, 297},	//260 KTextEditor::Document::replaceText#?$
	{35, 841, 267},	//261 KTextEditor::Document::setEncoding$
	{35, 848, 310},	//262 KTextEditor::Document::setHighlightingMode$
	{35, 866, 309},	//263 KTextEditor::Document::setMode$
	{35, 876, 329},	//264 KTextEditor::Document::setOpeningError$
	{35, 878, 330},	//265 KTextEditor::Document::setOpeningErrorMessage$
	{35, 906, 313},	//266 KTextEditor::Document::setSuppressOpeningErrorDialogs$
	{35, 908, 288},	//267 KTextEditor::Document::setText$
	{35, 909, 289},	//268 KTextEditor::Document::setText?
	{35, 946, 272},	//269 KTextEditor::Document::startEditing
	{35, 955, 314},	//270 KTextEditor::Document::suppressOpeningErrorDialogs
	{35, 958, 274},	//271 KTextEditor::Document::text
	{35, 959, 276},	//272 KTextEditor::Document::text#
	{35, 960, 275},	//273 KTextEditor::Document::text#$
	{35, 963, 321},	//274 KTextEditor::Document::textChanged#
	{35, 964, 324},	//275 KTextEditor::Document::textChanged###
	{35, 966, 322},	//276 KTextEditor::Document::textInserted##
	{35, 969, 279},	//277 KTextEditor::Document::textLines#
	{35, 970, 278},	//278 KTextEditor::Document::textLines#$
	{35, 972, 323},	//279 KTextEditor::Document::textRemoved##
	{35, 978, 284},	//280 KTextEditor::Document::totalCharacters
	{35, 1000, 317},	//281 KTextEditor::Document::viewCreated##
	{35, 1009, 264},	//282 KTextEditor::Document::views
	{35, 1041, 260},	//283 KTextEditor::Document::~Document
	{36, 60, 333},	//284 KTextEditor::Editor::Editor#
	{36, 172, 339},	//285 KTextEditor::Editor::aboutData
	{36, 298, 345},	//286 KTextEditor::Editor::configDialog#
	{36, 299, 344},	//287 KTextEditor::Editor::configDialogSupported
	{36, 302, 347},	//288 KTextEditor::Editor::configPage$#
	{36, 304, 349},	//289 KTextEditor::Editor::configPageFullName$
	{36, 306, 350},	//290 KTextEditor::Editor::configPageIcon$
	{36, 308, 348},	//291 KTextEditor::Editor::configPageName$
	{36, 309, 346},	//292 KTextEditor::Editor::configPages
	{36, 331, 337},	//293 KTextEditor::Editor::createDocument#
	{36, 388, 351},	//294 KTextEditor::Editor::documentCreated##
	{36, 400, 338},	//295 KTextEditor::Editor::documents
	{36, 602, 331},	//296 KTextEditor::Editor::metaObject
	{36, 704, 332},	//297 KTextEditor::Editor::qt_metacall$$?
	{36, 724, 341},	//298 KTextEditor::Editor::readConfig
	{36, 725, 340},	//299 KTextEditor::Editor::readConfig#
	{36, 904, 335},	//300 KTextEditor::Editor::setSimpleMode$
	{36, 930, 336},	//301 KTextEditor::Editor::simpleMode
	{36, 1022, 343},	//302 KTextEditor::Editor::writeConfig
	{36, 1023, 342},	//303 KTextEditor::Editor::writeConfig#
	{36, 1042, 334},	//304 KTextEditor::Editor::~Editor
	{37, 61, 355},	//305 KTextEditor::EditorChooser::EditorChooser
	{37, 62, 354},	//306 KTextEditor::EditorChooser::EditorChooser#
	{37, 242, 361},	//307 KTextEditor::EditorChooser::changed
	{37, 415, 364},	//308 KTextEditor::EditorChooser::editor
	{37, 416, 363},	//309 KTextEditor::EditorChooser::editor$
	{37, 417, 362},	//310 KTextEditor::EditorChooser::editor$$
	{37, 602, 352},	//311 KTextEditor::EditorChooser::metaObject
	{37, 704, 353},	//312 KTextEditor::EditorChooser::qt_metacall$$?
	{37, 722, 358},	//313 KTextEditor::EditorChooser::readAppSetting
	{37, 723, 357},	//314 KTextEditor::EditorChooser::readAppSetting$
	{37, 1020, 360},	//315 KTextEditor::EditorChooser::writeAppSetting
	{37, 1021, 359},	//316 KTextEditor::EditorChooser::writeAppSetting$
	{37, 1043, 356},	//317 KTextEditor::EditorChooser::~EditorChooser
	{38, 75, 367},	//318 KTextEditor::Factory::Factory#
	{38, 415, 369},	//319 KTextEditor::Factory::editor
	{38, 602, 365},	//320 KTextEditor::Factory::metaObject
	{38, 704, 366},	//321 KTextEditor::Factory::qt_metacall$$?
	{38, 1044, 368},	//322 KTextEditor::Factory::~Factory
	{39, 92, 372},	//323 KTextEditor::Mark::Mark
	{39, 93, 374},	//324 KTextEditor::Mark::Mark#
	{39, 547, 375},	//325 KTextEditor::Mark::line
	{39, 854, 370},	//326 KTextEditor::Mark::setLine$
	{39, 911, 371},	//327 KTextEditor::Mark::setType$
	{39, 982, 376},	//328 KTextEditor::Mark::type
	{39, 1045, 373},	//329 KTextEditor::Mark::~Mark
	{40, 21, 409},	//330 KTextEditor::MarkInterface::Bookmark
	{40, 22, 410},	//331 KTextEditor::MarkInterface::BreakpointActive
	{40, 23, 412},	//332 KTextEditor::MarkInterface::BreakpointDisabled
	{40, 24, 411},	//333 KTextEditor::MarkInterface::BreakpointReached
	{40, 69, 415},	//334 KTextEditor::MarkInterface::Error
	{40, 70, 413},	//335 KTextEditor::MarkInterface::Execution
	{40, 94, 416},	//336 KTextEditor::MarkInterface::MarkAdded
	{40, 95, 418},	//337 KTextEditor::MarkInterface::MarkInterface
	{40, 96, 435},	//338 KTextEditor::MarkInterface::MarkInterface#
	{40, 97, 417},	//339 KTextEditor::MarkInterface::MarkRemoved
	{40, 170, 414},	//340 KTextEditor::MarkInterface::Warning
	{40, 196, 423},	//341 KTextEditor::MarkInterface::addMark$$
	{40, 268, 422},	//342 KTextEditor::MarkInterface::clearMark$
	{40, 269, 426},	//343 KTextEditor::MarkInterface::clearMarks
	{40, 414, 433},	//344 KTextEditor::MarkInterface::editableMarks
	{40, 556, 420},	//345 KTextEditor::MarkInterface::mark$
	{40, 558, 434},	//346 KTextEditor::MarkInterface::markChanged##$
	{40, 560, 431},	//347 KTextEditor::MarkInterface::markDescription$
	{40, 562, 429},	//348 KTextEditor::MarkInterface::markPixmap$
	{40, 563, 377},	//349 KTextEditor::MarkInterface::markType01
	{40, 564, 378},	//350 KTextEditor::MarkInterface::markType02
	{40, 565, 379},	//351 KTextEditor::MarkInterface::markType03
	{40, 566, 380},	//352 KTextEditor::MarkInterface::markType04
	{40, 567, 381},	//353 KTextEditor::MarkInterface::markType05
	{40, 568, 382},	//354 KTextEditor::MarkInterface::markType06
	{40, 569, 383},	//355 KTextEditor::MarkInterface::markType07
	{40, 570, 384},	//356 KTextEditor::MarkInterface::markType08
	{40, 571, 385},	//357 KTextEditor::MarkInterface::markType09
	{40, 572, 386},	//358 KTextEditor::MarkInterface::markType10
	{40, 573, 387},	//359 KTextEditor::MarkInterface::markType11
	{40, 574, 388},	//360 KTextEditor::MarkInterface::markType12
	{40, 575, 389},	//361 KTextEditor::MarkInterface::markType13
	{40, 576, 390},	//362 KTextEditor::MarkInterface::markType14
	{40, 577, 391},	//363 KTextEditor::MarkInterface::markType15
	{40, 578, 392},	//364 KTextEditor::MarkInterface::markType16
	{40, 579, 393},	//365 KTextEditor::MarkInterface::markType17
	{40, 580, 394},	//366 KTextEditor::MarkInterface::markType18
	{40, 581, 395},	//367 KTextEditor::MarkInterface::markType19
	{40, 582, 396},	//368 KTextEditor::MarkInterface::markType20
	{40, 583, 397},	//369 KTextEditor::MarkInterface::markType21
	{40, 584, 398},	//370 KTextEditor::MarkInterface::markType22
	{40, 585, 399},	//371 KTextEditor::MarkInterface::markType23
	{40, 586, 400},	//372 KTextEditor::MarkInterface::markType24
	{40, 587, 401},	//373 KTextEditor::MarkInterface::markType25
	{40, 588, 402},	//374 KTextEditor::MarkInterface::markType26
	{40, 589, 403},	//375 KTextEditor::MarkInterface::markType27
	{40, 590, 404},	//376 KTextEditor::MarkInterface::markType28
	{40, 591, 405},	//377 KTextEditor::MarkInterface::markType29
	{40, 592, 406},	//378 KTextEditor::MarkInterface::markType30
	{40, 593, 407},	//379 KTextEditor::MarkInterface::markType31
	{40, 594, 408},	//380 KTextEditor::MarkInterface::markType32
	{40, 595, 425},	//381 KTextEditor::MarkInterface::marks
	{40, 597, 427},	//382 KTextEditor::MarkInterface::marksChanged#
	{40, 750, 424},	//383 KTextEditor::MarkInterface::removeMark$$
	{40, 773, 436},	//384 KTextEditor::MarkInterface::reservedMarkersCount
	{40, 837, 432},	//385 KTextEditor::MarkInterface::setEditableMarks$
	{40, 860, 421},	//386 KTextEditor::MarkInterface::setMark$$
	{40, 862, 430},	//387 KTextEditor::MarkInterface::setMarkDescription$$
	{40, 864, 428},	//388 KTextEditor::MarkInterface::setMarkPixmap$#
	{40, 1046, 419},	//389 KTextEditor::MarkInterface::~MarkInterface
	{41, 99, 437},	//390 KTextEditor::MdiContainer::MdiContainer
	{41, 100, 445},	//391 KTextEditor::MdiContainer::MdiContainer#
	{41, 182, 440},	//392 KTextEditor::MdiContainer::activeView
	{41, 278, 442},	//393 KTextEditor::MdiContainer::closeDocument#
	{41, 284, 444},	//394 KTextEditor::MdiContainer::closeView#
	{41, 330, 441},	//395 KTextEditor::MdiContainer::createDocument
	{41, 345, 443},	//396 KTextEditor::MdiContainer::createView#
	{41, 796, 439},	//397 KTextEditor::MdiContainer::setActiveView#
	{41, 1047, 438},	//398 KTextEditor::MdiContainer::~MdiContainer
	{42, 101, 450},	//399 KTextEditor::ModificationInterface::ModificationInterface
	{42, 102, 457},	//400 KTextEditor::ModificationInterface::ModificationInterface#
	{42, 109, 448},	//401 KTextEditor::ModificationInterface::OnDiskCreated
	{42, 110, 449},	//402 KTextEditor::ModificationInterface::OnDiskDeleted
	{42, 111, 447},	//403 KTextEditor::ModificationInterface::OnDiskModified
	{42, 112, 446},	//404 KTextEditor::ModificationInterface::OnDiskUnmodified
	{42, 619, 456},	//405 KTextEditor::ModificationInterface::modifiedOnDisk#$$
	{42, 870, 452},	//406 KTextEditor::ModificationInterface::setModifiedOnDisk$
	{42, 872, 453},	//407 KTextEditor::ModificationInterface::setModifiedOnDiskWarning$
	{42, 932, 455},	//408 KTextEditor::ModificationInterface::slotModifiedOnDisk
	{42, 933, 454},	//409 KTextEditor::ModificationInterface::slotModifiedOnDisk#
	{42, 1048, 451},	//410 KTextEditor::ModificationInterface::~ModificationInterface
	{43, 116, 460},	//411 KTextEditor::Plugin::Plugin#
	{43, 188, 462},	//412 KTextEditor::Plugin::addDocument#
	{43, 200, 464},	//413 KTextEditor::Plugin::addView#
	{43, 602, 458},	//414 KTextEditor::Plugin::metaObject
	{43, 704, 459},	//415 KTextEditor::Plugin::qt_metacall$$?
	{43, 742, 463},	//416 KTextEditor::Plugin::removeDocument#
	{43, 763, 465},	//417 KTextEditor::Plugin::removeView#
	{43, 1049, 461},	//418 KTextEditor::Plugin::~Plugin
	{44, 122, 466},	//419 KTextEditor::Range::Range
	{44, 123, 471},	//420 KTextEditor::Range::Range#
	{44, 124, -1},	//421 KTextEditor::Range::Range##
	{44, 125, 468},	//422 KTextEditor::Range::Range#$
	{44, 126, 469},	//423 KTextEditor::Range::Range#$$
	{44, 127, 470},	//424 KTextEditor::Range::Range$$$$
	{44, 229, 497},	//425 KTextEditor::Range::boundaryAtCursor#
	{44, 231, 498},	//426 KTextEditor::Range::boundaryOnLine$
	{44, 289, 486},	//427 KTextEditor::Range::columnWidth
	{44, 313, 483},	//428 KTextEditor::Range::confineToRange#
	{44, 318, -4},	//429 KTextEditor::Range::contains#
	{44, 320, 491},	//430 KTextEditor::Range::containsColumn$
	{44, 322, 490},	//431 KTextEditor::Range::containsLine$
	{44, 427, 500},	//432 KTextEditor::Range::encompass#
	{44, 428, 477},	//433 KTextEditor::Range::end
	{44, 445, 482},	//434 KTextEditor::Range::expandToRange#
	{44, 528, 499},	//435 KTextEditor::Range::intersect#
	{44, 529, 501},	//436 KTextEditor::Range::invalid
	{44, 534, 487},	//437 KTextEditor::Range::isEmpty
	{44, 536, 474},	//438 KTextEditor::Range::isSmartRange
	{44, 537, 473},	//439 KTextEditor::Range::isValid
	{44, 657, 485},	//440 KTextEditor::Range::numberOfLines
	{44, 658, 484},	//441 KTextEditor::Range::onSingleLine
	{44, 670, 492},	//442 KTextEditor::Range::overlaps#
	{44, 672, 494},	//443 KTextEditor::Range::overlapsColumn$
	{44, 674, 493},	//444 KTextEditor::Range::overlapsLine$
	{44, 697, 495},	//445 KTextEditor::Range::positionRelativeToCursor#
	{44, 699, 496},	//446 KTextEditor::Range::positionRelativeToLine$
	{44, 712, 503},	//447 KTextEditor::Range::rangeChanged##
	{44, 810, 479},	//448 KTextEditor::Range::setBothColumns$
	{44, 812, 478},	//449 KTextEditor::Range::setBothLines$
	{44, 887, 480},	//450 KTextEditor::Range::setRange#
	{44, 888, 481},	//451 KTextEditor::Range::setRange##
	{44, 943, 476},	//452 KTextEditor::Range::start
	{44, 976, 475},	//453 KTextEditor::Range::toSmartRange
	{44, 1050, 472},	//454 KTextEditor::Range::~Range
	{45, 130, 504},	//455 KTextEditor::SearchInterface::SearchInterface
	{45, 131, 509},	//456 KTextEditor::SearchInterface::SearchInterface#
	{45, 786, 507},	//457 KTextEditor::SearchInterface::searchText#$
	{45, 787, 506},	//458 KTextEditor::SearchInterface::searchText#$$
	{45, 954, 508},	//459 KTextEditor::SearchInterface::supportedSearchOptions
	{45, 1051, 505},	//460 KTextEditor::SearchInterface::~SearchInterface
	{46, 134, 510},	//461 KTextEditor::SessionConfigInterface::SessionConfigInterface
	{46, 135, 514},	//462 KTextEditor::SessionConfigInterface::SessionConfigInterface#
	{46, 727, 512},	//463 KTextEditor::SessionConfigInterface::readSessionConfig#
	{46, 1025, 513},	//464 KTextEditor::SessionConfigInterface::writeSessionConfig#
	{46, 1052, 511},	//465 KTextEditor::SessionConfigInterface::~SessionConfigInterface
	{47, 25, 515},	//466 KTextEditor::SmartCursor::ByCharacter
	{47, 26, 516},	//467 KTextEditor::SmartCursor::ByCursorPosition
	{47, 103, 518},	//468 KTextEditor::SmartCursor::MoveOnInsert
	{47, 140, 541},	//469 KTextEditor::SmartCursor::SmartCursor##$
	{47, 154, 517},	//470 KTextEditor::SmartCursor::StayOnInsert
	{47, 204, 531},	//471 KTextEditor::SmartCursor::advance$
	{47, 205, 530},	//472 KTextEditor::SmartCursor::advance$$
	{47, 217, 525},	//473 KTextEditor::SmartCursor::atEndOfDocument
	{47, 218, 524},	//474 KTextEditor::SmartCursor::atEndOfLine
	{47, 243, 527},	//475 KTextEditor::SmartCursor::character
	{47, 373, 536},	//476 KTextEditor::SmartCursor::deleteNotifier
	{47, 385, 523},	//477 KTextEditor::SmartCursor::document
	{47, 473, 534},	//478 KTextEditor::SmartCursor::hasNotifier
	{47, 504, 532},	//479 KTextEditor::SmartCursor::insertBehavior
	{47, 525, 529},	//480 KTextEditor::SmartCursor::insertText?
	{47, 526, 528},	//481 KTextEditor::SmartCursor::insertText?$
	{47, 535, 520},	//482 KTextEditor::SmartCursor::isSmartCursor
	{47, 537, 526},	//483 KTextEditor::SmartCursor::isValid
	{47, 655, 535},	//484 KTextEditor::SmartCursor::notifier
	{47, 667, 540},	//485 KTextEditor::SmartCursor::operator=#
	{47, 850, 533},	//486 KTextEditor::SmartCursor::setInsertBehavior$
	{47, 916, 539},	//487 KTextEditor::SmartCursor::setWatcher
	{47, 917, 538},	//488 KTextEditor::SmartCursor::setWatcher#
	{47, 936, 522},	//489 KTextEditor::SmartCursor::smartRange
	{47, 975, 521},	//490 KTextEditor::SmartCursor::toSmartCursor
	{47, 1013, 537},	//491 KTextEditor::SmartCursor::watcher
	{47, 1053, 519},	//492 KTextEditor::SmartCursor::~SmartCursor
	{48, 141, 544},	//493 KTextEditor::SmartCursorNotifier::SmartCursorNotifier
	{48, 246, 550},	//494 KTextEditor::SmartCursorNotifier::characterDeleted#$
	{48, 248, 551},	//495 KTextEditor::SmartCursorNotifier::characterInserted#$
	{48, 377, 552},	//496 KTextEditor::SmartCursorNotifier::deleted#
	{48, 602, 542},	//497 KTextEditor::SmartCursorNotifier::metaObject
	{48, 693, 548},	//498 KTextEditor::SmartCursorNotifier::positionChanged#
	{48, 695, 549},	//499 KTextEditor::SmartCursorNotifier::positionDeleted#
	{48, 704, 543},	//500 KTextEditor::SmartCursorNotifier::qt_metacall$$?
	{48, 915, 546},	//501 KTextEditor::SmartCursorNotifier::setWantsDirectChanges$
	{48, 1010, 545},	//502 KTextEditor::SmartCursorNotifier::wantsDirectChanges
	{48, 1054, 547},	//503 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier
	{49, 142, 553},	//504 KTextEditor::SmartCursorWatcher::SmartCursorWatcher
	{49, 143, 562},	//505 KTextEditor::SmartCursorWatcher::SmartCursorWatcher#
	{49, 246, 559},	//506 KTextEditor::SmartCursorWatcher::characterDeleted#$
	{49, 248, 560},	//507 KTextEditor::SmartCursorWatcher::characterInserted#$
	{49, 377, 561},	//508 KTextEditor::SmartCursorWatcher::deleted#
	{49, 693, 557},	//509 KTextEditor::SmartCursorWatcher::positionChanged#
	{49, 695, 558},	//510 KTextEditor::SmartCursorWatcher::positionDeleted#
	{49, 915, 556},	//511 KTextEditor::SmartCursorWatcher::setWantsDirectChanges$
	{49, 1010, 555},	//512 KTextEditor::SmartCursorWatcher::wantsDirectChanges
	{49, 1055, 554},	//513 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher
	{50, 144, 563},	//514 KTextEditor::SmartInterface::SmartInterface
	{50, 145, 616},	//515 KTextEditor::SmartInterface::SmartInterface#
	{50, 184, 608},	//516 KTextEditor::SmartInterface::addActionsToDocument#
	{50, 186, 612},	//517 KTextEditor::SmartInterface::addActionsToView##
	{50, 190, 599},	//518 KTextEditor::SmartInterface::addHighlightToDocument#
	{50, 191, 598},	//519 KTextEditor::SmartInterface::addHighlightToDocument#$
	{50, 193, 604},	//520 KTextEditor::SmartInterface::addHighlightToView##
	{50, 194, 603},	//521 KTextEditor::SmartInterface::addHighlightToView##$
	{50, 223, 617},	//522 KTextEditor::SmartInterface::attributeDynamic?
	{50, 225, 618},	//523 KTextEditor::SmartInterface::attributeNotDynamic?
	{50, 265, 611},	//524 KTextEditor::SmartInterface::clearDocumentActions
	{50, 266, 602},	//525 KTextEditor::SmartInterface::clearDocumentHighlights
	{50, 270, 567},	//526 KTextEditor::SmartInterface::clearOnDocumentReload
	{50, 271, 572},	//527 KTextEditor::SmartInterface::clearRevision
	{50, 272, 566},	//528 KTextEditor::SmartInterface::clearSmartInterface
	{50, 274, 615},	//529 KTextEditor::SmartInterface::clearViewActions#
	{50, 276, 607},	//530 KTextEditor::SmartInterface::clearViewHighlights#
	{50, 346, 569},	//531 KTextEditor::SmartInterface::currentRevision
	{50, 372, 582},	//532 KTextEditor::SmartInterface::deleteCursors
	{50, 375, 597},	//533 KTextEditor::SmartInterface::deleteRanges
	{50, 386, 610},	//534 KTextEditor::SmartInterface::documentActions
	{50, 390, 601},	//535 KTextEditor::SmartInterface::documentHighlights
	{50, 641, 579},	//536 KTextEditor::SmartInterface::newSmartCursor
	{50, 642, 578},	//537 KTextEditor::SmartInterface::newSmartCursor#
	{50, 643, 577},	//538 KTextEditor::SmartInterface::newSmartCursor#$
	{50, 644, 581},	//539 KTextEditor::SmartInterface::newSmartCursor$$
	{50, 645, 580},	//540 KTextEditor::SmartInterface::newSmartCursor$$$
	{50, 646, 586},	//541 KTextEditor::SmartInterface::newSmartRange
	{50, 647, 585},	//542 KTextEditor::SmartInterface::newSmartRange#
	{50, 648, -7},	//543 KTextEditor::SmartInterface::newSmartRange##
	{50, 649, -11},	//544 KTextEditor::SmartInterface::newSmartRange###
	{50, 650, -14},	//545 KTextEditor::SmartInterface::newSmartRange###$
	{50, 651, 583},	//546 KTextEditor::SmartInterface::newSmartRange##$
	{50, 652, 592},	//547 KTextEditor::SmartInterface::newSmartRange$$$$
	{50, 653, 591},	//548 KTextEditor::SmartInterface::newSmartRange$$$$#
	{50, 654, 590},	//549 KTextEditor::SmartInterface::newSmartRange$$$$#$
	{50, 733, 570},	//550 KTextEditor::SmartInterface::releaseRevision$
	{50, 735, 609},	//551 KTextEditor::SmartInterface::removeActionsFromDocument#
	{50, 737, 613},	//552 KTextEditor::SmartInterface::removeActionsFromView##
	{50, 744, 600},	//553 KTextEditor::SmartInterface::removeHighlightFromDocument#
	{50, 746, 605},	//554 KTextEditor::SmartInterface::removeHighlightFromView##
	{50, 814, 568},	//555 KTextEditor::SmartInterface::setClearOnDocumentReload$
	{50, 935, 565},	//556 KTextEditor::SmartInterface::smartMutex
	{50, 980, -17},	//557 KTextEditor::SmartInterface::translateFromRevision#
	{50, 981, -20},	//558 KTextEditor::SmartInterface::translateFromRevision#$
	{50, 984, 596},	//559 KTextEditor::SmartInterface::unbindSmartRange#
	{50, 990, 571},	//560 KTextEditor::SmartInterface::useRevision$
	{50, 998, 614},	//561 KTextEditor::SmartInterface::viewActions#
	{50, 1005, 606},	//562 KTextEditor::SmartInterface::viewHighlights#
	{50, 1056, 564},	//563 KTextEditor::SmartInterface::~SmartInterface
	{51, 54, 619},	//564 KTextEditor::SmartRange::DoNotExpand
	{51, 71, 620},	//565 KTextEditor::SmartRange::ExpandLeft
	{51, 72, 621},	//566 KTextEditor::SmartRange::ExpandRight
	{51, 147, 673},	//567 KTextEditor::SmartRange::SmartRange##
	{51, 148, 672},	//568 KTextEditor::SmartRange::SmartRange###
	{51, 149, 671},	//569 KTextEditor::SmartRange::SmartRange###$
	{51, 198, 663},	//570 KTextEditor::SmartRange::addNotifier#
	{51, 202, 667},	//571 KTextEditor::SmartRange::addWatcher#
	{51, 215, 657},	//572 KTextEditor::SmartRange::associateAction#
	{51, 216, 659},	//573 KTextEditor::SmartRange::associatedActions
	{51, 221, 655},	//574 KTextEditor::SmartRange::attribute
	{51, 249, 675},	//575 KTextEditor::SmartRange::checkFeedback
	{51, 251, 649},	//576 KTextEditor::SmartRange::childAfter#
	{51, 253, 648},	//577 KTextEditor::SmartRange::childBefore#
	{51, 260, 644},	//578 KTextEditor::SmartRange::childRanges
	{51, 262, 647},	//579 KTextEditor::SmartRange::clearAndDeleteChildRanges
	{51, 263, 660},	//580 KTextEditor::SmartRange::clearAssociatedActions
	{51, 264, 645},	//581 KTextEditor::SmartRange::clearChildRanges
	{51, 313, 628},	//582 KTextEditor::SmartRange::confineToRange#
	{51, 332, 676},	//583 KTextEditor::SmartRange::createNotifier
	{51, 365, 654},	//584 KTextEditor::SmartRange::deepestRangeContaining#
	{51, 366, 653},	//585 KTextEditor::SmartRange::deepestRangeContaining#?
	{51, 367, 652},	//586 KTextEditor::SmartRange::deepestRangeContaining#??
	{51, 371, 646},	//587 KTextEditor::SmartRange::deleteChildRanges
	{51, 374, 665},	//588 KTextEditor::SmartRange::deletePrimaryNotifier
	{51, 378, 642},	//589 KTextEditor::SmartRange::depth
	{51, 384, 658},	//590 KTextEditor::SmartRange::dissociateAction#
	{51, 385, 630},	//591 KTextEditor::SmartRange::document
	{51, 445, 629},	//592 KTextEditor::SmartRange::expandToRange#
	{51, 449, 651},	//593 KTextEditor::SmartRange::firstRangeContaining#
	{51, 475, 641},	//594 KTextEditor::SmartRange::hasParent#
	{51, 504, 637},	//595 KTextEditor::SmartRange::insertBehavior
	{51, 536, 623},	//596 KTextEditor::SmartRange::isSmartRange
	{51, 621, 650},	//597 KTextEditor::SmartRange::mostSpecificRange#
	{51, 656, 662},	//598 KTextEditor::SmartRange::notifiers
	{51, 667, -23},	//599 KTextEditor::SmartRange::operator=#
	{51, 682, 639},	//600 KTextEditor::SmartRange::parentRange
	{51, 700, 661},	//601 KTextEditor::SmartRange::primaryNotifier
	{51, 712, 674},	//602 KTextEditor::SmartRange::rangeChanged##
	{51, 752, 664},	//603 KTextEditor::SmartRange::removeNotifier#
	{51, 758, 636},	//604 KTextEditor::SmartRange::removeText
	{51, 761, 635},	//605 KTextEditor::SmartRange::removeText$
	{51, 765, 668},	//606 KTextEditor::SmartRange::removeWatcher#
	{51, 771, 634},	//607 KTextEditor::SmartRange::replaceText?
	{51, 772, 633},	//608 KTextEditor::SmartRange::replaceText?$
	{51, 802, 656},	//609 KTextEditor::SmartRange::setAttribute?
	{51, 850, 638},	//610 KTextEditor::SmartRange::setInsertBehavior$
	{51, 882, 640},	//611 KTextEditor::SmartRange::setParentRange#
	{51, 887, 625},	//612 KTextEditor::SmartRange::setRange#
	{51, 934, 627},	//613 KTextEditor::SmartRange::smartEnd
	{51, 937, 626},	//614 KTextEditor::SmartRange::smartStart
	{51, 958, 632},	//615 KTextEditor::SmartRange::text
	{51, 961, 631},	//616 KTextEditor::SmartRange::text$
	{51, 976, 624},	//617 KTextEditor::SmartRange::toSmartRange
	{51, 977, 643},	//618 KTextEditor::SmartRange::topParentRange
	{51, 1014, 666},	//619 KTextEditor::SmartRange::watchers
	{51, 1057, 622},	//620 KTextEditor::SmartRange::~SmartRange
	{52, 150, 679},	//621 KTextEditor::SmartRangeNotifier::SmartRangeNotifier
	{52, 237, 688},	//622 KTextEditor::SmartRangeNotifier::caretEnteredRange##
	{52, 239, 689},	//623 KTextEditor::SmartRangeNotifier::caretExitedRange##
	{52, 257, 693},	//624 KTextEditor::SmartRangeNotifier::childRangeInserted##
	{52, 259, 694},	//625 KTextEditor::SmartRangeNotifier::childRangeRemoved##
	{52, 602, 677},	//626 KTextEditor::SmartRangeNotifier::metaObject
	{52, 625, 686},	//627 KTextEditor::SmartRangeNotifier::mouseEnteredRange##
	{52, 627, 687},	//628 KTextEditor::SmartRangeNotifier::mouseExitedRange##
	{52, 684, 692},	//629 KTextEditor::SmartRangeNotifier::parentRangeChanged###
	{52, 704, 678},	//630 KTextEditor::SmartRangeNotifier::qt_metacall$$?
	{52, 710, 695},	//631 KTextEditor::SmartRangeNotifier::rangeAttributeChanged#??
	{52, 714, 684},	//632 KTextEditor::SmartRangeNotifier::rangeContentsChanged#
	{52, 715, 685},	//633 KTextEditor::SmartRangeNotifier::rangeContentsChanged##
	{52, 717, 691},	//634 KTextEditor::SmartRangeNotifier::rangeDeleted#
	{52, 719, 690},	//635 KTextEditor::SmartRangeNotifier::rangeEliminated#
	{52, 721, 683},	//636 KTextEditor::SmartRangeNotifier::rangePositionChanged#
	{52, 915, 681},	//637 KTextEditor::SmartRangeNotifier::setWantsDirectChanges$
	{52, 1010, 680},	//638 KTextEditor::SmartRangeNotifier::wantsDirectChanges
	{52, 1058, 682},	//639 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier
	{53, 151, 696},	//640 KTextEditor::SmartRangeWatcher::SmartRangeWatcher
	{53, 152, 713},	//641 KTextEditor::SmartRangeWatcher::SmartRangeWatcher#
	{53, 237, 705},	//642 KTextEditor::SmartRangeWatcher::caretEnteredRange##
	{53, 239, 706},	//643 KTextEditor::SmartRangeWatcher::caretExitedRange##
	{53, 257, 710},	//644 KTextEditor::SmartRangeWatcher::childRangeInserted##
	{53, 259, 711},	//645 KTextEditor::SmartRangeWatcher::childRangeRemoved##
	{53, 625, 703},	//646 KTextEditor::SmartRangeWatcher::mouseEnteredRange##
	{53, 627, 704},	//647 KTextEditor::SmartRangeWatcher::mouseExitedRange##
	{53, 684, 709},	//648 KTextEditor::SmartRangeWatcher::parentRangeChanged###
	{53, 710, 712},	//649 KTextEditor::SmartRangeWatcher::rangeAttributeChanged#??
	{53, 714, 701},	//650 KTextEditor::SmartRangeWatcher::rangeContentsChanged#
	{53, 715, 702},	//651 KTextEditor::SmartRangeWatcher::rangeContentsChanged##
	{53, 717, 708},	//652 KTextEditor::SmartRangeWatcher::rangeDeleted#
	{53, 719, 707},	//653 KTextEditor::SmartRangeWatcher::rangeEliminated#
	{53, 721, 700},	//654 KTextEditor::SmartRangeWatcher::rangePositionChanged#
	{53, 915, 699},	//655 KTextEditor::SmartRangeWatcher::setWantsDirectChanges$
	{53, 1010, 698},	//656 KTextEditor::SmartRangeWatcher::wantsDirectChanges
	{53, 1059, 697},	//657 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher
	{54, 157, 714},	//658 KTextEditor::TemplateInterface::TemplateInterface
	{54, 158, 717},	//659 KTextEditor::TemplateInterface::TemplateInterface#
	{54, 443, 718},	//660 KTextEditor::TemplateInterface::expandMacros?#
	{54, 516, 716},	//661 KTextEditor::TemplateInterface::insertTemplateText#$?
	{54, 518, 719},	//662 KTextEditor::TemplateInterface::insertTemplateTextImplementation#$?
	{54, 1060, 715},	//663 KTextEditor::TemplateInterface::~TemplateInterface
	{55, 159, 720},	//664 KTextEditor::TextHintInterface::TextHintInterface
	{55, 160, 725},	//665 KTextEditor::TextHintInterface::TextHintInterface#
	{55, 380, 723},	//666 KTextEditor::TextHintInterface::disableTextHints
	{55, 422, 722},	//667 KTextEditor::TextHintInterface::enableTextHints$
	{55, 640, 724},	//668 KTextEditor::TextHintInterface::needTextHint#$
	{55, 1061, 721},	//669 KTextEditor::TextHintInterface::~TextHintInterface
	{56, 165, 726},	//670 KTextEditor::VariableInterface::VariableInterface
	{56, 166, 730},	//671 KTextEditor::VariableInterface::VariableInterface#
	{56, 992, 728},	//672 KTextEditor::VariableInterface::variable$
	{56, 994, 729},	//673 KTextEditor::VariableInterface::variableChanged#$$
	{56, 1062, 727},	//674 KTextEditor::VariableInterface::~VariableInterface
	{57, 57, 731},	//675 KTextEditor::View::EditInsert
	{57, 58, 732},	//676 KTextEditor::View::EditOverwrite
	{57, 168, 735},	//677 KTextEditor::View::View#
	{57, 227, 761},	//678 KTextEditor::View::blockSelection
	{57, 323, 742},	//679 KTextEditor::View::contextMenu
	{57, 325, 769},	//680 KTextEditor::View::contextMenuAboutToShow##
	{57, 351, 746},	//681 KTextEditor::View::cursorPosition
	{57, 353, 770},	//682 KTextEditor::View::cursorPositionChanged##
	{57, 354, 749},	//683 KTextEditor::View::cursorPositionCoordinates
	{57, 355, 747},	//684 KTextEditor::View::cursorPositionVirtual
	{57, 357, 748},	//685 KTextEditor::View::cursorToCoordinate#
	{57, 368, 744},	//686 KTextEditor::View::defaultContextMenu
	{57, 369, 743},	//687 KTextEditor::View::defaultContextMenu#
	{57, 385, 737},	//688 KTextEditor::View::document
	{57, 455, 763},	//689 KTextEditor::View::focusIn#
	{57, 461, 764},	//690 KTextEditor::View::focusOut#
	{57, 494, 772},	//691 KTextEditor::View::horizontalScrollPositionChanged#
	{57, 499, 767},	//692 KTextEditor::View::informationMessage#$
	{57, 524, 762},	//693 KTextEditor::View::insertText$
	{57, 530, 738},	//694 KTextEditor::View::isActiveView
	{57, 602, 733},	//695 KTextEditor::View::metaObject
	{57, 631, 773},	//696 KTextEditor::View::mousePositionChanged##
	{57, 636, 750},	//697 KTextEditor::View::mouseTrackingEnabled
	{57, 704, 734},	//698 KTextEditor::View::qt_metacall$$?
	{57, 756, 758},	//699 KTextEditor::View::removeSelection
	{57, 757, 759},	//700 KTextEditor::View::removeSelectionText
	{57, 790, 755},	//701 KTextEditor::View::selection
	{57, 792, 774},	//702 KTextEditor::View::selectionChanged#
	{57, 793, 756},	//703 KTextEditor::View::selectionRange
	{57, 794, 757},	//704 KTextEditor::View::selectionText
	{57, 808, 760},	//705 KTextEditor::View::setBlockSelection$
	{57, 825, 741},	//706 KTextEditor::View::setContextMenu#
	{57, 827, 745},	//707 KTextEditor::View::setCursorPosition#
	{57, 874, 751},	//708 KTextEditor::View::setMouseTrackingEnabled$
	{57, 900, 752},	//709 KTextEditor::View::setSelection#
	{57, 901, 754},	//710 KTextEditor::View::setSelection#$
	{57, 902, 753},	//711 KTextEditor::View::setSelection#$$
	{57, 967, 768},	//712 KTextEditor::View::textInserted##$
	{57, 996, 771},	//713 KTextEditor::View::verticalScrollPositionChanged##
	{57, 1001, 740},	//714 KTextEditor::View::viewEditMode
	{57, 1003, 766},	//715 KTextEditor::View::viewEditModeChanged#$
	{57, 1006, 739},	//716 KTextEditor::View::viewMode
	{57, 1008, 765},	//717 KTextEditor::View::viewModeChanged#
	{57, 1063, 736},	//718 KTextEditor::View::~View
};

static Smoke::Index ktexteditor_ambiguousMethodList[] = {
    0,
    467,  // KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    502,  // KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    0,
    489,  // KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    488,  // KTextEditor::Range::contains(const KTextEditor::Range&) const
    0,
    595,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    584,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    589,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    0,
    588,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    594,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    0,
    587,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    593,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    0,
    574,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    576,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    0,
    573,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    575,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors) const
    0,
    670,  // KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    669,  // KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    0,
};


void init_qt_Smoke();
void init_kde_Smoke();

static bool initialized = false;
Smoke *ktexteditor_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_ktexteditor_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    init_kde_Smoke();
    ktexteditor_Smoke = new Smoke(
        "ktexteditor",
        ktexteditor_classes, 113,
        ktexteditor_methods, 889,
        ktexteditor_methodMaps, 719,
        ktexteditor_methodNames, 1063,
        ktexteditor_types, 547,
        ktexteditor_inheritanceList,
        ktexteditor_argumentList,
        ktexteditor_ambiguousMethodList,
        ktexteditor_cast );
    initialized = true;
}
