#include <qabstractitemdelegate.h>
#include <qabstractitemmodel.h>
#include <qabstractscrollarea.h>
#include <qaction.h>
#include <qbitmap.h>
#include <qbytearray.h>
#include <qcheckbox.h>
#include <qcolor.h>
#include <qcoreevent.h>
#include <qdialog.h>
#include <qevent.h>
#include <qfont.h>
#include <qfontmetrics.h>
#include <qframe.h>
#include <qgraphicsitem.h>
#include <qgraphicslayoutitem.h>
#include <qgraphicsproxywidget.h>
#include <qgraphicsscene.h>
#include <qgraphicssceneevent.h>
#include <qgraphicsview.h>
#include <qgraphicswidget.h>
#include <qgroupbox.h>
#include <qicon.h>
#include <qimage.h>
#include <qiodevice.h>
#include <qlabel.h>
#include <qline.h>
#include <qmatrix.h>
#include <qmimedata.h>
#include <qnamespace.h>
#include <qnetworkrequest.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainter.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qradiobutton.h>
#include <qrect.h>
#include <qsize.h>
#include <qstyle.h>
#include <qstyleoption.h>
#include <qtextoption.h>
#include <qurl.h>
#include <qvariant.h>
#include <qwebframe.h>
#include <qwebpage.h>
#include <qwidget.h>
#include <kcombobox.h>
#include <kconfigbase.h>
#include <kconfigdialog.h>
#include <kconfiggroup.h>
#include <kconfigskeleton.h>
#include <kcoreconfigskeleton.h>
#include <kdialog.h>
#include <klineedit.h>
#include <kplugininfo.h>
#include <kpushbutton.h>
#include <kshortcut.h>
#include <ktextedit.h>
#include <plasma/abstractrunner.h>
#include <plasma/animationdriver.h>
#include <plasma/animator.h>
#include <plasma/applet.h>
#include <plasma/appletbrowser.h>
#include <plasma/configxml.h>
#include <plasma/containment.h>
#include <plasma/corona.h>
#include <plasma/datacontainer.h>
#include <plasma/dataengine.h>
#include <plasma/dataenginemanager.h>
#include <plasma/delegate.h>
#include <plasma/dialog.h>
#include <plasma/glapplet.h>
#include <plasma/package.h>
#include <plasma/packagemetadata.h>
#include <plasma/packagestructure.h>
#include <plasma/panelsvg.h>
#include <plasma/querymatch.h>
#include <plasma/runnercontext.h>
#include <plasma/runnermanager.h>
#include <plasma/scripting/appletscript.h>
#include <plasma/scripting/dataenginescript.h>
#include <plasma/scripting/runnerscript.h>
#include <plasma/scripting/scriptengine.h>
#include <plasma/svg.h>
#include <plasma/theme.h>
#include <plasma/view.h>
#include <plasma/widgets/checkbox.h>
#include <plasma/widgets/combobox.h>
#include <plasma/widgets/flash.h>
#include <plasma/widgets/groupbox.h>
#include <plasma/widgets/icon.h>
#include <plasma/widgets/label.h>
#include <plasma/widgets/lineedit.h>
#include <plasma/widgets/meter.h>
#include <plasma/widgets/pushbutton.h>
#include <plasma/widgets/radiobutton.h>
#include <plasma/widgets/signalplotter.h>
#include <plasma/widgets/textedit.h>
#include <plasma/widgets/webcontent.h>

#include <smoke.h>

#include <plasma_smoke.h>

static void *plasma_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//KComboBox
	switch(to) {
	    case 142: return (void*)(QWidget*)(KComboBox*)xptr;
	    case 112: return (void*)(QObject*)(KComboBox*)xptr;
	    case 113: return (void*)(QPaintDevice*)(KComboBox*)xptr;
	    case 1: return (void*)(KComboBox*)(KComboBox*)xptr;
	  default: return xptr;
	}
      case 2:	//KConfigBase
	switch(to) {
	    case 2: return (void*)(KConfigBase*)(KConfigBase*)xptr;
	    case 4: return (void*)(KConfigGroup*)(KConfigBase*)xptr;
	  default: return xptr;
	}
      case 3:	//KConfigDialog
	switch(to) {
	    case 8: return (void*)(KDialog*)(KConfigDialog*)xptr;
	    case 70: return (void*)(QDialog*)(KConfigDialog*)xptr;
	    case 142: return (void*)(QWidget*)(KConfigDialog*)xptr;
	    case 112: return (void*)(QObject*)(KConfigDialog*)xptr;
	    case 113: return (void*)(QPaintDevice*)(KConfigDialog*)xptr;
	    case 3: return (void*)(KConfigDialog*)(KConfigDialog*)xptr;
	  default: return xptr;
	}
      case 4:	//KConfigGroup
	switch(to) {
	    case 2: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
	    case 4: return (void*)(KConfigGroup*)(KConfigGroup*)xptr;
	  default: return xptr;
	}
      case 5:	//KConfigSkeleton
	switch(to) {
	    case 7: return (void*)(KCoreConfigSkeleton*)(KConfigSkeleton*)xptr;
	    case 112: return (void*)(QObject*)(KConfigSkeleton*)xptr;
	    case 5: return (void*)(KConfigSkeleton*)(KConfigSkeleton*)xptr;
	    case 24: return (void*)(Plasma::ConfigXml*)(KConfigSkeleton*)xptr;
	  default: return xptr;
	}
      case 6:	//KConfigSkeletonItem
	switch(to) {
	    case 6: return (void*)(KConfigSkeletonItem*)(KConfigSkeletonItem*)xptr;
	  default: return xptr;
	}
      case 7:	//KCoreConfigSkeleton
	switch(to) {
	    case 112: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
	    case 7: return (void*)(KCoreConfigSkeleton*)(KCoreConfigSkeleton*)xptr;
	    case 5: return (void*)(KConfigSkeleton*)(KCoreConfigSkeleton*)xptr;
	    case 24: return (void*)(Plasma::ConfigXml*)(KCoreConfigSkeleton*)xptr;
	  default: return xptr;
	}
      case 8:	//KDialog
	switch(to) {
	    case 70: return (void*)(QDialog*)(KDialog*)xptr;
	    case 142: return (void*)(QWidget*)(KDialog*)xptr;
	    case 112: return (void*)(QObject*)(KDialog*)xptr;
	    case 113: return (void*)(QPaintDevice*)(KDialog*)xptr;
	    case 8: return (void*)(KDialog*)(KDialog*)xptr;
	    case 3: return (void*)(KConfigDialog*)(KDialog*)xptr;
	    case 19: return (void*)(Plasma::AppletBrowser*)(KDialog*)xptr;
	  default: return xptr;
	}
      case 9:	//KLineEdit
	switch(to) {
	    case 142: return (void*)(QWidget*)(KLineEdit*)xptr;
	    case 112: return (void*)(QObject*)(KLineEdit*)xptr;
	    case 113: return (void*)(QPaintDevice*)(KLineEdit*)xptr;
	    case 9: return (void*)(KLineEdit*)(KLineEdit*)xptr;
	  default: return xptr;
	}
      case 10:	//KPluginInfo
	switch(to) {
	    case 10: return (void*)(KPluginInfo*)(KPluginInfo*)xptr;
	  default: return xptr;
	}
      case 11:	//KPushButton
	switch(to) {
	    case 142: return (void*)(QWidget*)(KPushButton*)xptr;
	    case 112: return (void*)(QObject*)(KPushButton*)xptr;
	    case 113: return (void*)(QPaintDevice*)(KPushButton*)xptr;
	    case 11: return (void*)(KPushButton*)(KPushButton*)xptr;
	  default: return xptr;
	}
      case 12:	//KShortcut
	switch(to) {
	    case 12: return (void*)(KShortcut*)(KShortcut*)xptr;
	  default: return xptr;
	}
      case 13:	//KTextEdit
	switch(to) {
	    case 60: return (void*)(QAbstractScrollArea*)(KTextEdit*)xptr;
	    case 79: return (void*)(QFrame*)(KTextEdit*)xptr;
	    case 142: return (void*)(QWidget*)(KTextEdit*)xptr;
	    case 112: return (void*)(QObject*)(KTextEdit*)xptr;
	    case 113: return (void*)(QPaintDevice*)(KTextEdit*)xptr;
	    case 13: return (void*)(KTextEdit*)(KTextEdit*)xptr;
	  default: return xptr;
	}
      case 15:	//Plasma::AbstractRunner
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::AbstractRunner*)xptr;
	    case 15: return (void*)(Plasma::AbstractRunner*)(Plasma::AbstractRunner*)xptr;
	  default: return xptr;
	}
      case 16:	//Plasma::AnimationDriver
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::AnimationDriver*)xptr;
	    case 16: return (void*)(Plasma::AnimationDriver*)(Plasma::AnimationDriver*)xptr;
	  default: return xptr;
	}
      case 17:	//Plasma::Animator
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::Animator*)xptr;
	    case 17: return (void*)(Plasma::Animator*)(Plasma::Animator*)xptr;
	  default: return xptr;
	}
      case 18:	//Plasma::Applet
	switch(to) {
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::Applet*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::Applet*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::Applet*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::Applet*)xptr;
	    case 18: return (void*)(Plasma::Applet*)(Plasma::Applet*)xptr;
	    case 25: return (void*)(Plasma::Containment*)(Plasma::Applet*)xptr;
	    case 34: return (void*)(Plasma::GLApplet*)(Plasma::Applet*)xptr;
	  default: return xptr;
	}
      case 19:	//Plasma::AppletBrowser
	switch(to) {
	    case 8: return (void*)(KDialog*)(Plasma::AppletBrowser*)xptr;
	    case 70: return (void*)(QDialog*)(Plasma::AppletBrowser*)xptr;
	    case 142: return (void*)(QWidget*)(Plasma::AppletBrowser*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::AppletBrowser*)xptr;
	    case 113: return (void*)(QPaintDevice*)(Plasma::AppletBrowser*)xptr;
	    case 19: return (void*)(Plasma::AppletBrowser*)(Plasma::AppletBrowser*)xptr;
	  default: return xptr;
	}
      case 20:	//Plasma::AppletBrowserWidget
	switch(to) {
	    case 142: return (void*)(QWidget*)(Plasma::AppletBrowserWidget*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::AppletBrowserWidget*)xptr;
	    case 113: return (void*)(QPaintDevice*)(Plasma::AppletBrowserWidget*)xptr;
	    case 20: return (void*)(Plasma::AppletBrowserWidget*)(Plasma::AppletBrowserWidget*)xptr;
	  default: return xptr;
	}
      case 21:	//Plasma::AppletScript
	switch(to) {
	    case 51: return (void*)(Plasma::ScriptEngine*)(Plasma::AppletScript*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::AppletScript*)xptr;
	    case 21: return (void*)(Plasma::AppletScript*)(Plasma::AppletScript*)xptr;
	  default: return xptr;
	}
      case 22:	//Plasma::CheckBox
	switch(to) {
	    case 82: return (void*)(QGraphicsProxyWidget*)(Plasma::CheckBox*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::CheckBox*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::CheckBox*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::CheckBox*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::CheckBox*)xptr;
	    case 22: return (void*)(Plasma::CheckBox*)(Plasma::CheckBox*)xptr;
	  default: return xptr;
	}
      case 23:	//Plasma::ComboBox
	switch(to) {
	    case 82: return (void*)(QGraphicsProxyWidget*)(Plasma::ComboBox*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::ComboBox*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::ComboBox*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::ComboBox*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::ComboBox*)xptr;
	    case 23: return (void*)(Plasma::ComboBox*)(Plasma::ComboBox*)xptr;
	  default: return xptr;
	}
      case 24:	//Plasma::ConfigXml
	switch(to) {
	    case 5: return (void*)(KConfigSkeleton*)(Plasma::ConfigXml*)xptr;
	    case 7: return (void*)(KCoreConfigSkeleton*)(Plasma::ConfigXml*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::ConfigXml*)xptr;
	    case 24: return (void*)(Plasma::ConfigXml*)(Plasma::ConfigXml*)xptr;
	  default: return xptr;
	}
      case 25:	//Plasma::Containment
	switch(to) {
	    case 18: return (void*)(Plasma::Applet*)(Plasma::Containment*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::Containment*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::Containment*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::Containment*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::Containment*)xptr;
	    case 25: return (void*)(Plasma::Containment*)(Plasma::Containment*)xptr;
	  default: return xptr;
	}
      case 26:	//Plasma::Corona
	switch(to) {
	    case 83: return (void*)(QGraphicsScene*)(Plasma::Corona*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::Corona*)xptr;
	    case 26: return (void*)(Plasma::Corona*)(Plasma::Corona*)xptr;
	  default: return xptr;
	}
      case 27:	//Plasma::DataContainer
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::DataContainer*)xptr;
	    case 27: return (void*)(Plasma::DataContainer*)(Plasma::DataContainer*)xptr;
	  default: return xptr;
	}
      case 28:	//Plasma::DataEngine
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::DataEngine*)xptr;
	    case 28: return (void*)(Plasma::DataEngine*)(Plasma::DataEngine*)xptr;
	  default: return xptr;
	}
      case 29:	//Plasma::DataEngineManager
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::DataEngineManager*)xptr;
	    case 29: return (void*)(Plasma::DataEngineManager*)(Plasma::DataEngineManager*)xptr;
	  default: return xptr;
	}
      case 30:	//Plasma::DataEngineScript
	switch(to) {
	    case 51: return (void*)(Plasma::ScriptEngine*)(Plasma::DataEngineScript*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::DataEngineScript*)xptr;
	    case 30: return (void*)(Plasma::DataEngineScript*)(Plasma::DataEngineScript*)xptr;
	  default: return xptr;
	}
      case 31:	//Plasma::Delegate
	switch(to) {
	    case 58: return (void*)(QAbstractItemDelegate*)(Plasma::Delegate*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::Delegate*)xptr;
	    case 31: return (void*)(Plasma::Delegate*)(Plasma::Delegate*)xptr;
	  default: return xptr;
	}
      case 32:	//Plasma::Dialog
	switch(to) {
	    case 142: return (void*)(QWidget*)(Plasma::Dialog*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::Dialog*)xptr;
	    case 113: return (void*)(QPaintDevice*)(Plasma::Dialog*)xptr;
	    case 32: return (void*)(Plasma::Dialog*)(Plasma::Dialog*)xptr;
	  default: return xptr;
	}
      case 33:	//Plasma::Flash
	switch(to) {
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::Flash*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::Flash*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::Flash*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::Flash*)xptr;
	    case 33: return (void*)(Plasma::Flash*)(Plasma::Flash*)xptr;
	  default: return xptr;
	}
      case 34:	//Plasma::GLApplet
	switch(to) {
	    case 18: return (void*)(Plasma::Applet*)(Plasma::GLApplet*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::GLApplet*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::GLApplet*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::GLApplet*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::GLApplet*)xptr;
	    case 34: return (void*)(Plasma::GLApplet*)(Plasma::GLApplet*)xptr;
	  default: return xptr;
	}
      case 35:	//Plasma::GroupBox
	switch(to) {
	    case 82: return (void*)(QGraphicsProxyWidget*)(Plasma::GroupBox*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::GroupBox*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::GroupBox*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::GroupBox*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::GroupBox*)xptr;
	    case 35: return (void*)(Plasma::GroupBox*)(Plasma::GroupBox*)xptr;
	  default: return xptr;
	}
      case 36:	//Plasma::Icon
	switch(to) {
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::Icon*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::Icon*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::Icon*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::Icon*)xptr;
	    case 36: return (void*)(Plasma::Icon*)(Plasma::Icon*)xptr;
	  default: return xptr;
	}
      case 37:	//Plasma::Label
	switch(to) {
	    case 82: return (void*)(QGraphicsProxyWidget*)(Plasma::Label*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::Label*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::Label*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::Label*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::Label*)xptr;
	    case 37: return (void*)(Plasma::Label*)(Plasma::Label*)xptr;
	  default: return xptr;
	}
      case 38:	//Plasma::LineEdit
	switch(to) {
	    case 82: return (void*)(QGraphicsProxyWidget*)(Plasma::LineEdit*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::LineEdit*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::LineEdit*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::LineEdit*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::LineEdit*)xptr;
	    case 38: return (void*)(Plasma::LineEdit*)(Plasma::LineEdit*)xptr;
	  default: return xptr;
	}
      case 39:	//Plasma::Meter
	switch(to) {
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::Meter*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::Meter*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::Meter*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::Meter*)xptr;
	    case 39: return (void*)(Plasma::Meter*)(Plasma::Meter*)xptr;
	  default: return xptr;
	}
      case 40:	//Plasma::Package
	switch(to) {
	    case 40: return (void*)(Plasma::Package*)(Plasma::Package*)xptr;
	  default: return xptr;
	}
      case 41:	//Plasma::PackageMetadata
	switch(to) {
	    case 41: return (void*)(Plasma::PackageMetadata*)(Plasma::PackageMetadata*)xptr;
	  default: return xptr;
	}
      case 42:	//Plasma::PackageStructure
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::PackageStructure*)xptr;
	    case 42: return (void*)(Plasma::PackageStructure*)(Plasma::PackageStructure*)xptr;
	  default: return xptr;
	}
      case 43:	//Plasma::PanelSvg
	switch(to) {
	    case 53: return (void*)(Plasma::Svg*)(Plasma::PanelSvg*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::PanelSvg*)xptr;
	    case 43: return (void*)(Plasma::PanelSvg*)(Plasma::PanelSvg*)xptr;
	  default: return xptr;
	}
      case 44:	//Plasma::PlotColor
	switch(to) {
	    case 44: return (void*)(Plasma::PlotColor*)(Plasma::PlotColor*)xptr;
	  default: return xptr;
	}
      case 45:	//Plasma::PushButton
	switch(to) {
	    case 82: return (void*)(QGraphicsProxyWidget*)(Plasma::PushButton*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::PushButton*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::PushButton*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::PushButton*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::PushButton*)xptr;
	    case 45: return (void*)(Plasma::PushButton*)(Plasma::PushButton*)xptr;
	  default: return xptr;
	}
      case 46:	//Plasma::QueryMatch
	switch(to) {
	    case 46: return (void*)(Plasma::QueryMatch*)(Plasma::QueryMatch*)xptr;
	  default: return xptr;
	}
      case 47:	//Plasma::RadioButton
	switch(to) {
	    case 82: return (void*)(QGraphicsProxyWidget*)(Plasma::RadioButton*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::RadioButton*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::RadioButton*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::RadioButton*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::RadioButton*)xptr;
	    case 47: return (void*)(Plasma::RadioButton*)(Plasma::RadioButton*)xptr;
	  default: return xptr;
	}
      case 48:	//Plasma::RunnerContext
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::RunnerContext*)xptr;
	    case 48: return (void*)(Plasma::RunnerContext*)(Plasma::RunnerContext*)xptr;
	  default: return xptr;
	}
      case 49:	//Plasma::RunnerManager
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::RunnerManager*)xptr;
	    case 49: return (void*)(Plasma::RunnerManager*)(Plasma::RunnerManager*)xptr;
	  default: return xptr;
	}
      case 50:	//Plasma::RunnerScript
	switch(to) {
	    case 51: return (void*)(Plasma::ScriptEngine*)(Plasma::RunnerScript*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::RunnerScript*)xptr;
	    case 50: return (void*)(Plasma::RunnerScript*)(Plasma::RunnerScript*)xptr;
	  default: return xptr;
	}
      case 51:	//Plasma::ScriptEngine
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::ScriptEngine*)xptr;
	    case 51: return (void*)(Plasma::ScriptEngine*)(Plasma::ScriptEngine*)xptr;
	    case 21: return (void*)(Plasma::AppletScript*)(Plasma::ScriptEngine*)xptr;
	    case 30: return (void*)(Plasma::DataEngineScript*)(Plasma::ScriptEngine*)xptr;
	    case 50: return (void*)(Plasma::RunnerScript*)(Plasma::ScriptEngine*)xptr;
	  default: return xptr;
	}
      case 52:	//Plasma::SignalPlotter
	switch(to) {
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::SignalPlotter*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::SignalPlotter*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::SignalPlotter*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::SignalPlotter*)xptr;
	    case 52: return (void*)(Plasma::SignalPlotter*)(Plasma::SignalPlotter*)xptr;
	  default: return xptr;
	}
      case 53:	//Plasma::Svg
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::Svg*)xptr;
	    case 53: return (void*)(Plasma::Svg*)(Plasma::Svg*)xptr;
	    case 43: return (void*)(Plasma::PanelSvg*)(Plasma::Svg*)xptr;
	  default: return xptr;
	}
      case 54:	//Plasma::TextEdit
	switch(to) {
	    case 82: return (void*)(QGraphicsProxyWidget*)(Plasma::TextEdit*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::TextEdit*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::TextEdit*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::TextEdit*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::TextEdit*)xptr;
	    case 54: return (void*)(Plasma::TextEdit*)(Plasma::TextEdit*)xptr;
	  default: return xptr;
	}
      case 55:	//Plasma::Theme
	switch(to) {
	    case 112: return (void*)(QObject*)(Plasma::Theme*)xptr;
	    case 55: return (void*)(Plasma::Theme*)(Plasma::Theme*)xptr;
	  default: return xptr;
	}
      case 56:	//Plasma::View
	switch(to) {
	    case 93: return (void*)(QGraphicsView*)(Plasma::View*)xptr;
	    case 60: return (void*)(QAbstractScrollArea*)(Plasma::View*)xptr;
	    case 79: return (void*)(QFrame*)(Plasma::View*)xptr;
	    case 142: return (void*)(QWidget*)(Plasma::View*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::View*)xptr;
	    case 113: return (void*)(QPaintDevice*)(Plasma::View*)xptr;
	    case 56: return (void*)(Plasma::View*)(Plasma::View*)xptr;
	  default: return xptr;
	}
      case 57:	//Plasma::WebContent
	switch(to) {
	    case 94: return (void*)(QGraphicsWidget*)(Plasma::WebContent*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(Plasma::WebContent*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(Plasma::WebContent*)xptr;
	    case 112: return (void*)(QObject*)(Plasma::WebContent*)xptr;
	    case 57: return (void*)(Plasma::WebContent*)(Plasma::WebContent*)xptr;
	  default: return xptr;
	}
      case 58:	//QAbstractItemDelegate
	switch(to) {
	    case 112: return (void*)(QObject*)(QAbstractItemDelegate*)xptr;
	    case 58: return (void*)(QAbstractItemDelegate*)(QAbstractItemDelegate*)xptr;
	    case 31: return (void*)(Plasma::Delegate*)(QAbstractItemDelegate*)xptr;
	  default: return xptr;
	}
      case 59:	//QAbstractItemModel
	switch(to) {
	    case 112: return (void*)(QObject*)(QAbstractItemModel*)xptr;
	    case 59: return (void*)(QAbstractItemModel*)(QAbstractItemModel*)xptr;
	  default: return xptr;
	}
      case 60:	//QAbstractScrollArea
	switch(to) {
	    case 79: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
	    case 142: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
	    case 112: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QAbstractScrollArea*)xptr;
	    case 60: return (void*)(QAbstractScrollArea*)(QAbstractScrollArea*)xptr;
	    case 13: return (void*)(KTextEdit*)(QAbstractScrollArea*)xptr;
	    case 56: return (void*)(Plasma::View*)(QAbstractScrollArea*)xptr;
	    case 93: return (void*)(QGraphicsView*)(QAbstractScrollArea*)xptr;
	  default: return xptr;
	}
      case 61:	//QAction
	switch(to) {
	    case 112: return (void*)(QObject*)(QAction*)xptr;
	    case 61: return (void*)(QAction*)(QAction*)xptr;
	  default: return xptr;
	}
      case 62:	//QActionEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 62: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 63:	//QBitmap
	switch(to) {
	    case 120: return (void*)(QPixmap*)(QBitmap*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QBitmap*)xptr;
	    case 63: return (void*)(QBitmap*)(QBitmap*)xptr;
	  default: return xptr;
	}
      case 64:	//QByteArray
	switch(to) {
	    case 64: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 65:	//QCheckBox
	switch(to) {
	    case 142: return (void*)(QWidget*)(QCheckBox*)xptr;
	    case 112: return (void*)(QObject*)(QCheckBox*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QCheckBox*)xptr;
	    case 65: return (void*)(QCheckBox*)(QCheckBox*)xptr;
	  default: return xptr;
	}
      case 66:	//QChildEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 66: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 67:	//QCloseEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 67: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 68:	//QColor
	switch(to) {
	    case 68: return (void*)(QColor*)(QColor*)xptr;
	  default: return xptr;
	}
      case 69:	//QContextMenuEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 69: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 70:	//QDialog
	switch(to) {
	    case 142: return (void*)(QWidget*)(QDialog*)xptr;
	    case 112: return (void*)(QObject*)(QDialog*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QDialog*)xptr;
	    case 70: return (void*)(QDialog*)(QDialog*)xptr;
	    case 3: return (void*)(KConfigDialog*)(QDialog*)xptr;
	    case 8: return (void*)(KDialog*)(QDialog*)xptr;
	    case 19: return (void*)(Plasma::AppletBrowser*)(QDialog*)xptr;
	  default: return xptr;
	}
      case 71:	//QDragEnterEvent
	switch(to) {
	    case 73: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 74: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 71: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 72:	//QDragLeaveEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 72: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 73:	//QDragMoveEvent
	switch(to) {
	    case 74: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 73: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 71: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 74:	//QDropEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 74: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 71: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 73: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 75:	//QEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QEvent*)xptr;
	    case 62: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 66: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 67: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 69: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 71: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 72: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 73: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 74: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 76: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 84: return (void*)(QGraphicsSceneContextMenuEvent*)(QEvent*)xptr;
	    case 85: return (void*)(QGraphicsSceneDragDropEvent*)(QEvent*)xptr;
	    case 86: return (void*)(QGraphicsSceneEvent*)(QEvent*)xptr;
	    case 87: return (void*)(QGraphicsSceneHelpEvent*)(QEvent*)xptr;
	    case 88: return (void*)(QGraphicsSceneHoverEvent*)(QEvent*)xptr;
	    case 89: return (void*)(QGraphicsSceneMouseEvent*)(QEvent*)xptr;
	    case 90: return (void*)(QGraphicsSceneMoveEvent*)(QEvent*)xptr;
	    case 91: return (void*)(QGraphicsSceneResizeEvent*)(QEvent*)xptr;
	    case 92: return (void*)(QGraphicsSceneWheelEvent*)(QEvent*)xptr;
	    case 96: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 100: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 101: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 109: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 110: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 116: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 126: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 127: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 134: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 136: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 141: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 76:	//QFocusEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 76: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 77:	//QFont
	switch(to) {
	    case 77: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 78:	//QFontMetrics
	switch(to) {
	    case 78: return (void*)(QFontMetrics*)(QFontMetrics*)xptr;
	  default: return xptr;
	}
      case 79:	//QFrame
	switch(to) {
	    case 142: return (void*)(QWidget*)(QFrame*)xptr;
	    case 112: return (void*)(QObject*)(QFrame*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QFrame*)xptr;
	    case 79: return (void*)(QFrame*)(QFrame*)xptr;
	    case 13: return (void*)(KTextEdit*)(QFrame*)xptr;
	    case 56: return (void*)(Plasma::View*)(QFrame*)xptr;
	    case 60: return (void*)(QAbstractScrollArea*)(QFrame*)xptr;
	    case 93: return (void*)(QGraphicsView*)(QFrame*)xptr;
	    case 102: return (void*)(QLabel*)(QFrame*)xptr;
	  default: return xptr;
	}
      case 80:	//QGraphicsItem
	switch(to) {
	    case 80: return (void*)(QGraphicsItem*)(QGraphicsItem*)xptr;
	    case 18: return (void*)(Plasma::Applet*)(QGraphicsItem*)xptr;
	    case 22: return (void*)(Plasma::CheckBox*)(QGraphicsItem*)xptr;
	    case 23: return (void*)(Plasma::ComboBox*)(QGraphicsItem*)xptr;
	    case 25: return (void*)(Plasma::Containment*)(QGraphicsItem*)xptr;
	    case 33: return (void*)(Plasma::Flash*)(QGraphicsItem*)xptr;
	    case 34: return (void*)(Plasma::GLApplet*)(QGraphicsItem*)xptr;
	    case 35: return (void*)(Plasma::GroupBox*)(QGraphicsItem*)xptr;
	    case 36: return (void*)(Plasma::Icon*)(QGraphicsItem*)xptr;
	    case 37: return (void*)(Plasma::Label*)(QGraphicsItem*)xptr;
	    case 38: return (void*)(Plasma::LineEdit*)(QGraphicsItem*)xptr;
	    case 39: return (void*)(Plasma::Meter*)(QGraphicsItem*)xptr;
	    case 45: return (void*)(Plasma::PushButton*)(QGraphicsItem*)xptr;
	    case 47: return (void*)(Plasma::RadioButton*)(QGraphicsItem*)xptr;
	    case 52: return (void*)(Plasma::SignalPlotter*)(QGraphicsItem*)xptr;
	    case 54: return (void*)(Plasma::TextEdit*)(QGraphicsItem*)xptr;
	    case 57: return (void*)(Plasma::WebContent*)(QGraphicsItem*)xptr;
	    case 82: return (void*)(QGraphicsProxyWidget*)(QGraphicsItem*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(QGraphicsItem*)xptr;
	  default: return xptr;
	}
      case 81:	//QGraphicsLayoutItem
	switch(to) {
	    case 81: return (void*)(QGraphicsLayoutItem*)(QGraphicsLayoutItem*)xptr;
	    case 18: return (void*)(Plasma::Applet*)(QGraphicsLayoutItem*)xptr;
	    case 22: return (void*)(Plasma::CheckBox*)(QGraphicsLayoutItem*)xptr;
	    case 23: return (void*)(Plasma::ComboBox*)(QGraphicsLayoutItem*)xptr;
	    case 25: return (void*)(Plasma::Containment*)(QGraphicsLayoutItem*)xptr;
	    case 33: return (void*)(Plasma::Flash*)(QGraphicsLayoutItem*)xptr;
	    case 34: return (void*)(Plasma::GLApplet*)(QGraphicsLayoutItem*)xptr;
	    case 35: return (void*)(Plasma::GroupBox*)(QGraphicsLayoutItem*)xptr;
	    case 36: return (void*)(Plasma::Icon*)(QGraphicsLayoutItem*)xptr;
	    case 37: return (void*)(Plasma::Label*)(QGraphicsLayoutItem*)xptr;
	    case 38: return (void*)(Plasma::LineEdit*)(QGraphicsLayoutItem*)xptr;
	    case 39: return (void*)(Plasma::Meter*)(QGraphicsLayoutItem*)xptr;
	    case 45: return (void*)(Plasma::PushButton*)(QGraphicsLayoutItem*)xptr;
	    case 47: return (void*)(Plasma::RadioButton*)(QGraphicsLayoutItem*)xptr;
	    case 52: return (void*)(Plasma::SignalPlotter*)(QGraphicsLayoutItem*)xptr;
	    case 54: return (void*)(Plasma::TextEdit*)(QGraphicsLayoutItem*)xptr;
	    case 57: return (void*)(Plasma::WebContent*)(QGraphicsLayoutItem*)xptr;
	    case 82: return (void*)(QGraphicsProxyWidget*)(QGraphicsLayoutItem*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(QGraphicsLayoutItem*)xptr;
	  default: return xptr;
	}
      case 82:	//QGraphicsProxyWidget
	switch(to) {
	    case 94: return (void*)(QGraphicsWidget*)(QGraphicsProxyWidget*)xptr;
	    case 80: return (void*)(QGraphicsItem*)(QGraphicsProxyWidget*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(QGraphicsProxyWidget*)xptr;
	    case 112: return (void*)(QObject*)(QGraphicsProxyWidget*)xptr;
	    case 82: return (void*)(QGraphicsProxyWidget*)(QGraphicsProxyWidget*)xptr;
	    case 22: return (void*)(Plasma::CheckBox*)(QGraphicsProxyWidget*)xptr;
	    case 23: return (void*)(Plasma::ComboBox*)(QGraphicsProxyWidget*)xptr;
	    case 35: return (void*)(Plasma::GroupBox*)(QGraphicsProxyWidget*)xptr;
	    case 37: return (void*)(Plasma::Label*)(QGraphicsProxyWidget*)xptr;
	    case 38: return (void*)(Plasma::LineEdit*)(QGraphicsProxyWidget*)xptr;
	    case 45: return (void*)(Plasma::PushButton*)(QGraphicsProxyWidget*)xptr;
	    case 47: return (void*)(Plasma::RadioButton*)(QGraphicsProxyWidget*)xptr;
	    case 54: return (void*)(Plasma::TextEdit*)(QGraphicsProxyWidget*)xptr;
	  default: return xptr;
	}
      case 83:	//QGraphicsScene
	switch(to) {
	    case 112: return (void*)(QObject*)(QGraphicsScene*)xptr;
	    case 83: return (void*)(QGraphicsScene*)(QGraphicsScene*)xptr;
	    case 26: return (void*)(Plasma::Corona*)(QGraphicsScene*)xptr;
	  default: return xptr;
	}
      case 84:	//QGraphicsSceneContextMenuEvent
	switch(to) {
	    case 86: return (void*)(QGraphicsSceneEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
	    case 84: return (void*)(QGraphicsSceneContextMenuEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 85:	//QGraphicsSceneDragDropEvent
	switch(to) {
	    case 86: return (void*)(QGraphicsSceneEvent*)(QGraphicsSceneDragDropEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
	    case 85: return (void*)(QGraphicsSceneDragDropEvent*)(QGraphicsSceneDragDropEvent*)xptr;
	  default: return xptr;
	}
      case 86:	//QGraphicsSceneEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QGraphicsSceneEvent*)xptr;
	    case 86: return (void*)(QGraphicsSceneEvent*)(QGraphicsSceneEvent*)xptr;
	    case 84: return (void*)(QGraphicsSceneContextMenuEvent*)(QGraphicsSceneEvent*)xptr;
	    case 85: return (void*)(QGraphicsSceneDragDropEvent*)(QGraphicsSceneEvent*)xptr;
	    case 87: return (void*)(QGraphicsSceneHelpEvent*)(QGraphicsSceneEvent*)xptr;
	    case 88: return (void*)(QGraphicsSceneHoverEvent*)(QGraphicsSceneEvent*)xptr;
	    case 89: return (void*)(QGraphicsSceneMouseEvent*)(QGraphicsSceneEvent*)xptr;
	    case 90: return (void*)(QGraphicsSceneMoveEvent*)(QGraphicsSceneEvent*)xptr;
	    case 91: return (void*)(QGraphicsSceneResizeEvent*)(QGraphicsSceneEvent*)xptr;
	    case 92: return (void*)(QGraphicsSceneWheelEvent*)(QGraphicsSceneEvent*)xptr;
	  default: return xptr;
	}
      case 87:	//QGraphicsSceneHelpEvent
	switch(to) {
	    case 86: return (void*)(QGraphicsSceneEvent*)(QGraphicsSceneHelpEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QGraphicsSceneHelpEvent*)xptr;
	    case 87: return (void*)(QGraphicsSceneHelpEvent*)(QGraphicsSceneHelpEvent*)xptr;
	  default: return xptr;
	}
      case 88:	//QGraphicsSceneHoverEvent
	switch(to) {
	    case 86: return (void*)(QGraphicsSceneEvent*)(QGraphicsSceneHoverEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
	    case 88: return (void*)(QGraphicsSceneHoverEvent*)(QGraphicsSceneHoverEvent*)xptr;
	  default: return xptr;
	}
      case 89:	//QGraphicsSceneMouseEvent
	switch(to) {
	    case 86: return (void*)(QGraphicsSceneEvent*)(QGraphicsSceneMouseEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
	    case 89: return (void*)(QGraphicsSceneMouseEvent*)(QGraphicsSceneMouseEvent*)xptr;
	  default: return xptr;
	}
      case 90:	//QGraphicsSceneMoveEvent
	switch(to) {
	    case 86: return (void*)(QGraphicsSceneEvent*)(QGraphicsSceneMoveEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QGraphicsSceneMoveEvent*)xptr;
	    case 90: return (void*)(QGraphicsSceneMoveEvent*)(QGraphicsSceneMoveEvent*)xptr;
	  default: return xptr;
	}
      case 91:	//QGraphicsSceneResizeEvent
	switch(to) {
	    case 86: return (void*)(QGraphicsSceneEvent*)(QGraphicsSceneResizeEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QGraphicsSceneResizeEvent*)xptr;
	    case 91: return (void*)(QGraphicsSceneResizeEvent*)(QGraphicsSceneResizeEvent*)xptr;
	  default: return xptr;
	}
      case 92:	//QGraphicsSceneWheelEvent
	switch(to) {
	    case 86: return (void*)(QGraphicsSceneEvent*)(QGraphicsSceneWheelEvent*)xptr;
	    case 75: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
	    case 92: return (void*)(QGraphicsSceneWheelEvent*)(QGraphicsSceneWheelEvent*)xptr;
	  default: return xptr;
	}
      case 93:	//QGraphicsView
	switch(to) {
	    case 60: return (void*)(QAbstractScrollArea*)(QGraphicsView*)xptr;
	    case 79: return (void*)(QFrame*)(QGraphicsView*)xptr;
	    case 142: return (void*)(QWidget*)(QGraphicsView*)xptr;
	    case 112: return (void*)(QObject*)(QGraphicsView*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QGraphicsView*)xptr;
	    case 93: return (void*)(QGraphicsView*)(QGraphicsView*)xptr;
	    case 56: return (void*)(Plasma::View*)(QGraphicsView*)xptr;
	  default: return xptr;
	}
      case 94:	//QGraphicsWidget
	switch(to) {
	    case 80: return (void*)(QGraphicsItem*)(QGraphicsWidget*)xptr;
	    case 81: return (void*)(QGraphicsLayoutItem*)(QGraphicsWidget*)xptr;
	    case 112: return (void*)(QObject*)(QGraphicsWidget*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(QGraphicsWidget*)xptr;
	    case 18: return (void*)(Plasma::Applet*)(QGraphicsWidget*)xptr;
	    case 22: return (void*)(Plasma::CheckBox*)(QGraphicsWidget*)xptr;
	    case 23: return (void*)(Plasma::ComboBox*)(QGraphicsWidget*)xptr;
	    case 25: return (void*)(Plasma::Containment*)(QGraphicsWidget*)xptr;
	    case 33: return (void*)(Plasma::Flash*)(QGraphicsWidget*)xptr;
	    case 34: return (void*)(Plasma::GLApplet*)(QGraphicsWidget*)xptr;
	    case 35: return (void*)(Plasma::GroupBox*)(QGraphicsWidget*)xptr;
	    case 36: return (void*)(Plasma::Icon*)(QGraphicsWidget*)xptr;
	    case 37: return (void*)(Plasma::Label*)(QGraphicsWidget*)xptr;
	    case 38: return (void*)(Plasma::LineEdit*)(QGraphicsWidget*)xptr;
	    case 39: return (void*)(Plasma::Meter*)(QGraphicsWidget*)xptr;
	    case 45: return (void*)(Plasma::PushButton*)(QGraphicsWidget*)xptr;
	    case 47: return (void*)(Plasma::RadioButton*)(QGraphicsWidget*)xptr;
	    case 52: return (void*)(Plasma::SignalPlotter*)(QGraphicsWidget*)xptr;
	    case 54: return (void*)(Plasma::TextEdit*)(QGraphicsWidget*)xptr;
	    case 57: return (void*)(Plasma::WebContent*)(QGraphicsWidget*)xptr;
	    case 82: return (void*)(QGraphicsProxyWidget*)(QGraphicsWidget*)xptr;
	  default: return xptr;
	}
      case 95:	//QGroupBox
	switch(to) {
	    case 142: return (void*)(QWidget*)(QGroupBox*)xptr;
	    case 112: return (void*)(QObject*)(QGroupBox*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QGroupBox*)xptr;
	    case 95: return (void*)(QGroupBox*)(QGroupBox*)xptr;
	  default: return xptr;
	}
      case 96:	//QHideEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 96: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 97:	//QIODevice
	switch(to) {
	    case 112: return (void*)(QObject*)(QIODevice*)xptr;
	    case 97: return (void*)(QIODevice*)(QIODevice*)xptr;
	  default: return xptr;
	}
      case 98:	//QIcon
	switch(to) {
	    case 98: return (void*)(QIcon*)(QIcon*)xptr;
	  default: return xptr;
	}
      case 99:	//QImage
	switch(to) {
	    case 113: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 99: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 100:	//QInputMethodEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 100: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 101:	//QKeyEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 101: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 102:	//QLabel
	switch(to) {
	    case 79: return (void*)(QFrame*)(QLabel*)xptr;
	    case 142: return (void*)(QWidget*)(QLabel*)xptr;
	    case 112: return (void*)(QObject*)(QLabel*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QLabel*)xptr;
	    case 102: return (void*)(QLabel*)(QLabel*)xptr;
	  default: return xptr;
	}
      case 103:	//QLine
	switch(to) {
	    case 103: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 104:	//QLineF
	switch(to) {
	    case 104: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 105:	//QMatrix
	switch(to) {
	    case 105: return (void*)(QMatrix*)(QMatrix*)xptr;
	  default: return xptr;
	}
      case 106:	//QMetaObject
	switch(to) {
	    case 106: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 107:	//QMimeData
	switch(to) {
	    case 112: return (void*)(QObject*)(QMimeData*)xptr;
	    case 107: return (void*)(QMimeData*)(QMimeData*)xptr;
	  default: return xptr;
	}
      case 108:	//QModelIndex
	switch(to) {
	    case 108: return (void*)(QModelIndex*)(QModelIndex*)xptr;
	  default: return xptr;
	}
      case 109:	//QMouseEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 109: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 110:	//QMoveEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 110: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 111:	//QNetworkRequest
	switch(to) {
	    case 111: return (void*)(QNetworkRequest*)(QNetworkRequest*)xptr;
	  default: return xptr;
	}
      case 112:	//QObject
	switch(to) {
	    case 112: return (void*)(QObject*)(QObject*)xptr;
	    case 1: return (void*)(KComboBox*)(QObject*)xptr;
	    case 3: return (void*)(KConfigDialog*)(QObject*)xptr;
	    case 5: return (void*)(KConfigSkeleton*)(QObject*)xptr;
	    case 7: return (void*)(KCoreConfigSkeleton*)(QObject*)xptr;
	    case 8: return (void*)(KDialog*)(QObject*)xptr;
	    case 9: return (void*)(KLineEdit*)(QObject*)xptr;
	    case 11: return (void*)(KPushButton*)(QObject*)xptr;
	    case 13: return (void*)(KTextEdit*)(QObject*)xptr;
	    case 15: return (void*)(Plasma::AbstractRunner*)(QObject*)xptr;
	    case 16: return (void*)(Plasma::AnimationDriver*)(QObject*)xptr;
	    case 17: return (void*)(Plasma::Animator*)(QObject*)xptr;
	    case 18: return (void*)(Plasma::Applet*)(QObject*)xptr;
	    case 19: return (void*)(Plasma::AppletBrowser*)(QObject*)xptr;
	    case 20: return (void*)(Plasma::AppletBrowserWidget*)(QObject*)xptr;
	    case 21: return (void*)(Plasma::AppletScript*)(QObject*)xptr;
	    case 22: return (void*)(Plasma::CheckBox*)(QObject*)xptr;
	    case 23: return (void*)(Plasma::ComboBox*)(QObject*)xptr;
	    case 24: return (void*)(Plasma::ConfigXml*)(QObject*)xptr;
	    case 25: return (void*)(Plasma::Containment*)(QObject*)xptr;
	    case 26: return (void*)(Plasma::Corona*)(QObject*)xptr;
	    case 27: return (void*)(Plasma::DataContainer*)(QObject*)xptr;
	    case 28: return (void*)(Plasma::DataEngine*)(QObject*)xptr;
	    case 29: return (void*)(Plasma::DataEngineManager*)(QObject*)xptr;
	    case 30: return (void*)(Plasma::DataEngineScript*)(QObject*)xptr;
	    case 31: return (void*)(Plasma::Delegate*)(QObject*)xptr;
	    case 32: return (void*)(Plasma::Dialog*)(QObject*)xptr;
	    case 33: return (void*)(Plasma::Flash*)(QObject*)xptr;
	    case 34: return (void*)(Plasma::GLApplet*)(QObject*)xptr;
	    case 35: return (void*)(Plasma::GroupBox*)(QObject*)xptr;
	    case 36: return (void*)(Plasma::Icon*)(QObject*)xptr;
	    case 37: return (void*)(Plasma::Label*)(QObject*)xptr;
	    case 38: return (void*)(Plasma::LineEdit*)(QObject*)xptr;
	    case 39: return (void*)(Plasma::Meter*)(QObject*)xptr;
	    case 42: return (void*)(Plasma::PackageStructure*)(QObject*)xptr;
	    case 43: return (void*)(Plasma::PanelSvg*)(QObject*)xptr;
	    case 45: return (void*)(Plasma::PushButton*)(QObject*)xptr;
	    case 47: return (void*)(Plasma::RadioButton*)(QObject*)xptr;
	    case 48: return (void*)(Plasma::RunnerContext*)(QObject*)xptr;
	    case 49: return (void*)(Plasma::RunnerManager*)(QObject*)xptr;
	    case 50: return (void*)(Plasma::RunnerScript*)(QObject*)xptr;
	    case 51: return (void*)(Plasma::ScriptEngine*)(QObject*)xptr;
	    case 52: return (void*)(Plasma::SignalPlotter*)(QObject*)xptr;
	    case 53: return (void*)(Plasma::Svg*)(QObject*)xptr;
	    case 54: return (void*)(Plasma::TextEdit*)(QObject*)xptr;
	    case 55: return (void*)(Plasma::Theme*)(QObject*)xptr;
	    case 56: return (void*)(Plasma::View*)(QObject*)xptr;
	    case 57: return (void*)(Plasma::WebContent*)(QObject*)xptr;
	    case 58: return (void*)(QAbstractItemDelegate*)(QObject*)xptr;
	    case 59: return (void*)(QAbstractItemModel*)(QObject*)xptr;
	    case 60: return (void*)(QAbstractScrollArea*)(QObject*)xptr;
	    case 61: return (void*)(QAction*)(QObject*)xptr;
	    case 65: return (void*)(QCheckBox*)(QObject*)xptr;
	    case 70: return (void*)(QDialog*)(QObject*)xptr;
	    case 79: return (void*)(QFrame*)(QObject*)xptr;
	    case 82: return (void*)(QGraphicsProxyWidget*)(QObject*)xptr;
	    case 83: return (void*)(QGraphicsScene*)(QObject*)xptr;
	    case 93: return (void*)(QGraphicsView*)(QObject*)xptr;
	    case 94: return (void*)(QGraphicsWidget*)(QObject*)xptr;
	    case 95: return (void*)(QGroupBox*)(QObject*)xptr;
	    case 97: return (void*)(QIODevice*)(QObject*)xptr;
	    case 102: return (void*)(QLabel*)(QObject*)xptr;
	    case 107: return (void*)(QMimeData*)(QObject*)xptr;
	    case 123: return (void*)(QRadioButton*)(QObject*)xptr;
	    case 130: return (void*)(QStyle*)(QObject*)xptr;
	    case 139: return (void*)(QWebFrame*)(QObject*)xptr;
	    case 140: return (void*)(QWebPage*)(QObject*)xptr;
	    case 142: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 113:	//QPaintDevice
	switch(to) {
	    case 113: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 1: return (void*)(KComboBox*)(QPaintDevice*)xptr;
	    case 3: return (void*)(KConfigDialog*)(QPaintDevice*)xptr;
	    case 8: return (void*)(KDialog*)(QPaintDevice*)xptr;
	    case 9: return (void*)(KLineEdit*)(QPaintDevice*)xptr;
	    case 11: return (void*)(KPushButton*)(QPaintDevice*)xptr;
	    case 13: return (void*)(KTextEdit*)(QPaintDevice*)xptr;
	    case 19: return (void*)(Plasma::AppletBrowser*)(QPaintDevice*)xptr;
	    case 20: return (void*)(Plasma::AppletBrowserWidget*)(QPaintDevice*)xptr;
	    case 32: return (void*)(Plasma::Dialog*)(QPaintDevice*)xptr;
	    case 56: return (void*)(Plasma::View*)(QPaintDevice*)xptr;
	    case 60: return (void*)(QAbstractScrollArea*)(QPaintDevice*)xptr;
	    case 63: return (void*)(QBitmap*)(QPaintDevice*)xptr;
	    case 65: return (void*)(QCheckBox*)(QPaintDevice*)xptr;
	    case 70: return (void*)(QDialog*)(QPaintDevice*)xptr;
	    case 79: return (void*)(QFrame*)(QPaintDevice*)xptr;
	    case 93: return (void*)(QGraphicsView*)(QPaintDevice*)xptr;
	    case 95: return (void*)(QGroupBox*)(QPaintDevice*)xptr;
	    case 99: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 102: return (void*)(QLabel*)(QPaintDevice*)xptr;
	    case 120: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 123: return (void*)(QRadioButton*)(QPaintDevice*)xptr;
	    case 142: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 114:	//QPaintEngine
	switch(to) {
	    case 114: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 115:	//QPaintEngineState
	switch(to) {
	    case 115: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 116:	//QPaintEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 116: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 117:	//QPainter
	switch(to) {
	    case 117: return (void*)(QPainter*)(QPainter*)xptr;
	  default: return xptr;
	}
      case 118:	//QPainterPath
	switch(to) {
	    case 118: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 119:	//QPalette
	switch(to) {
	    case 119: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 120:	//QPixmap
	switch(to) {
	    case 113: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 120: return (void*)(QPixmap*)(QPixmap*)xptr;
	    case 63: return (void*)(QBitmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 121:	//QPoint
	switch(to) {
	    case 121: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 122:	//QPointF
	switch(to) {
	    case 122: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 123:	//QRadioButton
	switch(to) {
	    case 142: return (void*)(QWidget*)(QRadioButton*)xptr;
	    case 112: return (void*)(QObject*)(QRadioButton*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QRadioButton*)xptr;
	    case 123: return (void*)(QRadioButton*)(QRadioButton*)xptr;
	  default: return xptr;
	}
      case 124:	//QRect
	switch(to) {
	    case 124: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 125:	//QRectF
	switch(to) {
	    case 125: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 126:	//QResizeEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 126: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 127:	//QShowEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 127: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 128:	//QSize
	switch(to) {
	    case 128: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 129:	//QSizeF
	switch(to) {
	    case 129: return (void*)(QSizeF*)(QSizeF*)xptr;
	  default: return xptr;
	}
      case 130:	//QStyle
	switch(to) {
	    case 112: return (void*)(QObject*)(QStyle*)xptr;
	    case 130: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 131:	//QStyleOption
	switch(to) {
	    case 131: return (void*)(QStyleOption*)(QStyleOption*)xptr;
	    case 132: return (void*)(QStyleOptionGraphicsItem*)(QStyleOption*)xptr;
	    case 133: return (void*)(QStyleOptionViewItem*)(QStyleOption*)xptr;
	  default: return xptr;
	}
      case 132:	//QStyleOptionGraphicsItem
	switch(to) {
	    case 131: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
	    case 132: return (void*)(QStyleOptionGraphicsItem*)(QStyleOptionGraphicsItem*)xptr;
	  default: return xptr;
	}
      case 133:	//QStyleOptionViewItem
	switch(to) {
	    case 131: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
	    case 133: return (void*)(QStyleOptionViewItem*)(QStyleOptionViewItem*)xptr;
	  default: return xptr;
	}
      case 134:	//QTabletEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 134: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 135:	//QTextOption
	switch(to) {
	    case 135: return (void*)(QTextOption*)(QTextOption*)xptr;
	  default: return xptr;
	}
      case 136:	//QTimerEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 136: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 137:	//QUrl
	switch(to) {
	    case 137: return (void*)(QUrl*)(QUrl*)xptr;
	  default: return xptr;
	}
      case 138:	//QVariant
	switch(to) {
	    case 138: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 139:	//QWebFrame
	switch(to) {
	    case 112: return (void*)(QObject*)(QWebFrame*)xptr;
	    case 139: return (void*)(QWebFrame*)(QWebFrame*)xptr;
	  default: return xptr;
	}
      case 140:	//QWebPage
	switch(to) {
	    case 112: return (void*)(QObject*)(QWebPage*)xptr;
	    case 140: return (void*)(QWebPage*)(QWebPage*)xptr;
	  default: return xptr;
	}
      case 141:	//QWheelEvent
	switch(to) {
	    case 75: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 141: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 142:	//QWidget
	switch(to) {
	    case 112: return (void*)(QObject*)(QWidget*)xptr;
	    case 113: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 142: return (void*)(QWidget*)(QWidget*)xptr;
	    case 1: return (void*)(KComboBox*)(QWidget*)xptr;
	    case 3: return (void*)(KConfigDialog*)(QWidget*)xptr;
	    case 8: return (void*)(KDialog*)(QWidget*)xptr;
	    case 9: return (void*)(KLineEdit*)(QWidget*)xptr;
	    case 11: return (void*)(KPushButton*)(QWidget*)xptr;
	    case 13: return (void*)(KTextEdit*)(QWidget*)xptr;
	    case 19: return (void*)(Plasma::AppletBrowser*)(QWidget*)xptr;
	    case 20: return (void*)(Plasma::AppletBrowserWidget*)(QWidget*)xptr;
	    case 32: return (void*)(Plasma::Dialog*)(QWidget*)xptr;
	    case 56: return (void*)(Plasma::View*)(QWidget*)xptr;
	    case 60: return (void*)(QAbstractScrollArea*)(QWidget*)xptr;
	    case 65: return (void*)(QCheckBox*)(QWidget*)xptr;
	    case 70: return (void*)(QDialog*)(QWidget*)xptr;
	    case 79: return (void*)(QFrame*)(QWidget*)xptr;
	    case 93: return (void*)(QGraphicsView*)(QWidget*)xptr;
	    case 95: return (void*)(QGroupBox*)(QWidget*)xptr;
	    case 102: return (void*)(QLabel*)(QWidget*)xptr;
	    case 123: return (void*)(QRadioButton*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index plasma_inheritanceList[] = {
	0,	// 0: (no super class)
	112, 0,	// 1: QObject
	94, 0,	// 3: QGraphicsWidget
	8, 0,	// 5: KDialog
	142, 0,	// 7: QWidget
	51, 0,	// 9: Plasma::ScriptEngine
	82, 0,	// 11: QGraphicsProxyWidget
	5, 0,	// 13: KConfigSkeleton
	18, 0,	// 15: Plasma::Applet
	83, 0,	// 17: QGraphicsScene
	58, 0,	// 19: QAbstractItemDelegate
	53, 0,	// 21: Plasma::Svg
	93, 0,	// 23: QGraphicsView
};

// These are the xenum functions for manipulating enum pointers
void xenum_Plasma__Delegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__RunnerContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Theme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Animator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractRunner(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Meter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Applet(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__PanelSvg(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__QueryMatch(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Plasma(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractRunner(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AnimationDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Applet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletBrowser(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletBrowserWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__CheckBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ConfigXml(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Corona(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Delegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Flash(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GLApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GroupBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Icon(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Label(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__LineEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Meter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Package(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageMetadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageStructure(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PanelSvg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PlotColor(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PushButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__QueryMatch(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RadioButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerContext(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SignalPlotter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Svg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Theme(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__View(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WebContent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class plasma_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "KComboBox", true, 0, 0, 0, 0 }, 	// 1
	{ "KConfigBase", true, 0, 0, 0, 0 }, 	// 2
	{ "KConfigDialog", true, 0, 0, 0, 0 }, 	// 3
	{ "KConfigGroup", true, 0, 0, 0, 0 }, 	// 4
	{ "KConfigSkeleton", true, 0, 0, 0, 0 }, 	// 5
	{ "KConfigSkeletonItem", true, 0, 0, 0, 0 }, 	// 6
	{ "KCoreConfigSkeleton", true, 0, 0, 0, 0 }, 	// 7
	{ "KDialog", true, 0, 0, 0, 0 }, 	// 8
	{ "KLineEdit", true, 0, 0, 0, 0 }, 	// 9
	{ "KPluginInfo", true, 0, 0, 0, 0 }, 	// 10
	{ "KPushButton", true, 0, 0, 0, 0 }, 	// 11
	{ "KShortcut", true, 0, 0, 0, 0 }, 	// 12
	{ "KTextEdit", true, 0, 0, 0, 0 }, 	// 13
	{ "Plasma", false, 0, xcall_Plasma, xenum_Plasma, Smoke::cf_deepcopy }, 	//14
	{ "Plasma::AbstractRunner", false, 1, xcall_Plasma__AbstractRunner, xenum_Plasma__AbstractRunner, Smoke::cf_constructor|Smoke::cf_virtual }, 	//15
	{ "Plasma::AnimationDriver", false, 1, xcall_Plasma__AnimationDriver, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//16
	{ "Plasma::Animator", false, 1, xcall_Plasma__Animator, xenum_Plasma__Animator, Smoke::cf_virtual }, 	//17
	{ "Plasma::Applet", false, 3, xcall_Plasma__Applet, xenum_Plasma__Applet, Smoke::cf_constructor|Smoke::cf_virtual }, 	//18
	{ "Plasma::AppletBrowser", false, 5, xcall_Plasma__AppletBrowser, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//19
	{ "Plasma::AppletBrowserWidget", false, 7, xcall_Plasma__AppletBrowserWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//20
	{ "Plasma::AppletScript", false, 9, xcall_Plasma__AppletScript, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//21
	{ "Plasma::CheckBox", false, 11, xcall_Plasma__CheckBox, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//22
	{ "Plasma::ComboBox", false, 11, xcall_Plasma__ComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//23
	{ "Plasma::ConfigXml", false, 13, xcall_Plasma__ConfigXml, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//24
	{ "Plasma::Containment", false, 15, xcall_Plasma__Containment, xenum_Plasma__Containment, Smoke::cf_constructor|Smoke::cf_virtual }, 	//25
	{ "Plasma::Corona", false, 17, xcall_Plasma__Corona, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//26
	{ "Plasma::DataContainer", false, 1, xcall_Plasma__DataContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//27
	{ "Plasma::DataEngine", false, 1, xcall_Plasma__DataEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//28
	{ "Plasma::DataEngineManager", false, 1, xcall_Plasma__DataEngineManager, 0, Smoke::cf_virtual }, 	//29
	{ "Plasma::DataEngineScript", false, 9, xcall_Plasma__DataEngineScript, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//30
	{ "Plasma::Delegate", false, 19, xcall_Plasma__Delegate, xenum_Plasma__Delegate, Smoke::cf_constructor|Smoke::cf_virtual }, 	//31
	{ "Plasma::Dialog", false, 7, xcall_Plasma__Dialog, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//32
	{ "Plasma::Flash", false, 3, xcall_Plasma__Flash, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//33
	{ "Plasma::GLApplet", false, 15, xcall_Plasma__GLApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//34
	{ "Plasma::GroupBox", false, 11, xcall_Plasma__GroupBox, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//35
	{ "Plasma::Icon", false, 3, xcall_Plasma__Icon, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//36
	{ "Plasma::Label", false, 11, xcall_Plasma__Label, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//37
	{ "Plasma::LineEdit", false, 11, xcall_Plasma__LineEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//38
	{ "Plasma::Meter", false, 3, xcall_Plasma__Meter, xenum_Plasma__Meter, Smoke::cf_constructor|Smoke::cf_virtual }, 	//39
	{ "Plasma::Package", false, 0, xcall_Plasma__Package, 0, Smoke::cf_constructor }, 	//40
	{ "Plasma::PackageMetadata", false, 0, xcall_Plasma__PackageMetadata, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//41
	{ "Plasma::PackageStructure", false, 1, xcall_Plasma__PackageStructure, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//42
	{ "Plasma::PanelSvg", false, 21, xcall_Plasma__PanelSvg, xenum_Plasma__PanelSvg, Smoke::cf_constructor|Smoke::cf_virtual }, 	//43
	{ "Plasma::PlotColor", false, 0, xcall_Plasma__PlotColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//44
	{ "Plasma::PushButton", false, 11, xcall_Plasma__PushButton, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//45
	{ "Plasma::QueryMatch", false, 0, xcall_Plasma__QueryMatch, xenum_Plasma__QueryMatch, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//46
	{ "Plasma::RadioButton", false, 11, xcall_Plasma__RadioButton, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//47
	{ "Plasma::RunnerContext", false, 1, xcall_Plasma__RunnerContext, xenum_Plasma__RunnerContext, Smoke::cf_constructor|Smoke::cf_virtual }, 	//48
	{ "Plasma::RunnerManager", false, 1, xcall_Plasma__RunnerManager, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//49
	{ "Plasma::RunnerScript", false, 9, xcall_Plasma__RunnerScript, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//50
	{ "Plasma::ScriptEngine", false, 1, xcall_Plasma__ScriptEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//51
	{ "Plasma::SignalPlotter", false, 3, xcall_Plasma__SignalPlotter, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//52
	{ "Plasma::Svg", false, 1, xcall_Plasma__Svg, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//53
	{ "Plasma::TextEdit", false, 11, xcall_Plasma__TextEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//54
	{ "Plasma::Theme", false, 1, xcall_Plasma__Theme, xenum_Plasma__Theme, Smoke::cf_constructor|Smoke::cf_virtual }, 	//55
	{ "Plasma::View", false, 23, xcall_Plasma__View, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//56
	{ "Plasma::WebContent", false, 3, xcall_Plasma__WebContent, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//57
	{ "QAbstractItemDelegate", true, 0, 0, 0, 0 }, 	// 58
	{ "QAbstractItemModel", true, 0, 0, 0, 0 }, 	// 59
	{ "QAbstractScrollArea", true, 0, 0, 0, 0 }, 	// 60
	{ "QAction", true, 0, 0, 0, 0 }, 	// 61
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 62
	{ "QBitmap", true, 0, 0, 0, 0 }, 	// 63
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 64
	{ "QCheckBox", true, 0, 0, 0, 0 }, 	// 65
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 66
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 67
	{ "QColor", true, 0, 0, 0, 0 }, 	// 68
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 69
	{ "QDialog", true, 0, 0, 0, 0 }, 	// 70
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 71
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 72
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 73
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 74
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 75
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 76
	{ "QFont", true, 0, 0, 0, 0 }, 	// 77
	{ "QFontMetrics", true, 0, 0, 0, 0 }, 	// 78
	{ "QFrame", true, 0, 0, 0, 0 }, 	// 79
	{ "QGraphicsItem", true, 0, 0, 0, 0 }, 	// 80
	{ "QGraphicsLayoutItem", true, 0, 0, 0, 0 }, 	// 81
	{ "QGraphicsProxyWidget", true, 0, 0, 0, 0 }, 	// 82
	{ "QGraphicsScene", true, 0, 0, 0, 0 }, 	// 83
	{ "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0 }, 	// 84
	{ "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0 }, 	// 85
	{ "QGraphicsSceneEvent", true, 0, 0, 0, 0 }, 	// 86
	{ "QGraphicsSceneHelpEvent", true, 0, 0, 0, 0 }, 	// 87
	{ "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0 }, 	// 88
	{ "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0 }, 	// 89
	{ "QGraphicsSceneMoveEvent", true, 0, 0, 0, 0 }, 	// 90
	{ "QGraphicsSceneResizeEvent", true, 0, 0, 0, 0 }, 	// 91
	{ "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0 }, 	// 92
	{ "QGraphicsView", true, 0, 0, 0, 0 }, 	// 93
	{ "QGraphicsWidget", true, 0, 0, 0, 0 }, 	// 94
	{ "QGroupBox", true, 0, 0, 0, 0 }, 	// 95
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 96
	{ "QIODevice", true, 0, 0, 0, 0 }, 	// 97
	{ "QIcon", true, 0, 0, 0, 0 }, 	// 98
	{ "QImage", true, 0, 0, 0, 0 }, 	// 99
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 100
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 101
	{ "QLabel", true, 0, 0, 0, 0 }, 	// 102
	{ "QLine", true, 0, 0, 0, 0 }, 	// 103
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 104
	{ "QMatrix", true, 0, 0, 0, 0 }, 	// 105
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 106
	{ "QMimeData", true, 0, 0, 0, 0 }, 	// 107
	{ "QModelIndex", true, 0, 0, 0, 0 }, 	// 108
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 109
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 110
	{ "QNetworkRequest", true, 0, 0, 0, 0 }, 	// 111
	{ "QObject", true, 0, 0, 0, 0 }, 	// 112
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 113
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 114
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 115
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 116
	{ "QPainter", true, 0, 0, 0, 0 }, 	// 117
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 118
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 119
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 120
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 121
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 122
	{ "QRadioButton", true, 0, 0, 0, 0 }, 	// 123
	{ "QRect", true, 0, 0, 0, 0 }, 	// 124
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 125
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 126
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 127
	{ "QSize", true, 0, 0, 0, 0 }, 	// 128
	{ "QSizeF", true, 0, 0, 0, 0 }, 	// 129
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 130
	{ "QStyleOption", true, 0, 0, 0, 0 }, 	// 131
	{ "QStyleOptionGraphicsItem", true, 0, 0, 0, 0 }, 	// 132
	{ "QStyleOptionViewItem", true, 0, 0, 0, 0 }, 	// 133
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 134
	{ "QTextOption", true, 0, 0, 0, 0 }, 	// 135
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 136
	{ "QUrl", true, 0, 0, 0, 0 }, 	// 137
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 138
	{ "QWebFrame", true, 0, 0, 0, 0 }, 	// 139
	{ "QWebPage", true, 0, 0, 0, 0 }, 	// 140
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 141
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 142
	{ "Qt", true, 0, 0, 0, 0 }, 	// 143
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type plasma_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "Containment*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//1
	{ "DataContainer*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//2
	{ "GLenum", 0, Smoke::t_int | Smoke::tf_stack },	//3
	{ "GLuint", 0, Smoke::t_uint | Smoke::tf_stack },	//4
	{ "ImmutabilityType", 0, Smoke::t_voidp | Smoke::tf_stack },	//5
	{ "KAction::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//6
	{ "KAction::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//7
	{ "KAutostart::Conditions", 0, Smoke::t_uint | Smoke::tf_stack },	//8
	{ "KAutostart::Conditions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//9
	{ "KCModule::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//10
	{ "KCModule::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//11
	{ "KCmdLineArgs::StdCmdLineArgs", 0, Smoke::t_uint | Smoke::tf_stack },	//12
	{ "KCmdLineArgs::StdCmdLineArgs&", 0, Smoke::t_voidp | Smoke::tf_ref },	//13
	{ "KComboBox*", 1, Smoke::t_class | Smoke::tf_ptr },	//14
	{ "KConfig::OpenFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//15
	{ "KConfig::OpenFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//16
	{ "KConfigBase*", 2, Smoke::t_class | Smoke::tf_ptr },	//17
	{ "KConfigBase::WriteConfigFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//18
	{ "KConfigBase::WriteConfigFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//19
	{ "KConfigDialog*", 3, Smoke::t_class | Smoke::tf_ptr },	//20
	{ "KConfigGroup", 4, Smoke::t_class | Smoke::tf_stack },	//21
	{ "KConfigGroup&", 4, Smoke::t_class | Smoke::tf_ref },	//22
	{ "KConfigSkeletonItem*", 6, Smoke::t_class | Smoke::tf_ptr },	//23
	{ "KCrash::CrashFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//24
	{ "KCrash::CrashFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//25
	{ "KDialog::ButtonCode", 8, Smoke::t_enum | Smoke::tf_stack },	//26
	{ "KDialog::ButtonCodes", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "KDialog::ButtonCodes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "KDialog::ButtonPopupMode", 8, Smoke::t_enum | Smoke::tf_stack },	//29
	{ "KDialog::ButtonPopupModes", 0, Smoke::t_uint | Smoke::tf_stack },	//30
	{ "KDialog::ButtonPopupModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//31
	{ "KDialog::CaptionFlag", 8, Smoke::t_enum | Smoke::tf_stack },	//32
	{ "KDialog::CaptionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//33
	{ "KDialog::CaptionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//34
	{ "KDirLister::OpenUrlFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//35
	{ "KDirLister::OpenUrlFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//36
	{ "KDirModel::DropsAllowed", 0, Smoke::t_uint | Smoke::tf_stack },	//37
	{ "KDirModel::DropsAllowed&", 0, Smoke::t_voidp | Smoke::tf_ref },	//38
	{ "KDirWatch::WatchModes", 0, Smoke::t_uint | Smoke::tf_stack },	//39
	{ "KDirWatch::WatchModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//40
	{ "KEditListBox::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//41
	{ "KEditListBox::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//42
	{ "KFileMetaInfo::WhatFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//43
	{ "KFileMetaInfo::WhatFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//44
	{ "KFontChooser::DisplayFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//45
	{ "KFontChooser::DisplayFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//46
	{ "KFontChooser::FontDiffFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//47
	{ "KFontChooser::FontDiffFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//48
	{ "KGlobalSettings::GraphicEffects", 0, Smoke::t_uint | Smoke::tf_stack },	//49
	{ "KGlobalSettings::GraphicEffects&", 0, Smoke::t_voidp | Smoke::tf_ref },	//50
	{ "KIO::JobFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//51
	{ "KIO::JobFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//52
	{ "KIO::NetRC::LookUpMode", 0, Smoke::t_uint | Smoke::tf_stack },	//53
	{ "KIO::NetRC::LookUpMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//54
	{ "KIO::TCPSlaveBase::SslResult", 0, Smoke::t_uint | Smoke::tf_stack },	//55
	{ "KIO::TCPSlaveBase::SslResult&", 0, Smoke::t_voidp | Smoke::tf_ref },	//56
	{ "KJob::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//57
	{ "KJob::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//58
	{ "KLineEdit*", 9, Smoke::t_class | Smoke::tf_ptr },	//59
	{ "KLocale::DateTimeFormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//60
	{ "KLocale::DateTimeFormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//61
	{ "KLockFile::LockFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//62
	{ "KLockFile::LockFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//63
	{ "KMessageBox::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//64
	{ "KMessageBox::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//65
	{ "KNotification::NotificationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//66
	{ "KNotification::NotificationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//67
	{ "KNotificationRestrictions::Services", 0, Smoke::t_uint | Smoke::tf_stack },	//68
	{ "KNotificationRestrictions::Services&", 0, Smoke::t_voidp | Smoke::tf_ref },	//69
	{ "KParts::BrowserExtension::PopupFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//70
	{ "KParts::BrowserExtension::PopupFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//71
	{ "KPasswordDialog::KPasswordDialogFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//72
	{ "KPasswordDialog::KPasswordDialogFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//73
	{ "KPlotObject::PlotTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//74
	{ "KPlotObject::PlotTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//75
	{ "KPushButton*", 11, Smoke::t_class | Smoke::tf_ptr },	//76
	{ "KServiceGroup::EntriesOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//77
	{ "KServiceGroup::EntriesOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//78
	{ "KSharedPtr<KService>", 0, Smoke::t_voidp | Smoke::tf_stack },	//79
	{ "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp | Smoke::tf_stack },	//80
	{ "KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp | Smoke::tf_stack },	//81
	{ "KShell::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//82
	{ "KShell::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//83
	{ "KShortcut", 12, Smoke::t_class | Smoke::tf_stack },	//84
	{ "KShortcutsEditor::ActionTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//85
	{ "KShortcutsEditor::ActionTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//86
	{ "KStandardDirs::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//87
	{ "KStandardDirs::SearchOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//88
	{ "KTextEdit*", 13, Smoke::t_class | Smoke::tf_ptr },	//89
	{ "KUniqueApplication::StartFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//90
	{ "KUniqueApplication::StartFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//91
	{ "KUrl::CleanPathOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//92
	{ "KUrl::CleanPathOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//93
	{ "KUrl::DirectoryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//94
	{ "KUrl::DirectoryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//95
	{ "KUrl::EncodedPathAndQueryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//96
	{ "KUrl::EncodedPathAndQueryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//97
	{ "KUrl::EqualsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//98
	{ "KUrl::EqualsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//99
	{ "KUrl::QueryItemsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//100
	{ "KUrl::QueryItemsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//101
	{ "KXmlGuiWindow::StandardWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//102
	{ "KXmlGuiWindow::StandardWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//103
	{ "Plasma::AbstractRunner*", 15, Smoke::t_class | Smoke::tf_ptr },	//104
	{ "Plasma::AbstractRunner::Priority", 15, Smoke::t_enum | Smoke::tf_stack },	//105
	{ "Plasma::AbstractRunner::Speed", 15, Smoke::t_enum | Smoke::tf_stack },	//106
	{ "Plasma::AnimationDriver*", 16, Smoke::t_class | Smoke::tf_ptr },	//107
	{ "Plasma::Animator*", 17, Smoke::t_class | Smoke::tf_ptr },	//108
	{ "Plasma::Animator::Animation", 17, Smoke::t_enum | Smoke::tf_stack },	//109
	{ "Plasma::Animator::CurveShape", 17, Smoke::t_enum | Smoke::tf_stack },	//110
	{ "Plasma::Animator::Movement", 17, Smoke::t_enum | Smoke::tf_stack },	//111
	{ "Plasma::Applet*", 18, Smoke::t_class | Smoke::tf_ptr },	//112
	{ "Plasma::Applet::BackgroundHint", 18, Smoke::t_enum | Smoke::tf_stack },	//113
	{ "Plasma::Applet::BackgroundHints", 0, Smoke::t_uint | Smoke::tf_stack },	//114
	{ "Plasma::Applet::BackgroundHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//115
	{ "Plasma::AppletBrowser*", 19, Smoke::t_class | Smoke::tf_ptr },	//116
	{ "Plasma::AppletBrowserWidget*", 20, Smoke::t_class | Smoke::tf_ptr },	//117
	{ "Plasma::AppletScript*", 21, Smoke::t_class | Smoke::tf_ptr },	//118
	{ "Plasma::AspectRatioMode", 14, Smoke::t_enum | Smoke::tf_stack },	//119
	{ "Plasma::CheckBox*", 22, Smoke::t_class | Smoke::tf_ptr },	//120
	{ "Plasma::ComboBox*", 23, Smoke::t_class | Smoke::tf_ptr },	//121
	{ "Plasma::ComponentType", 14, Smoke::t_enum | Smoke::tf_stack },	//122
	{ "Plasma::ComponentTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//123
	{ "Plasma::ComponentTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//124
	{ "Plasma::ConfigXml*", 24, Smoke::t_class | Smoke::tf_ptr },	//125
	{ "Plasma::Constraint", 14, Smoke::t_enum | Smoke::tf_stack },	//126
	{ "Plasma::Constraints", 0, Smoke::t_uint | Smoke::tf_stack },	//127
	{ "Plasma::Constraints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//128
	{ "Plasma::Containment*", 25, Smoke::t_class | Smoke::tf_ptr },	//129
	{ "Plasma::Containment::Type", 25, Smoke::t_enum | Smoke::tf_stack },	//130
	{ "Plasma::Corona*", 26, Smoke::t_class | Smoke::tf_ptr },	//131
	{ "Plasma::DataContainer*", 27, Smoke::t_class | Smoke::tf_ptr },	//132
	{ "Plasma::DataEngine*", 28, Smoke::t_class | Smoke::tf_ptr },	//133
	{ "Plasma::DataEngine::Data&", 0, Smoke::t_voidp | Smoke::tf_ref },	//134
	{ "Plasma::DataEngineManager*", 29, Smoke::t_class | Smoke::tf_ptr },	//135
	{ "Plasma::DataEngineScript*", 30, Smoke::t_class | Smoke::tf_ptr },	//136
	{ "Plasma::Delegate*", 31, Smoke::t_class | Smoke::tf_ptr },	//137
	{ "Plasma::Delegate::ColumnType", 31, Smoke::t_enum | Smoke::tf_stack },	//138
	{ "Plasma::Delegate::SpecificRoles", 31, Smoke::t_enum | Smoke::tf_stack },	//139
	{ "Plasma::Dialog*", 32, Smoke::t_class | Smoke::tf_ptr },	//140
	{ "Plasma::Direction", 14, Smoke::t_enum | Smoke::tf_stack },	//141
	{ "Plasma::Flash*", 33, Smoke::t_class | Smoke::tf_ptr },	//142
	{ "Plasma::Flip", 0, Smoke::t_uint | Smoke::tf_stack },	//143
	{ "Plasma::Flip&", 0, Smoke::t_voidp | Smoke::tf_ref },	//144
	{ "Plasma::FlipDirection", 14, Smoke::t_enum | Smoke::tf_stack },	//145
	{ "Plasma::FormFactor", 14, Smoke::t_enum | Smoke::tf_stack },	//146
	{ "Plasma::GLApplet*", 34, Smoke::t_class | Smoke::tf_ptr },	//147
	{ "Plasma::GroupBox*", 35, Smoke::t_class | Smoke::tf_ptr },	//148
	{ "Plasma::Icon*", 36, Smoke::t_class | Smoke::tf_ptr },	//149
	{ "Plasma::ImmutabilityType", 14, Smoke::t_enum | Smoke::tf_stack },	//150
	{ "Plasma::IntervalAlignment", 14, Smoke::t_enum | Smoke::tf_stack },	//151
	{ "Plasma::ItemTypes", 14, Smoke::t_enum | Smoke::tf_stack },	//152
	{ "Plasma::Label*", 37, Smoke::t_class | Smoke::tf_ptr },	//153
	{ "Plasma::LineEdit*", 38, Smoke::t_class | Smoke::tf_ptr },	//154
	{ "Plasma::Location", 14, Smoke::t_enum | Smoke::tf_stack },	//155
	{ "Plasma::MarginEdge", 14, Smoke::t_enum | Smoke::tf_stack },	//156
	{ "Plasma::Meter*", 39, Smoke::t_class | Smoke::tf_ptr },	//157
	{ "Plasma::Meter::MeterType", 39, Smoke::t_enum | Smoke::tf_stack },	//158
	{ "Plasma::Package*", 40, Smoke::t_class | Smoke::tf_ptr },	//159
	{ "Plasma::PackageMetadata*", 41, Smoke::t_class | Smoke::tf_ptr },	//160
	{ "Plasma::PackageStructure&", 42, Smoke::t_class | Smoke::tf_ref },	//161
	{ "Plasma::PackageStructure*", 42, Smoke::t_class | Smoke::tf_ptr },	//162
	{ "Plasma::PanelSvg*", 43, Smoke::t_class | Smoke::tf_ptr },	//163
	{ "Plasma::PanelSvg::EnabledBorder", 43, Smoke::t_enum | Smoke::tf_stack },	//164
	{ "Plasma::PanelSvg::EnabledBorders", 0, Smoke::t_uint | Smoke::tf_stack },	//165
	{ "Plasma::PanelSvg::EnabledBorders&", 0, Smoke::t_voidp | Smoke::tf_ref },	//166
	{ "Plasma::PlotColor*", 44, Smoke::t_class | Smoke::tf_ptr },	//167
	{ "Plasma::Position", 14, Smoke::t_enum | Smoke::tf_stack },	//168
	{ "Plasma::PushButton*", 45, Smoke::t_class | Smoke::tf_ptr },	//169
	{ "Plasma::QueryMatch", 46, Smoke::t_class | Smoke::tf_stack },	//170
	{ "Plasma::QueryMatch&", 46, Smoke::t_class | Smoke::tf_ref },	//171
	{ "Plasma::QueryMatch*", 46, Smoke::t_class | Smoke::tf_ptr },	//172
	{ "Plasma::QueryMatch::Type", 46, Smoke::t_enum | Smoke::tf_stack },	//173
	{ "Plasma::RadioButton*", 47, Smoke::t_class | Smoke::tf_ptr },	//174
	{ "Plasma::RunnerContext&", 48, Smoke::t_class | Smoke::tf_ref },	//175
	{ "Plasma::RunnerContext*", 48, Smoke::t_class | Smoke::tf_ptr },	//176
	{ "Plasma::RunnerContext::Type", 48, Smoke::t_enum | Smoke::tf_stack },	//177
	{ "Plasma::RunnerContext::Types", 0, Smoke::t_uint | Smoke::tf_stack },	//178
	{ "Plasma::RunnerContext::Types&", 0, Smoke::t_voidp | Smoke::tf_ref },	//179
	{ "Plasma::RunnerManager*", 49, Smoke::t_class | Smoke::tf_ptr },	//180
	{ "Plasma::RunnerScript*", 50, Smoke::t_class | Smoke::tf_ptr },	//181
	{ "Plasma::ScriptEngine*", 51, Smoke::t_class | Smoke::tf_ptr },	//182
	{ "Plasma::Service*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//183
	{ "Plasma::SignalPlotter*", 52, Smoke::t_class | Smoke::tf_ptr },	//184
	{ "Plasma::Svg*", 53, Smoke::t_class | Smoke::tf_ptr },	//185
	{ "Plasma::TextEdit*", 54, Smoke::t_class | Smoke::tf_ptr },	//186
	{ "Plasma::Theme*", 55, Smoke::t_class | Smoke::tf_ptr },	//187
	{ "Plasma::Theme::ColorRole", 55, Smoke::t_enum | Smoke::tf_stack },	//188
	{ "Plasma::Theme::FontRole", 55, Smoke::t_enum | Smoke::tf_stack },	//189
	{ "Plasma::View*", 56, Smoke::t_class | Smoke::tf_ptr },	//190
	{ "Plasma::WebContent*", 57, Smoke::t_class | Smoke::tf_ptr },	//191
	{ "Plasma::ZoomDirection", 14, Smoke::t_enum | Smoke::tf_stack },	//192
	{ "Plasma::ZoomLevel", 14, Smoke::t_enum | Smoke::tf_stack },	//193
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//194
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//195
	{ "QAbstractItemDelegate::EndEditHint", 58, Smoke::t_enum | Smoke::tf_stack },	//196
	{ "QAbstractItemModel*", 59, Smoke::t_class | Smoke::tf_ptr },	//197
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//198
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//199
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//200
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//201
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//202
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//203
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//204
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//205
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//206
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//207
	{ "QAction*", 61, Smoke::t_class | Smoke::tf_ptr },	//208
	{ "QAction::ActionEvent", 61, Smoke::t_enum | Smoke::tf_stack },	//209
	{ "QAction::MenuRole", 61, Smoke::t_enum | Smoke::tf_stack },	//210
	{ "QActionEvent*", 62, Smoke::t_class | Smoke::tf_ptr },	//211
	{ "QBitmap", 63, Smoke::t_class | Smoke::tf_stack },	//212
	{ "QCheckBox*", 65, Smoke::t_class | Smoke::tf_ptr },	//213
	{ "QChildEvent*", 66, Smoke::t_class | Smoke::tf_ptr },	//214
	{ "QCloseEvent*", 67, Smoke::t_class | Smoke::tf_ptr },	//215
	{ "QColor", 68, Smoke::t_class | Smoke::tf_stack },	//216
	{ "QColor::Spec", 68, Smoke::t_enum | Smoke::tf_stack },	//217
	{ "QContextMenuEvent*", 69, Smoke::t_class | Smoke::tf_ptr },	//218
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//219
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//220
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//221
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//222
	{ "QDialog::DialogCode", 70, Smoke::t_enum | Smoke::tf_stack },	//223
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//224
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//225
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//226
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//227
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//228
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//229
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//230
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//231
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//232
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//233
	{ "QDragEnterEvent*", 71, Smoke::t_class | Smoke::tf_ptr },	//234
	{ "QDragLeaveEvent*", 72, Smoke::t_class | Smoke::tf_ptr },	//235
	{ "QDragMoveEvent*", 73, Smoke::t_class | Smoke::tf_ptr },	//236
	{ "QDropEvent*", 74, Smoke::t_class | Smoke::tf_ptr },	//237
	{ "QEvent*", 75, Smoke::t_class | Smoke::tf_ptr },	//238
	{ "QEvent::Type", 75, Smoke::t_enum | Smoke::tf_stack },	//239
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//240
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//241
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//242
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//243
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//244
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//245
	{ "QFocusEvent*", 76, Smoke::t_class | Smoke::tf_ptr },	//246
	{ "QFont", 77, Smoke::t_class | Smoke::tf_stack },	//247
	{ "QFont::Capitalization", 77, Smoke::t_enum | Smoke::tf_stack },	//248
	{ "QFont::ResolveProperties", 77, Smoke::t_enum | Smoke::tf_stack },	//249
	{ "QFont::SpacingType", 77, Smoke::t_enum | Smoke::tf_stack },	//250
	{ "QFont::Stretch", 77, Smoke::t_enum | Smoke::tf_stack },	//251
	{ "QFont::Style", 77, Smoke::t_enum | Smoke::tf_stack },	//252
	{ "QFont::StyleHint", 77, Smoke::t_enum | Smoke::tf_stack },	//253
	{ "QFont::StyleStrategy", 77, Smoke::t_enum | Smoke::tf_stack },	//254
	{ "QFont::Weight", 77, Smoke::t_enum | Smoke::tf_stack },	//255
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//256
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//257
	{ "QFontMetrics", 78, Smoke::t_class | Smoke::tf_stack },	//258
	{ "QFrame::Shadow", 79, Smoke::t_enum | Smoke::tf_stack },	//259
	{ "QFrame::Shape", 79, Smoke::t_enum | Smoke::tf_stack },	//260
	{ "QFrame::StyleMask", 79, Smoke::t_enum | Smoke::tf_stack },	//261
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//262
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//263
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//264
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//265
	{ "QGraphicsItem*", 80, Smoke::t_class | Smoke::tf_ptr },	//266
	{ "QGraphicsItem**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//267
	{ "QGraphicsItem::CacheMode", 80, Smoke::t_enum | Smoke::tf_stack },	//268
	{ "QGraphicsItem::Extension", 80, Smoke::t_enum | Smoke::tf_stack },	//269
	{ "QGraphicsItem::GraphicsItemChange", 80, Smoke::t_enum | Smoke::tf_stack },	//270
	{ "QGraphicsItem::GraphicsItemFlag", 80, Smoke::t_enum | Smoke::tf_stack },	//271
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//272
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//273
	{ "QGraphicsScene::ItemIndexMethod", 83, Smoke::t_enum | Smoke::tf_stack },	//274
	{ "QGraphicsScene::SceneLayer", 83, Smoke::t_enum | Smoke::tf_stack },	//275
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//276
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//277
	{ "QGraphicsSceneContextMenuEvent*", 84, Smoke::t_class | Smoke::tf_ptr },	//278
	{ "QGraphicsSceneContextMenuEvent::Reason", 84, Smoke::t_enum | Smoke::tf_stack },	//279
	{ "QGraphicsSceneDragDropEvent*", 85, Smoke::t_class | Smoke::tf_ptr },	//280
	{ "QGraphicsSceneEvent*", 86, Smoke::t_class | Smoke::tf_ptr },	//281
	{ "QGraphicsSceneHelpEvent*", 87, Smoke::t_class | Smoke::tf_ptr },	//282
	{ "QGraphicsSceneHoverEvent*", 88, Smoke::t_class | Smoke::tf_ptr },	//283
	{ "QGraphicsSceneMouseEvent*", 89, Smoke::t_class | Smoke::tf_ptr },	//284
	{ "QGraphicsSceneMoveEvent*", 90, Smoke::t_class | Smoke::tf_ptr },	//285
	{ "QGraphicsSceneResizeEvent*", 91, Smoke::t_class | Smoke::tf_ptr },	//286
	{ "QGraphicsSceneWheelEvent*", 92, Smoke::t_class | Smoke::tf_ptr },	//287
	{ "QGraphicsView*", 93, Smoke::t_class | Smoke::tf_ptr },	//288
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//289
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//290
	{ "QGraphicsView::CacheModeFlag", 93, Smoke::t_enum | Smoke::tf_stack },	//291
	{ "QGraphicsView::DragMode", 93, Smoke::t_enum | Smoke::tf_stack },	//292
	{ "QGraphicsView::OptimizationFlag", 93, Smoke::t_enum | Smoke::tf_stack },	//293
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//294
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//295
	{ "QGraphicsView::ViewportAnchor", 93, Smoke::t_enum | Smoke::tf_stack },	//296
	{ "QGraphicsView::ViewportUpdateMode", 93, Smoke::t_enum | Smoke::tf_stack },	//297
	{ "QGraphicsWidget*", 94, Smoke::t_class | Smoke::tf_ptr },	//298
	{ "QGroupBox*", 95, Smoke::t_class | Smoke::tf_ptr },	//299
	{ "QHash<QString,Plasma::DataContainer*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//300
	{ "QHash<QString,QVariant>", 0, Smoke::t_voidp | Smoke::tf_stack },	//301
	{ "QHideEvent*", 96, Smoke::t_class | Smoke::tf_ptr },	//302
	{ "QIODevice*", 97, Smoke::t_class | Smoke::tf_ptr },	//303
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//304
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//305
	{ "QIODevice::OpenModeFlag", 97, Smoke::t_enum | Smoke::tf_stack },	//306
	{ "QIcon", 98, Smoke::t_class | Smoke::tf_stack },	//307
	{ "QIcon::Mode", 98, Smoke::t_enum | Smoke::tf_stack },	//308
	{ "QIcon::State", 98, Smoke::t_enum | Smoke::tf_stack },	//309
	{ "QImage::Format", 99, Smoke::t_enum | Smoke::tf_stack },	//310
	{ "QImage::InvertMode", 99, Smoke::t_enum | Smoke::tf_stack },	//311
	{ "QInputMethodEvent*", 100, Smoke::t_class | Smoke::tf_ptr },	//312
	{ "QInputMethodEvent::AttributeType", 100, Smoke::t_enum | Smoke::tf_stack },	//313
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//314
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//315
	{ "QKeyEvent*", 101, Smoke::t_class | Smoke::tf_ptr },	//316
	{ "QLabel*", 102, Smoke::t_class | Smoke::tf_ptr },	//317
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//318
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//319
	{ "QList<KPluginInfo>", 0, Smoke::t_voidp | Smoke::tf_stack },	//320
	{ "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp | Smoke::tf_stack },	//321
	{ "QList<Plasma::Applet*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//322
	{ "QList<Plasma::Containment*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//323
	{ "QList<Plasma::PlotColor>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//324
	{ "QList<Plasma::QueryMatch>", 0, Smoke::t_voidp | Smoke::tf_stack },	//325
	{ "QList<Plasma::QueryMatch>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//326
	{ "QList<QAction*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//327
	{ "QList<QModelIndex>", 0, Smoke::t_voidp | Smoke::tf_stack },	//328
	{ "QList<const char*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//329
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//330
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//331
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//332
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//333
	{ "QMap<int,QVariant>", 0, Smoke::t_voidp | Smoke::tf_stack },	//334
	{ "QMatrix", 105, Smoke::t_class | Smoke::tf_stack },	//335
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//336
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//337
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//338
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//339
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//340
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//341
	{ "QMetaObject::Call", 106, Smoke::t_enum | Smoke::tf_stack },	//342
	{ "QMimeData*", 107, Smoke::t_class | Smoke::tf_ptr },	//343
	{ "QModelIndex", 108, Smoke::t_class | Smoke::tf_stack },	//344
	{ "QMouseEvent*", 109, Smoke::t_class | Smoke::tf_ptr },	//345
	{ "QMoveEvent*", 110, Smoke::t_class | Smoke::tf_ptr },	//346
	{ "QMutex*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//347
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//348
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//349
	{ "QObject*", 112, Smoke::t_class | Smoke::tf_ptr },	//350
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//351
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//352
	{ "QPaintDevice*", 113, Smoke::t_class | Smoke::tf_ptr },	//353
	{ "QPaintDevice::PaintDeviceMetric", 113, Smoke::t_enum | Smoke::tf_stack },	//354
	{ "QPaintEngine*", 114, Smoke::t_class | Smoke::tf_ptr },	//355
	{ "QPaintEngine::DirtyFlag", 114, Smoke::t_enum | Smoke::tf_stack },	//356
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//357
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//358
	{ "QPaintEngine::PaintEngineFeature", 114, Smoke::t_enum | Smoke::tf_stack },	//359
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//360
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//361
	{ "QPaintEngine::PolygonDrawMode", 114, Smoke::t_enum | Smoke::tf_stack },	//362
	{ "QPaintEngine::Type", 114, Smoke::t_enum | Smoke::tf_stack },	//363
	{ "QPaintEvent*", 116, Smoke::t_class | Smoke::tf_ptr },	//364
	{ "QPainter*", 117, Smoke::t_class | Smoke::tf_ptr },	//365
	{ "QPainter::CompositionMode", 117, Smoke::t_enum | Smoke::tf_stack },	//366
	{ "QPainter::RenderHint", 117, Smoke::t_enum | Smoke::tf_stack },	//367
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//368
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//369
	{ "QPainterPath", 118, Smoke::t_class | Smoke::tf_stack },	//370
	{ "QPainterPath::ElementType", 118, Smoke::t_enum | Smoke::tf_stack },	//371
	{ "QPalette", 119, Smoke::t_class | Smoke::tf_stack },	//372
	{ "QPixmap", 120, Smoke::t_class | Smoke::tf_stack },	//373
	{ "QPixmap::Type", 120, Smoke::t_enum | Smoke::tf_stack },	//374
	{ "QPoint", 121, Smoke::t_class | Smoke::tf_stack },	//375
	{ "QPointF", 122, Smoke::t_class | Smoke::tf_stack },	//376
	{ "QPointF&", 122, Smoke::t_class | Smoke::tf_ref },	//377
	{ "QRadioButton*", 123, Smoke::t_class | Smoke::tf_ptr },	//378
	{ "QRect", 124, Smoke::t_class | Smoke::tf_stack },	//379
	{ "QRectF", 125, Smoke::t_class | Smoke::tf_stack },	//380
	{ "QResizeEvent*", 126, Smoke::t_class | Smoke::tf_ptr },	//381
	{ "QShowEvent*", 127, Smoke::t_class | Smoke::tf_ptr },	//382
	{ "QSize", 128, Smoke::t_class | Smoke::tf_stack },	//383
	{ "QSizeF", 129, Smoke::t_class | Smoke::tf_stack },	//384
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//385
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//386
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//387
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//388
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//389
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//390
	{ "QString*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//391
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//392
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//393
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//394
	{ "QStyle&", 130, Smoke::t_class | Smoke::tf_ref },	//395
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//396
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//397
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//398
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//399
	{ "QStyleOption*", 131, Smoke::t_class | Smoke::tf_ptr },	//400
	{ "QStyleOption::OptionType", 131, Smoke::t_enum | Smoke::tf_stack },	//401
	{ "QStyleOption::StyleOptionType", 131, Smoke::t_enum | Smoke::tf_stack },	//402
	{ "QStyleOption::StyleOptionVersion", 131, Smoke::t_enum | Smoke::tf_stack },	//403
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//404
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//405
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//406
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//407
	{ "QStyleOptionGraphicsItem::StyleOptionType", 132, Smoke::t_enum | Smoke::tf_stack },	//408
	{ "QStyleOptionGraphicsItem::StyleOptionVersion", 132, Smoke::t_enum | Smoke::tf_stack },	//409
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//410
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//411
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//412
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//413
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//414
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//415
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//416
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//417
	{ "QStyleOptionViewItem::Position", 133, Smoke::t_enum | Smoke::tf_stack },	//418
	{ "QStyleOptionViewItem::StyleOptionType", 133, Smoke::t_enum | Smoke::tf_stack },	//419
	{ "QStyleOptionViewItem::StyleOptionVersion", 133, Smoke::t_enum | Smoke::tf_stack },	//420
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//421
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//422
	{ "QTabletEvent*", 134, Smoke::t_class | Smoke::tf_ptr },	//423
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//424
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//425
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//426
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//427
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//428
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//429
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//430
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//431
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//432
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//433
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//434
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//435
	{ "QTextOption::Flag", 135, Smoke::t_enum | Smoke::tf_stack },	//436
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//437
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//438
	{ "QTextOption::TabType", 135, Smoke::t_enum | Smoke::tf_stack },	//439
	{ "QTextOption::WrapMode", 135, Smoke::t_enum | Smoke::tf_stack },	//440
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//441
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//442
	{ "QTimerEvent*", 136, Smoke::t_class | Smoke::tf_ptr },	//443
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//444
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//445
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//446
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//447
	{ "QUrl::FormattingOption", 137, Smoke::t_enum | Smoke::tf_stack },	//448
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//449
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//450
	{ "QUrl::ParsingMode", 137, Smoke::t_enum | Smoke::tf_stack },	//451
	{ "QVariant", 138, Smoke::t_class | Smoke::tf_stack },	//452
	{ "QVariant::Type", 138, Smoke::t_enum | Smoke::tf_stack },	//453
	{ "QWebFrame*", 139, Smoke::t_class | Smoke::tf_ptr },	//454
	{ "QWebPage*", 140, Smoke::t_class | Smoke::tf_ptr },	//455
	{ "QWebPage::Extension", 140, Smoke::t_enum | Smoke::tf_stack },	//456
	{ "QWebPage::ExtensionReturn*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//457
	{ "QWebPage::FindFlag", 140, Smoke::t_enum | Smoke::tf_stack },	//458
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//459
	{ "QWebPage::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//460
	{ "QWebPage::LinkDelegationPolicy", 140, Smoke::t_enum | Smoke::tf_stack },	//461
	{ "QWebPage::NavigationType", 140, Smoke::t_enum | Smoke::tf_stack },	//462
	{ "QWebPage::WebAction", 140, Smoke::t_enum | Smoke::tf_stack },	//463
	{ "QWebPage::WebWindowType", 140, Smoke::t_enum | Smoke::tf_stack },	//464
	{ "QWheelEvent*", 141, Smoke::t_class | Smoke::tf_ptr },	//465
	{ "QWidget*", 142, Smoke::t_class | Smoke::tf_ptr },	//466
	{ "QWidget::RenderFlag", 142, Smoke::t_enum | Smoke::tf_stack },	//467
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//468
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//469
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//470
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//471
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//472
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//473
	{ "Qt::AlignmentFlag", 143, Smoke::t_enum | Smoke::tf_stack },	//474
	{ "Qt::AnchorAttribute", 143, Smoke::t_enum | Smoke::tf_stack },	//475
	{ "Qt::ApplicationAttribute", 143, Smoke::t_enum | Smoke::tf_stack },	//476
	{ "Qt::ArrowType", 143, Smoke::t_enum | Smoke::tf_stack },	//477
	{ "Qt::AspectRatioMode", 143, Smoke::t_enum | Smoke::tf_stack },	//478
	{ "Qt::Axis", 143, Smoke::t_enum | Smoke::tf_stack },	//479
	{ "Qt::BGMode", 143, Smoke::t_enum | Smoke::tf_stack },	//480
	{ "Qt::BrushStyle", 143, Smoke::t_enum | Smoke::tf_stack },	//481
	{ "Qt::CaseSensitivity", 143, Smoke::t_enum | Smoke::tf_stack },	//482
	{ "Qt::CheckState", 143, Smoke::t_enum | Smoke::tf_stack },	//483
	{ "Qt::ClipOperation", 143, Smoke::t_enum | Smoke::tf_stack },	//484
	{ "Qt::ConnectionType", 143, Smoke::t_enum | Smoke::tf_stack },	//485
	{ "Qt::ContextMenuPolicy", 143, Smoke::t_enum | Smoke::tf_stack },	//486
	{ "Qt::Corner", 143, Smoke::t_enum | Smoke::tf_stack },	//487
	{ "Qt::CursorShape", 143, Smoke::t_enum | Smoke::tf_stack },	//488
	{ "Qt::DateFormat", 143, Smoke::t_enum | Smoke::tf_stack },	//489
	{ "Qt::DayOfWeek", 143, Smoke::t_enum | Smoke::tf_stack },	//490
	{ "Qt::DockWidgetArea", 143, Smoke::t_enum | Smoke::tf_stack },	//491
	{ "Qt::DockWidgetAreaSizes", 143, Smoke::t_enum | Smoke::tf_stack },	//492
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//493
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//494
	{ "Qt::DropAction", 143, Smoke::t_enum | Smoke::tf_stack },	//495
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//496
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//497
	{ "Qt::EventPriority", 143, Smoke::t_enum | Smoke::tf_stack },	//498
	{ "Qt::FillRule", 143, Smoke::t_enum | Smoke::tf_stack },	//499
	{ "Qt::FocusPolicy", 143, Smoke::t_enum | Smoke::tf_stack },	//500
	{ "Qt::FocusReason", 143, Smoke::t_enum | Smoke::tf_stack },	//501
	{ "Qt::GlobalColor", 143, Smoke::t_enum | Smoke::tf_stack },	//502
	{ "Qt::HitTestAccuracy", 143, Smoke::t_enum | Smoke::tf_stack },	//503
	{ "Qt::ImageConversionFlag", 143, Smoke::t_enum | Smoke::tf_stack },	//504
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//505
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//506
	{ "Qt::InputMethodQuery", 143, Smoke::t_enum | Smoke::tf_stack },	//507
	{ "Qt::ItemDataRole", 143, Smoke::t_enum | Smoke::tf_stack },	//508
	{ "Qt::ItemFlag", 143, Smoke::t_enum | Smoke::tf_stack },	//509
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//510
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//511
	{ "Qt::ItemSelectionMode", 143, Smoke::t_enum | Smoke::tf_stack },	//512
	{ "Qt::Key", 143, Smoke::t_enum | Smoke::tf_stack },	//513
	{ "Qt::KeyboardModifier", 143, Smoke::t_enum | Smoke::tf_stack },	//514
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//515
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//516
	{ "Qt::LayoutDirection", 143, Smoke::t_enum | Smoke::tf_stack },	//517
	{ "Qt::MaskMode", 143, Smoke::t_enum | Smoke::tf_stack },	//518
	{ "Qt::MatchFlag", 143, Smoke::t_enum | Smoke::tf_stack },	//519
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//520
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//521
	{ "Qt::Modifier", 143, Smoke::t_enum | Smoke::tf_stack },	//522
	{ "Qt::MouseButton", 143, Smoke::t_enum | Smoke::tf_stack },	//523
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//524
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//525
	{ "Qt::Orientation", 143, Smoke::t_enum | Smoke::tf_stack },	//526
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//527
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//528
	{ "Qt::PenCapStyle", 143, Smoke::t_enum | Smoke::tf_stack },	//529
	{ "Qt::PenJoinStyle", 143, Smoke::t_enum | Smoke::tf_stack },	//530
	{ "Qt::PenStyle", 143, Smoke::t_enum | Smoke::tf_stack },	//531
	{ "Qt::ScrollBarPolicy", 143, Smoke::t_enum | Smoke::tf_stack },	//532
	{ "Qt::ShortcutContext", 143, Smoke::t_enum | Smoke::tf_stack },	//533
	{ "Qt::SizeHint", 143, Smoke::t_enum | Smoke::tf_stack },	//534
	{ "Qt::SizeMode", 143, Smoke::t_enum | Smoke::tf_stack },	//535
	{ "Qt::SortOrder", 143, Smoke::t_enum | Smoke::tf_stack },	//536
	{ "Qt::TextElideMode", 143, Smoke::t_enum | Smoke::tf_stack },	//537
	{ "Qt::TextFlag", 143, Smoke::t_enum | Smoke::tf_stack },	//538
	{ "Qt::TextFormat", 143, Smoke::t_enum | Smoke::tf_stack },	//539
	{ "Qt::TextInteractionFlag", 143, Smoke::t_enum | Smoke::tf_stack },	//540
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//541
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//542
	{ "Qt::TimeSpec", 143, Smoke::t_enum | Smoke::tf_stack },	//543
	{ "Qt::ToolBarArea", 143, Smoke::t_enum | Smoke::tf_stack },	//544
	{ "Qt::ToolBarAreaSizes", 143, Smoke::t_enum | Smoke::tf_stack },	//545
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//546
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//547
	{ "Qt::ToolButtonStyle", 143, Smoke::t_enum | Smoke::tf_stack },	//548
	{ "Qt::TransformationMode", 143, Smoke::t_enum | Smoke::tf_stack },	//549
	{ "Qt::UIEffect", 143, Smoke::t_enum | Smoke::tf_stack },	//550
	{ "Qt::WhiteSpaceMode", 143, Smoke::t_enum | Smoke::tf_stack },	//551
	{ "Qt::WidgetAttribute", 143, Smoke::t_enum | Smoke::tf_stack },	//552
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//553
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//554
	{ "Qt::WindowFrameSection", 143, Smoke::t_enum | Smoke::tf_stack },	//555
	{ "Qt::WindowModality", 143, Smoke::t_enum | Smoke::tf_stack },	//556
	{ "Qt::WindowState", 143, Smoke::t_enum | Smoke::tf_stack },	//557
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//558
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//559
	{ "Qt::WindowType", 143, Smoke::t_enum | Smoke::tf_stack },	//560
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//561
	{ "char*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//562
	{ "const Handler*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//563
	{ "const KConfigBase*", 2, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//564
	{ "const KConfigGroup*", 4, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//565
	{ "const KPluginInfo&", 10, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//566
	{ "const KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//567
	{ "const KShortcut&", 12, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//568
	{ "const Plasma::Applet::BackgroundHints", 0, Smoke::t_uint | Smoke::tf_stack | Smoke::tf_const },	//569
	{ "const Plasma::ImmutabilityType", 14, Smoke::t_enum | Smoke::tf_stack | Smoke::tf_const },	//570
	{ "const Plasma::MarginEdge", 14, Smoke::t_enum | Smoke::tf_stack | Smoke::tf_const },	//571
	{ "const Plasma::Package*", 40, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//572
	{ "const Plasma::PackageMetadata&", 41, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//573
	{ "const Plasma::PackageMetadata*", 41, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//574
	{ "const Plasma::PackageStructure&", 42, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//575
	{ "const Plasma::PanelSvg::EnabledBorders", 0, Smoke::t_uint | Smoke::tf_stack | Smoke::tf_const },	//576
	{ "const Plasma::PlotColor&", 44, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//577
	{ "const Plasma::QueryMatch&", 46, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//578
	{ "const Plasma::RunnerContext&", 48, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//579
	{ "const QByteArray&", 64, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//580
	{ "const QColor&", 68, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//581
	{ "const QFont&", 77, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//582
	{ "const QGraphicsItem*", 80, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//583
	{ "const QGraphicsView*", 93, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//584
	{ "const QHash<QString,QVariant>", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//585
	{ "const QHash<QString,QVariant>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//586
	{ "const QIcon&", 98, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//587
	{ "const QImage&", 99, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//588
	{ "const QLine*", 103, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//589
	{ "const QLineF*", 104, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//590
	{ "const QList<Plasma::QueryMatch>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//591
	{ "const QList<QModelIndex>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//592
	{ "const QList<QVariant>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//593
	{ "const QList<double>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//594
	{ "const QList<uint>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//595
	{ "const QMap<int,QVariant>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//596
	{ "const QMetaObject", 106, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//597
	{ "const QMetaObject*", 106, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//598
	{ "const QMimeData*", 107, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//599
	{ "const QModelIndex&", 108, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//600
	{ "const QNetworkRequest&", 111, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//601
	{ "const QPaintEngineState&", 115, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//602
	{ "const QPainterPath&", 118, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//603
	{ "const QPalette&", 119, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//604
	{ "const QPixmap&", 120, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//605
	{ "const QPoint&", 121, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//606
	{ "const QPoint*", 121, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//607
	{ "const QPointF&", 122, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//608
	{ "const QPointF*", 122, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//609
	{ "const QRect&", 124, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//610
	{ "const QRect*", 124, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//611
	{ "const QRectF", 125, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//612
	{ "const QRectF&", 125, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//613
	{ "const QRectF*", 125, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//614
	{ "const QSize&", 128, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//615
	{ "const QSizeF&", 129, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//616
	{ "const QString", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//617
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//618
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//619
	{ "const QStyleOptionGraphicsItem*", 132, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//620
	{ "const QStyleOptionViewItem&", 133, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//621
	{ "const QTextOption&", 135, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//622
	{ "const QUrl&", 137, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//623
	{ "const QVariant&", 138, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//624
	{ "const QWebPage::ExtensionOption*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//625
	{ "const Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack | Smoke::tf_const },	//626
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//627
	{ "const qreal", 0, Smoke::t_double | Smoke::tf_stack | Smoke::tf_const },	//628
	{ "double", 0, Smoke::t_double | Smoke::tf_stack },	//629
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//630
	{ "qint64", 0, Smoke::t_long | Smoke::tf_stack },	//631
	{ "qreal", 0, Smoke::t_double | Smoke::tf_stack },	//632
	{ "qreal&", 0, Smoke::t_voidp | Smoke::tf_ref },	//633
	{ "qreal*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//634
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//635
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//636
};

static Smoke::Index plasma_argumentList[] = {
	0,	//0  (void)
	104, 0,	//1  Plasma::AbstractRunner*  
	105, 0,	//3  Plasma::AbstractRunner::Priority  
	106, 0,	//5  Plasma::AbstractRunner::Speed  
	109, 0,	//7  Plasma::Animator::Animation  
	111, 0,	//9  Plasma::Animator::Movement  
	112, 0,	//11  Plasma::Applet*  
	112, 608, 0,	//13  Plasma::Applet*, const QPointF&  
	112, 608, 561, 0,	//16  Plasma::Applet*, const QPointF&, bool  
	119, 0,	//20  Plasma::AspectRatioMode  
	123, 0,	//22  Plasma::ComponentTypes  
	127, 0,	//24  Plasma::Constraints  
	129, 0,	//26  Plasma::Containment*  
	129, 192, 0,	//28  Plasma::Containment*, Plasma::ZoomDirection  
	129, 466, 0,	//31  Plasma::Containment*, QWidget*  
	129, 630, 0,	//34  Plasma::Containment*, int  
	129, 630, 466, 0,	//37  Plasma::Containment*, int, QWidget*  
	130, 0,	//41  Plasma::Containment::Type  
	132, 0,	//43  Plasma::DataContainer*  
	133, 0,	//45  Plasma::DataEngine*  
	139, 0,	//47  Plasma::Delegate::SpecificRoles  
	139, 630, 0,	//49  Plasma::Delegate::SpecificRoles, int  
	146, 0,	//52  Plasma::FormFactor  
	155, 0,	//54  Plasma::Location  
	158, 0,	//56  Plasma::Meter::MeterType  
	17, 0,	//58  KConfigBase*  
	173, 0,	//60  Plasma::QueryMatch::Type  
	175, 0,	//62  Plasma::RunnerContext&  
	175, 350, 0,	//64  Plasma::RunnerContext&, QObject*  
	178, 0,	//67  Plasma::RunnerContext::Types  
	188, 0,	//69  Plasma::Theme::ColorRole  
	189, 0,	//71  Plasma::Theme::FontRole  
	193, 0,	//73  Plasma::ZoomLevel  
	20, 0,	//75  KConfigDialog*  
	208, 0,	//77  QAction*  
	211, 0,	//79  QActionEvent*  
	214, 0,	//81  QChildEvent*  
	215, 0,	//83  QCloseEvent*  
	216, 0,	//85  QColor  
	218, 0,	//87  QContextMenuEvent*  
	22, 0,	//89  KConfigGroup&  
	22, 350, 0,	//91  KConfigGroup&, QObject*  
	234, 0,	//94  QDragEnterEvent*  
	235, 0,	//96  QDragLeaveEvent*  
	236, 0,	//98  QDragMoveEvent*  
	237, 0,	//100  QDropEvent*  
	238, 0,	//102  QEvent*  
	238, 197, 621, 600, 0,	//104  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&  
	246, 0,	//109  QFocusEvent*  
	266, 0,	//111  QGraphicsItem*  
	266, 109, 0,	//113  QGraphicsItem*, Plasma::Animator::Animation  
	266, 111, 606, 0,	//116  QGraphicsItem*, Plasma::Animator::Movement, const QPoint&  
	266, 238, 0,	//120  QGraphicsItem*, QEvent*  
	266, 618, 0,	//123  QGraphicsItem*, const QString&  
	266, 618, 630, 0,	//126  QGraphicsItem*, const QString&, int  
	266, 618, 635, 0,	//130  QGraphicsItem*, const QString&, uint  
	269, 0,	//134  QGraphicsItem::Extension  
	269, 624, 0,	//136  QGraphicsItem::Extension, const QVariant&  
	270, 624, 0,	//139  QGraphicsItem::GraphicsItemChange, const QVariant&  
	278, 0,	//142  QGraphicsSceneContextMenuEvent*  
	280, 0,	//144  QGraphicsSceneDragDropEvent*  
	281, 612, 376, 0,	//146  QGraphicsSceneEvent*, const QRectF, QPointF  
	282, 0,	//150  QGraphicsSceneHelpEvent*  
	283, 0,	//152  QGraphicsSceneHoverEvent*  
	284, 0,	//154  QGraphicsSceneMouseEvent*  
	285, 0,	//156  QGraphicsSceneMoveEvent*  
	286, 0,	//158  QGraphicsSceneResizeEvent*  
	287, 0,	//160  QGraphicsSceneWheelEvent*  
	288, 612, 376, 0,	//162  QGraphicsView*, const QRectF, QPointF  
	298, 0,	//166  QGraphicsWidget*  
	302, 0,	//168  QHideEvent*  
	312, 0,	//170  QInputMethodEvent*  
	316, 0,	//172  QKeyEvent*  
	342, 630, 636, 0,	//174  QMetaObject::Call, int, void**  
	345, 0,	//178  QMouseEvent*  
	346, 0,	//180  QMoveEvent*  
	350, 0,	//182  QObject*  
	350, 238, 0,	//184  QObject*, QEvent*  
	350, 593, 0,	//187  QObject*, const QList<QVariant>&  
	350, 618, 0,	//190  QObject*, const QString&  
	350, 635, 0,	//193  QObject*, uint  
	350, 635, 151, 0,	//196  QObject*, uint, Plasma::IntervalAlignment  
	350, 79, 0,	//200  QObject*, KSharedPtr<KService>  
	354, 0,	//203  QPaintDevice::PaintDeviceMetric  
	364, 0,	//205  QPaintEvent*  
	365, 608, 0,	//207  QPainter*, const QPointF&  
	365, 608, 618, 0,	//210  QPainter*, const QPointF&, const QString&  
	365, 613, 0,	//214  QPainter*, const QRectF&  
	365, 613, 608, 0,	//217  QPainter*, const QRectF&, const QPointF&  
	365, 613, 618, 0,	//221  QPainter*, const QRectF&, const QString&  
	365, 615, 630, 0,	//225  QPainter*, const QSize&, int  
	365, 620, 0,	//229  QPainter*, const QStyleOptionGraphicsItem*  
	365, 620, 466, 0,	//232  QPainter*, const QStyleOptionGraphicsItem*, QWidget*  
	365, 620, 610, 0,	//236  QPainter*, const QStyleOptionGraphicsItem*, const QRect&  
	365, 621, 600, 0,	//240  QPainter*, const QStyleOptionViewItem&, const QModelIndex&  
	365, 630, 267, 620, 0,	//244  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*  
	365, 630, 267, 620, 466, 0,	//249  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*  
	365, 630, 630, 0,	//255  QPainter*, int, int  
	365, 630, 630, 618, 0,	//259  QPainter*, int, int, const QString&  
	365, 630, 630, 630, 0,	//264  QPainter*, int, int, int  
	365, 630, 630, 630, 630, 0,	//269  QPainter*, int, int, int, int  
	365, 635, 635, 630, 0,	//275  QPainter*, uint, uint, int  
	381, 0,	//280  QResizeEvent*  
	382, 0,	//282  QShowEvent*  
	389, 0,	//284  QString  
	389, 208, 0,	//286  QString, QAction*  
	394, 0,	//289  QStringList  
	395, 0,	//291  QStyle&  
	4, 0,	//293  GLuint  
	400, 0,	//295  QStyleOption*  
	423, 0,	//297  QTabletEvent*  
	443, 0,	//299  QTimerEvent*  
	455, 0,	//301  QWebPage*  
	465, 0,	//303  QWheelEvent*  
	466, 0,	//305  QWidget*  
	466, 197, 600, 0,	//307  QWidget*, QAbstractItemModel*, const QModelIndex&  
	466, 553, 0,	//311  QWidget*, Qt::WindowFlags  
	466, 600, 0,	//314  QWidget*, const QModelIndex&  
	466, 621, 600, 0,	//317  QWidget*, const QStyleOptionViewItem&, const QModelIndex&  
	507, 0,	//321  Qt::InputMethodQuery  
	526, 0,	//323  Qt::Orientation  
	534, 0,	//325  Qt::SizeHint  
	534, 616, 0,	//327  Qt::SizeHint, const QSizeF&  
	561, 0,	//330  bool  
	561, 618, 0,	//332  bool, const QString&  
	564, 0,	//335  const KConfigBase*  
	565, 303, 0,	//337  const KConfigGroup*, QIODevice*  
	565, 303, 350, 0,	//340  const KConfigGroup*, QIODevice*, QObject*  
	566, 0,	//344  const KPluginInfo&  
	566, 635, 0,	//346  const KPluginInfo&, uint  
	566, 635, 593, 0,	//349  const KPluginInfo&, uint, const QList<QVariant>&  
	568, 0,	//353  const KShortcut&  
	569, 0,	//355  const Plasma::Applet::BackgroundHints  
	570, 0,	//357  const Plasma::ImmutabilityType  
	571, 0,	//359  const Plasma::MarginEdge  
	573, 0,	//361  const Plasma::PackageMetadata&  
	573, 618, 0,	//363  const Plasma::PackageMetadata&, const QString&  
	573, 618, 618, 0,	//366  const Plasma::PackageMetadata&, const QString&, const QString&  
	573, 618, 618, 618, 0,	//370  const Plasma::PackageMetadata&, const QString&, const QString&, const QString&  
	575, 0,	//375  const Plasma::PackageStructure&  
	576, 0,	//377  const Plasma::PanelSvg::EnabledBorders  
	577, 0,	//379  const Plasma::PlotColor&  
	578, 0,	//381  const Plasma::QueryMatch&  
	579, 0,	//383  const Plasma::RunnerContext&  
	579, 578, 0,	//385  const Plasma::RunnerContext&, const Plasma::QueryMatch&  
	580, 0,	//388  const QByteArray&  
	580, 623, 0,	//390  const QByteArray&, const QUrl&  
	581, 0,	//393  const QColor&  
	582, 0,	//395  const QFont&  
	582, 189, 0,	//397  const QFont&, Plasma::Theme::FontRole  
	583, 0,	//400  const QGraphicsItem*  
	583, 512, 0,	//402  const QGraphicsItem*, Qt::ItemSelectionMode  
	583, 615, 0,	//405  const QGraphicsItem*, const QSize&  
	584, 610, 0,	//408  const QGraphicsView*, const QRect&  
	584, 613, 0,	//411  const QGraphicsView*, const QRectF&  
	587, 0,	//414  const QIcon&  
	587, 618, 0,	//416  const QIcon&, const QString&  
	587, 618, 266, 0,	//419  const QIcon&, const QString&, QGraphicsItem*  
	588, 0,	//423  const QImage&  
	588, 3, 0,	//425  const QImage&, GLenum  
	591, 0,	//428  const QList<Plasma::QueryMatch>&  
	594, 0,	//430  const QList<double>&  
	595, 0,	//432  const QList<uint>&  
	603, 0,	//434  const QPainterPath&  
	603, 512, 0,	//436  const QPainterPath&, Qt::ItemSelectionMode  
	604, 0,	//439  const QPalette&  
	605, 0,	//441  const QPixmap&  
	605, 630, 0,	//443  const QPixmap&, int  
	605, 630, 472, 0,	//446  const QPixmap&, int, Qt::Alignment  
	606, 0,	//450  const QPoint&  
	608, 0,	//452  const QPointF&  
	613, 0,	//454  const QRectF&  
	615, 0,	//456  const QSize&  
	616, 0,	//458  const QSizeF&  
	618, 0,	//460  const QString&  
	618, 104, 0,	//462  const QString&, Plasma::AbstractRunner*  
	618, 112, 0,	//465  const QString&, Plasma::Applet*  
	618, 122, 0,	//468  const QString&, Plasma::ComponentType  
	618, 133, 0,	//471  const QString&, Plasma::DataEngine*  
	618, 266, 0,	//474  const QString&, QGraphicsItem*  
	618, 303, 0,	//477  const QString&, QIODevice*  
	618, 303, 350, 0,	//480  const QString&, QIODevice*, QObject*  
	618, 350, 0,	//484  const QString&, QObject*  
	618, 350, 635, 0,	//487  const QString&, QObject*, uint  
	618, 350, 635, 151, 0,	//491  const QString&, QObject*, uint, Plasma::IntervalAlignment  
	618, 561, 0,	//496  const QString&, bool  
	618, 578, 0,	//499  const QString&, const Plasma::QueryMatch&  
	618, 586, 0,	//502  const QString&, const QHash<QString, QVariant>&  
	618, 591, 0,	//505  const QString&, const QList<Plasma::QueryMatch>&  
	618, 593, 0,	//508  const QString&, const QList<QVariant>&  
	618, 593, 613, 0,	//511  const QString&, const QList<QVariant>&, const QRectF&  
	618, 618, 0,	//515  const QString&, const QString&  
	618, 618, 624, 0,	//518  const QString&, const QString&, const QVariant&  
	618, 618, 81, 0,	//522  const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>  
	618, 623, 0,	//526  const QString&, const QUrl&  
	618, 624, 0,	//529  const QString&, const QVariant&  
	618, 630, 0,	//532  const QString&, int  
	618, 630, 622, 0,	//535  const QString&, int, const QTextOption&  
	618, 635, 0,	//539  const QString&, uint  
	618, 635, 593, 0,	//542  const QString&, uint, const QList<QVariant>&  
	618, 81, 0,	//546  const QString&, KSharedPtr<Plasma::PackageStructure>  
	621, 600, 0,	//549  const QStyleOptionViewItem&, const QModelIndex&  
	623, 0,	//552  const QUrl&  
	624, 0,	//554  const QVariant&  
	627, 0,	//556  const char*  
	627, 394, 0,	//558  const char*, QStringList  
	627, 561, 0,	//561  const char*, bool  
	627, 618, 0,	//564  const char*, const QString&  
	627, 618, 618, 0,	//567  const char*, const QString&, const QString&  
	628, 0,	//571  const qreal  
	629, 629, 0,	//573  double, double  
	630, 0,	//576  int  
	630, 581, 0,	//578  int, const QColor&  
	630, 582, 0,	//581  int, const QFont&  
	630, 605, 0,	//584  int, const QPixmap&  
	630, 618, 0,	//587  int, const QString&  
	630, 626, 0,	//590  int, const Qt::Alignment  
	630, 630, 0,	//593  int, int  
	630, 630, 110, 350, 627, 0,	//596  int, int, Plasma::Animator::CurveShape, QObject*, const char*  
	630, 630, 129, 0,	//602  int, int, Plasma::Containment*  
	632, 0,	//606  qreal  
	632, 266, 0,	//608  qreal, QGraphicsItem*  
	632, 266, 606, 606, 0,	//611  qreal, QGraphicsItem*, const QPoint&, const QPoint&  
	632, 605, 0,	//616  qreal, const QPixmap&  
	632, 632, 0,	//619  qreal, qreal  
	633, 633, 633, 633, 0,	//622  qreal&, qreal&, qreal&, qreal&  
	634, 634, 634, 634, 0,	//627  qreal*, qreal*, qreal*, qreal*  
	635, 0,	//632  uint  
	635, 635, 0,	//634  uint, uint  
	80, 303, 0,	//637  KSharedPtr<KSharedConfig>, QIODevice*  
	80, 303, 350, 0,	//640  KSharedPtr<KSharedConfig>, QIODevice*, QObject*  
};

// Raw list of all methods, using munged names
static const char *plasma_methodNames[] = {
    "",	//0
    "AbstractRunner",	//1
    "AbstractRunner#",	//2
    "AbstractRunner#$",	//3
    "AbstractRunner#?",	//4
    "ActivateAnimation",	//5
    "AlignToHour",	//6
    "AlignToMinute",	//7
    "AllBorders",	//8
    "AllConstraints",	//9
    "AnalogMeter",	//10
    "AnimationDriver",	//11
    "AnimationDriver#",	//12
    "AnimatorComponent",	//13
    "AppearAnimation",	//14
    "Applet",	//15
    "Applet#",	//16
    "Applet#$",	//17
    "Applet#$$",	//18
    "Applet#?",	//19
    "AppletBrowser",	//20
    "AppletBrowser#",	//21
    "AppletBrowser#$",	//22
    "AppletBrowserWidget",	//23
    "AppletBrowserWidget#",	//24
    "AppletBrowserWidget#$",	//25
    "AppletComponent",	//26
    "AppletScript",	//27
    "AppletScript#",	//28
    "AppletType",	//29
    "BackgroundColor",	//30
    "BarMeterHorizontal",	//31
    "BarMeterVertical",	//32
    "BottomBorder",	//33
    "BottomEdge",	//34
    "BottomMargin",	//35
    "BottomPositioned",	//36
    "CenterPositioned",	//37
    "CheckBox",	//38
    "CheckBox#",	//39
    "ColumnTypeRole",	//40
    "ComboBox",	//41
    "ComboBox#",	//42
    "CompletionMatch",	//43
    "ConfigXml",	//44
    "ConfigXml##",	//45
    "ConfigXml###",	//46
    "ConfigXml$#",	//47
    "ConfigXml$##",	//48
    "ConfigXml?#",	//49
    "ConfigXml?##",	//50
    "ConstrainedSquare",	//51
    "Containment",	//52
    "Containment#",	//53
    "Containment#$",	//54
    "Containment#$$",	//55
    "Containment#?",	//56
    "ContainmentComponent",	//57
    "Corona",	//58
    "Corona#",	//59
    "CustomContainment",	//60
    "CustomPanelContainment",	//61
    "DataContainer",	//62
    "DataContainer#",	//63
    "DataEngine",	//64
    "DataEngine#",	//65
    "DataEngine#?",	//66
    "DataEngineComponent",	//67
    "DataEngineScript",	//68
    "DataEngineScript#",	//69
    "DefaultBackground",	//70
    "DefaultFont",	//71
    "Delegate",	//72
    "Delegate#",	//73
    "Desktop",	//74
    "DesktopContainment",	//75
    "DesktopZoom",	//76
    "Dialog",	//77
    "Dialog#",	//78
    "Dialog#$",	//79
    "Directory",	//80
    "DisappearAnimation",	//81
    "Down",	//82
    "EaseInCurve",	//83
    "EaseInOutCurve",	//84
    "EaseOutCurve",	//85
    "ExactMatch",	//86
    "Executable",	//87
    "FastSlideInMovement",	//88
    "FastSlideOutMovement",	//89
    "File",	//90
    "FileSystem",	//91
    "Flash",	//92
    "Flash#",	//93
    "Floating",	//94
    "FormFactorConstraint",	//95
    "FullScreen",	//96
    "GLApplet",	//97
    "GLApplet#$$",	//98
    "GLApplet#?",	//99
    "GroupBox",	//100
    "GroupBox#",	//101
    "GroupZoom",	//102
    "Help",	//103
    "HelperMatch",	//104
    "HighPriority",	//105
    "HighestPriority",	//106
    "HighlightColor",	//107
    "Horizontal",	//108
    "HorizontalFlip",	//109
    "Icon",	//110
    "Icon#",	//111
    "Icon#$",	//112
    "Icon#$#",	//113
    "Icon$",	//114
    "Icon$#",	//115
    "IgnoreAspectRatio",	//116
    "ImmutableConstraint",	//117
    "InformationalMatch",	//118
    "KeepAspectRatio",	//119
    "Label",	//120
    "Label#",	//121
    "Left",	//122
    "LeftBorder",	//123
    "LeftEdge",	//124
    "LeftMargin",	//125
    "LeftPositioned",	//126
    "LineEdit",	//127
    "LineEdit#",	//128
    "LineEditType",	//129
    "LinearCurve",	//130
    "LocationConstraint",	//131
    "LowPriority",	//132
    "LowestPriority",	//133
    "MainColumn",	//134
    "MediaCenter",	//135
    "Meter",	//136
    "Meter#",	//137
    "Mutable",	//138
    "NetworkLocation",	//139
    "NoAlignment",	//140
    "NoBackground",	//141
    "NoBorder",	//142
    "NoConstraint",	//143
    "NoContainmentType",	//144
    "NoFlip",	//145
    "NoMatch",	//146
    "None",	//147
    "NormalPriority",	//148
    "NormalSpeed",	//149
    "OverviewZoom",	//150
    "Package",	//151
    "Package$$?",	//152
    "Package$?",	//153
    "PackageMetadata",	//154
    "PackageMetadata#",	//155
    "PackageMetadata$",	//156
    "PackageStructure",	//157
    "PackageStructure#",	//158
    "PackageStructure#$",	//159
    "PanelContainment",	//160
    "PanelSvg",	//161
    "PanelSvg#",	//162
    "Planar",	//163
    "PlotColor",	//164
    "PlotColor#",	//165
    "PossibleMatch",	//166
    "PushButton",	//167
    "PushButton#",	//168
    "QueryMatch",	//169
    "QueryMatch#",	//170
    "RadioButton",	//171
    "RadioButton#",	//172
    "Right",	//173
    "RightBorder",	//174
    "RightEdge",	//175
    "RightMargin",	//176
    "RightPositioned",	//177
    "RunnerComponent",	//178
    "RunnerContext",	//179
    "RunnerContext#",	//180
    "RunnerContext##",	//181
    "RunnerManager",	//182
    "RunnerManager#",	//183
    "RunnerManager##",	//184
    "RunnerScript",	//185
    "RunnerScript#",	//186
    "ScreenConstraint",	//187
    "ScriptEngine",	//188
    "ScriptEngine#",	//189
    "SecondaryActionColumn",	//190
    "ShadowedBackground",	//191
    "ShellCommand",	//192
    "SignalPlotter",	//193
    "SignalPlotter#",	//194
    "SizeConstraint",	//195
    "SlideInMovement",	//196
    "SlideOutMovement",	//197
    "SlowSpeed",	//198
    "Square",	//199
    "StandardBackground",	//200
    "StartupCompletedConstraint",	//201
    "SubTitleMandatoryRole",	//202
    "SubTitleRole",	//203
    "Svg",	//204
    "Svg#",	//205
    "SystemImmutable",	//206
    "TextColor",	//207
    "TextEdit",	//208
    "TextEdit#",	//209
    "Theme",	//210
    "Theme#",	//211
    "TopBorder",	//212
    "TopEdge",	//213
    "TopMargin",	//214
    "TopPositioned",	//215
    "TranslucentBackground",	//216
    "Type",	//217
    "UnknownType",	//218
    "Up",	//219
    "UserImmutable",	//220
    "Vertical",	//221
    "VerticalFlip",	//222
    "View",	//223
    "View#",	//224
    "View##",	//225
    "View#$",	//226
    "View#$#",	//227
    "WebContent",	//228
    "WebContent#",	//229
    "ZoomIn",	//230
    "ZoomOut",	//231
    "accept",	//232
    "action",	//233
    "action$",	//234
    "actionEvent",	//235
    "actionEvent#",	//236
    "activate",	//237
    "activated",	//238
    "activated$",	//239
    "addAction",	//240
    "addAction$#",	//241
    "addApplet",	//242
    "addApplet#",	//243
    "addApplet##",	//244
    "addApplet##$",	//245
    "addApplet$",	//246
    "addApplet$?",	//247
    "addApplet$?#",	//248
    "addAssociatedWidget",	//249
    "addAssociatedWidget#",	//250
    "addContainment",	//251
    "addContainment$",	//252
    "addContainment$?",	//253
    "addContainmentDelayed",	//254
    "addContainmentDelayed$",	//255
    "addContainmentDelayed$?",	//256
    "addDirectoryDefinition",	//257
    "addDirectoryDefinition$$$",	//258
    "addFileDefinition",	//259
    "addFileDefinition$$$",	//260
    "addIconAction",	//261
    "addIconAction#",	//262
    "addItem",	//263
    "addItem$",	//264
    "addMatch",	//265
    "addMatch$#",	//266
    "addMatches",	//267
    "addMatches$?",	//268
    "addPlot",	//269
    "addPlot#",	//270
    "addSample",	//271
    "addSample?",	//272
    "addSiblingContainment",	//273
    "addSiblingContainment#",	//274
    "addSource",	//275
    "addSource#",	//276
    "addToolBoxTool",	//277
    "addToolBoxTool#",	//278
    "advance",	//279
    "advance$",	//280
    "animateElement",	//281
    "animateElement#$",	//282
    "animateItem",	//283
    "animateItem#$",	//284
    "animationCurve",	//285
    "animationCurve$",	//286
    "animationDuration",	//287
    "animationDuration$",	//288
    "animationFinished",	//289
    "animationFinished#$",	//290
    "animationFps",	//291
    "animationFps$",	//292
    "applet",	//293
    "appletAdded",	//294
    "appletAdded##",	//295
    "appletMimeType",	//296
    "appletRemoved",	//297
    "appletRemoved#",	//298
    "applets",	//299
    "application",	//300
    "aspectRatioMode",	//301
    "author",	//302
    "backgroundColor",	//303
    "backgroundHints",	//304
    "becameUnused",	//305
    "becameUnused$",	//306
    "bigLock",	//307
    "bindTexture",	//308
    "bindTexture#",	//309
    "bindTexture#$",	//310
    "boundingRect",	//311
    "cacheAllRenderedPanels",	//312
    "calculateNiceRange",	//313
    "category",	//314
    "category#",	//315
    "category$",	//316
    "changeEvent",	//317
    "changeEvent#",	//318
    "changed",	//319
    "checkForUpdate",	//320
    "checkUsage",	//321
    "childEvent",	//322
    "childEvent#",	//323
    "clear",	//324
    "clearApplets",	//325
    "clearCache",	//326
    "clearContainments",	//327
    "clicked",	//328
    "closeEvent",	//329
    "closeEvent#",	//330
    "closeToolBox",	//331
    "collidesWithItem",	//332
    "collidesWithItem#",	//333
    "collidesWithItem#$",	//334
    "collidesWithPath",	//335
    "collidesWithPath#",	//336
    "collidesWithPath#$",	//337
    "color",	//338
    "color$",	//339
    "colorScheme",	//340
    "config",	//341
    "config$",	//342
    "configNeedsSaving",	//343
    "configScheme",	//344
    "configSynced",	//345
    "configurationRequired",	//346
    "connectAllSources",	//347
    "connectAllSources#",	//348
    "connectAllSources#$",	//349
    "connectAllSources#$$",	//350
    "connectNotify",	//351
    "connectNotify$",	//352
    "connectSource",	//353
    "connectSource$#",	//354
    "connectSource$#$",	//355
    "connectSource$#$$",	//356
    "connectVisualization",	//357
    "connectVisualization#$$",	//358
    "constraintsEvent",	//359
    "constraintsEvent$",	//360
    "containerDict",	//361
    "containerForSource",	//362
    "containerForSource$",	//363
    "containment",	//364
    "containmentAdded",	//365
    "containmentAdded#",	//366
    "containmentForScreen",	//367
    "containmentForScreen$",	//368
    "containmentType",	//369
    "containments",	//370
    "contains",	//371
    "contains#",	//372
    "containsMultipleImages",	//373
    "contentsPrefix",	//374
    "contextMenuEvent",	//375
    "contextMenuEvent#",	//376
    "contextualActions",	//377
    "corona",	//378
    "createConfigurationInterface",	//379
    "createConfigurationInterface#",	//380
    "createEditor",	//381
    "createEditor###",	//382
    "createPackage",	//383
    "createPackage#$$",	//384
    "createPackage#$$$",	//385
    "createRunOptions",	//386
    "createRunOptions#",	//387
    "currentPixmap",	//388
    "currentPixmap$",	//389
    "currentThemeHasImage",	//390
    "currentThemeHasImage$",	//391
    "customAnimation",	//392
    "customAnimation$$$#$",	//393
    "customAnimationFinished",	//394
    "customAnimationFinished$",	//395
    "customEvent",	//396
    "customEvent#",	//397
    "darkColor",	//398
    "data",	//399
    "dataEngine",	//400
    "dataEngine$",	//401
    "dataUpdated",	//402
    "dataUpdated$?",	//403
    "defaultTheme",	//404
    "deleteTexture",	//405
    "deleteTexture$",	//406
    "description",	//407
    "desktop",	//408
    "destroy",	//409
    "destroyApplets",	//410
    "destroyApplets$",	//411
    "devType",	//412
    "directories",	//413
    "disconnectNotify",	//414
    "disconnectNotify$",	//415
    "disconnectSource",	//416
    "disconnectSource$#",	//417
    "disconnectVisualization",	//418
    "disconnectVisualization#",	//419
    "done",	//420
    "done$",	//421
    "doubleClicked",	//422
    "downloadWidgets",	//423
    "dragEnterEvent",	//424
    "dragEnterEvent#",	//425
    "dragLeaveEvent",	//426
    "dragLeaveEvent#",	//427
    "dragMoveEvent",	//428
    "dragMoveEvent#",	//429
    "drawActionButtonBase",	//430
    "drawActionButtonBase##$",	//431
    "drawAxisText",	//432
    "drawAxisText#$$",	//433
    "drawBackground",	//434
    "drawBackground##",	//435
    "drawBackground#$$",	//436
    "drawForeground",	//437
    "drawForeground##",	//438
    "drawHorizontalLines",	//439
    "drawHorizontalLines#$$$",	//440
    "drawItems",	//441
    "drawItems#$?#",	//442
    "drawItems#$?##",	//443
    "drawPlots",	//444
    "drawPlots#$$$$",	//445
    "drawThinFrame",	//446
    "drawThinFrame#$$",	//447
    "drawTopBarContents",	//448
    "drawTopBarContents#$$$",	//449
    "drawTopBarFrame",	//450
    "drawTopBarFrame#$$",	//451
    "drawVerticalLines",	//452
    "drawVerticalLines#$$$",	//453
    "drawWidget",	//454
    "drawWidget#$$$",	//455
    "dropEvent",	//456
    "dropEvent#",	//457
    "editingFinished",	//458
    "editorEvent",	//459
    "editorEvent####",	//460
    "effectiveDesktop",	//461
    "effectiveScreenPos",	//462
    "elementAnimationCurve",	//463
    "elementAnimationCurve$",	//464
    "elementAnimationDuration",	//465
    "elementAnimationDuration$",	//466
    "elementAnimationFinished",	//467
    "elementAnimationFinished$",	//468
    "elementAnimationFps",	//469
    "elementAnimationFps$",	//470
    "elementAppear",	//471
    "elementAppear$#",	//472
    "elementAtPoint",	//473
    "elementAtPoint#",	//474
    "elementDisappear",	//475
    "elementDisappear$#",	//476
    "elementRect",	//477
    "elementRect$",	//478
    "elementSize",	//479
    "elementSize$",	//480
    "email",	//481
    "emptyRect",	//482
    "emptyRect##",	//483
    "enableAction",	//484
    "enableAction$$",	//485
    "enabledBorders",	//486
    "enabledChange",	//487
    "enabledChange$",	//488
    "engine",	//489
    "engine$",	//490
    "enterEvent",	//491
    "enterEvent#",	//492
    "entryList",	//493
    "entryList$",	//494
    "event",	//495
    "event#",	//496
    "eventFilter",	//497
    "eventFilter##",	//498
    "execQuery",	//499
    "execQuery$",	//500
    "execQuery$$",	//501
    "extension",	//502
    "extension#",	//503
    "fadeIn",	//504
    "fadeOut",	//505
    "filePath",	//506
    "filePath$",	//507
    "filePath$$",	//508
    "files",	//509
    "findItem",	//510
    "findItem$$",	//511
    "flash",	//512
    "flash#",	//513
    "flash#$",	//514
    "flash#$$",	//515
    "flash$",	//516
    "flash$$",	//517
    "flash$$#",	//518
    "flushPendingConstraintsEvents",	//519
    "focusInEvent",	//520
    "focusInEvent#",	//521
    "focusNextApplet",	//522
    "focusNextPrevChild",	//523
    "focusNextPrevChild$",	//524
    "focusOutEvent",	//525
    "focusOutEvent#",	//526
    "focusPreviousApplet",	//527
    "focusRequested",	//528
    "focusRequested#",	//529
    "font",	//530
    "font$",	//531
    "fontChange",	//532
    "fontChange#",	//533
    "fontColor",	//534
    "fontMetrics",	//535
    "formFactor",	//536
    "geometry",	//537
    "geometryChanged",	//538
    "getContentsMargins",	//539
    "getContentsMargins$$$$",	//540
    "getMargins",	//541
    "getMargins$$$$",	//542
    "getSnapshotImage",	//543
    "getSnapshotImage$$",	//544
    "globalConfig",	//545
    "globalShortcut",	//546
    "grabKeyboardEvent",	//547
    "grabKeyboardEvent#",	//548
    "grabMouseEvent",	//549
    "grabMouseEvent#",	//550
    "hasConfigurationInterface",	//551
    "hasElement",	//552
    "hasElement$",	//553
    "hasElementPrefix",	//554
    "hasElementPrefix$",	//555
    "hasFailedToLaunch",	//556
    "hasRunOptions",	//557
    "heightForWidth",	//558
    "heightForWidth$",	//559
    "helpEvent",	//560
    "helpEvent#",	//561
    "hideEvent",	//562
    "hideEvent#",	//563
    "horizontalLinesColor",	//564
    "horizontalLinesCount",	//565
    "horizontalScale",	//566
    "hoverEnterEvent",	//567
    "hoverEnterEvent#",	//568
    "hoverLeaveEvent",	//569
    "hoverLeaveEvent#",	//570
    "hoverMoveEvent",	//571
    "hoverMoveEvent#",	//572
    "icon",	//573
    "iconSize",	//574
    "id",	//575
    "ignoredTypes",	//576
    "image",	//577
    "imagePath",	//578
    "imagePath$",	//579
    "immutability",	//580
    "implementationApi",	//581
    "infoText",	//582
    "init",	//583
    "initStyleOption",	//584
    "initStyleOption#",	//585
    "initializeLayout",	//586
    "initializeLayout$",	//587
    "inputMethodEvent",	//588
    "inputMethodEvent#",	//589
    "inputMethodQuery",	//590
    "inputMethodQuery$",	//591
    "installPackage",	//592
    "installPackage$$",	//593
    "invertLayout",	//594
    "invertLayout$",	//595
    "invertedLayout",	//596
    "isAnimating",	//597
    "isChecked",	//598
    "isContainment",	//599
    "isDown",	//600
    "isEmpty",	//601
    "isEnabled",	//602
    "isObscuredBy",	//603
    "isObscuredBy#",	//604
    "isRegisteredAsDragHandle",	//605
    "isRegisteredAsDragHandle#",	//606
    "isRequired",	//607
    "isRequired$",	//608
    "isValid",	//609
    "isWallpaperEnabled",	//610
    "itemActivated",	//611
    "itemActivated$#",	//612
    "itemAppear",	//613
    "itemAppear$#",	//614
    "itemChange",	//615
    "itemChange$#",	//616
    "itemDisappear",	//617
    "itemDisappear$#",	//618
    "itemSlideIn",	//619
    "itemSlideIn$###",	//620
    "itemSlideOut",	//621
    "itemSlideOut$###",	//622
    "keyPressEvent",	//623
    "keyPressEvent#",	//624
    "keyReleaseEvent",	//625
    "keyReleaseEvent#",	//626
    "kill",	//627
    "knownLanguages",	//628
    "knownLanguages$",	//629
    "label",	//630
    "label$",	//631
    "labelAlignment",	//632
    "labelAlignment$",	//633
    "labelColor",	//634
    "labelColor$",	//635
    "labelFont",	//636
    "labelFont$",	//637
    "languageChange",	//638
    "lastValue",	//639
    "lastValue$",	//640
    "lastValueAsString",	//641
    "lastValueAsString$",	//642
    "launchQuery",	//643
    "launchQuery$",	//644
    "launchQuery$$",	//645
    "leaveEvent",	//646
    "leaveEvent#",	//647
    "license",	//648
    "listAllEngines",	//649
    "listAppletInfo",	//650
    "listAppletInfo$",	//651
    "listAppletInfo$$",	//652
    "listAppletInfoForMimetype",	//653
    "listAppletInfoForMimetype$",	//654
    "listCategories",	//655
    "listCategories$",	//656
    "listCategories$$",	//657
    "listContainments",	//658
    "listContainments$",	//659
    "listContainments$$",	//660
    "listContainmentsForMimetype",	//661
    "listContainmentsForMimetype$",	//662
    "listInstalled",	//663
    "listInstalled$",	//664
    "load",	//665
    "load#",	//666
    "load#$",	//667
    "load#$?",	//668
    "load$",	//669
    "load$$",	//670
    "load$$?",	//671
    "loadDefaultLayout",	//672
    "loadEngine",	//673
    "loadEngine$",	//674
    "loadFinished",	//675
    "loadFinished$",	//676
    "loadLayout",	//677
    "loadLayout$",	//678
    "loadProgress",	//679
    "loadProgress$",	//680
    "loadScriptEngine",	//681
    "loadScriptEngine$#",	//682
    "location",	//683
    "locationToDirection",	//684
    "locationToDirection$",	//685
    "lower",	//686
    "mainFrame",	//687
    "mainScript",	//688
    "makeCurrent",	//689
    "mapFromView",	//690
    "mapFromView##",	//691
    "mapToView",	//692
    "mapToView##",	//693
    "marginSize",	//694
    "marginSize$",	//695
    "mask",	//696
    "match",	//697
    "match#",	//698
    "match$",	//699
    "matches",	//700
    "matchesChanged",	//701
    "matchesChanged?",	//702
    "maxSourceCount",	//703
    "maximum",	//704
    "metaObject",	//705
    "metadata",	//706
    "meterType",	//707
    "metric",	//708
    "metric$",	//709
    "mimeType",	//710
    "mimetypes",	//711
    "mimetypes$",	//712
    "minimum",	//713
    "minimumPollingInterval",	//714
    "minimumSizeHint",	//715
    "mouseDoubleClickEvent",	//716
    "mouseDoubleClickEvent#",	//717
    "mouseMoveEvent",	//718
    "mouseMoveEvent#",	//719
    "mousePressEvent",	//720
    "mousePressEvent#",	//721
    "mouseReleaseEvent",	//722
    "mouseReleaseEvent#",	//723
    "moveEvent",	//724
    "moveEvent#",	//725
    "moveItem",	//726
    "moveItem#$#",	//727
    "movementAnimationCurve",	//728
    "movementAnimationCurve$",	//729
    "movementAnimationDuration",	//730
    "movementAnimationDuration$",	//731
    "movementAnimationFps",	//732
    "movementAnimationFps$",	//733
    "movementFinished",	//734
    "movementFinished#",	//735
    "name",	//736
    "name$",	//737
    "nativeWidget",	//738
    "numDisplayLines",	//739
    "opaqueArea",	//740
    "openToolBox",	//741
    "openWidgetFile",	//742
    "operator<",	//743
    "operator<#",	//744
    "operator=",	//745
    "operator=#",	//746
    "package",	//747
    "packageStructure",	//748
    "packageStructure$$",	//749
    "page",	//750
    "paint",	//751
    "paint##",	//752
    "paint###",	//753
    "paint##$",	//754
    "paint#$$",	//755
    "paint#$$$",	//756
    "paintEngine",	//757
    "paintEvent",	//758
    "paintEvent#",	//759
    "paintGLInterface",	//760
    "paintGLInterface##",	//761
    "paintInterface",	//762
    "paintInterface###",	//763
    "paintPanel",	//764
    "paintPanel##",	//765
    "paintPanel###",	//766
    "paintWindowFrame",	//767
    "paintWindowFrame##",	//768
    "paintWindowFrame###",	//769
    "paletteChange",	//770
    "paletteChange#",	//771
    "panelSize",	//772
    "path",	//773
    "path$",	//774
    "pathChanged",	//775
    "performMatch",	//776
    "performMatch#",	//777
    "plotColors",	//778
    "pluginName",	//779
    "polishEvent",	//780
    "popupPosition",	//781
    "popupPosition#",	//782
    "popupPosition##",	//783
    "position",	//784
    "position###",	//785
    "prefix",	//786
    "pressed",	//787
    "pressed$",	//788
    "priority",	//789
    "propertyChange",	//790
    "propertyChange$#",	//791
    "qt_metacall",	//792
    "qt_metacall$$?",	//793
    "query",	//794
    "query$",	//795
    "raise",	//796
    "read",	//797
    "read#",	//798
    "read$",	//799
    "readConfig",	//800
    "rectAfterSubTitle",	//801
    "rectAfterSubTitle##",	//802
    "rectAfterTitle",	//803
    "rectAfterTitle##",	//804
    "registerAsDragHandle",	//805
    "registerAsDragHandle#",	//806
    "registerPackage",	//807
    "registerPackage#$",	//808
    "reject",	//809
    "releaseVisualFocus",	//810
    "relevance",	//811
    "reloadConfiguration",	//812
    "removeAllData",	//813
    "removeAllData$",	//814
    "removeAllSources",	//815
    "removeAssociatedWidget",	//816
    "removeAssociatedWidget#",	//817
    "removeData",	//818
    "removeData$$",	//819
    "removePlot",	//820
    "removePlot$",	//821
    "removeSource",	//822
    "removeSource$",	//823
    "removeToolBoxTool",	//824
    "removeToolBoxTool#",	//825
    "renderPixmap",	//826
    "reorderPlots",	//827
    "reorderPlots?",	//828
    "repaintNeeded",	//829
    "requestConfigSync",	//830
    "requiredDirectories",	//831
    "requiredFiles",	//832
    "requiredVersion",	//833
    "reset",	//834
    "resize",	//835
    "resize#",	//836
    "resize$$",	//837
    "resizeEvent",	//838
    "resizeEvent#",	//839
    "resizePanel",	//840
    "resizePanel#",	//841
    "restore",	//842
    "restore#",	//843
    "restoreContents",	//844
    "restoreContents#",	//845
    "returnPressed",	//846
    "roleMapping",	//847
    "roleMapping$",	//848
    "run",	//849
    "run#",	//850
    "run##",	//851
    "run$",	//852
    "runner",	//853
    "runner$",	//854
    "save",	//855
    "save#",	//856
    "saveContents",	//857
    "saveContents#",	//858
    "saveLayout",	//859
    "saveLayout$",	//860
    "saveState",	//861
    "saveState#",	//862
    "scale",	//863
    "scale$",	//864
    "scaledBy",	//865
    "scalingFactor",	//866
    "scalingFactor$",	//867
    "sceneEvent",	//868
    "sceneEvent#",	//869
    "sceneEventFilter",	//870
    "sceneEventFilter##",	//871
    "sceneRectAboutToChange",	//872
    "sceneRectChanged",	//873
    "scheduleSourcesUpdated",	//874
    "screen",	//875
    "screenChanged",	//876
    "screenChanged$$#",	//877
    "screenOwnerChanged",	//878
    "screenOwnerChanged$$#",	//879
    "screenRect",	//880
    "scrollContentsBy",	//881
    "scrollContentsBy$$",	//882
    "searchContext",	//883
    "self",	//884
    "serviceForSource",	//885
    "serviceForSource$",	//886
    "serviceQuery",	//887
    "serviceQuery$",	//888
    "serviceQuery$$",	//889
    "serviceType",	//890
    "setAction",	//891
    "setAction#",	//892
    "setApplet",	//893
    "setApplet#",	//894
    "setAppletMimeType",	//895
    "setAppletMimeType$",	//896
    "setApplication",	//897
    "setApplication$",	//898
    "setAspectRatioMode",	//899
    "setAspectRatioMode$",	//900
    "setAuthor",	//901
    "setAuthor$",	//902
    "setBackgroundColor",	//903
    "setBackgroundColor#",	//904
    "setBackgroundHints",	//905
    "setBackgroundHints$",	//906
    "setCacheAllRenderedPanels",	//907
    "setCacheAllRenderedPanels$",	//908
    "setCaption",	//909
    "setCaption$",	//910
    "setCaption$$",	//911
    "setCategory",	//912
    "setCategory$",	//913
    "setChecked",	//914
    "setChecked$",	//915
    "setColor",	//916
    "setColor#",	//917
    "setConfigurationRequired",	//918
    "setConfigurationRequired$",	//919
    "setConfigurationRequired$$",	//920
    "setContainment",	//921
    "setContainment#",	//922
    "setContainmentType",	//923
    "setContainmentType$",	//924
    "setContainsMultipleImages",	//925
    "setContainsMultipleImages$",	//926
    "setContentsPrefix",	//927
    "setContentsPrefix$",	//928
    "setDarkColor",	//929
    "setDarkColor#",	//930
    "setData",	//931
    "setData#",	//932
    "setData$#",	//933
    "setData$$#",	//934
    "setData$?",	//935
    "setDataEngine",	//936
    "setDataEngine#",	//937
    "setDefaultMimetypes",	//938
    "setDefaultMimetypes?",	//939
    "setDefaults",	//940
    "setDescription",	//941
    "setDescription$",	//942
    "setDesktop",	//943
    "setDesktop$",	//944
    "setDrawBackground",	//945
    "setDrawBackground$",	//946
    "setDuration",	//947
    "setDuration$",	//948
    "setEditorData",	//949
    "setEditorData##",	//950
    "setElementPrefix",	//951
    "setElementPrefix$",	//952
    "setEmail",	//953
    "setEmail$",	//954
    "setEnabled",	//955
    "setEnabled$",	//956
    "setEnabledBorders",	//957
    "setEnabledBorders$",	//958
    "setExtension",	//959
    "setExtension$#",	//960
    "setFailedToLaunch",	//961
    "setFailedToLaunch$",	//962
    "setFailedToLaunch$$",	//963
    "setFont",	//964
    "setFont#",	//965
    "setFont#$",	//966
    "setFontColor",	//967
    "setFontColor#",	//968
    "setFormFactor",	//969
    "setFormFactor$",	//970
    "setGeometry",	//971
    "setGeometry#",	//972
    "setGlobalShortcut",	//973
    "setGlobalShortcut#",	//974
    "setHasConfigurationInterface",	//975
    "setHasConfigurationInterface$",	//976
    "setHasRunOptions",	//977
    "setHasRunOptions$",	//978
    "setHorizontalLinesColor",	//979
    "setHorizontalLinesColor#",	//980
    "setHorizontalLinesCount",	//981
    "setHorizontalLinesCount$",	//982
    "setHorizontalScale",	//983
    "setHorizontalScale$",	//984
    "setHtml",	//985
    "setHtml#",	//986
    "setHtml##",	//987
    "setHtml$",	//988
    "setHtml$#",	//989
    "setIcon",	//990
    "setIcon#",	//991
    "setIcon$",	//992
    "setId",	//993
    "setId$",	//994
    "setIgnoredTypes",	//995
    "setIgnoredTypes$",	//996
    "setImage",	//997
    "setImage$",	//998
    "setImagePath",	//999
    "setImagePath$",	//1000
    "setImmutability",	//1001
    "setImmutability$",	//1002
    "setImplementationApi",	//1003
    "setImplementationApi$",	//1004
    "setInfoText",	//1005
    "setInfoText$",	//1006
    "setInitialPixmap",	//1007
    "setInitialPixmap$#",	//1008
    "setIsContainment",	//1009
    "setIsContainment$",	//1010
    "setLabel",	//1011
    "setLabel$$",	//1012
    "setLabelAlignment",	//1013
    "setLabelAlignment$$",	//1014
    "setLabelColor",	//1015
    "setLabelColor$#",	//1016
    "setLabelFont",	//1017
    "setLabelFont$#",	//1018
    "setLicense",	//1019
    "setLicense$",	//1020
    "setLocation",	//1021
    "setLocation$",	//1022
    "setMaxSourceCount",	//1023
    "setMaxSourceCount$",	//1024
    "setMaximum",	//1025
    "setMaximum$",	//1026
    "setMeterType",	//1027
    "setMeterType$",	//1028
    "setMimetypes",	//1029
    "setMimetypes$?",	//1030
    "setMinimum",	//1031
    "setMinimum$",	//1032
    "setMinimumPollingInterval",	//1033
    "setMinimumPollingInterval$",	//1034
    "setModelData",	//1035
    "setModelData###",	//1036
    "setName",	//1037
    "setName$",	//1038
    "setNeedsUpdate",	//1039
    "setNeedsUpdate$",	//1040
    "setNumDisplayLines",	//1041
    "setNumDisplayLines$",	//1042
    "setOrientation",	//1043
    "setOrientation$",	//1044
    "setPage",	//1045
    "setPage#",	//1046
    "setPath",	//1047
    "setPath$",	//1048
    "setPlainCaption",	//1049
    "setPlainCaption$",	//1050
    "setPluginName",	//1051
    "setPluginName$",	//1052
    "setPollingInterval",	//1053
    "setPollingInterval$",	//1054
    "setPressed",	//1055
    "setPressed$",	//1056
    "setPriority",	//1057
    "setPriority$",	//1058
    "setQuery",	//1059
    "setQuery$",	//1060
    "setRelevance",	//1061
    "setRelevance$",	//1062
    "setRequired",	//1063
    "setRequired$$",	//1064
    "setRequiredVersion",	//1065
    "setRequiredVersion$",	//1066
    "setRoleMapping",	//1067
    "setRoleMapping$$",	//1068
    "setRunner",	//1069
    "setRunner#",	//1070
    "setScreen",	//1071
    "setScreen$",	//1072
    "setServiceType",	//1073
    "setServiceType$",	//1074
    "setShowHorizontalLines",	//1075
    "setShowHorizontalLines$",	//1076
    "setShowLabels",	//1077
    "setShowLabels$",	//1078
    "setShowTopBar",	//1079
    "setShowTopBar$",	//1080
    "setShowVerticalLines",	//1081
    "setShowVerticalLines$",	//1082
    "setSpeed",	//1083
    "setSpeed$",	//1084
    "setStackPlots",	//1085
    "setStackPlots$",	//1086
    "setStyleSheet",	//1087
    "setStyleSheet$",	//1088
    "setSubtext",	//1089
    "setSubtext$",	//1090
    "setSvg",	//1091
    "setSvg$",	//1092
    "setSvg$$",	//1093
    "setSvgBackground",	//1094
    "setSvgBackground$",	//1095
    "setText",	//1096
    "setText$",	//1097
    "setThemeName",	//1098
    "setThemeName$",	//1099
    "setThinFrame",	//1100
    "setThinFrame$",	//1101
    "setTitle",	//1102
    "setTitle$",	//1103
    "setToolBoxOpen",	//1104
    "setToolBoxOpen$",	//1105
    "setTrackContainmentChanges",	//1106
    "setTrackContainmentChanges$",	//1107
    "setType",	//1108
    "setType$",	//1109
    "setUnit",	//1110
    "setUnit$",	//1111
    "setUnpressed",	//1112
    "setUrl",	//1113
    "setUrl#",	//1114
    "setUseAutoRange",	//1115
    "setUseAutoRange$",	//1116
    "setUseGlobalSettings",	//1117
    "setUseGlobalSettings$",	//1118
    "setValid",	//1119
    "setValid$",	//1120
    "setValue",	//1121
    "setValue$",	//1122
    "setVersion",	//1123
    "setVersion$",	//1124
    "setVerticalLinesColor",	//1125
    "setVerticalLinesColor#",	//1126
    "setVerticalLinesDistance",	//1127
    "setVerticalLinesDistance$",	//1128
    "setVerticalLinesScroll",	//1129
    "setVerticalLinesScroll$",	//1130
    "setVerticalRange",	//1131
    "setVerticalRange$$",	//1132
    "setVisible",	//1133
    "setVisible$",	//1134
    "setWallpaperEnabled",	//1135
    "setWallpaperEnabled$",	//1136
    "setWebsite",	//1137
    "setWebsite$",	//1138
    "settingsChanged",	//1139
    "shape",	//1140
    "shouldConserveResources",	//1141
    "showAddWidgetsInterface",	//1142
    "showAddWidgetsInterface#",	//1143
    "showConfigurationInterface",	//1144
    "showEvent",	//1145
    "showEvent#",	//1146
    "showHorizontalLines",	//1147
    "showLabels",	//1148
    "showTopBar",	//1149
    "showVerticalLines",	//1150
    "size",	//1151
    "sizeFromIconSize",	//1152
    "sizeFromIconSize$",	//1153
    "sizeHint",	//1154
    "sizeHint##",	//1155
    "sizeHint$",	//1156
    "sizeHint$#",	//1157
    "slotButtonClicked",	//1158
    "slotButtonClicked$",	//1159
    "sourceAdded",	//1160
    "sourceAdded$",	//1161
    "sourceRemoved",	//1162
    "sourceRemoved$",	//1163
    "sourceRequestEvent",	//1164
    "sourceRequestEvent$",	//1165
    "sources",	//1166
    "speed",	//1167
    "stackPlots",	//1168
    "stopCustomAnimation",	//1169
    "stopCustomAnimation$",	//1170
    "stopElementAnimation",	//1171
    "stopElementAnimation$",	//1172
    "stopItemAnimation",	//1173
    "stopItemAnimation$",	//1174
    "stopItemMovement",	//1175
    "stopItemMovement$",	//1176
    "structure",	//1177
    "styleChange",	//1178
    "styleChange#",	//1179
    "styleSheet",	//1180
    "subtext",	//1181
    "supportsExtension",	//1182
    "supportsExtension$",	//1183
    "svg",	//1184
    "svgBackground",	//1185
    "tabletEvent",	//1186
    "tabletEvent#",	//1187
    "text",	//1188
    "textChanged",	//1189
    "textEdited",	//1190
    "textEdited$",	//1191
    "themeChanged",	//1192
    "themeName",	//1193
    "timeSinceLastUpdate",	//1194
    "timerEvent",	//1195
    "timerEvent#",	//1196
    "title",	//1197
    "toggled",	//1198
    "toggled$",	//1199
    "toolBoxToggled",	//1200
    "topLevelViewAt",	//1201
    "topLevelViewAt#",	//1202
    "trackContainmentChanges",	//1203
    "type",	//1204
    "ungrabKeyboardEvent",	//1205
    "ungrabKeyboardEvent#",	//1206
    "ungrabMouseEvent",	//1207
    "ungrabMouseEvent#",	//1208
    "uninstallPackage",	//1209
    "uninstallPackage$$",	//1210
    "unit",	//1211
    "unloadEngine",	//1212
    "unloadEngine$",	//1213
    "unregisterAsDragHandle",	//1214
    "unregisterAsDragHandle#",	//1215
    "updateConstraints",	//1216
    "updateConstraints$",	//1217
    "updateDataBuffers",	//1218
    "updateEditorGeometry",	//1219
    "updateEditorGeometry###",	//1220
    "updateGeometry",	//1221
    "updateRequested",	//1222
    "updateRequested#",	//1223
    "updateSourceEvent",	//1224
    "updateSourceEvent$",	//1225
    "useAutoRange",	//1226
    "useDefaults",	//1227
    "useDefaults$",	//1228
    "useGlobalSettings",	//1229
    "usrReadConfig",	//1230
    "usrSetDefaults",	//1231
    "usrUseDefaults",	//1232
    "usrUseDefaults$",	//1233
    "usrWriteConfig",	//1234
    "value",	//1235
    "version",	//1236
    "verticalLinesColor",	//1237
    "verticalLinesDistance",	//1238
    "verticalLinesScroll",	//1239
    "verticalMaxValue",	//1240
    "verticalMinValue",	//1241
    "view",	//1242
    "viewFor",	//1243
    "viewFor#",	//1244
    "viewportEvent",	//1245
    "viewportEvent#",	//1246
    "visualizationIsConnected",	//1247
    "visualizationIsConnected#",	//1248
    "wallpaperPath",	//1249
    "wallpaperPath#",	//1250
    "website",	//1251
    "wheelEvent",	//1252
    "wheelEvent#",	//1253
    "windowActivationChange",	//1254
    "windowActivationChange$",	//1255
    "windowFrameEvent",	//1256
    "windowFrameEvent#",	//1257
    "windowFrameSectionAt",	//1258
    "windowFrameSectionAt#",	//1259
    "windowTranslucencyEnabled",	//1260
    "write",	//1261
    "write#",	//1262
    "write$",	//1263
    "writeConfig",	//1264
    "zoomRequested",	//1265
    "zoomRequested#$",	//1266
    "~AbstractRunner",	//1267
    "~AnimationDriver",	//1268
    "~Applet",	//1269
    "~AppletBrowser",	//1270
    "~AppletBrowserWidget",	//1271
    "~AppletScript",	//1272
    "~CheckBox",	//1273
    "~ComboBox",	//1274
    "~ConfigXml",	//1275
    "~Containment",	//1276
    "~Corona",	//1277
    "~DataContainer",	//1278
    "~DataEngine",	//1279
    "~DataEngineScript",	//1280
    "~Delegate",	//1281
    "~Dialog",	//1282
    "~Flash",	//1283
    "~GLApplet",	//1284
    "~GroupBox",	//1285
    "~Icon",	//1286
    "~Label",	//1287
    "~LineEdit",	//1288
    "~Meter",	//1289
    "~Package",	//1290
    "~PackageMetadata",	//1291
    "~PackageStructure",	//1292
    "~PanelSvg",	//1293
    "~PlotColor",	//1294
    "~PushButton",	//1295
    "~QueryMatch",	//1296
    "~RadioButton",	//1297
    "~RunnerContext",	//1298
    "~RunnerManager",	//1299
    "~RunnerScript",	//1300
    "~ScriptEngine",	//1301
    "~SignalPlotter",	//1302
    "~Svg",	//1303
    "~TextEdit",	//1304
    "~Theme",	//1305
    "~View",	//1306
    "~WebContent",	//1307
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method plasma_methods[] = {
	{5, 705, 0, 0, Smoke::mf_const, 598, 1},	//0 KConfigSkeleton::metaObject() const
	{5, 792, 174, 3, 0, 630, 2},	//1 KConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
	{7, 705, 0, 0, Smoke::mf_const, 598, 1},	//2 KCoreConfigSkeleton::metaObject() const
	{7, 792, 174, 3, 0, 630, 2},	//3 KCoreConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
	{7, 940, 0, 0, 0, 0, 8},	//4 KCoreConfigSkeleton::setDefaults()
	{7, 800, 0, 0, 0, 0, 9},	//5 KCoreConfigSkeleton::readConfig()
	{7, 1264, 0, 0, 0, 0, 10},	//6 KCoreConfigSkeleton::writeConfig()
	{7, 1227, 330, 1, 0, 561, 68},	//7 KCoreConfigSkeleton::useDefaults(bool)
	{7, 1232, 330, 1, Smoke::mf_protected, 561, 70},	//8 KCoreConfigSkeleton::usrUseDefaults(bool)
	{7, 1231, 0, 0, Smoke::mf_protected, 0, 71},	//9 KCoreConfigSkeleton::usrSetDefaults()
	{7, 1230, 0, 0, Smoke::mf_protected, 0, 72},	//10 KCoreConfigSkeleton::usrReadConfig()
	{7, 1234, 0, 0, Smoke::mf_protected, 0, 73},	//11 KCoreConfigSkeleton::usrWriteConfig()
	{8, 705, 0, 0, Smoke::mf_const, 598, 23},	//12 KDialog::metaObject() const
	{8, 792, 174, 3, 0, 630, 24},	//13 KDialog::qt_metacall(QMetaObject::Call, int, void**)
	{8, 1154, 0, 0, Smoke::mf_const, 383, 57},	//14 KDialog::sizeHint() const
	{8, 715, 0, 0, Smoke::mf_const, 383, 58},	//15 KDialog::minimumSizeHint() const
	{8, 909, 460, 1, 0, 0, 59},	//16 KDialog::setCaption(const QString&)
	{8, 909, 496, 2, 0, 0, 60},	//17 KDialog::setCaption(const QString&, bool)
	{8, 1049, 460, 1, 0, 0, 61},	//18 KDialog::setPlainCaption(const QString&)
	{8, 562, 168, 1, Smoke::mf_protected, 0, 103},	//19 KDialog::hideEvent(QHideEvent*)
	{8, 329, 83, 1, Smoke::mf_protected, 0, 104},	//20 KDialog::closeEvent(QCloseEvent*)
	{8, 623, 172, 1, Smoke::mf_protected, 0, 105},	//21 KDialog::keyPressEvent(QKeyEvent*)
	{8, 1158, 576, 1, Smoke::mf_protected, 0, 106},	//22 KDialog::slotButtonClicked(int)
	{14, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 1},	//23 Plasma::NoConstraint (enum)
	{14, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 2},	//24 Plasma::FormFactorConstraint (enum)
	{14, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 3},	//25 Plasma::LocationConstraint (enum)
	{14, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 4},	//26 Plasma::ScreenConstraint (enum)
	{14, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 5},	//27 Plasma::SizeConstraint (enum)
	{14, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 6},	//28 Plasma::ImmutableConstraint (enum)
	{14, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 7},	//29 Plasma::StartupCompletedConstraint (enum)
	{14, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 8},	//30 Plasma::AllConstraints (enum)
	{14, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 9},	//31 Plasma::Planar (enum)
	{14, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 10},	//32 Plasma::MediaCenter (enum)
	{14, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 11},	//33 Plasma::Horizontal (enum)
	{14, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 12},	//34 Plasma::Vertical (enum)
	{14, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 13},	//35 Plasma::Down (enum)
	{14, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 14},	//36 Plasma::Up (enum)
	{14, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 15},	//37 Plasma::Left (enum)
	{14, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 16},	//38 Plasma::Right (enum)
	{14, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 17},	//39 Plasma::ZoomIn (enum)
	{14, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 18},	//40 Plasma::ZoomOut (enum)
	{14, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 19},	//41 Plasma::Floating (enum)
	{14, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 20},	//42 Plasma::Desktop (enum)
	{14, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 21},	//43 Plasma::FullScreen (enum)
	{14, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 22},	//44 Plasma::TopEdge (enum)
	{14, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 23},	//45 Plasma::BottomEdge (enum)
	{14, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 24},	//46 Plasma::LeftEdge (enum)
	{14, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 25},	//47 Plasma::RightEdge (enum)
	{14, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 26},	//48 Plasma::LeftPositioned (enum)
	{14, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 27},	//49 Plasma::RightPositioned (enum)
	{14, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 28},	//50 Plasma::TopPositioned (enum)
	{14, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 29},	//51 Plasma::BottomPositioned (enum)
	{14, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 30},	//52 Plasma::CenterPositioned (enum)
	{14, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 31},	//53 Plasma::NoFlip (enum)
	{14, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 32},	//54 Plasma::HorizontalFlip (enum)
	{14, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 33},	//55 Plasma::VerticalFlip (enum)
	{14, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 34},	//56 Plasma::DesktopZoom (enum)
	{14, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 35},	//57 Plasma::GroupZoom (enum)
	{14, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 36},	//58 Plasma::OverviewZoom (enum)
	{14, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 37},	//59 Plasma::NoAlignment (enum)
	{14, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 38},	//60 Plasma::AlignToMinute (enum)
	{14, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 39},	//61 Plasma::AlignToHour (enum)
	{14, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 40},	//62 Plasma::AppletType (enum)
	{14, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 41},	//63 Plasma::LineEditType (enum)
	{14, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 42},	//64 Plasma::Mutable (enum)
	{14, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 43},	//65 Plasma::UserImmutable (enum)
	{14, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 44},	//66 Plasma::SystemImmutable (enum)
	{14, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 45},	//67 Plasma::IgnoreAspectRatio (enum)
	{14, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 46},	//68 Plasma::KeepAspectRatio (enum)
	{14, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 47},	//69 Plasma::Square (enum)
	{14, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 48},	//70 Plasma::ConstrainedSquare (enum)
	{14, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 49},	//71 Plasma::AppletComponent (enum)
	{14, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 50},	//72 Plasma::DataEngineComponent (enum)
	{14, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 51},	//73 Plasma::RunnerComponent (enum)
	{14, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 52},	//74 Plasma::AnimatorComponent (enum)
	{14, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 53},	//75 Plasma::ContainmentComponent (enum)
	{14, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 54},	//76 Plasma::TopMargin (enum)
	{14, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 55},	//77 Plasma::BottomMargin (enum)
	{14, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 56},	//78 Plasma::LeftMargin (enum)
	{14, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 57},	//79 Plasma::RightMargin (enum)
	{14, 866, 73, 1, Smoke::mf_static, 632, 58},	//80 Plasma::scalingFactor(Plasma::ZoomLevel)
	{14, 684, 54, 1, Smoke::mf_static, 141, 59},	//81 Plasma::locationToDirection(Plasma::Location)
	{14, 781, 405, 2, Smoke::mf_static, 375, 60},	//82 Plasma::popupPosition(const QGraphicsItem*, const QSize&)
	{14, 1243, 400, 1, Smoke::mf_static, 288, 61},	//83 Plasma::viewFor(const QGraphicsItem*)
	{14, 628, 22, 1, Smoke::mf_static, 394, 62},	//84 Plasma::knownLanguages(Plasma::ComponentTypes)
	{14, 681, 465, 2, Smoke::mf_static, 118, 63},	//85 Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
	{14, 681, 471, 2, Smoke::mf_static, 136, 64},	//86 Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
	{14, 681, 462, 2, Smoke::mf_static, 181, 65},	//87 Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
	{14, 748, 468, 2, Smoke::mf_static, 81, 66},	//88 Plasma::packageStructure(const QString&, Plasma::ComponentType)
	{15, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 1},	//89 Plasma::AbstractRunner::SlowSpeed (enum)
	{15, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 2},	//90 Plasma::AbstractRunner::NormalSpeed (enum)
	{15, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 3},	//91 Plasma::AbstractRunner::LowestPriority (enum)
	{15, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 4},	//92 Plasma::AbstractRunner::LowPriority (enum)
	{15, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 5},	//93 Plasma::AbstractRunner::NormalPriority (enum)
	{15, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 6},	//94 Plasma::AbstractRunner::HighPriority (enum)
	{15, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 7},	//95 Plasma::AbstractRunner::HighestPriority (enum)
	{15, 705, 0, 0, Smoke::mf_const, 598, 8},	//96 Plasma::AbstractRunner::metaObject() const
	{15, 792, 174, 3, 0, 630, 9},	//97 Plasma::AbstractRunner::qt_metacall(QMetaObject::Call, int, void**)
	{15, 1267, 0, 0, Smoke::mf_dtor, 0, 36},	//98 Plasma::AbstractRunner::~AbstractRunner()
	{15, 697, 62, 1, 0, 0, 10},	//99 Plasma::AbstractRunner::match(Plasma::RunnerContext&)
	{15, 776, 62, 1, 0, 0, 11},	//100 Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&)
	{15, 557, 0, 0, 0, 561, 12},	//101 Plasma::AbstractRunner::hasRunOptions()
	{15, 386, 305, 1, 0, 0, 13},	//102 Plasma::AbstractRunner::createRunOptions(QWidget*)
	{15, 849, 385, 2, 0, 0, 14},	//103 Plasma::AbstractRunner::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
	{15, 1167, 0, 0, Smoke::mf_const, 106, 15},	//104 Plasma::AbstractRunner::speed() const
	{15, 789, 0, 0, Smoke::mf_const, 105, 16},	//105 Plasma::AbstractRunner::priority() const
	{15, 576, 0, 0, Smoke::mf_const, 178, 17},	//106 Plasma::AbstractRunner::ignoredTypes() const
	{15, 995, 67, 1, 0, 0, 18},	//107 Plasma::AbstractRunner::setIgnoredTypes(Plasma::RunnerContext::Types)
	{15, 736, 0, 0, Smoke::mf_const, 389, 19},	//108 Plasma::AbstractRunner::name() const
	{15, 575, 0, 0, Smoke::mf_const, 389, 20},	//109 Plasma::AbstractRunner::id() const
	{15, 407, 0, 0, Smoke::mf_const, 389, 21},	//110 Plasma::AbstractRunner::description() const
	{15, 747, 0, 0, Smoke::mf_const, 572, 22},	//111 Plasma::AbstractRunner::package() const
	{15, 812, 0, 0, 0, 0, 23},	//112 Plasma::AbstractRunner::reloadConfiguration()
	{15, 1, 190, 2, Smoke::mf_ctor|Smoke::mf_protected, 104, 24},	//113 Plasma::AbstractRunner::AbstractRunner(QObject*, const QString&)
	{15, 1, 182, 1, Smoke::mf_ctor|Smoke::mf_protected, 104, 25},	//114 Plasma::AbstractRunner::AbstractRunner(QObject*)
	{15, 1, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 104, 26},	//115 Plasma::AbstractRunner::AbstractRunner()
	{15, 1, 187, 2, Smoke::mf_ctor|Smoke::mf_protected, 104, 27},	//116 Plasma::AbstractRunner::AbstractRunner(QObject*, const QList<QVariant>&)
	{15, 341, 0, 0, Smoke::mf_const|Smoke::mf_protected, 21, 28},	//117 Plasma::AbstractRunner::config() const
	{15, 977, 330, 1, Smoke::mf_protected, 0, 29},	//118 Plasma::AbstractRunner::setHasRunOptions(bool)
	{15, 1083, 5, 1, Smoke::mf_protected, 0, 30},	//119 Plasma::AbstractRunner::setSpeed(Plasma::AbstractRunner::Speed)
	{15, 1057, 3, 1, Smoke::mf_protected, 0, 31},	//120 Plasma::AbstractRunner::setPriority(Plasma::AbstractRunner::Priority)
	{15, 887, 515, 2, Smoke::mf_const|Smoke::mf_protected, 321, 32},	//121 Plasma::AbstractRunner::serviceQuery(const QString&, const QString&) const
	{15, 887, 460, 1, Smoke::mf_const|Smoke::mf_protected, 321, 33},	//122 Plasma::AbstractRunner::serviceQuery(const QString&) const
	{15, 307, 0, 0, Smoke::mf_const|Smoke::mf_protected, 347, 34},	//123 Plasma::AbstractRunner::bigLock() const
	{15, 583, 0, 0, Smoke::mf_protected, 0, 35},	//124 Plasma::AbstractRunner::init()
	{16, 705, 0, 0, Smoke::mf_const, 598, 1},	//125 Plasma::AnimationDriver::metaObject() const
	{16, 792, 174, 3, 0, 630, 2},	//126 Plasma::AnimationDriver::qt_metacall(QMetaObject::Call, int, void**)
	{16, 11, 182, 1, Smoke::mf_ctor, 107, 3},	//127 Plasma::AnimationDriver::AnimationDriver(QObject*)
	{16, 11, 0, 0, Smoke::mf_ctor, 107, 4},	//128 Plasma::AnimationDriver::AnimationDriver()
	{16, 1268, 0, 0, Smoke::mf_dtor, 0, 21},	//129 Plasma::AnimationDriver::~AnimationDriver()
	{16, 291, 7, 1, Smoke::mf_const, 630, 5},	//130 Plasma::AnimationDriver::animationFps(Plasma::Animator::Animation) const
	{16, 732, 9, 1, Smoke::mf_const, 630, 6},	//131 Plasma::AnimationDriver::movementAnimationFps(Plasma::Animator::Movement) const
	{16, 469, 7, 1, Smoke::mf_const, 630, 7},	//132 Plasma::AnimationDriver::elementAnimationFps(Plasma::Animator::Animation) const
	{16, 287, 7, 1, Smoke::mf_const, 630, 8},	//133 Plasma::AnimationDriver::animationDuration(Plasma::Animator::Animation) const
	{16, 730, 9, 1, Smoke::mf_const, 630, 9},	//134 Plasma::AnimationDriver::movementAnimationDuration(Plasma::Animator::Movement) const
	{16, 465, 7, 1, Smoke::mf_const, 630, 10},	//135 Plasma::AnimationDriver::elementAnimationDuration(Plasma::Animator::Animation) const
	{16, 285, 7, 1, Smoke::mf_const, 110, 11},	//136 Plasma::AnimationDriver::animationCurve(Plasma::Animator::Animation) const
	{16, 728, 9, 1, Smoke::mf_const, 110, 12},	//137 Plasma::AnimationDriver::movementAnimationCurve(Plasma::Animator::Movement) const
	{16, 463, 7, 1, Smoke::mf_const, 110, 13},	//138 Plasma::AnimationDriver::elementAnimationCurve(Plasma::Animator::Animation) const
	{16, 471, 616, 2, 0, 373, 14},	//139 Plasma::AnimationDriver::elementAppear(qreal, const QPixmap&)
	{16, 475, 616, 2, 0, 373, 15},	//140 Plasma::AnimationDriver::elementDisappear(qreal, const QPixmap&)
	{16, 613, 608, 2, 0, 0, 16},	//141 Plasma::AnimationDriver::itemAppear(qreal, QGraphicsItem*)
	{16, 617, 608, 2, 0, 0, 17},	//142 Plasma::AnimationDriver::itemDisappear(qreal, QGraphicsItem*)
	{16, 611, 608, 2, 0, 0, 18},	//143 Plasma::AnimationDriver::itemActivated(qreal, QGraphicsItem*)
	{16, 619, 611, 4, 0, 0, 19},	//144 Plasma::AnimationDriver::itemSlideIn(qreal, QGraphicsItem*, const QPoint&, const QPoint&)
	{16, 621, 611, 4, 0, 0, 20},	//145 Plasma::AnimationDriver::itemSlideOut(qreal, QGraphicsItem*, const QPoint&, const QPoint&)
	{17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 1},	//146 Plasma::Animator::AppearAnimation (enum)
	{17, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 2},	//147 Plasma::Animator::DisappearAnimation (enum)
	{17, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 3},	//148 Plasma::Animator::ActivateAnimation (enum)
	{17, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 4},	//149 Plasma::Animator::EaseInCurve (enum)
	{17, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 5},	//150 Plasma::Animator::EaseOutCurve (enum)
	{17, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 6},	//151 Plasma::Animator::EaseInOutCurve (enum)
	{17, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 7},	//152 Plasma::Animator::LinearCurve (enum)
	{17, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 8},	//153 Plasma::Animator::SlideInMovement (enum)
	{17, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 9},	//154 Plasma::Animator::SlideOutMovement (enum)
	{17, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 10},	//155 Plasma::Animator::FastSlideInMovement (enum)
	{17, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 11},	//156 Plasma::Animator::FastSlideOutMovement (enum)
	{17, 705, 0, 0, Smoke::mf_const, 598, 12},	//157 Plasma::Animator::metaObject() const
	{17, 792, 174, 3, 0, 630, 13},	//158 Plasma::Animator::qt_metacall(QMetaObject::Call, int, void**)
	{17, 283, 113, 2, 0, 630, 14},	//159 Plasma::Animator::animateItem(QGraphicsItem*, Plasma::Animator::Animation)
	{17, 1173, 576, 1, 0, 0, 15},	//160 Plasma::Animator::stopItemAnimation(int)
	{17, 726, 116, 3, 0, 630, 16},	//161 Plasma::Animator::moveItem(QGraphicsItem*, Plasma::Animator::Movement, const QPoint&)
	{17, 1175, 576, 1, 0, 0, 17},	//162 Plasma::Animator::stopItemMovement(int)
	{17, 392, 596, 5, 0, 630, 18},	//163 Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)
	{17, 1169, 576, 1, 0, 0, 19},	//164 Plasma::Animator::stopCustomAnimation(int)
	{17, 281, 113, 2, 0, 630, 20},	//165 Plasma::Animator::animateElement(QGraphicsItem*, Plasma::Animator::Animation)
	{17, 1171, 576, 1, 0, 0, 21},	//166 Plasma::Animator::stopElementAnimation(int)
	{17, 1007, 584, 2, 0, 0, 22},	//167 Plasma::Animator::setInitialPixmap(int, const QPixmap&)
	{17, 388, 576, 1, 0, 373, 23},	//168 Plasma::Animator::currentPixmap(int)
	{17, 597, 0, 0, Smoke::mf_const, 561, 24},	//169 Plasma::Animator::isAnimating() const
	{17, 884, 0, 0, Smoke::mf_static, 108, 25},	//170 Plasma::Animator::self()
	{18, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 1},	//171 Plasma::Applet::NoBackground (enum)
	{18, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 2},	//172 Plasma::Applet::StandardBackground (enum)
	{18, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 3},	//173 Plasma::Applet::TranslucentBackground (enum)
	{18, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 4},	//174 Plasma::Applet::ShadowedBackground (enum)
	{18, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 5},	//175 Plasma::Applet::DefaultBackground (enum)
	{18, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 6},	//176 Plasma::Applet::Type (enum)
	{18, 705, 0, 0, Smoke::mf_const, 598, 7},	//177 Plasma::Applet::metaObject() const
	{18, 792, 174, 3, 0, 630, 8},	//178 Plasma::Applet::qt_metacall(QMetaObject::Call, int, void**)
	{18, 1269, 0, 0, Smoke::mf_dtor, 0, 108},	//179 Plasma::Applet::~Applet()
	{18, 575, 0, 0, Smoke::mf_const, 635, 9},	//180 Plasma::Applet::id() const
	{18, 341, 0, 0, Smoke::mf_const, 21, 10},	//181 Plasma::Applet::config() const
	{18, 341, 460, 1, Smoke::mf_const, 21, 11},	//182 Plasma::Applet::config(const QString&) const
	{18, 855, 89, 1, Smoke::mf_const, 0, 12},	//183 Plasma::Applet::save(KConfigGroup&) const
	{18, 842, 89, 1, 0, 0, 13},	//184 Plasma::Applet::restore(KConfigGroup&)
	{18, 545, 0, 0, Smoke::mf_const, 21, 14},	//185 Plasma::Applet::globalConfig() const
	{18, 344, 0, 0, Smoke::mf_const, 125, 15},	//186 Plasma::Applet::configScheme() const
	{18, 400, 460, 1, Smoke::mf_const, 133, 16},	//187 Plasma::Applet::dataEngine(const QString&) const
	{18, 747, 0, 0, Smoke::mf_const, 572, 17},	//188 Plasma::Applet::package() const
	{18, 1242, 0, 0, Smoke::mf_const, 288, 18},	//189 Plasma::Applet::view() const
	{18, 690, 408, 2, Smoke::mf_const, 380, 19},	//190 Plasma::Applet::mapFromView(const QGraphicsView*, const QRect&) const
	{18, 692, 411, 2, Smoke::mf_const, 379, 20},	//191 Plasma::Applet::mapToView(const QGraphicsView*, const QRectF&) const
	{18, 781, 456, 1, Smoke::mf_const, 375, 21},	//192 Plasma::Applet::popupPosition(const QSize&) const
	{18, 1216, 24, 1, 0, 0, 22},	//193 Plasma::Applet::updateConstraints(Plasma::Constraints)
	{18, 1216, 0, 0, 0, 0, 23},	//194 Plasma::Applet::updateConstraints()
	{18, 536, 0, 0, Smoke::mf_const, 146, 24},	//195 Plasma::Applet::formFactor() const
	{18, 683, 0, 0, Smoke::mf_const, 155, 25},	//196 Plasma::Applet::location() const
	{18, 301, 0, 0, Smoke::mf_const, 119, 26},	//197 Plasma::Applet::aspectRatioMode() const
	{18, 899, 20, 1, 0, 0, 27},	//198 Plasma::Applet::setAspectRatioMode(Plasma::AspectRatioMode)
	{18, 762, 236, 3, 0, 0, 28},	//199 Plasma::Applet::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
	{18, 736, 0, 0, Smoke::mf_const, 389, 29},	//200 Plasma::Applet::name() const
	{18, 530, 0, 0, Smoke::mf_const, 247, 30},	//201 Plasma::Applet::font() const
	{18, 779, 0, 0, Smoke::mf_const, 389, 31},	//202 Plasma::Applet::pluginName() const
	{18, 1141, 0, 0, Smoke::mf_const, 561, 32},	//203 Plasma::Applet::shouldConserveResources() const
	{18, 573, 0, 0, Smoke::mf_const, 389, 33},	//204 Plasma::Applet::icon() const
	{18, 314, 0, 0, Smoke::mf_const, 389, 34},	//205 Plasma::Applet::category() const
	{18, 580, 0, 0, Smoke::mf_const, 150, 35},	//206 Plasma::Applet::immutability() const
	{18, 767, 232, 3, 0, 0, 36},	//207 Plasma::Applet::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
	{18, 556, 0, 0, Smoke::mf_const, 561, 37},	//208 Plasma::Applet::hasFailedToLaunch() const
	{18, 346, 0, 0, Smoke::mf_const, 561, 38},	//209 Plasma::Applet::configurationRequired() const
	{18, 551, 0, 0, Smoke::mf_const, 561, 39},	//210 Plasma::Applet::hasConfigurationInterface() const
	{18, 377, 0, 0, 0, 327, 40},	//211 Plasma::Applet::contextualActions()
	{18, 233, 284, 1, Smoke::mf_const, 208, 41},	//212 Plasma::Applet::action(QString) const
	{18, 240, 286, 2, 0, 0, 42},	//213 Plasma::Applet::addAction(QString, QAction*)
	{18, 905, 355, 1, 0, 0, 43},	//214 Plasma::Applet::setBackgroundHints(const Plasma::Applet::BackgroundHints)
	{18, 304, 0, 0, Smoke::mf_const, 114, 44},	//215 Plasma::Applet::backgroundHints() const
	{18, 599, 0, 0, Smoke::mf_const, 561, 45},	//216 Plasma::Applet::isContainment() const
	{18, 880, 0, 0, Smoke::mf_const, 379, 46},	//217 Plasma::Applet::screenRect() const
	{18, 1204, 0, 0, Smoke::mf_const, 630, 47},	//218 Plasma::Applet::type() const
	{18, 364, 0, 0, Smoke::mf_const, 129, 48},	//219 Plasma::Applet::containment() const
	{18, 973, 353, 1, 0, 0, 49},	//220 Plasma::Applet::setGlobalShortcut(const KShortcut&)
	{18, 546, 0, 0, Smoke::mf_const, 84, 50},	//221 Plasma::Applet::globalShortcut() const
	{18, 249, 305, 1, 0, 0, 51},	//222 Plasma::Applet::addAssociatedWidget(QWidget*)
	{18, 816, 305, 1, 0, 0, 52},	//223 Plasma::Applet::removeAssociatedWidget(QWidget*)
	{18, 15, 130, 3, Smoke::mf_ctor, 112, 53},	//224 Plasma::Applet::Applet(QGraphicsItem*, const QString&, uint)
	{18, 15, 123, 2, Smoke::mf_ctor, 112, 54},	//225 Plasma::Applet::Applet(QGraphicsItem*, const QString&)
	{18, 15, 111, 1, Smoke::mf_ctor, 112, 55},	//226 Plasma::Applet::Applet(QGraphicsItem*)
	{18, 15, 0, 0, Smoke::mf_ctor, 112, 56},	//227 Plasma::Applet::Applet()
	{18, 1001, 357, 1, 0, 0, 57},	//228 Plasma::Applet::setImmutability(const Plasma::ImmutabilityType)
	{18, 409, 0, 0, 0, 0, 58},	//229 Plasma::Applet::destroy()
	{18, 1144, 0, 0, 0, 0, 59},	//230 Plasma::Applet::showConfigurationInterface()
	{18, 796, 0, 0, 0, 0, 60},	//231 Plasma::Applet::raise()
	{18, 686, 0, 0, 0, 0, 61},	//232 Plasma::Applet::lower()
	{18, 519, 0, 0, 0, 0, 62},	//233 Plasma::Applet::flushPendingConstraintsEvents()
	{18, 583, 0, 0, 0, 0, 63},	//234 Plasma::Applet::init()
	{18, 810, 0, 0, 0, 0, 64},	//235 Plasma::Applet::releaseVisualFocus()
	{18, 538, 0, 0, 0, 0, 65},	//236 Plasma::Applet::geometryChanged()
	{18, 343, 0, 0, 0, 0, 66},	//237 Plasma::Applet::configNeedsSaving()
	{18, 237, 0, 0, 0, 0, 67},	//238 Plasma::Applet::activate()
	{18, 748, 0, 0, Smoke::mf_static, 81, 68},	//239 Plasma::Applet::packageStructure()
	{18, 650, 515, 2, Smoke::mf_static, 320, 69},	//240 Plasma::Applet::listAppletInfo(const QString&, const QString&)
	{18, 650, 460, 1, Smoke::mf_static, 320, 70},	//241 Plasma::Applet::listAppletInfo(const QString&)
	{18, 650, 0, 0, Smoke::mf_static, 320, 71},	//242 Plasma::Applet::listAppletInfo()
	{18, 653, 460, 1, Smoke::mf_static, 320, 72},	//243 Plasma::Applet::listAppletInfoForMimetype(const QString&)
	{18, 655, 496, 2, Smoke::mf_static, 394, 73},	//244 Plasma::Applet::listCategories(const QString&, bool)
	{18, 655, 460, 1, Smoke::mf_static, 394, 74},	//245 Plasma::Applet::listCategories(const QString&)
	{18, 655, 0, 0, Smoke::mf_static, 394, 75},	//246 Plasma::Applet::listCategories()
	{18, 665, 542, 3, Smoke::mf_static, 112, 76},	//247 Plasma::Applet::load(const QString&, uint, const QList<QVariant>&)
	{18, 665, 539, 2, Smoke::mf_static, 112, 77},	//248 Plasma::Applet::load(const QString&, uint)
	{18, 665, 460, 1, Smoke::mf_static, 112, 78},	//249 Plasma::Applet::load(const QString&)
	{18, 665, 349, 3, Smoke::mf_static, 112, 79},	//250 Plasma::Applet::load(const KPluginInfo&, uint, const QList<QVariant>&)
	{18, 665, 346, 2, Smoke::mf_static, 112, 80},	//251 Plasma::Applet::load(const KPluginInfo&, uint)
	{18, 665, 344, 1, Smoke::mf_static, 112, 81},	//252 Plasma::Applet::load(const KPluginInfo&)
	{18, 314, 344, 1, Smoke::mf_static, 389, 82},	//253 Plasma::Applet::category(const KPluginInfo&)
	{18, 314, 460, 1, Smoke::mf_static, 389, 83},	//254 Plasma::Applet::category(const QString&)
	{18, 15, 187, 2, Smoke::mf_ctor|Smoke::mf_protected, 112, 84},	//255 Plasma::Applet::Applet(QObject*, const QList<QVariant>&)
	{18, 961, 332, 2, Smoke::mf_protected, 0, 85},	//256 Plasma::Applet::setFailedToLaunch(bool, const QString&)
	{18, 961, 330, 1, Smoke::mf_protected, 0, 86},	//257 Plasma::Applet::setFailedToLaunch(bool)
	{18, 861, 89, 1, Smoke::mf_const|Smoke::mf_protected, 0, 87},	//258 Plasma::Applet::saveState(KConfigGroup&) const
	{18, 975, 330, 1, Smoke::mf_protected, 0, 88},	//259 Plasma::Applet::setHasConfigurationInterface(bool)
	{18, 918, 332, 2, Smoke::mf_protected, 0, 89},	//260 Plasma::Applet::setConfigurationRequired(bool, const QString&)
	{18, 918, 330, 1, Smoke::mf_protected, 0, 90},	//261 Plasma::Applet::setConfigurationRequired(bool)
	{18, 379, 75, 1, Smoke::mf_protected, 0, 91},	//262 Plasma::Applet::createConfigurationInterface(KConfigDialog*)
	{18, 1009, 330, 1, Smoke::mf_protected, 0, 92},	//263 Plasma::Applet::setIsContainment(bool)
	{18, 359, 24, 1, Smoke::mf_protected, 0, 93},	//264 Plasma::Applet::constraintsEvent(Plasma::Constraints)
	{18, 805, 111, 1, Smoke::mf_protected, 0, 94},	//265 Plasma::Applet::registerAsDragHandle(QGraphicsItem*)
	{18, 1214, 111, 1, Smoke::mf_protected, 0, 95},	//266 Plasma::Applet::unregisterAsDragHandle(QGraphicsItem*)
	{18, 605, 111, 1, Smoke::mf_protected, 561, 96},	//267 Plasma::Applet::isRegisteredAsDragHandle(QGraphicsItem*)
	{18, 497, 184, 2, Smoke::mf_protected, 561, 97},	//268 Plasma::Applet::eventFilter(QObject*, QEvent*)
	{18, 870, 120, 2, Smoke::mf_protected, 561, 98},	//269 Plasma::Applet::sceneEventFilter(QGraphicsItem*, QEvent*)
	{18, 718, 154, 1, Smoke::mf_protected, 0, 99},	//270 Plasma::Applet::mouseMoveEvent(QGraphicsSceneMouseEvent*)
	{18, 720, 154, 1, Smoke::mf_protected, 0, 100},	//271 Plasma::Applet::mousePressEvent(QGraphicsSceneMouseEvent*)
	{18, 520, 109, 1, Smoke::mf_protected, 0, 101},	//272 Plasma::Applet::focusInEvent(QFocusEvent*)
	{18, 838, 158, 1, Smoke::mf_protected, 0, 102},	//273 Plasma::Applet::resizeEvent(QGraphicsSceneResizeEvent*)
	{18, 615, 139, 2, Smoke::mf_protected, 452, 103},	//274 Plasma::Applet::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
	{18, 1140, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 104},	//275 Plasma::Applet::shape() const
	{18, 1154, 327, 2, Smoke::mf_const|Smoke::mf_protected, 384, 105},	//276 Plasma::Applet::sizeHint(Qt::SizeHint, const QSizeF&) const
	{18, 1154, 325, 1, Smoke::mf_const|Smoke::mf_protected, 384, 106},	//277 Plasma::Applet::sizeHint(Qt::SizeHint) const
	{18, 1195, 299, 1, Smoke::mf_protected, 0, 107},	//278 Plasma::Applet::timerEvent(QTimerEvent*)
	{19, 705, 0, 0, Smoke::mf_const, 598, 1},	//279 Plasma::AppletBrowser::metaObject() const
	{19, 792, 174, 3, 0, 630, 2},	//280 Plasma::AppletBrowser::qt_metacall(QMetaObject::Call, int, void**)
	{19, 20, 311, 2, Smoke::mf_ctor, 116, 3},	//281 Plasma::AppletBrowser::AppletBrowser(QWidget*, Qt::WindowFlags)
	{19, 20, 305, 1, Smoke::mf_ctor, 116, 4},	//282 Plasma::AppletBrowser::AppletBrowser(QWidget*)
	{19, 20, 0, 0, Smoke::mf_ctor, 116, 5},	//283 Plasma::AppletBrowser::AppletBrowser()
	{19, 1270, 0, 0, Smoke::mf_dtor, 0, 11},	//284 Plasma::AppletBrowser::~AppletBrowser()
	{19, 897, 460, 1, 0, 0, 6},	//285 Plasma::AppletBrowser::setApplication(const QString&)
	{19, 897, 0, 0, 0, 0, 7},	//286 Plasma::AppletBrowser::setApplication()
	{19, 300, 0, 0, 0, 389, 8},	//287 Plasma::AppletBrowser::application()
	{19, 921, 26, 1, 0, 0, 9},	//288 Plasma::AppletBrowser::setContainment(Plasma::Containment*)
	{19, 364, 0, 0, Smoke::mf_const, 129, 10},	//289 Plasma::AppletBrowser::containment() const
	{20, 705, 0, 0, Smoke::mf_const, 598, 1},	//290 Plasma::AppletBrowserWidget::metaObject() const
	{20, 792, 174, 3, 0, 630, 2},	//291 Plasma::AppletBrowserWidget::qt_metacall(QMetaObject::Call, int, void**)
	{20, 23, 311, 2, Smoke::mf_ctor, 117, 3},	//292 Plasma::AppletBrowserWidget::AppletBrowserWidget(QWidget*, Qt::WindowFlags)
	{20, 23, 305, 1, Smoke::mf_ctor, 117, 4},	//293 Plasma::AppletBrowserWidget::AppletBrowserWidget(QWidget*)
	{20, 23, 0, 0, Smoke::mf_ctor, 117, 5},	//294 Plasma::AppletBrowserWidget::AppletBrowserWidget()
	{20, 1271, 0, 0, Smoke::mf_dtor, 0, 15},	//295 Plasma::AppletBrowserWidget::~AppletBrowserWidget()
	{20, 897, 460, 1, 0, 0, 6},	//296 Plasma::AppletBrowserWidget::setApplication(const QString&)
	{20, 897, 0, 0, 0, 0, 7},	//297 Plasma::AppletBrowserWidget::setApplication()
	{20, 300, 0, 0, 0, 389, 8},	//298 Plasma::AppletBrowserWidget::application()
	{20, 921, 26, 1, 0, 0, 9},	//299 Plasma::AppletBrowserWidget::setContainment(Plasma::Containment*)
	{20, 364, 0, 0, Smoke::mf_const, 129, 10},	//300 Plasma::AppletBrowserWidget::containment() const
	{20, 242, 0, 0, 0, 0, 11},	//301 Plasma::AppletBrowserWidget::addApplet()
	{20, 410, 460, 1, 0, 0, 12},	//302 Plasma::AppletBrowserWidget::destroyApplets(const QString&)
	{20, 423, 0, 0, 0, 0, 13},	//303 Plasma::AppletBrowserWidget::downloadWidgets()
	{20, 742, 0, 0, 0, 0, 14},	//304 Plasma::AppletBrowserWidget::openWidgetFile()
	{21, 705, 0, 0, Smoke::mf_const, 598, 1},	//305 Plasma::AppletScript::metaObject() const
	{21, 792, 174, 3, 0, 630, 2},	//306 Plasma::AppletScript::qt_metacall(QMetaObject::Call, int, void**)
	{21, 27, 182, 1, Smoke::mf_ctor, 118, 3},	//307 Plasma::AppletScript::AppletScript(QObject*)
	{21, 27, 0, 0, Smoke::mf_ctor, 118, 4},	//308 Plasma::AppletScript::AppletScript()
	{21, 1272, 0, 0, Smoke::mf_dtor, 0, 16},	//309 Plasma::AppletScript::~AppletScript()
	{21, 893, 11, 1, 0, 0, 5},	//310 Plasma::AppletScript::setApplet(Plasma::Applet*)
	{21, 293, 0, 0, Smoke::mf_const, 112, 6},	//311 Plasma::AppletScript::applet() const
	{21, 762, 236, 3, 0, 0, 7},	//312 Plasma::AppletScript::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
	{21, 1151, 0, 0, Smoke::mf_const, 384, 8},	//313 Plasma::AppletScript::size() const
	{21, 359, 24, 1, 0, 0, 9},	//314 Plasma::AppletScript::constraintsEvent(Plasma::Constraints)
	{21, 377, 0, 0, 0, 327, 10},	//315 Plasma::AppletScript::contextualActions()
	{21, 1140, 0, 0, Smoke::mf_const, 370, 11},	//316 Plasma::AppletScript::shape() const
	{21, 1144, 0, 0, 0, 0, 12},	//317 Plasma::AppletScript::showConfigurationInterface()
	{21, 400, 460, 1, Smoke::mf_const|Smoke::mf_protected, 133, 13},	//318 Plasma::AppletScript::dataEngine(const QString&) const
	{21, 688, 0, 0, Smoke::mf_const|Smoke::mf_protected, 389, 14},	//319 Plasma::AppletScript::mainScript() const
	{21, 747, 0, 0, Smoke::mf_const|Smoke::mf_protected, 572, 15},	//320 Plasma::AppletScript::package() const
	{22, 705, 0, 0, Smoke::mf_const, 598, 1},	//321 Plasma::CheckBox::metaObject() const
	{22, 792, 174, 3, 0, 630, 2},	//322 Plasma::CheckBox::qt_metacall(QMetaObject::Call, int, void**)
	{22, 38, 166, 1, Smoke::mf_ctor, 120, 3},	//323 Plasma::CheckBox::CheckBox(QGraphicsWidget*)
	{22, 38, 0, 0, Smoke::mf_ctor, 120, 4},	//324 Plasma::CheckBox::CheckBox()
	{22, 1273, 0, 0, Smoke::mf_dtor, 0, 16},	//325 Plasma::CheckBox::~CheckBox()
	{22, 1096, 460, 1, 0, 0, 5},	//326 Plasma::CheckBox::setText(const QString&)
	{22, 1188, 0, 0, Smoke::mf_const, 389, 6},	//327 Plasma::CheckBox::text() const
	{22, 997, 460, 1, 0, 0, 7},	//328 Plasma::CheckBox::setImage(const QString&)
	{22, 577, 0, 0, Smoke::mf_const, 389, 8},	//329 Plasma::CheckBox::image() const
	{22, 1087, 460, 1, 0, 0, 9},	//330 Plasma::CheckBox::setStyleSheet(const QString&)
	{22, 1180, 0, 0, 0, 389, 10},	//331 Plasma::CheckBox::styleSheet()
	{22, 738, 0, 0, Smoke::mf_const, 213, 11},	//332 Plasma::CheckBox::nativeWidget() const
	{22, 914, 330, 1, 0, 0, 12},	//333 Plasma::CheckBox::setChecked(bool)
	{22, 598, 0, 0, Smoke::mf_const, 561, 13},	//334 Plasma::CheckBox::isChecked() const
	{22, 1198, 330, 1, 0, 0, 14},	//335 Plasma::CheckBox::toggled(bool)
	{22, 838, 158, 1, Smoke::mf_protected, 0, 15},	//336 Plasma::CheckBox::resizeEvent(QGraphicsSceneResizeEvent*)
	{23, 705, 0, 0, Smoke::mf_const, 598, 1},	//337 Plasma::ComboBox::metaObject() const
	{23, 792, 174, 3, 0, 630, 2},	//338 Plasma::ComboBox::qt_metacall(QMetaObject::Call, int, void**)
	{23, 41, 166, 1, Smoke::mf_ctor, 121, 3},	//339 Plasma::ComboBox::ComboBox(QGraphicsWidget*)
	{23, 41, 0, 0, Smoke::mf_ctor, 121, 4},	//340 Plasma::ComboBox::ComboBox()
	{23, 1274, 0, 0, Smoke::mf_dtor, 0, 13},	//341 Plasma::ComboBox::~ComboBox()
	{23, 1188, 0, 0, Smoke::mf_const, 389, 5},	//342 Plasma::ComboBox::text() const
	{23, 1087, 460, 1, 0, 0, 6},	//343 Plasma::ComboBox::setStyleSheet(const QString&)
	{23, 1180, 0, 0, 0, 389, 7},	//344 Plasma::ComboBox::styleSheet()
	{23, 738, 0, 0, Smoke::mf_const, 14, 8},	//345 Plasma::ComboBox::nativeWidget() const
	{23, 263, 460, 1, 0, 0, 9},	//346 Plasma::ComboBox::addItem(const QString&)
	{23, 324, 0, 0, 0, 0, 10},	//347 Plasma::ComboBox::clear()
	{23, 238, 460, 1, 0, 0, 11},	//348 Plasma::ComboBox::activated(const QString&)
	{23, 838, 158, 1, Smoke::mf_protected, 0, 12},	//349 Plasma::ComboBox::resizeEvent(QGraphicsSceneResizeEvent*)
	{24, 44, 480, 3, Smoke::mf_ctor, 125, 1},	//350 Plasma::ConfigXml::ConfigXml(const QString&, QIODevice*, QObject*)
	{24, 44, 477, 2, Smoke::mf_ctor, 125, 2},	//351 Plasma::ConfigXml::ConfigXml(const QString&, QIODevice*)
	{24, 44, 640, 3, Smoke::mf_ctor, 125, 3},	//352 Plasma::ConfigXml::ConfigXml(KSharedPtr<KSharedConfig>, QIODevice*, QObject*)
	{24, 44, 637, 2, Smoke::mf_ctor, 125, 4},	//353 Plasma::ConfigXml::ConfigXml(KSharedPtr<KSharedConfig>, QIODevice*)
	{24, 44, 340, 3, Smoke::mf_ctor, 125, 5},	//354 Plasma::ConfigXml::ConfigXml(const KConfigGroup*, QIODevice*, QObject*)
	{24, 44, 337, 2, Smoke::mf_ctor, 125, 6},	//355 Plasma::ConfigXml::ConfigXml(const KConfigGroup*, QIODevice*)
	{24, 1275, 0, 0, Smoke::mf_dtor, 0, 8},	//356 Plasma::ConfigXml::~ConfigXml()
	{24, 510, 515, 2, 0, 23, 7},	//357 Plasma::ConfigXml::findItem(const QString&, const QString&)
	{25, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 1},	//358 Plasma::Containment::NoContainmentType (enum)
	{25, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 2},	//359 Plasma::Containment::DesktopContainment (enum)
	{25, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 3},	//360 Plasma::Containment::PanelContainment (enum)
	{25, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 4},	//361 Plasma::Containment::CustomContainment (enum)
	{25, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 5},	//362 Plasma::Containment::CustomPanelContainment (enum)
	{25, 705, 0, 0, Smoke::mf_const, 598, 6},	//363 Plasma::Containment::metaObject() const
	{25, 792, 174, 3, 0, 630, 7},	//364 Plasma::Containment::qt_metacall(QMetaObject::Call, int, void**)
	{25, 52, 130, 3, Smoke::mf_ctor, 129, 8},	//365 Plasma::Containment::Containment(QGraphicsItem*, const QString&, uint)
	{25, 52, 123, 2, Smoke::mf_ctor, 129, 9},	//366 Plasma::Containment::Containment(QGraphicsItem*, const QString&)
	{25, 52, 111, 1, Smoke::mf_ctor, 129, 10},	//367 Plasma::Containment::Containment(QGraphicsItem*)
	{25, 52, 0, 0, Smoke::mf_ctor, 129, 11},	//368 Plasma::Containment::Containment()
	{25, 52, 187, 2, Smoke::mf_ctor, 129, 12},	//369 Plasma::Containment::Containment(QObject*, const QList<QVariant>&)
	{25, 1276, 0, 0, Smoke::mf_dtor, 0, 62},	//370 Plasma::Containment::~Containment()
	{25, 583, 0, 0, 0, 0, 13},	//371 Plasma::Containment::init()
	{25, 369, 0, 0, Smoke::mf_const, 130, 14},	//372 Plasma::Containment::containmentType() const
	{25, 378, 0, 0, Smoke::mf_const, 131, 15},	//373 Plasma::Containment::corona() const
	{25, 242, 511, 3, 0, 112, 16},	//374 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&, const QRectF&)
	{25, 242, 508, 2, 0, 112, 17},	//375 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&)
	{25, 242, 460, 1, 0, 112, 18},	//376 Plasma::Containment::addApplet(const QString&)
	{25, 242, 16, 3, 0, 0, 19},	//377 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&, bool)
	{25, 242, 13, 2, 0, 0, 20},	//378 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&)
	{25, 242, 11, 1, 0, 0, 21},	//379 Plasma::Containment::addApplet(Plasma::Applet*)
	{25, 299, 0, 0, Smoke::mf_const, 322, 22},	//380 Plasma::Containment::applets() const
	{25, 325, 0, 0, 0, 0, 23},	//381 Plasma::Containment::clearApplets()
	{25, 1071, 576, 1, 0, 0, 24},	//382 Plasma::Containment::setScreen(int)
	{25, 875, 0, 0, Smoke::mf_const, 630, 25},	//383 Plasma::Containment::screen() const
	{25, 462, 0, 0, Smoke::mf_const, 375, 26},	//384 Plasma::Containment::effectiveScreenPos() const
	{25, 484, 496, 2, 0, 0, 27},	//385 Plasma::Containment::enableAction(const QString&, bool)
	{25, 277, 77, 1, 0, 0, 28},	//386 Plasma::Containment::addToolBoxTool(QAction*)
	{25, 824, 77, 1, 0, 0, 29},	//387 Plasma::Containment::removeToolBoxTool(QAction*)
	{25, 1104, 330, 1, 0, 0, 30},	//388 Plasma::Containment::setToolBoxOpen(bool)
	{25, 741, 0, 0, 0, 0, 31},	//389 Plasma::Containment::openToolBox()
	{25, 331, 0, 0, 0, 0, 32},	//390 Plasma::Containment::closeToolBox()
	{25, 249, 305, 1, 0, 0, 33},	//391 Plasma::Containment::addAssociatedWidget(QWidget*)
	{25, 816, 305, 1, 0, 0, 34},	//392 Plasma::Containment::removeAssociatedWidget(QWidget*)
	{25, 1021, 54, 1, 0, 0, 35},	//393 Plasma::Containment::setLocation(Plasma::Location)
	{25, 969, 52, 1, 0, 0, 36},	//394 Plasma::Containment::setFormFactor(Plasma::FormFactor)
	{25, 273, 0, 0, 0, 0, 37},	//395 Plasma::Containment::addSiblingContainment()
	{25, 522, 0, 0, 0, 0, 38},	//396 Plasma::Containment::focusNextApplet()
	{25, 527, 0, 0, 0, 0, 39},	//397 Plasma::Containment::focusPreviousApplet()
	{25, 409, 0, 0, 0, 0, 40},	//398 Plasma::Containment::destroy()
	{25, 294, 13, 2, 0, 0, 41},	//399 Plasma::Containment::appletAdded(Plasma::Applet*, const QPointF&)
	{25, 297, 11, 1, 0, 0, 42},	//400 Plasma::Containment::appletRemoved(Plasma::Applet*)
	{25, 1265, 28, 2, 0, 0, 43},	//401 Plasma::Containment::zoomRequested(Plasma::Containment*, Plasma::ZoomDirection)
	{25, 1200, 0, 0, 0, 0, 44},	//402 Plasma::Containment::toolBoxToggled()
	{25, 273, 26, 1, 0, 0, 45},	//403 Plasma::Containment::addSiblingContainment(Plasma::Containment*)
	{25, 1142, 452, 1, 0, 0, 46},	//404 Plasma::Containment::showAddWidgetsInterface(const QPointF&)
	{25, 876, 602, 3, 0, 0, 47},	//405 Plasma::Containment::screenChanged(int, int, Plasma::Containment*)
	{25, 528, 26, 1, 0, 0, 48},	//406 Plasma::Containment::focusRequested(Plasma::Containment*)
	{25, 658, 515, 2, Smoke::mf_static, 320, 49},	//407 Plasma::Containment::listContainments(const QString&, const QString&)
	{25, 658, 460, 1, Smoke::mf_static, 320, 50},	//408 Plasma::Containment::listContainments(const QString&)
	{25, 658, 0, 0, Smoke::mf_static, 320, 51},	//409 Plasma::Containment::listContainments()
	{25, 661, 460, 1, Smoke::mf_static, 320, 52},	//410 Plasma::Containment::listContainmentsForMimetype(const QString&)
	{25, 923, 41, 1, Smoke::mf_protected, 0, 53},	//411 Plasma::Containment::setContainmentType(Plasma::Containment::Type)
	{25, 857, 89, 1, Smoke::mf_const|Smoke::mf_protected, 0, 54},	//412 Plasma::Containment::saveContents(KConfigGroup&) const
	{25, 844, 89, 1, Smoke::mf_protected, 0, 55},	//413 Plasma::Containment::restoreContents(KConfigGroup&)
	{25, 375, 142, 1, Smoke::mf_protected, 0, 56},	//414 Plasma::Containment::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
	{25, 567, 152, 1, Smoke::mf_protected, 0, 57},	//415 Plasma::Containment::hoverEnterEvent(QGraphicsSceneHoverEvent*)
	{25, 569, 152, 1, Smoke::mf_protected, 0, 58},	//416 Plasma::Containment::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
	{25, 623, 172, 1, Smoke::mf_protected, 0, 59},	//417 Plasma::Containment::keyPressEvent(QKeyEvent*)
	{25, 870, 120, 2, Smoke::mf_protected, 561, 60},	//418 Plasma::Containment::sceneEventFilter(QGraphicsItem*, QEvent*)
	{25, 615, 139, 2, Smoke::mf_protected, 452, 61},	//419 Plasma::Containment::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
	{26, 705, 0, 0, Smoke::mf_const, 598, 1},	//420 Plasma::Corona::metaObject() const
	{26, 792, 174, 3, 0, 630, 2},	//421 Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**)
	{26, 58, 182, 1, Smoke::mf_ctor, 131, 3},	//422 Plasma::Corona::Corona(QObject*)
	{26, 58, 0, 0, Smoke::mf_ctor, 131, 4},	//423 Plasma::Corona::Corona()
	{26, 1277, 0, 0, Smoke::mf_dtor, 0, 32},	//424 Plasma::Corona::~Corona()
	{26, 895, 460, 1, 0, 0, 5},	//425 Plasma::Corona::setAppletMimeType(const QString&)
	{26, 296, 0, 0, 0, 389, 6},	//426 Plasma::Corona::appletMimeType()
	{26, 370, 0, 0, Smoke::mf_const, 323, 7},	//427 Plasma::Corona::containments() const
	{26, 327, 0, 0, 0, 0, 8},	//428 Plasma::Corona::clearContainments()
	{26, 341, 0, 0, Smoke::mf_const, 80, 9},	//429 Plasma::Corona::config() const
	{26, 251, 508, 2, 0, 129, 10},	//430 Plasma::Corona::addContainment(const QString&, const QList<QVariant>&)
	{26, 251, 460, 1, 0, 129, 11},	//431 Plasma::Corona::addContainment(const QString&)
	{26, 367, 576, 1, Smoke::mf_const, 129, 12},	//432 Plasma::Corona::containmentForScreen(int) const
	{26, 586, 460, 1, 0, 0, 13},	//433 Plasma::Corona::initializeLayout(const QString&)
	{26, 586, 0, 0, 0, 0, 14},	//434 Plasma::Corona::initializeLayout()
	{26, 677, 460, 1, 0, 0, 15},	//435 Plasma::Corona::loadLayout(const QString&)
	{26, 677, 0, 0, 0, 0, 16},	//436 Plasma::Corona::loadLayout()
	{26, 859, 460, 1, Smoke::mf_const, 0, 17},	//437 Plasma::Corona::saveLayout(const QString&) const
	{26, 859, 0, 0, Smoke::mf_const, 0, 18},	//438 Plasma::Corona::saveLayout() const
	{26, 580, 0, 0, Smoke::mf_const, 150, 19},	//439 Plasma::Corona::immutability() const
	{26, 1001, 357, 1, 0, 0, 20},	//440 Plasma::Corona::setImmutability(const Plasma::ImmutabilityType)
	{26, 830, 0, 0, 0, 0, 21},	//441 Plasma::Corona::requestConfigSync()
	{26, 365, 26, 1, 0, 0, 22},	//442 Plasma::Corona::containmentAdded(Plasma::Containment*)
	{26, 878, 602, 3, 0, 0, 23},	//443 Plasma::Corona::screenOwnerChanged(int, int, Plasma::Containment*)
	{26, 810, 0, 0, 0, 0, 24},	//444 Plasma::Corona::releaseVisualFocus()
	{26, 345, 0, 0, 0, 0, 25},	//445 Plasma::Corona::configSynced()
	{26, 672, 0, 0, Smoke::mf_protected, 0, 26},	//446 Plasma::Corona::loadDefaultLayout()
	{26, 254, 508, 2, Smoke::mf_protected, 129, 27},	//447 Plasma::Corona::addContainmentDelayed(const QString&, const QList<QVariant>&)
	{26, 254, 460, 1, Smoke::mf_protected, 129, 28},	//448 Plasma::Corona::addContainmentDelayed(const QString&)
	{26, 424, 144, 1, Smoke::mf_protected, 0, 29},	//449 Plasma::Corona::dragEnterEvent(QGraphicsSceneDragDropEvent*)
	{26, 426, 144, 1, Smoke::mf_protected, 0, 30},	//450 Plasma::Corona::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
	{26, 428, 144, 1, Smoke::mf_protected, 0, 31},	//451 Plasma::Corona::dragMoveEvent(QGraphicsSceneDragDropEvent*)
	{27, 705, 0, 0, Smoke::mf_const, 598, 1},	//452 Plasma::DataContainer::metaObject() const
	{27, 792, 174, 3, 0, 630, 2},	//453 Plasma::DataContainer::qt_metacall(QMetaObject::Call, int, void**)
	{27, 62, 182, 1, Smoke::mf_ctor, 132, 3},	//454 Plasma::DataContainer::DataContainer(QObject*)
	{27, 62, 0, 0, Smoke::mf_ctor, 132, 4},	//455 Plasma::DataContainer::DataContainer()
	{27, 1278, 0, 0, Smoke::mf_dtor, 0, 19},	//456 Plasma::DataContainer::~DataContainer()
	{27, 399, 0, 0, Smoke::mf_const, 585, 5},	//457 Plasma::DataContainer::data() const
	{27, 931, 529, 2, 0, 0, 6},	//458 Plasma::DataContainer::setData(const QString&, const QVariant&)
	{27, 813, 0, 0, 0, 0, 7},	//459 Plasma::DataContainer::removeAllData()
	{27, 1247, 182, 1, Smoke::mf_const, 561, 8},	//460 Plasma::DataContainer::visualizationIsConnected(QObject*) const
	{27, 357, 196, 3, 0, 0, 9},	//461 Plasma::DataContainer::connectVisualization(QObject*, uint, Plasma::IntervalAlignment)
	{27, 418, 182, 1, 0, 0, 10},	//462 Plasma::DataContainer::disconnectVisualization(QObject*)
	{27, 402, 502, 2, 0, 0, 11},	//463 Plasma::DataContainer::dataUpdated(const QString&, const QHash<QString, QVariant>&)
	{27, 305, 460, 1, 0, 0, 12},	//464 Plasma::DataContainer::becameUnused(const QString&)
	{27, 1222, 43, 1, 0, 0, 13},	//465 Plasma::DataContainer::updateRequested(Plasma::DataContainer*)
	{27, 320, 0, 0, Smoke::mf_protected, 0, 14},	//466 Plasma::DataContainer::checkForUpdate()
	{27, 1194, 0, 0, Smoke::mf_const|Smoke::mf_protected, 635, 15},	//467 Plasma::DataContainer::timeSinceLastUpdate() const
	{27, 1039, 330, 1, Smoke::mf_protected, 0, 16},	//468 Plasma::DataContainer::setNeedsUpdate(bool)
	{27, 1039, 0, 0, Smoke::mf_protected, 0, 17},	//469 Plasma::DataContainer::setNeedsUpdate()
	{27, 321, 0, 0, Smoke::mf_protected, 0, 18},	//470 Plasma::DataContainer::checkUsage()
	{28, 705, 0, 0, Smoke::mf_const, 598, 1},	//471 Plasma::DataEngine::metaObject() const
	{28, 792, 174, 3, 0, 630, 2},	//472 Plasma::DataEngine::qt_metacall(QMetaObject::Call, int, void**)
	{28, 64, 200, 2, Smoke::mf_ctor, 133, 3},	//473 Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
	{28, 64, 182, 1, Smoke::mf_ctor, 133, 4},	//474 Plasma::DataEngine::DataEngine(QObject*)
	{28, 64, 0, 0, Smoke::mf_ctor, 133, 5},	//475 Plasma::DataEngine::DataEngine()
	{28, 64, 187, 2, Smoke::mf_ctor, 133, 6},	//476 Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
	{28, 1279, 0, 0, Smoke::mf_dtor, 0, 47},	//477 Plasma::DataEngine::~DataEngine()
	{28, 583, 0, 0, 0, 0, 7},	//478 Plasma::DataEngine::init()
	{28, 1166, 0, 0, Smoke::mf_const, 394, 8},	//479 Plasma::DataEngine::sources() const
	{28, 885, 460, 1, 0, 183, 9},	//480 Plasma::DataEngine::serviceForSource(const QString&)
	{28, 736, 0, 0, Smoke::mf_const, 389, 10},	//481 Plasma::DataEngine::name() const
	{28, 353, 491, 4, Smoke::mf_const, 0, 11},	//482 Plasma::DataEngine::connectSource(const QString&, QObject*, uint, Plasma::IntervalAlignment) const
	{28, 353, 487, 3, Smoke::mf_const, 0, 12},	//483 Plasma::DataEngine::connectSource(const QString&, QObject*, uint) const
	{28, 353, 484, 2, Smoke::mf_const, 0, 13},	//484 Plasma::DataEngine::connectSource(const QString&, QObject*) const
	{28, 347, 196, 3, Smoke::mf_const, 0, 14},	//485 Plasma::DataEngine::connectAllSources(QObject*, uint, Plasma::IntervalAlignment) const
	{28, 347, 193, 2, Smoke::mf_const, 0, 15},	//486 Plasma::DataEngine::connectAllSources(QObject*, uint) const
	{28, 347, 182, 1, Smoke::mf_const, 0, 16},	//487 Plasma::DataEngine::connectAllSources(QObject*) const
	{28, 416, 484, 2, Smoke::mf_const, 0, 17},	//488 Plasma::DataEngine::disconnectSource(const QString&, QObject*) const
	{28, 362, 460, 1, 0, 132, 18},	//489 Plasma::DataEngine::containerForSource(const QString&)
	{28, 794, 460, 1, Smoke::mf_const, 301, 19},	//490 Plasma::DataEngine::query(const QString&) const
	{28, 609, 0, 0, Smoke::mf_const, 561, 20},	//491 Plasma::DataEngine::isValid() const
	{28, 601, 0, 0, Smoke::mf_const, 561, 21},	//492 Plasma::DataEngine::isEmpty() const
	{28, 703, 0, 0, Smoke::mf_const, 635, 22},	//493 Plasma::DataEngine::maxSourceCount() const
	{28, 573, 0, 0, Smoke::mf_const, 389, 23},	//494 Plasma::DataEngine::icon() const
	{28, 747, 0, 0, Smoke::mf_const, 572, 24},	//495 Plasma::DataEngine::package() const
	{28, 1160, 460, 1, 0, 0, 25},	//496 Plasma::DataEngine::sourceAdded(const QString&)
	{28, 1162, 460, 1, 0, 0, 26},	//497 Plasma::DataEngine::sourceRemoved(const QString&)
	{28, 1164, 460, 1, Smoke::mf_protected, 561, 27},	//498 Plasma::DataEngine::sourceRequestEvent(const QString&)
	{28, 1224, 460, 1, Smoke::mf_protected, 561, 28},	//499 Plasma::DataEngine::updateSourceEvent(const QString&)
	{28, 931, 529, 2, Smoke::mf_protected, 0, 29},	//500 Plasma::DataEngine::setData(const QString&, const QVariant&)
	{28, 931, 518, 3, Smoke::mf_protected, 0, 30},	//501 Plasma::DataEngine::setData(const QString&, const QString&, const QVariant&)
	{28, 931, 502, 2, Smoke::mf_protected, 0, 31},	//502 Plasma::DataEngine::setData(const QString&, const QHash<QString, QVariant>&)
	{28, 813, 460, 1, Smoke::mf_protected, 0, 32},	//503 Plasma::DataEngine::removeAllData(const QString&)
	{28, 818, 515, 2, Smoke::mf_protected, 0, 33},	//504 Plasma::DataEngine::removeData(const QString&, const QString&)
	{28, 275, 43, 1, Smoke::mf_protected, 0, 34},	//505 Plasma::DataEngine::addSource(Plasma::DataContainer*)
	{28, 1023, 632, 1, Smoke::mf_protected, 0, 35},	//506 Plasma::DataEngine::setMaxSourceCount(uint)
	{28, 1033, 576, 1, Smoke::mf_protected, 0, 36},	//507 Plasma::DataEngine::setMinimumPollingInterval(int)
	{28, 714, 0, 0, Smoke::mf_const|Smoke::mf_protected, 630, 37},	//508 Plasma::DataEngine::minimumPollingInterval() const
	{28, 1053, 632, 1, Smoke::mf_protected, 0, 38},	//509 Plasma::DataEngine::setPollingInterval(uint)
	{28, 815, 0, 0, Smoke::mf_protected, 0, 39},	//510 Plasma::DataEngine::removeAllSources()
	{28, 1119, 330, 1, Smoke::mf_protected, 0, 40},	//511 Plasma::DataEngine::setValid(bool)
	{28, 361, 0, 0, Smoke::mf_const|Smoke::mf_protected, 300, 41},	//512 Plasma::DataEngine::containerDict() const
	{28, 1195, 299, 1, Smoke::mf_protected, 0, 42},	//513 Plasma::DataEngine::timerEvent(QTimerEvent*)
	{28, 1037, 460, 1, Smoke::mf_protected, 0, 43},	//514 Plasma::DataEngine::setName(const QString&)
	{28, 990, 460, 1, Smoke::mf_protected, 0, 44},	//515 Plasma::DataEngine::setIcon(const QString&)
	{28, 874, 0, 0, Smoke::mf_protected, 0, 45},	//516 Plasma::DataEngine::scheduleSourcesUpdated()
	{28, 822, 460, 1, Smoke::mf_protected, 0, 46},	//517 Plasma::DataEngine::removeSource(const QString&)
	{29, 705, 0, 0, Smoke::mf_const, 598, 1},	//518 Plasma::DataEngineManager::metaObject() const
	{29, 792, 174, 3, 0, 630, 2},	//519 Plasma::DataEngineManager::qt_metacall(QMetaObject::Call, int, void**)
	{29, 489, 460, 1, Smoke::mf_const, 133, 3},	//520 Plasma::DataEngineManager::engine(const QString&) const
	{29, 673, 460, 1, 0, 133, 4},	//521 Plasma::DataEngineManager::loadEngine(const QString&)
	{29, 1212, 460, 1, 0, 0, 5},	//522 Plasma::DataEngineManager::unloadEngine(const QString&)
	{29, 884, 0, 0, Smoke::mf_static, 135, 6},	//523 Plasma::DataEngineManager::self()
	{29, 649, 0, 0, Smoke::mf_static, 394, 7},	//524 Plasma::DataEngineManager::listAllEngines()
	{30, 705, 0, 0, Smoke::mf_const, 598, 1},	//525 Plasma::DataEngineScript::metaObject() const
	{30, 792, 174, 3, 0, 630, 2},	//526 Plasma::DataEngineScript::qt_metacall(QMetaObject::Call, int, void**)
	{30, 68, 182, 1, Smoke::mf_ctor, 136, 3},	//527 Plasma::DataEngineScript::DataEngineScript(QObject*)
	{30, 68, 0, 0, Smoke::mf_ctor, 136, 4},	//528 Plasma::DataEngineScript::DataEngineScript()
	{30, 1280, 0, 0, Smoke::mf_dtor, 0, 18},	//529 Plasma::DataEngineScript::~DataEngineScript()
	{30, 936, 45, 1, 0, 0, 5},	//530 Plasma::DataEngineScript::setDataEngine(Plasma::DataEngine*)
	{30, 400, 0, 0, Smoke::mf_const, 133, 6},	//531 Plasma::DataEngineScript::dataEngine() const
	{30, 1164, 460, 1, 0, 561, 7},	//532 Plasma::DataEngineScript::sourceRequestEvent(const QString&)
	{30, 1224, 460, 1, 0, 561, 8},	//533 Plasma::DataEngineScript::updateSourceEvent(const QString&)
	{30, 931, 518, 3, Smoke::mf_protected, 0, 9},	//534 Plasma::DataEngineScript::setData(const QString&, const QString&, const QVariant&)
	{30, 931, 529, 2, Smoke::mf_protected, 0, 10},	//535 Plasma::DataEngineScript::setData(const QString&, const QVariant&)
	{30, 813, 460, 1, Smoke::mf_protected, 0, 11},	//536 Plasma::DataEngineScript::removeAllData(const QString&)
	{30, 818, 515, 2, Smoke::mf_protected, 0, 12},	//537 Plasma::DataEngineScript::removeData(const QString&, const QString&)
	{30, 1023, 632, 1, Smoke::mf_protected, 0, 13},	//538 Plasma::DataEngineScript::setMaxSourceCount(uint)
	{30, 1033, 576, 1, Smoke::mf_protected, 0, 14},	//539 Plasma::DataEngineScript::setMinimumPollingInterval(int)
	{30, 714, 0, 0, Smoke::mf_const|Smoke::mf_protected, 630, 15},	//540 Plasma::DataEngineScript::minimumPollingInterval() const
	{30, 1053, 632, 1, Smoke::mf_protected, 0, 16},	//541 Plasma::DataEngineScript::setPollingInterval(uint)
	{30, 815, 0, 0, Smoke::mf_protected, 0, 17},	//542 Plasma::DataEngineScript::removeAllSources()
	{31, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 1},	//543 Plasma::Delegate::SubTitleRole (enum)
	{31, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 2},	//544 Plasma::Delegate::SubTitleMandatoryRole (enum)
	{31, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 3},	//545 Plasma::Delegate::ColumnTypeRole (enum)
	{31, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 4},	//546 Plasma::Delegate::MainColumn (enum)
	{31, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 5},	//547 Plasma::Delegate::SecondaryActionColumn (enum)
	{31, 705, 0, 0, Smoke::mf_const, 598, 6},	//548 Plasma::Delegate::metaObject() const
	{31, 792, 174, 3, 0, 630, 7},	//549 Plasma::Delegate::qt_metacall(QMetaObject::Call, int, void**)
	{31, 72, 182, 1, Smoke::mf_ctor, 137, 8},	//550 Plasma::Delegate::Delegate(QObject*)
	{31, 72, 0, 0, Smoke::mf_ctor, 137, 9},	//551 Plasma::Delegate::Delegate()
	{31, 1281, 0, 0, Smoke::mf_dtor, 0, 17},	//552 Plasma::Delegate::~Delegate()
	{31, 1067, 49, 2, 0, 0, 10},	//553 Plasma::Delegate::setRoleMapping(Plasma::Delegate::SpecificRoles, int)
	{31, 847, 47, 1, Smoke::mf_const, 630, 11},	//554 Plasma::Delegate::roleMapping(Plasma::Delegate::SpecificRoles) const
	{31, 751, 240, 3, Smoke::mf_const, 0, 12},	//555 Plasma::Delegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
	{31, 803, 549, 2, Smoke::mf_const|Smoke::mf_protected, 379, 13},	//556 Plasma::Delegate::rectAfterTitle(const QStyleOptionViewItem&, const QModelIndex&) const
	{31, 801, 549, 2, Smoke::mf_const|Smoke::mf_protected, 379, 14},	//557 Plasma::Delegate::rectAfterSubTitle(const QStyleOptionViewItem&, const QModelIndex&) const
	{31, 482, 549, 2, Smoke::mf_const|Smoke::mf_protected, 379, 15},	//558 Plasma::Delegate::emptyRect(const QStyleOptionViewItem&, const QModelIndex&) const
	{31, 1154, 549, 2, Smoke::mf_const|Smoke::mf_protected, 383, 16},	//559 Plasma::Delegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
	{32, 705, 0, 0, Smoke::mf_const, 598, 1},	//560 Plasma::Dialog::metaObject() const
	{32, 792, 174, 3, 0, 630, 2},	//561 Plasma::Dialog::qt_metacall(QMetaObject::Call, int, void**)
	{32, 77, 311, 2, Smoke::mf_ctor, 140, 3},	//562 Plasma::Dialog::Dialog(QWidget*, Qt::WindowFlags)
	{32, 77, 305, 1, Smoke::mf_ctor, 140, 4},	//563 Plasma::Dialog::Dialog(QWidget*)
	{32, 77, 0, 0, Smoke::mf_ctor, 140, 5},	//564 Plasma::Dialog::Dialog()
	{32, 1282, 0, 0, Smoke::mf_dtor, 0, 10},	//565 Plasma::Dialog::~Dialog()
	{32, 784, 146, 3, 0, 0, 6},	//566 Plasma::Dialog::position(QGraphicsSceneEvent*, const QRectF, QPointF)
	{32, 784, 162, 3, 0, 0, 7},	//567 Plasma::Dialog::position(QGraphicsView*, const QRectF, QPointF)
	{32, 758, 205, 1, Smoke::mf_protected, 0, 8},	//568 Plasma::Dialog::paintEvent(QPaintEvent*)
	{32, 838, 280, 1, Smoke::mf_protected, 0, 9},	//569 Plasma::Dialog::resizeEvent(QResizeEvent*)
	{33, 705, 0, 0, Smoke::mf_const, 598, 1},	//570 Plasma::Flash::metaObject() const
	{33, 792, 174, 3, 0, 630, 2},	//571 Plasma::Flash::qt_metacall(QMetaObject::Call, int, void**)
	{33, 92, 111, 1, Smoke::mf_ctor, 142, 3},	//572 Plasma::Flash::Flash(QGraphicsItem*)
	{33, 92, 0, 0, Smoke::mf_ctor, 142, 4},	//573 Plasma::Flash::Flash()
	{33, 1283, 0, 0, Smoke::mf_dtor, 0, 20},	//574 Plasma::Flash::~Flash()
	{33, 751, 232, 3, 0, 0, 5},	//575 Plasma::Flash::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
	{33, 751, 229, 2, 0, 0, 6},	//576 Plasma::Flash::paint(QPainter*, const QStyleOptionGraphicsItem*)
	{33, 964, 395, 1, 0, 0, 7},	//577 Plasma::Flash::setFont(const QFont&)
	{33, 916, 393, 1, 0, 0, 8},	//578 Plasma::Flash::setColor(const QColor&)
	{33, 947, 576, 1, 0, 0, 9},	//579 Plasma::Flash::setDuration(int)
	{33, 512, 535, 3, 0, 0, 10},	//580 Plasma::Flash::flash(const QString&, int, const QTextOption&)
	{33, 512, 532, 2, 0, 0, 11},	//581 Plasma::Flash::flash(const QString&, int)
	{33, 512, 460, 1, 0, 0, 12},	//582 Plasma::Flash::flash(const QString&)
	{33, 512, 446, 3, 0, 0, 13},	//583 Plasma::Flash::flash(const QPixmap&, int, Qt::Alignment)
	{33, 512, 443, 2, 0, 0, 14},	//584 Plasma::Flash::flash(const QPixmap&, int)
	{33, 512, 441, 1, 0, 0, 15},	//585 Plasma::Flash::flash(const QPixmap&)
	{33, 627, 0, 0, 0, 0, 16},	//586 Plasma::Flash::kill()
	{33, 826, 0, 0, Smoke::mf_protected, 373, 17},	//587 Plasma::Flash::renderPixmap()
	{33, 504, 0, 0, Smoke::mf_protected, 0, 18},	//588 Plasma::Flash::fadeIn()
	{33, 505, 0, 0, Smoke::mf_protected, 0, 19},	//589 Plasma::Flash::fadeOut()
	{34, 705, 0, 0, Smoke::mf_const, 598, 1},	//590 Plasma::GLApplet::metaObject() const
	{34, 792, 174, 3, 0, 630, 2},	//591 Plasma::GLApplet::qt_metacall(QMetaObject::Call, int, void**)
	{34, 97, 126, 3, Smoke::mf_ctor, 147, 3},	//592 Plasma::GLApplet::GLApplet(QGraphicsItem*, const QString&, int)
	{34, 97, 187, 2, Smoke::mf_ctor, 147, 4},	//593 Plasma::GLApplet::GLApplet(QObject*, const QList<QVariant>&)
	{34, 1284, 0, 0, Smoke::mf_dtor, 0, 10},	//594 Plasma::GLApplet::~GLApplet()
	{34, 308, 425, 2, 0, 4, 5},	//595 Plasma::GLApplet::bindTexture(const QImage&, GLenum)
	{34, 308, 423, 1, 0, 4, 6},	//596 Plasma::GLApplet::bindTexture(const QImage&)
	{34, 405, 293, 1, 0, 0, 7},	//597 Plasma::GLApplet::deleteTexture(GLuint)
	{34, 760, 229, 2, 0, 0, 8},	//598 Plasma::GLApplet::paintGLInterface(QPainter*, const QStyleOptionGraphicsItem*)
	{34, 689, 0, 0, 0, 0, 9},	//599 Plasma::GLApplet::makeCurrent()
	{35, 705, 0, 0, Smoke::mf_const, 598, 1},	//600 Plasma::GroupBox::metaObject() const
	{35, 792, 174, 3, 0, 630, 2},	//601 Plasma::GroupBox::qt_metacall(QMetaObject::Call, int, void**)
	{35, 100, 166, 1, Smoke::mf_ctor, 148, 3},	//602 Plasma::GroupBox::GroupBox(QGraphicsWidget*)
	{35, 100, 0, 0, Smoke::mf_ctor, 148, 4},	//603 Plasma::GroupBox::GroupBox()
	{35, 1285, 0, 0, Smoke::mf_dtor, 0, 11},	//604 Plasma::GroupBox::~GroupBox()
	{35, 1096, 460, 1, 0, 0, 5},	//605 Plasma::GroupBox::setText(const QString&)
	{35, 1188, 0, 0, Smoke::mf_const, 389, 6},	//606 Plasma::GroupBox::text() const
	{35, 1087, 460, 1, 0, 0, 7},	//607 Plasma::GroupBox::setStyleSheet(const QString&)
	{35, 1180, 0, 0, 0, 389, 8},	//608 Plasma::GroupBox::styleSheet()
	{35, 738, 0, 0, Smoke::mf_const, 299, 9},	//609 Plasma::GroupBox::nativeWidget() const
	{35, 838, 158, 1, Smoke::mf_protected, 0, 10},	//610 Plasma::GroupBox::resizeEvent(QGraphicsSceneResizeEvent*)
	{36, 705, 0, 0, Smoke::mf_const, 598, 1},	//611 Plasma::Icon::metaObject() const
	{36, 792, 174, 3, 0, 630, 2},	//612 Plasma::Icon::qt_metacall(QMetaObject::Call, int, void**)
	{36, 110, 111, 1, Smoke::mf_ctor, 149, 3},	//613 Plasma::Icon::Icon(QGraphicsItem*)
	{36, 110, 0, 0, Smoke::mf_ctor, 149, 4},	//614 Plasma::Icon::Icon()
	{36, 110, 474, 2, Smoke::mf_ctor, 149, 5},	//615 Plasma::Icon::Icon(const QString&, QGraphicsItem*)
	{36, 110, 460, 1, Smoke::mf_ctor, 149, 6},	//616 Plasma::Icon::Icon(const QString&)
	{36, 110, 419, 3, Smoke::mf_ctor, 149, 7},	//617 Plasma::Icon::Icon(const QIcon&, const QString&, QGraphicsItem*)
	{36, 110, 416, 2, Smoke::mf_ctor, 149, 8},	//618 Plasma::Icon::Icon(const QIcon&, const QString&)
	{36, 1286, 0, 0, Smoke::mf_dtor, 0, 49},	//619 Plasma::Icon::~Icon()
	{36, 1188, 0, 0, Smoke::mf_const, 389, 9},	//620 Plasma::Icon::text() const
	{36, 1096, 460, 1, 0, 0, 10},	//621 Plasma::Icon::setText(const QString&)
	{36, 1091, 515, 2, 0, 0, 11},	//622 Plasma::Icon::setSvg(const QString&, const QString&)
	{36, 1091, 460, 1, 0, 0, 12},	//623 Plasma::Icon::setSvg(const QString&)
	{36, 582, 0, 0, Smoke::mf_const, 389, 13},	//624 Plasma::Icon::infoText() const
	{36, 1005, 460, 1, 0, 0, 14},	//625 Plasma::Icon::setInfoText(const QString&)
	{36, 573, 0, 0, Smoke::mf_const, 307, 15},	//626 Plasma::Icon::icon() const
	{36, 990, 414, 1, 0, 0, 16},	//627 Plasma::Icon::setIcon(const QIcon&)
	{36, 990, 460, 1, 0, 0, 17},	//628 Plasma::Icon::setIcon(const QString&)
	{36, 574, 0, 0, Smoke::mf_const, 384, 18},	//629 Plasma::Icon::iconSize() const
	{36, 261, 77, 1, 0, 0, 19},	//630 Plasma::Icon::addIconAction(QAction*)
	{36, 891, 77, 1, 0, 0, 20},	//631 Plasma::Icon::setAction(QAction*)
	{36, 233, 0, 0, Smoke::mf_const, 208, 21},	//632 Plasma::Icon::action() const
	{36, 1043, 323, 1, 0, 0, 22},	//633 Plasma::Icon::setOrientation(Qt::Orientation)
	{36, 594, 330, 1, 0, 0, 23},	//634 Plasma::Icon::invertLayout(bool)
	{36, 596, 0, 0, Smoke::mf_const, 561, 24},	//635 Plasma::Icon::invertedLayout() const
	{36, 1152, 571, 1, Smoke::mf_const, 384, 25},	//636 Plasma::Icon::sizeFromIconSize(const qreal) const
	{36, 739, 0, 0, 0, 630, 26},	//637 Plasma::Icon::numDisplayLines()
	{36, 1041, 576, 1, 0, 0, 27},	//638 Plasma::Icon::setNumDisplayLines(int)
	{36, 945, 330, 1, 0, 0, 28},	//639 Plasma::Icon::setDrawBackground(bool)
	{36, 434, 0, 0, Smoke::mf_const, 561, 29},	//640 Plasma::Icon::drawBackground() const
	{36, 1140, 0, 0, Smoke::mf_const, 370, 30},	//641 Plasma::Icon::shape() const
	{36, 430, 225, 3, 0, 0, 31},	//642 Plasma::Icon::drawActionButtonBase(QPainter*, const QSize&, int)
	{36, 1055, 330, 1, 0, 0, 32},	//643 Plasma::Icon::setPressed(bool)
	{36, 1055, 0, 0, 0, 0, 33},	//644 Plasma::Icon::setPressed()
	{36, 1112, 0, 0, 0, 0, 34},	//645 Plasma::Icon::setUnpressed()
	{36, 787, 330, 1, 0, 0, 35},	//646 Plasma::Icon::pressed(bool)
	{36, 328, 0, 0, 0, 0, 36},	//647 Plasma::Icon::clicked()
	{36, 422, 0, 0, 0, 0, 37},	//648 Plasma::Icon::doubleClicked()
	{36, 238, 0, 0, 0, 0, 38},	//649 Plasma::Icon::activated()
	{36, 319, 0, 0, 0, 0, 39},	//650 Plasma::Icon::changed()
	{36, 751, 232, 3, Smoke::mf_protected, 0, 40},	//651 Plasma::Icon::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
	{36, 751, 229, 2, Smoke::mf_protected, 0, 41},	//652 Plasma::Icon::paint(QPainter*, const QStyleOptionGraphicsItem*)
	{36, 600, 0, 0, Smoke::mf_protected, 561, 42},	//653 Plasma::Icon::isDown()
	{36, 720, 154, 1, Smoke::mf_protected, 0, 43},	//654 Plasma::Icon::mousePressEvent(QGraphicsSceneMouseEvent*)
	{36, 718, 154, 1, Smoke::mf_protected, 0, 44},	//655 Plasma::Icon::mouseMoveEvent(QGraphicsSceneMouseEvent*)
	{36, 722, 154, 1, Smoke::mf_protected, 0, 45},	//656 Plasma::Icon::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
	{36, 716, 154, 1, Smoke::mf_protected, 0, 46},	//657 Plasma::Icon::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
	{36, 567, 152, 1, Smoke::mf_protected, 0, 47},	//658 Plasma::Icon::hoverEnterEvent(QGraphicsSceneHoverEvent*)
	{36, 569, 152, 1, Smoke::mf_protected, 0, 48},	//659 Plasma::Icon::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
	{37, 705, 0, 0, Smoke::mf_const, 598, 1},	//660 Plasma::Label::metaObject() const
	{37, 792, 174, 3, 0, 630, 2},	//661 Plasma::Label::qt_metacall(QMetaObject::Call, int, void**)
	{37, 120, 166, 1, Smoke::mf_ctor, 153, 3},	//662 Plasma::Label::Label(QGraphicsWidget*)
	{37, 120, 0, 0, Smoke::mf_ctor, 153, 4},	//663 Plasma::Label::Label()
	{37, 1287, 0, 0, Smoke::mf_dtor, 0, 14},	//664 Plasma::Label::~Label()
	{37, 1096, 460, 1, 0, 0, 5},	//665 Plasma::Label::setText(const QString&)
	{37, 1188, 0, 0, Smoke::mf_const, 389, 6},	//666 Plasma::Label::text() const
	{37, 997, 460, 1, 0, 0, 7},	//667 Plasma::Label::setImage(const QString&)
	{37, 577, 0, 0, Smoke::mf_const, 389, 8},	//668 Plasma::Label::image() const
	{37, 1087, 460, 1, 0, 0, 9},	//669 Plasma::Label::setStyleSheet(const QString&)
	{37, 1180, 0, 0, 0, 389, 10},	//670 Plasma::Label::styleSheet()
	{37, 738, 0, 0, Smoke::mf_const, 317, 11},	//671 Plasma::Label::nativeWidget() const
	{37, 402, 502, 2, 0, 0, 12},	//672 Plasma::Label::dataUpdated(const QString&, const QHash<QString, QVariant>&)
	{37, 838, 158, 1, Smoke::mf_protected, 0, 13},	//673 Plasma::Label::resizeEvent(QGraphicsSceneResizeEvent*)
	{38, 705, 0, 0, Smoke::mf_const, 598, 1},	//674 Plasma::LineEdit::metaObject() const
	{38, 792, 174, 3, 0, 630, 2},	//675 Plasma::LineEdit::qt_metacall(QMetaObject::Call, int, void**)
	{38, 127, 166, 1, Smoke::mf_ctor, 154, 3},	//676 Plasma::LineEdit::LineEdit(QGraphicsWidget*)
	{38, 127, 0, 0, Smoke::mf_ctor, 154, 4},	//677 Plasma::LineEdit::LineEdit()
	{38, 1288, 0, 0, Smoke::mf_dtor, 0, 13},	//678 Plasma::LineEdit::~LineEdit()
	{38, 1096, 460, 1, 0, 0, 5},	//679 Plasma::LineEdit::setText(const QString&)
	{38, 1188, 0, 0, Smoke::mf_const, 389, 6},	//680 Plasma::LineEdit::text() const
	{38, 1087, 460, 1, 0, 0, 7},	//681 Plasma::LineEdit::setStyleSheet(const QString&)
	{38, 1180, 0, 0, 0, 389, 8},	//682 Plasma::LineEdit::styleSheet()
	{38, 738, 0, 0, Smoke::mf_const, 59, 9},	//683 Plasma::LineEdit::nativeWidget() const
	{38, 458, 0, 0, 0, 0, 10},	//684 Plasma::LineEdit::editingFinished()
	{38, 846, 0, 0, 0, 0, 11},	//685 Plasma::LineEdit::returnPressed()
	{38, 1190, 460, 1, 0, 0, 12},	//686 Plasma::LineEdit::textEdited(const QString&)
	{39, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 1},	//687 Plasma::Meter::BarMeterHorizontal (enum)
	{39, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 2},	//688 Plasma::Meter::BarMeterVertical (enum)
	{39, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 3},	//689 Plasma::Meter::AnalogMeter (enum)
	{39, 705, 0, 0, Smoke::mf_const, 598, 4},	//690 Plasma::Meter::metaObject() const
	{39, 792, 174, 3, 0, 630, 5},	//691 Plasma::Meter::qt_metacall(QMetaObject::Call, int, void**)
	{39, 136, 111, 1, Smoke::mf_ctor, 157, 6},	//692 Plasma::Meter::Meter(QGraphicsItem*)
	{39, 136, 0, 0, Smoke::mf_ctor, 157, 7},	//693 Plasma::Meter::Meter()
	{39, 1289, 0, 0, Smoke::mf_dtor, 0, 29},	//694 Plasma::Meter::~Meter()
	{39, 1025, 576, 1, 0, 0, 8},	//695 Plasma::Meter::setMaximum(int)
	{39, 704, 0, 0, Smoke::mf_const, 630, 9},	//696 Plasma::Meter::maximum() const
	{39, 1031, 576, 1, 0, 0, 10},	//697 Plasma::Meter::setMinimum(int)
	{39, 713, 0, 0, Smoke::mf_const, 630, 11},	//698 Plasma::Meter::minimum() const
	{39, 1121, 576, 1, 0, 0, 12},	//699 Plasma::Meter::setValue(int)
	{39, 1235, 0, 0, Smoke::mf_const, 630, 13},	//700 Plasma::Meter::value() const
	{39, 1091, 460, 1, 0, 0, 14},	//701 Plasma::Meter::setSvg(const QString&)
	{39, 1184, 0, 0, Smoke::mf_const, 389, 15},	//702 Plasma::Meter::svg() const
	{39, 1027, 56, 1, 0, 0, 16},	//703 Plasma::Meter::setMeterType(Plasma::Meter::MeterType)
	{39, 707, 0, 0, Smoke::mf_const, 158, 17},	//704 Plasma::Meter::meterType() const
	{39, 1011, 587, 2, 0, 0, 18},	//705 Plasma::Meter::setLabel(int, const QString&)
	{39, 630, 576, 1, Smoke::mf_const, 389, 19},	//706 Plasma::Meter::label(int) const
	{39, 1015, 578, 2, 0, 0, 20},	//707 Plasma::Meter::setLabelColor(int, const QColor&)
	{39, 634, 576, 1, Smoke::mf_const, 216, 21},	//708 Plasma::Meter::labelColor(int) const
	{39, 1017, 581, 2, 0, 0, 22},	//709 Plasma::Meter::setLabelFont(int, const QFont&)
	{39, 636, 576, 1, Smoke::mf_const, 247, 23},	//710 Plasma::Meter::labelFont(int) const
	{39, 1013, 590, 2, 0, 0, 24},	//711 Plasma::Meter::setLabelAlignment(int, const Qt::Alignment)
	{39, 632, 576, 1, Smoke::mf_const, 472, 25},	//712 Plasma::Meter::labelAlignment(int) const
	{39, 402, 502, 2, 0, 0, 26},	//713 Plasma::Meter::dataUpdated(const QString&, const QHash<QString, QVariant>&)
	{39, 751, 232, 3, Smoke::mf_protected, 0, 27},	//714 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
	{39, 751, 229, 2, Smoke::mf_protected, 0, 28},	//715 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*)
	{40, 151, 522, 3, Smoke::mf_ctor, 159, 1},	//716 Plasma::Package::Package(const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>)
	{40, 151, 546, 2, Smoke::mf_ctor, 159, 2},	//717 Plasma::Package::Package(const QString&, KSharedPtr<Plasma::PackageStructure>)
	{40, 1290, 0, 0, Smoke::mf_dtor, 0, 15},	//718 Plasma::Package::~Package()
	{40, 609, 0, 0, Smoke::mf_const, 561, 3},	//719 Plasma::Package::isValid() const
	{40, 506, 564, 2, Smoke::mf_const, 389, 4},	//720 Plasma::Package::filePath(const char*, const QString&) const
	{40, 506, 556, 1, Smoke::mf_const, 389, 5},	//721 Plasma::Package::filePath(const char*) const
	{40, 493, 556, 1, Smoke::mf_const, 394, 6},	//722 Plasma::Package::entryList(const char*) const
	{40, 706, 0, 0, Smoke::mf_const, 574, 7},	//723 Plasma::Package::metadata() const
	{40, 773, 0, 0, Smoke::mf_const, 617, 8},	//724 Plasma::Package::path() const
	{40, 1177, 0, 0, Smoke::mf_const, 567, 9},	//725 Plasma::Package::structure() const
	{40, 663, 460, 1, Smoke::mf_static, 394, 10},	//726 Plasma::Package::listInstalled(const QString&)
	{40, 592, 515, 2, Smoke::mf_static, 561, 11},	//727 Plasma::Package::installPackage(const QString&, const QString&)
	{40, 807, 363, 2, Smoke::mf_static, 561, 12},	//728 Plasma::Package::registerPackage(const Plasma::PackageMetadata&, const QString&)
	{40, 383, 370, 4, Smoke::mf_static, 561, 13},	//729 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&, const QString&)
	{40, 383, 366, 3, Smoke::mf_static, 561, 14},	//730 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&)
	{41, 154, 0, 0, Smoke::mf_ctor, 160, 1},	//731 Plasma::PackageMetadata::PackageMetadata()
	{41, 154, 460, 1, Smoke::mf_ctor, 160, 2},	//732 Plasma::PackageMetadata::PackageMetadata(const QString&)
	{41, 1291, 0, 0, Smoke::mf_dtor, 0, 35},	//733 Plasma::PackageMetadata::~PackageMetadata()
	{41, 609, 0, 0, Smoke::mf_const, 561, 3},	//734 Plasma::PackageMetadata::isValid() const
	{41, 1261, 460, 1, Smoke::mf_const, 0, 4},	//735 Plasma::PackageMetadata::write(const QString&) const
	{41, 797, 460, 1, 0, 0, 5},	//736 Plasma::PackageMetadata::read(const QString&)
	{41, 736, 0, 0, Smoke::mf_const, 389, 6},	//737 Plasma::PackageMetadata::name() const
	{41, 407, 0, 0, Smoke::mf_const, 389, 7},	//738 Plasma::PackageMetadata::description() const
	{41, 890, 0, 0, Smoke::mf_const, 389, 8},	//739 Plasma::PackageMetadata::serviceType() const
	{41, 302, 0, 0, Smoke::mf_const, 389, 9},	//740 Plasma::PackageMetadata::author() const
	{41, 481, 0, 0, Smoke::mf_const, 389, 10},	//741 Plasma::PackageMetadata::email() const
	{41, 1236, 0, 0, Smoke::mf_const, 389, 11},	//742 Plasma::PackageMetadata::version() const
	{41, 1251, 0, 0, Smoke::mf_const, 389, 12},	//743 Plasma::PackageMetadata::website() const
	{41, 648, 0, 0, Smoke::mf_const, 389, 13},	//744 Plasma::PackageMetadata::license() const
	{41, 300, 0, 0, Smoke::mf_const, 389, 14},	//745 Plasma::PackageMetadata::application() const
	{41, 314, 0, 0, Smoke::mf_const, 389, 15},	//746 Plasma::PackageMetadata::category() const
	{41, 833, 0, 0, Smoke::mf_const, 389, 16},	//747 Plasma::PackageMetadata::requiredVersion() const
	{41, 779, 0, 0, Smoke::mf_const, 389, 17},	//748 Plasma::PackageMetadata::pluginName() const
	{41, 581, 0, 0, Smoke::mf_const, 389, 18},	//749 Plasma::PackageMetadata::implementationApi() const
	{41, 1204, 0, 0, Smoke::mf_const, 389, 19},	//750 Plasma::PackageMetadata::type() const
	{41, 1037, 460, 1, 0, 0, 20},	//751 Plasma::PackageMetadata::setName(const QString&)
	{41, 941, 460, 1, 0, 0, 21},	//752 Plasma::PackageMetadata::setDescription(const QString&)
	{41, 1073, 460, 1, 0, 0, 22},	//753 Plasma::PackageMetadata::setServiceType(const QString&)
	{41, 901, 460, 1, 0, 0, 23},	//754 Plasma::PackageMetadata::setAuthor(const QString&)
	{41, 953, 460, 1, 0, 0, 24},	//755 Plasma::PackageMetadata::setEmail(const QString&)
	{41, 1123, 460, 1, 0, 0, 25},	//756 Plasma::PackageMetadata::setVersion(const QString&)
	{41, 1137, 460, 1, 0, 0, 26},	//757 Plasma::PackageMetadata::setWebsite(const QString&)
	{41, 1019, 460, 1, 0, 0, 27},	//758 Plasma::PackageMetadata::setLicense(const QString&)
	{41, 897, 460, 1, 0, 0, 28},	//759 Plasma::PackageMetadata::setApplication(const QString&)
	{41, 912, 460, 1, 0, 0, 29},	//760 Plasma::PackageMetadata::setCategory(const QString&)
	{41, 1065, 460, 1, 0, 0, 30},	//761 Plasma::PackageMetadata::setRequiredVersion(const QString&)
	{41, 1108, 460, 1, 0, 0, 31},	//762 Plasma::PackageMetadata::setType(const QString&)
	{41, 1051, 460, 1, 0, 0, 32},	//763 Plasma::PackageMetadata::setPluginName(const QString&)
	{41, 1003, 460, 1, 0, 0, 33},	//764 Plasma::PackageMetadata::setImplementationApi(const QString&)
	{41, 154, 361, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 160, 34},	//765 Plasma::PackageMetadata::PackageMetadata(const Plasma::PackageMetadata&)
	{42, 705, 0, 0, Smoke::mf_const, 598, 1},	//766 Plasma::PackageStructure::metaObject() const
	{42, 792, 174, 3, 0, 630, 2},	//767 Plasma::PackageStructure::qt_metacall(QMetaObject::Call, int, void**)
	{42, 157, 190, 2, Smoke::mf_ctor, 162, 3},	//768 Plasma::PackageStructure::PackageStructure(QObject*, const QString&)
	{42, 157, 182, 1, Smoke::mf_ctor, 162, 4},	//769 Plasma::PackageStructure::PackageStructure(QObject*)
	{42, 157, 0, 0, Smoke::mf_ctor, 162, 5},	//770 Plasma::PackageStructure::PackageStructure()
	{42, 1292, 0, 0, Smoke::mf_dtor, 0, 31},	//771 Plasma::PackageStructure::~PackageStructure()
	{42, 745, 375, 1, 0, 161, 6},	//772 Plasma::PackageStructure::operator=(const Plasma::PackageStructure&)
	{42, 1204, 0, 0, Smoke::mf_const, 389, 7},	//773 Plasma::PackageStructure::type() const
	{42, 413, 0, 0, Smoke::mf_const, 329, 8},	//774 Plasma::PackageStructure::directories() const
	{42, 831, 0, 0, Smoke::mf_const, 329, 9},	//775 Plasma::PackageStructure::requiredDirectories() const
	{42, 509, 0, 0, Smoke::mf_const, 329, 10},	//776 Plasma::PackageStructure::files() const
	{42, 832, 0, 0, Smoke::mf_const, 329, 11},	//777 Plasma::PackageStructure::requiredFiles() const
	{42, 257, 567, 3, 0, 0, 12},	//778 Plasma::PackageStructure::addDirectoryDefinition(const char*, const QString&, const QString&)
	{42, 259, 567, 3, 0, 0, 13},	//779 Plasma::PackageStructure::addFileDefinition(const char*, const QString&, const QString&)
	{42, 773, 556, 1, Smoke::mf_const, 389, 14},	//780 Plasma::PackageStructure::path(const char*) const
	{42, 736, 556, 1, Smoke::mf_const, 389, 15},	//781 Plasma::PackageStructure::name(const char*) const
	{42, 1063, 561, 2, 0, 0, 16},	//782 Plasma::PackageStructure::setRequired(const char*, bool)
	{42, 607, 556, 1, Smoke::mf_const, 561, 17},	//783 Plasma::PackageStructure::isRequired(const char*) const
	{42, 938, 289, 1, 0, 0, 18},	//784 Plasma::PackageStructure::setDefaultMimetypes(QStringList)
	{42, 1029, 558, 2, 0, 0, 19},	//785 Plasma::PackageStructure::setMimetypes(const char*, QStringList)
	{42, 711, 556, 1, Smoke::mf_const, 394, 20},	//786 Plasma::PackageStructure::mimetypes(const char*) const
	{42, 1047, 460, 1, 0, 0, 21},	//787 Plasma::PackageStructure::setPath(const QString&)
	{42, 773, 0, 0, Smoke::mf_const, 389, 22},	//788 Plasma::PackageStructure::path() const
	{42, 797, 335, 1, 0, 0, 23},	//789 Plasma::PackageStructure::read(const KConfigBase*)
	{42, 1261, 58, 1, Smoke::mf_const, 0, 24},	//790 Plasma::PackageStructure::write(KConfigBase*) const
	{42, 592, 515, 2, 0, 561, 25},	//791 Plasma::PackageStructure::installPackage(const QString&, const QString&)
	{42, 1209, 515, 2, 0, 561, 26},	//792 Plasma::PackageStructure::uninstallPackage(const QString&, const QString&)
	{42, 374, 0, 0, Smoke::mf_const, 389, 27},	//793 Plasma::PackageStructure::contentsPrefix() const
	{42, 665, 460, 1, Smoke::mf_static, 81, 28},	//794 Plasma::PackageStructure::load(const QString&)
	{42, 927, 460, 1, Smoke::mf_protected, 0, 29},	//795 Plasma::PackageStructure::setContentsPrefix(const QString&)
	{42, 775, 0, 0, Smoke::mf_protected, 0, 30},	//796 Plasma::PackageStructure::pathChanged()
	{43, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 1},	//797 Plasma::PanelSvg::NoBorder (enum)
	{43, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 2},	//798 Plasma::PanelSvg::TopBorder (enum)
	{43, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 3},	//799 Plasma::PanelSvg::BottomBorder (enum)
	{43, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 4},	//800 Plasma::PanelSvg::LeftBorder (enum)
	{43, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 5},	//801 Plasma::PanelSvg::RightBorder (enum)
	{43, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 6},	//802 Plasma::PanelSvg::AllBorders (enum)
	{43, 705, 0, 0, Smoke::mf_const, 598, 7},	//803 Plasma::PanelSvg::metaObject() const
	{43, 792, 174, 3, 0, 630, 8},	//804 Plasma::PanelSvg::qt_metacall(QMetaObject::Call, int, void**)
	{43, 161, 182, 1, Smoke::mf_ctor, 163, 9},	//805 Plasma::PanelSvg::PanelSvg(QObject*)
	{43, 161, 0, 0, Smoke::mf_ctor, 163, 10},	//806 Plasma::PanelSvg::PanelSvg()
	{43, 1293, 0, 0, Smoke::mf_dtor, 0, 29},	//807 Plasma::PanelSvg::~PanelSvg()
	{43, 999, 460, 1, 0, 0, 11},	//808 Plasma::PanelSvg::setImagePath(const QString&)
	{43, 957, 377, 1, 0, 0, 12},	//809 Plasma::PanelSvg::setEnabledBorders(const Plasma::PanelSvg::EnabledBorders)
	{43, 486, 0, 0, Smoke::mf_const, 165, 13},	//810 Plasma::PanelSvg::enabledBorders() const
	{43, 840, 458, 1, 0, 0, 14},	//811 Plasma::PanelSvg::resizePanel(const QSizeF&)
	{43, 772, 0, 0, Smoke::mf_const, 384, 15},	//812 Plasma::PanelSvg::panelSize() const
	{43, 694, 359, 1, Smoke::mf_const, 632, 16},	//813 Plasma::PanelSvg::marginSize(const Plasma::MarginEdge) const
	{43, 541, 622, 4, Smoke::mf_const, 0, 17},	//814 Plasma::PanelSvg::getMargins(qreal&, qreal&, qreal&, qreal&) const
	{43, 951, 54, 1, 0, 0, 18},	//815 Plasma::PanelSvg::setElementPrefix(Plasma::Location)
	{43, 951, 460, 1, 0, 0, 19},	//816 Plasma::PanelSvg::setElementPrefix(const QString&)
	{43, 554, 460, 1, Smoke::mf_const, 561, 20},	//817 Plasma::PanelSvg::hasElementPrefix(const QString&) const
	{43, 554, 54, 1, Smoke::mf_const, 561, 21},	//818 Plasma::PanelSvg::hasElementPrefix(Plasma::Location) const
	{43, 786, 0, 0, 0, 389, 22},	//819 Plasma::PanelSvg::prefix()
	{43, 696, 0, 0, Smoke::mf_const, 212, 23},	//820 Plasma::PanelSvg::mask() const
	{43, 907, 330, 1, 0, 0, 24},	//821 Plasma::PanelSvg::setCacheAllRenderedPanels(bool)
	{43, 312, 0, 0, Smoke::mf_const, 561, 25},	//822 Plasma::PanelSvg::cacheAllRenderedPanels() const
	{43, 326, 0, 0, 0, 0, 26},	//823 Plasma::PanelSvg::clearCache()
	{43, 764, 217, 3, 0, 0, 27},	//824 Plasma::PanelSvg::paintPanel(QPainter*, const QRectF&, const QPointF&)
	{43, 764, 214, 2, 0, 0, 28},	//825 Plasma::PanelSvg::paintPanel(QPainter*, const QRectF&)
	{44, 916, 85, 1, 0, 0, 3},	//826 Plasma::PlotColor::setColor(QColor)
	{44, 929, 85, 1, 0, 0, 4},	//827 Plasma::PlotColor::setDarkColor(QColor)
	{44, 164, 0, 0, Smoke::mf_ctor, 167, 5},	//828 Plasma::PlotColor::PlotColor()
	{44, 1294, 0, 0, Smoke::mf_dtor, 0, 7},	//829 Plasma::PlotColor::~PlotColor()
	{44, 164, 379, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 167, 6},	//830 Plasma::PlotColor::PlotColor(const Plasma::PlotColor&)
	{44, 338, 0, 0, 0, 216, 1},	//831 Plasma::PlotColor::color (var)
	{44, 398, 0, 0, 0, 216, 2},	//832 Plasma::PlotColor::darkColor (var)
	{45, 705, 0, 0, Smoke::mf_const, 598, 1},	//833 Plasma::PushButton::metaObject() const
	{45, 792, 174, 3, 0, 630, 2},	//834 Plasma::PushButton::qt_metacall(QMetaObject::Call, int, void**)
	{45, 167, 166, 1, Smoke::mf_ctor, 169, 3},	//835 Plasma::PushButton::PushButton(QGraphicsWidget*)
	{45, 167, 0, 0, Smoke::mf_ctor, 169, 4},	//836 Plasma::PushButton::PushButton()
	{45, 1295, 0, 0, Smoke::mf_dtor, 0, 14},	//837 Plasma::PushButton::~PushButton()
	{45, 1096, 460, 1, 0, 0, 5},	//838 Plasma::PushButton::setText(const QString&)
	{45, 1188, 0, 0, Smoke::mf_const, 389, 6},	//839 Plasma::PushButton::text() const
	{45, 997, 460, 1, 0, 0, 7},	//840 Plasma::PushButton::setImage(const QString&)
	{45, 577, 0, 0, Smoke::mf_const, 389, 8},	//841 Plasma::PushButton::image() const
	{45, 1087, 460, 1, 0, 0, 9},	//842 Plasma::PushButton::setStyleSheet(const QString&)
	{45, 1180, 0, 0, 0, 389, 10},	//843 Plasma::PushButton::styleSheet()
	{45, 738, 0, 0, Smoke::mf_const, 76, 11},	//844 Plasma::PushButton::nativeWidget() const
	{45, 328, 0, 0, 0, 0, 12},	//845 Plasma::PushButton::clicked()
	{45, 838, 158, 1, Smoke::mf_protected, 0, 13},	//846 Plasma::PushButton::resizeEvent(QGraphicsSceneResizeEvent*)
	{46, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 1},	//847 Plasma::QueryMatch::NoMatch (enum)
	{46, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 2},	//848 Plasma::QueryMatch::CompletionMatch (enum)
	{46, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 3},	//849 Plasma::QueryMatch::PossibleMatch (enum)
	{46, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 4},	//850 Plasma::QueryMatch::InformationalMatch (enum)
	{46, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 5},	//851 Plasma::QueryMatch::HelperMatch (enum)
	{46, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 6},	//852 Plasma::QueryMatch::ExactMatch (enum)
	{46, 169, 1, 1, Smoke::mf_ctor, 172, 7},	//853 Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
	{46, 169, 381, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 172, 8},	//854 Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
	{46, 1296, 0, 0, Smoke::mf_dtor, 0, 30},	//855 Plasma::QueryMatch::~QueryMatch()
	{46, 609, 0, 0, Smoke::mf_const, 561, 9},	//856 Plasma::QueryMatch::isValid() const
	{46, 1108, 60, 1, 0, 0, 10},	//857 Plasma::QueryMatch::setType(Plasma::QueryMatch::Type)
	{46, 1204, 0, 0, Smoke::mf_const, 173, 11},	//858 Plasma::QueryMatch::type() const
	{46, 1061, 606, 1, 0, 0, 12},	//859 Plasma::QueryMatch::setRelevance(qreal)
	{46, 811, 0, 0, Smoke::mf_const, 632, 13},	//860 Plasma::QueryMatch::relevance() const
	{46, 853, 0, 0, Smoke::mf_const, 104, 14},	//861 Plasma::QueryMatch::runner() const
	{46, 575, 0, 0, Smoke::mf_const, 389, 15},	//862 Plasma::QueryMatch::id() const
	{46, 1188, 0, 0, Smoke::mf_const, 389, 16},	//863 Plasma::QueryMatch::text() const
	{46, 1181, 0, 0, Smoke::mf_const, 389, 17},	//864 Plasma::QueryMatch::subtext() const
	{46, 399, 0, 0, Smoke::mf_const, 452, 18},	//865 Plasma::QueryMatch::data() const
	{46, 573, 0, 0, Smoke::mf_const, 307, 19},	//866 Plasma::QueryMatch::icon() const
	{46, 602, 0, 0, Smoke::mf_const, 561, 20},	//867 Plasma::QueryMatch::isEnabled() const
	{46, 743, 381, 1, Smoke::mf_const, 561, 21},	//868 Plasma::QueryMatch::operator<(const Plasma::QueryMatch&) const
	{46, 745, 381, 1, 0, 171, 22},	//869 Plasma::QueryMatch::operator=(const Plasma::QueryMatch&)
	{46, 849, 383, 1, Smoke::mf_const, 0, 23},	//870 Plasma::QueryMatch::run(const Plasma::RunnerContext&) const
	{46, 931, 554, 1, 0, 0, 24},	//871 Plasma::QueryMatch::setData(const QVariant&)
	{46, 993, 460, 1, 0, 0, 25},	//872 Plasma::QueryMatch::setId(const QString&)
	{46, 1096, 460, 1, 0, 0, 26},	//873 Plasma::QueryMatch::setText(const QString&)
	{46, 1089, 460, 1, 0, 0, 27},	//874 Plasma::QueryMatch::setSubtext(const QString&)
	{46, 990, 414, 1, 0, 0, 28},	//875 Plasma::QueryMatch::setIcon(const QIcon&)
	{46, 955, 330, 1, 0, 0, 29},	//876 Plasma::QueryMatch::setEnabled(bool)
	{47, 705, 0, 0, Smoke::mf_const, 598, 1},	//877 Plasma::RadioButton::metaObject() const
	{47, 792, 174, 3, 0, 630, 2},	//878 Plasma::RadioButton::qt_metacall(QMetaObject::Call, int, void**)
	{47, 171, 166, 1, Smoke::mf_ctor, 174, 3},	//879 Plasma::RadioButton::RadioButton(QGraphicsWidget*)
	{47, 171, 0, 0, Smoke::mf_ctor, 174, 4},	//880 Plasma::RadioButton::RadioButton()
	{47, 1297, 0, 0, Smoke::mf_dtor, 0, 16},	//881 Plasma::RadioButton::~RadioButton()
	{47, 1096, 460, 1, 0, 0, 5},	//882 Plasma::RadioButton::setText(const QString&)
	{47, 1188, 0, 0, Smoke::mf_const, 389, 6},	//883 Plasma::RadioButton::text() const
	{47, 997, 460, 1, 0, 0, 7},	//884 Plasma::RadioButton::setImage(const QString&)
	{47, 577, 0, 0, Smoke::mf_const, 389, 8},	//885 Plasma::RadioButton::image() const
	{47, 1087, 460, 1, 0, 0, 9},	//886 Plasma::RadioButton::setStyleSheet(const QString&)
	{47, 1180, 0, 0, 0, 389, 10},	//887 Plasma::RadioButton::styleSheet()
	{47, 738, 0, 0, Smoke::mf_const, 378, 11},	//888 Plasma::RadioButton::nativeWidget() const
	{47, 914, 330, 1, 0, 0, 12},	//889 Plasma::RadioButton::setChecked(bool)
	{47, 598, 0, 0, Smoke::mf_const, 561, 13},	//890 Plasma::RadioButton::isChecked() const
	{47, 1198, 330, 1, 0, 0, 14},	//891 Plasma::RadioButton::toggled(bool)
	{47, 838, 158, 1, Smoke::mf_protected, 0, 15},	//892 Plasma::RadioButton::resizeEvent(QGraphicsSceneResizeEvent*)
	{48, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 1},	//893 Plasma::RunnerContext::None (enum)
	{48, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 2},	//894 Plasma::RunnerContext::UnknownType (enum)
	{48, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 3},	//895 Plasma::RunnerContext::Directory (enum)
	{48, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 4},	//896 Plasma::RunnerContext::File (enum)
	{48, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 5},	//897 Plasma::RunnerContext::NetworkLocation (enum)
	{48, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 6},	//898 Plasma::RunnerContext::Executable (enum)
	{48, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 7},	//899 Plasma::RunnerContext::ShellCommand (enum)
	{48, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 8},	//900 Plasma::RunnerContext::Help (enum)
	{48, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 9},	//901 Plasma::RunnerContext::FileSystem (enum)
	{48, 705, 0, 0, Smoke::mf_const, 598, 10},	//902 Plasma::RunnerContext::metaObject() const
	{48, 792, 174, 3, 0, 630, 11},	//903 Plasma::RunnerContext::qt_metacall(QMetaObject::Call, int, void**)
	{48, 179, 182, 1, Smoke::mf_ctor, 176, 12},	//904 Plasma::RunnerContext::RunnerContext(QObject*)
	{48, 179, 0, 0, Smoke::mf_ctor, 176, 13},	//905 Plasma::RunnerContext::RunnerContext()
	{48, 179, 64, 2, Smoke::mf_ctor, 176, 14},	//906 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&, QObject*)
	{48, 179, 62, 1, Smoke::mf_ctor, 176, 15},	//907 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
	{48, 1298, 0, 0, Smoke::mf_dtor, 0, 26},	//908 Plasma::RunnerContext::~RunnerContext()
	{48, 834, 0, 0, 0, 0, 16},	//909 Plasma::RunnerContext::reset()
	{48, 1059, 460, 1, 0, 0, 17},	//910 Plasma::RunnerContext::setQuery(const QString&)
	{48, 794, 0, 0, Smoke::mf_const, 389, 18},	//911 Plasma::RunnerContext::query() const
	{48, 1204, 0, 0, Smoke::mf_const, 177, 19},	//912 Plasma::RunnerContext::type() const
	{48, 710, 0, 0, Smoke::mf_const, 389, 20},	//913 Plasma::RunnerContext::mimeType() const
	{48, 267, 505, 2, 0, 561, 21},	//914 Plasma::RunnerContext::addMatches(const QString&, const QList<Plasma::QueryMatch>&)
	{48, 265, 499, 2, 0, 561, 22},	//915 Plasma::RunnerContext::addMatch(const QString&, const Plasma::QueryMatch&)
	{48, 700, 0, 0, Smoke::mf_const, 325, 23},	//916 Plasma::RunnerContext::matches() const
	{48, 697, 460, 1, Smoke::mf_const, 170, 24},	//917 Plasma::RunnerContext::match(const QString&) const
	{48, 701, 0, 0, 0, 0, 25},	//918 Plasma::RunnerContext::matchesChanged()
	{49, 705, 0, 0, Smoke::mf_const, 598, 1},	//919 Plasma::RunnerManager::metaObject() const
	{49, 792, 174, 3, 0, 630, 2},	//920 Plasma::RunnerManager::qt_metacall(QMetaObject::Call, int, void**)
	{49, 182, 182, 1, Smoke::mf_ctor, 180, 3},	//921 Plasma::RunnerManager::RunnerManager(QObject*)
	{49, 182, 0, 0, Smoke::mf_ctor, 180, 4},	//922 Plasma::RunnerManager::RunnerManager()
	{49, 182, 91, 2, Smoke::mf_ctor, 180, 5},	//923 Plasma::RunnerManager::RunnerManager(KConfigGroup&, QObject*)
	{49, 182, 89, 1, Smoke::mf_ctor, 180, 6},	//924 Plasma::RunnerManager::RunnerManager(KConfigGroup&)
	{49, 1299, 0, 0, Smoke::mf_dtor, 0, 20},	//925 Plasma::RunnerManager::~RunnerManager()
	{49, 853, 460, 1, Smoke::mf_const, 104, 7},	//926 Plasma::RunnerManager::runner(const QString&) const
	{49, 883, 0, 0, Smoke::mf_const, 176, 8},	//927 Plasma::RunnerManager::searchContext() const
	{49, 700, 0, 0, Smoke::mf_const, 325, 9},	//928 Plasma::RunnerManager::matches() const
	{49, 849, 381, 1, 0, 0, 10},	//929 Plasma::RunnerManager::run(const Plasma::QueryMatch&)
	{49, 849, 460, 1, 0, 0, 11},	//930 Plasma::RunnerManager::run(const QString&)
	{49, 794, 0, 0, Smoke::mf_const, 389, 12},	//931 Plasma::RunnerManager::query() const
	{49, 812, 0, 0, 0, 0, 13},	//932 Plasma::RunnerManager::reloadConfiguration()
	{49, 643, 515, 2, 0, 0, 14},	//933 Plasma::RunnerManager::launchQuery(const QString&, const QString&)
	{49, 643, 460, 1, 0, 0, 15},	//934 Plasma::RunnerManager::launchQuery(const QString&)
	{49, 499, 515, 2, 0, 561, 16},	//935 Plasma::RunnerManager::execQuery(const QString&, const QString&)
	{49, 499, 460, 1, 0, 561, 17},	//936 Plasma::RunnerManager::execQuery(const QString&)
	{49, 834, 0, 0, 0, 0, 18},	//937 Plasma::RunnerManager::reset()
	{49, 701, 428, 1, 0, 0, 19},	//938 Plasma::RunnerManager::matchesChanged(const QList<Plasma::QueryMatch>&)
	{50, 705, 0, 0, Smoke::mf_const, 598, 1},	//939 Plasma::RunnerScript::metaObject() const
	{50, 792, 174, 3, 0, 630, 2},	//940 Plasma::RunnerScript::qt_metacall(QMetaObject::Call, int, void**)
	{50, 185, 182, 1, Smoke::mf_ctor, 181, 3},	//941 Plasma::RunnerScript::RunnerScript(QObject*)
	{50, 185, 0, 0, Smoke::mf_ctor, 181, 4},	//942 Plasma::RunnerScript::RunnerScript()
	{50, 1300, 0, 0, Smoke::mf_dtor, 0, 11},	//943 Plasma::RunnerScript::~RunnerScript()
	{50, 1069, 1, 1, 0, 0, 5},	//944 Plasma::RunnerScript::setRunner(Plasma::AbstractRunner*)
	{50, 853, 0, 0, Smoke::mf_const, 104, 6},	//945 Plasma::RunnerScript::runner() const
	{50, 697, 62, 1, 0, 0, 7},	//946 Plasma::RunnerScript::match(Plasma::RunnerContext&)
	{50, 849, 385, 2, 0, 0, 8},	//947 Plasma::RunnerScript::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
	{50, 688, 0, 0, Smoke::mf_const|Smoke::mf_protected, 389, 9},	//948 Plasma::RunnerScript::mainScript() const
	{50, 747, 0, 0, Smoke::mf_const|Smoke::mf_protected, 572, 10},	//949 Plasma::RunnerScript::package() const
	{51, 705, 0, 0, Smoke::mf_const, 598, 1},	//950 Plasma::ScriptEngine::metaObject() const
	{51, 792, 174, 3, 0, 630, 2},	//951 Plasma::ScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
	{51, 1301, 0, 0, Smoke::mf_dtor, 0, 8},	//952 Plasma::ScriptEngine::~ScriptEngine()
	{51, 583, 0, 0, 0, 561, 3},	//953 Plasma::ScriptEngine::init()
	{51, 188, 182, 1, Smoke::mf_ctor|Smoke::mf_protected, 182, 4},	//954 Plasma::ScriptEngine::ScriptEngine(QObject*)
	{51, 188, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 182, 5},	//955 Plasma::ScriptEngine::ScriptEngine()
	{51, 688, 0, 0, Smoke::mf_const|Smoke::mf_protected, 389, 6},	//956 Plasma::ScriptEngine::mainScript() const
	{51, 747, 0, 0, Smoke::mf_const|Smoke::mf_protected, 572, 7},	//957 Plasma::ScriptEngine::package() const
	{52, 705, 0, 0, Smoke::mf_const, 598, 1},	//958 Plasma::SignalPlotter::metaObject() const
	{52, 792, 174, 3, 0, 630, 2},	//959 Plasma::SignalPlotter::qt_metacall(QMetaObject::Call, int, void**)
	{52, 193, 111, 1, Smoke::mf_ctor, 184, 3},	//960 Plasma::SignalPlotter::SignalPlotter(QGraphicsItem*)
	{52, 193, 0, 0, Smoke::mf_ctor, 184, 4},	//961 Plasma::SignalPlotter::SignalPlotter()
	{52, 1302, 0, 0, Smoke::mf_dtor, 0, 68},	//962 Plasma::SignalPlotter::~SignalPlotter()
	{52, 269, 393, 1, 0, 0, 5},	//963 Plasma::SignalPlotter::addPlot(const QColor&)
	{52, 271, 430, 1, 0, 0, 6},	//964 Plasma::SignalPlotter::addSample(const QList<double>&)
	{52, 827, 432, 1, 0, 0, 7},	//965 Plasma::SignalPlotter::reorderPlots(const QList<uint>&)
	{52, 820, 632, 1, 0, 0, 8},	//966 Plasma::SignalPlotter::removePlot(uint)
	{52, 778, 0, 0, 0, 324, 9},	//967 Plasma::SignalPlotter::plotColors()
	{52, 1102, 460, 1, 0, 0, 10},	//968 Plasma::SignalPlotter::setTitle(const QString&)
	{52, 1197, 0, 0, Smoke::mf_const, 389, 11},	//969 Plasma::SignalPlotter::title() const
	{52, 1110, 460, 1, 0, 0, 12},	//970 Plasma::SignalPlotter::setUnit(const QString&)
	{52, 1211, 0, 0, Smoke::mf_const, 389, 13},	//971 Plasma::SignalPlotter::unit() const
	{52, 863, 606, 1, 0, 0, 14},	//972 Plasma::SignalPlotter::scale(qreal)
	{52, 865, 0, 0, Smoke::mf_const, 632, 15},	//973 Plasma::SignalPlotter::scaledBy() const
	{52, 1115, 330, 1, 0, 0, 16},	//974 Plasma::SignalPlotter::setUseAutoRange(bool)
	{52, 1226, 0, 0, Smoke::mf_const, 561, 17},	//975 Plasma::SignalPlotter::useAutoRange() const
	{52, 1131, 573, 2, 0, 0, 18},	//976 Plasma::SignalPlotter::setVerticalRange(double, double)
	{52, 1241, 0, 0, Smoke::mf_const, 629, 19},	//977 Plasma::SignalPlotter::verticalMinValue() const
	{52, 1240, 0, 0, Smoke::mf_const, 629, 20},	//978 Plasma::SignalPlotter::verticalMaxValue() const
	{52, 983, 632, 1, 0, 0, 21},	//979 Plasma::SignalPlotter::setHorizontalScale(uint)
	{52, 566, 0, 0, Smoke::mf_const, 635, 22},	//980 Plasma::SignalPlotter::horizontalScale() const
	{52, 1081, 330, 1, 0, 0, 23},	//981 Plasma::SignalPlotter::setShowVerticalLines(bool)
	{52, 1150, 0, 0, Smoke::mf_const, 561, 24},	//982 Plasma::SignalPlotter::showVerticalLines() const
	{52, 1125, 393, 1, 0, 0, 25},	//983 Plasma::SignalPlotter::setVerticalLinesColor(const QColor&)
	{52, 1237, 0, 0, Smoke::mf_const, 216, 26},	//984 Plasma::SignalPlotter::verticalLinesColor() const
	{52, 1127, 632, 1, 0, 0, 27},	//985 Plasma::SignalPlotter::setVerticalLinesDistance(uint)
	{52, 1238, 0, 0, Smoke::mf_const, 635, 28},	//986 Plasma::SignalPlotter::verticalLinesDistance() const
	{52, 1129, 330, 1, 0, 0, 29},	//987 Plasma::SignalPlotter::setVerticalLinesScroll(bool)
	{52, 1239, 0, 0, Smoke::mf_const, 561, 30},	//988 Plasma::SignalPlotter::verticalLinesScroll() const
	{52, 1075, 330, 1, 0, 0, 31},	//989 Plasma::SignalPlotter::setShowHorizontalLines(bool)
	{52, 1147, 0, 0, Smoke::mf_const, 561, 32},	//990 Plasma::SignalPlotter::showHorizontalLines() const
	{52, 979, 393, 1, 0, 0, 33},	//991 Plasma::SignalPlotter::setHorizontalLinesColor(const QColor&)
	{52, 564, 0, 0, Smoke::mf_const, 216, 34},	//992 Plasma::SignalPlotter::horizontalLinesColor() const
	{52, 967, 393, 1, 0, 0, 35},	//993 Plasma::SignalPlotter::setFontColor(const QColor&)
	{52, 534, 0, 0, Smoke::mf_const, 216, 36},	//994 Plasma::SignalPlotter::fontColor() const
	{52, 964, 395, 1, 0, 0, 37},	//995 Plasma::SignalPlotter::setFont(const QFont&)
	{52, 530, 0, 0, Smoke::mf_const, 247, 38},	//996 Plasma::SignalPlotter::font() const
	{52, 981, 632, 1, 0, 0, 39},	//997 Plasma::SignalPlotter::setHorizontalLinesCount(uint)
	{52, 565, 0, 0, Smoke::mf_const, 635, 40},	//998 Plasma::SignalPlotter::horizontalLinesCount() const
	{52, 1077, 330, 1, 0, 0, 41},	//999 Plasma::SignalPlotter::setShowLabels(bool)
	{52, 1148, 0, 0, Smoke::mf_const, 561, 42},	//1000 Plasma::SignalPlotter::showLabels() const
	{52, 1079, 330, 1, 0, 0, 43},	//1001 Plasma::SignalPlotter::setShowTopBar(bool)
	{52, 1149, 0, 0, Smoke::mf_const, 561, 44},	//1002 Plasma::SignalPlotter::showTopBar() const
	{52, 903, 393, 1, 0, 0, 45},	//1003 Plasma::SignalPlotter::setBackgroundColor(const QColor&)
	{52, 303, 0, 0, Smoke::mf_const, 216, 46},	//1004 Plasma::SignalPlotter::backgroundColor() const
	{52, 1094, 460, 1, 0, 0, 47},	//1005 Plasma::SignalPlotter::setSvgBackground(const QString&)
	{52, 1185, 0, 0, 0, 389, 48},	//1006 Plasma::SignalPlotter::svgBackground()
	{52, 639, 632, 1, Smoke::mf_const, 629, 49},	//1007 Plasma::SignalPlotter::lastValue(uint) const
	{52, 641, 632, 1, Smoke::mf_const, 389, 50},	//1008 Plasma::SignalPlotter::lastValueAsString(uint) const
	{52, 1100, 330, 1, 0, 0, 51},	//1009 Plasma::SignalPlotter::setThinFrame(bool)
	{52, 1085, 330, 1, 0, 0, 52},	//1010 Plasma::SignalPlotter::setStackPlots(bool)
	{52, 1168, 0, 0, Smoke::mf_const, 561, 53},	//1011 Plasma::SignalPlotter::stackPlots() const
	{52, 543, 634, 2, 0, 373, 54},	//1012 Plasma::SignalPlotter::getSnapshotImage(uint, uint)
	{52, 971, 454, 1, 0, 0, 55},	//1013 Plasma::SignalPlotter::setGeometry(const QRectF&)
	{52, 1218, 0, 0, Smoke::mf_protected, 0, 56},	//1014 Plasma::SignalPlotter::updateDataBuffers()
	{52, 313, 0, 0, Smoke::mf_protected, 0, 57},	//1015 Plasma::SignalPlotter::calculateNiceRange()
	{52, 751, 232, 3, Smoke::mf_protected, 0, 58},	//1016 Plasma::SignalPlotter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
	{52, 454, 275, 4, Smoke::mf_protected, 0, 59},	//1017 Plasma::SignalPlotter::drawWidget(QPainter*, uint, uint, int)
	{52, 434, 255, 3, Smoke::mf_protected, 0, 60},	//1018 Plasma::SignalPlotter::drawBackground(QPainter*, int, int)
	{52, 446, 255, 3, Smoke::mf_protected, 0, 61},	//1019 Plasma::SignalPlotter::drawThinFrame(QPainter*, int, int)
	{52, 450, 255, 3, Smoke::mf_protected, 0, 62},	//1020 Plasma::SignalPlotter::drawTopBarFrame(QPainter*, int, int)
	{52, 448, 264, 4, Smoke::mf_protected, 0, 63},	//1021 Plasma::SignalPlotter::drawTopBarContents(QPainter*, int, int, int)
	{52, 452, 264, 4, Smoke::mf_protected, 0, 64},	//1022 Plasma::SignalPlotter::drawVerticalLines(QPainter*, int, int, int)
	{52, 444, 269, 5, Smoke::mf_protected, 0, 65},	//1023 Plasma::SignalPlotter::drawPlots(QPainter*, int, int, int, int)
	{52, 432, 255, 3, Smoke::mf_protected, 0, 66},	//1024 Plasma::SignalPlotter::drawAxisText(QPainter*, int, int)
	{52, 439, 264, 4, Smoke::mf_protected, 0, 67},	//1025 Plasma::SignalPlotter::drawHorizontalLines(QPainter*, int, int, int)
	{53, 705, 0, 0, Smoke::mf_const, 598, 1},	//1026 Plasma::Svg::metaObject() const
	{53, 792, 174, 3, 0, 630, 2},	//1027 Plasma::Svg::qt_metacall(QMetaObject::Call, int, void**)
	{53, 204, 182, 1, Smoke::mf_ctor, 185, 3},	//1028 Plasma::Svg::Svg(QObject*)
	{53, 204, 0, 0, Smoke::mf_ctor, 185, 4},	//1029 Plasma::Svg::Svg()
	{53, 1303, 0, 0, Smoke::mf_dtor, 0, 25},	//1030 Plasma::Svg::~Svg()
	{53, 751, 210, 3, 0, 0, 5},	//1031 Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
	{53, 751, 207, 2, 0, 0, 6},	//1032 Plasma::Svg::paint(QPainter*, const QPointF&)
	{53, 751, 259, 4, 0, 0, 7},	//1033 Plasma::Svg::paint(QPainter*, int, int, const QString&)
	{53, 751, 255, 3, 0, 0, 8},	//1034 Plasma::Svg::paint(QPainter*, int, int)
	{53, 751, 221, 3, 0, 0, 9},	//1035 Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
	{53, 751, 214, 2, 0, 0, 10},	//1036 Plasma::Svg::paint(QPainter*, const QRectF&)
	{53, 1151, 0, 0, Smoke::mf_const, 383, 11},	//1037 Plasma::Svg::size() const
	{53, 835, 619, 2, 0, 0, 12},	//1038 Plasma::Svg::resize(qreal, qreal)
	{53, 835, 458, 1, 0, 0, 13},	//1039 Plasma::Svg::resize(const QSizeF&)
	{53, 835, 0, 0, 0, 0, 14},	//1040 Plasma::Svg::resize()
	{53, 479, 460, 1, Smoke::mf_const, 383, 15},	//1041 Plasma::Svg::elementSize(const QString&) const
	{53, 477, 460, 1, Smoke::mf_const, 380, 16},	//1042 Plasma::Svg::elementRect(const QString&) const
	{53, 552, 460, 1, Smoke::mf_const, 561, 17},	//1043 Plasma::Svg::hasElement(const QString&) const
	{53, 473, 450, 1, Smoke::mf_const, 389, 18},	//1044 Plasma::Svg::elementAtPoint(const QPoint&) const
	{53, 609, 0, 0, Smoke::mf_const, 561, 19},	//1045 Plasma::Svg::isValid() const
	{53, 925, 330, 1, 0, 0, 20},	//1046 Plasma::Svg::setContainsMultipleImages(bool)
	{53, 373, 0, 0, Smoke::mf_const, 561, 21},	//1047 Plasma::Svg::containsMultipleImages() const
	{53, 999, 460, 1, 0, 0, 22},	//1048 Plasma::Svg::setImagePath(const QString&)
	{53, 578, 0, 0, Smoke::mf_const, 389, 23},	//1049 Plasma::Svg::imagePath() const
	{53, 829, 0, 0, 0, 0, 24},	//1050 Plasma::Svg::repaintNeeded()
	{54, 705, 0, 0, Smoke::mf_const, 598, 1},	//1051 Plasma::TextEdit::metaObject() const
	{54, 792, 174, 3, 0, 630, 2},	//1052 Plasma::TextEdit::qt_metacall(QMetaObject::Call, int, void**)
	{54, 208, 166, 1, Smoke::mf_ctor, 186, 3},	//1053 Plasma::TextEdit::TextEdit(QGraphicsWidget*)
	{54, 208, 0, 0, Smoke::mf_ctor, 186, 4},	//1054 Plasma::TextEdit::TextEdit()
	{54, 1304, 0, 0, Smoke::mf_dtor, 0, 13},	//1055 Plasma::TextEdit::~TextEdit()
	{54, 1096, 460, 1, 0, 0, 5},	//1056 Plasma::TextEdit::setText(const QString&)
	{54, 1188, 0, 0, Smoke::mf_const, 389, 6},	//1057 Plasma::TextEdit::text() const
	{54, 1087, 460, 1, 0, 0, 7},	//1058 Plasma::TextEdit::setStyleSheet(const QString&)
	{54, 1180, 0, 0, 0, 389, 8},	//1059 Plasma::TextEdit::styleSheet()
	{54, 738, 0, 0, Smoke::mf_const, 89, 9},	//1060 Plasma::TextEdit::nativeWidget() const
	{54, 402, 502, 2, 0, 0, 10},	//1061 Plasma::TextEdit::dataUpdated(const QString&, const QHash<QString, QVariant>&)
	{54, 1189, 0, 0, 0, 0, 11},	//1062 Plasma::TextEdit::textChanged()
	{54, 838, 158, 1, Smoke::mf_protected, 0, 12},	//1063 Plasma::TextEdit::resizeEvent(QGraphicsSceneResizeEvent*)
	{55, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 1},	//1064 Plasma::Theme::TextColor (enum)
	{55, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 2},	//1065 Plasma::Theme::HighlightColor (enum)
	{55, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 3},	//1066 Plasma::Theme::BackgroundColor (enum)
	{55, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 4},	//1067 Plasma::Theme::DefaultFont (enum)
	{55, 705, 0, 0, Smoke::mf_const, 598, 5},	//1068 Plasma::Theme::metaObject() const
	{55, 792, 174, 3, 0, 630, 6},	//1069 Plasma::Theme::qt_metacall(QMetaObject::Call, int, void**)
	{55, 210, 182, 1, Smoke::mf_ctor, 187, 7},	//1070 Plasma::Theme::Theme(QObject*)
	{55, 210, 0, 0, Smoke::mf_ctor, 187, 8},	//1071 Plasma::Theme::Theme()
	{55, 1305, 0, 0, Smoke::mf_dtor, 0, 28},	//1072 Plasma::Theme::~Theme()
	{55, 1098, 460, 1, 0, 0, 9},	//1073 Plasma::Theme::setThemeName(const QString&)
	{55, 1193, 0, 0, Smoke::mf_const, 389, 10},	//1074 Plasma::Theme::themeName() const
	{55, 578, 460, 1, Smoke::mf_const, 389, 11},	//1075 Plasma::Theme::imagePath(const QString&) const
	{55, 1249, 456, 1, Smoke::mf_const, 389, 12},	//1076 Plasma::Theme::wallpaperPath(const QSize&) const
	{55, 1249, 0, 0, Smoke::mf_const, 389, 13},	//1077 Plasma::Theme::wallpaperPath() const
	{55, 390, 460, 1, Smoke::mf_const, 561, 14},	//1078 Plasma::Theme::currentThemeHasImage(const QString&) const
	{55, 340, 0, 0, Smoke::mf_const, 80, 15},	//1079 Plasma::Theme::colorScheme() const
	{55, 338, 69, 1, Smoke::mf_const, 216, 16},	//1080 Plasma::Theme::color(Plasma::Theme::ColorRole) const
	{55, 964, 397, 2, 0, 0, 17},	//1081 Plasma::Theme::setFont(const QFont&, Plasma::Theme::FontRole)
	{55, 964, 395, 1, 0, 0, 18},	//1082 Plasma::Theme::setFont(const QFont&)
	{55, 530, 71, 1, Smoke::mf_const, 247, 19},	//1083 Plasma::Theme::font(Plasma::Theme::FontRole) const
	{55, 535, 0, 0, Smoke::mf_const, 258, 20},	//1084 Plasma::Theme::fontMetrics() const
	{55, 1260, 0, 0, Smoke::mf_const, 561, 21},	//1085 Plasma::Theme::windowTranslucencyEnabled() const
	{55, 1117, 330, 1, 0, 0, 22},	//1086 Plasma::Theme::setUseGlobalSettings(bool)
	{55, 1229, 0, 0, Smoke::mf_const, 561, 23},	//1087 Plasma::Theme::useGlobalSettings() const
	{55, 1139, 0, 0, 0, 0, 24},	//1088 Plasma::Theme::settingsChanged()
	{55, 1192, 0, 0, 0, 0, 25},	//1089 Plasma::Theme::themeChanged()
	{55, 404, 0, 0, Smoke::mf_static, 187, 26},	//1090 Plasma::Theme::defaultTheme()
	{55, 748, 0, 0, Smoke::mf_static, 81, 27},	//1091 Plasma::Theme::packageStructure()
	{56, 705, 0, 0, Smoke::mf_const, 598, 1},	//1092 Plasma::View::metaObject() const
	{56, 792, 174, 3, 0, 630, 2},	//1093 Plasma::View::qt_metacall(QMetaObject::Call, int, void**)
	{56, 223, 31, 2, Smoke::mf_ctor, 190, 3},	//1094 Plasma::View::View(Plasma::Containment*, QWidget*)
	{56, 223, 26, 1, Smoke::mf_ctor, 190, 4},	//1095 Plasma::View::View(Plasma::Containment*)
	{56, 223, 37, 3, Smoke::mf_ctor, 190, 5},	//1096 Plasma::View::View(Plasma::Containment*, int, QWidget*)
	{56, 223, 34, 2, Smoke::mf_ctor, 190, 6},	//1097 Plasma::View::View(Plasma::Containment*, int)
	{56, 1306, 0, 0, Smoke::mf_dtor, 0, 23},	//1098 Plasma::View::~View()
	{56, 1135, 330, 1, 0, 0, 7},	//1099 Plasma::View::setWallpaperEnabled(bool)
	{56, 610, 0, 0, Smoke::mf_const, 561, 8},	//1100 Plasma::View::isWallpaperEnabled() const
	{56, 1071, 576, 1, 0, 0, 9},	//1101 Plasma::View::setScreen(int)
	{56, 875, 0, 0, Smoke::mf_const, 630, 10},	//1102 Plasma::View::screen() const
	{56, 943, 576, 1, 0, 0, 11},	//1103 Plasma::View::setDesktop(int)
	{56, 408, 0, 0, Smoke::mf_const, 630, 12},	//1104 Plasma::View::desktop() const
	{56, 461, 0, 0, Smoke::mf_const, 630, 13},	//1105 Plasma::View::effectiveDesktop() const
	{56, 364, 0, 0, Smoke::mf_const, 129, 14},	//1106 Plasma::View::containment() const
	{56, 1106, 330, 1, 0, 0, 15},	//1107 Plasma::View::setTrackContainmentChanges(bool)
	{56, 1203, 0, 0, 0, 561, 16},	//1108 Plasma::View::trackContainmentChanges()
	{56, 575, 0, 0, Smoke::mf_const, 630, 17},	//1109 Plasma::View::id() const
	{56, 921, 26, 1, 0, 0, 18},	//1110 Plasma::View::setContainment(Plasma::Containment*)
	{56, 872, 0, 0, 0, 0, 19},	//1111 Plasma::View::sceneRectAboutToChange()
	{56, 873, 0, 0, 0, 0, 20},	//1112 Plasma::View::sceneRectChanged()
	{56, 1201, 450, 1, Smoke::mf_static, 190, 21},	//1113 Plasma::View::topLevelViewAt(const QPoint&)
	{56, 341, 0, 0, Smoke::mf_const|Smoke::mf_protected, 21, 22},	//1114 Plasma::View::config() const
	{57, 705, 0, 0, Smoke::mf_const, 598, 1},	//1115 Plasma::WebContent::metaObject() const
	{57, 792, 174, 3, 0, 630, 2},	//1116 Plasma::WebContent::qt_metacall(QMetaObject::Call, int, void**)
	{57, 228, 111, 1, Smoke::mf_ctor, 191, 3},	//1117 Plasma::WebContent::WebContent(QGraphicsItem*)
	{57, 228, 0, 0, Smoke::mf_ctor, 191, 4},	//1118 Plasma::WebContent::WebContent()
	{57, 1307, 0, 0, Smoke::mf_dtor, 0, 33},	//1119 Plasma::WebContent::~WebContent()
	{57, 1113, 552, 1, 0, 0, 5},	//1120 Plasma::WebContent::setUrl(const QUrl&)
	{57, 985, 390, 2, 0, 0, 6},	//1121 Plasma::WebContent::setHtml(const QByteArray&, const QUrl&)
	{57, 985, 388, 1, 0, 0, 7},	//1122 Plasma::WebContent::setHtml(const QByteArray&)
	{57, 985, 526, 2, 0, 0, 8},	//1123 Plasma::WebContent::setHtml(const QString&, const QUrl&)
	{57, 985, 460, 1, 0, 0, 9},	//1124 Plasma::WebContent::setHtml(const QString&)
	{57, 537, 0, 0, Smoke::mf_const, 380, 10},	//1125 Plasma::WebContent::geometry() const
	{57, 1045, 301, 1, 0, 0, 11},	//1126 Plasma::WebContent::setPage(QWebPage*)
	{57, 750, 0, 0, Smoke::mf_const, 455, 12},	//1127 Plasma::WebContent::page() const
	{57, 687, 0, 0, Smoke::mf_const, 454, 13},	//1128 Plasma::WebContent::mainFrame() const
	{57, 971, 454, 1, 0, 0, 14},	//1129 Plasma::WebContent::setGeometry(const QRectF&)
	{57, 679, 576, 1, 0, 0, 15},	//1130 Plasma::WebContent::loadProgress(int)
	{57, 675, 330, 1, 0, 0, 16},	//1131 Plasma::WebContent::loadFinished(bool)
	{57, 751, 232, 3, Smoke::mf_protected, 0, 17},	//1132 Plasma::WebContent::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
	{57, 751, 229, 2, Smoke::mf_protected, 0, 18},	//1133 Plasma::WebContent::paint(QPainter*, const QStyleOptionGraphicsItem*)
	{57, 718, 154, 1, Smoke::mf_protected, 0, 19},	//1134 Plasma::WebContent::mouseMoveEvent(QGraphicsSceneMouseEvent*)
	{57, 720, 154, 1, Smoke::mf_protected, 0, 20},	//1135 Plasma::WebContent::mousePressEvent(QGraphicsSceneMouseEvent*)
	{57, 716, 154, 1, Smoke::mf_protected, 0, 21},	//1136 Plasma::WebContent::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
	{57, 722, 154, 1, Smoke::mf_protected, 0, 22},	//1137 Plasma::WebContent::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
	{57, 375, 142, 1, Smoke::mf_protected, 0, 23},	//1138 Plasma::WebContent::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
	{57, 1252, 160, 1, Smoke::mf_protected, 0, 24},	//1139 Plasma::WebContent::wheelEvent(QGraphicsSceneWheelEvent*)
	{57, 623, 172, 1, Smoke::mf_protected, 0, 25},	//1140 Plasma::WebContent::keyPressEvent(QKeyEvent*)
	{57, 625, 172, 1, Smoke::mf_protected, 0, 26},	//1141 Plasma::WebContent::keyReleaseEvent(QKeyEvent*)
	{57, 520, 109, 1, Smoke::mf_protected, 0, 27},	//1142 Plasma::WebContent::focusInEvent(QFocusEvent*)
	{57, 525, 109, 1, Smoke::mf_protected, 0, 28},	//1143 Plasma::WebContent::focusOutEvent(QFocusEvent*)
	{57, 424, 144, 1, Smoke::mf_protected, 0, 29},	//1144 Plasma::WebContent::dragEnterEvent(QGraphicsSceneDragDropEvent*)
	{57, 426, 144, 1, Smoke::mf_protected, 0, 30},	//1145 Plasma::WebContent::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
	{57, 428, 144, 1, Smoke::mf_protected, 0, 31},	//1146 Plasma::WebContent::dragMoveEvent(QGraphicsSceneDragDropEvent*)
	{57, 456, 144, 1, Smoke::mf_protected, 0, 32},	//1147 Plasma::WebContent::dropEvent(QGraphicsSceneDragDropEvent*)
	{58, 705, 0, 0, Smoke::mf_const, 598, 6},	//1148 QAbstractItemDelegate::metaObject() const
	{58, 792, 174, 3, 0, 630, 7},	//1149 QAbstractItemDelegate::qt_metacall(QMetaObject::Call, int, void**)
	{58, 751, 240, 3, Smoke::mf_const, 0, 10},	//1150 QAbstractItemDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const [pure virtual]
	{58, 1154, 549, 2, Smoke::mf_const, 383, 11},	//1151 QAbstractItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const [pure virtual]
	{58, 381, 317, 3, Smoke::mf_const, 466, 12},	//1152 QAbstractItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
	{58, 949, 314, 2, Smoke::mf_const, 0, 13},	//1153 QAbstractItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
	{58, 1035, 307, 3, Smoke::mf_const, 0, 14},	//1154 QAbstractItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
	{58, 1219, 317, 3, Smoke::mf_const, 0, 15},	//1155 QAbstractItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
	{58, 459, 104, 4, 0, 561, 16},	//1156 QAbstractItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
	{60, 705, 0, 0, Smoke::mf_const, 598, 1},	//1157 QAbstractScrollArea::metaObject() const
	{60, 792, 174, 3, 0, 630, 2},	//1158 QAbstractScrollArea::qt_metacall(QMetaObject::Call, int, void**)
	{60, 1245, 102, 1, Smoke::mf_protected, 561, 26},	//1159 QAbstractScrollArea::viewportEvent(QEvent*)
	{60, 881, 593, 2, Smoke::mf_protected, 0, 40},	//1160 QAbstractScrollArea::scrollContentsBy(int, int)
	{70, 705, 0, 0, Smoke::mf_const, 598, 3},	//1161 QDialog::metaObject() const
	{70, 792, 174, 3, 0, 630, 4},	//1162 QDialog::qt_metacall(QMetaObject::Call, int, void**)
	{70, 420, 576, 1, 0, 0, 21},	//1163 QDialog::done(int)
	{70, 232, 0, 0, 0, 0, 22},	//1164 QDialog::accept()
	{70, 809, 0, 0, 0, 0, 23},	//1165 QDialog::reject()
	{79, 705, 0, 0, Smoke::mf_const, 598, 13},	//1166 QFrame::metaObject() const
	{79, 792, 174, 3, 0, 630, 14},	//1167 QFrame::qt_metacall(QMetaObject::Call, int, void**)
	{80, 279, 576, 1, 0, 0, 123},	//1168 QGraphicsItem::advance(int)
	{80, 311, 0, 0, Smoke::mf_const, 380, 126},	//1169 QGraphicsItem::boundingRect() const [pure virtual]
	{80, 1140, 0, 0, Smoke::mf_const, 370, 129},	//1170 QGraphicsItem::shape() const
	{80, 371, 452, 1, Smoke::mf_const, 561, 130},	//1171 QGraphicsItem::contains(const QPointF&) const
	{80, 332, 402, 2, Smoke::mf_const, 561, 131},	//1172 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
	{80, 332, 400, 1, Smoke::mf_const, 561, 132},	//1173 QGraphicsItem::collidesWithItem(const QGraphicsItem*) const
	{80, 335, 436, 2, Smoke::mf_const, 561, 133},	//1174 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
	{80, 335, 434, 1, Smoke::mf_const, 561, 134},	//1175 QGraphicsItem::collidesWithPath(const QPainterPath&) const
	{80, 603, 400, 1, Smoke::mf_const, 561, 140},	//1176 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
	{80, 740, 0, 0, Smoke::mf_const, 370, 141},	//1177 QGraphicsItem::opaqueArea() const
	{80, 751, 232, 3, 0, 0, 145},	//1178 QGraphicsItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*) [pure virtual]
	{80, 751, 229, 2, 0, 0, -1},	//1179 QGraphicsItem::paint(QPainter*, const QStyleOptionGraphicsItem*) [pure virtual]
	{80, 1204, 0, 0, Smoke::mf_const, 630, 192},	//1180 QGraphicsItem::type() const
	{80, 870, 120, 2, Smoke::mf_protected, 561, 195},	//1181 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
	{80, 868, 102, 1, Smoke::mf_protected, 561, 196},	//1182 QGraphicsItem::sceneEvent(QEvent*)
	{80, 375, 142, 1, Smoke::mf_protected, 0, 197},	//1183 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
	{80, 424, 144, 1, Smoke::mf_protected, 0, 198},	//1184 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
	{80, 426, 144, 1, Smoke::mf_protected, 0, 199},	//1185 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
	{80, 428, 144, 1, Smoke::mf_protected, 0, 200},	//1186 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
	{80, 456, 144, 1, Smoke::mf_protected, 0, 201},	//1187 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
	{80, 520, 109, 1, Smoke::mf_protected, 0, 202},	//1188 QGraphicsItem::focusInEvent(QFocusEvent*)
	{80, 525, 109, 1, Smoke::mf_protected, 0, 203},	//1189 QGraphicsItem::focusOutEvent(QFocusEvent*)
	{80, 567, 152, 1, Smoke::mf_protected, 0, 204},	//1190 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
	{80, 571, 152, 1, Smoke::mf_protected, 0, 205},	//1191 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
	{80, 569, 152, 1, Smoke::mf_protected, 0, 206},	//1192 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
	{80, 623, 172, 1, Smoke::mf_protected, 0, 207},	//1193 QGraphicsItem::keyPressEvent(QKeyEvent*)
	{80, 625, 172, 1, Smoke::mf_protected, 0, 208},	//1194 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
	{80, 720, 154, 1, Smoke::mf_protected, 0, 209},	//1195 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
	{80, 718, 154, 1, Smoke::mf_protected, 0, 210},	//1196 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
	{80, 722, 154, 1, Smoke::mf_protected, 0, 211},	//1197 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
	{80, 716, 154, 1, Smoke::mf_protected, 0, 212},	//1198 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
	{80, 1252, 160, 1, Smoke::mf_protected, 0, 213},	//1199 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
	{80, 588, 170, 1, Smoke::mf_protected, 0, 214},	//1200 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
	{80, 590, 321, 1, Smoke::mf_const|Smoke::mf_protected, 452, 215},	//1201 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
	{80, 615, 139, 2, Smoke::mf_protected, 452, 216},	//1202 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
	{80, 1182, 134, 1, Smoke::mf_const|Smoke::mf_protected, 561, 217},	//1203 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
	{80, 959, 136, 2, Smoke::mf_protected, 0, 218},	//1204 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
	{80, 502, 554, 1, Smoke::mf_const|Smoke::mf_protected, 452, 219},	//1205 QGraphicsItem::extension(const QVariant&) const
	{81, 971, 454, 1, 0, 0, 29},	//1206 QGraphicsLayoutItem::setGeometry(const QRectF&)
	{81, 539, 627, 4, Smoke::mf_const, 0, 31},	//1207 QGraphicsLayoutItem::getContentsMargins(qreal*, qreal*, qreal*, qreal*) const
	{81, 1221, 0, 0, 0, 0, 35},	//1208 QGraphicsLayoutItem::updateGeometry()
	{81, 1154, 327, 2, Smoke::mf_const|Smoke::mf_protected, 384, 40},	//1209 QGraphicsLayoutItem::sizeHint(Qt::SizeHint, const QSizeF&) const [pure virtual]
	{81, 1154, 325, 1, Smoke::mf_const|Smoke::mf_protected, 384, -1},	//1210 QGraphicsLayoutItem::sizeHint(Qt::SizeHint) const [pure virtual]
	{82, 705, 0, 0, Smoke::mf_const, 598, 2},	//1211 QGraphicsProxyWidget::metaObject() const
	{82, 792, 174, 3, 0, 630, 3},	//1212 QGraphicsProxyWidget::qt_metacall(QMetaObject::Call, int, void**)
	{83, 705, 0, 0, Smoke::mf_const, 598, 7},	//1213 QGraphicsScene::metaObject() const
	{83, 792, 174, 3, 0, 630, 8},	//1214 QGraphicsScene::qt_metacall(QMetaObject::Call, int, void**)
	{83, 590, 321, 1, Smoke::mf_const, 452, 92},	//1215 QGraphicsScene::inputMethodQuery(Qt::InputMethodQuery) const
	{83, 375, 142, 1, Smoke::mf_protected, 0, 120},	//1216 QGraphicsScene::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
	{83, 424, 144, 1, Smoke::mf_protected, 0, 121},	//1217 QGraphicsScene::dragEnterEvent(QGraphicsSceneDragDropEvent*)
	{83, 428, 144, 1, Smoke::mf_protected, 0, 122},	//1218 QGraphicsScene::dragMoveEvent(QGraphicsSceneDragDropEvent*)
	{83, 426, 144, 1, Smoke::mf_protected, 0, 123},	//1219 QGraphicsScene::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
	{83, 456, 144, 1, Smoke::mf_protected, 0, 124},	//1220 QGraphicsScene::dropEvent(QGraphicsSceneDragDropEvent*)
	{83, 520, 109, 1, Smoke::mf_protected, 0, 125},	//1221 QGraphicsScene::focusInEvent(QFocusEvent*)
	{83, 525, 109, 1, Smoke::mf_protected, 0, 126},	//1222 QGraphicsScene::focusOutEvent(QFocusEvent*)
	{83, 560, 150, 1, Smoke::mf_protected, 0, 127},	//1223 QGraphicsScene::helpEvent(QGraphicsSceneHelpEvent*)
	{83, 623, 172, 1, Smoke::mf_protected, 0, 128},	//1224 QGraphicsScene::keyPressEvent(QKeyEvent*)
	{83, 625, 172, 1, Smoke::mf_protected, 0, 129},	//1225 QGraphicsScene::keyReleaseEvent(QKeyEvent*)
	{83, 720, 154, 1, Smoke::mf_protected, 0, 130},	//1226 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*)
	{83, 718, 154, 1, Smoke::mf_protected, 0, 131},	//1227 QGraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent*)
	{83, 722, 154, 1, Smoke::mf_protected, 0, 132},	//1228 QGraphicsScene::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
	{83, 716, 154, 1, Smoke::mf_protected, 0, 133},	//1229 QGraphicsScene::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
	{83, 1252, 160, 1, Smoke::mf_protected, 0, 134},	//1230 QGraphicsScene::wheelEvent(QGraphicsSceneWheelEvent*)
	{83, 588, 170, 1, Smoke::mf_protected, 0, 135},	//1231 QGraphicsScene::inputMethodEvent(QInputMethodEvent*)
	{83, 434, 214, 2, Smoke::mf_protected, 0, 136},	//1232 QGraphicsScene::drawBackground(QPainter*, const QRectF&)
	{83, 437, 214, 2, Smoke::mf_protected, 0, 137},	//1233 QGraphicsScene::drawForeground(QPainter*, const QRectF&)
	{83, 441, 249, 5, Smoke::mf_protected, 0, 138},	//1234 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*)
	{83, 441, 244, 4, Smoke::mf_protected, 0, 139},	//1235 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*)
	{93, 705, 0, 0, Smoke::mf_const, 598, 17},	//1236 QGraphicsView::metaObject() const
	{93, 792, 174, 3, 0, 630, 18},	//1237 QGraphicsView::qt_metacall(QMetaObject::Call, int, void**)
	{93, 434, 214, 2, Smoke::mf_protected, 0, 148},	//1238 QGraphicsView::drawBackground(QPainter*, const QRectF&)
	{93, 437, 214, 2, Smoke::mf_protected, 0, 149},	//1239 QGraphicsView::drawForeground(QPainter*, const QRectF&)
	{93, 441, 244, 4, Smoke::mf_protected, 0, 150},	//1240 QGraphicsView::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*)
	{94, 705, 0, 0, Smoke::mf_const, 598, 2},	//1241 QGraphicsWidget::metaObject() const
	{94, 792, 174, 3, 0, 630, 3},	//1242 QGraphicsWidget::qt_metacall(QMetaObject::Call, int, void**)
	{94, 767, 232, 3, 0, 0, 47},	//1243 QGraphicsWidget::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
	{94, 767, 229, 2, 0, 0, 48},	//1244 QGraphicsWidget::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*)
	{94, 584, 295, 1, Smoke::mf_const|Smoke::mf_protected, 0, 56},	//1245 QGraphicsWidget::initStyleOption(QStyleOption*) const
	{94, 790, 529, 2, Smoke::mf_protected, 452, 61},	//1246 QGraphicsWidget::propertyChange(const QString&, const QVariant&)
	{94, 1256, 102, 1, Smoke::mf_protected, 561, 63},	//1247 QGraphicsWidget::windowFrameEvent(QEvent*)
	{94, 1258, 452, 1, Smoke::mf_const|Smoke::mf_protected, 555, 64},	//1248 QGraphicsWidget::windowFrameSectionAt(const QPointF&) const
	{94, 317, 102, 1, Smoke::mf_protected, 0, 66},	//1249 QGraphicsWidget::changeEvent(QEvent*)
	{94, 329, 83, 1, Smoke::mf_protected, 0, 67},	//1250 QGraphicsWidget::closeEvent(QCloseEvent*)
	{94, 523, 330, 1, Smoke::mf_protected, 561, 69},	//1251 QGraphicsWidget::focusNextPrevChild(bool)
	{94, 562, 168, 1, Smoke::mf_protected, 0, 71},	//1252 QGraphicsWidget::hideEvent(QHideEvent*)
	{94, 724, 156, 1, Smoke::mf_protected, 0, 72},	//1253 QGraphicsWidget::moveEvent(QGraphicsSceneMoveEvent*)
	{94, 780, 0, 0, Smoke::mf_protected, 0, 73},	//1254 QGraphicsWidget::polishEvent()
	{94, 838, 158, 1, Smoke::mf_protected, 0, 74},	//1255 QGraphicsWidget::resizeEvent(QGraphicsSceneResizeEvent*)
	{94, 1145, 282, 1, Smoke::mf_protected, 0, 75},	//1256 QGraphicsWidget::showEvent(QShowEvent*)
	{94, 571, 152, 1, Smoke::mf_protected, 0, 76},	//1257 QGraphicsWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
	{94, 569, 152, 1, Smoke::mf_protected, 0, 77},	//1258 QGraphicsWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
	{94, 549, 102, 1, Smoke::mf_protected, 0, 78},	//1259 QGraphicsWidget::grabMouseEvent(QEvent*)
	{94, 1207, 102, 1, Smoke::mf_protected, 0, 79},	//1260 QGraphicsWidget::ungrabMouseEvent(QEvent*)
	{94, 547, 102, 1, Smoke::mf_protected, 0, 80},	//1261 QGraphicsWidget::grabKeyboardEvent(QEvent*)
	{94, 1205, 102, 1, Smoke::mf_protected, 0, 81},	//1262 QGraphicsWidget::ungrabKeyboardEvent(QEvent*)
	{112, 705, 0, 0, Smoke::mf_const, 598, 2},	//1263 QObject::metaObject() const
	{112, 792, 174, 3, 0, 630, 3},	//1264 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{112, 495, 102, 1, 0, 561, 6},	//1265 QObject::event(QEvent*)
	{112, 497, 184, 2, 0, 561, 7},	//1266 QObject::eventFilter(QObject*, QEvent*)
	{112, 1195, 299, 1, Smoke::mf_protected, 0, 49},	//1267 QObject::timerEvent(QTimerEvent*)
	{112, 322, 81, 1, Smoke::mf_protected, 0, 50},	//1268 QObject::childEvent(QChildEvent*)
	{112, 396, 102, 1, Smoke::mf_protected, 0, 51},	//1269 QObject::customEvent(QEvent*)
	{112, 351, 556, 1, Smoke::mf_protected, 0, 52},	//1270 QObject::connectNotify(const char*)
	{112, 414, 556, 1, Smoke::mf_protected, 0, 53},	//1271 QObject::disconnectNotify(const char*)
	{113, 412, 0, 0, Smoke::mf_const, 630, 11},	//1272 QPaintDevice::devType() const
	{113, 757, 0, 0, Smoke::mf_const, 355, 13},	//1273 QPaintDevice::paintEngine() const [pure virtual]
	{113, 708, 203, 1, Smoke::mf_const|Smoke::mf_protected, 630, 25},	//1274 QPaintDevice::metric(QPaintDevice::PaintDeviceMetric) const
	{142, 705, 0, 0, Smoke::mf_const, 598, 4},	//1275 QWidget::metaObject() const
	{142, 792, 174, 3, 0, 630, 5},	//1276 QWidget::qt_metacall(QMetaObject::Call, int, void**)
	{142, 1154, 0, 0, Smoke::mf_const, 383, 179},	//1277 QWidget::sizeHint() const
	{142, 715, 0, 0, Smoke::mf_const, 383, 180},	//1278 QWidget::minimumSizeHint() const
	{142, 558, 576, 1, Smoke::mf_const, 630, 184},	//1279 QWidget::heightForWidth(int) const
	{142, 590, 321, 1, Smoke::mf_const, 452, 225},	//1280 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
	{142, 1133, 330, 1, 0, 0, 234},	//1281 QWidget::setVisible(bool)
	{142, 720, 178, 1, Smoke::mf_protected, 0, 254},	//1282 QWidget::mousePressEvent(QMouseEvent*)
	{142, 722, 178, 1, Smoke::mf_protected, 0, 255},	//1283 QWidget::mouseReleaseEvent(QMouseEvent*)
	{142, 716, 178, 1, Smoke::mf_protected, 0, 256},	//1284 QWidget::mouseDoubleClickEvent(QMouseEvent*)
	{142, 718, 178, 1, Smoke::mf_protected, 0, 257},	//1285 QWidget::mouseMoveEvent(QMouseEvent*)
	{142, 1252, 303, 1, Smoke::mf_protected, 0, 258},	//1286 QWidget::wheelEvent(QWheelEvent*)
	{142, 623, 172, 1, Smoke::mf_protected, 0, 259},	//1287 QWidget::keyPressEvent(QKeyEvent*)
	{142, 625, 172, 1, Smoke::mf_protected, 0, 260},	//1288 QWidget::keyReleaseEvent(QKeyEvent*)
	{142, 520, 109, 1, Smoke::mf_protected, 0, 261},	//1289 QWidget::focusInEvent(QFocusEvent*)
	{142, 525, 109, 1, Smoke::mf_protected, 0, 262},	//1290 QWidget::focusOutEvent(QFocusEvent*)
	{142, 491, 102, 1, Smoke::mf_protected, 0, 263},	//1291 QWidget::enterEvent(QEvent*)
	{142, 646, 102, 1, Smoke::mf_protected, 0, 264},	//1292 QWidget::leaveEvent(QEvent*)
	{142, 758, 205, 1, Smoke::mf_protected, 0, 265},	//1293 QWidget::paintEvent(QPaintEvent*)
	{142, 724, 180, 1, Smoke::mf_protected, 0, 266},	//1294 QWidget::moveEvent(QMoveEvent*)
	{142, 838, 280, 1, Smoke::mf_protected, 0, 267},	//1295 QWidget::resizeEvent(QResizeEvent*)
	{142, 329, 83, 1, Smoke::mf_protected, 0, 268},	//1296 QWidget::closeEvent(QCloseEvent*)
	{142, 375, 87, 1, Smoke::mf_protected, 0, 269},	//1297 QWidget::contextMenuEvent(QContextMenuEvent*)
	{142, 1186, 297, 1, Smoke::mf_protected, 0, 270},	//1298 QWidget::tabletEvent(QTabletEvent*)
	{142, 235, 79, 1, Smoke::mf_protected, 0, 271},	//1299 QWidget::actionEvent(QActionEvent*)
	{142, 424, 94, 1, Smoke::mf_protected, 0, 272},	//1300 QWidget::dragEnterEvent(QDragEnterEvent*)
	{142, 428, 98, 1, Smoke::mf_protected, 0, 273},	//1301 QWidget::dragMoveEvent(QDragMoveEvent*)
	{142, 426, 96, 1, Smoke::mf_protected, 0, 274},	//1302 QWidget::dragLeaveEvent(QDragLeaveEvent*)
	{142, 456, 100, 1, Smoke::mf_protected, 0, 275},	//1303 QWidget::dropEvent(QDropEvent*)
	{142, 1145, 282, 1, Smoke::mf_protected, 0, 276},	//1304 QWidget::showEvent(QShowEvent*)
	{142, 562, 168, 1, Smoke::mf_protected, 0, 277},	//1305 QWidget::hideEvent(QHideEvent*)
	{142, 317, 102, 1, Smoke::mf_protected, 0, 278},	//1306 QWidget::changeEvent(QEvent*)
	{142, 588, 170, 1, Smoke::mf_protected, 0, 280},	//1307 QWidget::inputMethodEvent(QInputMethodEvent*)
	{142, 523, 330, 1, Smoke::mf_protected, 561, 289},	//1308 QWidget::focusNextPrevChild(bool)
	{142, 1178, 291, 1, Smoke::mf_protected, 0, 292},	//1309 QWidget::styleChange(QStyle&)
	{142, 487, 330, 1, Smoke::mf_protected, 0, 293},	//1310 QWidget::enabledChange(bool)
	{142, 770, 439, 1, Smoke::mf_protected, 0, 294},	//1311 QWidget::paletteChange(const QPalette&)
	{142, 532, 395, 1, Smoke::mf_protected, 0, 295},	//1312 QWidget::fontChange(const QFont&)
	{142, 1254, 330, 1, Smoke::mf_protected, 0, 296},	//1313 QWidget::windowActivationChange(bool)
	{142, 638, 0, 0, Smoke::mf_protected, 0, 297},	//1314 QWidget::languageChange()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap plasma_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{14, 6, 61},	//1 Plasma::AlignToHour
	{14, 7, 60},	//2 Plasma::AlignToMinute
	{14, 9, 30},	//3 Plasma::AllConstraints
	{14, 13, 74},	//4 Plasma::AnimatorComponent
	{14, 26, 71},	//5 Plasma::AppletComponent
	{14, 29, 62},	//6 Plasma::AppletType
	{14, 34, 45},	//7 Plasma::BottomEdge
	{14, 35, 77},	//8 Plasma::BottomMargin
	{14, 36, 51},	//9 Plasma::BottomPositioned
	{14, 37, 52},	//10 Plasma::CenterPositioned
	{14, 51, 70},	//11 Plasma::ConstrainedSquare
	{14, 57, 75},	//12 Plasma::ContainmentComponent
	{14, 67, 72},	//13 Plasma::DataEngineComponent
	{14, 74, 42},	//14 Plasma::Desktop
	{14, 76, 56},	//15 Plasma::DesktopZoom
	{14, 82, 35},	//16 Plasma::Down
	{14, 94, 41},	//17 Plasma::Floating
	{14, 95, 24},	//18 Plasma::FormFactorConstraint
	{14, 96, 43},	//19 Plasma::FullScreen
	{14, 102, 57},	//20 Plasma::GroupZoom
	{14, 108, 33},	//21 Plasma::Horizontal
	{14, 109, 54},	//22 Plasma::HorizontalFlip
	{14, 116, 67},	//23 Plasma::IgnoreAspectRatio
	{14, 117, 28},	//24 Plasma::ImmutableConstraint
	{14, 119, 68},	//25 Plasma::KeepAspectRatio
	{14, 122, 37},	//26 Plasma::Left
	{14, 124, 46},	//27 Plasma::LeftEdge
	{14, 125, 78},	//28 Plasma::LeftMargin
	{14, 126, 48},	//29 Plasma::LeftPositioned
	{14, 129, 63},	//30 Plasma::LineEditType
	{14, 131, 25},	//31 Plasma::LocationConstraint
	{14, 135, 32},	//32 Plasma::MediaCenter
	{14, 138, 64},	//33 Plasma::Mutable
	{14, 140, 59},	//34 Plasma::NoAlignment
	{14, 143, 23},	//35 Plasma::NoConstraint
	{14, 145, 53},	//36 Plasma::NoFlip
	{14, 150, 58},	//37 Plasma::OverviewZoom
	{14, 163, 31},	//38 Plasma::Planar
	{14, 173, 38},	//39 Plasma::Right
	{14, 175, 47},	//40 Plasma::RightEdge
	{14, 176, 79},	//41 Plasma::RightMargin
	{14, 177, 49},	//42 Plasma::RightPositioned
	{14, 178, 73},	//43 Plasma::RunnerComponent
	{14, 187, 26},	//44 Plasma::ScreenConstraint
	{14, 195, 27},	//45 Plasma::SizeConstraint
	{14, 199, 69},	//46 Plasma::Square
	{14, 201, 29},	//47 Plasma::StartupCompletedConstraint
	{14, 206, 66},	//48 Plasma::SystemImmutable
	{14, 213, 44},	//49 Plasma::TopEdge
	{14, 214, 76},	//50 Plasma::TopMargin
	{14, 215, 50},	//51 Plasma::TopPositioned
	{14, 219, 36},	//52 Plasma::Up
	{14, 220, 65},	//53 Plasma::UserImmutable
	{14, 221, 34},	//54 Plasma::Vertical
	{14, 222, 55},	//55 Plasma::VerticalFlip
	{14, 230, 39},	//56 Plasma::ZoomIn
	{14, 231, 40},	//57 Plasma::ZoomOut
	{14, 629, 84},	//58 Plasma::knownLanguages$
	{14, 682, -1},	//59 Plasma::loadScriptEngine$#
	{14, 685, 81},	//60 Plasma::locationToDirection$
	{14, 749, 88},	//61 Plasma::packageStructure$$
	{14, 783, 82},	//62 Plasma::popupPosition##
	{14, 867, 80},	//63 Plasma::scalingFactor$
	{14, 1244, 83},	//64 Plasma::viewFor#
	{15, 1, 115},	//65 Plasma::AbstractRunner::AbstractRunner
	{15, 2, 114},	//66 Plasma::AbstractRunner::AbstractRunner#
	{15, 3, 113},	//67 Plasma::AbstractRunner::AbstractRunner#$
	{15, 4, 116},	//68 Plasma::AbstractRunner::AbstractRunner#?
	{15, 105, 94},	//69 Plasma::AbstractRunner::HighPriority
	{15, 106, 95},	//70 Plasma::AbstractRunner::HighestPriority
	{15, 132, 92},	//71 Plasma::AbstractRunner::LowPriority
	{15, 133, 91},	//72 Plasma::AbstractRunner::LowestPriority
	{15, 148, 93},	//73 Plasma::AbstractRunner::NormalPriority
	{15, 149, 90},	//74 Plasma::AbstractRunner::NormalSpeed
	{15, 198, 89},	//75 Plasma::AbstractRunner::SlowSpeed
	{15, 307, 123},	//76 Plasma::AbstractRunner::bigLock
	{15, 341, 117},	//77 Plasma::AbstractRunner::config
	{15, 387, 102},	//78 Plasma::AbstractRunner::createRunOptions#
	{15, 407, 110},	//79 Plasma::AbstractRunner::description
	{15, 557, 101},	//80 Plasma::AbstractRunner::hasRunOptions
	{15, 575, 109},	//81 Plasma::AbstractRunner::id
	{15, 576, 106},	//82 Plasma::AbstractRunner::ignoredTypes
	{15, 583, 124},	//83 Plasma::AbstractRunner::init
	{15, 698, 99},	//84 Plasma::AbstractRunner::match#
	{15, 705, 96},	//85 Plasma::AbstractRunner::metaObject
	{15, 736, 108},	//86 Plasma::AbstractRunner::name
	{15, 747, 111},	//87 Plasma::AbstractRunner::package
	{15, 777, 100},	//88 Plasma::AbstractRunner::performMatch#
	{15, 789, 105},	//89 Plasma::AbstractRunner::priority
	{15, 793, 97},	//90 Plasma::AbstractRunner::qt_metacall$$?
	{15, 812, 112},	//91 Plasma::AbstractRunner::reloadConfiguration
	{15, 851, 103},	//92 Plasma::AbstractRunner::run##
	{15, 888, 122},	//93 Plasma::AbstractRunner::serviceQuery$
	{15, 889, 121},	//94 Plasma::AbstractRunner::serviceQuery$$
	{15, 978, 118},	//95 Plasma::AbstractRunner::setHasRunOptions$
	{15, 996, 107},	//96 Plasma::AbstractRunner::setIgnoredTypes$
	{15, 1058, 120},	//97 Plasma::AbstractRunner::setPriority$
	{15, 1084, 119},	//98 Plasma::AbstractRunner::setSpeed$
	{15, 1167, 104},	//99 Plasma::AbstractRunner::speed
	{15, 1267, 98},	//100 Plasma::AbstractRunner::~AbstractRunner
	{16, 11, 128},	//101 Plasma::AnimationDriver::AnimationDriver
	{16, 12, 127},	//102 Plasma::AnimationDriver::AnimationDriver#
	{16, 286, 136},	//103 Plasma::AnimationDriver::animationCurve$
	{16, 288, 133},	//104 Plasma::AnimationDriver::animationDuration$
	{16, 292, 130},	//105 Plasma::AnimationDriver::animationFps$
	{16, 464, 138},	//106 Plasma::AnimationDriver::elementAnimationCurve$
	{16, 466, 135},	//107 Plasma::AnimationDriver::elementAnimationDuration$
	{16, 470, 132},	//108 Plasma::AnimationDriver::elementAnimationFps$
	{16, 472, 139},	//109 Plasma::AnimationDriver::elementAppear$#
	{16, 476, 140},	//110 Plasma::AnimationDriver::elementDisappear$#
	{16, 612, 143},	//111 Plasma::AnimationDriver::itemActivated$#
	{16, 614, 141},	//112 Plasma::AnimationDriver::itemAppear$#
	{16, 618, 142},	//113 Plasma::AnimationDriver::itemDisappear$#
	{16, 620, 144},	//114 Plasma::AnimationDriver::itemSlideIn$###
	{16, 622, 145},	//115 Plasma::AnimationDriver::itemSlideOut$###
	{16, 705, 125},	//116 Plasma::AnimationDriver::metaObject
	{16, 729, 137},	//117 Plasma::AnimationDriver::movementAnimationCurve$
	{16, 731, 134},	//118 Plasma::AnimationDriver::movementAnimationDuration$
	{16, 733, 131},	//119 Plasma::AnimationDriver::movementAnimationFps$
	{16, 793, 126},	//120 Plasma::AnimationDriver::qt_metacall$$?
	{16, 1268, 129},	//121 Plasma::AnimationDriver::~AnimationDriver
	{17, 5, 148},	//122 Plasma::Animator::ActivateAnimation
	{17, 14, 146},	//123 Plasma::Animator::AppearAnimation
	{17, 81, 147},	//124 Plasma::Animator::DisappearAnimation
	{17, 83, 149},	//125 Plasma::Animator::EaseInCurve
	{17, 84, 151},	//126 Plasma::Animator::EaseInOutCurve
	{17, 85, 150},	//127 Plasma::Animator::EaseOutCurve
	{17, 88, 155},	//128 Plasma::Animator::FastSlideInMovement
	{17, 89, 156},	//129 Plasma::Animator::FastSlideOutMovement
	{17, 130, 152},	//130 Plasma::Animator::LinearCurve
	{17, 196, 153},	//131 Plasma::Animator::SlideInMovement
	{17, 197, 154},	//132 Plasma::Animator::SlideOutMovement
	{17, 282, 165},	//133 Plasma::Animator::animateElement#$
	{17, 284, 159},	//134 Plasma::Animator::animateItem#$
	{17, 389, 168},	//135 Plasma::Animator::currentPixmap$
	{17, 393, 163},	//136 Plasma::Animator::customAnimation$$$#$
	{17, 597, 169},	//137 Plasma::Animator::isAnimating
	{17, 705, 157},	//138 Plasma::Animator::metaObject
	{17, 727, 161},	//139 Plasma::Animator::moveItem#$#
	{17, 793, 158},	//140 Plasma::Animator::qt_metacall$$?
	{17, 884, 170},	//141 Plasma::Animator::self
	{17, 1008, 167},	//142 Plasma::Animator::setInitialPixmap$#
	{17, 1170, 164},	//143 Plasma::Animator::stopCustomAnimation$
	{17, 1172, 166},	//144 Plasma::Animator::stopElementAnimation$
	{17, 1174, 160},	//145 Plasma::Animator::stopItemAnimation$
	{17, 1176, 162},	//146 Plasma::Animator::stopItemMovement$
	{18, 15, 227},	//147 Plasma::Applet::Applet
	{18, 16, 226},	//148 Plasma::Applet::Applet#
	{18, 17, 225},	//149 Plasma::Applet::Applet#$
	{18, 18, 224},	//150 Plasma::Applet::Applet#$$
	{18, 19, 255},	//151 Plasma::Applet::Applet#?
	{18, 70, 175},	//152 Plasma::Applet::DefaultBackground
	{18, 141, 171},	//153 Plasma::Applet::NoBackground
	{18, 191, 174},	//154 Plasma::Applet::ShadowedBackground
	{18, 200, 172},	//155 Plasma::Applet::StandardBackground
	{18, 216, 173},	//156 Plasma::Applet::TranslucentBackground
	{18, 217, 176},	//157 Plasma::Applet::Type
	{18, 234, 212},	//158 Plasma::Applet::action$
	{18, 237, 238},	//159 Plasma::Applet::activate
	{18, 241, 213},	//160 Plasma::Applet::addAction$#
	{18, 250, 222},	//161 Plasma::Applet::addAssociatedWidget#
	{18, 301, 197},	//162 Plasma::Applet::aspectRatioMode
	{18, 304, 215},	//163 Plasma::Applet::backgroundHints
	{18, 314, 205},	//164 Plasma::Applet::category
	{18, 315, 253},	//165 Plasma::Applet::category#
	{18, 316, 254},	//166 Plasma::Applet::category$
	{18, 341, 181},	//167 Plasma::Applet::config
	{18, 342, 182},	//168 Plasma::Applet::config$
	{18, 343, 237},	//169 Plasma::Applet::configNeedsSaving
	{18, 344, 186},	//170 Plasma::Applet::configScheme
	{18, 346, 209},	//171 Plasma::Applet::configurationRequired
	{18, 360, 264},	//172 Plasma::Applet::constraintsEvent$
	{18, 364, 219},	//173 Plasma::Applet::containment
	{18, 377, 211},	//174 Plasma::Applet::contextualActions
	{18, 380, 262},	//175 Plasma::Applet::createConfigurationInterface#
	{18, 401, 187},	//176 Plasma::Applet::dataEngine$
	{18, 409, 229},	//177 Plasma::Applet::destroy
	{18, 498, 268},	//178 Plasma::Applet::eventFilter##
	{18, 519, 233},	//179 Plasma::Applet::flushPendingConstraintsEvents
	{18, 521, 272},	//180 Plasma::Applet::focusInEvent#
	{18, 530, 201},	//181 Plasma::Applet::font
	{18, 536, 195},	//182 Plasma::Applet::formFactor
	{18, 538, 236},	//183 Plasma::Applet::geometryChanged
	{18, 545, 185},	//184 Plasma::Applet::globalConfig
	{18, 546, 221},	//185 Plasma::Applet::globalShortcut
	{18, 551, 210},	//186 Plasma::Applet::hasConfigurationInterface
	{18, 556, 208},	//187 Plasma::Applet::hasFailedToLaunch
	{18, 573, 204},	//188 Plasma::Applet::icon
	{18, 575, 180},	//189 Plasma::Applet::id
	{18, 580, 206},	//190 Plasma::Applet::immutability
	{18, 583, 234},	//191 Plasma::Applet::init
	{18, 599, 216},	//192 Plasma::Applet::isContainment
	{18, 606, 267},	//193 Plasma::Applet::isRegisteredAsDragHandle#
	{18, 616, 274},	//194 Plasma::Applet::itemChange$#
	{18, 650, 242},	//195 Plasma::Applet::listAppletInfo
	{18, 651, 241},	//196 Plasma::Applet::listAppletInfo$
	{18, 652, 240},	//197 Plasma::Applet::listAppletInfo$$
	{18, 654, 243},	//198 Plasma::Applet::listAppletInfoForMimetype$
	{18, 655, 246},	//199 Plasma::Applet::listCategories
	{18, 656, 245},	//200 Plasma::Applet::listCategories$
	{18, 657, 244},	//201 Plasma::Applet::listCategories$$
	{18, 666, 252},	//202 Plasma::Applet::load#
	{18, 667, 251},	//203 Plasma::Applet::load#$
	{18, 668, 250},	//204 Plasma::Applet::load#$?
	{18, 669, 249},	//205 Plasma::Applet::load$
	{18, 670, 248},	//206 Plasma::Applet::load$$
	{18, 671, 247},	//207 Plasma::Applet::load$$?
	{18, 683, 196},	//208 Plasma::Applet::location
	{18, 686, 232},	//209 Plasma::Applet::lower
	{18, 691, 190},	//210 Plasma::Applet::mapFromView##
	{18, 693, 191},	//211 Plasma::Applet::mapToView##
	{18, 705, 177},	//212 Plasma::Applet::metaObject
	{18, 719, 270},	//213 Plasma::Applet::mouseMoveEvent#
	{18, 721, 271},	//214 Plasma::Applet::mousePressEvent#
	{18, 736, 200},	//215 Plasma::Applet::name
	{18, 747, 188},	//216 Plasma::Applet::package
	{18, 748, 239},	//217 Plasma::Applet::packageStructure
	{18, 763, 199},	//218 Plasma::Applet::paintInterface###
	{18, 769, 207},	//219 Plasma::Applet::paintWindowFrame###
	{18, 779, 202},	//220 Plasma::Applet::pluginName
	{18, 782, 192},	//221 Plasma::Applet::popupPosition#
	{18, 793, 178},	//222 Plasma::Applet::qt_metacall$$?
	{18, 796, 231},	//223 Plasma::Applet::raise
	{18, 806, 265},	//224 Plasma::Applet::registerAsDragHandle#
	{18, 810, 235},	//225 Plasma::Applet::releaseVisualFocus
	{18, 817, 223},	//226 Plasma::Applet::removeAssociatedWidget#
	{18, 839, 273},	//227 Plasma::Applet::resizeEvent#
	{18, 843, 184},	//228 Plasma::Applet::restore#
	{18, 856, 183},	//229 Plasma::Applet::save#
	{18, 862, 258},	//230 Plasma::Applet::saveState#
	{18, 871, 269},	//231 Plasma::Applet::sceneEventFilter##
	{18, 880, 217},	//232 Plasma::Applet::screenRect
	{18, 900, 198},	//233 Plasma::Applet::setAspectRatioMode$
	{18, 906, 214},	//234 Plasma::Applet::setBackgroundHints$
	{18, 919, 261},	//235 Plasma::Applet::setConfigurationRequired$
	{18, 920, 260},	//236 Plasma::Applet::setConfigurationRequired$$
	{18, 962, 257},	//237 Plasma::Applet::setFailedToLaunch$
	{18, 963, 256},	//238 Plasma::Applet::setFailedToLaunch$$
	{18, 974, 220},	//239 Plasma::Applet::setGlobalShortcut#
	{18, 976, 259},	//240 Plasma::Applet::setHasConfigurationInterface$
	{18, 1002, 228},	//241 Plasma::Applet::setImmutability$
	{18, 1010, 263},	//242 Plasma::Applet::setIsContainment$
	{18, 1140, 275},	//243 Plasma::Applet::shape
	{18, 1141, 203},	//244 Plasma::Applet::shouldConserveResources
	{18, 1144, 230},	//245 Plasma::Applet::showConfigurationInterface
	{18, 1156, 277},	//246 Plasma::Applet::sizeHint$
	{18, 1157, 276},	//247 Plasma::Applet::sizeHint$#
	{18, 1196, 278},	//248 Plasma::Applet::timerEvent#
	{18, 1204, 218},	//249 Plasma::Applet::type
	{18, 1215, 266},	//250 Plasma::Applet::unregisterAsDragHandle#
	{18, 1216, 194},	//251 Plasma::Applet::updateConstraints
	{18, 1217, 193},	//252 Plasma::Applet::updateConstraints$
	{18, 1242, 189},	//253 Plasma::Applet::view
	{18, 1269, 179},	//254 Plasma::Applet::~Applet
	{19, 20, 283},	//255 Plasma::AppletBrowser::AppletBrowser
	{19, 21, 282},	//256 Plasma::AppletBrowser::AppletBrowser#
	{19, 22, 281},	//257 Plasma::AppletBrowser::AppletBrowser#$
	{19, 300, 287},	//258 Plasma::AppletBrowser::application
	{19, 364, 289},	//259 Plasma::AppletBrowser::containment
	{19, 705, 279},	//260 Plasma::AppletBrowser::metaObject
	{19, 793, 280},	//261 Plasma::AppletBrowser::qt_metacall$$?
	{19, 897, 286},	//262 Plasma::AppletBrowser::setApplication
	{19, 898, 285},	//263 Plasma::AppletBrowser::setApplication$
	{19, 922, 288},	//264 Plasma::AppletBrowser::setContainment#
	{19, 1270, 284},	//265 Plasma::AppletBrowser::~AppletBrowser
	{20, 23, 294},	//266 Plasma::AppletBrowserWidget::AppletBrowserWidget
	{20, 24, 293},	//267 Plasma::AppletBrowserWidget::AppletBrowserWidget#
	{20, 25, 292},	//268 Plasma::AppletBrowserWidget::AppletBrowserWidget#$
	{20, 242, 301},	//269 Plasma::AppletBrowserWidget::addApplet
	{20, 300, 298},	//270 Plasma::AppletBrowserWidget::application
	{20, 364, 300},	//271 Plasma::AppletBrowserWidget::containment
	{20, 411, 302},	//272 Plasma::AppletBrowserWidget::destroyApplets$
	{20, 423, 303},	//273 Plasma::AppletBrowserWidget::downloadWidgets
	{20, 705, 290},	//274 Plasma::AppletBrowserWidget::metaObject
	{20, 742, 304},	//275 Plasma::AppletBrowserWidget::openWidgetFile
	{20, 793, 291},	//276 Plasma::AppletBrowserWidget::qt_metacall$$?
	{20, 897, 297},	//277 Plasma::AppletBrowserWidget::setApplication
	{20, 898, 296},	//278 Plasma::AppletBrowserWidget::setApplication$
	{20, 922, 299},	//279 Plasma::AppletBrowserWidget::setContainment#
	{20, 1271, 295},	//280 Plasma::AppletBrowserWidget::~AppletBrowserWidget
	{21, 27, 308},	//281 Plasma::AppletScript::AppletScript
	{21, 28, 307},	//282 Plasma::AppletScript::AppletScript#
	{21, 293, 311},	//283 Plasma::AppletScript::applet
	{21, 360, 314},	//284 Plasma::AppletScript::constraintsEvent$
	{21, 377, 315},	//285 Plasma::AppletScript::contextualActions
	{21, 401, 318},	//286 Plasma::AppletScript::dataEngine$
	{21, 688, 319},	//287 Plasma::AppletScript::mainScript
	{21, 705, 305},	//288 Plasma::AppletScript::metaObject
	{21, 747, 320},	//289 Plasma::AppletScript::package
	{21, 763, 312},	//290 Plasma::AppletScript::paintInterface###
	{21, 793, 306},	//291 Plasma::AppletScript::qt_metacall$$?
	{21, 894, 310},	//292 Plasma::AppletScript::setApplet#
	{21, 1140, 316},	//293 Plasma::AppletScript::shape
	{21, 1144, 317},	//294 Plasma::AppletScript::showConfigurationInterface
	{21, 1151, 313},	//295 Plasma::AppletScript::size
	{21, 1272, 309},	//296 Plasma::AppletScript::~AppletScript
	{22, 38, 324},	//297 Plasma::CheckBox::CheckBox
	{22, 39, 323},	//298 Plasma::CheckBox::CheckBox#
	{22, 577, 329},	//299 Plasma::CheckBox::image
	{22, 598, 334},	//300 Plasma::CheckBox::isChecked
	{22, 705, 321},	//301 Plasma::CheckBox::metaObject
	{22, 738, 332},	//302 Plasma::CheckBox::nativeWidget
	{22, 793, 322},	//303 Plasma::CheckBox::qt_metacall$$?
	{22, 839, 336},	//304 Plasma::CheckBox::resizeEvent#
	{22, 915, 333},	//305 Plasma::CheckBox::setChecked$
	{22, 998, 328},	//306 Plasma::CheckBox::setImage$
	{22, 1088, 330},	//307 Plasma::CheckBox::setStyleSheet$
	{22, 1097, 326},	//308 Plasma::CheckBox::setText$
	{22, 1180, 331},	//309 Plasma::CheckBox::styleSheet
	{22, 1188, 327},	//310 Plasma::CheckBox::text
	{22, 1199, 335},	//311 Plasma::CheckBox::toggled$
	{22, 1273, 325},	//312 Plasma::CheckBox::~CheckBox
	{23, 41, 340},	//313 Plasma::ComboBox::ComboBox
	{23, 42, 339},	//314 Plasma::ComboBox::ComboBox#
	{23, 239, 348},	//315 Plasma::ComboBox::activated$
	{23, 264, 346},	//316 Plasma::ComboBox::addItem$
	{23, 324, 347},	//317 Plasma::ComboBox::clear
	{23, 705, 337},	//318 Plasma::ComboBox::metaObject
	{23, 738, 345},	//319 Plasma::ComboBox::nativeWidget
	{23, 793, 338},	//320 Plasma::ComboBox::qt_metacall$$?
	{23, 839, 349},	//321 Plasma::ComboBox::resizeEvent#
	{23, 1088, 343},	//322 Plasma::ComboBox::setStyleSheet$
	{23, 1180, 344},	//323 Plasma::ComboBox::styleSheet
	{23, 1188, 342},	//324 Plasma::ComboBox::text
	{23, 1274, 341},	//325 Plasma::ComboBox::~ComboBox
	{24, 45, 355},	//326 Plasma::ConfigXml::ConfigXml##
	{24, 46, 354},	//327 Plasma::ConfigXml::ConfigXml###
	{24, 47, 351},	//328 Plasma::ConfigXml::ConfigXml$#
	{24, 48, 350},	//329 Plasma::ConfigXml::ConfigXml$##
	{24, 49, 353},	//330 Plasma::ConfigXml::ConfigXml?#
	{24, 50, 352},	//331 Plasma::ConfigXml::ConfigXml?##
	{24, 511, 357},	//332 Plasma::ConfigXml::findItem$$
	{24, 1275, 356},	//333 Plasma::ConfigXml::~ConfigXml
	{25, 52, 368},	//334 Plasma::Containment::Containment
	{25, 53, 367},	//335 Plasma::Containment::Containment#
	{25, 54, 366},	//336 Plasma::Containment::Containment#$
	{25, 55, 365},	//337 Plasma::Containment::Containment#$$
	{25, 56, 369},	//338 Plasma::Containment::Containment#?
	{25, 60, 361},	//339 Plasma::Containment::CustomContainment
	{25, 61, 362},	//340 Plasma::Containment::CustomPanelContainment
	{25, 75, 359},	//341 Plasma::Containment::DesktopContainment
	{25, 144, 358},	//342 Plasma::Containment::NoContainmentType
	{25, 160, 360},	//343 Plasma::Containment::PanelContainment
	{25, 243, 379},	//344 Plasma::Containment::addApplet#
	{25, 244, 378},	//345 Plasma::Containment::addApplet##
	{25, 245, 377},	//346 Plasma::Containment::addApplet##$
	{25, 246, 376},	//347 Plasma::Containment::addApplet$
	{25, 247, 375},	//348 Plasma::Containment::addApplet$?
	{25, 248, 374},	//349 Plasma::Containment::addApplet$?#
	{25, 250, 391},	//350 Plasma::Containment::addAssociatedWidget#
	{25, 273, 395},	//351 Plasma::Containment::addSiblingContainment
	{25, 274, 403},	//352 Plasma::Containment::addSiblingContainment#
	{25, 278, 386},	//353 Plasma::Containment::addToolBoxTool#
	{25, 295, 399},	//354 Plasma::Containment::appletAdded##
	{25, 298, 400},	//355 Plasma::Containment::appletRemoved#
	{25, 299, 380},	//356 Plasma::Containment::applets
	{25, 325, 381},	//357 Plasma::Containment::clearApplets
	{25, 331, 390},	//358 Plasma::Containment::closeToolBox
	{25, 369, 372},	//359 Plasma::Containment::containmentType
	{25, 376, 414},	//360 Plasma::Containment::contextMenuEvent#
	{25, 378, 373},	//361 Plasma::Containment::corona
	{25, 409, 398},	//362 Plasma::Containment::destroy
	{25, 462, 384},	//363 Plasma::Containment::effectiveScreenPos
	{25, 485, 385},	//364 Plasma::Containment::enableAction$$
	{25, 522, 396},	//365 Plasma::Containment::focusNextApplet
	{25, 527, 397},	//366 Plasma::Containment::focusPreviousApplet
	{25, 529, 406},	//367 Plasma::Containment::focusRequested#
	{25, 568, 415},	//368 Plasma::Containment::hoverEnterEvent#
	{25, 570, 416},	//369 Plasma::Containment::hoverLeaveEvent#
	{25, 583, 371},	//370 Plasma::Containment::init
	{25, 616, 419},	//371 Plasma::Containment::itemChange$#
	{25, 624, 417},	//372 Plasma::Containment::keyPressEvent#
	{25, 658, 409},	//373 Plasma::Containment::listContainments
	{25, 659, 408},	//374 Plasma::Containment::listContainments$
	{25, 660, 407},	//375 Plasma::Containment::listContainments$$
	{25, 662, 410},	//376 Plasma::Containment::listContainmentsForMimetype$
	{25, 705, 363},	//377 Plasma::Containment::metaObject
	{25, 741, 389},	//378 Plasma::Containment::openToolBox
	{25, 793, 364},	//379 Plasma::Containment::qt_metacall$$?
	{25, 817, 392},	//380 Plasma::Containment::removeAssociatedWidget#
	{25, 825, 387},	//381 Plasma::Containment::removeToolBoxTool#
	{25, 845, 413},	//382 Plasma::Containment::restoreContents#
	{25, 858, 412},	//383 Plasma::Containment::saveContents#
	{25, 871, 418},	//384 Plasma::Containment::sceneEventFilter##
	{25, 875, 383},	//385 Plasma::Containment::screen
	{25, 877, 405},	//386 Plasma::Containment::screenChanged$$#
	{25, 924, 411},	//387 Plasma::Containment::setContainmentType$
	{25, 970, 394},	//388 Plasma::Containment::setFormFactor$
	{25, 1022, 393},	//389 Plasma::Containment::setLocation$
	{25, 1072, 382},	//390 Plasma::Containment::setScreen$
	{25, 1105, 388},	//391 Plasma::Containment::setToolBoxOpen$
	{25, 1143, 404},	//392 Plasma::Containment::showAddWidgetsInterface#
	{25, 1200, 402},	//393 Plasma::Containment::toolBoxToggled
	{25, 1266, 401},	//394 Plasma::Containment::zoomRequested#$
	{25, 1276, 370},	//395 Plasma::Containment::~Containment
	{26, 58, 423},	//396 Plasma::Corona::Corona
	{26, 59, 422},	//397 Plasma::Corona::Corona#
	{26, 252, 431},	//398 Plasma::Corona::addContainment$
	{26, 253, 430},	//399 Plasma::Corona::addContainment$?
	{26, 255, 448},	//400 Plasma::Corona::addContainmentDelayed$
	{26, 256, 447},	//401 Plasma::Corona::addContainmentDelayed$?
	{26, 296, 426},	//402 Plasma::Corona::appletMimeType
	{26, 327, 428},	//403 Plasma::Corona::clearContainments
	{26, 341, 429},	//404 Plasma::Corona::config
	{26, 345, 445},	//405 Plasma::Corona::configSynced
	{26, 366, 442},	//406 Plasma::Corona::containmentAdded#
	{26, 368, 432},	//407 Plasma::Corona::containmentForScreen$
	{26, 370, 427},	//408 Plasma::Corona::containments
	{26, 425, 449},	//409 Plasma::Corona::dragEnterEvent#
	{26, 427, 450},	//410 Plasma::Corona::dragLeaveEvent#
	{26, 429, 451},	//411 Plasma::Corona::dragMoveEvent#
	{26, 580, 439},	//412 Plasma::Corona::immutability
	{26, 586, 434},	//413 Plasma::Corona::initializeLayout
	{26, 587, 433},	//414 Plasma::Corona::initializeLayout$
	{26, 672, 446},	//415 Plasma::Corona::loadDefaultLayout
	{26, 677, 436},	//416 Plasma::Corona::loadLayout
	{26, 678, 435},	//417 Plasma::Corona::loadLayout$
	{26, 705, 420},	//418 Plasma::Corona::metaObject
	{26, 793, 421},	//419 Plasma::Corona::qt_metacall$$?
	{26, 810, 444},	//420 Plasma::Corona::releaseVisualFocus
	{26, 830, 441},	//421 Plasma::Corona::requestConfigSync
	{26, 859, 438},	//422 Plasma::Corona::saveLayout
	{26, 860, 437},	//423 Plasma::Corona::saveLayout$
	{26, 879, 443},	//424 Plasma::Corona::screenOwnerChanged$$#
	{26, 896, 425},	//425 Plasma::Corona::setAppletMimeType$
	{26, 1002, 440},	//426 Plasma::Corona::setImmutability$
	{26, 1277, 424},	//427 Plasma::Corona::~Corona
	{27, 62, 455},	//428 Plasma::DataContainer::DataContainer
	{27, 63, 454},	//429 Plasma::DataContainer::DataContainer#
	{27, 306, 464},	//430 Plasma::DataContainer::becameUnused$
	{27, 320, 466},	//431 Plasma::DataContainer::checkForUpdate
	{27, 321, 470},	//432 Plasma::DataContainer::checkUsage
	{27, 358, 461},	//433 Plasma::DataContainer::connectVisualization#$$
	{27, 399, 457},	//434 Plasma::DataContainer::data
	{27, 403, 463},	//435 Plasma::DataContainer::dataUpdated$?
	{27, 419, 462},	//436 Plasma::DataContainer::disconnectVisualization#
	{27, 705, 452},	//437 Plasma::DataContainer::metaObject
	{27, 793, 453},	//438 Plasma::DataContainer::qt_metacall$$?
	{27, 813, 459},	//439 Plasma::DataContainer::removeAllData
	{27, 933, 458},	//440 Plasma::DataContainer::setData$#
	{27, 1039, 469},	//441 Plasma::DataContainer::setNeedsUpdate
	{27, 1040, 468},	//442 Plasma::DataContainer::setNeedsUpdate$
	{27, 1194, 467},	//443 Plasma::DataContainer::timeSinceLastUpdate
	{27, 1223, 465},	//444 Plasma::DataContainer::updateRequested#
	{27, 1248, 460},	//445 Plasma::DataContainer::visualizationIsConnected#
	{27, 1278, 456},	//446 Plasma::DataContainer::~DataContainer
	{28, 64, 475},	//447 Plasma::DataEngine::DataEngine
	{28, 65, 474},	//448 Plasma::DataEngine::DataEngine#
	{28, 66, -5},	//449 Plasma::DataEngine::DataEngine#?
	{28, 276, 505},	//450 Plasma::DataEngine::addSource#
	{28, 348, 487},	//451 Plasma::DataEngine::connectAllSources#
	{28, 349, 486},	//452 Plasma::DataEngine::connectAllSources#$
	{28, 350, 485},	//453 Plasma::DataEngine::connectAllSources#$$
	{28, 354, 484},	//454 Plasma::DataEngine::connectSource$#
	{28, 355, 483},	//455 Plasma::DataEngine::connectSource$#$
	{28, 356, 482},	//456 Plasma::DataEngine::connectSource$#$$
	{28, 361, 512},	//457 Plasma::DataEngine::containerDict
	{28, 363, 489},	//458 Plasma::DataEngine::containerForSource$
	{28, 417, 488},	//459 Plasma::DataEngine::disconnectSource$#
	{28, 573, 494},	//460 Plasma::DataEngine::icon
	{28, 583, 478},	//461 Plasma::DataEngine::init
	{28, 601, 492},	//462 Plasma::DataEngine::isEmpty
	{28, 609, 491},	//463 Plasma::DataEngine::isValid
	{28, 703, 493},	//464 Plasma::DataEngine::maxSourceCount
	{28, 705, 471},	//465 Plasma::DataEngine::metaObject
	{28, 714, 508},	//466 Plasma::DataEngine::minimumPollingInterval
	{28, 736, 481},	//467 Plasma::DataEngine::name
	{28, 747, 495},	//468 Plasma::DataEngine::package
	{28, 793, 472},	//469 Plasma::DataEngine::qt_metacall$$?
	{28, 795, 490},	//470 Plasma::DataEngine::query$
	{28, 814, 503},	//471 Plasma::DataEngine::removeAllData$
	{28, 815, 510},	//472 Plasma::DataEngine::removeAllSources
	{28, 819, 504},	//473 Plasma::DataEngine::removeData$$
	{28, 823, 517},	//474 Plasma::DataEngine::removeSource$
	{28, 874, 516},	//475 Plasma::DataEngine::scheduleSourcesUpdated
	{28, 886, 480},	//476 Plasma::DataEngine::serviceForSource$
	{28, 933, 500},	//477 Plasma::DataEngine::setData$#
	{28, 934, 501},	//478 Plasma::DataEngine::setData$$#
	{28, 935, 502},	//479 Plasma::DataEngine::setData$?
	{28, 992, 515},	//480 Plasma::DataEngine::setIcon$
	{28, 1024, 506},	//481 Plasma::DataEngine::setMaxSourceCount$
	{28, 1034, 507},	//482 Plasma::DataEngine::setMinimumPollingInterval$
	{28, 1038, 514},	//483 Plasma::DataEngine::setName$
	{28, 1054, 509},	//484 Plasma::DataEngine::setPollingInterval$
	{28, 1120, 511},	//485 Plasma::DataEngine::setValid$
	{28, 1161, 496},	//486 Plasma::DataEngine::sourceAdded$
	{28, 1163, 497},	//487 Plasma::DataEngine::sourceRemoved$
	{28, 1165, 498},	//488 Plasma::DataEngine::sourceRequestEvent$
	{28, 1166, 479},	//489 Plasma::DataEngine::sources
	{28, 1196, 513},	//490 Plasma::DataEngine::timerEvent#
	{28, 1225, 499},	//491 Plasma::DataEngine::updateSourceEvent$
	{28, 1279, 477},	//492 Plasma::DataEngine::~DataEngine
	{29, 490, 520},	//493 Plasma::DataEngineManager::engine$
	{29, 649, 524},	//494 Plasma::DataEngineManager::listAllEngines
	{29, 674, 521},	//495 Plasma::DataEngineManager::loadEngine$
	{29, 705, 518},	//496 Plasma::DataEngineManager::metaObject
	{29, 793, 519},	//497 Plasma::DataEngineManager::qt_metacall$$?
	{29, 884, 523},	//498 Plasma::DataEngineManager::self
	{29, 1213, 522},	//499 Plasma::DataEngineManager::unloadEngine$
	{30, 68, 528},	//500 Plasma::DataEngineScript::DataEngineScript
	{30, 69, 527},	//501 Plasma::DataEngineScript::DataEngineScript#
	{30, 400, 531},	//502 Plasma::DataEngineScript::dataEngine
	{30, 705, 525},	//503 Plasma::DataEngineScript::metaObject
	{30, 714, 540},	//504 Plasma::DataEngineScript::minimumPollingInterval
	{30, 793, 526},	//505 Plasma::DataEngineScript::qt_metacall$$?
	{30, 814, 536},	//506 Plasma::DataEngineScript::removeAllData$
	{30, 815, 542},	//507 Plasma::DataEngineScript::removeAllSources
	{30, 819, 537},	//508 Plasma::DataEngineScript::removeData$$
	{30, 933, 535},	//509 Plasma::DataEngineScript::setData$#
	{30, 934, 534},	//510 Plasma::DataEngineScript::setData$$#
	{30, 937, 530},	//511 Plasma::DataEngineScript::setDataEngine#
	{30, 1024, 538},	//512 Plasma::DataEngineScript::setMaxSourceCount$
	{30, 1034, 539},	//513 Plasma::DataEngineScript::setMinimumPollingInterval$
	{30, 1054, 541},	//514 Plasma::DataEngineScript::setPollingInterval$
	{30, 1165, 532},	//515 Plasma::DataEngineScript::sourceRequestEvent$
	{30, 1225, 533},	//516 Plasma::DataEngineScript::updateSourceEvent$
	{30, 1280, 529},	//517 Plasma::DataEngineScript::~DataEngineScript
	{31, 40, 545},	//518 Plasma::Delegate::ColumnTypeRole
	{31, 72, 551},	//519 Plasma::Delegate::Delegate
	{31, 73, 550},	//520 Plasma::Delegate::Delegate#
	{31, 134, 546},	//521 Plasma::Delegate::MainColumn
	{31, 190, 547},	//522 Plasma::Delegate::SecondaryActionColumn
	{31, 202, 544},	//523 Plasma::Delegate::SubTitleMandatoryRole
	{31, 203, 543},	//524 Plasma::Delegate::SubTitleRole
	{31, 483, 558},	//525 Plasma::Delegate::emptyRect##
	{31, 705, 548},	//526 Plasma::Delegate::metaObject
	{31, 753, 555},	//527 Plasma::Delegate::paint###
	{31, 793, 549},	//528 Plasma::Delegate::qt_metacall$$?
	{31, 802, 557},	//529 Plasma::Delegate::rectAfterSubTitle##
	{31, 804, 556},	//530 Plasma::Delegate::rectAfterTitle##
	{31, 848, 554},	//531 Plasma::Delegate::roleMapping$
	{31, 1068, 553},	//532 Plasma::Delegate::setRoleMapping$$
	{31, 1155, 559},	//533 Plasma::Delegate::sizeHint##
	{31, 1281, 552},	//534 Plasma::Delegate::~Delegate
	{32, 77, 564},	//535 Plasma::Dialog::Dialog
	{32, 78, 563},	//536 Plasma::Dialog::Dialog#
	{32, 79, 562},	//537 Plasma::Dialog::Dialog#$
	{32, 705, 560},	//538 Plasma::Dialog::metaObject
	{32, 759, 568},	//539 Plasma::Dialog::paintEvent#
	{32, 785, -8},	//540 Plasma::Dialog::position###
	{32, 793, 561},	//541 Plasma::Dialog::qt_metacall$$?
	{32, 839, 569},	//542 Plasma::Dialog::resizeEvent#
	{32, 1282, 565},	//543 Plasma::Dialog::~Dialog
	{33, 92, 573},	//544 Plasma::Flash::Flash
	{33, 93, 572},	//545 Plasma::Flash::Flash#
	{33, 504, 588},	//546 Plasma::Flash::fadeIn
	{33, 505, 589},	//547 Plasma::Flash::fadeOut
	{33, 513, 585},	//548 Plasma::Flash::flash#
	{33, 514, 584},	//549 Plasma::Flash::flash#$
	{33, 515, 583},	//550 Plasma::Flash::flash#$$
	{33, 516, 582},	//551 Plasma::Flash::flash$
	{33, 517, 581},	//552 Plasma::Flash::flash$$
	{33, 518, 580},	//553 Plasma::Flash::flash$$#
	{33, 627, 586},	//554 Plasma::Flash::kill
	{33, 705, 570},	//555 Plasma::Flash::metaObject
	{33, 752, 576},	//556 Plasma::Flash::paint##
	{33, 753, 575},	//557 Plasma::Flash::paint###
	{33, 793, 571},	//558 Plasma::Flash::qt_metacall$$?
	{33, 826, 587},	//559 Plasma::Flash::renderPixmap
	{33, 917, 578},	//560 Plasma::Flash::setColor#
	{33, 948, 579},	//561 Plasma::Flash::setDuration$
	{33, 965, 577},	//562 Plasma::Flash::setFont#
	{33, 1283, 574},	//563 Plasma::Flash::~Flash
	{34, 98, 592},	//564 Plasma::GLApplet::GLApplet#$$
	{34, 99, 593},	//565 Plasma::GLApplet::GLApplet#?
	{34, 309, 596},	//566 Plasma::GLApplet::bindTexture#
	{34, 310, 595},	//567 Plasma::GLApplet::bindTexture#$
	{34, 406, 597},	//568 Plasma::GLApplet::deleteTexture$
	{34, 689, 599},	//569 Plasma::GLApplet::makeCurrent
	{34, 705, 590},	//570 Plasma::GLApplet::metaObject
	{34, 761, 598},	//571 Plasma::GLApplet::paintGLInterface##
	{34, 793, 591},	//572 Plasma::GLApplet::qt_metacall$$?
	{34, 1284, 594},	//573 Plasma::GLApplet::~GLApplet
	{35, 100, 603},	//574 Plasma::GroupBox::GroupBox
	{35, 101, 602},	//575 Plasma::GroupBox::GroupBox#
	{35, 705, 600},	//576 Plasma::GroupBox::metaObject
	{35, 738, 609},	//577 Plasma::GroupBox::nativeWidget
	{35, 793, 601},	//578 Plasma::GroupBox::qt_metacall$$?
	{35, 839, 610},	//579 Plasma::GroupBox::resizeEvent#
	{35, 1088, 607},	//580 Plasma::GroupBox::setStyleSheet$
	{35, 1097, 605},	//581 Plasma::GroupBox::setText$
	{35, 1180, 608},	//582 Plasma::GroupBox::styleSheet
	{35, 1188, 606},	//583 Plasma::GroupBox::text
	{35, 1285, 604},	//584 Plasma::GroupBox::~GroupBox
	{36, 110, 614},	//585 Plasma::Icon::Icon
	{36, 111, 613},	//586 Plasma::Icon::Icon#
	{36, 112, 618},	//587 Plasma::Icon::Icon#$
	{36, 113, 617},	//588 Plasma::Icon::Icon#$#
	{36, 114, 616},	//589 Plasma::Icon::Icon$
	{36, 115, 615},	//590 Plasma::Icon::Icon$#
	{36, 233, 632},	//591 Plasma::Icon::action
	{36, 238, 649},	//592 Plasma::Icon::activated
	{36, 262, 630},	//593 Plasma::Icon::addIconAction#
	{36, 319, 650},	//594 Plasma::Icon::changed
	{36, 328, 647},	//595 Plasma::Icon::clicked
	{36, 422, 648},	//596 Plasma::Icon::doubleClicked
	{36, 431, 642},	//597 Plasma::Icon::drawActionButtonBase##$
	{36, 434, 640},	//598 Plasma::Icon::drawBackground
	{36, 568, 658},	//599 Plasma::Icon::hoverEnterEvent#
	{36, 570, 659},	//600 Plasma::Icon::hoverLeaveEvent#
	{36, 573, 626},	//601 Plasma::Icon::icon
	{36, 574, 629},	//602 Plasma::Icon::iconSize
	{36, 582, 624},	//603 Plasma::Icon::infoText
	{36, 595, 634},	//604 Plasma::Icon::invertLayout$
	{36, 596, 635},	//605 Plasma::Icon::invertedLayout
	{36, 600, 653},	//606 Plasma::Icon::isDown
	{36, 705, 611},	//607 Plasma::Icon::metaObject
	{36, 717, 657},	//608 Plasma::Icon::mouseDoubleClickEvent#
	{36, 719, 655},	//609 Plasma::Icon::mouseMoveEvent#
	{36, 721, 654},	//610 Plasma::Icon::mousePressEvent#
	{36, 723, 656},	//611 Plasma::Icon::mouseReleaseEvent#
	{36, 739, 637},	//612 Plasma::Icon::numDisplayLines
	{36, 752, 652},	//613 Plasma::Icon::paint##
	{36, 753, 651},	//614 Plasma::Icon::paint###
	{36, 788, 646},	//615 Plasma::Icon::pressed$
	{36, 793, 612},	//616 Plasma::Icon::qt_metacall$$?
	{36, 892, 631},	//617 Plasma::Icon::setAction#
	{36, 946, 639},	//618 Plasma::Icon::setDrawBackground$
	{36, 991, 627},	//619 Plasma::Icon::setIcon#
	{36, 992, 628},	//620 Plasma::Icon::setIcon$
	{36, 1006, 625},	//621 Plasma::Icon::setInfoText$
	{36, 1042, 638},	//622 Plasma::Icon::setNumDisplayLines$
	{36, 1044, 633},	//623 Plasma::Icon::setOrientation$
	{36, 1055, 644},	//624 Plasma::Icon::setPressed
	{36, 1056, 643},	//625 Plasma::Icon::setPressed$
	{36, 1092, 623},	//626 Plasma::Icon::setSvg$
	{36, 1093, 622},	//627 Plasma::Icon::setSvg$$
	{36, 1097, 621},	//628 Plasma::Icon::setText$
	{36, 1112, 645},	//629 Plasma::Icon::setUnpressed
	{36, 1140, 641},	//630 Plasma::Icon::shape
	{36, 1153, 636},	//631 Plasma::Icon::sizeFromIconSize$
	{36, 1188, 620},	//632 Plasma::Icon::text
	{36, 1286, 619},	//633 Plasma::Icon::~Icon
	{37, 120, 663},	//634 Plasma::Label::Label
	{37, 121, 662},	//635 Plasma::Label::Label#
	{37, 403, 672},	//636 Plasma::Label::dataUpdated$?
	{37, 577, 668},	//637 Plasma::Label::image
	{37, 705, 660},	//638 Plasma::Label::metaObject
	{37, 738, 671},	//639 Plasma::Label::nativeWidget
	{37, 793, 661},	//640 Plasma::Label::qt_metacall$$?
	{37, 839, 673},	//641 Plasma::Label::resizeEvent#
	{37, 998, 667},	//642 Plasma::Label::setImage$
	{37, 1088, 669},	//643 Plasma::Label::setStyleSheet$
	{37, 1097, 665},	//644 Plasma::Label::setText$
	{37, 1180, 670},	//645 Plasma::Label::styleSheet
	{37, 1188, 666},	//646 Plasma::Label::text
	{37, 1287, 664},	//647 Plasma::Label::~Label
	{38, 127, 677},	//648 Plasma::LineEdit::LineEdit
	{38, 128, 676},	//649 Plasma::LineEdit::LineEdit#
	{38, 458, 684},	//650 Plasma::LineEdit::editingFinished
	{38, 705, 674},	//651 Plasma::LineEdit::metaObject
	{38, 738, 683},	//652 Plasma::LineEdit::nativeWidget
	{38, 793, 675},	//653 Plasma::LineEdit::qt_metacall$$?
	{38, 846, 685},	//654 Plasma::LineEdit::returnPressed
	{38, 1088, 681},	//655 Plasma::LineEdit::setStyleSheet$
	{38, 1097, 679},	//656 Plasma::LineEdit::setText$
	{38, 1180, 682},	//657 Plasma::LineEdit::styleSheet
	{38, 1188, 680},	//658 Plasma::LineEdit::text
	{38, 1191, 686},	//659 Plasma::LineEdit::textEdited$
	{38, 1288, 678},	//660 Plasma::LineEdit::~LineEdit
	{39, 10, 689},	//661 Plasma::Meter::AnalogMeter
	{39, 31, 687},	//662 Plasma::Meter::BarMeterHorizontal
	{39, 32, 688},	//663 Plasma::Meter::BarMeterVertical
	{39, 136, 693},	//664 Plasma::Meter::Meter
	{39, 137, 692},	//665 Plasma::Meter::Meter#
	{39, 403, 713},	//666 Plasma::Meter::dataUpdated$?
	{39, 631, 706},	//667 Plasma::Meter::label$
	{39, 633, 712},	//668 Plasma::Meter::labelAlignment$
	{39, 635, 708},	//669 Plasma::Meter::labelColor$
	{39, 637, 710},	//670 Plasma::Meter::labelFont$
	{39, 704, 696},	//671 Plasma::Meter::maximum
	{39, 705, 690},	//672 Plasma::Meter::metaObject
	{39, 707, 704},	//673 Plasma::Meter::meterType
	{39, 713, 698},	//674 Plasma::Meter::minimum
	{39, 752, 715},	//675 Plasma::Meter::paint##
	{39, 753, 714},	//676 Plasma::Meter::paint###
	{39, 793, 691},	//677 Plasma::Meter::qt_metacall$$?
	{39, 1012, 705},	//678 Plasma::Meter::setLabel$$
	{39, 1014, 711},	//679 Plasma::Meter::setLabelAlignment$$
	{39, 1016, 707},	//680 Plasma::Meter::setLabelColor$#
	{39, 1018, 709},	//681 Plasma::Meter::setLabelFont$#
	{39, 1026, 695},	//682 Plasma::Meter::setMaximum$
	{39, 1028, 703},	//683 Plasma::Meter::setMeterType$
	{39, 1032, 697},	//684 Plasma::Meter::setMinimum$
	{39, 1092, 701},	//685 Plasma::Meter::setSvg$
	{39, 1122, 699},	//686 Plasma::Meter::setValue$
	{39, 1184, 702},	//687 Plasma::Meter::svg
	{39, 1235, 700},	//688 Plasma::Meter::value
	{39, 1289, 694},	//689 Plasma::Meter::~Meter
	{40, 152, 716},	//690 Plasma::Package::Package$$?
	{40, 153, 717},	//691 Plasma::Package::Package$?
	{40, 384, 730},	//692 Plasma::Package::createPackage#$$
	{40, 385, 729},	//693 Plasma::Package::createPackage#$$$
	{40, 494, 722},	//694 Plasma::Package::entryList$
	{40, 507, 721},	//695 Plasma::Package::filePath$
	{40, 508, 720},	//696 Plasma::Package::filePath$$
	{40, 593, 727},	//697 Plasma::Package::installPackage$$
	{40, 609, 719},	//698 Plasma::Package::isValid
	{40, 664, 726},	//699 Plasma::Package::listInstalled$
	{40, 706, 723},	//700 Plasma::Package::metadata
	{40, 773, 724},	//701 Plasma::Package::path
	{40, 808, 728},	//702 Plasma::Package::registerPackage#$
	{40, 1177, 725},	//703 Plasma::Package::structure
	{40, 1290, 718},	//704 Plasma::Package::~Package
	{41, 154, 731},	//705 Plasma::PackageMetadata::PackageMetadata
	{41, 155, 765},	//706 Plasma::PackageMetadata::PackageMetadata#
	{41, 156, 732},	//707 Plasma::PackageMetadata::PackageMetadata$
	{41, 300, 745},	//708 Plasma::PackageMetadata::application
	{41, 302, 740},	//709 Plasma::PackageMetadata::author
	{41, 314, 746},	//710 Plasma::PackageMetadata::category
	{41, 407, 738},	//711 Plasma::PackageMetadata::description
	{41, 481, 741},	//712 Plasma::PackageMetadata::email
	{41, 581, 749},	//713 Plasma::PackageMetadata::implementationApi
	{41, 609, 734},	//714 Plasma::PackageMetadata::isValid
	{41, 648, 744},	//715 Plasma::PackageMetadata::license
	{41, 736, 737},	//716 Plasma::PackageMetadata::name
	{41, 779, 748},	//717 Plasma::PackageMetadata::pluginName
	{41, 799, 736},	//718 Plasma::PackageMetadata::read$
	{41, 833, 747},	//719 Plasma::PackageMetadata::requiredVersion
	{41, 890, 739},	//720 Plasma::PackageMetadata::serviceType
	{41, 898, 759},	//721 Plasma::PackageMetadata::setApplication$
	{41, 902, 754},	//722 Plasma::PackageMetadata::setAuthor$
	{41, 913, 760},	//723 Plasma::PackageMetadata::setCategory$
	{41, 942, 752},	//724 Plasma::PackageMetadata::setDescription$
	{41, 954, 755},	//725 Plasma::PackageMetadata::setEmail$
	{41, 1004, 764},	//726 Plasma::PackageMetadata::setImplementationApi$
	{41, 1020, 758},	//727 Plasma::PackageMetadata::setLicense$
	{41, 1038, 751},	//728 Plasma::PackageMetadata::setName$
	{41, 1052, 763},	//729 Plasma::PackageMetadata::setPluginName$
	{41, 1066, 761},	//730 Plasma::PackageMetadata::setRequiredVersion$
	{41, 1074, 753},	//731 Plasma::PackageMetadata::setServiceType$
	{41, 1109, 762},	//732 Plasma::PackageMetadata::setType$
	{41, 1124, 756},	//733 Plasma::PackageMetadata::setVersion$
	{41, 1138, 757},	//734 Plasma::PackageMetadata::setWebsite$
	{41, 1204, 750},	//735 Plasma::PackageMetadata::type
	{41, 1236, 742},	//736 Plasma::PackageMetadata::version
	{41, 1251, 743},	//737 Plasma::PackageMetadata::website
	{41, 1263, 735},	//738 Plasma::PackageMetadata::write$
	{41, 1291, 733},	//739 Plasma::PackageMetadata::~PackageMetadata
	{42, 157, 770},	//740 Plasma::PackageStructure::PackageStructure
	{42, 158, 769},	//741 Plasma::PackageStructure::PackageStructure#
	{42, 159, 768},	//742 Plasma::PackageStructure::PackageStructure#$
	{42, 258, 778},	//743 Plasma::PackageStructure::addDirectoryDefinition$$$
	{42, 260, 779},	//744 Plasma::PackageStructure::addFileDefinition$$$
	{42, 374, 793},	//745 Plasma::PackageStructure::contentsPrefix
	{42, 413, 774},	//746 Plasma::PackageStructure::directories
	{42, 509, 776},	//747 Plasma::PackageStructure::files
	{42, 593, 791},	//748 Plasma::PackageStructure::installPackage$$
	{42, 608, 783},	//749 Plasma::PackageStructure::isRequired$
	{42, 669, 794},	//750 Plasma::PackageStructure::load$
	{42, 705, 766},	//751 Plasma::PackageStructure::metaObject
	{42, 712, 786},	//752 Plasma::PackageStructure::mimetypes$
	{42, 737, 781},	//753 Plasma::PackageStructure::name$
	{42, 746, 772},	//754 Plasma::PackageStructure::operator=#
	{42, 773, 788},	//755 Plasma::PackageStructure::path
	{42, 774, 780},	//756 Plasma::PackageStructure::path$
	{42, 775, 796},	//757 Plasma::PackageStructure::pathChanged
	{42, 793, 767},	//758 Plasma::PackageStructure::qt_metacall$$?
	{42, 798, 789},	//759 Plasma::PackageStructure::read#
	{42, 831, 775},	//760 Plasma::PackageStructure::requiredDirectories
	{42, 832, 777},	//761 Plasma::PackageStructure::requiredFiles
	{42, 928, 795},	//762 Plasma::PackageStructure::setContentsPrefix$
	{42, 939, 784},	//763 Plasma::PackageStructure::setDefaultMimetypes?
	{42, 1030, 785},	//764 Plasma::PackageStructure::setMimetypes$?
	{42, 1048, 787},	//765 Plasma::PackageStructure::setPath$
	{42, 1064, 782},	//766 Plasma::PackageStructure::setRequired$$
	{42, 1204, 773},	//767 Plasma::PackageStructure::type
	{42, 1210, 792},	//768 Plasma::PackageStructure::uninstallPackage$$
	{42, 1262, 790},	//769 Plasma::PackageStructure::write#
	{42, 1292, 771},	//770 Plasma::PackageStructure::~PackageStructure
	{43, 8, 802},	//771 Plasma::PanelSvg::AllBorders
	{43, 33, 799},	//772 Plasma::PanelSvg::BottomBorder
	{43, 123, 800},	//773 Plasma::PanelSvg::LeftBorder
	{43, 142, 797},	//774 Plasma::PanelSvg::NoBorder
	{43, 161, 806},	//775 Plasma::PanelSvg::PanelSvg
	{43, 162, 805},	//776 Plasma::PanelSvg::PanelSvg#
	{43, 174, 801},	//777 Plasma::PanelSvg::RightBorder
	{43, 212, 798},	//778 Plasma::PanelSvg::TopBorder
	{43, 312, 822},	//779 Plasma::PanelSvg::cacheAllRenderedPanels
	{43, 326, 823},	//780 Plasma::PanelSvg::clearCache
	{43, 486, 810},	//781 Plasma::PanelSvg::enabledBorders
	{43, 542, 814},	//782 Plasma::PanelSvg::getMargins$$$$
	{43, 555, -11},	//783 Plasma::PanelSvg::hasElementPrefix$
	{43, 695, 813},	//784 Plasma::PanelSvg::marginSize$
	{43, 696, 820},	//785 Plasma::PanelSvg::mask
	{43, 705, 803},	//786 Plasma::PanelSvg::metaObject
	{43, 765, 825},	//787 Plasma::PanelSvg::paintPanel##
	{43, 766, 824},	//788 Plasma::PanelSvg::paintPanel###
	{43, 772, 812},	//789 Plasma::PanelSvg::panelSize
	{43, 786, 819},	//790 Plasma::PanelSvg::prefix
	{43, 793, 804},	//791 Plasma::PanelSvg::qt_metacall$$?
	{43, 841, 811},	//792 Plasma::PanelSvg::resizePanel#
	{43, 908, 821},	//793 Plasma::PanelSvg::setCacheAllRenderedPanels$
	{43, 952, -14},	//794 Plasma::PanelSvg::setElementPrefix$
	{43, 958, 809},	//795 Plasma::PanelSvg::setEnabledBorders$
	{43, 1000, 808},	//796 Plasma::PanelSvg::setImagePath$
	{43, 1293, 807},	//797 Plasma::PanelSvg::~PanelSvg
	{44, 164, 828},	//798 Plasma::PlotColor::PlotColor
	{44, 165, 830},	//799 Plasma::PlotColor::PlotColor#
	{44, 338, 831},	//800 Plasma::PlotColor::color
	{44, 398, 832},	//801 Plasma::PlotColor::darkColor
	{44, 917, 826},	//802 Plasma::PlotColor::setColor#
	{44, 930, 827},	//803 Plasma::PlotColor::setDarkColor#
	{44, 1294, 829},	//804 Plasma::PlotColor::~PlotColor
	{45, 167, 836},	//805 Plasma::PushButton::PushButton
	{45, 168, 835},	//806 Plasma::PushButton::PushButton#
	{45, 328, 845},	//807 Plasma::PushButton::clicked
	{45, 577, 841},	//808 Plasma::PushButton::image
	{45, 705, 833},	//809 Plasma::PushButton::metaObject
	{45, 738, 844},	//810 Plasma::PushButton::nativeWidget
	{45, 793, 834},	//811 Plasma::PushButton::qt_metacall$$?
	{45, 839, 846},	//812 Plasma::PushButton::resizeEvent#
	{45, 998, 840},	//813 Plasma::PushButton::setImage$
	{45, 1088, 842},	//814 Plasma::PushButton::setStyleSheet$
	{45, 1097, 838},	//815 Plasma::PushButton::setText$
	{45, 1180, 843},	//816 Plasma::PushButton::styleSheet
	{45, 1188, 839},	//817 Plasma::PushButton::text
	{45, 1295, 837},	//818 Plasma::PushButton::~PushButton
	{46, 43, 848},	//819 Plasma::QueryMatch::CompletionMatch
	{46, 86, 852},	//820 Plasma::QueryMatch::ExactMatch
	{46, 104, 851},	//821 Plasma::QueryMatch::HelperMatch
	{46, 118, 850},	//822 Plasma::QueryMatch::InformationalMatch
	{46, 146, 847},	//823 Plasma::QueryMatch::NoMatch
	{46, 166, 849},	//824 Plasma::QueryMatch::PossibleMatch
	{46, 170, -17},	//825 Plasma::QueryMatch::QueryMatch#
	{46, 399, 865},	//826 Plasma::QueryMatch::data
	{46, 573, 866},	//827 Plasma::QueryMatch::icon
	{46, 575, 862},	//828 Plasma::QueryMatch::id
	{46, 602, 867},	//829 Plasma::QueryMatch::isEnabled
	{46, 609, 856},	//830 Plasma::QueryMatch::isValid
	{46, 744, 868},	//831 Plasma::QueryMatch::operator<#
	{46, 746, 869},	//832 Plasma::QueryMatch::operator=#
	{46, 811, 860},	//833 Plasma::QueryMatch::relevance
	{46, 850, 870},	//834 Plasma::QueryMatch::run#
	{46, 853, 861},	//835 Plasma::QueryMatch::runner
	{46, 932, 871},	//836 Plasma::QueryMatch::setData#
	{46, 956, 876},	//837 Plasma::QueryMatch::setEnabled$
	{46, 991, 875},	//838 Plasma::QueryMatch::setIcon#
	{46, 994, 872},	//839 Plasma::QueryMatch::setId$
	{46, 1062, 859},	//840 Plasma::QueryMatch::setRelevance$
	{46, 1090, 874},	//841 Plasma::QueryMatch::setSubtext$
	{46, 1097, 873},	//842 Plasma::QueryMatch::setText$
	{46, 1109, 857},	//843 Plasma::QueryMatch::setType$
	{46, 1181, 864},	//844 Plasma::QueryMatch::subtext
	{46, 1188, 863},	//845 Plasma::QueryMatch::text
	{46, 1204, 858},	//846 Plasma::QueryMatch::type
	{46, 1296, 855},	//847 Plasma::QueryMatch::~QueryMatch
	{47, 171, 880},	//848 Plasma::RadioButton::RadioButton
	{47, 172, 879},	//849 Plasma::RadioButton::RadioButton#
	{47, 577, 885},	//850 Plasma::RadioButton::image
	{47, 598, 890},	//851 Plasma::RadioButton::isChecked
	{47, 705, 877},	//852 Plasma::RadioButton::metaObject
	{47, 738, 888},	//853 Plasma::RadioButton::nativeWidget
	{47, 793, 878},	//854 Plasma::RadioButton::qt_metacall$$?
	{47, 839, 892},	//855 Plasma::RadioButton::resizeEvent#
	{47, 915, 889},	//856 Plasma::RadioButton::setChecked$
	{47, 998, 884},	//857 Plasma::RadioButton::setImage$
	{47, 1088, 886},	//858 Plasma::RadioButton::setStyleSheet$
	{47, 1097, 882},	//859 Plasma::RadioButton::setText$
	{47, 1180, 887},	//860 Plasma::RadioButton::styleSheet
	{47, 1188, 883},	//861 Plasma::RadioButton::text
	{47, 1199, 891},	//862 Plasma::RadioButton::toggled$
	{47, 1297, 881},	//863 Plasma::RadioButton::~RadioButton
	{48, 80, 895},	//864 Plasma::RunnerContext::Directory
	{48, 87, 898},	//865 Plasma::RunnerContext::Executable
	{48, 90, 896},	//866 Plasma::RunnerContext::File
	{48, 91, 901},	//867 Plasma::RunnerContext::FileSystem
	{48, 103, 900},	//868 Plasma::RunnerContext::Help
	{48, 139, 897},	//869 Plasma::RunnerContext::NetworkLocation
	{48, 147, 893},	//870 Plasma::RunnerContext::None
	{48, 179, 905},	//871 Plasma::RunnerContext::RunnerContext
	{48, 180, -20},	//872 Plasma::RunnerContext::RunnerContext#
	{48, 181, 906},	//873 Plasma::RunnerContext::RunnerContext##
	{48, 192, 899},	//874 Plasma::RunnerContext::ShellCommand
	{48, 218, 894},	//875 Plasma::RunnerContext::UnknownType
	{48, 266, 915},	//876 Plasma::RunnerContext::addMatch$#
	{48, 268, 914},	//877 Plasma::RunnerContext::addMatches$?
	{48, 699, 917},	//878 Plasma::RunnerContext::match$
	{48, 700, 916},	//879 Plasma::RunnerContext::matches
	{48, 701, 918},	//880 Plasma::RunnerContext::matchesChanged
	{48, 705, 902},	//881 Plasma::RunnerContext::metaObject
	{48, 710, 913},	//882 Plasma::RunnerContext::mimeType
	{48, 793, 903},	//883 Plasma::RunnerContext::qt_metacall$$?
	{48, 794, 911},	//884 Plasma::RunnerContext::query
	{48, 834, 909},	//885 Plasma::RunnerContext::reset
	{48, 1060, 910},	//886 Plasma::RunnerContext::setQuery$
	{48, 1204, 912},	//887 Plasma::RunnerContext::type
	{48, 1298, 908},	//888 Plasma::RunnerContext::~RunnerContext
	{49, 182, 922},	//889 Plasma::RunnerManager::RunnerManager
	{49, 183, -23},	//890 Plasma::RunnerManager::RunnerManager#
	{49, 184, 923},	//891 Plasma::RunnerManager::RunnerManager##
	{49, 500, 936},	//892 Plasma::RunnerManager::execQuery$
	{49, 501, 935},	//893 Plasma::RunnerManager::execQuery$$
	{49, 644, 934},	//894 Plasma::RunnerManager::launchQuery$
	{49, 645, 933},	//895 Plasma::RunnerManager::launchQuery$$
	{49, 700, 928},	//896 Plasma::RunnerManager::matches
	{49, 702, 938},	//897 Plasma::RunnerManager::matchesChanged?
	{49, 705, 919},	//898 Plasma::RunnerManager::metaObject
	{49, 793, 920},	//899 Plasma::RunnerManager::qt_metacall$$?
	{49, 794, 931},	//900 Plasma::RunnerManager::query
	{49, 812, 932},	//901 Plasma::RunnerManager::reloadConfiguration
	{49, 834, 937},	//902 Plasma::RunnerManager::reset
	{49, 850, 929},	//903 Plasma::RunnerManager::run#
	{49, 852, 930},	//904 Plasma::RunnerManager::run$
	{49, 854, 926},	//905 Plasma::RunnerManager::runner$
	{49, 883, 927},	//906 Plasma::RunnerManager::searchContext
	{49, 1299, 925},	//907 Plasma::RunnerManager::~RunnerManager
	{50, 185, 942},	//908 Plasma::RunnerScript::RunnerScript
	{50, 186, 941},	//909 Plasma::RunnerScript::RunnerScript#
	{50, 688, 948},	//910 Plasma::RunnerScript::mainScript
	{50, 698, 946},	//911 Plasma::RunnerScript::match#
	{50, 705, 939},	//912 Plasma::RunnerScript::metaObject
	{50, 747, 949},	//913 Plasma::RunnerScript::package
	{50, 793, 940},	//914 Plasma::RunnerScript::qt_metacall$$?
	{50, 851, 947},	//915 Plasma::RunnerScript::run##
	{50, 853, 945},	//916 Plasma::RunnerScript::runner
	{50, 1070, 944},	//917 Plasma::RunnerScript::setRunner#
	{50, 1300, 943},	//918 Plasma::RunnerScript::~RunnerScript
	{51, 188, 955},	//919 Plasma::ScriptEngine::ScriptEngine
	{51, 189, 954},	//920 Plasma::ScriptEngine::ScriptEngine#
	{51, 583, 953},	//921 Plasma::ScriptEngine::init
	{51, 688, 956},	//922 Plasma::ScriptEngine::mainScript
	{51, 705, 950},	//923 Plasma::ScriptEngine::metaObject
	{51, 747, 957},	//924 Plasma::ScriptEngine::package
	{51, 793, 951},	//925 Plasma::ScriptEngine::qt_metacall$$?
	{51, 1301, 952},	//926 Plasma::ScriptEngine::~ScriptEngine
	{52, 193, 961},	//927 Plasma::SignalPlotter::SignalPlotter
	{52, 194, 960},	//928 Plasma::SignalPlotter::SignalPlotter#
	{52, 270, 963},	//929 Plasma::SignalPlotter::addPlot#
	{52, 272, 964},	//930 Plasma::SignalPlotter::addSample?
	{52, 303, 1004},	//931 Plasma::SignalPlotter::backgroundColor
	{52, 313, 1015},	//932 Plasma::SignalPlotter::calculateNiceRange
	{52, 433, 1024},	//933 Plasma::SignalPlotter::drawAxisText#$$
	{52, 436, 1018},	//934 Plasma::SignalPlotter::drawBackground#$$
	{52, 440, 1025},	//935 Plasma::SignalPlotter::drawHorizontalLines#$$$
	{52, 445, 1023},	//936 Plasma::SignalPlotter::drawPlots#$$$$
	{52, 447, 1019},	//937 Plasma::SignalPlotter::drawThinFrame#$$
	{52, 449, 1021},	//938 Plasma::SignalPlotter::drawTopBarContents#$$$
	{52, 451, 1020},	//939 Plasma::SignalPlotter::drawTopBarFrame#$$
	{52, 453, 1022},	//940 Plasma::SignalPlotter::drawVerticalLines#$$$
	{52, 455, 1017},	//941 Plasma::SignalPlotter::drawWidget#$$$
	{52, 530, 996},	//942 Plasma::SignalPlotter::font
	{52, 534, 994},	//943 Plasma::SignalPlotter::fontColor
	{52, 544, 1012},	//944 Plasma::SignalPlotter::getSnapshotImage$$
	{52, 564, 992},	//945 Plasma::SignalPlotter::horizontalLinesColor
	{52, 565, 998},	//946 Plasma::SignalPlotter::horizontalLinesCount
	{52, 566, 980},	//947 Plasma::SignalPlotter::horizontalScale
	{52, 640, 1007},	//948 Plasma::SignalPlotter::lastValue$
	{52, 642, 1008},	//949 Plasma::SignalPlotter::lastValueAsString$
	{52, 705, 958},	//950 Plasma::SignalPlotter::metaObject
	{52, 753, 1016},	//951 Plasma::SignalPlotter::paint###
	{52, 778, 967},	//952 Plasma::SignalPlotter::plotColors
	{52, 793, 959},	//953 Plasma::SignalPlotter::qt_metacall$$?
	{52, 821, 966},	//954 Plasma::SignalPlotter::removePlot$
	{52, 828, 965},	//955 Plasma::SignalPlotter::reorderPlots?
	{52, 864, 972},	//956 Plasma::SignalPlotter::scale$
	{52, 865, 973},	//957 Plasma::SignalPlotter::scaledBy
	{52, 904, 1003},	//958 Plasma::SignalPlotter::setBackgroundColor#
	{52, 965, 995},	//959 Plasma::SignalPlotter::setFont#
	{52, 968, 993},	//960 Plasma::SignalPlotter::setFontColor#
	{52, 972, 1013},	//961 Plasma::SignalPlotter::setGeometry#
	{52, 980, 991},	//962 Plasma::SignalPlotter::setHorizontalLinesColor#
	{52, 982, 997},	//963 Plasma::SignalPlotter::setHorizontalLinesCount$
	{52, 984, 979},	//964 Plasma::SignalPlotter::setHorizontalScale$
	{52, 1076, 989},	//965 Plasma::SignalPlotter::setShowHorizontalLines$
	{52, 1078, 999},	//966 Plasma::SignalPlotter::setShowLabels$
	{52, 1080, 1001},	//967 Plasma::SignalPlotter::setShowTopBar$
	{52, 1082, 981},	//968 Plasma::SignalPlotter::setShowVerticalLines$
	{52, 1086, 1010},	//969 Plasma::SignalPlotter::setStackPlots$
	{52, 1095, 1005},	//970 Plasma::SignalPlotter::setSvgBackground$
	{52, 1101, 1009},	//971 Plasma::SignalPlotter::setThinFrame$
	{52, 1103, 968},	//972 Plasma::SignalPlotter::setTitle$
	{52, 1111, 970},	//973 Plasma::SignalPlotter::setUnit$
	{52, 1116, 974},	//974 Plasma::SignalPlotter::setUseAutoRange$
	{52, 1126, 983},	//975 Plasma::SignalPlotter::setVerticalLinesColor#
	{52, 1128, 985},	//976 Plasma::SignalPlotter::setVerticalLinesDistance$
	{52, 1130, 987},	//977 Plasma::SignalPlotter::setVerticalLinesScroll$
	{52, 1132, 976},	//978 Plasma::SignalPlotter::setVerticalRange$$
	{52, 1147, 990},	//979 Plasma::SignalPlotter::showHorizontalLines
	{52, 1148, 1000},	//980 Plasma::SignalPlotter::showLabels
	{52, 1149, 1002},	//981 Plasma::SignalPlotter::showTopBar
	{52, 1150, 982},	//982 Plasma::SignalPlotter::showVerticalLines
	{52, 1168, 1011},	//983 Plasma::SignalPlotter::stackPlots
	{52, 1185, 1006},	//984 Plasma::SignalPlotter::svgBackground
	{52, 1197, 969},	//985 Plasma::SignalPlotter::title
	{52, 1211, 971},	//986 Plasma::SignalPlotter::unit
	{52, 1218, 1014},	//987 Plasma::SignalPlotter::updateDataBuffers
	{52, 1226, 975},	//988 Plasma::SignalPlotter::useAutoRange
	{52, 1237, 984},	//989 Plasma::SignalPlotter::verticalLinesColor
	{52, 1238, 986},	//990 Plasma::SignalPlotter::verticalLinesDistance
	{52, 1239, 988},	//991 Plasma::SignalPlotter::verticalLinesScroll
	{52, 1240, 978},	//992 Plasma::SignalPlotter::verticalMaxValue
	{52, 1241, 977},	//993 Plasma::SignalPlotter::verticalMinValue
	{52, 1302, 962},	//994 Plasma::SignalPlotter::~SignalPlotter
	{53, 204, 1029},	//995 Plasma::Svg::Svg
	{53, 205, 1028},	//996 Plasma::Svg::Svg#
	{53, 373, 1047},	//997 Plasma::Svg::containsMultipleImages
	{53, 474, 1044},	//998 Plasma::Svg::elementAtPoint#
	{53, 478, 1042},	//999 Plasma::Svg::elementRect$
	{53, 480, 1041},	//1000 Plasma::Svg::elementSize$
	{53, 553, 1043},	//1001 Plasma::Svg::hasElement$
	{53, 578, 1049},	//1002 Plasma::Svg::imagePath
	{53, 609, 1045},	//1003 Plasma::Svg::isValid
	{53, 705, 1026},	//1004 Plasma::Svg::metaObject
	{53, 752, -26},	//1005 Plasma::Svg::paint##
	{53, 754, -29},	//1006 Plasma::Svg::paint##$
	{53, 755, 1034},	//1007 Plasma::Svg::paint#$$
	{53, 756, 1033},	//1008 Plasma::Svg::paint#$$$
	{53, 793, 1027},	//1009 Plasma::Svg::qt_metacall$$?
	{53, 829, 1050},	//1010 Plasma::Svg::repaintNeeded
	{53, 835, 1040},	//1011 Plasma::Svg::resize
	{53, 836, 1039},	//1012 Plasma::Svg::resize#
	{53, 837, 1038},	//1013 Plasma::Svg::resize$$
	{53, 926, 1046},	//1014 Plasma::Svg::setContainsMultipleImages$
	{53, 1000, 1048},	//1015 Plasma::Svg::setImagePath$
	{53, 1151, 1037},	//1016 Plasma::Svg::size
	{53, 1303, 1030},	//1017 Plasma::Svg::~Svg
	{54, 208, 1054},	//1018 Plasma::TextEdit::TextEdit
	{54, 209, 1053},	//1019 Plasma::TextEdit::TextEdit#
	{54, 403, 1061},	//1020 Plasma::TextEdit::dataUpdated$?
	{54, 705, 1051},	//1021 Plasma::TextEdit::metaObject
	{54, 738, 1060},	//1022 Plasma::TextEdit::nativeWidget
	{54, 793, 1052},	//1023 Plasma::TextEdit::qt_metacall$$?
	{54, 839, 1063},	//1024 Plasma::TextEdit::resizeEvent#
	{54, 1088, 1058},	//1025 Plasma::TextEdit::setStyleSheet$
	{54, 1097, 1056},	//1026 Plasma::TextEdit::setText$
	{54, 1180, 1059},	//1027 Plasma::TextEdit::styleSheet
	{54, 1188, 1057},	//1028 Plasma::TextEdit::text
	{54, 1189, 1062},	//1029 Plasma::TextEdit::textChanged
	{54, 1304, 1055},	//1030 Plasma::TextEdit::~TextEdit
	{55, 30, 1066},	//1031 Plasma::Theme::BackgroundColor
	{55, 71, 1067},	//1032 Plasma::Theme::DefaultFont
	{55, 107, 1065},	//1033 Plasma::Theme::HighlightColor
	{55, 207, 1064},	//1034 Plasma::Theme::TextColor
	{55, 210, 1071},	//1035 Plasma::Theme::Theme
	{55, 211, 1070},	//1036 Plasma::Theme::Theme#
	{55, 339, 1080},	//1037 Plasma::Theme::color$
	{55, 340, 1079},	//1038 Plasma::Theme::colorScheme
	{55, 391, 1078},	//1039 Plasma::Theme::currentThemeHasImage$
	{55, 404, 1090},	//1040 Plasma::Theme::defaultTheme
	{55, 531, 1083},	//1041 Plasma::Theme::font$
	{55, 535, 1084},	//1042 Plasma::Theme::fontMetrics
	{55, 579, 1075},	//1043 Plasma::Theme::imagePath$
	{55, 705, 1068},	//1044 Plasma::Theme::metaObject
	{55, 748, 1091},	//1045 Plasma::Theme::packageStructure
	{55, 793, 1069},	//1046 Plasma::Theme::qt_metacall$$?
	{55, 965, 1082},	//1047 Plasma::Theme::setFont#
	{55, 966, 1081},	//1048 Plasma::Theme::setFont#$
	{55, 1099, 1073},	//1049 Plasma::Theme::setThemeName$
	{55, 1118, 1086},	//1050 Plasma::Theme::setUseGlobalSettings$
	{55, 1139, 1088},	//1051 Plasma::Theme::settingsChanged
	{55, 1192, 1089},	//1052 Plasma::Theme::themeChanged
	{55, 1193, 1074},	//1053 Plasma::Theme::themeName
	{55, 1229, 1087},	//1054 Plasma::Theme::useGlobalSettings
	{55, 1249, 1077},	//1055 Plasma::Theme::wallpaperPath
	{55, 1250, 1076},	//1056 Plasma::Theme::wallpaperPath#
	{55, 1260, 1085},	//1057 Plasma::Theme::windowTranslucencyEnabled
	{55, 1305, 1072},	//1058 Plasma::Theme::~Theme
	{56, 224, 1095},	//1059 Plasma::View::View#
	{56, 225, 1094},	//1060 Plasma::View::View##
	{56, 226, 1097},	//1061 Plasma::View::View#$
	{56, 227, 1096},	//1062 Plasma::View::View#$#
	{56, 341, 1114},	//1063 Plasma::View::config
	{56, 364, 1106},	//1064 Plasma::View::containment
	{56, 408, 1104},	//1065 Plasma::View::desktop
	{56, 461, 1105},	//1066 Plasma::View::effectiveDesktop
	{56, 575, 1109},	//1067 Plasma::View::id
	{56, 610, 1100},	//1068 Plasma::View::isWallpaperEnabled
	{56, 705, 1092},	//1069 Plasma::View::metaObject
	{56, 793, 1093},	//1070 Plasma::View::qt_metacall$$?
	{56, 872, 1111},	//1071 Plasma::View::sceneRectAboutToChange
	{56, 873, 1112},	//1072 Plasma::View::sceneRectChanged
	{56, 875, 1102},	//1073 Plasma::View::screen
	{56, 922, 1110},	//1074 Plasma::View::setContainment#
	{56, 944, 1103},	//1075 Plasma::View::setDesktop$
	{56, 1072, 1101},	//1076 Plasma::View::setScreen$
	{56, 1107, 1107},	//1077 Plasma::View::setTrackContainmentChanges$
	{56, 1136, 1099},	//1078 Plasma::View::setWallpaperEnabled$
	{56, 1202, 1113},	//1079 Plasma::View::topLevelViewAt#
	{56, 1203, 1108},	//1080 Plasma::View::trackContainmentChanges
	{56, 1306, 1098},	//1081 Plasma::View::~View
	{57, 228, 1118},	//1082 Plasma::WebContent::WebContent
	{57, 229, 1117},	//1083 Plasma::WebContent::WebContent#
	{57, 376, 1138},	//1084 Plasma::WebContent::contextMenuEvent#
	{57, 425, 1144},	//1085 Plasma::WebContent::dragEnterEvent#
	{57, 427, 1145},	//1086 Plasma::WebContent::dragLeaveEvent#
	{57, 429, 1146},	//1087 Plasma::WebContent::dragMoveEvent#
	{57, 457, 1147},	//1088 Plasma::WebContent::dropEvent#
	{57, 521, 1142},	//1089 Plasma::WebContent::focusInEvent#
	{57, 526, 1143},	//1090 Plasma::WebContent::focusOutEvent#
	{57, 537, 1125},	//1091 Plasma::WebContent::geometry
	{57, 624, 1140},	//1092 Plasma::WebContent::keyPressEvent#
	{57, 626, 1141},	//1093 Plasma::WebContent::keyReleaseEvent#
	{57, 676, 1131},	//1094 Plasma::WebContent::loadFinished$
	{57, 680, 1130},	//1095 Plasma::WebContent::loadProgress$
	{57, 687, 1128},	//1096 Plasma::WebContent::mainFrame
	{57, 705, 1115},	//1097 Plasma::WebContent::metaObject
	{57, 717, 1136},	//1098 Plasma::WebContent::mouseDoubleClickEvent#
	{57, 719, 1134},	//1099 Plasma::WebContent::mouseMoveEvent#
	{57, 721, 1135},	//1100 Plasma::WebContent::mousePressEvent#
	{57, 723, 1137},	//1101 Plasma::WebContent::mouseReleaseEvent#
	{57, 750, 1127},	//1102 Plasma::WebContent::page
	{57, 752, 1133},	//1103 Plasma::WebContent::paint##
	{57, 753, 1132},	//1104 Plasma::WebContent::paint###
	{57, 793, 1116},	//1105 Plasma::WebContent::qt_metacall$$?
	{57, 972, 1129},	//1106 Plasma::WebContent::setGeometry#
	{57, 986, 1122},	//1107 Plasma::WebContent::setHtml#
	{57, 987, 1121},	//1108 Plasma::WebContent::setHtml##
	{57, 988, 1124},	//1109 Plasma::WebContent::setHtml$
	{57, 989, 1123},	//1110 Plasma::WebContent::setHtml$#
	{57, 1046, 1126},	//1111 Plasma::WebContent::setPage#
	{57, 1114, 1120},	//1112 Plasma::WebContent::setUrl#
	{57, 1253, 1139},	//1113 Plasma::WebContent::wheelEvent#
	{57, 1307, 1119},	//1114 Plasma::WebContent::~WebContent
};

static Smoke::Index plasma_ambiguousMethodList[] = {
    0,
    85,  // Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    87,  // Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    86,  // Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    0,
    476,  // Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    473,  // Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    0,
    567,  // Plasma::Dialog::position(QGraphicsView*, const QRectF, QPointF)
    566,  // Plasma::Dialog::position(QGraphicsSceneEvent*, const QRectF, QPointF)
    0,
    818,  // Plasma::PanelSvg::hasElementPrefix(Plasma::Location) const
    817,  // Plasma::PanelSvg::hasElementPrefix(const QString&) const
    0,
    816,  // Plasma::PanelSvg::setElementPrefix(const QString&)
    815,  // Plasma::PanelSvg::setElementPrefix(Plasma::Location)
    0,
    853,  // Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    854,  // Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    0,
    907,  // Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    904,  // Plasma::RunnerContext::RunnerContext(QObject*)
    0,
    924,  // Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    921,  // Plasma::RunnerManager::RunnerManager(QObject*)
    0,
    1036,  // Plasma::Svg::paint(QPainter*, const QRectF&)
    1032,  // Plasma::Svg::paint(QPainter*, const QPointF&)
    0,
    1035,  // Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    1031,  // Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    0,
};


void init_qt_Smoke();
void init_kde_Smoke();

static bool initialized = false;
Smoke *plasma_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_plasma_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    init_kde_Smoke();
    plasma_Smoke = new Smoke(
        "plasma",
        plasma_classes, 144,
        plasma_methods, 1315,
        plasma_methodMaps, 1115,
        plasma_methodNames, 1307,
        plasma_types, 637,
        plasma_inheritanceList,
        plasma_argumentList,
        plasma_ambiguousMethodList,
        plasma_cast );
    initialized = true;
}
