#include <qbytearray.h>
#include <qcoreevent.h>
#include <qdatetime.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qtextstream.h>
#include <qurl.h>
#include <qvariant.h>
#include <soprano/asyncmodel.h>
#include <soprano/backend.h>
#include <soprano/bindingset.h>
#include <soprano/cluceneindex.h>
#include <soprano/dbusexportiterator.h>
#include <soprano/dbusexportmodel.h>
#include <soprano/dbusmodel.h>
#include <soprano/dbusnodeiterator.h>
#include <soprano/dbusqueryresultiterator.h>
#include <soprano/dbusstatementiterator.h>
#include <soprano/error.h>
#include <soprano/filtermodel.h>
#include <soprano/indexfiltermodel.h>
#include <soprano/indexqueryhit.h>
#include <soprano/inferencemodel.h>
#include <soprano/inferencerule.h>
#include <soprano/inferenceruleparser.h>
#include <soprano/inferenceruleset.h>
#include <soprano/literalvalue.h>
#include <soprano/locator.h>
#include <soprano/model.h>
#include <soprano/mutexmodel.h>
#include <soprano/nao.h>
#include <soprano/node.h>
#include <soprano/nodeiterator.h>
#include <soprano/nodepattern.h>
#include <soprano/nrl.h>
#include <soprano/owl.h>
#include <soprano/parser.h>
#include <soprano/plugin.h>
#include <soprano/pluginmanager.h>
#include <soprano/queryresultiterator.h>
#include <soprano/rdf.h>
#include <soprano/rdfs.h>
#include <soprano/rdfschemamodel.h>
#include <soprano/readonlymodel.h>
#include <soprano/serializer.h>
#include <soprano/servercore.h>
#include <soprano/signalcachemodel.h>
#include <soprano/sil.h>
#include <soprano/simplenodeiterator.h>
#include <soprano/sopranotypes.h>
#include <soprano/statement.h>
#include <soprano/statementiterator.h>
#include <soprano/statementpattern.h>
#include <soprano/storagemodel.h>
#include <soprano/tcpclient.h>
#include <soprano/xesam.h>
#include <soprano/xsd.h>

#include <smoke.h>

#include <soprano_smoke.h>

static void *soprano_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//QByteArray
	switch(to) {
	    case 1: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 2:	//QChildEvent
	switch(to) {
	    case 5: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 2: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 3:	//QDate
	switch(to) {
	    case 3: return (void*)(QDate*)(QDate*)xptr;
	  default: return xptr;
	}
      case 4:	//QDateTime
	switch(to) {
	    case 4: return (void*)(QDateTime*)(QDateTime*)xptr;
	  default: return xptr;
	}
      case 5:	//QEvent
	switch(to) {
	    case 5: return (void*)(QEvent*)(QEvent*)xptr;
	    case 2: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 10: return (void*)(QTimerEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 6:	//QMetaObject
	switch(to) {
	    case 6: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 7:	//QObject
	switch(to) {
	    case 7: return (void*)(QObject*)(QObject*)xptr;
	    case 18: return (void*)(Soprano::Client::DBusModel*)(QObject*)xptr;
	    case 26: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
	    case 29: return (void*)(Soprano::Index::IndexFilterModel*)(QObject*)xptr;
	    case 32: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
	    case 39: return (void*)(Soprano::Model*)(QObject*)xptr;
	    case 44: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
	    case 47: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
	    case 50: return (void*)(Soprano::Server::DBusExportIterator*)(QObject*)xptr;
	    case 51: return (void*)(Soprano::Server::DBusExportModel*)(QObject*)xptr;
	    case 52: return (void*)(Soprano::Server::ServerCore*)(QObject*)xptr;
	    case 55: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
	    case 57: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
	    case 58: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
	    case 59: return (void*)(Soprano::Util::MutexModel*)(QObject*)xptr;
	    case 60: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
	    case 61: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
	  default: return xptr;
	}
      case 8:	//QTextStream
	switch(to) {
	    case 8: return (void*)(QTextStream*)(QTextStream*)xptr;
	  default: return xptr;
	}
      case 9:	//QTime
	switch(to) {
	    case 9: return (void*)(QTime*)(QTime*)xptr;
	  default: return xptr;
	}
      case 10:	//QTimerEvent
	switch(to) {
	    case 5: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 10: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 11:	//QUrl
	switch(to) {
	    case 11: return (void*)(QUrl*)(QUrl*)xptr;
	  default: return xptr;
	}
      case 12:	//QVariant
	switch(to) {
	    case 12: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 14:	//Soprano::Backend
	switch(to) {
	    case 43: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
	    case 14: return (void*)(Soprano::Backend*)(Soprano::Backend*)xptr;
	  default: return xptr;
	}
      case 15:	//Soprano::BackendSetting
	switch(to) {
	    case 15: return (void*)(Soprano::BackendSetting*)(Soprano::BackendSetting*)xptr;
	  default: return xptr;
	}
      case 16:	//Soprano::BindingSet
	switch(to) {
	    case 16: return (void*)(Soprano::BindingSet*)(Soprano::BindingSet*)xptr;
	  default: return xptr;
	}
      case 18:	//Soprano::Client::DBusModel
	switch(to) {
	    case 55: return (void*)(Soprano::StorageModel*)(Soprano::Client::DBusModel*)xptr;
	    case 39: return (void*)(Soprano::Model*)(Soprano::Client::DBusModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Client::DBusModel*)xptr;
	    case 18: return (void*)(Soprano::Client::DBusModel*)(Soprano::Client::DBusModel*)xptr;
	  default: return xptr;
	}
      case 19:	//Soprano::Client::DBusNodeIterator
	switch(to) {
	    case 41: return (void*)(Soprano::NodeIterator*)(Soprano::Client::DBusNodeIterator*)xptr;
	    case 19: return (void*)(Soprano::Client::DBusNodeIterator*)(Soprano::Client::DBusNodeIterator*)xptr;
	  default: return xptr;
	}
      case 20:	//Soprano::Client::DBusQueryResultIterator
	switch(to) {
	    case 46: return (void*)(Soprano::QueryResultIterator*)(Soprano::Client::DBusQueryResultIterator*)xptr;
	    case 20: return (void*)(Soprano::Client::DBusQueryResultIterator*)(Soprano::Client::DBusQueryResultIterator*)xptr;
	  default: return xptr;
	}
      case 21:	//Soprano::Client::DBusStatementIterator
	switch(to) {
	    case 54: return (void*)(Soprano::StatementIterator*)(Soprano::Client::DBusStatementIterator*)xptr;
	    case 21: return (void*)(Soprano::Client::DBusStatementIterator*)(Soprano::Client::DBusStatementIterator*)xptr;
	  default: return xptr;
	}
      case 23:	//Soprano::Error::Error
	switch(to) {
	    case 23: return (void*)(Soprano::Error::Error*)(Soprano::Error::Error*)xptr;
	    case 25: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
	  default: return xptr;
	}
      case 24:	//Soprano::Error::Locator
	switch(to) {
	    case 24: return (void*)(Soprano::Error::Locator*)(Soprano::Error::Locator*)xptr;
	  default: return xptr;
	}
      case 25:	//Soprano::Error::ParserError
	switch(to) {
	    case 23: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
	    case 25: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::ParserError*)xptr;
	  default: return xptr;
	}
      case 26:	//Soprano::FilterModel
	switch(to) {
	    case 39: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
	    case 26: return (void*)(Soprano::FilterModel*)(Soprano::FilterModel*)xptr;
	    case 29: return (void*)(Soprano::Index::IndexFilterModel*)(Soprano::FilterModel*)xptr;
	    case 32: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
	    case 47: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
	    case 51: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::FilterModel*)xptr;
	    case 57: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
	    case 59: return (void*)(Soprano::Util::MutexModel*)(Soprano::FilterModel*)xptr;
	    case 61: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
	  default: return xptr;
	}
      case 28:	//Soprano::Index::CLuceneIndex
	switch(to) {
	    case 28: return (void*)(Soprano::Index::CLuceneIndex*)(Soprano::Index::CLuceneIndex*)xptr;
	  default: return xptr;
	}
      case 29:	//Soprano::Index::IndexFilterModel
	switch(to) {
	    case 26: return (void*)(Soprano::FilterModel*)(Soprano::Index::IndexFilterModel*)xptr;
	    case 39: return (void*)(Soprano::Model*)(Soprano::Index::IndexFilterModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Index::IndexFilterModel*)xptr;
	    case 29: return (void*)(Soprano::Index::IndexFilterModel*)(Soprano::Index::IndexFilterModel*)xptr;
	  default: return xptr;
	}
      case 30:	//Soprano::Index::QueryHit
	switch(to) {
	    case 30: return (void*)(Soprano::Index::QueryHit*)(Soprano::Index::QueryHit*)xptr;
	  default: return xptr;
	}
      case 32:	//Soprano::Inference::InferenceModel
	switch(to) {
	    case 26: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
	    case 39: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
	    case 32: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Inference::InferenceModel*)xptr;
	  default: return xptr;
	}
      case 33:	//Soprano::Inference::NodePattern
	switch(to) {
	    case 33: return (void*)(Soprano::Inference::NodePattern*)(Soprano::Inference::NodePattern*)xptr;
	  default: return xptr;
	}
      case 34:	//Soprano::Inference::Rule
	switch(to) {
	    case 34: return (void*)(Soprano::Inference::Rule*)(Soprano::Inference::Rule*)xptr;
	  default: return xptr;
	}
      case 35:	//Soprano::Inference::RuleParser
	switch(to) {
	    case 35: return (void*)(Soprano::Inference::RuleParser*)(Soprano::Inference::RuleParser*)xptr;
	  default: return xptr;
	}
      case 36:	//Soprano::Inference::RuleSet
	switch(to) {
	    case 36: return (void*)(Soprano::Inference::RuleSet*)(Soprano::Inference::RuleSet*)xptr;
	  default: return xptr;
	}
      case 37:	//Soprano::Inference::StatementPattern
	switch(to) {
	    case 37: return (void*)(Soprano::Inference::StatementPattern*)(Soprano::Inference::StatementPattern*)xptr;
	  default: return xptr;
	}
      case 38:	//Soprano::LiteralValue
	switch(to) {
	    case 38: return (void*)(Soprano::LiteralValue*)(Soprano::LiteralValue*)xptr;
	  default: return xptr;
	}
      case 39:	//Soprano::Model
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::Model*)xptr;
	    case 39: return (void*)(Soprano::Model*)(Soprano::Model*)xptr;
	    case 18: return (void*)(Soprano::Client::DBusModel*)(Soprano::Model*)xptr;
	    case 26: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
	    case 29: return (void*)(Soprano::Index::IndexFilterModel*)(Soprano::Model*)xptr;
	    case 32: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
	    case 47: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
	    case 51: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Model*)xptr;
	    case 55: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
	    case 57: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
	    case 59: return (void*)(Soprano::Util::MutexModel*)(Soprano::Model*)xptr;
	    case 60: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
	    case 61: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
	  default: return xptr;
	}
      case 40:	//Soprano::Node
	switch(to) {
	    case 40: return (void*)(Soprano::Node*)(Soprano::Node*)xptr;
	  default: return xptr;
	}
      case 41:	//Soprano::NodeIterator
	switch(to) {
	    case 41: return (void*)(Soprano::NodeIterator*)(Soprano::NodeIterator*)xptr;
	    case 19: return (void*)(Soprano::Client::DBusNodeIterator*)(Soprano::NodeIterator*)xptr;
	    case 62: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
	  default: return xptr;
	}
      case 42:	//Soprano::Parser
	switch(to) {
	    case 43: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
	    case 42: return (void*)(Soprano::Parser*)(Soprano::Parser*)xptr;
	  default: return xptr;
	}
      case 43:	//Soprano::Plugin
	switch(to) {
	    case 43: return (void*)(Soprano::Plugin*)(Soprano::Plugin*)xptr;
	    case 14: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
	    case 42: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
	    case 48: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
	  default: return xptr;
	}
      case 44:	//Soprano::PluginManager
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
	    case 44: return (void*)(Soprano::PluginManager*)(Soprano::PluginManager*)xptr;
	  default: return xptr;
	}
      case 46:	//Soprano::QueryResultIterator
	switch(to) {
	    case 46: return (void*)(Soprano::QueryResultIterator*)(Soprano::QueryResultIterator*)xptr;
	    case 20: return (void*)(Soprano::Client::DBusQueryResultIterator*)(Soprano::QueryResultIterator*)xptr;
	  default: return xptr;
	}
      case 47:	//Soprano::RdfSchemaModel
	switch(to) {
	    case 26: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
	    case 39: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
	    case 47: return (void*)(Soprano::RdfSchemaModel*)(Soprano::RdfSchemaModel*)xptr;
	  default: return xptr;
	}
      case 48:	//Soprano::Serializer
	switch(to) {
	    case 43: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
	    case 48: return (void*)(Soprano::Serializer*)(Soprano::Serializer*)xptr;
	  default: return xptr;
	}
      case 50:	//Soprano::Server::DBusExportIterator
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::Server::DBusExportIterator*)xptr;
	    case 50: return (void*)(Soprano::Server::DBusExportIterator*)(Soprano::Server::DBusExportIterator*)xptr;
	  default: return xptr;
	}
      case 51:	//Soprano::Server::DBusExportModel
	switch(to) {
	    case 26: return (void*)(Soprano::FilterModel*)(Soprano::Server::DBusExportModel*)xptr;
	    case 39: return (void*)(Soprano::Model*)(Soprano::Server::DBusExportModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Server::DBusExportModel*)xptr;
	    case 51: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Server::DBusExportModel*)xptr;
	  default: return xptr;
	}
      case 52:	//Soprano::Server::ServerCore
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::Server::ServerCore*)xptr;
	    case 52: return (void*)(Soprano::Server::ServerCore*)(Soprano::Server::ServerCore*)xptr;
	  default: return xptr;
	}
      case 53:	//Soprano::Statement
	switch(to) {
	    case 53: return (void*)(Soprano::Statement*)(Soprano::Statement*)xptr;
	  default: return xptr;
	}
      case 54:	//Soprano::StatementIterator
	switch(to) {
	    case 54: return (void*)(Soprano::StatementIterator*)(Soprano::StatementIterator*)xptr;
	    case 21: return (void*)(Soprano::Client::DBusStatementIterator*)(Soprano::StatementIterator*)xptr;
	  default: return xptr;
	}
      case 55:	//Soprano::StorageModel
	switch(to) {
	    case 39: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
	    case 55: return (void*)(Soprano::StorageModel*)(Soprano::StorageModel*)xptr;
	    case 18: return (void*)(Soprano::Client::DBusModel*)(Soprano::StorageModel*)xptr;
	  default: return xptr;
	}
      case 57:	//Soprano::Util::AsyncModel
	switch(to) {
	    case 26: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
	    case 39: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
	    case 57: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Util::AsyncModel*)xptr;
	  default: return xptr;
	}
      case 58:	//Soprano::Util::AsyncResult
	switch(to) {
	    case 7: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
	    case 58: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Util::AsyncResult*)xptr;
	  default: return xptr;
	}
      case 59:	//Soprano::Util::MutexModel
	switch(to) {
	    case 26: return (void*)(Soprano::FilterModel*)(Soprano::Util::MutexModel*)xptr;
	    case 39: return (void*)(Soprano::Model*)(Soprano::Util::MutexModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Util::MutexModel*)xptr;
	    case 59: return (void*)(Soprano::Util::MutexModel*)(Soprano::Util::MutexModel*)xptr;
	  default: return xptr;
	}
      case 60:	//Soprano::Util::ReadOnlyModel
	switch(to) {
	    case 39: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
	    case 60: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Util::ReadOnlyModel*)xptr;
	  default: return xptr;
	}
      case 61:	//Soprano::Util::SignalCacheModel
	switch(to) {
	    case 26: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
	    case 39: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
	    case 7: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
	    case 61: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Util::SignalCacheModel*)xptr;
	  default: return xptr;
	}
      case 62:	//Soprano::Util::SimpleNodeIterator
	switch(to) {
	    case 41: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
	    case 62: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index soprano_inheritanceList[] = {
	0,	// 0: (no super class)
	43, 0,	// 1: Soprano::Error::ErrorCache, Soprano::Plugin
	55, 0,	// 3: Soprano::StorageModel
	41, 0,	// 5: Soprano::NodeIterator
	46, 0,	// 7: Soprano::QueryResultIterator
	54, 0,	// 9: Soprano::StatementIterator
	23, 0,	// 11: Soprano::Error::Error
	39, 0,	// 13: Soprano::Model
	26, 0,	// 15: Soprano::FilterModel
	7, 0,	// 17: Soprano::Error::ErrorCache, QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_Soprano__Query(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Error(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Inference(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__MutexModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BindingSet(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusQueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Locator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Index(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Index__CLuceneIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Index__IndexFilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Index__QueryHit(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__NodePattern(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__Rule(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__RuleParser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__RuleSet(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__StatementPattern(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__LiteralValue(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__ServerCore(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__MutexModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class soprano_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 1
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 2
	{ "QDate", true, 0, 0, 0, 0 }, 	// 3
	{ "QDateTime", true, 0, 0, 0, 0 }, 	// 4
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 5
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 6
	{ "QObject", true, 0, 0, 0, 0 }, 	// 7
	{ "QTextStream", true, 0, 0, 0, 0 }, 	// 8
	{ "QTime", true, 0, 0, 0, 0 }, 	// 9
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 10
	{ "QUrl", true, 0, 0, 0, 0 }, 	// 11
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 12
	{ "Soprano", false, 0, xcall_Soprano, xenum_Soprano, Smoke::cf_deepcopy }, 	//13
	{ "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//14
	{ "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//15
	{ "Soprano::BindingSet", false, 0, xcall_Soprano__BindingSet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//16
	{ "Soprano::Client", false, 0, xcall_Soprano__Client, 0, Smoke::cf_deepcopy }, 	//17
	{ "Soprano::Client::DBusModel", false, 3, xcall_Soprano__Client__DBusModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//18
	{ "Soprano::Client::DBusNodeIterator", false, 5, xcall_Soprano__Client__DBusNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//19
	{ "Soprano::Client::DBusQueryResultIterator", false, 7, xcall_Soprano__Client__DBusQueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//20
	{ "Soprano::Client::DBusStatementIterator", false, 9, xcall_Soprano__Client__DBusStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//21
	{ "Soprano::Error", false, 0, xcall_Soprano__Error, xenum_Soprano__Error, Smoke::cf_deepcopy }, 	//22
	{ "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//23
	{ "Soprano::Error::Locator", false, 0, xcall_Soprano__Error__Locator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//24
	{ "Soprano::Error::ParserError", false, 11, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//25
	{ "Soprano::FilterModel", false, 13, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//26
	{ "Soprano::Index", false, 0, xcall_Soprano__Index, 0, Smoke::cf_deepcopy }, 	//27
	{ "Soprano::Index::CLuceneIndex", false, 0, xcall_Soprano__Index__CLuceneIndex, 0, Smoke::cf_constructor }, 	//28
	{ "Soprano::Index::IndexFilterModel", false, 15, xcall_Soprano__Index__IndexFilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//29
	{ "Soprano::Index::QueryHit", false, 0, xcall_Soprano__Index__QueryHit, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//30
	{ "Soprano::Inference", false, 0, xcall_Soprano__Inference, xenum_Soprano__Inference, Smoke::cf_deepcopy }, 	//31
	{ "Soprano::Inference::InferenceModel", false, 15, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//32
	{ "Soprano::Inference::NodePattern", false, 0, xcall_Soprano__Inference__NodePattern, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//33
	{ "Soprano::Inference::Rule", false, 0, xcall_Soprano__Inference__Rule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//34
	{ "Soprano::Inference::RuleParser", false, 0, xcall_Soprano__Inference__RuleParser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//35
	{ "Soprano::Inference::RuleSet", false, 0, xcall_Soprano__Inference__RuleSet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//36
	{ "Soprano::Inference::StatementPattern", false, 0, xcall_Soprano__Inference__StatementPattern, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//37
	{ "Soprano::LiteralValue", false, 0, xcall_Soprano__LiteralValue, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//38
	{ "Soprano::Model", false, 17, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//39
	{ "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//40
	{ "Soprano::NodeIterator", false, 0, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//41
	{ "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//42
	{ "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//43
	{ "Soprano::PluginManager", false, 17, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual }, 	//44
	{ "Soprano::Query", false, 0, xcall_Soprano__Query, xenum_Soprano__Query, Smoke::cf_deepcopy }, 	//45
	{ "Soprano::QueryResultIterator", false, 0, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//46
	{ "Soprano::RdfSchemaModel", false, 15, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//47
	{ "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//48
	{ "Soprano::Server", false, 0, xcall_Soprano__Server, 0, Smoke::cf_deepcopy }, 	//49
	{ "Soprano::Server::DBusExportIterator", false, 17, xcall_Soprano__Server__DBusExportIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//50
	{ "Soprano::Server::DBusExportModel", false, 15, xcall_Soprano__Server__DBusExportModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//51
	{ "Soprano::Server::ServerCore", false, 17, xcall_Soprano__Server__ServerCore, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//52
	{ "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//53
	{ "Soprano::StatementIterator", false, 0, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//54
	{ "Soprano::StorageModel", false, 13, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//55
	{ "Soprano::Util", false, 0, xcall_Soprano__Util, 0, Smoke::cf_deepcopy }, 	//56
	{ "Soprano::Util::AsyncModel", false, 15, xcall_Soprano__Util__AsyncModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//57
	{ "Soprano::Util::AsyncResult", false, 17, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual }, 	//58
	{ "Soprano::Util::MutexModel", false, 15, xcall_Soprano__Util__MutexModel, xenum_Soprano__Util__MutexModel, Smoke::cf_constructor|Smoke::cf_virtual }, 	//59
	{ "Soprano::Util::ReadOnlyModel", false, 13, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//60
	{ "Soprano::Util::SignalCacheModel", false, 15, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//61
	{ "Soprano::Util::SimpleNodeIterator", false, 5, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//62
	{ "Soprano::Vocabulary", false, 0, xcall_Soprano__Vocabulary, 0, Smoke::cf_deepcopy }, 	//63
	{ "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_deepcopy }, 	//64
	{ "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_deepcopy }, 	//65
	{ "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_deepcopy }, 	//66
	{ "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_deepcopy }, 	//67
	{ "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_deepcopy }, 	//68
	{ "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_deepcopy }, 	//69
	{ "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_deepcopy }, 	//70
	{ "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_deepcopy }, 	//71
	{ "lucene::analysis", true, 0, 0, 0, 0 }, 	// 72
	{ "lucene::document", true, 0, 0, 0, 0 }, 	// 73
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type soprano_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//1
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//2
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//3
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//4
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//7
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//8
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//9
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//10
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//11
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//12
	{ "QByteArray", 1, Smoke::t_class | Smoke::tf_stack },	//13
	{ "QChildEvent*", 2, Smoke::t_class | Smoke::tf_ptr },	//14
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//15
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//16
	{ "QDate", 3, Smoke::t_class | Smoke::tf_stack },	//17
	{ "QDateTime", 4, Smoke::t_class | Smoke::tf_stack },	//18
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//19
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//20
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//21
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//22
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//24
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//25
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//26
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//29
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//30
	{ "QEvent*", 5, Smoke::t_class | Smoke::tf_ptr },	//31
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//32
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//33
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//34
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//35
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//36
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//37
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//38
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//39
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//40
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//41
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//42
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//43
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//44
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//45
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//46
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//47
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//48
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//49
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//50
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//51
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//52
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//53
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//54
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//55
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//56
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//57
	{ "QList<QUrl>", 0, Smoke::t_voidp | Smoke::tf_stack },	//58
	{ "QList<Soprano::BindingSet>", 0, Smoke::t_voidp | Smoke::tf_stack },	//59
	{ "QList<Soprano::Inference::Rule>", 0, Smoke::t_voidp | Smoke::tf_stack },	//60
	{ "QList<Soprano::Inference::StatementPattern>", 0, Smoke::t_voidp | Smoke::tf_stack },	//61
	{ "QList<Soprano::Node>", 0, Smoke::t_voidp | Smoke::tf_stack },	//62
	{ "QList<Soprano::Statement>", 0, Smoke::t_voidp | Smoke::tf_stack },	//63
	{ "QList<const Soprano::Backend*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//64
	{ "QList<const Soprano::Parser*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//65
	{ "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//66
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//67
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//68
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//69
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//70
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//71
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//72
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//73
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//74
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//75
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//76
	{ "QMetaObject::Call", 6, Smoke::t_enum | Smoke::tf_stack },	//77
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//78
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//79
	{ "QObject*", 7, Smoke::t_class | Smoke::tf_ptr },	//80
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//81
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//82
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//83
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//84
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//85
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//86
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//87
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//88
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//89
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//90
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//91
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//92
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//93
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//94
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//95
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//96
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//97
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//98
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//99
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//100
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//101
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//102
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//103
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//104
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//105
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//106
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//107
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//108
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//109
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//110
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//111
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//112
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//113
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//114
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//115
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//116
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//117
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//118
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//119
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//120
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//121
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//122
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//123
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//124
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//125
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//126
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//127
	{ "QTextStream&", 8, Smoke::t_class | Smoke::tf_ref },	//128
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//129
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//130
	{ "QTime", 9, Smoke::t_class | Smoke::tf_stack },	//131
	{ "QTimerEvent*", 10, Smoke::t_class | Smoke::tf_ptr },	//132
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//133
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//134
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//135
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//136
	{ "QUrl", 11, Smoke::t_class | Smoke::tf_stack },	//137
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//138
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//139
	{ "QVariant", 12, Smoke::t_class | Smoke::tf_stack },	//140
	{ "QVariant::Type", 12, Smoke::t_enum | Smoke::tf_stack },	//141
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//142
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//143
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//144
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//145
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//146
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//147
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//148
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//149
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//150
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//151
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//152
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//153
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//154
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//155
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//156
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//157
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//158
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//159
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//160
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//161
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//162
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//163
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//164
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//165
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//166
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//167
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//168
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//169
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//170
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//171
	{ "Soprano::Backend*", 14, Smoke::t_class | Smoke::tf_ptr },	//172
	{ "Soprano::BackendFeature", 13, Smoke::t_enum | Smoke::tf_stack },	//173
	{ "Soprano::BackendFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//174
	{ "Soprano::BackendFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//175
	{ "Soprano::BackendOption", 13, Smoke::t_enum | Smoke::tf_stack },	//176
	{ "Soprano::BackendOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//177
	{ "Soprano::BackendOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//178
	{ "Soprano::BackendSetting&", 15, Smoke::t_class | Smoke::tf_ref },	//179
	{ "Soprano::BackendSetting*", 15, Smoke::t_class | Smoke::tf_ptr },	//180
	{ "Soprano::BindingSet", 16, Smoke::t_class | Smoke::tf_stack },	//181
	{ "Soprano::BindingSet&", 16, Smoke::t_class | Smoke::tf_ref },	//182
	{ "Soprano::BindingSet*", 16, Smoke::t_class | Smoke::tf_ptr },	//183
	{ "Soprano::Client::DBusModel*", 18, Smoke::t_class | Smoke::tf_ptr },	//184
	{ "Soprano::Client::DBusNodeIterator*", 19, Smoke::t_class | Smoke::tf_ptr },	//185
	{ "Soprano::Client::DBusQueryResultIterator*", 20, Smoke::t_class | Smoke::tf_ptr },	//186
	{ "Soprano::Client::DBusStatementIterator*", 21, Smoke::t_class | Smoke::tf_ptr },	//187
	{ "Soprano::Error::Error&", 23, Smoke::t_class | Smoke::tf_ref },	//188
	{ "Soprano::Error::Error*", 23, Smoke::t_class | Smoke::tf_ptr },	//189
	{ "Soprano::Error::ErrorCode", 22, Smoke::t_enum | Smoke::tf_stack },	//190
	{ "Soprano::Error::ErrorData*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//191
	{ "Soprano::Error::Locator", 24, Smoke::t_class | Smoke::tf_stack },	//192
	{ "Soprano::Error::Locator&", 24, Smoke::t_class | Smoke::tf_ref },	//193
	{ "Soprano::Error::Locator*", 24, Smoke::t_class | Smoke::tf_ptr },	//194
	{ "Soprano::Error::ParserError", 25, Smoke::t_class | Smoke::tf_stack },	//195
	{ "Soprano::Error::ParserError&", 25, Smoke::t_class | Smoke::tf_ref },	//196
	{ "Soprano::Error::ParserError*", 25, Smoke::t_class | Smoke::tf_ptr },	//197
	{ "Soprano::FilterModel*", 26, Smoke::t_class | Smoke::tf_ptr },	//198
	{ "Soprano::Index::CLuceneIndex*", 28, Smoke::t_class | Smoke::tf_ptr },	//199
	{ "Soprano::Index::IndexFilterModel*", 29, Smoke::t_class | Smoke::tf_ptr },	//200
	{ "Soprano::Index::QueryHit&", 30, Smoke::t_class | Smoke::tf_ref },	//201
	{ "Soprano::Index::QueryHit*", 30, Smoke::t_class | Smoke::tf_ptr },	//202
	{ "Soprano::Inference::InferenceModel*", 32, Smoke::t_class | Smoke::tf_ptr },	//203
	{ "Soprano::Inference::NodePattern", 33, Smoke::t_class | Smoke::tf_stack },	//204
	{ "Soprano::Inference::NodePattern&", 33, Smoke::t_class | Smoke::tf_ref },	//205
	{ "Soprano::Inference::NodePattern*", 33, Smoke::t_class | Smoke::tf_ptr },	//206
	{ "Soprano::Inference::Rule", 34, Smoke::t_class | Smoke::tf_stack },	//207
	{ "Soprano::Inference::Rule&", 34, Smoke::t_class | Smoke::tf_ref },	//208
	{ "Soprano::Inference::Rule*", 34, Smoke::t_class | Smoke::tf_ptr },	//209
	{ "Soprano::Inference::RuleParser*", 35, Smoke::t_class | Smoke::tf_ptr },	//210
	{ "Soprano::Inference::RuleSet", 36, Smoke::t_class | Smoke::tf_stack },	//211
	{ "Soprano::Inference::RuleSet&", 36, Smoke::t_class | Smoke::tf_ref },	//212
	{ "Soprano::Inference::RuleSet*", 36, Smoke::t_class | Smoke::tf_ptr },	//213
	{ "Soprano::Inference::StandardRuleSet", 31, Smoke::t_enum | Smoke::tf_stack },	//214
	{ "Soprano::Inference::StatementPattern", 37, Smoke::t_class | Smoke::tf_stack },	//215
	{ "Soprano::Inference::StatementPattern*", 37, Smoke::t_class | Smoke::tf_ptr },	//216
	{ "Soprano::LiteralValue", 38, Smoke::t_class | Smoke::tf_stack },	//217
	{ "Soprano::LiteralValue&", 38, Smoke::t_class | Smoke::tf_ref },	//218
	{ "Soprano::LiteralValue*", 38, Smoke::t_class | Smoke::tf_ptr },	//219
	{ "Soprano::Model*", 39, Smoke::t_class | Smoke::tf_ptr },	//220
	{ "Soprano::Node", 40, Smoke::t_class | Smoke::tf_stack },	//221
	{ "Soprano::Node&", 40, Smoke::t_class | Smoke::tf_ref },	//222
	{ "Soprano::Node*", 40, Smoke::t_class | Smoke::tf_ptr },	//223
	{ "Soprano::Node::Type", 40, Smoke::t_enum | Smoke::tf_stack },	//224
	{ "Soprano::NodeIterator", 41, Smoke::t_class | Smoke::tf_stack },	//225
	{ "Soprano::NodeIterator&", 41, Smoke::t_class | Smoke::tf_ref },	//226
	{ "Soprano::NodeIterator*", 41, Smoke::t_class | Smoke::tf_ptr },	//227
	{ "Soprano::Parser*", 42, Smoke::t_class | Smoke::tf_ptr },	//228
	{ "Soprano::Plugin*", 43, Smoke::t_class | Smoke::tf_ptr },	//229
	{ "Soprano::PluginManager*", 44, Smoke::t_class | Smoke::tf_ptr },	//230
	{ "Soprano::Query::QueryLanguage", 45, Smoke::t_enum | Smoke::tf_stack },	//231
	{ "Soprano::Query::QueryLanguages", 0, Smoke::t_uint | Smoke::tf_stack },	//232
	{ "Soprano::Query::QueryLanguages&", 0, Smoke::t_voidp | Smoke::tf_ref },	//233
	{ "Soprano::QueryResultIterator", 46, Smoke::t_class | Smoke::tf_stack },	//234
	{ "Soprano::QueryResultIterator&", 46, Smoke::t_class | Smoke::tf_ref },	//235
	{ "Soprano::QueryResultIterator*", 46, Smoke::t_class | Smoke::tf_ptr },	//236
	{ "Soprano::QueryResultIteratorBackend*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//237
	{ "Soprano::RdfSchemaModel*", 47, Smoke::t_class | Smoke::tf_ptr },	//238
	{ "Soprano::RdfSerialization", 13, Smoke::t_enum | Smoke::tf_stack },	//239
	{ "Soprano::RdfSerializations", 0, Smoke::t_uint | Smoke::tf_stack },	//240
	{ "Soprano::RdfSerializations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//241
	{ "Soprano::Serializer*", 48, Smoke::t_class | Smoke::tf_ptr },	//242
	{ "Soprano::Server::DBusExportIterator*", 50, Smoke::t_class | Smoke::tf_ptr },	//243
	{ "Soprano::Server::DBusExportModel*", 51, Smoke::t_class | Smoke::tf_ptr },	//244
	{ "Soprano::Server::ServerCore*", 52, Smoke::t_class | Smoke::tf_ptr },	//245
	{ "Soprano::Statement", 53, Smoke::t_class | Smoke::tf_stack },	//246
	{ "Soprano::Statement&", 53, Smoke::t_class | Smoke::tf_ref },	//247
	{ "Soprano::Statement*", 53, Smoke::t_class | Smoke::tf_ptr },	//248
	{ "Soprano::StatementIterator", 54, Smoke::t_class | Smoke::tf_stack },	//249
	{ "Soprano::StatementIterator&", 54, Smoke::t_class | Smoke::tf_ref },	//250
	{ "Soprano::StatementIterator*", 54, Smoke::t_class | Smoke::tf_ptr },	//251
	{ "Soprano::StorageModel*", 55, Smoke::t_class | Smoke::tf_ptr },	//252
	{ "Soprano::Util::AsyncModel*", 57, Smoke::t_class | Smoke::tf_ptr },	//253
	{ "Soprano::Util::AsyncResult*", 58, Smoke::t_class | Smoke::tf_ptr },	//254
	{ "Soprano::Util::MutexModel*", 59, Smoke::t_class | Smoke::tf_ptr },	//255
	{ "Soprano::Util::MutexModel::ProtectionMode", 59, Smoke::t_enum | Smoke::tf_stack },	//256
	{ "Soprano::Util::ReadOnlyModel*", 60, Smoke::t_class | Smoke::tf_ptr },	//257
	{ "Soprano::Util::SignalCacheModel*", 61, Smoke::t_class | Smoke::tf_ptr },	//258
	{ "Soprano::Util::SimpleNodeIterator&", 62, Smoke::t_class | Smoke::tf_ref },	//259
	{ "Soprano::Util::SimpleNodeIterator*", 62, Smoke::t_class | Smoke::tf_ptr },	//260
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//261
	{ "const QByteArray&", 1, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//262
	{ "const QDate&", 3, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//263
	{ "const QDateTime&", 4, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//264
	{ "const QLatin1String&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//265
	{ "const QList<QUrl>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//266
	{ "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//267
	{ "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//268
	{ "const QList<Soprano::Node>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//269
	{ "const QList<Soprano::Statement>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//270
	{ "const QMetaObject", 6, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//271
	{ "const QMetaObject*", 6, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//272
	{ "const QString", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//273
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//274
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//275
	{ "const QTime&", 9, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//276
	{ "const QUrl&", 11, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//277
	{ "const QVariant&", 12, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//278
	{ "const Soprano::Backend*", 14, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//279
	{ "const Soprano::BackendSetting&", 15, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//280
	{ "const Soprano::BindingSet&", 16, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//281
	{ "const Soprano::Error::Error&", 23, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//282
	{ "const Soprano::Error::Locator&", 24, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//283
	{ "const Soprano::Error::ParserError&", 25, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//284
	{ "const Soprano::Index::QueryHit&", 30, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//285
	{ "const Soprano::Inference::NodePattern&", 33, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//286
	{ "const Soprano::Inference::Rule&", 34, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//287
	{ "const Soprano::Inference::RuleParser&", 35, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//288
	{ "const Soprano::Inference::RuleSet&", 36, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//289
	{ "const Soprano::Inference::StatementPattern&", 37, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//290
	{ "const Soprano::LiteralValue&", 38, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//291
	{ "const Soprano::Node&", 40, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//292
	{ "const Soprano::NodeIterator&", 41, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//293
	{ "const Soprano::Parser*", 42, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//294
	{ "const Soprano::Plugin&", 43, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//295
	{ "const Soprano::QueryResultIterator&", 46, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//296
	{ "const Soprano::Serializer*", 48, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//297
	{ "const Soprano::Statement&", 53, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//298
	{ "const Soprano::StatementIterator&", 54, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//299
	{ "const Soprano::Util::SimpleNodeIterator&", 62, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//300
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//301
	{ "const quint16", 0, Smoke::t_ushort | Smoke::tf_stack | Smoke::tf_const },	//302
	{ "double", 0, Smoke::t_double | Smoke::tf_stack },	//303
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//304
	{ "lucene::analysis::Analyzer*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//305
	{ "lucene::document::Document*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//306
	{ "qlonglong", 0, Smoke::t_voidp | Smoke::tf_stack },	//307
	{ "qulonglong", 0, Smoke::t_voidp | Smoke::tf_stack },	//308
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//309
	{ "unsigned int", 0, Smoke::t_uint | Smoke::tf_stack },	//310
	{ "unsigned short", 0, Smoke::t_ushort | Smoke::tf_stack },	//311
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//312
};

static Smoke::Index soprano_argumentList[] = {
	0,	//0  (void)
	128, 0,	//1  QTextStream&  
	128, 277, 239, 0,	//3  QTextStream&, const QUrl&, Soprano::RdfSerialization  
	128, 277, 239, 274, 0,	//7  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&  
	132, 0,	//12  QTimerEvent*  
	14, 0,	//14  QChildEvent*  
	141, 0,	//16  QVariant::Type  
	174, 0,	//18  Soprano::BackendFeatures  
	174, 275, 0,	//20  Soprano::BackendFeatures, const QStringList&  
	176, 0,	//23  Soprano::BackendOption  
	176, 278, 0,	//25  Soprano::BackendOption, const QVariant&  
	190, 0,	//28  Soprano::Error::ErrorCode  
	191, 0,	//30  Soprano::Error::ErrorData*  
	199, 0,	//32  Soprano::Index::CLuceneIndex*  
	199, 220, 0,	//34  Soprano::Index::CLuceneIndex*, Soprano::Model*  
	214, 0,	//37  Soprano::Inference::StandardRuleSet  
	220, 0,	//39  Soprano::Model*  
	225, 0,	//41  Soprano::NodeIterator  
	225, 80, 0,	//43  Soprano::NodeIterator, QObject*  
	231, 0,	//46  Soprano::Query::QueryLanguage  
	231, 274, 0,	//48  Soprano::Query::QueryLanguage, const QString&  
	234, 0,	//51  Soprano::QueryResultIterator  
	234, 80, 0,	//53  Soprano::QueryResultIterator, QObject*  
	237, 0,	//56  Soprano::QueryResultIteratorBackend*  
	239, 0,	//58  Soprano::RdfSerialization  
	239, 274, 0,	//60  Soprano::RdfSerialization, const QString&  
	249, 0,	//63  Soprano::StatementIterator  
	249, 128, 239, 0,	//65  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization  
	249, 128, 239, 274, 0,	//69  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&  
	249, 80, 0,	//74  Soprano::StatementIterator, QObject*  
	254, 0,	//77  Soprano::Util::AsyncResult*  
	256, 0,	//79  Soprano::Util::MutexModel::ProtectionMode  
	256, 220, 0,	//81  Soprano::Util::MutexModel::ProtectionMode, Soprano::Model*  
	261, 0,	//84  bool  
	262, 0,	//86  const QByteArray&  
	263, 0,	//88  const QDate&  
	264, 0,	//90  const QDateTime&  
	265, 0,	//92  const QLatin1String&  
	266, 0,	//94  const QList<QUrl>&  
	267, 0,	//96  const QList<Soprano::BackendSetting>&  
	268, 0,	//98  const QList<Soprano::Inference::Rule>&  
	269, 0,	//100  const QList<Soprano::Node>&  
	270, 0,	//102  const QList<Soprano::Statement>&  
	273, 0,	//104  const QString  
	274, 0,	//106  const QString&  
	274, 141, 0,	//108  const QString&, QVariant::Type  
	274, 220, 0,	//111  const QString&, Soprano::Model*  
	274, 231, 0,	//114  const QString&, Soprano::Query::QueryLanguage  
	274, 231, 274, 0,	//117  const QString&, Soprano::Query::QueryLanguage, const QString&  
	274, 261, 0,	//121  const QString&, bool  
	274, 274, 0,	//124  const QString&, const QString&  
	274, 274, 279, 0,	//127  const QString&, const QString&, const Soprano::Backend*  
	274, 277, 0,	//131  const QString&, const QUrl&  
	274, 277, 239, 0,	//134  const QString&, const QUrl&, Soprano::RdfSerialization  
	274, 277, 239, 274, 0,	//138  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&  
	274, 278, 0,	//143  const QString&, const QVariant&  
	274, 287, 0,	//146  const QString&, const Soprano::Inference::Rule&  
	274, 292, 0,	//149  const QString&, const Soprano::Node&  
	274, 304, 0,	//152  const QString&, int  
	276, 0,	//155  const QTime&  
	277, 0,	//157  const QUrl&  
	278, 0,	//159  const QVariant&  
	279, 0,	//161  const Soprano::Backend*  
	280, 0,	//163  const Soprano::BackendSetting&  
	281, 0,	//165  const Soprano::BindingSet&  
	282, 0,	//167  const Soprano::Error::Error&  
	283, 0,	//169  const Soprano::Error::Locator&  
	283, 274, 0,	//171  const Soprano::Error::Locator&, const QString&  
	283, 274, 304, 0,	//174  const Soprano::Error::Locator&, const QString&, int  
	284, 0,	//178  const Soprano::Error::ParserError&  
	285, 0,	//180  const Soprano::Index::QueryHit&  
	286, 0,	//182  const Soprano::Inference::NodePattern&  
	286, 286, 286, 0,	//184  const Soprano::Inference::NodePattern&, const Soprano::Inference::NodePattern&, const Soprano::Inference::NodePattern&  
	287, 0,	//188  const Soprano::Inference::Rule&  
	288, 0,	//190  const Soprano::Inference::RuleParser&  
	289, 0,	//192  const Soprano::Inference::RuleSet&  
	290, 0,	//194  const Soprano::Inference::StatementPattern&  
	291, 0,	//196  const Soprano::LiteralValue&  
	291, 274, 0,	//198  const Soprano::LiteralValue&, const QString&  
	292, 0,	//201  const Soprano::Node&  
	292, 292, 0,	//203  const Soprano::Node&, const Soprano::Node&  
	292, 292, 292, 0,	//206  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&  
	292, 292, 292, 292, 0,	//210  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&  
	292, 303, 0,	//215  const Soprano::Node&, double  
	293, 0,	//218  const Soprano::NodeIterator&  
	295, 0,	//220  const Soprano::Plugin&  
	296, 0,	//222  const Soprano::QueryResultIterator&  
	298, 0,	//224  const Soprano::Statement&  
	299, 0,	//226  const Soprano::StatementIterator&  
	300, 0,	//228  const Soprano::Util::SimpleNodeIterator&  
	301, 0,	//230  const char*  
	303, 0,	//232  double  
	304, 0,	//234  int  
	304, 304, 0,	//236  int, int  
	304, 304, 304, 0,	//239  int, int, int  
	304, 304, 304, 274, 0,	//243  int, int, int, const QString&  
	305, 0,	//248  lucene::analysis::Analyzer*  
	306, 0,	//250  lucene::document::Document*  
	307, 0,	//252  qlonglong  
	308, 0,	//254  qulonglong  
	309, 0,	//256  uint  
	31, 0,	//258  QEvent*  
	311, 0,	//260  unsigned short  
	77, 304, 312, 0,	//262  QMetaObject::Call, int, void**  
	80, 0,	//266  QObject*  
	80, 31, 0,	//268  QObject*, QEvent*  
};

// Raw list of all methods, using munged names
static const char *soprano_methodNames[] = {
    "",	//0
    "AllDifferent",	//1
    "Alt",	//2
    "Annotation",	//3
    "AnnotationProperty",	//4
    "Archive",	//5
    "ArchivedFile",	//6
    "AsymmetricProperty",	//7
    "AsyncModel",	//8
    "AsyncModel#",	//9
    "Audio",	//10
    "AudioList",	//11
    "Backend",	//12
    "Backend$",	//13
    "BackendFeatureAddStatement",	//14
    "BackendFeatureContext",	//15
    "BackendFeatureInference",	//16
    "BackendFeatureInferenceOptional",	//17
    "BackendFeatureListStatements",	//18
    "BackendFeatureNone",	//19
    "BackendFeatureQuery",	//20
    "BackendFeatureRemoveStatements",	//21
    "BackendFeatureStorageMemory",	//22
    "BackendFeatureUser",	//23
    "BackendOptionEnableInference",	//24
    "BackendOptionNone",	//25
    "BackendOptionStorageDir",	//26
    "BackendOptionStorageMemory",	//27
    "BackendOptionUser",	//28
    "BackendSetting",	//29
    "BackendSetting#",	//30
    "BackendSetting$",	//31
    "BackendSetting$#",	//32
    "Bag",	//33
    "BindingSet",	//34
    "BindingSet#",	//35
    "BlankNode",	//36
    "BlockDevice",	//37
    "Bookmark",	//38
    "CLuceneIndex",	//39
    "CLuceneIndex?",	//40
    "Class",	//41
    "CommunicationChannel",	//42
    "Configuration",	//43
    "Contact",	//44
    "ContactGroup",	//45
    "Container",	//46
    "ContainerMembershipProperty",	//47
    "Content",	//48
    "DBusExportIterator",	//49
    "DBusExportIterator#",	//50
    "DBusExportIterator##",	//51
    "DBusExportModel",	//52
    "DBusExportModel#",	//53
    "DBusModel",	//54
    "DBusModel$$",	//55
    "DBusModel$$#",	//56
    "DBusNodeIterator",	//57
    "DBusNodeIterator$$",	//58
    "DBusQueryResultIterator",	//59
    "DBusQueryResultIterator$$",	//60
    "DBusStatementIterator",	//61
    "DBusStatementIterator$$",	//62
    "DEFAULT_PORT",	//63
    "Data",	//64
    "DataObject",	//65
    "DataRange",	//66
    "Datatype",	//67
    "DatatypeProperty",	//68
    "DefaultGraph",	//69
    "DeletedFile",	//70
    "DeprecatedClass",	//71
    "DeprecatedProperty",	//72
    "Document",	//73
    "DocumentGraph",	//74
    "Documentation",	//75
    "Email",	//76
    "EmailAttachment",	//77
    "EmbeddedObject",	//78
    "EmptyNode",	//79
    "Error",	//80
    "Error#",	//81
    "Error$",	//82
    "Error$$",	//83
    "Error?",	//84
    "ErrorInvalidArgument",	//85
    "ErrorInvalidStatement",	//86
    "ErrorNone",	//87
    "ErrorNotSupported",	//88
    "ErrorParsingFailed",	//89
    "ErrorPermissionDenied",	//90
    "ErrorUnknown",	//91
    "ExternalViewSpecification",	//92
    "File",	//93
    "FileSystem",	//94
    "Filelike",	//95
    "FilterModel",	//96
    "FilterModel#",	//97
    "Folder",	//98
    "FunctionalProperty",	//99
    "Graph",	//100
    "GraphMetadata",	//101
    "GraphView",	//102
    "IMAP4Message",	//103
    "IMMessage",	//104
    "Image",	//105
    "IndexFilterModel",	//106
    "IndexFilterModel#",	//107
    "IndexFilterModel##",	//108
    "IndexFilterModel$",	//109
    "IndexFilterModel$#",	//110
    "InferenceGraph",	//111
    "InferenceMetaData",	//112
    "InferenceModel",	//113
    "InferenceModel#",	//114
    "InstanceBase",	//115
    "InverseFunctionalProperty",	//116
    "KnowledgeBase",	//117
    "List",	//118
    "Literal",	//119
    "LiteralNode",	//120
    "LiteralValue",	//121
    "LiteralValue#",	//122
    "LiteralValue$",	//123
    "LiteralValue?",	//124
    "Locator",	//125
    "Locator#",	//126
    "Locator$$",	//127
    "Locator$$$",	//128
    "Locator$$$$",	//129
    "MailingList",	//130
    "MailingListEmail",	//131
    "Media",	//132
    "MediaList",	//133
    "Message",	//134
    "MessageboxMessage",	//135
    "Model",	//136
    "Music",	//137
    "MutexModel",	//138
    "MutexModel$",	//139
    "MutexModel$#",	//140
    "NRL",	//141
    "NewsGroup",	//142
    "NewsGroupEmail",	//143
    "Node",	//144
    "Node#",	//145
    "Node#$",	//146
    "Node$",	//147
    "NodeIterator",	//148
    "NodeIterator#",	//149
    "NodePattern",	//150
    "NodePattern#",	//151
    "NodePattern$",	//152
    "Nothing",	//153
    "ObjectProperty",	//154
    "OfflineMedia",	//155
    "Ontology",	//156
    "OntologyProperty",	//157
    "Organization",	//158
    "POP3Message",	//159
    "Parser",	//160
    "Parser$",	//161
    "ParserError",	//162
    "ParserError#",	//163
    "ParserError#$",	//164
    "ParserError#$$",	//165
    "Party",	//166
    "Person",	//167
    "PersonalEmail",	//168
    "Photo",	//169
    "PlainMultiThreading",	//170
    "Plugin",	//171
    "Plugin#",	//172
    "Plugin$",	//173
    "Presentation",	//174
    "Project",	//175
    "Property",	//176
    "QUERY_LANGUAGE_NONE",	//177
    "QUERY_LANGUAGE_RDQL",	//178
    "QUERY_LANGUAGE_SERQL",	//179
    "QUERY_LANGUAGE_SPARQL",	//180
    "QUERY_LANGUAGE_USER",	//181
    "QueryHit",	//182
    "QueryHit#",	//183
    "QueryHit#$",	//184
    "QueryLanguageNone",	//185
    "QueryLanguageRdql",	//186
    "QueryLanguageSerql",	//187
    "QueryLanguageSparql",	//188
    "QueryLanguageUser",	//189
    "QueryResultIterator",	//190
    "QueryResultIterator#",	//191
    "QueryResultIterator?",	//192
    "RDFS",	//193
    "RSSFeed",	//194
    "RSSMessage",	//195
    "RdfSchemaModel",	//196
    "RdfSchemaModel#",	//197
    "ReadOnlyModel",	//198
    "ReadOnlyModel#",	//199
    "ReadWriteMultiThreading",	//200
    "ReadWriteSingleThreading",	//201
    "ReflexiveProperty",	//202
    "RemoteFile",	//203
    "RemoteMessageboxMessage",	//204
    "RemoteResource",	//205
    "Resource",	//206
    "ResourceNode",	//207
    "Restriction",	//208
    "RevisionControlledFile",	//209
    "RevisionControlledRepository",	//210
    "Rule",	//211
    "Rule#",	//212
    "RuleParser",	//213
    "RuleParser#",	//214
    "RuleSet",	//215
    "RuleSet#",	//216
    "RuleViewSpecification",	//217
    "Schema",	//218
    "Semantics",	//219
    "Seq",	//220
    "SerializationN3",	//221
    "SerializationNQuads",	//222
    "SerializationNTriples",	//223
    "SerializationRdfXml",	//224
    "SerializationTrig",	//225
    "SerializationTurtle",	//226
    "SerializationUnknown",	//227
    "SerializationUser",	//228
    "Serializer",	//229
    "Serializer$",	//230
    "ServerCore",	//231
    "ServerCore#",	//232
    "SignalCacheModel",	//233
    "SignalCacheModel#",	//234
    "SimpleNodeIterator",	//235
    "SimpleNodeIterator#",	//236
    "SimpleNodeIterator?",	//237
    "SoftwarePackage",	//238
    "Source",	//239
    "SourceCode",	//240
    "Spreadsheet",	//241
    "Statement",	//242
    "Statement#",	//243
    "Statement###",	//244
    "Statement####",	//245
    "StatementIterator",	//246
    "StatementIterator#",	//247
    "StatementPattern",	//248
    "StatementPattern#",	//249
    "StatementPattern###",	//250
    "StorageModel",	//251
    "StorageModel#",	//252
    "Symbol",	//253
    "SymmetricProperty",	//254
    "SystemResource",	//255
    "Tag",	//256
    "Text",	//257
    "TextDocument",	//258
    "Thing",	//259
    "TransitiveProperty",	//260
    "UncategorizedText",	//261
    "Video",	//262
    "ViewSpecification",	//263
    "Visual",	//264
    "XML",	//265
    "XMLLiteral",	//266
    "acl",	//267
    "addIndexOnlyPredicate",	//268
    "addIndexOnlyPredicate#",	//269
    "addPrecondition",	//270
    "addPrecondition#",	//271
    "addRule",	//272
    "addRule#",	//273
    "addStatement",	//274
    "addStatement#",	//275
    "addStatement###",	//276
    "addStatement####",	//277
    "addStatementAsync",	//278
    "addStatementAsync#",	//279
    "addStatements",	//280
    "addStatements?",	//281
    "album",	//282
    "albumArtist",	//283
    "albumGain",	//284
    "albumPeakGain",	//285
    "albumTrackCount",	//286
    "allBackends",	//287
    "allBindings",	//288
    "allModels",	//289
    "allNodes",	//290
    "allParsers",	//291
    "allRules",	//292
    "allSerializers",	//293
    "allStatements",	//294
    "allValuesFrom",	//295
    "altLabel",	//296
    "altSymbol",	//297
    "annotation",	//298
    "aperture",	//299
    "artist",	//300
    "asText",	//301
    "aspectRatio",	//302
    "asyncCalls",	//303
    "at",	//304
    "at$",	//305
    "attachmentEncoding",	//306
    "audioBPM",	//307
    "audioBitrate",	//308
    "audioChannels",	//309
    "audioCodec",	//310
    "audioCodecType",	//311
    "audioSampleBitDepth",	//312
    "audioSampleCount",	//313
    "audioSampleDataType",	//314
    "audioSampleRate",	//315
    "author",	//316
    "autoRating",	//317
    "backend",	//318
    "backwardCompatibleWith",	//319
    "base64Binary",	//320
    "baseRevisionID",	//321
    "bcc",	//322
    "bindEffect",	//323
    "bindEffect#",	//324
    "bindPreconditions",	//325
    "bindPreconditions#",	//326
    "bindToStatement",	//327
    "bindToStatement#",	//328
    "binding",	//329
    "binding$",	//330
    "bindingCount",	//331
    "bindingNames",	//332
    "birthDate",	//333
    "blogContactURL",	//334
    "boolValue",	//335
    "boolean",	//336
    "byte",	//337
    "cacheTime",	//338
    "cameraManufacturer",	//339
    "cameraModel",	//340
    "cardinality",	//341
    "cc",	//342
    "ccdWidth",	//343
    "cellPhoneNumber",	//344
    "changeCommitTime",	//345
    "changeCommitter",	//346
    "characterCount",	//347
    "charset",	//348
    "chatRoom",	//349
    "childEvent",	//350
    "childEvent#",	//351
    "classes",	//352
    "clear",	//353
    "clearInference",	//354
    "close",	//355
    "closeTransaction",	//356
    "closeTransaction$",	//357
    "code",	//358
    "colorCount",	//359
    "colorSpace",	//360
    "column",	//361
    "columnCount",	//362
    "comment",	//363
    "commentCharacterCount",	//364
    "commitDiff",	//365
    "communicationChannel",	//366
    "complementOf",	//367
    "composer",	//368
    "compressionAlgorithm",	//369
    "compressionLevel",	//370
    "conflicts",	//371
    "connectNotify",	//372
    "connectNotify$",	//373
    "contactMedium",	//374
    "contactNick",	//375
    "contactURL",	//376
    "contains",	//377
    "contains$",	//378
    "containsAnyStatement",	//379
    "containsAnyStatement#",	//380
    "containsAnyStatement###",	//381
    "containsAnyStatement####",	//382
    "containsAnyStatementAsync",	//383
    "containsAnyStatementAsync#",	//384
    "containsContext",	//385
    "containsContext#",	//386
    "containsStatement",	//387
    "containsStatement#",	//388
    "containsStatement###",	//389
    "containsStatement####",	//390
    "containsStatementAsync",	//391
    "containsStatementAsync#",	//392
    "contentComment",	//393
    "contentCreated",	//394
    "contentKeyword",	//395
    "contentModified",	//396
    "contentType",	//397
    "context",	//398
    "contributor",	//399
    "convertErrorCode",	//400
    "convertErrorCode$",	//401
    "copyright",	//402
    "coreGraphMetadataFor",	//403
    "count",	//404
    "createBlankNode",	//405
    "createBlankNode$",	//406
    "createBlankNodeAsync",	//407
    "createEmptyNode",	//408
    "createLiteralNode",	//409
    "createLiteralNode#$",	//410
    "createModel",	//411
    "createModel?",	//412
    "createResourceNode",	//413
    "createResourceNode#",	//414
    "createSparqlGraphPattern",	//415
    "createSparqlGraphPattern#",	//416
    "createSparqlNodePattern",	//417
    "createSparqlNodePattern#",	//418
    "createSparqlQuery",	//419
    "createSparqlQuery$",	//420
    "created",	//421
    "creator",	//422
    "currentBindings",	//423
    "currentStatement",	//424
    "customEvent",	//425
    "customEvent#",	//426
    "dataType",	//427
    "dataTypeUri",	//428
    "dataTypeUriFromType",	//429
    "dataTypeUriFromType$",	//430
    "date",	//431
    "dateTime",	//432
    "dbusObjectPath",	//433
    "decimal",	//434
    "defaultSearchField",	//435
    "definesClass",	//436
    "definesFunction",	//437
    "definesGlobalVariable",	//438
    "deleteModelData",	//439
    "deleteModelData?",	//440
    "deleteOnClose",	//441
    "deletionTime",	//442
    "depends",	//443
    "derivedFrom",	//444
    "description",	//445
    "differentFrom",	//446
    "directSubClassOf",	//447
    "directSubClassOf#",	//448
    "directSubClassOf##",	//449
    "directSubPropertyOf",	//450
    "directSubPropertyOf#",	//451
    "directSubPropertyOf##",	//452
    "directType",	//453
    "directType##",	//454
    "discNumber",	//455
    "disclaimer",	//456
    "disconnectNotify",	//457
    "disconnectNotify$",	//458
    "discoverBackendByFeatures",	//459
    "discoverBackendByFeatures$",	//460
    "discoverBackendByFeatures$?",	//461
    "discoverBackendByName",	//462
    "discoverBackendByName$",	//463
    "discoverParserByName",	//464
    "discoverParserByName$",	//465
    "discoverParserForSerialization",	//466
    "discoverParserForSerialization$",	//467
    "discoverParserForSerialization$$",	//468
    "discoverSerializerByName",	//469
    "discoverSerializerByName$",	//470
    "discoverSerializerForSerialization",	//471
    "discoverSerializerForSerialization$",	//472
    "discoverSerializerForSerialization$$",	//473
    "disjointWith",	//474
    "distinctMembers",	//475
    "documentCategory",	//476
    "documentForResource",	//477
    "documentForResource#",	//478
    "domain",	//479
    "domain##",	//480
    "dump",	//481
    "dump#",	//482
    "effect",	//483
    "emailAddress",	//484
    "engineeringTool",	//485
    "equivalentClass",	//486
    "equivalentGraph",	//487
    "equivalentProperty",	//488
    "errorMessage",	//489
    "errorMessage$",	//490
    "event",	//491
    "event#",	//492
    "eventFilter",	//493
    "eventFilter##",	//494
    "executeQuery",	//495
    "executeQuery$$",	//496
    "executeQuery$$$",	//497
    "executeQueryAsync",	//498
    "executeQueryAsync$$",	//499
    "executeQueryAsync$$$",	//500
    "exposureBias",	//501
    "exposureProgram",	//502
    "exposureTime",	//503
    "externalRealizer",	//504
    "familyName",	//505
    "faxPhoneNumber",	//506
    "fileExtension",	//507
    "fileName",	//508
    "fileSystemType",	//509
    "fingerprint",	//510
    "first",	//511
    "firstUsed",	//512
    "flashUsed",	//513
    "focalLength",	//514
    "focusDistance",	//515
    "formatSubtype",	//516
    "frameCount",	//517
    "frameRate",	//518
    "freeSpace",	//519
    "fromString",	//520
    "fromString$#",	//521
    "fromString$$",	//522
    "gender",	//523
    "generator",	//524
    "generatorOptions",	//525
    "genre",	//526
    "getResource",	//527
    "getResource?",	//528
    "givenName",	//529
    "graphMetadataFor",	//530
    "group",	//531
    "hasDefaultNamespace",	//532
    "hasDefaultNamespaceAbbreviation",	//533
    "hasSemantics",	//534
    "hasSpecification",	//535
    "hasSymbol",	//536
    "hasTag",	//537
    "hasTopic",	//538
    "hasValue",	//539
    "height",	//540
    "homeEmailAddress",	//541
    "homePhoneNumber",	//542
    "homePostalAddress",	//543
    "homepageContactURL",	//544
    "honorificPrefix",	//545
    "honorificSuffix",	//546
    "horizontalResolution",	//547
    "id",	//548
    "identifier",	//549
    "imContactMedium",	//550
    "imports",	//551
    "inReplyTo",	//552
    "incompatibleWith",	//553
    "index",	//554
    "indexOnlyPredicates",	//555
    "insert",	//556
    "insert$#",	//557
    "instance",	//558
    "integer",	//559
    "interest",	//560
    "interlaceMode",	//561
    "intersectionOf",	//562
    "inverseOf",	//563
    "inverseProperty",	//564
    "ircContactMedium",	//565
    "isAvailable",	//566
    "isBinding",	//567
    "isBlank",	//568
    "isBool",	//569
    "isByteArray",	//570
    "isClass",	//571
    "isClass#",	//572
    "isContentEncrypted",	//573
    "isDate",	//574
    "isDateTime",	//575
    "isDefinedBy",	//576
    "isDirectSubClassOf",	//577
    "isDirectSubClassOf##",	//578
    "isDirectSubPropertyOf",	//579
    "isDirectSubPropertyOf##",	//580
    "isDirectType",	//581
    "isDirectType##",	//582
    "isDouble",	//583
    "isEmpty",	//584
    "isEmptyAsync",	//585
    "isEncrypted",	//586
    "isGraph",	//587
    "isImportant",	//588
    "isInProgress",	//589
    "isInt",	//590
    "isInt64",	//591
    "isLiteral",	//592
    "isOpen",	//593
    "isParserError",	//594
    "isProperty",	//595
    "isProperty#",	//596
    "isPublicChannel",	//597
    "isRead",	//598
    "isRelated",	//599
    "isResource",	//600
    "isSourceEncrypted",	//601
    "isString",	//602
    "isSubClassOf",	//603
    "isSubClassOf##",	//604
    "isSubPropertyOf",	//605
    "isSubPropertyOf##",	//606
    "isTagFor",	//607
    "isTime",	//608
    "isTopicOf",	//609
    "isType",	//610
    "isType##",	//611
    "isUnsignedInt",	//612
    "isUnsignedInt64",	//613
    "isValid",	//614
    "isVariable",	//615
    "isoEquivalent",	//616
    "iterateBindings",	//617
    "iterateBindings$",	//618
    "iterateContexts",	//619
    "iterateObjects",	//620
    "iteratePredicates",	//621
    "iterateStatements",	//622
    "iterateSubjects",	//623
    "jabberContactMedium",	//624
    "keyword",	//625
    "knows",	//626
    "label",	//627
    "language",	//628
    "lastModified",	//629
    "lastRefreshed",	//630
    "lastUsed",	//631
    "legal",	//632
    "license",	//633
    "licenseType",	//634
    "line",	//635
    "lineCount",	//636
    "links",	//637
    "listContexts",	//638
    "listContextsAsync",	//639
    "listStatements",	//640
    "listStatements#",	//641
    "listStatements###",	//642
    "listStatements####",	//643
    "listStatementsAsync",	//644
    "listStatementsAsync#",	//645
    "listStatementsInContext",	//646
    "listStatementsInContext#",	//647
    "listen",	//648
    "listen$",	//649
    "literal",	//650
    "localRevision",	//651
    "locator",	//652
    "lyricist",	//653
    "mailingList",	//654
    "mailingPostalAddress",	//655
    "maintainer",	//656
    "markupCharacterCount",	//657
    "match",	//658
    "match#",	//659
    "matches",	//660
    "matches#",	//661
    "maxCardinality",	//662
    "md5Hash",	//663
    "mediaBitrate",	//664
    "mediaCodec",	//665
    "mediaCodecType",	//666
    "mediaDuration",	//667
    "member",	//668
    "mergeConflict",	//669
    "message",	//670
    "metaObject",	//671
    "meteringMode",	//672
    "mimeType",	//673
    "mimeTypeToSerialization",	//674
    "mimeTypeToSerialization$",	//675
    "minCardinality",	//676
    "model",	//677
    "model$",	//678
    "modified",	//679
    "mountPoint",	//680
    "name",	//681
    "naoNamespace",	//682
    "negativeInteger",	//683
    "newsGroup",	//684
    "nil",	//685
    "nodeIterator",	//686
    "nonNegativeInteger",	//687
    "nrlNamespace",	//688
    "numericRating",	//689
    "object",	//690
    "objectPattern",	//691
    "occupiedSpace",	//692
    "onProperty",	//693
    "oneOf",	//694
    "open",	//695
    "open$",	//696
    "open$$",	//697
    "operator bool",	//698
    "operator!=",	//699
    "operator!=#",	//700
    "operator=",	//701
    "operator=#",	//702
    "operator=$",	//703
    "operator==",	//704
    "operator==#",	//705
    "operator=?",	//706
    "operator[]",	//707
    "operator[]$",	//708
    "option",	//709
    "orientation",	//710
    "originURL",	//711
    "originalLocation",	//712
    "otherName",	//713
    "owlNamespace",	//714
    "owner",	//715
    "pageCount",	//716
    "paragraphCount",	//717
    "parentModel",	//718
    "parentStatementAdded",	//719
    "parentStatementAdded#",	//720
    "parentStatementRemoved",	//721
    "parentStatementRemoved#",	//722
    "parentStatementsAdded",	//723
    "parentStatementsRemoved",	//724
    "parseFile",	//725
    "parseFile$",	//726
    "parseFile$#$",	//727
    "parseFile$#$$",	//728
    "parseStream",	//729
    "parseStream##$",	//730
    "parseStream##$$",	//731
    "parseString",	//732
    "parseString$#$",	//733
    "parseString$#$$",	//734
    "performInference",	//735
    "performer",	//736
    "permissions",	//737
    "personPhoto",	//738
    "personalIdentifier",	//739
    "phoneNumber",	//740
    "pixelDataBitDepth",	//741
    "pixelDataType",	//742
    "pluginName",	//743
    "postalAddress",	//744
    "preconditions",	//745
    "predicate",	//746
    "predicatePattern",	//747
    "prefLabel",	//748
    "prefSymbol",	//749
    "primaryRecipient",	//750
    "priorVersion",	//751
    "programmingLanguage",	//752
    "properties",	//753
    "qt_metacall",	//754
    "qt_metacall$$?",	//755
    "queryLanguageFromString",	//756
    "queryLanguageFromString$",	//757
    "queryLanguageToString",	//758
    "queryLanguageToString$",	//759
    "queryLanguageToString$$",	//760
    "queryResultIterator",	//761
    "range",	//762
    "range##",	//763
    "rating",	//764
    "rdfNamespace",	//765
    "rdfsNamespace",	//766
    "realizes",	//767
    "rebuildIndex",	//768
    "receptionTime",	//769
    "recipient",	//770
    "registerAsDBusObject",	//771
    "registerAsDBusObject$",	//772
    "registerIterator",	//773
    "registerIterator$",	//774
    "registerIterator$$",	//775
    "registerModel",	//776
    "registerModel$",	//777
    "related",	//778
    "remotePassword",	//779
    "remotePort",	//780
    "remoteServer",	//781
    "remoteUser",	//782
    "removeAllStatements",	//783
    "removeAllStatements#",	//784
    "removeAllStatements###",	//785
    "removeAllStatements####",	//786
    "removeAllStatementsAsync",	//787
    "removeAllStatementsAsync#",	//788
    "removeContext",	//789
    "removeContext#",	//790
    "removeModel",	//791
    "removeModel$",	//792
    "removeStatement",	//793
    "removeStatement#",	//794
    "removeStatement###",	//795
    "removeStatement####",	//796
    "removeStatementAsync",	//797
    "removeStatementAsync#",	//798
    "removeStatements",	//799
    "removeStatements?",	//800
    "replyTo",	//801
    "resource",	//802
    "resourceCount",	//803
    "rest",	//804
    "resultReady",	//805
    "resultReady#",	//806
    "rowCount",	//807
    "rssFeed",	//808
    "rule",	//809
    "rule$",	//810
    "ruleLanguage",	//811
    "ruleNames",	//812
    "rules",	//813
    "sameAs",	//814
    "sampleConfiguration",	//815
    "sampleDataBitDepth",	//816
    "sampleDataType",	//817
    "score",	//818
    "secondaryRecipient",	//819
    "seeAlso",	//820
    "seenAttachedAs",	//821
    "semanticsDefinedBy",	//822
    "serializationLanguage",	//823
    "serializationMimeType",	//824
    "serializationMimeType$",	//825
    "serializationMimeType$$",	//826
    "serialize",	//827
    "serialize##$",	//828
    "serialize##$$",	//829
    "serverPort",	//830
    "setAsyncCalls",	//831
    "setAsyncCalls$",	//832
    "setBackend",	//833
    "setBackend#",	//834
    "setBackendSettings",	//835
    "setBackendSettings?",	//836
    "setByte",	//837
    "setByte$",	//838
    "setCacheTime",	//839
    "setCacheTime$",	//840
    "setColumn",	//841
    "setColumn$",	//842
    "setCompressedSourceStatements",	//843
    "setCompressedSourceStatements$",	//844
    "setContext",	//845
    "setContext#",	//846
    "setCount",	//847
    "setDeleteOnClose",	//848
    "setDeleteOnClose$",	//849
    "setEffect",	//850
    "setEffect#",	//851
    "setFileName",	//852
    "setFileName$",	//853
    "setIndexOnlyPredicates",	//854
    "setIndexOnlyPredicates?",	//855
    "setLine",	//856
    "setLine$",	//857
    "setObject",	//858
    "setObject#",	//859
    "setOptimizedQueriesEnabled",	//860
    "setOptimizedQueriesEnabled$",	//861
    "setParentModel",	//862
    "setParentModel#",	//863
    "setPredicate",	//864
    "setPredicate#",	//865
    "setRate",	//866
    "setRules",	//867
    "setRules?",	//868
    "setSubject",	//869
    "setSubject#",	//870
    "setTransactionCacheSize",	//871
    "setTransactionCacheSize$",	//872
    "setUsedBackend",	//873
    "setUsedBackend#",	//874
    "setValue",	//875
    "setValue#",	//876
    "sha1Hash",	//877
    "silNamespace",	//878
    "size",	//879
    "someValuesFrom",	//880
    "sourceCreated",	//881
    "sourceModified",	//882
    "sourceStatement",	//883
    "standardRuleSet",	//884
    "standardRuleSet$",	//885
    "start",	//886
    "start$",	//887
    "startTransaction",	//888
    "statementAdded",	//889
    "statementAdded#",	//890
    "statementCount",	//891
    "statementCountAsync",	//892
    "statementIterator",	//893
    "statementRemoved",	//894
    "statementRemoved#",	//895
    "statementsAdded",	//896
    "statementsRemoved",	//897
    "status",	//898
    "storageSize",	//899
    "string",	//900
    "subClassOf",	//901
    "subClassOf#",	//902
    "subClassOf##",	//903
    "subGraphOf",	//904
    "subPropertyOf",	//905
    "subPropertyOf#",	//906
    "subPropertyOf##",	//907
    "subject",	//908
    "subjectPattern",	//909
    "summary",	//910
    "superGraphOf",	//911
    "supercedes",	//912
    "supportedFeatures",	//913
    "supportedSerializations",	//914
    "supportedUserFeatures",	//915
    "supportedUserSerializations",	//916
    "supportsFeatures",	//917
    "supportsFeatures$",	//918
    "supportsFeatures$?",	//919
    "supportsSerialization",	//920
    "supportsSerialization$",	//921
    "supportsSerialization$$",	//922
    "targetQuality",	//923
    "time",	//924
    "timerEvent",	//925
    "timerEvent#",	//926
    "title",	//927
    "to",	//928
    "toBool",	//929
    "toByteArray",	//930
    "toDate",	//931
    "toDateTime",	//932
    "toDouble",	//933
    "toInt",	//934
    "toInt64",	//935
    "toParserError",	//936
    "toString",	//937
    "toTime",	//938
    "toUnsignedInt",	//939
    "toUnsignedInt64",	//940
    "totalSpace",	//941
    "totalUncompressedSize",	//942
    "trackGain",	//943
    "trackNumber",	//944
    "trackPeakGain",	//945
    "transactionCacheSize",	//946
    "type",	//947
    "type##",	//948
    "typeFromDataTypeUri",	//949
    "typeFromDataTypeUri#",	//950
    "unionOf",	//951
    "unregisterIterator",	//952
    "unregisterModel",	//953
    "unsignedInt",	//954
    "unsignedLong",	//955
    "unsignedShort",	//956
    "updatable",	//957
    "uri",	//958
    "url",	//959
    "useCount",	//960
    "usedBackend",	//961
    "userComment",	//962
    "userKeyword",	//963
    "userOptionName",	//964
    "userRating",	//965
    "usesNamespace",	//966
    "value",	//967
    "value$",	//968
    "variableName",	//969
    "variant",	//970
    "version",	//971
    "versionInfo",	//972
    "versionMajor",	//973
    "versionMinor",	//974
    "versionRelease",	//975
    "versionString",	//976
    "verticalResolution",	//977
    "videoBitrate",	//978
    "videoCodec",	//979
    "videoCodecType",	//980
    "viewOn",	//981
    "whiteBalance",	//982
    "width",	//983
    "wordCount",	//984
    "workEmailAddress",	//985
    "workPhoneNumber",	//986
    "workPostalAddress",	//987
    "write",	//988
    "write#",	//989
    "xesam35mmEquivalent",	//990
    "xesamNamespace",	//991
    "xsdDouble",	//992
    "xsdFloat",	//993
    "xsdInt",	//994
    "xsdLong",	//995
    "xsdNamespace",	//996
    "xsdShort",	//997
    "~AsyncModel",	//998
    "~AsyncResult",	//999
    "~Backend",	//1000
    "~BackendSetting",	//1001
    "~BindingSet",	//1002
    "~CLuceneIndex",	//1003
    "~DBusExportIterator",	//1004
    "~DBusExportModel",	//1005
    "~DBusModel",	//1006
    "~DBusNodeIterator",	//1007
    "~DBusQueryResultIterator",	//1008
    "~DBusStatementIterator",	//1009
    "~Error",	//1010
    "~FilterModel",	//1011
    "~IndexFilterModel",	//1012
    "~InferenceModel",	//1013
    "~LiteralValue",	//1014
    "~Locator",	//1015
    "~Model",	//1016
    "~MutexModel",	//1017
    "~Node",	//1018
    "~NodeIterator",	//1019
    "~NodePattern",	//1020
    "~Parser",	//1021
    "~ParserError",	//1022
    "~Plugin",	//1023
    "~PluginManager",	//1024
    "~QueryHit",	//1025
    "~QueryResultIterator",	//1026
    "~RdfSchemaModel",	//1027
    "~ReadOnlyModel",	//1028
    "~Rule",	//1029
    "~RuleParser",	//1030
    "~RuleSet",	//1031
    "~Serializer",	//1032
    "~ServerCore",	//1033
    "~SignalCacheModel",	//1034
    "~SimpleNodeIterator",	//1035
    "~Statement",	//1036
    "~StatementIterator",	//1037
    "~StatementPattern",	//1038
    "~StorageModel",	//1039
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method soprano_methods[] = {
	{7, 671, 0, 0, Smoke::mf_const, 272, 2},	//0 QObject::metaObject() const
	{7, 754, 262, 3, 0, 304, 3},	//1 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{7, 491, 258, 1, 0, 261, 6},	//2 QObject::event(QEvent*)
	{7, 493, 268, 2, 0, 261, 7},	//3 QObject::eventFilter(QObject*, QEvent*)
	{7, 925, 12, 1, Smoke::mf_protected, 0, 49},	//4 QObject::timerEvent(QTimerEvent*)
	{7, 350, 14, 1, Smoke::mf_protected, 0, 50},	//5 QObject::childEvent(QChildEvent*)
	{7, 425, 258, 1, Smoke::mf_protected, 0, 51},	//6 QObject::customEvent(QEvent*)
	{7, 372, 230, 1, Smoke::mf_protected, 0, 52},	//7 QObject::connectNotify(const char*)
	{7, 457, 230, 1, Smoke::mf_protected, 0, 53},	//8 QObject::disconnectNotify(const char*)
	{13, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 1},	//9 Soprano::SerializationUnknown (enum)
	{13, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 2},	//10 Soprano::SerializationRdfXml (enum)
	{13, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 3},	//11 Soprano::SerializationN3 (enum)
	{13, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 4},	//12 Soprano::SerializationNTriples (enum)
	{13, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 5},	//13 Soprano::SerializationTurtle (enum)
	{13, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 6},	//14 Soprano::SerializationTrig (enum)
	{13, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 7},	//15 Soprano::SerializationNQuads (enum)
	{13, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 8},	//16 Soprano::SerializationUser (enum)
	{13, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 9},	//17 Soprano::BackendOptionNone (enum)
	{13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 10},	//18 Soprano::BackendOptionStorageMemory (enum)
	{13, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 11},	//19 Soprano::BackendOptionEnableInference (enum)
	{13, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 12},	//20 Soprano::BackendOptionStorageDir (enum)
	{13, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 13},	//21 Soprano::BackendOptionUser (enum)
	{13, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 14},	//22 Soprano::BackendFeatureNone (enum)
	{13, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 15},	//23 Soprano::BackendFeatureAddStatement (enum)
	{13, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 16},	//24 Soprano::BackendFeatureRemoveStatements (enum)
	{13, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 17},	//25 Soprano::BackendFeatureListStatements (enum)
	{13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 18},	//26 Soprano::BackendFeatureQuery (enum)
	{13, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 19},	//27 Soprano::BackendFeatureInference (enum)
	{13, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 20},	//28 Soprano::BackendFeatureInferenceOptional (enum)
	{13, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 21},	//29 Soprano::BackendFeatureContext (enum)
	{13, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 22},	//30 Soprano::BackendFeatureStorageMemory (enum)
	{13, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 23},	//31 Soprano::BackendFeatureUser (enum)
	{13, 462, 106, 1, Smoke::mf_static, 279, 24},	//32 Soprano::discoverBackendByName(const QString&)
	{13, 459, 20, 2, Smoke::mf_static, 279, 25},	//33 Soprano::discoverBackendByFeatures(Soprano::BackendFeatures, const QStringList&)
	{13, 459, 18, 1, Smoke::mf_static, 279, 26},	//34 Soprano::discoverBackendByFeatures(Soprano::BackendFeatures)
	{13, 873, 161, 1, Smoke::mf_static, 0, 27},	//35 Soprano::setUsedBackend(const Soprano::Backend*)
	{13, 961, 0, 0, Smoke::mf_static, 279, 28},	//36 Soprano::usedBackend()
	{13, 411, 96, 1, Smoke::mf_static, 220, 29},	//37 Soprano::createModel(const QList<Soprano::BackendSetting>&)
	{13, 411, 0, 0, Smoke::mf_static, 220, 30},	//38 Soprano::createModel()
	{13, 824, 60, 2, Smoke::mf_static, 93, 31},	//39 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
	{13, 824, 58, 1, Smoke::mf_static, 93, 32},	//40 Soprano::serializationMimeType(Soprano::RdfSerialization)
	{13, 674, 106, 1, Smoke::mf_static, 239, 33},	//41 Soprano::mimeTypeToSerialization(const QString&)
	{13, 973, 0, 0, Smoke::mf_static, 310, 34},	//42 Soprano::versionMajor()
	{13, 974, 0, 0, Smoke::mf_static, 310, 35},	//43 Soprano::versionMinor()
	{13, 975, 0, 0, Smoke::mf_static, 310, 36},	//44 Soprano::versionRelease()
	{13, 976, 0, 0, Smoke::mf_static, 301, 37},	//45 Soprano::versionString()
	{14, 12, 106, 1, Smoke::mf_ctor, 172, 1},	//46 Soprano::Backend::Backend(const QString&)
	{14, 1000, 0, 0, Smoke::mf_dtor, 0, 8},	//47 Soprano::Backend::~Backend()
	{14, 411, 96, 1, Smoke::mf_const, 252, 2},	//48 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
	{14, 411, 0, 0, Smoke::mf_const, 252, -1},	//49 Soprano::Backend::createModel() const [pure virtual]
	{14, 439, 96, 1, Smoke::mf_const, 261, 3},	//50 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
	{14, 913, 0, 0, Smoke::mf_const, 174, 4},	//51 Soprano::Backend::supportedFeatures() const [pure virtual]
	{14, 915, 0, 0, Smoke::mf_const, 97, 5},	//52 Soprano::Backend::supportedUserFeatures() const
	{14, 917, 20, 2, Smoke::mf_const, 261, 6},	//53 Soprano::Backend::supportsFeatures(Soprano::BackendFeatures, const QStringList&) const
	{14, 917, 18, 1, Smoke::mf_const, 261, 7},	//54 Soprano::Backend::supportsFeatures(Soprano::BackendFeatures) const
	{15, 29, 0, 0, Smoke::mf_ctor, 180, 1},	//55 Soprano::BackendSetting::BackendSetting()
	{15, 29, 23, 1, Smoke::mf_ctor, 180, 2},	//56 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
	{15, 29, 25, 2, Smoke::mf_ctor, 180, 3},	//57 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
	{15, 29, 143, 2, Smoke::mf_ctor, 180, 4},	//58 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
	{15, 29, 163, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 180, 5},	//59 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
	{15, 1001, 0, 0, Smoke::mf_dtor, 0, 11},	//60 Soprano::BackendSetting::~BackendSetting()
	{15, 701, 163, 1, 0, 179, 6},	//61 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
	{15, 709, 0, 0, Smoke::mf_const, 176, 7},	//62 Soprano::BackendSetting::option() const
	{15, 964, 0, 0, Smoke::mf_const, 93, 8},	//63 Soprano::BackendSetting::userOptionName() const
	{15, 967, 0, 0, Smoke::mf_const, 140, 9},	//64 Soprano::BackendSetting::value() const
	{15, 875, 159, 1, 0, 0, 10},	//65 Soprano::BackendSetting::setValue(const QVariant&)
	{16, 34, 0, 0, Smoke::mf_ctor, 183, 1},	//66 Soprano::BindingSet::BindingSet()
	{16, 34, 165, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 183, 2},	//67 Soprano::BindingSet::BindingSet(const Soprano::BindingSet&)
	{16, 1002, 0, 0, Smoke::mf_dtor, 0, 12},	//68 Soprano::BindingSet::~BindingSet()
	{16, 701, 165, 1, 0, 182, 3},	//69 Soprano::BindingSet::operator=(const Soprano::BindingSet&)
	{16, 332, 0, 0, Smoke::mf_const, 97, 4},	//70 Soprano::BindingSet::bindingNames() const
	{16, 707, 234, 1, Smoke::mf_const, 221, 5},	//71 Soprano::BindingSet::operator[](int) const
	{16, 707, 104, 1, Smoke::mf_const, 221, 6},	//72 Soprano::BindingSet::operator[](const QString) const
	{16, 967, 234, 1, Smoke::mf_const, 221, 7},	//73 Soprano::BindingSet::value(int) const
	{16, 967, 106, 1, Smoke::mf_const, 221, 8},	//74 Soprano::BindingSet::value(const QString&) const
	{16, 377, 106, 1, Smoke::mf_const, 261, 9},	//75 Soprano::BindingSet::contains(const QString&) const
	{16, 404, 0, 0, Smoke::mf_const, 304, 10},	//76 Soprano::BindingSet::count() const
	{16, 556, 149, 2, 0, 0, 11},	//77 Soprano::BindingSet::insert(const QString&, const Soprano::Node&)
	{18, 671, 0, 0, Smoke::mf_const, 272, 1},	//78 Soprano::Client::DBusModel::metaObject() const
	{18, 754, 262, 3, 0, 304, 2},	//79 Soprano::Client::DBusModel::qt_metacall(QMetaObject::Call, int, void**)
	{18, 54, 127, 3, Smoke::mf_ctor, 184, 3},	//80 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&, const Soprano::Backend*)
	{18, 54, 124, 2, Smoke::mf_ctor, 184, 4},	//81 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&)
	{18, 1006, 0, 0, Smoke::mf_dtor, 0, 19},	//82 Soprano::Client::DBusModel::~DBusModel()
	{18, 831, 84, 1, 0, 0, 5},	//83 Soprano::Client::DBusModel::setAsyncCalls(bool)
	{18, 303, 0, 0, Smoke::mf_const, 261, 6},	//84 Soprano::Client::DBusModel::asyncCalls() const
	{18, 274, 224, 1, 0, 190, 7},	//85 Soprano::Client::DBusModel::addStatement(const Soprano::Statement&)
	{18, 638, 0, 0, Smoke::mf_const, 225, 8},	//86 Soprano::Client::DBusModel::listContexts() const
	{18, 495, 117, 3, Smoke::mf_const, 234, 9},	//87 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{18, 495, 114, 2, Smoke::mf_const, 234, 10},	//88 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{18, 640, 224, 1, Smoke::mf_const, 249, 11},	//89 Soprano::Client::DBusModel::listStatements(const Soprano::Statement&) const
	{18, 793, 224, 1, 0, 190, 12},	//90 Soprano::Client::DBusModel::removeStatement(const Soprano::Statement&)
	{18, 783, 224, 1, 0, 190, 13},	//91 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Statement&)
	{18, 891, 0, 0, Smoke::mf_const, 304, 14},	//92 Soprano::Client::DBusModel::statementCount() const
	{18, 584, 0, 0, Smoke::mf_const, 261, 15},	//93 Soprano::Client::DBusModel::isEmpty() const
	{18, 387, 224, 1, Smoke::mf_const, 261, 16},	//94 Soprano::Client::DBusModel::containsStatement(const Soprano::Statement&) const
	{18, 379, 224, 1, Smoke::mf_const, 261, 17},	//95 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Statement&) const
	{18, 405, 0, 0, 0, 221, 18},	//96 Soprano::Client::DBusModel::createBlankNode()
	{19, 57, 124, 2, Smoke::mf_ctor, 185, 1},	//97 Soprano::Client::DBusNodeIterator::DBusNodeIterator(const QString&, const QString&)
	{19, 1007, 0, 0, Smoke::mf_dtor, 0, 2},	//98 Soprano::Client::DBusNodeIterator::~DBusNodeIterator()
	{20, 59, 124, 2, Smoke::mf_ctor, 186, 1},	//99 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator(const QString&, const QString&)
	{20, 1008, 0, 0, Smoke::mf_dtor, 0, 2},	//100 Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator()
	{21, 61, 124, 2, Smoke::mf_ctor, 187, 1},	//101 Soprano::Client::DBusStatementIterator::DBusStatementIterator(const QString&, const QString&)
	{21, 1009, 0, 0, Smoke::mf_dtor, 0, 2},	//102 Soprano::Client::DBusStatementIterator::~DBusStatementIterator()
	{22, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 1},	//103 Soprano::Error::ErrorNone (enum)
	{22, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 2},	//104 Soprano::Error::ErrorInvalidArgument (enum)
	{22, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 3},	//105 Soprano::Error::ErrorInvalidStatement (enum)
	{22, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 4},	//106 Soprano::Error::ErrorNotSupported (enum)
	{22, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 5},	//107 Soprano::Error::ErrorParsingFailed (enum)
	{22, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 6},	//108 Soprano::Error::ErrorPermissionDenied (enum)
	{22, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 7},	//109 Soprano::Error::ErrorUnknown (enum)
	{22, 489, 28, 1, Smoke::mf_static, 93, 8},	//110 Soprano::Error::errorMessage(Soprano::Error::ErrorCode)
	{22, 400, 234, 1, Smoke::mf_static, 190, 9},	//111 Soprano::Error::convertErrorCode(int)
	{23, 80, 0, 0, Smoke::mf_ctor, 189, 1},	//112 Soprano::Error::Error::Error()
	{23, 80, 152, 2, Smoke::mf_ctor, 189, 2},	//113 Soprano::Error::Error::Error(const QString&, int)
	{23, 80, 106, 1, Smoke::mf_ctor, 189, 3},	//114 Soprano::Error::Error::Error(const QString&)
	{23, 80, 167, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 189, 4},	//115 Soprano::Error::Error::Error(const Soprano::Error::Error&)
	{23, 1010, 0, 0, Smoke::mf_dtor, 0, 12},	//116 Soprano::Error::Error::~Error()
	{23, 701, 167, 1, 0, 188, 5},	//117 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
	{23, 698, 0, 0, Smoke::mf_const, 0, 6},	//118 Soprano::Error::Error::operator bool() const
	{23, 670, 0, 0, Smoke::mf_const, 93, 7},	//119 Soprano::Error::Error::message() const
	{23, 358, 0, 0, Smoke::mf_const, 304, 8},	//120 Soprano::Error::Error::code() const
	{23, 594, 0, 0, Smoke::mf_const, 261, 9},	//121 Soprano::Error::Error::isParserError() const
	{23, 936, 0, 0, Smoke::mf_const, 195, 10},	//122 Soprano::Error::Error::toParserError() const
	{23, 80, 30, 1, Smoke::mf_ctor|Smoke::mf_protected, 189, 11},	//123 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
	{24, 125, 0, 0, Smoke::mf_ctor, 194, 1},	//124 Soprano::Error::Locator::Locator()
	{24, 125, 243, 4, Smoke::mf_ctor, 194, 2},	//125 Soprano::Error::Locator::Locator(int, int, int, const QString&)
	{24, 125, 239, 3, Smoke::mf_ctor, 194, 3},	//126 Soprano::Error::Locator::Locator(int, int, int)
	{24, 125, 236, 2, Smoke::mf_ctor, 194, 4},	//127 Soprano::Error::Locator::Locator(int, int)
	{24, 125, 169, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 194, 5},	//128 Soprano::Error::Locator::Locator(const Soprano::Error::Locator&)
	{24, 1015, 0, 0, Smoke::mf_dtor, 0, 15},	//129 Soprano::Error::Locator::~Locator()
	{24, 701, 169, 1, 0, 193, 6},	//130 Soprano::Error::Locator::operator=(const Soprano::Error::Locator&)
	{24, 635, 0, 0, Smoke::mf_const, 304, 7},	//131 Soprano::Error::Locator::line() const
	{24, 361, 0, 0, Smoke::mf_const, 304, 8},	//132 Soprano::Error::Locator::column() const
	{24, 337, 0, 0, Smoke::mf_const, 304, 9},	//133 Soprano::Error::Locator::byte() const
	{24, 508, 0, 0, Smoke::mf_const, 93, 10},	//134 Soprano::Error::Locator::fileName() const
	{24, 856, 234, 1, 0, 0, 11},	//135 Soprano::Error::Locator::setLine(int)
	{24, 841, 234, 1, 0, 0, 12},	//136 Soprano::Error::Locator::setColumn(int)
	{24, 837, 234, 1, 0, 0, 13},	//137 Soprano::Error::Locator::setByte(int)
	{24, 852, 106, 1, 0, 0, 14},	//138 Soprano::Error::Locator::setFileName(const QString&)
	{25, 162, 0, 0, Smoke::mf_ctor, 197, 1},	//139 Soprano::Error::ParserError::ParserError()
	{25, 162, 174, 3, Smoke::mf_ctor, 197, 2},	//140 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
	{25, 162, 171, 2, Smoke::mf_ctor, 197, 3},	//141 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
	{25, 162, 169, 1, Smoke::mf_ctor, 197, 4},	//142 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
	{25, 162, 167, 1, Smoke::mf_ctor, 197, 5},	//143 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
	{25, 1022, 0, 0, Smoke::mf_dtor, 0, 9},	//144 Soprano::Error::ParserError::~ParserError()
	{25, 701, 167, 1, 0, 196, 6},	//145 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
	{25, 652, 0, 0, Smoke::mf_const, 192, 7},	//146 Soprano::Error::ParserError::locator() const
	{25, 162, 178, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 197, 8},	//147 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
	{26, 671, 0, 0, Smoke::mf_const, 272, 1},	//148 Soprano::FilterModel::metaObject() const
	{26, 754, 262, 3, 0, 304, 2},	//149 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
	{26, 1011, 0, 0, Smoke::mf_dtor, 0, 36},	//150 Soprano::FilterModel::~FilterModel()
	{26, 862, 39, 1, 0, 0, 3},	//151 Soprano::FilterModel::setParentModel(Soprano::Model*)
	{26, 718, 0, 0, Smoke::mf_const, 220, 4},	//152 Soprano::FilterModel::parentModel() const
	{26, 274, 224, 1, 0, 190, 5},	//153 Soprano::FilterModel::addStatement(const Soprano::Statement&)
	{26, 274, 210, 4, 0, 190, 6},	//154 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{26, 274, 206, 3, 0, 190, 7},	//155 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{26, 793, 224, 1, 0, 190, 8},	//156 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
	{26, 793, 210, 4, 0, 190, 9},	//157 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{26, 793, 206, 3, 0, 190, 10},	//158 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{26, 783, 224, 1, 0, 190, 11},	//159 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
	{26, 783, 210, 4, 0, 190, 12},	//160 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{26, 783, 206, 3, 0, 190, 13},	//161 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{26, 640, 224, 1, Smoke::mf_const, 249, 14},	//162 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
	{26, 640, 210, 4, Smoke::mf_const, 249, 15},	//163 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{26, 640, 206, 3, Smoke::mf_const, 249, 16},	//164 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{26, 638, 0, 0, Smoke::mf_const, 225, 17},	//165 Soprano::FilterModel::listContexts() const
	{26, 495, 117, 3, Smoke::mf_const, 234, 18},	//166 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{26, 495, 114, 2, Smoke::mf_const, 234, 19},	//167 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{26, 387, 224, 1, Smoke::mf_const, 261, 20},	//168 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
	{26, 387, 210, 4, Smoke::mf_const, 261, 21},	//169 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{26, 387, 206, 3, Smoke::mf_const, 261, 22},	//170 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{26, 379, 224, 1, Smoke::mf_const, 261, 23},	//171 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
	{26, 379, 210, 4, Smoke::mf_const, 261, 24},	//172 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{26, 379, 206, 3, Smoke::mf_const, 261, 25},	//173 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{26, 584, 0, 0, Smoke::mf_const, 261, 26},	//174 Soprano::FilterModel::isEmpty() const
	{26, 891, 0, 0, Smoke::mf_const, 304, 27},	//175 Soprano::FilterModel::statementCount() const
	{26, 988, 1, 1, Smoke::mf_const, 190, 28},	//176 Soprano::FilterModel::write(QTextStream&) const
	{26, 405, 0, 0, 0, 221, 29},	//177 Soprano::FilterModel::createBlankNode()
	{26, 96, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 198, 30},	//178 Soprano::FilterModel::FilterModel()
	{26, 96, 39, 1, Smoke::mf_ctor|Smoke::mf_protected, 198, 31},	//179 Soprano::FilterModel::FilterModel(Soprano::Model*)
	{26, 723, 0, 0, Smoke::mf_protected, 0, 32},	//180 Soprano::FilterModel::parentStatementsAdded()
	{26, 724, 0, 0, Smoke::mf_protected, 0, 33},	//181 Soprano::FilterModel::parentStatementsRemoved()
	{26, 719, 224, 1, Smoke::mf_protected, 0, 34},	//182 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
	{26, 721, 224, 1, Smoke::mf_protected, 0, 35},	//183 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
	{28, 39, 248, 1, Smoke::mf_ctor, 199, 1},	//184 Soprano::Index::CLuceneIndex::CLuceneIndex(lucene::analysis::Analyzer*)
	{28, 39, 0, 0, Smoke::mf_ctor, 199, 2},	//185 Soprano::Index::CLuceneIndex::CLuceneIndex()
	{28, 1003, 0, 0, Smoke::mf_dtor, 0, 17},	//186 Soprano::Index::CLuceneIndex::~CLuceneIndex()
	{28, 695, 121, 2, 0, 261, 3},	//187 Soprano::Index::CLuceneIndex::open(const QString&, bool)
	{28, 695, 106, 1, 0, 261, 4},	//188 Soprano::Index::CLuceneIndex::open(const QString&)
	{28, 355, 0, 0, 0, 0, 5},	//189 Soprano::Index::CLuceneIndex::close()
	{28, 593, 0, 0, Smoke::mf_const, 261, 6},	//190 Soprano::Index::CLuceneIndex::isOpen() const
	{28, 803, 0, 0, Smoke::mf_const, 304, 7},	//191 Soprano::Index::CLuceneIndex::resourceCount() const
	{28, 888, 0, 0, 0, 304, 8},	//192 Soprano::Index::CLuceneIndex::startTransaction()
	{28, 356, 234, 1, 0, 261, 9},	//193 Soprano::Index::CLuceneIndex::closeTransaction(int)
	{28, 274, 224, 1, 0, 190, 10},	//194 Soprano::Index::CLuceneIndex::addStatement(const Soprano::Statement&)
	{28, 793, 224, 1, 0, 190, 11},	//195 Soprano::Index::CLuceneIndex::removeStatement(const Soprano::Statement&)
	{28, 477, 201, 1, 0, 306, 12},	//196 Soprano::Index::CLuceneIndex::documentForResource(const Soprano::Node&)
	{28, 481, 1, 1, Smoke::mf_const, 0, 13},	//197 Soprano::Index::CLuceneIndex::dump(QTextStream&) const
	{28, 353, 0, 0, 0, 0, 14},	//198 Soprano::Index::CLuceneIndex::clear()
	{28, 527, 250, 1, Smoke::mf_static, 221, 15},	//199 Soprano::Index::CLuceneIndex::getResource(lucene::document::Document*)
	{28, 435, 0, 0, Smoke::mf_static, 93, 16},	//200 Soprano::Index::CLuceneIndex::defaultSearchField()
	{29, 106, 111, 2, Smoke::mf_ctor, 200, 1},	//201 Soprano::Index::IndexFilterModel::IndexFilterModel(const QString&, Soprano::Model*)
	{29, 106, 106, 1, Smoke::mf_ctor, 200, 2},	//202 Soprano::Index::IndexFilterModel::IndexFilterModel(const QString&)
	{29, 106, 34, 2, Smoke::mf_ctor, 200, 3},	//203 Soprano::Index::IndexFilterModel::IndexFilterModel(Soprano::Index::CLuceneIndex*, Soprano::Model*)
	{29, 106, 32, 1, Smoke::mf_ctor, 200, 4},	//204 Soprano::Index::IndexFilterModel::IndexFilterModel(Soprano::Index::CLuceneIndex*)
	{29, 1012, 0, 0, Smoke::mf_dtor, 0, 17},	//205 Soprano::Index::IndexFilterModel::~IndexFilterModel()
	{29, 554, 0, 0, Smoke::mf_const, 199, 5},	//206 Soprano::Index::IndexFilterModel::index() const
	{29, 274, 224, 1, 0, 190, 6},	//207 Soprano::Index::IndexFilterModel::addStatement(const Soprano::Statement&)
	{29, 793, 224, 1, 0, 190, 7},	//208 Soprano::Index::IndexFilterModel::removeStatement(const Soprano::Statement&)
	{29, 783, 224, 1, 0, 190, 8},	//209 Soprano::Index::IndexFilterModel::removeAllStatements(const Soprano::Statement&)
	{29, 495, 117, 3, Smoke::mf_const, 234, 9},	//210 Soprano::Index::IndexFilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{29, 495, 114, 2, Smoke::mf_const, 234, 10},	//211 Soprano::Index::IndexFilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{29, 871, 234, 1, 0, 0, 11},	//212 Soprano::Index::IndexFilterModel::setTransactionCacheSize(int)
	{29, 946, 0, 0, Smoke::mf_const, 304, 12},	//213 Soprano::Index::IndexFilterModel::transactionCacheSize() const
	{29, 768, 0, 0, 0, 0, 13},	//214 Soprano::Index::IndexFilterModel::rebuildIndex()
	{29, 268, 157, 1, 0, 0, 14},	//215 Soprano::Index::IndexFilterModel::addIndexOnlyPredicate(const QUrl&)
	{29, 854, 94, 1, 0, 0, 15},	//216 Soprano::Index::IndexFilterModel::setIndexOnlyPredicates(const QList<QUrl>&)
	{29, 555, 0, 0, Smoke::mf_const, 58, 16},	//217 Soprano::Index::IndexFilterModel::indexOnlyPredicates() const
	{30, 182, 0, 0, Smoke::mf_ctor, 202, 1},	//218 Soprano::Index::QueryHit::QueryHit()
	{30, 182, 180, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 202, 2},	//219 Soprano::Index::QueryHit::QueryHit(const Soprano::Index::QueryHit&)
	{30, 182, 215, 2, Smoke::mf_ctor, 202, 3},	//220 Soprano::Index::QueryHit::QueryHit(const Soprano::Node&, double)
	{30, 1025, 0, 0, Smoke::mf_dtor, 0, 7},	//221 Soprano::Index::QueryHit::~QueryHit()
	{30, 701, 180, 1, 0, 201, 4},	//222 Soprano::Index::QueryHit::operator=(const Soprano::Index::QueryHit&)
	{30, 818, 0, 0, Smoke::mf_const, 303, 5},	//223 Soprano::Index::QueryHit::score() const
	{30, 802, 0, 0, Smoke::mf_const, 221, 6},	//224 Soprano::Index::QueryHit::resource() const
	{31, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 1},	//225 Soprano::Inference::RDFS (enum)
	{31, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 2},	//226 Soprano::Inference::NRL (enum)
	{32, 671, 0, 0, Smoke::mf_const, 272, 1},	//227 Soprano::Inference::InferenceModel::metaObject() const
	{32, 754, 262, 3, 0, 304, 2},	//228 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
	{32, 113, 39, 1, Smoke::mf_ctor, 203, 3},	//229 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
	{32, 1013, 0, 0, Smoke::mf_dtor, 0, 13},	//230 Soprano::Inference::InferenceModel::~InferenceModel()
	{32, 274, 224, 1, 0, 190, 4},	//231 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
	{32, 793, 224, 1, 0, 190, 5},	//232 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
	{32, 783, 224, 1, 0, 190, 6},	//233 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
	{32, 272, 188, 1, 0, 0, 7},	//234 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
	{32, 867, 98, 1, 0, 0, 8},	//235 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
	{32, 735, 0, 0, 0, 0, 9},	//236 Soprano::Inference::InferenceModel::performInference()
	{32, 354, 0, 0, 0, 0, 10},	//237 Soprano::Inference::InferenceModel::clearInference()
	{32, 843, 84, 1, 0, 0, 11},	//238 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
	{32, 860, 84, 1, 0, 0, 12},	//239 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
	{33, 150, 0, 0, Smoke::mf_ctor, 206, 1},	//240 Soprano::Inference::NodePattern::NodePattern()
	{33, 150, 201, 1, Smoke::mf_ctor, 206, 2},	//241 Soprano::Inference::NodePattern::NodePattern(const Soprano::Node&)
	{33, 150, 106, 1, Smoke::mf_ctor, 206, 3},	//242 Soprano::Inference::NodePattern::NodePattern(const QString&)
	{33, 150, 182, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 206, 4},	//243 Soprano::Inference::NodePattern::NodePattern(const Soprano::Inference::NodePattern&)
	{33, 1020, 0, 0, Smoke::mf_dtor, 0, 11},	//244 Soprano::Inference::NodePattern::~NodePattern()
	{33, 701, 182, 1, 0, 205, 5},	//245 Soprano::Inference::NodePattern::operator=(const Soprano::Inference::NodePattern&)
	{33, 615, 0, 0, Smoke::mf_const, 261, 6},	//246 Soprano::Inference::NodePattern::isVariable() const
	{33, 802, 0, 0, Smoke::mf_const, 221, 7},	//247 Soprano::Inference::NodePattern::resource() const
	{33, 969, 0, 0, Smoke::mf_const, 93, 8},	//248 Soprano::Inference::NodePattern::variableName() const
	{33, 658, 201, 1, Smoke::mf_const, 261, 9},	//249 Soprano::Inference::NodePattern::match(const Soprano::Node&) const
	{33, 417, 165, 1, Smoke::mf_const, 93, 10},	//250 Soprano::Inference::NodePattern::createSparqlNodePattern(const Soprano::BindingSet&) const
	{34, 211, 0, 0, Smoke::mf_ctor, 209, 1},	//251 Soprano::Inference::Rule::Rule()
	{34, 211, 188, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 209, 2},	//252 Soprano::Inference::Rule::Rule(const Soprano::Inference::Rule&)
	{34, 1029, 0, 0, Smoke::mf_dtor, 0, 14},	//253 Soprano::Inference::Rule::~Rule()
	{34, 701, 188, 1, 0, 208, 3},	//254 Soprano::Inference::Rule::operator=(const Soprano::Inference::Rule&)
	{34, 745, 0, 0, Smoke::mf_const, 61, 4},	//255 Soprano::Inference::Rule::preconditions() const
	{34, 270, 194, 1, 0, 0, 5},	//256 Soprano::Inference::Rule::addPrecondition(const Soprano::Inference::StatementPattern&)
	{34, 483, 0, 0, Smoke::mf_const, 215, 6},	//257 Soprano::Inference::Rule::effect() const
	{34, 850, 194, 1, 0, 0, 7},	//258 Soprano::Inference::Rule::setEffect(const Soprano::Inference::StatementPattern&)
	{34, 658, 224, 1, Smoke::mf_const, 261, 8},	//259 Soprano::Inference::Rule::match(const Soprano::Statement&) const
	{34, 327, 224, 1, 0, 0, 9},	//260 Soprano::Inference::Rule::bindToStatement(const Soprano::Statement&)
	{34, 419, 84, 1, Smoke::mf_const, 93, 10},	//261 Soprano::Inference::Rule::createSparqlQuery(bool) const
	{34, 419, 0, 0, Smoke::mf_const, 93, 11},	//262 Soprano::Inference::Rule::createSparqlQuery() const
	{34, 323, 165, 1, Smoke::mf_const, 246, 12},	//263 Soprano::Inference::Rule::bindEffect(const Soprano::BindingSet&) const
	{34, 325, 165, 1, Smoke::mf_const, 63, 13},	//264 Soprano::Inference::Rule::bindPreconditions(const Soprano::BindingSet&) const
	{35, 213, 0, 0, Smoke::mf_ctor, 210, 1},	//265 Soprano::Inference::RuleParser::RuleParser()
	{35, 1030, 0, 0, Smoke::mf_dtor, 0, 5},	//266 Soprano::Inference::RuleParser::~RuleParser()
	{35, 725, 106, 1, 0, 261, 2},	//267 Soprano::Inference::RuleParser::parseFile(const QString&)
	{35, 813, 0, 0, Smoke::mf_const, 211, 3},	//268 Soprano::Inference::RuleParser::rules() const
	{35, 213, 190, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 210, 4},	//269 Soprano::Inference::RuleParser::RuleParser(const Soprano::Inference::RuleParser&)
	{36, 215, 0, 0, Smoke::mf_ctor, 213, 1},	//270 Soprano::Inference::RuleSet::RuleSet()
	{36, 215, 192, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 213, 2},	//271 Soprano::Inference::RuleSet::RuleSet(const Soprano::Inference::RuleSet&)
	{36, 1031, 0, 0, Smoke::mf_dtor, 0, 14},	//272 Soprano::Inference::RuleSet::~RuleSet()
	{36, 701, 192, 1, 0, 212, 3},	//273 Soprano::Inference::RuleSet::operator=(const Soprano::Inference::RuleSet&)
	{36, 353, 0, 0, 0, 0, 4},	//274 Soprano::Inference::RuleSet::clear()
	{36, 556, 146, 2, 0, 0, 5},	//275 Soprano::Inference::RuleSet::insert(const QString&, const Soprano::Inference::Rule&)
	{36, 404, 0, 0, Smoke::mf_const, 304, 6},	//276 Soprano::Inference::RuleSet::count() const
	{36, 304, 234, 1, Smoke::mf_const, 207, 7},	//277 Soprano::Inference::RuleSet::at(int) const
	{36, 707, 234, 1, Smoke::mf_const, 207, 8},	//278 Soprano::Inference::RuleSet::operator[](int) const
	{36, 809, 106, 1, Smoke::mf_const, 207, 9},	//279 Soprano::Inference::RuleSet::rule(const QString&) const
	{36, 707, 106, 1, Smoke::mf_const, 207, 10},	//280 Soprano::Inference::RuleSet::operator[](const QString&) const
	{36, 812, 0, 0, Smoke::mf_const, 97, 11},	//281 Soprano::Inference::RuleSet::ruleNames() const
	{36, 292, 0, 0, Smoke::mf_const, 60, 12},	//282 Soprano::Inference::RuleSet::allRules() const
	{36, 884, 37, 1, Smoke::mf_static, 211, 13},	//283 Soprano::Inference::RuleSet::standardRuleSet(Soprano::Inference::StandardRuleSet)
	{37, 248, 0, 0, Smoke::mf_ctor, 216, 1},	//284 Soprano::Inference::StatementPattern::StatementPattern()
	{37, 248, 184, 3, Smoke::mf_ctor, 216, 2},	//285 Soprano::Inference::StatementPattern::StatementPattern(const Soprano::Inference::NodePattern&, const Soprano::Inference::NodePattern&, const Soprano::Inference::NodePattern&)
	{37, 248, 194, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 216, 3},	//286 Soprano::Inference::StatementPattern::StatementPattern(const Soprano::Inference::StatementPattern&)
	{37, 1038, 0, 0, Smoke::mf_dtor, 0, 10},	//287 Soprano::Inference::StatementPattern::~StatementPattern()
	{37, 701, 194, 1, 0, 215, 4},	//288 Soprano::Inference::StatementPattern::operator=(const Soprano::Inference::StatementPattern&)
	{37, 909, 0, 0, Smoke::mf_const, 204, 5},	//289 Soprano::Inference::StatementPattern::subjectPattern() const
	{37, 747, 0, 0, Smoke::mf_const, 204, 6},	//290 Soprano::Inference::StatementPattern::predicatePattern() const
	{37, 691, 0, 0, Smoke::mf_const, 204, 7},	//291 Soprano::Inference::StatementPattern::objectPattern() const
	{37, 658, 224, 1, Smoke::mf_const, 261, 8},	//292 Soprano::Inference::StatementPattern::match(const Soprano::Statement&) const
	{37, 415, 165, 1, Smoke::mf_const, 93, 9},	//293 Soprano::Inference::StatementPattern::createSparqlGraphPattern(const Soprano::BindingSet&) const
	{38, 121, 0, 0, Smoke::mf_ctor, 219, 1},	//294 Soprano::LiteralValue::LiteralValue()
	{38, 1014, 0, 0, Smoke::mf_dtor, 0, 62},	//295 Soprano::LiteralValue::~LiteralValue()
	{38, 121, 196, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 219, 2},	//296 Soprano::LiteralValue::LiteralValue(const Soprano::LiteralValue&)
	{38, 121, 159, 1, Smoke::mf_ctor, 219, 3},	//297 Soprano::LiteralValue::LiteralValue(const QVariant&)
	{38, 121, 234, 1, Smoke::mf_ctor, 219, 4},	//298 Soprano::LiteralValue::LiteralValue(int)
	{38, 121, 252, 1, Smoke::mf_ctor, 219, 5},	//299 Soprano::LiteralValue::LiteralValue(qlonglong)
	{38, 121, 256, 1, Smoke::mf_ctor, 219, 6},	//300 Soprano::LiteralValue::LiteralValue(uint)
	{38, 121, 254, 1, Smoke::mf_ctor, 219, 7},	//301 Soprano::LiteralValue::LiteralValue(qulonglong)
	{38, 121, 84, 1, Smoke::mf_ctor, 219, 8},	//302 Soprano::LiteralValue::LiteralValue(bool)
	{38, 121, 232, 1, Smoke::mf_ctor, 219, 9},	//303 Soprano::LiteralValue::LiteralValue(double)
	{38, 121, 230, 1, Smoke::mf_ctor, 219, 10},	//304 Soprano::LiteralValue::LiteralValue(const char*)
	{38, 121, 92, 1, Smoke::mf_ctor, 219, 11},	//305 Soprano::LiteralValue::LiteralValue(const QLatin1String&)
	{38, 121, 106, 1, Smoke::mf_ctor, 219, 12},	//306 Soprano::LiteralValue::LiteralValue(const QString&)
	{38, 121, 88, 1, Smoke::mf_ctor, 219, 13},	//307 Soprano::LiteralValue::LiteralValue(const QDate&)
	{38, 121, 155, 1, Smoke::mf_ctor, 219, 14},	//308 Soprano::LiteralValue::LiteralValue(const QTime&)
	{38, 121, 90, 1, Smoke::mf_ctor, 219, 15},	//309 Soprano::LiteralValue::LiteralValue(const QDateTime&)
	{38, 121, 86, 1, Smoke::mf_ctor, 219, 16},	//310 Soprano::LiteralValue::LiteralValue(const QByteArray&)
	{38, 701, 196, 1, 0, 218, 17},	//311 Soprano::LiteralValue::operator=(const Soprano::LiteralValue&)
	{38, 701, 234, 1, 0, 218, 18},	//312 Soprano::LiteralValue::operator=(int)
	{38, 701, 252, 1, 0, 218, 19},	//313 Soprano::LiteralValue::operator=(qlonglong)
	{38, 701, 256, 1, 0, 218, 20},	//314 Soprano::LiteralValue::operator=(uint)
	{38, 701, 254, 1, 0, 218, 21},	//315 Soprano::LiteralValue::operator=(qulonglong)
	{38, 701, 84, 1, 0, 218, 22},	//316 Soprano::LiteralValue::operator=(bool)
	{38, 701, 232, 1, 0, 218, 23},	//317 Soprano::LiteralValue::operator=(double)
	{38, 701, 106, 1, 0, 218, 24},	//318 Soprano::LiteralValue::operator=(const QString&)
	{38, 701, 92, 1, 0, 218, 25},	//319 Soprano::LiteralValue::operator=(const QLatin1String&)
	{38, 701, 88, 1, 0, 218, 26},	//320 Soprano::LiteralValue::operator=(const QDate&)
	{38, 701, 155, 1, 0, 218, 27},	//321 Soprano::LiteralValue::operator=(const QTime&)
	{38, 701, 90, 1, 0, 218, 28},	//322 Soprano::LiteralValue::operator=(const QDateTime&)
	{38, 701, 86, 1, 0, 218, 29},	//323 Soprano::LiteralValue::operator=(const QByteArray&)
	{38, 704, 196, 1, Smoke::mf_const, 261, 30},	//324 Soprano::LiteralValue::operator==(const Soprano::LiteralValue&) const
	{38, 699, 196, 1, Smoke::mf_const, 261, 31},	//325 Soprano::LiteralValue::operator!=(const Soprano::LiteralValue&) const
	{38, 614, 0, 0, Smoke::mf_const, 261, 32},	//326 Soprano::LiteralValue::isValid() const
	{38, 590, 0, 0, Smoke::mf_const, 261, 33},	//327 Soprano::LiteralValue::isInt() const
	{38, 591, 0, 0, Smoke::mf_const, 261, 34},	//328 Soprano::LiteralValue::isInt64() const
	{38, 612, 0, 0, Smoke::mf_const, 261, 35},	//329 Soprano::LiteralValue::isUnsignedInt() const
	{38, 613, 0, 0, Smoke::mf_const, 261, 36},	//330 Soprano::LiteralValue::isUnsignedInt64() const
	{38, 569, 0, 0, Smoke::mf_const, 261, 37},	//331 Soprano::LiteralValue::isBool() const
	{38, 583, 0, 0, Smoke::mf_const, 261, 38},	//332 Soprano::LiteralValue::isDouble() const
	{38, 602, 0, 0, Smoke::mf_const, 261, 39},	//333 Soprano::LiteralValue::isString() const
	{38, 574, 0, 0, Smoke::mf_const, 261, 40},	//334 Soprano::LiteralValue::isDate() const
	{38, 608, 0, 0, Smoke::mf_const, 261, 41},	//335 Soprano::LiteralValue::isTime() const
	{38, 575, 0, 0, Smoke::mf_const, 261, 42},	//336 Soprano::LiteralValue::isDateTime() const
	{38, 570, 0, 0, Smoke::mf_const, 261, 43},	//337 Soprano::LiteralValue::isByteArray() const
	{38, 934, 0, 0, Smoke::mf_const, 304, 44},	//338 Soprano::LiteralValue::toInt() const
	{38, 935, 0, 0, Smoke::mf_const, 307, 45},	//339 Soprano::LiteralValue::toInt64() const
	{38, 939, 0, 0, Smoke::mf_const, 309, 46},	//340 Soprano::LiteralValue::toUnsignedInt() const
	{38, 940, 0, 0, Smoke::mf_const, 308, 47},	//341 Soprano::LiteralValue::toUnsignedInt64() const
	{38, 929, 0, 0, Smoke::mf_const, 261, 48},	//342 Soprano::LiteralValue::toBool() const
	{38, 933, 0, 0, Smoke::mf_const, 303, 49},	//343 Soprano::LiteralValue::toDouble() const
	{38, 937, 0, 0, Smoke::mf_const, 93, 50},	//344 Soprano::LiteralValue::toString() const
	{38, 931, 0, 0, Smoke::mf_const, 17, 51},	//345 Soprano::LiteralValue::toDate() const
	{38, 938, 0, 0, Smoke::mf_const, 131, 52},	//346 Soprano::LiteralValue::toTime() const
	{38, 932, 0, 0, Smoke::mf_const, 18, 53},	//347 Soprano::LiteralValue::toDateTime() const
	{38, 930, 0, 0, Smoke::mf_const, 13, 54},	//348 Soprano::LiteralValue::toByteArray() const
	{38, 428, 0, 0, Smoke::mf_const, 137, 55},	//349 Soprano::LiteralValue::dataTypeUri() const
	{38, 947, 0, 0, Smoke::mf_const, 141, 56},	//350 Soprano::LiteralValue::type() const
	{38, 970, 0, 0, Smoke::mf_const, 140, 57},	//351 Soprano::LiteralValue::variant() const
	{38, 520, 108, 2, Smoke::mf_static, 217, 58},	//352 Soprano::LiteralValue::fromString(const QString&, QVariant::Type)
	{38, 520, 131, 2, Smoke::mf_static, 217, 59},	//353 Soprano::LiteralValue::fromString(const QString&, const QUrl&)
	{38, 949, 157, 1, Smoke::mf_static, 141, 60},	//354 Soprano::LiteralValue::typeFromDataTypeUri(const QUrl&)
	{38, 429, 16, 1, Smoke::mf_static, 137, 61},	//355 Soprano::LiteralValue::dataTypeUriFromType(QVariant::Type)
	{39, 671, 0, 0, Smoke::mf_const, 272, 1},	//356 Soprano::Model::metaObject() const
	{39, 754, 262, 3, 0, 304, 2},	//357 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
	{39, 1016, 0, 0, Smoke::mf_dtor, 0, 39},	//358 Soprano::Model::~Model()
	{39, 274, 224, 1, 0, 190, 3},	//359 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
	{39, 274, 210, 4, 0, 190, 4},	//360 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{39, 274, 206, 3, 0, 190, 5},	//361 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{39, 280, 102, 1, 0, 190, 6},	//362 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
	{39, 793, 224, 1, 0, 190, 7},	//363 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
	{39, 793, 210, 4, 0, 190, 8},	//364 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{39, 793, 206, 3, 0, 190, 9},	//365 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{39, 783, 224, 1, 0, 190, 10},	//366 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
	{39, 783, 210, 4, 0, 190, 11},	//367 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{39, 783, 206, 3, 0, 190, 12},	//368 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{39, 799, 102, 1, 0, 190, 13},	//369 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
	{39, 789, 201, 1, 0, 190, 14},	//370 Soprano::Model::removeContext(const Soprano::Node&)
	{39, 783, 0, 0, 0, 190, 15},	//371 Soprano::Model::removeAllStatements()
	{39, 640, 224, 1, Smoke::mf_const, 249, 16},	//372 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
	{39, 640, 210, 4, Smoke::mf_const, 249, 17},	//373 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{39, 640, 206, 3, Smoke::mf_const, 249, 18},	//374 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{39, 640, 0, 0, Smoke::mf_const, 249, 19},	//375 Soprano::Model::listStatements() const
	{39, 646, 201, 1, Smoke::mf_const, 249, 20},	//376 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
	{39, 638, 0, 0, Smoke::mf_const, 225, 21},	//377 Soprano::Model::listContexts() const [pure virtual]
	{39, 495, 117, 3, Smoke::mf_const, 234, 22},	//378 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
	{39, 495, 114, 2, Smoke::mf_const, 234, -1},	//379 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const [pure virtual]
	{39, 379, 224, 1, Smoke::mf_const, 261, 23},	//380 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
	{39, 379, 210, 4, Smoke::mf_const, 261, 24},	//381 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{39, 379, 206, 3, Smoke::mf_const, 261, 25},	//382 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{39, 387, 224, 1, Smoke::mf_const, 261, 26},	//383 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
	{39, 387, 210, 4, Smoke::mf_const, 261, 27},	//384 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{39, 387, 206, 3, Smoke::mf_const, 261, 28},	//385 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
	{39, 385, 201, 1, Smoke::mf_const, 261, 29},	//386 Soprano::Model::containsContext(const Soprano::Node&) const
	{39, 584, 0, 0, Smoke::mf_const, 261, 30},	//387 Soprano::Model::isEmpty() const [pure virtual]
	{39, 891, 0, 0, Smoke::mf_const, 304, 31},	//388 Soprano::Model::statementCount() const [pure virtual]
	{39, 988, 1, 1, Smoke::mf_const, 190, 32},	//389 Soprano::Model::write(QTextStream&) const
	{39, 405, 0, 0, 0, 221, 33},	//390 Soprano::Model::createBlankNode() [pure virtual]
	{39, 896, 0, 0, 0, 0, 34},	//391 Soprano::Model::statementsAdded()
	{39, 897, 0, 0, 0, 0, 35},	//392 Soprano::Model::statementsRemoved()
	{39, 889, 224, 1, 0, 0, 36},	//393 Soprano::Model::statementAdded(const Soprano::Statement&)
	{39, 894, 224, 1, 0, 0, 37},	//394 Soprano::Model::statementRemoved(const Soprano::Statement&)
	{39, 136, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 220, 38},	//395 Soprano::Model::Model()
	{40, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1},	//396 Soprano::Node::EmptyNode (enum)
	{40, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2},	//397 Soprano::Node::ResourceNode (enum)
	{40, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3},	//398 Soprano::Node::LiteralNode (enum)
	{40, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 4},	//399 Soprano::Node::BlankNode (enum)
	{40, 144, 0, 0, Smoke::mf_ctor, 223, 5},	//400 Soprano::Node::Node()
	{40, 144, 157, 1, Smoke::mf_ctor, 223, 6},	//401 Soprano::Node::Node(const QUrl&)
	{40, 144, 106, 1, Smoke::mf_ctor, 223, 7},	//402 Soprano::Node::Node(const QString&)
	{40, 144, 198, 2, Smoke::mf_ctor, 223, 8},	//403 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
	{40, 144, 196, 1, Smoke::mf_ctor, 223, 9},	//404 Soprano::Node::Node(const Soprano::LiteralValue&)
	{40, 144, 201, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 223, 10},	//405 Soprano::Node::Node(const Soprano::Node&)
	{40, 1018, 0, 0, Smoke::mf_dtor, 0, 35},	//406 Soprano::Node::~Node()
	{40, 701, 201, 1, 0, 222, 11},	//407 Soprano::Node::operator=(const Soprano::Node&)
	{40, 701, 157, 1, 0, 222, 12},	//408 Soprano::Node::operator=(const QUrl&)
	{40, 701, 196, 1, 0, 222, 13},	//409 Soprano::Node::operator=(const Soprano::LiteralValue&)
	{40, 704, 201, 1, Smoke::mf_const, 261, 14},	//410 Soprano::Node::operator==(const Soprano::Node&) const
	{40, 699, 201, 1, Smoke::mf_const, 261, 15},	//411 Soprano::Node::operator!=(const Soprano::Node&) const
	{40, 704, 157, 1, Smoke::mf_const, 261, 16},	//412 Soprano::Node::operator==(const QUrl&) const
	{40, 704, 196, 1, Smoke::mf_const, 261, 17},	//413 Soprano::Node::operator==(const Soprano::LiteralValue&) const
	{40, 660, 201, 1, Smoke::mf_const, 261, 18},	//414 Soprano::Node::matches(const Soprano::Node&) const
	{40, 947, 0, 0, Smoke::mf_const, 224, 19},	//415 Soprano::Node::type() const
	{40, 584, 0, 0, Smoke::mf_const, 261, 20},	//416 Soprano::Node::isEmpty() const
	{40, 614, 0, 0, Smoke::mf_const, 261, 21},	//417 Soprano::Node::isValid() const
	{40, 592, 0, 0, Smoke::mf_const, 261, 22},	//418 Soprano::Node::isLiteral() const
	{40, 600, 0, 0, Smoke::mf_const, 261, 23},	//419 Soprano::Node::isResource() const
	{40, 568, 0, 0, Smoke::mf_const, 261, 24},	//420 Soprano::Node::isBlank() const
	{40, 958, 0, 0, Smoke::mf_const, 137, 25},	//421 Soprano::Node::uri() const
	{40, 549, 0, 0, Smoke::mf_const, 93, 26},	//422 Soprano::Node::identifier() const
	{40, 650, 0, 0, Smoke::mf_const, 217, 27},	//423 Soprano::Node::literal() const
	{40, 427, 0, 0, Smoke::mf_const, 137, 28},	//424 Soprano::Node::dataType() const
	{40, 628, 0, 0, Smoke::mf_const, 93, 29},	//425 Soprano::Node::language() const
	{40, 937, 0, 0, Smoke::mf_const, 93, 30},	//426 Soprano::Node::toString() const
	{40, 408, 0, 0, Smoke::mf_static, 221, 31},	//427 Soprano::Node::createEmptyNode()
	{40, 413, 157, 1, Smoke::mf_static, 221, 32},	//428 Soprano::Node::createResourceNode(const QUrl&)
	{40, 405, 106, 1, Smoke::mf_static, 221, 33},	//429 Soprano::Node::createBlankNode(const QString&)
	{40, 409, 198, 2, Smoke::mf_static, 221, 34},	//430 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
	{41, 148, 0, 0, Smoke::mf_ctor, 227, 1},	//431 Soprano::NodeIterator::NodeIterator()
	{41, 148, 218, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 227, 2},	//432 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
	{41, 1019, 0, 0, Smoke::mf_dtor, 0, 5},	//433 Soprano::NodeIterator::~NodeIterator()
	{41, 701, 218, 1, 0, 226, 3},	//434 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
	{41, 290, 0, 0, 0, 62, 4},	//435 Soprano::NodeIterator::allNodes()
	{42, 1021, 0, 0, Smoke::mf_dtor, 0, 11},	//436 Soprano::Parser::~Parser()
	{42, 914, 0, 0, Smoke::mf_const, 240, 1},	//437 Soprano::Parser::supportedSerializations() const [pure virtual]
	{42, 916, 0, 0, Smoke::mf_const, 97, 2},	//438 Soprano::Parser::supportedUserSerializations() const
	{42, 920, 60, 2, Smoke::mf_const, 261, 3},	//439 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
	{42, 920, 58, 1, Smoke::mf_const, 261, 4},	//440 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
	{42, 725, 138, 4, Smoke::mf_const, 249, 5},	//441 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
	{42, 725, 134, 3, Smoke::mf_const, 249, 6},	//442 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
	{42, 732, 138, 4, Smoke::mf_const, 249, 7},	//443 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
	{42, 732, 134, 3, Smoke::mf_const, 249, 8},	//444 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
	{42, 729, 7, 4, Smoke::mf_const, 249, 9},	//445 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
	{42, 729, 3, 3, Smoke::mf_const, 249, -1},	//446 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const [pure virtual]
	{42, 160, 106, 1, Smoke::mf_ctor|Smoke::mf_protected, 228, 10},	//447 Soprano::Parser::Parser(const QString&)
	{43, 1023, 0, 0, Smoke::mf_dtor, 0, 5},	//448 Soprano::Plugin::~Plugin()
	{43, 743, 0, 0, Smoke::mf_const, 93, 1},	//449 Soprano::Plugin::pluginName() const
	{43, 566, 0, 0, Smoke::mf_const, 261, 2},	//450 Soprano::Plugin::isAvailable() const
	{43, 171, 220, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 229, 3},	//451 Soprano::Plugin::Plugin(const Soprano::Plugin&)
	{43, 171, 106, 1, Smoke::mf_ctor|Smoke::mf_protected, 229, 4},	//452 Soprano::Plugin::Plugin(const QString&)
	{44, 671, 0, 0, Smoke::mf_const, 272, 1},	//453 Soprano::PluginManager::metaObject() const
	{44, 754, 262, 3, 0, 304, 2},	//454 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
	{44, 462, 106, 1, 0, 279, 3},	//455 Soprano::PluginManager::discoverBackendByName(const QString&)
	{44, 459, 20, 2, 0, 279, 4},	//456 Soprano::PluginManager::discoverBackendByFeatures(Soprano::BackendFeatures, const QStringList&)
	{44, 459, 18, 1, 0, 279, 5},	//457 Soprano::PluginManager::discoverBackendByFeatures(Soprano::BackendFeatures)
	{44, 287, 0, 0, 0, 64, 6},	//458 Soprano::PluginManager::allBackends()
	{44, 464, 106, 1, 0, 294, 7},	//459 Soprano::PluginManager::discoverParserByName(const QString&)
	{44, 466, 60, 2, 0, 294, 8},	//460 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
	{44, 466, 58, 1, 0, 294, 9},	//461 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
	{44, 291, 0, 0, 0, 65, 10},	//462 Soprano::PluginManager::allParsers()
	{44, 469, 106, 1, 0, 297, 11},	//463 Soprano::PluginManager::discoverSerializerByName(const QString&)
	{44, 471, 60, 2, 0, 297, 12},	//464 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
	{44, 471, 58, 1, 0, 297, 13},	//465 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
	{44, 293, 0, 0, 0, 66, 14},	//466 Soprano::PluginManager::allSerializers()
	{44, 558, 0, 0, Smoke::mf_static, 230, 15},	//467 Soprano::PluginManager::instance()
	{45, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1},	//468 Soprano::Query::QueryLanguageNone (enum)
	{45, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2},	//469 Soprano::Query::QueryLanguageSparql (enum)
	{45, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3},	//470 Soprano::Query::QueryLanguageRdql (enum)
	{45, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4},	//471 Soprano::Query::QueryLanguageSerql (enum)
	{45, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 5},	//472 Soprano::Query::QueryLanguageUser (enum)
	{45, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 6},	//473 Soprano::Query::QUERY_LANGUAGE_NONE (enum)
	{45, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 7},	//474 Soprano::Query::QUERY_LANGUAGE_SPARQL (enum)
	{45, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 8},	//475 Soprano::Query::QUERY_LANGUAGE_RDQL (enum)
	{45, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 9},	//476 Soprano::Query::QUERY_LANGUAGE_SERQL (enum)
	{45, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 10},	//477 Soprano::Query::QUERY_LANGUAGE_USER (enum)
	{45, 758, 48, 2, Smoke::mf_static, 93, 11},	//478 Soprano::Query::queryLanguageToString(Soprano::Query::QueryLanguage, const QString&)
	{45, 758, 46, 1, Smoke::mf_static, 93, 12},	//479 Soprano::Query::queryLanguageToString(Soprano::Query::QueryLanguage)
	{45, 756, 106, 1, Smoke::mf_static, 231, 13},	//480 Soprano::Query::queryLanguageFromString(const QString&)
	{46, 190, 0, 0, Smoke::mf_ctor, 236, 1},	//481 Soprano::QueryResultIterator::QueryResultIterator()
	{46, 190, 222, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 236, 2},	//482 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
	{46, 190, 56, 1, Smoke::mf_ctor, 236, 3},	//483 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
	{46, 1026, 0, 0, Smoke::mf_dtor, 0, 19},	//484 Soprano::QueryResultIterator::~QueryResultIterator()
	{46, 701, 222, 1, 0, 235, 4},	//485 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
	{46, 424, 0, 0, Smoke::mf_const, 246, 5},	//486 Soprano::QueryResultIterator::currentStatement() const
	{46, 423, 0, 0, Smoke::mf_const, 181, 6},	//487 Soprano::QueryResultIterator::currentBindings() const
	{46, 335, 0, 0, Smoke::mf_const, 261, 7},	//488 Soprano::QueryResultIterator::boolValue() const
	{46, 329, 106, 1, Smoke::mf_const, 221, 8},	//489 Soprano::QueryResultIterator::binding(const QString&) const
	{46, 329, 234, 1, Smoke::mf_const, 221, 9},	//490 Soprano::QueryResultIterator::binding(int) const
	{46, 331, 0, 0, Smoke::mf_const, 304, 10},	//491 Soprano::QueryResultIterator::bindingCount() const
	{46, 332, 0, 0, Smoke::mf_const, 97, 11},	//492 Soprano::QueryResultIterator::bindingNames() const
	{46, 587, 0, 0, Smoke::mf_const, 261, 12},	//493 Soprano::QueryResultIterator::isGraph() const
	{46, 567, 0, 0, Smoke::mf_const, 261, 13},	//494 Soprano::QueryResultIterator::isBinding() const
	{46, 569, 0, 0, Smoke::mf_const, 261, 14},	//495 Soprano::QueryResultIterator::isBool() const
	{46, 288, 0, 0, 0, 59, 15},	//496 Soprano::QueryResultIterator::allBindings()
	{46, 622, 0, 0, Smoke::mf_const, 249, 16},	//497 Soprano::QueryResultIterator::iterateStatements() const
	{46, 617, 106, 1, Smoke::mf_const, 225, 17},	//498 Soprano::QueryResultIterator::iterateBindings(const QString&) const
	{46, 617, 234, 1, Smoke::mf_const, 225, 18},	//499 Soprano::QueryResultIterator::iterateBindings(int) const
	{47, 196, 39, 1, Smoke::mf_ctor, 238, 1},	//500 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
	{47, 196, 0, 0, Smoke::mf_ctor, 238, 2},	//501 Soprano::RdfSchemaModel::RdfSchemaModel()
	{47, 1027, 0, 0, Smoke::mf_dtor, 0, 25},	//502 Soprano::RdfSchemaModel::~RdfSchemaModel()
	{47, 352, 0, 0, Smoke::mf_const, 249, 3},	//503 Soprano::RdfSchemaModel::classes() const
	{47, 447, 203, 2, Smoke::mf_const, 249, 4},	//504 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
	{47, 447, 201, 1, Smoke::mf_const, 249, 5},	//505 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
	{47, 450, 203, 2, Smoke::mf_const, 249, 6},	//506 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
	{47, 450, 201, 1, Smoke::mf_const, 249, 7},	//507 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
	{47, 453, 203, 2, Smoke::mf_const, 249, 8},	//508 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
	{47, 479, 203, 2, Smoke::mf_const, 249, 9},	//509 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
	{47, 753, 0, 0, Smoke::mf_const, 249, 10},	//510 Soprano::RdfSchemaModel::properties() const
	{47, 762, 203, 2, Smoke::mf_const, 249, 11},	//511 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
	{47, 901, 203, 2, Smoke::mf_const, 249, 12},	//512 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
	{47, 901, 201, 1, Smoke::mf_const, 249, 13},	//513 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
	{47, 905, 203, 2, Smoke::mf_const, 249, 14},	//514 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
	{47, 905, 201, 1, Smoke::mf_const, 249, 15},	//515 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
	{47, 947, 203, 2, Smoke::mf_const, 249, 16},	//516 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
	{47, 571, 201, 1, Smoke::mf_const, 261, 17},	//517 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
	{47, 595, 201, 1, Smoke::mf_const, 261, 18},	//518 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
	{47, 577, 203, 2, Smoke::mf_const, 261, 19},	//519 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
	{47, 579, 203, 2, Smoke::mf_const, 261, 20},	//520 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
	{47, 581, 203, 2, Smoke::mf_const, 261, 21},	//521 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
	{47, 603, 203, 2, Smoke::mf_const, 261, 22},	//522 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
	{47, 605, 203, 2, Smoke::mf_const, 261, 23},	//523 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
	{47, 610, 203, 2, Smoke::mf_const, 261, 24},	//524 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
	{48, 1032, 0, 0, Smoke::mf_dtor, 0, 7},	//525 Soprano::Serializer::~Serializer()
	{48, 914, 0, 0, Smoke::mf_const, 240, 1},	//526 Soprano::Serializer::supportedSerializations() const [pure virtual]
	{48, 916, 0, 0, Smoke::mf_const, 97, 2},	//527 Soprano::Serializer::supportedUserSerializations() const
	{48, 920, 60, 2, Smoke::mf_const, 261, 3},	//528 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
	{48, 920, 58, 1, Smoke::mf_const, 261, 4},	//529 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
	{48, 827, 69, 4, Smoke::mf_const, 261, 5},	//530 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
	{48, 827, 65, 3, Smoke::mf_const, 261, -1},	//531 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const [pure virtual]
	{48, 229, 106, 1, Smoke::mf_ctor|Smoke::mf_protected, 242, 6},	//532 Soprano::Serializer::Serializer(const QString&)
	{50, 671, 0, 0, Smoke::mf_const, 272, 1},	//533 Soprano::Server::DBusExportIterator::metaObject() const
	{50, 754, 262, 3, 0, 304, 2},	//534 Soprano::Server::DBusExportIterator::qt_metacall(QMetaObject::Call, int, void**)
	{50, 49, 74, 2, Smoke::mf_ctor, 243, 3},	//535 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
	{50, 49, 63, 1, Smoke::mf_ctor, 243, 4},	//536 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
	{50, 49, 43, 2, Smoke::mf_ctor, 243, 5},	//537 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
	{50, 49, 41, 1, Smoke::mf_ctor, 243, 6},	//538 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
	{50, 49, 53, 2, Smoke::mf_ctor, 243, 7},	//539 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
	{50, 49, 51, 1, Smoke::mf_ctor, 243, 8},	//540 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
	{50, 1004, 0, 0, Smoke::mf_dtor, 0, 18},	//541 Soprano::Server::DBusExportIterator::~DBusExportIterator()
	{50, 893, 0, 0, Smoke::mf_const, 249, 9},	//542 Soprano::Server::DBusExportIterator::statementIterator() const
	{50, 686, 0, 0, Smoke::mf_const, 225, 10},	//543 Soprano::Server::DBusExportIterator::nodeIterator() const
	{50, 761, 0, 0, Smoke::mf_const, 234, 11},	//544 Soprano::Server::DBusExportIterator::queryResultIterator() const
	{50, 433, 0, 0, Smoke::mf_const, 93, 12},	//545 Soprano::Server::DBusExportIterator::dbusObjectPath() const
	{50, 441, 0, 0, Smoke::mf_const, 261, 13},	//546 Soprano::Server::DBusExportIterator::deleteOnClose() const
	{50, 848, 84, 1, 0, 0, 14},	//547 Soprano::Server::DBusExportIterator::setDeleteOnClose(bool)
	{50, 773, 124, 2, 0, 261, 15},	//548 Soprano::Server::DBusExportIterator::registerIterator(const QString&, const QString&)
	{50, 773, 106, 1, 0, 261, 16},	//549 Soprano::Server::DBusExportIterator::registerIterator(const QString&)
	{50, 952, 0, 0, 0, 0, 17},	//550 Soprano::Server::DBusExportIterator::unregisterIterator()
	{51, 671, 0, 0, Smoke::mf_const, 272, 1},	//551 Soprano::Server::DBusExportModel::metaObject() const
	{51, 754, 262, 3, 0, 304, 2},	//552 Soprano::Server::DBusExportModel::qt_metacall(QMetaObject::Call, int, void**)
	{51, 52, 39, 1, Smoke::mf_ctor, 244, 3},	//553 Soprano::Server::DBusExportModel::DBusExportModel(Soprano::Model*)
	{51, 52, 0, 0, Smoke::mf_ctor, 244, 4},	//554 Soprano::Server::DBusExportModel::DBusExportModel()
	{51, 1005, 0, 0, Smoke::mf_dtor, 0, 8},	//555 Soprano::Server::DBusExportModel::~DBusExportModel()
	{51, 776, 106, 1, 0, 261, 5},	//556 Soprano::Server::DBusExportModel::registerModel(const QString&)
	{51, 953, 0, 0, 0, 0, 6},	//557 Soprano::Server::DBusExportModel::unregisterModel()
	{51, 433, 0, 0, Smoke::mf_const, 93, 7},	//558 Soprano::Server::DBusExportModel::dbusObjectPath() const
	{52, 671, 0, 0, Smoke::mf_const, 272, 2},	//559 Soprano::Server::ServerCore::metaObject() const
	{52, 754, 262, 3, 0, 304, 3},	//560 Soprano::Server::ServerCore::qt_metacall(QMetaObject::Call, int, void**)
	{52, 231, 266, 1, Smoke::mf_ctor, 245, 4},	//561 Soprano::Server::ServerCore::ServerCore(QObject*)
	{52, 231, 0, 0, Smoke::mf_ctor, 245, 5},	//562 Soprano::Server::ServerCore::ServerCore()
	{52, 1033, 0, 0, Smoke::mf_dtor, 0, 20},	//563 Soprano::Server::ServerCore::~ServerCore()
	{52, 833, 161, 1, 0, 0, 6},	//564 Soprano::Server::ServerCore::setBackend(const Soprano::Backend*)
	{52, 318, 0, 0, Smoke::mf_const, 279, 7},	//565 Soprano::Server::ServerCore::backend() const
	{52, 835, 96, 1, 0, 0, 8},	//566 Soprano::Server::ServerCore::setBackendSettings(const QList<Soprano::BackendSetting>&)
	{52, 677, 106, 1, 0, 220, 9},	//567 Soprano::Server::ServerCore::model(const QString&)
	{52, 791, 106, 1, 0, 0, 10},	//568 Soprano::Server::ServerCore::removeModel(const QString&)
	{52, 289, 0, 0, Smoke::mf_const, 97, 11},	//569 Soprano::Server::ServerCore::allModels() const
	{52, 886, 106, 1, 0, 261, 12},	//570 Soprano::Server::ServerCore::start(const QString&)
	{52, 886, 0, 0, 0, 261, 13},	//571 Soprano::Server::ServerCore::start()
	{52, 648, 260, 1, 0, 261, 14},	//572 Soprano::Server::ServerCore::listen(unsigned short)
	{52, 648, 0, 0, 0, 261, 15},	//573 Soprano::Server::ServerCore::listen()
	{52, 830, 0, 0, Smoke::mf_const, 311, 16},	//574 Soprano::Server::ServerCore::serverPort() const
	{52, 771, 106, 1, 0, 0, 17},	//575 Soprano::Server::ServerCore::registerAsDBusObject(const QString&)
	{52, 771, 0, 0, 0, 0, 18},	//576 Soprano::Server::ServerCore::registerAsDBusObject()
	{52, 63, 0, 0, Smoke::mf_static, 302, 1},	//577 Soprano::Server::ServerCore::DEFAULT_PORT (static var)
	{52, 411, 96, 1, Smoke::mf_protected, 220, 19},	//578 Soprano::Server::ServerCore::createModel(const QList<Soprano::BackendSetting>&)
	{53, 242, 0, 0, Smoke::mf_ctor, 248, 1},	//579 Soprano::Statement::Statement()
	{53, 242, 210, 4, Smoke::mf_ctor, 248, 2},	//580 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{53, 242, 206, 3, Smoke::mf_ctor, 248, 3},	//581 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
	{53, 242, 224, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 248, 4},	//582 Soprano::Statement::Statement(const Soprano::Statement&)
	{53, 1036, 0, 0, Smoke::mf_dtor, 0, 18},	//583 Soprano::Statement::~Statement()
	{53, 701, 224, 1, 0, 247, 5},	//584 Soprano::Statement::operator=(const Soprano::Statement&)
	{53, 704, 224, 1, Smoke::mf_const, 261, 6},	//585 Soprano::Statement::operator==(const Soprano::Statement&) const
	{53, 699, 224, 1, Smoke::mf_const, 261, 7},	//586 Soprano::Statement::operator!=(const Soprano::Statement&) const
	{53, 660, 224, 1, Smoke::mf_const, 261, 8},	//587 Soprano::Statement::matches(const Soprano::Statement&) const
	{53, 614, 0, 0, Smoke::mf_const, 261, 9},	//588 Soprano::Statement::isValid() const
	{53, 908, 0, 0, Smoke::mf_const, 221, 10},	//589 Soprano::Statement::subject() const
	{53, 746, 0, 0, Smoke::mf_const, 221, 11},	//590 Soprano::Statement::predicate() const
	{53, 690, 0, 0, Smoke::mf_const, 221, 12},	//591 Soprano::Statement::object() const
	{53, 398, 0, 0, Smoke::mf_const, 221, 13},	//592 Soprano::Statement::context() const
	{53, 869, 201, 1, 0, 0, 14},	//593 Soprano::Statement::setSubject(const Soprano::Node&)
	{53, 864, 201, 1, 0, 0, 15},	//594 Soprano::Statement::setPredicate(const Soprano::Node&)
	{53, 858, 201, 1, 0, 0, 16},	//595 Soprano::Statement::setObject(const Soprano::Node&)
	{53, 845, 201, 1, 0, 0, 17},	//596 Soprano::Statement::setContext(const Soprano::Node&)
	{54, 246, 0, 0, Smoke::mf_ctor, 251, 1},	//597 Soprano::StatementIterator::StatementIterator()
	{54, 246, 226, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 251, 2},	//598 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
	{54, 1037, 0, 0, Smoke::mf_dtor, 0, 9},	//599 Soprano::StatementIterator::~StatementIterator()
	{54, 701, 226, 1, 0, 250, 3},	//600 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
	{54, 294, 0, 0, 0, 63, 4},	//601 Soprano::StatementIterator::allStatements()
	{54, 623, 0, 0, Smoke::mf_const, 225, 5},	//602 Soprano::StatementIterator::iterateSubjects() const
	{54, 621, 0, 0, Smoke::mf_const, 225, 6},	//603 Soprano::StatementIterator::iteratePredicates() const
	{54, 620, 0, 0, Smoke::mf_const, 225, 7},	//604 Soprano::StatementIterator::iterateObjects() const
	{54, 619, 0, 0, Smoke::mf_const, 225, 8},	//605 Soprano::StatementIterator::iterateContexts() const
	{55, 671, 0, 0, Smoke::mf_const, 272, 1},	//606 Soprano::StorageModel::metaObject() const
	{55, 754, 262, 3, 0, 304, 2},	//607 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
	{55, 1039, 0, 0, Smoke::mf_dtor, 0, 9},	//608 Soprano::StorageModel::~StorageModel()
	{55, 584, 0, 0, Smoke::mf_const, 261, 3},	//609 Soprano::StorageModel::isEmpty() const
	{55, 387, 224, 1, Smoke::mf_const, 261, 4},	//610 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
	{55, 379, 224, 1, Smoke::mf_const, 261, 5},	//611 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
	{55, 783, 224, 1, 0, 190, 6},	//612 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
	{55, 318, 0, 0, Smoke::mf_const, 279, 7},	//613 Soprano::StorageModel::backend() const
	{55, 251, 161, 1, Smoke::mf_ctor|Smoke::mf_protected, 252, 8},	//614 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
	{57, 671, 0, 0, Smoke::mf_const, 272, 1},	//615 Soprano::Util::AsyncModel::metaObject() const
	{57, 754, 262, 3, 0, 304, 2},	//616 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
	{57, 8, 39, 1, Smoke::mf_ctor, 253, 3},	//617 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
	{57, 8, 0, 0, Smoke::mf_ctor, 253, 4},	//618 Soprano::Util::AsyncModel::AsyncModel()
	{57, 998, 0, 0, Smoke::mf_dtor, 0, 17},	//619 Soprano::Util::AsyncModel::~AsyncModel()
	{57, 278, 224, 1, 0, 254, 5},	//620 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
	{57, 797, 224, 1, 0, 254, 6},	//621 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
	{57, 787, 224, 1, 0, 254, 7},	//622 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
	{57, 585, 0, 0, Smoke::mf_const, 254, 8},	//623 Soprano::Util::AsyncModel::isEmptyAsync() const
	{57, 892, 0, 0, Smoke::mf_const, 254, 9},	//624 Soprano::Util::AsyncModel::statementCountAsync() const
	{57, 644, 224, 1, Smoke::mf_const, 254, 10},	//625 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
	{57, 639, 0, 0, Smoke::mf_const, 254, 11},	//626 Soprano::Util::AsyncModel::listContextsAsync() const
	{57, 498, 117, 3, Smoke::mf_const, 254, 12},	//627 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{57, 498, 114, 2, Smoke::mf_const, 254, 13},	//628 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
	{57, 391, 224, 1, Smoke::mf_const, 254, 14},	//629 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
	{57, 383, 224, 1, Smoke::mf_const, 254, 15},	//630 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
	{57, 407, 0, 0, 0, 254, 16},	//631 Soprano::Util::AsyncModel::createBlankNodeAsync()
	{58, 671, 0, 0, Smoke::mf_const, 272, 1},	//632 Soprano::Util::AsyncResult::metaObject() const
	{58, 754, 262, 3, 0, 304, 2},	//633 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
	{58, 967, 0, 0, Smoke::mf_const, 140, 3},	//634 Soprano::Util::AsyncResult::value() const
	{59, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 1},	//635 Soprano::Util::MutexModel::PlainMultiThreading (enum)
	{59, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 2},	//636 Soprano::Util::MutexModel::ReadWriteMultiThreading (enum)
	{59, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 3},	//637 Soprano::Util::MutexModel::ReadWriteSingleThreading (enum)
	{59, 671, 0, 0, Smoke::mf_const, 272, 4},	//638 Soprano::Util::MutexModel::metaObject() const
	{59, 754, 262, 3, 0, 304, 5},	//639 Soprano::Util::MutexModel::qt_metacall(QMetaObject::Call, int, void**)
	{59, 138, 81, 2, Smoke::mf_ctor, 255, 6},	//640 Soprano::Util::MutexModel::MutexModel(Soprano::Util::MutexModel::ProtectionMode, Soprano::Model*)
	{59, 138, 79, 1, Smoke::mf_ctor, 255, 7},	//641 Soprano::Util::MutexModel::MutexModel(Soprano::Util::MutexModel::ProtectionMode)
	{59, 1017, 0, 0, Smoke::mf_dtor, 0, 19},	//642 Soprano::Util::MutexModel::~MutexModel()
	{59, 274, 224, 1, 0, 190, 8},	//643 Soprano::Util::MutexModel::addStatement(const Soprano::Statement&)
	{59, 793, 224, 1, 0, 190, 9},	//644 Soprano::Util::MutexModel::removeStatement(const Soprano::Statement&)
	{59, 783, 224, 1, 0, 190, 10},	//645 Soprano::Util::MutexModel::removeAllStatements(const Soprano::Statement&)
	{59, 640, 224, 1, Smoke::mf_const, 249, 11},	//646 Soprano::Util::MutexModel::listStatements(const Soprano::Statement&) const
	{59, 638, 0, 0, Smoke::mf_const, 225, 12},	//647 Soprano::Util::MutexModel::listContexts() const
	{59, 495, 117, 3, Smoke::mf_const, 234, 13},	//648 Soprano::Util::MutexModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{59, 495, 114, 2, Smoke::mf_const, 234, 14},	//649 Soprano::Util::MutexModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{59, 387, 224, 1, Smoke::mf_const, 261, 15},	//650 Soprano::Util::MutexModel::containsStatement(const Soprano::Statement&) const
	{59, 379, 224, 1, Smoke::mf_const, 261, 16},	//651 Soprano::Util::MutexModel::containsAnyStatement(const Soprano::Statement&) const
	{59, 584, 0, 0, Smoke::mf_const, 261, 17},	//652 Soprano::Util::MutexModel::isEmpty() const
	{59, 891, 0, 0, Smoke::mf_const, 304, 18},	//653 Soprano::Util::MutexModel::statementCount() const
	{60, 671, 0, 0, Smoke::mf_const, 272, 1},	//654 Soprano::Util::ReadOnlyModel::metaObject() const
	{60, 754, 262, 3, 0, 304, 2},	//655 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
	{60, 198, 39, 1, Smoke::mf_ctor, 257, 3},	//656 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
	{60, 198, 0, 0, Smoke::mf_ctor, 257, 4},	//657 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
	{60, 1028, 0, 0, Smoke::mf_dtor, 0, 18},	//658 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
	{60, 862, 39, 1, 0, 0, 5},	//659 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
	{60, 640, 224, 1, Smoke::mf_const, 249, 6},	//660 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
	{60, 638, 0, 0, Smoke::mf_const, 225, 7},	//661 Soprano::Util::ReadOnlyModel::listContexts() const
	{60, 495, 117, 3, Smoke::mf_const, 234, 8},	//662 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
	{60, 495, 114, 2, Smoke::mf_const, 234, 9},	//663 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
	{60, 387, 224, 1, Smoke::mf_const, 261, 10},	//664 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
	{60, 379, 224, 1, Smoke::mf_const, 261, 11},	//665 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
	{60, 584, 0, 0, Smoke::mf_const, 261, 12},	//666 Soprano::Util::ReadOnlyModel::isEmpty() const
	{60, 891, 0, 0, Smoke::mf_const, 304, 13},	//667 Soprano::Util::ReadOnlyModel::statementCount() const
	{60, 274, 224, 1, 0, 190, 14},	//668 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
	{60, 793, 224, 1, 0, 190, 15},	//669 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
	{60, 783, 224, 1, 0, 190, 16},	//670 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
	{60, 405, 0, 0, 0, 221, 17},	//671 Soprano::Util::ReadOnlyModel::createBlankNode()
	{61, 671, 0, 0, Smoke::mf_const, 272, 1},	//672 Soprano::Util::SignalCacheModel::metaObject() const
	{61, 754, 262, 3, 0, 304, 2},	//673 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
	{61, 233, 39, 1, Smoke::mf_ctor, 258, 3},	//674 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
	{61, 233, 0, 0, Smoke::mf_ctor, 258, 4},	//675 Soprano::Util::SignalCacheModel::SignalCacheModel()
	{61, 1034, 0, 0, Smoke::mf_dtor, 0, 10},	//676 Soprano::Util::SignalCacheModel::~SignalCacheModel()
	{61, 338, 0, 0, Smoke::mf_const, 304, 5},	//677 Soprano::Util::SignalCacheModel::cacheTime() const
	{61, 839, 234, 1, 0, 0, 6},	//678 Soprano::Util::SignalCacheModel::setCacheTime(int)
	{61, 723, 0, 0, Smoke::mf_protected, 0, 7},	//679 Soprano::Util::SignalCacheModel::parentStatementsAdded()
	{61, 724, 0, 0, Smoke::mf_protected, 0, 8},	//680 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
	{61, 925, 12, 1, Smoke::mf_protected, 0, 9},	//681 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
	{62, 235, 0, 0, Smoke::mf_ctor, 260, 1},	//682 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
	{62, 235, 100, 1, Smoke::mf_ctor, 260, 2},	//683 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
	{62, 235, 228, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 260, 3},	//684 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
	{62, 1035, 0, 0, Smoke::mf_dtor, 0, 6},	//685 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
	{62, 701, 100, 1, 0, 259, 4},	//686 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
	{62, 701, 228, 1, 0, 259, 5},	//687 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
	{64, 682, 0, 0, Smoke::mf_static, 137, 1},	//688 Soprano::Vocabulary::NAO::naoNamespace()
	{64, 166, 0, 0, Smoke::mf_static, 137, 2},	//689 Soprano::Vocabulary::NAO::Party()
	{64, 253, 0, 0, Smoke::mf_static, 137, 3},	//690 Soprano::Vocabulary::NAO::Symbol()
	{64, 256, 0, 0, Smoke::mf_static, 137, 4},	//691 Soprano::Vocabulary::NAO::Tag()
	{64, 296, 0, 0, Smoke::mf_static, 137, 5},	//692 Soprano::Vocabulary::NAO::altLabel()
	{64, 297, 0, 0, Smoke::mf_static, 137, 6},	//693 Soprano::Vocabulary::NAO::altSymbol()
	{64, 298, 0, 0, Smoke::mf_static, 137, 7},	//694 Soprano::Vocabulary::NAO::annotation()
	{64, 399, 0, 0, Smoke::mf_static, 137, 8},	//695 Soprano::Vocabulary::NAO::contributor()
	{64, 421, 0, 0, Smoke::mf_static, 137, 9},	//696 Soprano::Vocabulary::NAO::created()
	{64, 422, 0, 0, Smoke::mf_static, 137, 10},	//697 Soprano::Vocabulary::NAO::creator()
	{64, 445, 0, 0, Smoke::mf_static, 137, 11},	//698 Soprano::Vocabulary::NAO::description()
	{64, 485, 0, 0, Smoke::mf_static, 137, 12},	//699 Soprano::Vocabulary::NAO::engineeringTool()
	{64, 532, 0, 0, Smoke::mf_static, 137, 13},	//700 Soprano::Vocabulary::NAO::hasDefaultNamespace()
	{64, 533, 0, 0, Smoke::mf_static, 137, 14},	//701 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
	{64, 536, 0, 0, Smoke::mf_static, 137, 15},	//702 Soprano::Vocabulary::NAO::hasSymbol()
	{64, 537, 0, 0, Smoke::mf_static, 137, 16},	//703 Soprano::Vocabulary::NAO::hasTag()
	{64, 538, 0, 0, Smoke::mf_static, 137, 17},	//704 Soprano::Vocabulary::NAO::hasTopic()
	{64, 549, 0, 0, Smoke::mf_static, 137, 18},	//705 Soprano::Vocabulary::NAO::identifier()
	{64, 599, 0, 0, Smoke::mf_static, 137, 19},	//706 Soprano::Vocabulary::NAO::isRelated()
	{64, 607, 0, 0, Smoke::mf_static, 137, 20},	//707 Soprano::Vocabulary::NAO::isTagFor()
	{64, 609, 0, 0, Smoke::mf_static, 137, 21},	//708 Soprano::Vocabulary::NAO::isTopicOf()
	{64, 629, 0, 0, Smoke::mf_static, 137, 22},	//709 Soprano::Vocabulary::NAO::lastModified()
	{64, 679, 0, 0, Smoke::mf_static, 137, 23},	//710 Soprano::Vocabulary::NAO::modified()
	{64, 689, 0, 0, Smoke::mf_static, 137, 24},	//711 Soprano::Vocabulary::NAO::numericRating()
	{64, 739, 0, 0, Smoke::mf_static, 137, 25},	//712 Soprano::Vocabulary::NAO::personalIdentifier()
	{64, 748, 0, 0, Smoke::mf_static, 137, 26},	//713 Soprano::Vocabulary::NAO::prefLabel()
	{64, 749, 0, 0, Smoke::mf_static, 137, 27},	//714 Soprano::Vocabulary::NAO::prefSymbol()
	{64, 764, 0, 0, Smoke::mf_static, 137, 28},	//715 Soprano::Vocabulary::NAO::rating()
	{64, 823, 0, 0, Smoke::mf_static, 137, 29},	//716 Soprano::Vocabulary::NAO::serializationLanguage()
	{64, 898, 0, 0, Smoke::mf_static, 137, 30},	//717 Soprano::Vocabulary::NAO::status()
	{64, 971, 0, 0, Smoke::mf_static, 137, 31},	//718 Soprano::Vocabulary::NAO::version()
	{65, 688, 0, 0, Smoke::mf_static, 137, 1},	//719 Soprano::Vocabulary::NRL::nrlNamespace()
	{65, 7, 0, 0, Smoke::mf_static, 137, 2},	//720 Soprano::Vocabulary::NRL::AsymmetricProperty()
	{65, 43, 0, 0, Smoke::mf_static, 137, 3},	//721 Soprano::Vocabulary::NRL::Configuration()
	{65, 64, 0, 0, Smoke::mf_static, 137, 4},	//722 Soprano::Vocabulary::NRL::Data()
	{65, 69, 0, 0, Smoke::mf_static, 137, 5},	//723 Soprano::Vocabulary::NRL::DefaultGraph()
	{65, 74, 0, 0, Smoke::mf_static, 137, 6},	//724 Soprano::Vocabulary::NRL::DocumentGraph()
	{65, 92, 0, 0, Smoke::mf_static, 137, 7},	//725 Soprano::Vocabulary::NRL::ExternalViewSpecification()
	{65, 99, 0, 0, Smoke::mf_static, 137, 8},	//726 Soprano::Vocabulary::NRL::FunctionalProperty()
	{65, 100, 0, 0, Smoke::mf_static, 137, 9},	//727 Soprano::Vocabulary::NRL::Graph()
	{65, 101, 0, 0, Smoke::mf_static, 137, 10},	//728 Soprano::Vocabulary::NRL::GraphMetadata()
	{65, 102, 0, 0, Smoke::mf_static, 137, 11},	//729 Soprano::Vocabulary::NRL::GraphView()
	{65, 115, 0, 0, Smoke::mf_static, 137, 12},	//730 Soprano::Vocabulary::NRL::InstanceBase()
	{65, 116, 0, 0, Smoke::mf_static, 137, 13},	//731 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
	{65, 117, 0, 0, Smoke::mf_static, 137, 14},	//732 Soprano::Vocabulary::NRL::KnowledgeBase()
	{65, 156, 0, 0, Smoke::mf_static, 137, 15},	//733 Soprano::Vocabulary::NRL::Ontology()
	{65, 202, 0, 0, Smoke::mf_static, 137, 16},	//734 Soprano::Vocabulary::NRL::ReflexiveProperty()
	{65, 217, 0, 0, Smoke::mf_static, 137, 17},	//735 Soprano::Vocabulary::NRL::RuleViewSpecification()
	{65, 218, 0, 0, Smoke::mf_static, 137, 18},	//736 Soprano::Vocabulary::NRL::Schema()
	{65, 219, 0, 0, Smoke::mf_static, 137, 19},	//737 Soprano::Vocabulary::NRL::Semantics()
	{65, 254, 0, 0, Smoke::mf_static, 137, 20},	//738 Soprano::Vocabulary::NRL::SymmetricProperty()
	{65, 260, 0, 0, Smoke::mf_static, 137, 21},	//739 Soprano::Vocabulary::NRL::TransitiveProperty()
	{65, 263, 0, 0, Smoke::mf_static, 137, 22},	//740 Soprano::Vocabulary::NRL::ViewSpecification()
	{65, 341, 0, 0, Smoke::mf_static, 137, 23},	//741 Soprano::Vocabulary::NRL::cardinality()
	{65, 403, 0, 0, Smoke::mf_static, 137, 24},	//742 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
	{65, 487, 0, 0, Smoke::mf_static, 137, 25},	//743 Soprano::Vocabulary::NRL::equivalentGraph()
	{65, 504, 0, 0, Smoke::mf_static, 137, 26},	//744 Soprano::Vocabulary::NRL::externalRealizer()
	{65, 530, 0, 0, Smoke::mf_static, 137, 27},	//745 Soprano::Vocabulary::NRL::graphMetadataFor()
	{65, 534, 0, 0, Smoke::mf_static, 137, 28},	//746 Soprano::Vocabulary::NRL::hasSemantics()
	{65, 535, 0, 0, Smoke::mf_static, 137, 29},	//747 Soprano::Vocabulary::NRL::hasSpecification()
	{65, 551, 0, 0, Smoke::mf_static, 137, 30},	//748 Soprano::Vocabulary::NRL::imports()
	{65, 564, 0, 0, Smoke::mf_static, 137, 31},	//749 Soprano::Vocabulary::NRL::inverseProperty()
	{65, 662, 0, 0, Smoke::mf_static, 137, 32},	//750 Soprano::Vocabulary::NRL::maxCardinality()
	{65, 676, 0, 0, Smoke::mf_static, 137, 33},	//751 Soprano::Vocabulary::NRL::minCardinality()
	{65, 767, 0, 0, Smoke::mf_static, 137, 34},	//752 Soprano::Vocabulary::NRL::realizes()
	{65, 809, 0, 0, Smoke::mf_static, 137, 35},	//753 Soprano::Vocabulary::NRL::rule()
	{65, 811, 0, 0, Smoke::mf_static, 137, 36},	//754 Soprano::Vocabulary::NRL::ruleLanguage()
	{65, 822, 0, 0, Smoke::mf_static, 137, 37},	//755 Soprano::Vocabulary::NRL::semanticsDefinedBy()
	{65, 904, 0, 0, Smoke::mf_static, 137, 38},	//756 Soprano::Vocabulary::NRL::subGraphOf()
	{65, 911, 0, 0, Smoke::mf_static, 137, 39},	//757 Soprano::Vocabulary::NRL::superGraphOf()
	{65, 957, 0, 0, Smoke::mf_static, 137, 40},	//758 Soprano::Vocabulary::NRL::updatable()
	{65, 981, 0, 0, Smoke::mf_static, 137, 41},	//759 Soprano::Vocabulary::NRL::viewOn()
	{66, 714, 0, 0, Smoke::mf_static, 137, 1},	//760 Soprano::Vocabulary::OWL::owlNamespace()
	{66, 1, 0, 0, Smoke::mf_static, 137, 2},	//761 Soprano::Vocabulary::OWL::AllDifferent()
	{66, 4, 0, 0, Smoke::mf_static, 137, 3},	//762 Soprano::Vocabulary::OWL::AnnotationProperty()
	{66, 41, 0, 0, Smoke::mf_static, 137, 4},	//763 Soprano::Vocabulary::OWL::Class()
	{66, 66, 0, 0, Smoke::mf_static, 137, 5},	//764 Soprano::Vocabulary::OWL::DataRange()
	{66, 68, 0, 0, Smoke::mf_static, 137, 6},	//765 Soprano::Vocabulary::OWL::DatatypeProperty()
	{66, 71, 0, 0, Smoke::mf_static, 137, 7},	//766 Soprano::Vocabulary::OWL::DeprecatedClass()
	{66, 72, 0, 0, Smoke::mf_static, 137, 8},	//767 Soprano::Vocabulary::OWL::DeprecatedProperty()
	{66, 99, 0, 0, Smoke::mf_static, 137, 9},	//768 Soprano::Vocabulary::OWL::FunctionalProperty()
	{66, 116, 0, 0, Smoke::mf_static, 137, 10},	//769 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
	{66, 153, 0, 0, Smoke::mf_static, 137, 11},	//770 Soprano::Vocabulary::OWL::Nothing()
	{66, 154, 0, 0, Smoke::mf_static, 137, 12},	//771 Soprano::Vocabulary::OWL::ObjectProperty()
	{66, 156, 0, 0, Smoke::mf_static, 137, 13},	//772 Soprano::Vocabulary::OWL::Ontology()
	{66, 157, 0, 0, Smoke::mf_static, 137, 14},	//773 Soprano::Vocabulary::OWL::OntologyProperty()
	{66, 208, 0, 0, Smoke::mf_static, 137, 15},	//774 Soprano::Vocabulary::OWL::Restriction()
	{66, 254, 0, 0, Smoke::mf_static, 137, 16},	//775 Soprano::Vocabulary::OWL::SymmetricProperty()
	{66, 259, 0, 0, Smoke::mf_static, 137, 17},	//776 Soprano::Vocabulary::OWL::Thing()
	{66, 260, 0, 0, Smoke::mf_static, 137, 18},	//777 Soprano::Vocabulary::OWL::TransitiveProperty()
	{66, 295, 0, 0, Smoke::mf_static, 137, 19},	//778 Soprano::Vocabulary::OWL::allValuesFrom()
	{66, 319, 0, 0, Smoke::mf_static, 137, 20},	//779 Soprano::Vocabulary::OWL::backwardCompatibleWith()
	{66, 341, 0, 0, Smoke::mf_static, 137, 21},	//780 Soprano::Vocabulary::OWL::cardinality()
	{66, 367, 0, 0, Smoke::mf_static, 137, 22},	//781 Soprano::Vocabulary::OWL::complementOf()
	{66, 446, 0, 0, Smoke::mf_static, 137, 23},	//782 Soprano::Vocabulary::OWL::differentFrom()
	{66, 474, 0, 0, Smoke::mf_static, 137, 24},	//783 Soprano::Vocabulary::OWL::disjointWith()
	{66, 475, 0, 0, Smoke::mf_static, 137, 25},	//784 Soprano::Vocabulary::OWL::distinctMembers()
	{66, 486, 0, 0, Smoke::mf_static, 137, 26},	//785 Soprano::Vocabulary::OWL::equivalentClass()
	{66, 488, 0, 0, Smoke::mf_static, 137, 27},	//786 Soprano::Vocabulary::OWL::equivalentProperty()
	{66, 539, 0, 0, Smoke::mf_static, 137, 28},	//787 Soprano::Vocabulary::OWL::hasValue()
	{66, 551, 0, 0, Smoke::mf_static, 137, 29},	//788 Soprano::Vocabulary::OWL::imports()
	{66, 553, 0, 0, Smoke::mf_static, 137, 30},	//789 Soprano::Vocabulary::OWL::incompatibleWith()
	{66, 562, 0, 0, Smoke::mf_static, 137, 31},	//790 Soprano::Vocabulary::OWL::intersectionOf()
	{66, 563, 0, 0, Smoke::mf_static, 137, 32},	//791 Soprano::Vocabulary::OWL::inverseOf()
	{66, 662, 0, 0, Smoke::mf_static, 137, 33},	//792 Soprano::Vocabulary::OWL::maxCardinality()
	{66, 676, 0, 0, Smoke::mf_static, 137, 34},	//793 Soprano::Vocabulary::OWL::minCardinality()
	{66, 693, 0, 0, Smoke::mf_static, 137, 35},	//794 Soprano::Vocabulary::OWL::onProperty()
	{66, 694, 0, 0, Smoke::mf_static, 137, 36},	//795 Soprano::Vocabulary::OWL::oneOf()
	{66, 751, 0, 0, Smoke::mf_static, 137, 37},	//796 Soprano::Vocabulary::OWL::priorVersion()
	{66, 814, 0, 0, Smoke::mf_static, 137, 38},	//797 Soprano::Vocabulary::OWL::sameAs()
	{66, 880, 0, 0, Smoke::mf_static, 137, 39},	//798 Soprano::Vocabulary::OWL::someValuesFrom()
	{66, 951, 0, 0, Smoke::mf_static, 137, 40},	//799 Soprano::Vocabulary::OWL::unionOf()
	{66, 972, 0, 0, Smoke::mf_static, 137, 41},	//800 Soprano::Vocabulary::OWL::versionInfo()
	{67, 765, 0, 0, Smoke::mf_static, 137, 1},	//801 Soprano::Vocabulary::RDF::rdfNamespace()
	{67, 2, 0, 0, Smoke::mf_static, 137, 2},	//802 Soprano::Vocabulary::RDF::Alt()
	{67, 33, 0, 0, Smoke::mf_static, 137, 3},	//803 Soprano::Vocabulary::RDF::Bag()
	{67, 118, 0, 0, Smoke::mf_static, 137, 4},	//804 Soprano::Vocabulary::RDF::List()
	{67, 176, 0, 0, Smoke::mf_static, 137, 5},	//805 Soprano::Vocabulary::RDF::Property()
	{67, 220, 0, 0, Smoke::mf_static, 137, 6},	//806 Soprano::Vocabulary::RDF::Seq()
	{67, 242, 0, 0, Smoke::mf_static, 137, 7},	//807 Soprano::Vocabulary::RDF::Statement()
	{67, 266, 0, 0, Smoke::mf_static, 137, 8},	//808 Soprano::Vocabulary::RDF::XMLLiteral()
	{67, 511, 0, 0, Smoke::mf_static, 137, 9},	//809 Soprano::Vocabulary::RDF::first()
	{67, 685, 0, 0, Smoke::mf_static, 137, 10},	//810 Soprano::Vocabulary::RDF::nil()
	{67, 690, 0, 0, Smoke::mf_static, 137, 11},	//811 Soprano::Vocabulary::RDF::object()
	{67, 746, 0, 0, Smoke::mf_static, 137, 12},	//812 Soprano::Vocabulary::RDF::predicate()
	{67, 804, 0, 0, Smoke::mf_static, 137, 13},	//813 Soprano::Vocabulary::RDF::rest()
	{67, 908, 0, 0, Smoke::mf_static, 137, 14},	//814 Soprano::Vocabulary::RDF::subject()
	{67, 947, 0, 0, Smoke::mf_static, 137, 15},	//815 Soprano::Vocabulary::RDF::type()
	{67, 967, 0, 0, Smoke::mf_static, 137, 16},	//816 Soprano::Vocabulary::RDF::value()
	{68, 766, 0, 0, Smoke::mf_static, 137, 1},	//817 Soprano::Vocabulary::RDFS::rdfsNamespace()
	{68, 41, 0, 0, Smoke::mf_static, 137, 2},	//818 Soprano::Vocabulary::RDFS::Class()
	{68, 46, 0, 0, Smoke::mf_static, 137, 3},	//819 Soprano::Vocabulary::RDFS::Container()
	{68, 47, 0, 0, Smoke::mf_static, 137, 4},	//820 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
	{68, 67, 0, 0, Smoke::mf_static, 137, 5},	//821 Soprano::Vocabulary::RDFS::Datatype()
	{68, 119, 0, 0, Smoke::mf_static, 137, 6},	//822 Soprano::Vocabulary::RDFS::Literal()
	{68, 206, 0, 0, Smoke::mf_static, 137, 7},	//823 Soprano::Vocabulary::RDFS::Resource()
	{68, 363, 0, 0, Smoke::mf_static, 137, 8},	//824 Soprano::Vocabulary::RDFS::comment()
	{68, 479, 0, 0, Smoke::mf_static, 137, 9},	//825 Soprano::Vocabulary::RDFS::domain()
	{68, 576, 0, 0, Smoke::mf_static, 137, 10},	//826 Soprano::Vocabulary::RDFS::isDefinedBy()
	{68, 627, 0, 0, Smoke::mf_static, 137, 11},	//827 Soprano::Vocabulary::RDFS::label()
	{68, 668, 0, 0, Smoke::mf_static, 137, 12},	//828 Soprano::Vocabulary::RDFS::member()
	{68, 762, 0, 0, Smoke::mf_static, 137, 13},	//829 Soprano::Vocabulary::RDFS::range()
	{68, 820, 0, 0, Smoke::mf_static, 137, 14},	//830 Soprano::Vocabulary::RDFS::seeAlso()
	{68, 901, 0, 0, Smoke::mf_static, 137, 15},	//831 Soprano::Vocabulary::RDFS::subClassOf()
	{68, 905, 0, 0, Smoke::mf_static, 137, 16},	//832 Soprano::Vocabulary::RDFS::subPropertyOf()
	{69, 878, 0, 0, Smoke::mf_static, 137, 1},	//833 Soprano::Vocabulary::SIL::silNamespace()
	{69, 112, 0, 0, Smoke::mf_static, 137, 2},	//834 Soprano::Vocabulary::SIL::InferenceMetaData()
	{69, 111, 0, 0, Smoke::mf_static, 137, 3},	//835 Soprano::Vocabulary::SIL::InferenceGraph()
	{69, 883, 0, 0, Smoke::mf_static, 137, 4},	//836 Soprano::Vocabulary::SIL::sourceStatement()
	{69, 398, 0, 0, Smoke::mf_static, 137, 5},	//837 Soprano::Vocabulary::SIL::context()
	{70, 996, 0, 0, Smoke::mf_static, 137, 1},	//838 Soprano::Vocabulary::XMLSchema::xsdNamespace()
	{70, 994, 0, 0, Smoke::mf_static, 137, 2},	//839 Soprano::Vocabulary::XMLSchema::xsdInt()
	{70, 559, 0, 0, Smoke::mf_static, 137, 3},	//840 Soprano::Vocabulary::XMLSchema::integer()
	{70, 683, 0, 0, Smoke::mf_static, 137, 4},	//841 Soprano::Vocabulary::XMLSchema::negativeInteger()
	{70, 687, 0, 0, Smoke::mf_static, 137, 5},	//842 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
	{70, 434, 0, 0, Smoke::mf_static, 137, 6},	//843 Soprano::Vocabulary::XMLSchema::decimal()
	{70, 997, 0, 0, Smoke::mf_static, 137, 7},	//844 Soprano::Vocabulary::XMLSchema::xsdShort()
	{70, 995, 0, 0, Smoke::mf_static, 137, 8},	//845 Soprano::Vocabulary::XMLSchema::xsdLong()
	{70, 954, 0, 0, Smoke::mf_static, 137, 9},	//846 Soprano::Vocabulary::XMLSchema::unsignedInt()
	{70, 956, 0, 0, Smoke::mf_static, 137, 10},	//847 Soprano::Vocabulary::XMLSchema::unsignedShort()
	{70, 955, 0, 0, Smoke::mf_static, 137, 11},	//848 Soprano::Vocabulary::XMLSchema::unsignedLong()
	{70, 900, 0, 0, Smoke::mf_static, 137, 12},	//849 Soprano::Vocabulary::XMLSchema::string()
	{70, 993, 0, 0, Smoke::mf_static, 137, 13},	//850 Soprano::Vocabulary::XMLSchema::xsdFloat()
	{70, 992, 0, 0, Smoke::mf_static, 137, 14},	//851 Soprano::Vocabulary::XMLSchema::xsdDouble()
	{70, 336, 0, 0, Smoke::mf_static, 137, 15},	//852 Soprano::Vocabulary::XMLSchema::boolean()
	{70, 431, 0, 0, Smoke::mf_static, 137, 16},	//853 Soprano::Vocabulary::XMLSchema::date()
	{70, 432, 0, 0, Smoke::mf_static, 137, 17},	//854 Soprano::Vocabulary::XMLSchema::dateTime()
	{70, 924, 0, 0, Smoke::mf_static, 137, 18},	//855 Soprano::Vocabulary::XMLSchema::time()
	{70, 320, 0, 0, Smoke::mf_static, 137, 19},	//856 Soprano::Vocabulary::XMLSchema::base64Binary()
	{71, 991, 0, 0, Smoke::mf_static, 137, 1},	//857 Soprano::Vocabulary::Xesam::xesamNamespace()
	{71, 990, 0, 0, Smoke::mf_static, 137, 2},	//858 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
	{71, 3, 0, 0, Smoke::mf_static, 137, 3},	//859 Soprano::Vocabulary::Xesam::Annotation()
	{71, 5, 0, 0, Smoke::mf_static, 137, 4},	//860 Soprano::Vocabulary::Xesam::Archive()
	{71, 6, 0, 0, Smoke::mf_static, 137, 5},	//861 Soprano::Vocabulary::Xesam::ArchivedFile()
	{71, 10, 0, 0, Smoke::mf_static, 137, 6},	//862 Soprano::Vocabulary::Xesam::Audio()
	{71, 11, 0, 0, Smoke::mf_static, 137, 7},	//863 Soprano::Vocabulary::Xesam::AudioList()
	{71, 37, 0, 0, Smoke::mf_static, 137, 8},	//864 Soprano::Vocabulary::Xesam::BlockDevice()
	{71, 38, 0, 0, Smoke::mf_static, 137, 9},	//865 Soprano::Vocabulary::Xesam::Bookmark()
	{71, 42, 0, 0, Smoke::mf_static, 137, 10},	//866 Soprano::Vocabulary::Xesam::CommunicationChannel()
	{71, 44, 0, 0, Smoke::mf_static, 137, 11},	//867 Soprano::Vocabulary::Xesam::Contact()
	{71, 45, 0, 0, Smoke::mf_static, 137, 12},	//868 Soprano::Vocabulary::Xesam::ContactGroup()
	{71, 48, 0, 0, Smoke::mf_static, 137, 13},	//869 Soprano::Vocabulary::Xesam::Content()
	{71, 65, 0, 0, Smoke::mf_static, 137, 14},	//870 Soprano::Vocabulary::Xesam::DataObject()
	{71, 70, 0, 0, Smoke::mf_static, 137, 15},	//871 Soprano::Vocabulary::Xesam::DeletedFile()
	{71, 73, 0, 0, Smoke::mf_static, 137, 16},	//872 Soprano::Vocabulary::Xesam::Document()
	{71, 75, 0, 0, Smoke::mf_static, 137, 17},	//873 Soprano::Vocabulary::Xesam::Documentation()
	{71, 76, 0, 0, Smoke::mf_static, 137, 18},	//874 Soprano::Vocabulary::Xesam::Email()
	{71, 77, 0, 0, Smoke::mf_static, 137, 19},	//875 Soprano::Vocabulary::Xesam::EmailAttachment()
	{71, 78, 0, 0, Smoke::mf_static, 137, 20},	//876 Soprano::Vocabulary::Xesam::EmbeddedObject()
	{71, 93, 0, 0, Smoke::mf_static, 137, 21},	//877 Soprano::Vocabulary::Xesam::File()
	{71, 94, 0, 0, Smoke::mf_static, 137, 22},	//878 Soprano::Vocabulary::Xesam::FileSystem()
	{71, 95, 0, 0, Smoke::mf_static, 137, 23},	//879 Soprano::Vocabulary::Xesam::Filelike()
	{71, 98, 0, 0, Smoke::mf_static, 137, 24},	//880 Soprano::Vocabulary::Xesam::Folder()
	{71, 103, 0, 0, Smoke::mf_static, 137, 25},	//881 Soprano::Vocabulary::Xesam::IMAP4Message()
	{71, 104, 0, 0, Smoke::mf_static, 137, 26},	//882 Soprano::Vocabulary::Xesam::IMMessage()
	{71, 105, 0, 0, Smoke::mf_static, 137, 27},	//883 Soprano::Vocabulary::Xesam::Image()
	{71, 130, 0, 0, Smoke::mf_static, 137, 28},	//884 Soprano::Vocabulary::Xesam::MailingList()
	{71, 131, 0, 0, Smoke::mf_static, 137, 29},	//885 Soprano::Vocabulary::Xesam::MailingListEmail()
	{71, 132, 0, 0, Smoke::mf_static, 137, 30},	//886 Soprano::Vocabulary::Xesam::Media()
	{71, 133, 0, 0, Smoke::mf_static, 137, 31},	//887 Soprano::Vocabulary::Xesam::MediaList()
	{71, 134, 0, 0, Smoke::mf_static, 137, 32},	//888 Soprano::Vocabulary::Xesam::Message()
	{71, 135, 0, 0, Smoke::mf_static, 137, 33},	//889 Soprano::Vocabulary::Xesam::MessageboxMessage()
	{71, 137, 0, 0, Smoke::mf_static, 137, 34},	//890 Soprano::Vocabulary::Xesam::Music()
	{71, 142, 0, 0, Smoke::mf_static, 137, 35},	//891 Soprano::Vocabulary::Xesam::NewsGroup()
	{71, 143, 0, 0, Smoke::mf_static, 137, 36},	//892 Soprano::Vocabulary::Xesam::NewsGroupEmail()
	{71, 155, 0, 0, Smoke::mf_static, 137, 37},	//893 Soprano::Vocabulary::Xesam::OfflineMedia()
	{71, 158, 0, 0, Smoke::mf_static, 137, 38},	//894 Soprano::Vocabulary::Xesam::Organization()
	{71, 159, 0, 0, Smoke::mf_static, 137, 39},	//895 Soprano::Vocabulary::Xesam::POP3Message()
	{71, 167, 0, 0, Smoke::mf_static, 137, 40},	//896 Soprano::Vocabulary::Xesam::Person()
	{71, 168, 0, 0, Smoke::mf_static, 137, 41},	//897 Soprano::Vocabulary::Xesam::PersonalEmail()
	{71, 169, 0, 0, Smoke::mf_static, 137, 42},	//898 Soprano::Vocabulary::Xesam::Photo()
	{71, 174, 0, 0, Smoke::mf_static, 137, 43},	//899 Soprano::Vocabulary::Xesam::Presentation()
	{71, 175, 0, 0, Smoke::mf_static, 137, 44},	//900 Soprano::Vocabulary::Xesam::Project()
	{71, 194, 0, 0, Smoke::mf_static, 137, 45},	//901 Soprano::Vocabulary::Xesam::RSSFeed()
	{71, 195, 0, 0, Smoke::mf_static, 137, 46},	//902 Soprano::Vocabulary::Xesam::RSSMessage()
	{71, 203, 0, 0, Smoke::mf_static, 137, 47},	//903 Soprano::Vocabulary::Xesam::RemoteFile()
	{71, 204, 0, 0, Smoke::mf_static, 137, 48},	//904 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
	{71, 205, 0, 0, Smoke::mf_static, 137, 49},	//905 Soprano::Vocabulary::Xesam::RemoteResource()
	{71, 209, 0, 0, Smoke::mf_static, 137, 50},	//906 Soprano::Vocabulary::Xesam::RevisionControlledFile()
	{71, 210, 0, 0, Smoke::mf_static, 137, 51},	//907 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
	{71, 238, 0, 0, Smoke::mf_static, 137, 52},	//908 Soprano::Vocabulary::Xesam::SoftwarePackage()
	{71, 239, 0, 0, Smoke::mf_static, 137, 53},	//909 Soprano::Vocabulary::Xesam::Source()
	{71, 240, 0, 0, Smoke::mf_static, 137, 54},	//910 Soprano::Vocabulary::Xesam::SourceCode()
	{71, 241, 0, 0, Smoke::mf_static, 137, 55},	//911 Soprano::Vocabulary::Xesam::Spreadsheet()
	{71, 255, 0, 0, Smoke::mf_static, 137, 56},	//912 Soprano::Vocabulary::Xesam::SystemResource()
	{71, 256, 0, 0, Smoke::mf_static, 137, 57},	//913 Soprano::Vocabulary::Xesam::Tag()
	{71, 257, 0, 0, Smoke::mf_static, 137, 58},	//914 Soprano::Vocabulary::Xesam::Text()
	{71, 258, 0, 0, Smoke::mf_static, 137, 59},	//915 Soprano::Vocabulary::Xesam::TextDocument()
	{71, 261, 0, 0, Smoke::mf_static, 137, 60},	//916 Soprano::Vocabulary::Xesam::UncategorizedText()
	{71, 262, 0, 0, Smoke::mf_static, 137, 61},	//917 Soprano::Vocabulary::Xesam::Video()
	{71, 264, 0, 0, Smoke::mf_static, 137, 62},	//918 Soprano::Vocabulary::Xesam::Visual()
	{71, 265, 0, 0, Smoke::mf_static, 137, 63},	//919 Soprano::Vocabulary::Xesam::XML()
	{71, 267, 0, 0, Smoke::mf_static, 137, 64},	//920 Soprano::Vocabulary::Xesam::acl()
	{71, 282, 0, 0, Smoke::mf_static, 137, 65},	//921 Soprano::Vocabulary::Xesam::album()
	{71, 283, 0, 0, Smoke::mf_static, 137, 66},	//922 Soprano::Vocabulary::Xesam::albumArtist()
	{71, 284, 0, 0, Smoke::mf_static, 137, 67},	//923 Soprano::Vocabulary::Xesam::albumGain()
	{71, 285, 0, 0, Smoke::mf_static, 137, 68},	//924 Soprano::Vocabulary::Xesam::albumPeakGain()
	{71, 286, 0, 0, Smoke::mf_static, 137, 69},	//925 Soprano::Vocabulary::Xesam::albumTrackCount()
	{71, 299, 0, 0, Smoke::mf_static, 137, 70},	//926 Soprano::Vocabulary::Xesam::aperture()
	{71, 300, 0, 0, Smoke::mf_static, 137, 71},	//927 Soprano::Vocabulary::Xesam::artist()
	{71, 301, 0, 0, Smoke::mf_static, 137, 72},	//928 Soprano::Vocabulary::Xesam::asText()
	{71, 302, 0, 0, Smoke::mf_static, 137, 73},	//929 Soprano::Vocabulary::Xesam::aspectRatio()
	{71, 306, 0, 0, Smoke::mf_static, 137, 74},	//930 Soprano::Vocabulary::Xesam::attachmentEncoding()
	{71, 307, 0, 0, Smoke::mf_static, 137, 75},	//931 Soprano::Vocabulary::Xesam::audioBPM()
	{71, 308, 0, 0, Smoke::mf_static, 137, 76},	//932 Soprano::Vocabulary::Xesam::audioBitrate()
	{71, 309, 0, 0, Smoke::mf_static, 137, 77},	//933 Soprano::Vocabulary::Xesam::audioChannels()
	{71, 310, 0, 0, Smoke::mf_static, 137, 78},	//934 Soprano::Vocabulary::Xesam::audioCodec()
	{71, 311, 0, 0, Smoke::mf_static, 137, 79},	//935 Soprano::Vocabulary::Xesam::audioCodecType()
	{71, 312, 0, 0, Smoke::mf_static, 137, 80},	//936 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
	{71, 313, 0, 0, Smoke::mf_static, 137, 81},	//937 Soprano::Vocabulary::Xesam::audioSampleCount()
	{71, 314, 0, 0, Smoke::mf_static, 137, 82},	//938 Soprano::Vocabulary::Xesam::audioSampleDataType()
	{71, 315, 0, 0, Smoke::mf_static, 137, 83},	//939 Soprano::Vocabulary::Xesam::audioSampleRate()
	{71, 316, 0, 0, Smoke::mf_static, 137, 84},	//940 Soprano::Vocabulary::Xesam::author()
	{71, 317, 0, 0, Smoke::mf_static, 137, 85},	//941 Soprano::Vocabulary::Xesam::autoRating()
	{71, 321, 0, 0, Smoke::mf_static, 137, 86},	//942 Soprano::Vocabulary::Xesam::baseRevisionID()
	{71, 322, 0, 0, Smoke::mf_static, 137, 87},	//943 Soprano::Vocabulary::Xesam::bcc()
	{71, 333, 0, 0, Smoke::mf_static, 137, 88},	//944 Soprano::Vocabulary::Xesam::birthDate()
	{71, 334, 0, 0, Smoke::mf_static, 137, 89},	//945 Soprano::Vocabulary::Xesam::blogContactURL()
	{71, 339, 0, 0, Smoke::mf_static, 137, 90},	//946 Soprano::Vocabulary::Xesam::cameraManufacturer()
	{71, 340, 0, 0, Smoke::mf_static, 137, 91},	//947 Soprano::Vocabulary::Xesam::cameraModel()
	{71, 342, 0, 0, Smoke::mf_static, 137, 92},	//948 Soprano::Vocabulary::Xesam::cc()
	{71, 343, 0, 0, Smoke::mf_static, 137, 93},	//949 Soprano::Vocabulary::Xesam::ccdWidth()
	{71, 344, 0, 0, Smoke::mf_static, 137, 94},	//950 Soprano::Vocabulary::Xesam::cellPhoneNumber()
	{71, 345, 0, 0, Smoke::mf_static, 137, 95},	//951 Soprano::Vocabulary::Xesam::changeCommitTime()
	{71, 346, 0, 0, Smoke::mf_static, 137, 96},	//952 Soprano::Vocabulary::Xesam::changeCommitter()
	{71, 347, 0, 0, Smoke::mf_static, 137, 97},	//953 Soprano::Vocabulary::Xesam::characterCount()
	{71, 348, 0, 0, Smoke::mf_static, 137, 98},	//954 Soprano::Vocabulary::Xesam::charset()
	{71, 349, 0, 0, Smoke::mf_static, 137, 99},	//955 Soprano::Vocabulary::Xesam::chatRoom()
	{71, 359, 0, 0, Smoke::mf_static, 137, 100},	//956 Soprano::Vocabulary::Xesam::colorCount()
	{71, 360, 0, 0, Smoke::mf_static, 137, 101},	//957 Soprano::Vocabulary::Xesam::colorSpace()
	{71, 362, 0, 0, Smoke::mf_static, 137, 102},	//958 Soprano::Vocabulary::Xesam::columnCount()
	{71, 363, 0, 0, Smoke::mf_static, 137, 103},	//959 Soprano::Vocabulary::Xesam::comment()
	{71, 364, 0, 0, Smoke::mf_static, 137, 104},	//960 Soprano::Vocabulary::Xesam::commentCharacterCount()
	{71, 365, 0, 0, Smoke::mf_static, 137, 105},	//961 Soprano::Vocabulary::Xesam::commitDiff()
	{71, 366, 0, 0, Smoke::mf_static, 137, 106},	//962 Soprano::Vocabulary::Xesam::communicationChannel()
	{71, 368, 0, 0, Smoke::mf_static, 137, 107},	//963 Soprano::Vocabulary::Xesam::composer()
	{71, 369, 0, 0, Smoke::mf_static, 137, 108},	//964 Soprano::Vocabulary::Xesam::compressionAlgorithm()
	{71, 370, 0, 0, Smoke::mf_static, 137, 109},	//965 Soprano::Vocabulary::Xesam::compressionLevel()
	{71, 371, 0, 0, Smoke::mf_static, 137, 110},	//966 Soprano::Vocabulary::Xesam::conflicts()
	{71, 374, 0, 0, Smoke::mf_static, 137, 111},	//967 Soprano::Vocabulary::Xesam::contactMedium()
	{71, 375, 0, 0, Smoke::mf_static, 137, 112},	//968 Soprano::Vocabulary::Xesam::contactNick()
	{71, 376, 0, 0, Smoke::mf_static, 137, 113},	//969 Soprano::Vocabulary::Xesam::contactURL()
	{71, 377, 0, 0, Smoke::mf_static, 137, 114},	//970 Soprano::Vocabulary::Xesam::contains()
	{71, 393, 0, 0, Smoke::mf_static, 137, 115},	//971 Soprano::Vocabulary::Xesam::contentComment()
	{71, 394, 0, 0, Smoke::mf_static, 137, 116},	//972 Soprano::Vocabulary::Xesam::contentCreated()
	{71, 395, 0, 0, Smoke::mf_static, 137, 117},	//973 Soprano::Vocabulary::Xesam::contentKeyword()
	{71, 396, 0, 0, Smoke::mf_static, 137, 118},	//974 Soprano::Vocabulary::Xesam::contentModified()
	{71, 397, 0, 0, Smoke::mf_static, 137, 119},	//975 Soprano::Vocabulary::Xesam::contentType()
	{71, 399, 0, 0, Smoke::mf_static, 137, 120},	//976 Soprano::Vocabulary::Xesam::contributor()
	{71, 402, 0, 0, Smoke::mf_static, 137, 121},	//977 Soprano::Vocabulary::Xesam::copyright()
	{71, 422, 0, 0, Smoke::mf_static, 137, 122},	//978 Soprano::Vocabulary::Xesam::creator()
	{71, 436, 0, 0, Smoke::mf_static, 137, 123},	//979 Soprano::Vocabulary::Xesam::definesClass()
	{71, 437, 0, 0, Smoke::mf_static, 137, 124},	//980 Soprano::Vocabulary::Xesam::definesFunction()
	{71, 438, 0, 0, Smoke::mf_static, 137, 125},	//981 Soprano::Vocabulary::Xesam::definesGlobalVariable()
	{71, 442, 0, 0, Smoke::mf_static, 137, 126},	//982 Soprano::Vocabulary::Xesam::deletionTime()
	{71, 443, 0, 0, Smoke::mf_static, 137, 127},	//983 Soprano::Vocabulary::Xesam::depends()
	{71, 444, 0, 0, Smoke::mf_static, 137, 128},	//984 Soprano::Vocabulary::Xesam::derivedFrom()
	{71, 445, 0, 0, Smoke::mf_static, 137, 129},	//985 Soprano::Vocabulary::Xesam::description()
	{71, 455, 0, 0, Smoke::mf_static, 137, 130},	//986 Soprano::Vocabulary::Xesam::discNumber()
	{71, 456, 0, 0, Smoke::mf_static, 137, 131},	//987 Soprano::Vocabulary::Xesam::disclaimer()
	{71, 476, 0, 0, Smoke::mf_static, 137, 132},	//988 Soprano::Vocabulary::Xesam::documentCategory()
	{71, 484, 0, 0, Smoke::mf_static, 137, 133},	//989 Soprano::Vocabulary::Xesam::emailAddress()
	{71, 501, 0, 0, Smoke::mf_static, 137, 134},	//990 Soprano::Vocabulary::Xesam::exposureBias()
	{71, 502, 0, 0, Smoke::mf_static, 137, 135},	//991 Soprano::Vocabulary::Xesam::exposureProgram()
	{71, 503, 0, 0, Smoke::mf_static, 137, 136},	//992 Soprano::Vocabulary::Xesam::exposureTime()
	{71, 505, 0, 0, Smoke::mf_static, 137, 137},	//993 Soprano::Vocabulary::Xesam::familyName()
	{71, 506, 0, 0, Smoke::mf_static, 137, 138},	//994 Soprano::Vocabulary::Xesam::faxPhoneNumber()
	{71, 507, 0, 0, Smoke::mf_static, 137, 139},	//995 Soprano::Vocabulary::Xesam::fileExtension()
	{71, 509, 0, 0, Smoke::mf_static, 137, 140},	//996 Soprano::Vocabulary::Xesam::fileSystemType()
	{71, 510, 0, 0, Smoke::mf_static, 137, 141},	//997 Soprano::Vocabulary::Xesam::fingerprint()
	{71, 512, 0, 0, Smoke::mf_static, 137, 142},	//998 Soprano::Vocabulary::Xesam::firstUsed()
	{71, 513, 0, 0, Smoke::mf_static, 137, 143},	//999 Soprano::Vocabulary::Xesam::flashUsed()
	{71, 514, 0, 0, Smoke::mf_static, 137, 144},	//1000 Soprano::Vocabulary::Xesam::focalLength()
	{71, 515, 0, 0, Smoke::mf_static, 137, 145},	//1001 Soprano::Vocabulary::Xesam::focusDistance()
	{71, 516, 0, 0, Smoke::mf_static, 137, 146},	//1002 Soprano::Vocabulary::Xesam::formatSubtype()
	{71, 517, 0, 0, Smoke::mf_static, 137, 147},	//1003 Soprano::Vocabulary::Xesam::frameCount()
	{71, 518, 0, 0, Smoke::mf_static, 137, 148},	//1004 Soprano::Vocabulary::Xesam::frameRate()
	{71, 519, 0, 0, Smoke::mf_static, 137, 149},	//1005 Soprano::Vocabulary::Xesam::freeSpace()
	{71, 523, 0, 0, Smoke::mf_static, 137, 150},	//1006 Soprano::Vocabulary::Xesam::gender()
	{71, 524, 0, 0, Smoke::mf_static, 137, 151},	//1007 Soprano::Vocabulary::Xesam::generator()
	{71, 525, 0, 0, Smoke::mf_static, 137, 152},	//1008 Soprano::Vocabulary::Xesam::generatorOptions()
	{71, 526, 0, 0, Smoke::mf_static, 137, 153},	//1009 Soprano::Vocabulary::Xesam::genre()
	{71, 529, 0, 0, Smoke::mf_static, 137, 154},	//1010 Soprano::Vocabulary::Xesam::givenName()
	{71, 531, 0, 0, Smoke::mf_static, 137, 155},	//1011 Soprano::Vocabulary::Xesam::group()
	{71, 540, 0, 0, Smoke::mf_static, 137, 156},	//1012 Soprano::Vocabulary::Xesam::height()
	{71, 541, 0, 0, Smoke::mf_static, 137, 157},	//1013 Soprano::Vocabulary::Xesam::homeEmailAddress()
	{71, 542, 0, 0, Smoke::mf_static, 137, 158},	//1014 Soprano::Vocabulary::Xesam::homePhoneNumber()
	{71, 543, 0, 0, Smoke::mf_static, 137, 159},	//1015 Soprano::Vocabulary::Xesam::homePostalAddress()
	{71, 544, 0, 0, Smoke::mf_static, 137, 160},	//1016 Soprano::Vocabulary::Xesam::homepageContactURL()
	{71, 545, 0, 0, Smoke::mf_static, 137, 161},	//1017 Soprano::Vocabulary::Xesam::honorificPrefix()
	{71, 546, 0, 0, Smoke::mf_static, 137, 162},	//1018 Soprano::Vocabulary::Xesam::honorificSuffix()
	{71, 547, 0, 0, Smoke::mf_static, 137, 163},	//1019 Soprano::Vocabulary::Xesam::horizontalResolution()
	{71, 548, 0, 0, Smoke::mf_static, 137, 164},	//1020 Soprano::Vocabulary::Xesam::id()
	{71, 550, 0, 0, Smoke::mf_static, 137, 165},	//1021 Soprano::Vocabulary::Xesam::imContactMedium()
	{71, 552, 0, 0, Smoke::mf_static, 137, 166},	//1022 Soprano::Vocabulary::Xesam::inReplyTo()
	{71, 560, 0, 0, Smoke::mf_static, 137, 167},	//1023 Soprano::Vocabulary::Xesam::interest()
	{71, 561, 0, 0, Smoke::mf_static, 137, 168},	//1024 Soprano::Vocabulary::Xesam::interlaceMode()
	{71, 565, 0, 0, Smoke::mf_static, 137, 169},	//1025 Soprano::Vocabulary::Xesam::ircContactMedium()
	{71, 573, 0, 0, Smoke::mf_static, 137, 170},	//1026 Soprano::Vocabulary::Xesam::isContentEncrypted()
	{71, 586, 0, 0, Smoke::mf_static, 137, 171},	//1027 Soprano::Vocabulary::Xesam::isEncrypted()
	{71, 588, 0, 0, Smoke::mf_static, 137, 172},	//1028 Soprano::Vocabulary::Xesam::isImportant()
	{71, 589, 0, 0, Smoke::mf_static, 137, 173},	//1029 Soprano::Vocabulary::Xesam::isInProgress()
	{71, 597, 0, 0, Smoke::mf_static, 137, 174},	//1030 Soprano::Vocabulary::Xesam::isPublicChannel()
	{71, 598, 0, 0, Smoke::mf_static, 137, 175},	//1031 Soprano::Vocabulary::Xesam::isRead()
	{71, 601, 0, 0, Smoke::mf_static, 137, 176},	//1032 Soprano::Vocabulary::Xesam::isSourceEncrypted()
	{71, 616, 0, 0, Smoke::mf_static, 137, 177},	//1033 Soprano::Vocabulary::Xesam::isoEquivalent()
	{71, 624, 0, 0, Smoke::mf_static, 137, 178},	//1034 Soprano::Vocabulary::Xesam::jabberContactMedium()
	{71, 625, 0, 0, Smoke::mf_static, 137, 179},	//1035 Soprano::Vocabulary::Xesam::keyword()
	{71, 626, 0, 0, Smoke::mf_static, 137, 180},	//1036 Soprano::Vocabulary::Xesam::knows()
	{71, 628, 0, 0, Smoke::mf_static, 137, 181},	//1037 Soprano::Vocabulary::Xesam::language()
	{71, 630, 0, 0, Smoke::mf_static, 137, 182},	//1038 Soprano::Vocabulary::Xesam::lastRefreshed()
	{71, 631, 0, 0, Smoke::mf_static, 137, 183},	//1039 Soprano::Vocabulary::Xesam::lastUsed()
	{71, 632, 0, 0, Smoke::mf_static, 137, 184},	//1040 Soprano::Vocabulary::Xesam::legal()
	{71, 633, 0, 0, Smoke::mf_static, 137, 185},	//1041 Soprano::Vocabulary::Xesam::license()
	{71, 634, 0, 0, Smoke::mf_static, 137, 186},	//1042 Soprano::Vocabulary::Xesam::licenseType()
	{71, 636, 0, 0, Smoke::mf_static, 137, 187},	//1043 Soprano::Vocabulary::Xesam::lineCount()
	{71, 637, 0, 0, Smoke::mf_static, 137, 188},	//1044 Soprano::Vocabulary::Xesam::links()
	{71, 651, 0, 0, Smoke::mf_static, 137, 189},	//1045 Soprano::Vocabulary::Xesam::localRevision()
	{71, 653, 0, 0, Smoke::mf_static, 137, 190},	//1046 Soprano::Vocabulary::Xesam::lyricist()
	{71, 654, 0, 0, Smoke::mf_static, 137, 191},	//1047 Soprano::Vocabulary::Xesam::mailingList()
	{71, 655, 0, 0, Smoke::mf_static, 137, 192},	//1048 Soprano::Vocabulary::Xesam::mailingPostalAddress()
	{71, 656, 0, 0, Smoke::mf_static, 137, 193},	//1049 Soprano::Vocabulary::Xesam::maintainer()
	{71, 657, 0, 0, Smoke::mf_static, 137, 194},	//1050 Soprano::Vocabulary::Xesam::markupCharacterCount()
	{71, 663, 0, 0, Smoke::mf_static, 137, 195},	//1051 Soprano::Vocabulary::Xesam::md5Hash()
	{71, 664, 0, 0, Smoke::mf_static, 137, 196},	//1052 Soprano::Vocabulary::Xesam::mediaBitrate()
	{71, 665, 0, 0, Smoke::mf_static, 137, 197},	//1053 Soprano::Vocabulary::Xesam::mediaCodec()
	{71, 666, 0, 0, Smoke::mf_static, 137, 198},	//1054 Soprano::Vocabulary::Xesam::mediaCodecType()
	{71, 667, 0, 0, Smoke::mf_static, 137, 199},	//1055 Soprano::Vocabulary::Xesam::mediaDuration()
	{71, 669, 0, 0, Smoke::mf_static, 137, 200},	//1056 Soprano::Vocabulary::Xesam::mergeConflict()
	{71, 672, 0, 0, Smoke::mf_static, 137, 201},	//1057 Soprano::Vocabulary::Xesam::meteringMode()
	{71, 673, 0, 0, Smoke::mf_static, 137, 202},	//1058 Soprano::Vocabulary::Xesam::mimeType()
	{71, 680, 0, 0, Smoke::mf_static, 137, 203},	//1059 Soprano::Vocabulary::Xesam::mountPoint()
	{71, 681, 0, 0, Smoke::mf_static, 137, 204},	//1060 Soprano::Vocabulary::Xesam::name()
	{71, 684, 0, 0, Smoke::mf_static, 137, 205},	//1061 Soprano::Vocabulary::Xesam::newsGroup()
	{71, 692, 0, 0, Smoke::mf_static, 137, 206},	//1062 Soprano::Vocabulary::Xesam::occupiedSpace()
	{71, 710, 0, 0, Smoke::mf_static, 137, 207},	//1063 Soprano::Vocabulary::Xesam::orientation()
	{71, 711, 0, 0, Smoke::mf_static, 137, 208},	//1064 Soprano::Vocabulary::Xesam::originURL()
	{71, 712, 0, 0, Smoke::mf_static, 137, 209},	//1065 Soprano::Vocabulary::Xesam::originalLocation()
	{71, 713, 0, 0, Smoke::mf_static, 137, 210},	//1066 Soprano::Vocabulary::Xesam::otherName()
	{71, 715, 0, 0, Smoke::mf_static, 137, 211},	//1067 Soprano::Vocabulary::Xesam::owner()
	{71, 716, 0, 0, Smoke::mf_static, 137, 212},	//1068 Soprano::Vocabulary::Xesam::pageCount()
	{71, 717, 0, 0, Smoke::mf_static, 137, 213},	//1069 Soprano::Vocabulary::Xesam::paragraphCount()
	{71, 736, 0, 0, Smoke::mf_static, 137, 214},	//1070 Soprano::Vocabulary::Xesam::performer()
	{71, 737, 0, 0, Smoke::mf_static, 137, 215},	//1071 Soprano::Vocabulary::Xesam::permissions()
	{71, 738, 0, 0, Smoke::mf_static, 137, 216},	//1072 Soprano::Vocabulary::Xesam::personPhoto()
	{71, 740, 0, 0, Smoke::mf_static, 137, 217},	//1073 Soprano::Vocabulary::Xesam::phoneNumber()
	{71, 741, 0, 0, Smoke::mf_static, 137, 218},	//1074 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
	{71, 742, 0, 0, Smoke::mf_static, 137, 219},	//1075 Soprano::Vocabulary::Xesam::pixelDataType()
	{71, 744, 0, 0, Smoke::mf_static, 137, 220},	//1076 Soprano::Vocabulary::Xesam::postalAddress()
	{71, 750, 0, 0, Smoke::mf_static, 137, 221},	//1077 Soprano::Vocabulary::Xesam::primaryRecipient()
	{71, 752, 0, 0, Smoke::mf_static, 137, 222},	//1078 Soprano::Vocabulary::Xesam::programmingLanguage()
	{71, 769, 0, 0, Smoke::mf_static, 137, 223},	//1079 Soprano::Vocabulary::Xesam::receptionTime()
	{71, 770, 0, 0, Smoke::mf_static, 137, 224},	//1080 Soprano::Vocabulary::Xesam::recipient()
	{71, 778, 0, 0, Smoke::mf_static, 137, 225},	//1081 Soprano::Vocabulary::Xesam::related()
	{71, 779, 0, 0, Smoke::mf_static, 137, 226},	//1082 Soprano::Vocabulary::Xesam::remotePassword()
	{71, 780, 0, 0, Smoke::mf_static, 137, 227},	//1083 Soprano::Vocabulary::Xesam::remotePort()
	{71, 781, 0, 0, Smoke::mf_static, 137, 228},	//1084 Soprano::Vocabulary::Xesam::remoteServer()
	{71, 782, 0, 0, Smoke::mf_static, 137, 229},	//1085 Soprano::Vocabulary::Xesam::remoteUser()
	{71, 801, 0, 0, Smoke::mf_static, 137, 230},	//1086 Soprano::Vocabulary::Xesam::replyTo()
	{71, 807, 0, 0, Smoke::mf_static, 137, 231},	//1087 Soprano::Vocabulary::Xesam::rowCount()
	{71, 808, 0, 0, Smoke::mf_static, 137, 232},	//1088 Soprano::Vocabulary::Xesam::rssFeed()
	{71, 815, 0, 0, Smoke::mf_static, 137, 233},	//1089 Soprano::Vocabulary::Xesam::sampleConfiguration()
	{71, 816, 0, 0, Smoke::mf_static, 137, 234},	//1090 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
	{71, 817, 0, 0, Smoke::mf_static, 137, 235},	//1091 Soprano::Vocabulary::Xesam::sampleDataType()
	{71, 819, 0, 0, Smoke::mf_static, 137, 236},	//1092 Soprano::Vocabulary::Xesam::secondaryRecipient()
	{71, 821, 0, 0, Smoke::mf_static, 137, 237},	//1093 Soprano::Vocabulary::Xesam::seenAttachedAs()
	{71, 847, 0, 0, Smoke::mf_static, 137, 238},	//1094 Soprano::Vocabulary::Xesam::setCount()
	{71, 866, 0, 0, Smoke::mf_static, 137, 239},	//1095 Soprano::Vocabulary::Xesam::setRate()
	{71, 877, 0, 0, Smoke::mf_static, 137, 240},	//1096 Soprano::Vocabulary::Xesam::sha1Hash()
	{71, 879, 0, 0, Smoke::mf_static, 137, 241},	//1097 Soprano::Vocabulary::Xesam::size()
	{71, 881, 0, 0, Smoke::mf_static, 137, 242},	//1098 Soprano::Vocabulary::Xesam::sourceCreated()
	{71, 882, 0, 0, Smoke::mf_static, 137, 243},	//1099 Soprano::Vocabulary::Xesam::sourceModified()
	{71, 899, 0, 0, Smoke::mf_static, 137, 244},	//1100 Soprano::Vocabulary::Xesam::storageSize()
	{71, 908, 0, 0, Smoke::mf_static, 137, 245},	//1101 Soprano::Vocabulary::Xesam::subject()
	{71, 910, 0, 0, Smoke::mf_static, 137, 246},	//1102 Soprano::Vocabulary::Xesam::summary()
	{71, 912, 0, 0, Smoke::mf_static, 137, 247},	//1103 Soprano::Vocabulary::Xesam::supercedes()
	{71, 923, 0, 0, Smoke::mf_static, 137, 248},	//1104 Soprano::Vocabulary::Xesam::targetQuality()
	{71, 927, 0, 0, Smoke::mf_static, 137, 249},	//1105 Soprano::Vocabulary::Xesam::title()
	{71, 928, 0, 0, Smoke::mf_static, 137, 250},	//1106 Soprano::Vocabulary::Xesam::to()
	{71, 941, 0, 0, Smoke::mf_static, 137, 251},	//1107 Soprano::Vocabulary::Xesam::totalSpace()
	{71, 942, 0, 0, Smoke::mf_static, 137, 252},	//1108 Soprano::Vocabulary::Xesam::totalUncompressedSize()
	{71, 943, 0, 0, Smoke::mf_static, 137, 253},	//1109 Soprano::Vocabulary::Xesam::trackGain()
	{71, 944, 0, 0, Smoke::mf_static, 137, 254},	//1110 Soprano::Vocabulary::Xesam::trackNumber()
	{71, 945, 0, 0, Smoke::mf_static, 137, 255},	//1111 Soprano::Vocabulary::Xesam::trackPeakGain()
	{71, 959, 0, 0, Smoke::mf_static, 137, 256},	//1112 Soprano::Vocabulary::Xesam::url()
	{71, 960, 0, 0, Smoke::mf_static, 137, 257},	//1113 Soprano::Vocabulary::Xesam::useCount()
	{71, 962, 0, 0, Smoke::mf_static, 137, 258},	//1114 Soprano::Vocabulary::Xesam::userComment()
	{71, 963, 0, 0, Smoke::mf_static, 137, 259},	//1115 Soprano::Vocabulary::Xesam::userKeyword()
	{71, 965, 0, 0, Smoke::mf_static, 137, 260},	//1116 Soprano::Vocabulary::Xesam::userRating()
	{71, 966, 0, 0, Smoke::mf_static, 137, 261},	//1117 Soprano::Vocabulary::Xesam::usesNamespace()
	{71, 971, 0, 0, Smoke::mf_static, 137, 262},	//1118 Soprano::Vocabulary::Xesam::version()
	{71, 977, 0, 0, Smoke::mf_static, 137, 263},	//1119 Soprano::Vocabulary::Xesam::verticalResolution()
	{71, 978, 0, 0, Smoke::mf_static, 137, 264},	//1120 Soprano::Vocabulary::Xesam::videoBitrate()
	{71, 979, 0, 0, Smoke::mf_static, 137, 265},	//1121 Soprano::Vocabulary::Xesam::videoCodec()
	{71, 980, 0, 0, Smoke::mf_static, 137, 266},	//1122 Soprano::Vocabulary::Xesam::videoCodecType()
	{71, 982, 0, 0, Smoke::mf_static, 137, 267},	//1123 Soprano::Vocabulary::Xesam::whiteBalance()
	{71, 983, 0, 0, Smoke::mf_static, 137, 268},	//1124 Soprano::Vocabulary::Xesam::width()
	{71, 984, 0, 0, Smoke::mf_static, 137, 269},	//1125 Soprano::Vocabulary::Xesam::wordCount()
	{71, 985, 0, 0, Smoke::mf_static, 137, 270},	//1126 Soprano::Vocabulary::Xesam::workEmailAddress()
	{71, 986, 0, 0, Smoke::mf_static, 137, 271},	//1127 Soprano::Vocabulary::Xesam::workPhoneNumber()
	{71, 987, 0, 0, Smoke::mf_static, 137, 272},	//1128 Soprano::Vocabulary::Xesam::workPostalAddress()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap soprano_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{13, 14, 23},	//1 Soprano::BackendFeatureAddStatement
	{13, 15, 29},	//2 Soprano::BackendFeatureContext
	{13, 16, 27},	//3 Soprano::BackendFeatureInference
	{13, 17, 28},	//4 Soprano::BackendFeatureInferenceOptional
	{13, 18, 25},	//5 Soprano::BackendFeatureListStatements
	{13, 19, 22},	//6 Soprano::BackendFeatureNone
	{13, 20, 26},	//7 Soprano::BackendFeatureQuery
	{13, 21, 24},	//8 Soprano::BackendFeatureRemoveStatements
	{13, 22, 30},	//9 Soprano::BackendFeatureStorageMemory
	{13, 23, 31},	//10 Soprano::BackendFeatureUser
	{13, 24, 19},	//11 Soprano::BackendOptionEnableInference
	{13, 25, 17},	//12 Soprano::BackendOptionNone
	{13, 26, 20},	//13 Soprano::BackendOptionStorageDir
	{13, 27, 18},	//14 Soprano::BackendOptionStorageMemory
	{13, 28, 21},	//15 Soprano::BackendOptionUser
	{13, 221, 11},	//16 Soprano::SerializationN3
	{13, 222, 15},	//17 Soprano::SerializationNQuads
	{13, 223, 12},	//18 Soprano::SerializationNTriples
	{13, 224, 10},	//19 Soprano::SerializationRdfXml
	{13, 225, 14},	//20 Soprano::SerializationTrig
	{13, 226, 13},	//21 Soprano::SerializationTurtle
	{13, 227, 9},	//22 Soprano::SerializationUnknown
	{13, 228, 16},	//23 Soprano::SerializationUser
	{13, 411, 38},	//24 Soprano::createModel
	{13, 412, 37},	//25 Soprano::createModel?
	{13, 460, 34},	//26 Soprano::discoverBackendByFeatures$
	{13, 461, 33},	//27 Soprano::discoverBackendByFeatures$?
	{13, 463, 32},	//28 Soprano::discoverBackendByName$
	{13, 675, 41},	//29 Soprano::mimeTypeToSerialization$
	{13, 825, 40},	//30 Soprano::serializationMimeType$
	{13, 826, 39},	//31 Soprano::serializationMimeType$$
	{13, 874, 35},	//32 Soprano::setUsedBackend#
	{13, 961, 36},	//33 Soprano::usedBackend
	{13, 973, 42},	//34 Soprano::versionMajor
	{13, 974, 43},	//35 Soprano::versionMinor
	{13, 975, 44},	//36 Soprano::versionRelease
	{13, 976, 45},	//37 Soprano::versionString
	{14, 13, 46},	//38 Soprano::Backend::Backend$
	{14, 411, 49},	//39 Soprano::Backend::createModel
	{14, 412, 48},	//40 Soprano::Backend::createModel?
	{14, 440, 50},	//41 Soprano::Backend::deleteModelData?
	{14, 913, 51},	//42 Soprano::Backend::supportedFeatures
	{14, 915, 52},	//43 Soprano::Backend::supportedUserFeatures
	{14, 918, 54},	//44 Soprano::Backend::supportsFeatures$
	{14, 919, 53},	//45 Soprano::Backend::supportsFeatures$?
	{14, 1000, 47},	//46 Soprano::Backend::~Backend
	{15, 29, 55},	//47 Soprano::BackendSetting::BackendSetting
	{15, 30, 59},	//48 Soprano::BackendSetting::BackendSetting#
	{15, 31, 56},	//49 Soprano::BackendSetting::BackendSetting$
	{15, 32, -1},	//50 Soprano::BackendSetting::BackendSetting$#
	{15, 702, 61},	//51 Soprano::BackendSetting::operator=#
	{15, 709, 62},	//52 Soprano::BackendSetting::option
	{15, 876, 65},	//53 Soprano::BackendSetting::setValue#
	{15, 964, 63},	//54 Soprano::BackendSetting::userOptionName
	{15, 967, 64},	//55 Soprano::BackendSetting::value
	{15, 1001, 60},	//56 Soprano::BackendSetting::~BackendSetting
	{16, 34, 66},	//57 Soprano::BindingSet::BindingSet
	{16, 35, 67},	//58 Soprano::BindingSet::BindingSet#
	{16, 332, 70},	//59 Soprano::BindingSet::bindingNames
	{16, 378, 75},	//60 Soprano::BindingSet::contains$
	{16, 404, 76},	//61 Soprano::BindingSet::count
	{16, 557, 77},	//62 Soprano::BindingSet::insert$#
	{16, 702, 69},	//63 Soprano::BindingSet::operator=#
	{16, 708, -4},	//64 Soprano::BindingSet::operator[]$
	{16, 968, -7},	//65 Soprano::BindingSet::value$
	{16, 1002, 68},	//66 Soprano::BindingSet::~BindingSet
	{18, 55, 81},	//67 Soprano::Client::DBusModel::DBusModel$$
	{18, 56, 80},	//68 Soprano::Client::DBusModel::DBusModel$$#
	{18, 275, 85},	//69 Soprano::Client::DBusModel::addStatement#
	{18, 303, 84},	//70 Soprano::Client::DBusModel::asyncCalls
	{18, 380, 95},	//71 Soprano::Client::DBusModel::containsAnyStatement#
	{18, 388, 94},	//72 Soprano::Client::DBusModel::containsStatement#
	{18, 405, 96},	//73 Soprano::Client::DBusModel::createBlankNode
	{18, 496, 88},	//74 Soprano::Client::DBusModel::executeQuery$$
	{18, 497, 87},	//75 Soprano::Client::DBusModel::executeQuery$$$
	{18, 584, 93},	//76 Soprano::Client::DBusModel::isEmpty
	{18, 638, 86},	//77 Soprano::Client::DBusModel::listContexts
	{18, 641, 89},	//78 Soprano::Client::DBusModel::listStatements#
	{18, 671, 78},	//79 Soprano::Client::DBusModel::metaObject
	{18, 755, 79},	//80 Soprano::Client::DBusModel::qt_metacall$$?
	{18, 784, 91},	//81 Soprano::Client::DBusModel::removeAllStatements#
	{18, 794, 90},	//82 Soprano::Client::DBusModel::removeStatement#
	{18, 832, 83},	//83 Soprano::Client::DBusModel::setAsyncCalls$
	{18, 891, 92},	//84 Soprano::Client::DBusModel::statementCount
	{18, 1006, 82},	//85 Soprano::Client::DBusModel::~DBusModel
	{19, 58, 97},	//86 Soprano::Client::DBusNodeIterator::DBusNodeIterator$$
	{19, 1007, 98},	//87 Soprano::Client::DBusNodeIterator::~DBusNodeIterator
	{20, 60, 99},	//88 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator$$
	{20, 1008, 100},	//89 Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator
	{21, 62, 101},	//90 Soprano::Client::DBusStatementIterator::DBusStatementIterator$$
	{21, 1009, 102},	//91 Soprano::Client::DBusStatementIterator::~DBusStatementIterator
	{22, 85, 104},	//92 Soprano::Error::ErrorInvalidArgument
	{22, 86, 105},	//93 Soprano::Error::ErrorInvalidStatement
	{22, 87, 103},	//94 Soprano::Error::ErrorNone
	{22, 88, 106},	//95 Soprano::Error::ErrorNotSupported
	{22, 89, 107},	//96 Soprano::Error::ErrorParsingFailed
	{22, 90, 108},	//97 Soprano::Error::ErrorPermissionDenied
	{22, 91, 109},	//98 Soprano::Error::ErrorUnknown
	{22, 401, 111},	//99 Soprano::Error::convertErrorCode$
	{22, 490, 110},	//100 Soprano::Error::errorMessage$
	{23, 80, 112},	//101 Soprano::Error::Error::Error
	{23, 81, 115},	//102 Soprano::Error::Error::Error#
	{23, 82, 114},	//103 Soprano::Error::Error::Error$
	{23, 83, 113},	//104 Soprano::Error::Error::Error$$
	{23, 84, 123},	//105 Soprano::Error::Error::Error?
	{23, 358, 120},	//106 Soprano::Error::Error::code
	{23, 594, 121},	//107 Soprano::Error::Error::isParserError
	{23, 670, 119},	//108 Soprano::Error::Error::message
	{23, 698, 118},	//109 Soprano::Error::Error::operator bool
	{23, 702, 117},	//110 Soprano::Error::Error::operator=#
	{23, 936, 122},	//111 Soprano::Error::Error::toParserError
	{23, 1010, 116},	//112 Soprano::Error::Error::~Error
	{24, 125, 124},	//113 Soprano::Error::Locator::Locator
	{24, 126, 128},	//114 Soprano::Error::Locator::Locator#
	{24, 127, 127},	//115 Soprano::Error::Locator::Locator$$
	{24, 128, 126},	//116 Soprano::Error::Locator::Locator$$$
	{24, 129, 125},	//117 Soprano::Error::Locator::Locator$$$$
	{24, 337, 133},	//118 Soprano::Error::Locator::byte
	{24, 361, 132},	//119 Soprano::Error::Locator::column
	{24, 508, 134},	//120 Soprano::Error::Locator::fileName
	{24, 635, 131},	//121 Soprano::Error::Locator::line
	{24, 702, 130},	//122 Soprano::Error::Locator::operator=#
	{24, 838, 137},	//123 Soprano::Error::Locator::setByte$
	{24, 842, 136},	//124 Soprano::Error::Locator::setColumn$
	{24, 853, 138},	//125 Soprano::Error::Locator::setFileName$
	{24, 857, 135},	//126 Soprano::Error::Locator::setLine$
	{24, 1015, 129},	//127 Soprano::Error::Locator::~Locator
	{25, 162, 139},	//128 Soprano::Error::ParserError::ParserError
	{25, 163, -10},	//129 Soprano::Error::ParserError::ParserError#
	{25, 164, 141},	//130 Soprano::Error::ParserError::ParserError#$
	{25, 165, 140},	//131 Soprano::Error::ParserError::ParserError#$$
	{25, 652, 146},	//132 Soprano::Error::ParserError::locator
	{25, 702, 145},	//133 Soprano::Error::ParserError::operator=#
	{25, 1022, 144},	//134 Soprano::Error::ParserError::~ParserError
	{26, 96, 178},	//135 Soprano::FilterModel::FilterModel
	{26, 97, 179},	//136 Soprano::FilterModel::FilterModel#
	{26, 275, 153},	//137 Soprano::FilterModel::addStatement#
	{26, 276, 155},	//138 Soprano::FilterModel::addStatement###
	{26, 277, 154},	//139 Soprano::FilterModel::addStatement####
	{26, 380, 171},	//140 Soprano::FilterModel::containsAnyStatement#
	{26, 381, 173},	//141 Soprano::FilterModel::containsAnyStatement###
	{26, 382, 172},	//142 Soprano::FilterModel::containsAnyStatement####
	{26, 388, 168},	//143 Soprano::FilterModel::containsStatement#
	{26, 389, 170},	//144 Soprano::FilterModel::containsStatement###
	{26, 390, 169},	//145 Soprano::FilterModel::containsStatement####
	{26, 405, 177},	//146 Soprano::FilterModel::createBlankNode
	{26, 496, 167},	//147 Soprano::FilterModel::executeQuery$$
	{26, 497, 166},	//148 Soprano::FilterModel::executeQuery$$$
	{26, 584, 174},	//149 Soprano::FilterModel::isEmpty
	{26, 638, 165},	//150 Soprano::FilterModel::listContexts
	{26, 641, 162},	//151 Soprano::FilterModel::listStatements#
	{26, 642, 164},	//152 Soprano::FilterModel::listStatements###
	{26, 643, 163},	//153 Soprano::FilterModel::listStatements####
	{26, 671, 148},	//154 Soprano::FilterModel::metaObject
	{26, 718, 152},	//155 Soprano::FilterModel::parentModel
	{26, 720, 182},	//156 Soprano::FilterModel::parentStatementAdded#
	{26, 722, 183},	//157 Soprano::FilterModel::parentStatementRemoved#
	{26, 723, 180},	//158 Soprano::FilterModel::parentStatementsAdded
	{26, 724, 181},	//159 Soprano::FilterModel::parentStatementsRemoved
	{26, 755, 149},	//160 Soprano::FilterModel::qt_metacall$$?
	{26, 784, 159},	//161 Soprano::FilterModel::removeAllStatements#
	{26, 785, 161},	//162 Soprano::FilterModel::removeAllStatements###
	{26, 786, 160},	//163 Soprano::FilterModel::removeAllStatements####
	{26, 794, 156},	//164 Soprano::FilterModel::removeStatement#
	{26, 795, 158},	//165 Soprano::FilterModel::removeStatement###
	{26, 796, 157},	//166 Soprano::FilterModel::removeStatement####
	{26, 863, 151},	//167 Soprano::FilterModel::setParentModel#
	{26, 891, 175},	//168 Soprano::FilterModel::statementCount
	{26, 989, 176},	//169 Soprano::FilterModel::write#
	{26, 1011, 150},	//170 Soprano::FilterModel::~FilterModel
	{28, 39, 185},	//171 Soprano::Index::CLuceneIndex::CLuceneIndex
	{28, 40, 184},	//172 Soprano::Index::CLuceneIndex::CLuceneIndex?
	{28, 275, 194},	//173 Soprano::Index::CLuceneIndex::addStatement#
	{28, 353, 198},	//174 Soprano::Index::CLuceneIndex::clear
	{28, 355, 189},	//175 Soprano::Index::CLuceneIndex::close
	{28, 357, 193},	//176 Soprano::Index::CLuceneIndex::closeTransaction$
	{28, 435, 200},	//177 Soprano::Index::CLuceneIndex::defaultSearchField
	{28, 478, 196},	//178 Soprano::Index::CLuceneIndex::documentForResource#
	{28, 482, 197},	//179 Soprano::Index::CLuceneIndex::dump#
	{28, 528, 199},	//180 Soprano::Index::CLuceneIndex::getResource?
	{28, 593, 190},	//181 Soprano::Index::CLuceneIndex::isOpen
	{28, 696, 188},	//182 Soprano::Index::CLuceneIndex::open$
	{28, 697, 187},	//183 Soprano::Index::CLuceneIndex::open$$
	{28, 794, 195},	//184 Soprano::Index::CLuceneIndex::removeStatement#
	{28, 803, 191},	//185 Soprano::Index::CLuceneIndex::resourceCount
	{28, 888, 192},	//186 Soprano::Index::CLuceneIndex::startTransaction
	{28, 1003, 186},	//187 Soprano::Index::CLuceneIndex::~CLuceneIndex
	{29, 107, 204},	//188 Soprano::Index::IndexFilterModel::IndexFilterModel#
	{29, 108, 203},	//189 Soprano::Index::IndexFilterModel::IndexFilterModel##
	{29, 109, 202},	//190 Soprano::Index::IndexFilterModel::IndexFilterModel$
	{29, 110, 201},	//191 Soprano::Index::IndexFilterModel::IndexFilterModel$#
	{29, 269, 215},	//192 Soprano::Index::IndexFilterModel::addIndexOnlyPredicate#
	{29, 275, 207},	//193 Soprano::Index::IndexFilterModel::addStatement#
	{29, 496, 211},	//194 Soprano::Index::IndexFilterModel::executeQuery$$
	{29, 497, 210},	//195 Soprano::Index::IndexFilterModel::executeQuery$$$
	{29, 554, 206},	//196 Soprano::Index::IndexFilterModel::index
	{29, 555, 217},	//197 Soprano::Index::IndexFilterModel::indexOnlyPredicates
	{29, 768, 214},	//198 Soprano::Index::IndexFilterModel::rebuildIndex
	{29, 784, 209},	//199 Soprano::Index::IndexFilterModel::removeAllStatements#
	{29, 794, 208},	//200 Soprano::Index::IndexFilterModel::removeStatement#
	{29, 855, 216},	//201 Soprano::Index::IndexFilterModel::setIndexOnlyPredicates?
	{29, 872, 212},	//202 Soprano::Index::IndexFilterModel::setTransactionCacheSize$
	{29, 946, 213},	//203 Soprano::Index::IndexFilterModel::transactionCacheSize
	{29, 1012, 205},	//204 Soprano::Index::IndexFilterModel::~IndexFilterModel
	{30, 182, 218},	//205 Soprano::Index::QueryHit::QueryHit
	{30, 183, 219},	//206 Soprano::Index::QueryHit::QueryHit#
	{30, 184, 220},	//207 Soprano::Index::QueryHit::QueryHit#$
	{30, 702, 222},	//208 Soprano::Index::QueryHit::operator=#
	{30, 802, 224},	//209 Soprano::Index::QueryHit::resource
	{30, 818, 223},	//210 Soprano::Index::QueryHit::score
	{30, 1025, 221},	//211 Soprano::Index::QueryHit::~QueryHit
	{31, 141, 226},	//212 Soprano::Inference::NRL
	{31, 193, 225},	//213 Soprano::Inference::RDFS
	{32, 114, 229},	//214 Soprano::Inference::InferenceModel::InferenceModel#
	{32, 273, 234},	//215 Soprano::Inference::InferenceModel::addRule#
	{32, 275, 231},	//216 Soprano::Inference::InferenceModel::addStatement#
	{32, 354, 237},	//217 Soprano::Inference::InferenceModel::clearInference
	{32, 671, 227},	//218 Soprano::Inference::InferenceModel::metaObject
	{32, 735, 236},	//219 Soprano::Inference::InferenceModel::performInference
	{32, 755, 228},	//220 Soprano::Inference::InferenceModel::qt_metacall$$?
	{32, 784, 233},	//221 Soprano::Inference::InferenceModel::removeAllStatements#
	{32, 794, 232},	//222 Soprano::Inference::InferenceModel::removeStatement#
	{32, 844, 238},	//223 Soprano::Inference::InferenceModel::setCompressedSourceStatements$
	{32, 861, 239},	//224 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
	{32, 868, 235},	//225 Soprano::Inference::InferenceModel::setRules?
	{32, 1013, 230},	//226 Soprano::Inference::InferenceModel::~InferenceModel
	{33, 150, 240},	//227 Soprano::Inference::NodePattern::NodePattern
	{33, 151, -14},	//228 Soprano::Inference::NodePattern::NodePattern#
	{33, 152, 242},	//229 Soprano::Inference::NodePattern::NodePattern$
	{33, 418, 250},	//230 Soprano::Inference::NodePattern::createSparqlNodePattern#
	{33, 615, 246},	//231 Soprano::Inference::NodePattern::isVariable
	{33, 659, 249},	//232 Soprano::Inference::NodePattern::match#
	{33, 702, 245},	//233 Soprano::Inference::NodePattern::operator=#
	{33, 802, 247},	//234 Soprano::Inference::NodePattern::resource
	{33, 969, 248},	//235 Soprano::Inference::NodePattern::variableName
	{33, 1020, 244},	//236 Soprano::Inference::NodePattern::~NodePattern
	{34, 211, 251},	//237 Soprano::Inference::Rule::Rule
	{34, 212, 252},	//238 Soprano::Inference::Rule::Rule#
	{34, 271, 256},	//239 Soprano::Inference::Rule::addPrecondition#
	{34, 324, 263},	//240 Soprano::Inference::Rule::bindEffect#
	{34, 326, 264},	//241 Soprano::Inference::Rule::bindPreconditions#
	{34, 328, 260},	//242 Soprano::Inference::Rule::bindToStatement#
	{34, 419, 262},	//243 Soprano::Inference::Rule::createSparqlQuery
	{34, 420, 261},	//244 Soprano::Inference::Rule::createSparqlQuery$
	{34, 483, 257},	//245 Soprano::Inference::Rule::effect
	{34, 659, 259},	//246 Soprano::Inference::Rule::match#
	{34, 702, 254},	//247 Soprano::Inference::Rule::operator=#
	{34, 745, 255},	//248 Soprano::Inference::Rule::preconditions
	{34, 851, 258},	//249 Soprano::Inference::Rule::setEffect#
	{34, 1029, 253},	//250 Soprano::Inference::Rule::~Rule
	{35, 213, 265},	//251 Soprano::Inference::RuleParser::RuleParser
	{35, 214, 269},	//252 Soprano::Inference::RuleParser::RuleParser#
	{35, 726, 267},	//253 Soprano::Inference::RuleParser::parseFile$
	{35, 813, 268},	//254 Soprano::Inference::RuleParser::rules
	{35, 1030, 266},	//255 Soprano::Inference::RuleParser::~RuleParser
	{36, 215, 270},	//256 Soprano::Inference::RuleSet::RuleSet
	{36, 216, 271},	//257 Soprano::Inference::RuleSet::RuleSet#
	{36, 292, 282},	//258 Soprano::Inference::RuleSet::allRules
	{36, 305, 277},	//259 Soprano::Inference::RuleSet::at$
	{36, 353, 274},	//260 Soprano::Inference::RuleSet::clear
	{36, 404, 276},	//261 Soprano::Inference::RuleSet::count
	{36, 557, 275},	//262 Soprano::Inference::RuleSet::insert$#
	{36, 702, 273},	//263 Soprano::Inference::RuleSet::operator=#
	{36, 708, -17},	//264 Soprano::Inference::RuleSet::operator[]$
	{36, 810, 279},	//265 Soprano::Inference::RuleSet::rule$
	{36, 812, 281},	//266 Soprano::Inference::RuleSet::ruleNames
	{36, 885, 283},	//267 Soprano::Inference::RuleSet::standardRuleSet$
	{36, 1031, 272},	//268 Soprano::Inference::RuleSet::~RuleSet
	{37, 248, 284},	//269 Soprano::Inference::StatementPattern::StatementPattern
	{37, 249, 286},	//270 Soprano::Inference::StatementPattern::StatementPattern#
	{37, 250, 285},	//271 Soprano::Inference::StatementPattern::StatementPattern###
	{37, 416, 293},	//272 Soprano::Inference::StatementPattern::createSparqlGraphPattern#
	{37, 659, 292},	//273 Soprano::Inference::StatementPattern::match#
	{37, 691, 291},	//274 Soprano::Inference::StatementPattern::objectPattern
	{37, 702, 288},	//275 Soprano::Inference::StatementPattern::operator=#
	{37, 747, 290},	//276 Soprano::Inference::StatementPattern::predicatePattern
	{37, 909, 289},	//277 Soprano::Inference::StatementPattern::subjectPattern
	{37, 1038, 287},	//278 Soprano::Inference::StatementPattern::~StatementPattern
	{38, 121, 294},	//279 Soprano::LiteralValue::LiteralValue
	{38, 122, -20},	//280 Soprano::LiteralValue::LiteralValue#
	{38, 123, -27},	//281 Soprano::LiteralValue::LiteralValue$
	{38, 124, 305},	//282 Soprano::LiteralValue::LiteralValue?
	{38, 428, 349},	//283 Soprano::LiteralValue::dataTypeUri
	{38, 430, 355},	//284 Soprano::LiteralValue::dataTypeUriFromType$
	{38, 521, 353},	//285 Soprano::LiteralValue::fromString$#
	{38, 522, 352},	//286 Soprano::LiteralValue::fromString$$
	{38, 569, 331},	//287 Soprano::LiteralValue::isBool
	{38, 570, 337},	//288 Soprano::LiteralValue::isByteArray
	{38, 574, 334},	//289 Soprano::LiteralValue::isDate
	{38, 575, 336},	//290 Soprano::LiteralValue::isDateTime
	{38, 583, 332},	//291 Soprano::LiteralValue::isDouble
	{38, 590, 327},	//292 Soprano::LiteralValue::isInt
	{38, 591, 328},	//293 Soprano::LiteralValue::isInt64
	{38, 602, 333},	//294 Soprano::LiteralValue::isString
	{38, 608, 335},	//295 Soprano::LiteralValue::isTime
	{38, 612, 329},	//296 Soprano::LiteralValue::isUnsignedInt
	{38, 613, 330},	//297 Soprano::LiteralValue::isUnsignedInt64
	{38, 614, 326},	//298 Soprano::LiteralValue::isValid
	{38, 700, 325},	//299 Soprano::LiteralValue::operator!=#
	{38, 702, -36},	//300 Soprano::LiteralValue::operator=#
	{38, 703, -42},	//301 Soprano::LiteralValue::operator=$
	{38, 705, 324},	//302 Soprano::LiteralValue::operator==#
	{38, 706, 319},	//303 Soprano::LiteralValue::operator=?
	{38, 929, 342},	//304 Soprano::LiteralValue::toBool
	{38, 930, 348},	//305 Soprano::LiteralValue::toByteArray
	{38, 931, 345},	//306 Soprano::LiteralValue::toDate
	{38, 932, 347},	//307 Soprano::LiteralValue::toDateTime
	{38, 933, 343},	//308 Soprano::LiteralValue::toDouble
	{38, 934, 338},	//309 Soprano::LiteralValue::toInt
	{38, 935, 339},	//310 Soprano::LiteralValue::toInt64
	{38, 937, 344},	//311 Soprano::LiteralValue::toString
	{38, 938, 346},	//312 Soprano::LiteralValue::toTime
	{38, 939, 340},	//313 Soprano::LiteralValue::toUnsignedInt
	{38, 940, 341},	//314 Soprano::LiteralValue::toUnsignedInt64
	{38, 947, 350},	//315 Soprano::LiteralValue::type
	{38, 950, 354},	//316 Soprano::LiteralValue::typeFromDataTypeUri#
	{38, 970, 351},	//317 Soprano::LiteralValue::variant
	{38, 1014, 295},	//318 Soprano::LiteralValue::~LiteralValue
	{39, 136, 395},	//319 Soprano::Model::Model
	{39, 275, 359},	//320 Soprano::Model::addStatement#
	{39, 276, 361},	//321 Soprano::Model::addStatement###
	{39, 277, 360},	//322 Soprano::Model::addStatement####
	{39, 281, 362},	//323 Soprano::Model::addStatements?
	{39, 380, 380},	//324 Soprano::Model::containsAnyStatement#
	{39, 381, 382},	//325 Soprano::Model::containsAnyStatement###
	{39, 382, 381},	//326 Soprano::Model::containsAnyStatement####
	{39, 386, 386},	//327 Soprano::Model::containsContext#
	{39, 388, 383},	//328 Soprano::Model::containsStatement#
	{39, 389, 385},	//329 Soprano::Model::containsStatement###
	{39, 390, 384},	//330 Soprano::Model::containsStatement####
	{39, 405, 390},	//331 Soprano::Model::createBlankNode
	{39, 496, 379},	//332 Soprano::Model::executeQuery$$
	{39, 497, 378},	//333 Soprano::Model::executeQuery$$$
	{39, 584, 387},	//334 Soprano::Model::isEmpty
	{39, 638, 377},	//335 Soprano::Model::listContexts
	{39, 640, 375},	//336 Soprano::Model::listStatements
	{39, 641, 372},	//337 Soprano::Model::listStatements#
	{39, 642, 374},	//338 Soprano::Model::listStatements###
	{39, 643, 373},	//339 Soprano::Model::listStatements####
	{39, 647, 376},	//340 Soprano::Model::listStatementsInContext#
	{39, 671, 356},	//341 Soprano::Model::metaObject
	{39, 755, 357},	//342 Soprano::Model::qt_metacall$$?
	{39, 783, 371},	//343 Soprano::Model::removeAllStatements
	{39, 784, 366},	//344 Soprano::Model::removeAllStatements#
	{39, 785, 368},	//345 Soprano::Model::removeAllStatements###
	{39, 786, 367},	//346 Soprano::Model::removeAllStatements####
	{39, 790, 370},	//347 Soprano::Model::removeContext#
	{39, 794, 363},	//348 Soprano::Model::removeStatement#
	{39, 795, 365},	//349 Soprano::Model::removeStatement###
	{39, 796, 364},	//350 Soprano::Model::removeStatement####
	{39, 800, 369},	//351 Soprano::Model::removeStatements?
	{39, 890, 393},	//352 Soprano::Model::statementAdded#
	{39, 891, 388},	//353 Soprano::Model::statementCount
	{39, 895, 394},	//354 Soprano::Model::statementRemoved#
	{39, 896, 391},	//355 Soprano::Model::statementsAdded
	{39, 897, 392},	//356 Soprano::Model::statementsRemoved
	{39, 989, 389},	//357 Soprano::Model::write#
	{39, 1016, 358},	//358 Soprano::Model::~Model
	{40, 36, 399},	//359 Soprano::Node::BlankNode
	{40, 79, 396},	//360 Soprano::Node::EmptyNode
	{40, 120, 398},	//361 Soprano::Node::LiteralNode
	{40, 144, 400},	//362 Soprano::Node::Node
	{40, 145, -50},	//363 Soprano::Node::Node#
	{40, 146, 403},	//364 Soprano::Node::Node#$
	{40, 147, 402},	//365 Soprano::Node::Node$
	{40, 207, 397},	//366 Soprano::Node::ResourceNode
	{40, 406, 429},	//367 Soprano::Node::createBlankNode$
	{40, 408, 427},	//368 Soprano::Node::createEmptyNode
	{40, 410, 430},	//369 Soprano::Node::createLiteralNode#$
	{40, 414, 428},	//370 Soprano::Node::createResourceNode#
	{40, 427, 424},	//371 Soprano::Node::dataType
	{40, 549, 422},	//372 Soprano::Node::identifier
	{40, 568, 420},	//373 Soprano::Node::isBlank
	{40, 584, 416},	//374 Soprano::Node::isEmpty
	{40, 592, 418},	//375 Soprano::Node::isLiteral
	{40, 600, 419},	//376 Soprano::Node::isResource
	{40, 614, 417},	//377 Soprano::Node::isValid
	{40, 628, 425},	//378 Soprano::Node::language
	{40, 650, 423},	//379 Soprano::Node::literal
	{40, 661, 414},	//380 Soprano::Node::matches#
	{40, 700, 411},	//381 Soprano::Node::operator!=#
	{40, 702, -54},	//382 Soprano::Node::operator=#
	{40, 705, -58},	//383 Soprano::Node::operator==#
	{40, 937, 426},	//384 Soprano::Node::toString
	{40, 947, 415},	//385 Soprano::Node::type
	{40, 958, 421},	//386 Soprano::Node::uri
	{40, 1018, 406},	//387 Soprano::Node::~Node
	{41, 148, 431},	//388 Soprano::NodeIterator::NodeIterator
	{41, 149, 432},	//389 Soprano::NodeIterator::NodeIterator#
	{41, 290, 435},	//390 Soprano::NodeIterator::allNodes
	{41, 702, 434},	//391 Soprano::NodeIterator::operator=#
	{41, 1019, 433},	//392 Soprano::NodeIterator::~NodeIterator
	{42, 161, 447},	//393 Soprano::Parser::Parser$
	{42, 727, 442},	//394 Soprano::Parser::parseFile$#$
	{42, 728, 441},	//395 Soprano::Parser::parseFile$#$$
	{42, 730, 446},	//396 Soprano::Parser::parseStream##$
	{42, 731, 445},	//397 Soprano::Parser::parseStream##$$
	{42, 733, 444},	//398 Soprano::Parser::parseString$#$
	{42, 734, 443},	//399 Soprano::Parser::parseString$#$$
	{42, 914, 437},	//400 Soprano::Parser::supportedSerializations
	{42, 916, 438},	//401 Soprano::Parser::supportedUserSerializations
	{42, 921, 440},	//402 Soprano::Parser::supportsSerialization$
	{42, 922, 439},	//403 Soprano::Parser::supportsSerialization$$
	{42, 1021, 436},	//404 Soprano::Parser::~Parser
	{43, 172, 451},	//405 Soprano::Plugin::Plugin#
	{43, 173, 452},	//406 Soprano::Plugin::Plugin$
	{43, 566, 450},	//407 Soprano::Plugin::isAvailable
	{43, 743, 449},	//408 Soprano::Plugin::pluginName
	{43, 1023, 448},	//409 Soprano::Plugin::~Plugin
	{44, 287, 458},	//410 Soprano::PluginManager::allBackends
	{44, 291, 462},	//411 Soprano::PluginManager::allParsers
	{44, 293, 466},	//412 Soprano::PluginManager::allSerializers
	{44, 460, 457},	//413 Soprano::PluginManager::discoverBackendByFeatures$
	{44, 461, 456},	//414 Soprano::PluginManager::discoverBackendByFeatures$?
	{44, 463, 455},	//415 Soprano::PluginManager::discoverBackendByName$
	{44, 465, 459},	//416 Soprano::PluginManager::discoverParserByName$
	{44, 467, 461},	//417 Soprano::PluginManager::discoverParserForSerialization$
	{44, 468, 460},	//418 Soprano::PluginManager::discoverParserForSerialization$$
	{44, 470, 463},	//419 Soprano::PluginManager::discoverSerializerByName$
	{44, 472, 465},	//420 Soprano::PluginManager::discoverSerializerForSerialization$
	{44, 473, 464},	//421 Soprano::PluginManager::discoverSerializerForSerialization$$
	{44, 558, 467},	//422 Soprano::PluginManager::instance
	{44, 671, 453},	//423 Soprano::PluginManager::metaObject
	{44, 755, 454},	//424 Soprano::PluginManager::qt_metacall$$?
	{45, 177, 473},	//425 Soprano::Query::QUERY_LANGUAGE_NONE
	{45, 178, 475},	//426 Soprano::Query::QUERY_LANGUAGE_RDQL
	{45, 179, 476},	//427 Soprano::Query::QUERY_LANGUAGE_SERQL
	{45, 180, 474},	//428 Soprano::Query::QUERY_LANGUAGE_SPARQL
	{45, 181, 477},	//429 Soprano::Query::QUERY_LANGUAGE_USER
	{45, 185, 468},	//430 Soprano::Query::QueryLanguageNone
	{45, 186, 470},	//431 Soprano::Query::QueryLanguageRdql
	{45, 187, 471},	//432 Soprano::Query::QueryLanguageSerql
	{45, 188, 469},	//433 Soprano::Query::QueryLanguageSparql
	{45, 189, 472},	//434 Soprano::Query::QueryLanguageUser
	{45, 757, 480},	//435 Soprano::Query::queryLanguageFromString$
	{45, 759, 479},	//436 Soprano::Query::queryLanguageToString$
	{45, 760, 478},	//437 Soprano::Query::queryLanguageToString$$
	{46, 190, 481},	//438 Soprano::QueryResultIterator::QueryResultIterator
	{46, 191, 482},	//439 Soprano::QueryResultIterator::QueryResultIterator#
	{46, 192, 483},	//440 Soprano::QueryResultIterator::QueryResultIterator?
	{46, 288, 496},	//441 Soprano::QueryResultIterator::allBindings
	{46, 330, -62},	//442 Soprano::QueryResultIterator::binding$
	{46, 331, 491},	//443 Soprano::QueryResultIterator::bindingCount
	{46, 332, 492},	//444 Soprano::QueryResultIterator::bindingNames
	{46, 335, 488},	//445 Soprano::QueryResultIterator::boolValue
	{46, 423, 487},	//446 Soprano::QueryResultIterator::currentBindings
	{46, 424, 486},	//447 Soprano::QueryResultIterator::currentStatement
	{46, 567, 494},	//448 Soprano::QueryResultIterator::isBinding
	{46, 569, 495},	//449 Soprano::QueryResultIterator::isBool
	{46, 587, 493},	//450 Soprano::QueryResultIterator::isGraph
	{46, 618, -65},	//451 Soprano::QueryResultIterator::iterateBindings$
	{46, 622, 497},	//452 Soprano::QueryResultIterator::iterateStatements
	{46, 702, 485},	//453 Soprano::QueryResultIterator::operator=#
	{46, 1026, 484},	//454 Soprano::QueryResultIterator::~QueryResultIterator
	{47, 196, 501},	//455 Soprano::RdfSchemaModel::RdfSchemaModel
	{47, 197, 500},	//456 Soprano::RdfSchemaModel::RdfSchemaModel#
	{47, 352, 503},	//457 Soprano::RdfSchemaModel::classes
	{47, 448, 505},	//458 Soprano::RdfSchemaModel::directSubClassOf#
	{47, 449, 504},	//459 Soprano::RdfSchemaModel::directSubClassOf##
	{47, 451, 507},	//460 Soprano::RdfSchemaModel::directSubPropertyOf#
	{47, 452, 506},	//461 Soprano::RdfSchemaModel::directSubPropertyOf##
	{47, 454, 508},	//462 Soprano::RdfSchemaModel::directType##
	{47, 480, 509},	//463 Soprano::RdfSchemaModel::domain##
	{47, 572, 517},	//464 Soprano::RdfSchemaModel::isClass#
	{47, 578, 519},	//465 Soprano::RdfSchemaModel::isDirectSubClassOf##
	{47, 580, 520},	//466 Soprano::RdfSchemaModel::isDirectSubPropertyOf##
	{47, 582, 521},	//467 Soprano::RdfSchemaModel::isDirectType##
	{47, 596, 518},	//468 Soprano::RdfSchemaModel::isProperty#
	{47, 604, 522},	//469 Soprano::RdfSchemaModel::isSubClassOf##
	{47, 606, 523},	//470 Soprano::RdfSchemaModel::isSubPropertyOf##
	{47, 611, 524},	//471 Soprano::RdfSchemaModel::isType##
	{47, 753, 510},	//472 Soprano::RdfSchemaModel::properties
	{47, 763, 511},	//473 Soprano::RdfSchemaModel::range##
	{47, 902, 513},	//474 Soprano::RdfSchemaModel::subClassOf#
	{47, 903, 512},	//475 Soprano::RdfSchemaModel::subClassOf##
	{47, 906, 515},	//476 Soprano::RdfSchemaModel::subPropertyOf#
	{47, 907, 514},	//477 Soprano::RdfSchemaModel::subPropertyOf##
	{47, 948, 516},	//478 Soprano::RdfSchemaModel::type##
	{47, 1027, 502},	//479 Soprano::RdfSchemaModel::~RdfSchemaModel
	{48, 230, 532},	//480 Soprano::Serializer::Serializer$
	{48, 828, 531},	//481 Soprano::Serializer::serialize##$
	{48, 829, 530},	//482 Soprano::Serializer::serialize##$$
	{48, 914, 526},	//483 Soprano::Serializer::supportedSerializations
	{48, 916, 527},	//484 Soprano::Serializer::supportedUserSerializations
	{48, 921, 529},	//485 Soprano::Serializer::supportsSerialization$
	{48, 922, 528},	//486 Soprano::Serializer::supportsSerialization$$
	{48, 1032, 525},	//487 Soprano::Serializer::~Serializer
	{50, 50, -68},	//488 Soprano::Server::DBusExportIterator::DBusExportIterator#
	{50, 51, -72},	//489 Soprano::Server::DBusExportIterator::DBusExportIterator##
	{50, 433, 545},	//490 Soprano::Server::DBusExportIterator::dbusObjectPath
	{50, 441, 546},	//491 Soprano::Server::DBusExportIterator::deleteOnClose
	{50, 671, 533},	//492 Soprano::Server::DBusExportIterator::metaObject
	{50, 686, 543},	//493 Soprano::Server::DBusExportIterator::nodeIterator
	{50, 755, 534},	//494 Soprano::Server::DBusExportIterator::qt_metacall$$?
	{50, 761, 544},	//495 Soprano::Server::DBusExportIterator::queryResultIterator
	{50, 774, 549},	//496 Soprano::Server::DBusExportIterator::registerIterator$
	{50, 775, 548},	//497 Soprano::Server::DBusExportIterator::registerIterator$$
	{50, 849, 547},	//498 Soprano::Server::DBusExportIterator::setDeleteOnClose$
	{50, 893, 542},	//499 Soprano::Server::DBusExportIterator::statementIterator
	{50, 952, 550},	//500 Soprano::Server::DBusExportIterator::unregisterIterator
	{50, 1004, 541},	//501 Soprano::Server::DBusExportIterator::~DBusExportIterator
	{51, 52, 554},	//502 Soprano::Server::DBusExportModel::DBusExportModel
	{51, 53, 553},	//503 Soprano::Server::DBusExportModel::DBusExportModel#
	{51, 433, 558},	//504 Soprano::Server::DBusExportModel::dbusObjectPath
	{51, 671, 551},	//505 Soprano::Server::DBusExportModel::metaObject
	{51, 755, 552},	//506 Soprano::Server::DBusExportModel::qt_metacall$$?
	{51, 777, 556},	//507 Soprano::Server::DBusExportModel::registerModel$
	{51, 953, 557},	//508 Soprano::Server::DBusExportModel::unregisterModel
	{51, 1005, 555},	//509 Soprano::Server::DBusExportModel::~DBusExportModel
	{52, 63, 577},	//510 Soprano::Server::ServerCore::DEFAULT_PORT
	{52, 231, 562},	//511 Soprano::Server::ServerCore::ServerCore
	{52, 232, 561},	//512 Soprano::Server::ServerCore::ServerCore#
	{52, 289, 569},	//513 Soprano::Server::ServerCore::allModels
	{52, 318, 565},	//514 Soprano::Server::ServerCore::backend
	{52, 412, 578},	//515 Soprano::Server::ServerCore::createModel?
	{52, 648, 573},	//516 Soprano::Server::ServerCore::listen
	{52, 649, 572},	//517 Soprano::Server::ServerCore::listen$
	{52, 671, 559},	//518 Soprano::Server::ServerCore::metaObject
	{52, 678, 567},	//519 Soprano::Server::ServerCore::model$
	{52, 755, 560},	//520 Soprano::Server::ServerCore::qt_metacall$$?
	{52, 771, 576},	//521 Soprano::Server::ServerCore::registerAsDBusObject
	{52, 772, 575},	//522 Soprano::Server::ServerCore::registerAsDBusObject$
	{52, 792, 568},	//523 Soprano::Server::ServerCore::removeModel$
	{52, 830, 574},	//524 Soprano::Server::ServerCore::serverPort
	{52, 834, 564},	//525 Soprano::Server::ServerCore::setBackend#
	{52, 836, 566},	//526 Soprano::Server::ServerCore::setBackendSettings?
	{52, 886, 571},	//527 Soprano::Server::ServerCore::start
	{52, 887, 570},	//528 Soprano::Server::ServerCore::start$
	{52, 1033, 563},	//529 Soprano::Server::ServerCore::~ServerCore
	{53, 242, 579},	//530 Soprano::Statement::Statement
	{53, 243, 582},	//531 Soprano::Statement::Statement#
	{53, 244, 581},	//532 Soprano::Statement::Statement###
	{53, 245, 580},	//533 Soprano::Statement::Statement####
	{53, 398, 592},	//534 Soprano::Statement::context
	{53, 614, 588},	//535 Soprano::Statement::isValid
	{53, 661, 587},	//536 Soprano::Statement::matches#
	{53, 690, 591},	//537 Soprano::Statement::object
	{53, 700, 586},	//538 Soprano::Statement::operator!=#
	{53, 702, 584},	//539 Soprano::Statement::operator=#
	{53, 705, 585},	//540 Soprano::Statement::operator==#
	{53, 746, 590},	//541 Soprano::Statement::predicate
	{53, 846, 596},	//542 Soprano::Statement::setContext#
	{53, 859, 595},	//543 Soprano::Statement::setObject#
	{53, 865, 594},	//544 Soprano::Statement::setPredicate#
	{53, 870, 593},	//545 Soprano::Statement::setSubject#
	{53, 908, 589},	//546 Soprano::Statement::subject
	{53, 1036, 583},	//547 Soprano::Statement::~Statement
	{54, 246, 597},	//548 Soprano::StatementIterator::StatementIterator
	{54, 247, 598},	//549 Soprano::StatementIterator::StatementIterator#
	{54, 294, 601},	//550 Soprano::StatementIterator::allStatements
	{54, 619, 605},	//551 Soprano::StatementIterator::iterateContexts
	{54, 620, 604},	//552 Soprano::StatementIterator::iterateObjects
	{54, 621, 603},	//553 Soprano::StatementIterator::iteratePredicates
	{54, 623, 602},	//554 Soprano::StatementIterator::iterateSubjects
	{54, 702, 600},	//555 Soprano::StatementIterator::operator=#
	{54, 1037, 599},	//556 Soprano::StatementIterator::~StatementIterator
	{55, 252, 614},	//557 Soprano::StorageModel::StorageModel#
	{55, 318, 613},	//558 Soprano::StorageModel::backend
	{55, 380, 611},	//559 Soprano::StorageModel::containsAnyStatement#
	{55, 388, 610},	//560 Soprano::StorageModel::containsStatement#
	{55, 584, 609},	//561 Soprano::StorageModel::isEmpty
	{55, 671, 606},	//562 Soprano::StorageModel::metaObject
	{55, 755, 607},	//563 Soprano::StorageModel::qt_metacall$$?
	{55, 784, 612},	//564 Soprano::StorageModel::removeAllStatements#
	{55, 1039, 608},	//565 Soprano::StorageModel::~StorageModel
	{57, 8, 618},	//566 Soprano::Util::AsyncModel::AsyncModel
	{57, 9, 617},	//567 Soprano::Util::AsyncModel::AsyncModel#
	{57, 279, 620},	//568 Soprano::Util::AsyncModel::addStatementAsync#
	{57, 384, 630},	//569 Soprano::Util::AsyncModel::containsAnyStatementAsync#
	{57, 392, 629},	//570 Soprano::Util::AsyncModel::containsStatementAsync#
	{57, 407, 631},	//571 Soprano::Util::AsyncModel::createBlankNodeAsync
	{57, 499, 628},	//572 Soprano::Util::AsyncModel::executeQueryAsync$$
	{57, 500, 627},	//573 Soprano::Util::AsyncModel::executeQueryAsync$$$
	{57, 585, 623},	//574 Soprano::Util::AsyncModel::isEmptyAsync
	{57, 639, 626},	//575 Soprano::Util::AsyncModel::listContextsAsync
	{57, 645, 625},	//576 Soprano::Util::AsyncModel::listStatementsAsync#
	{57, 671, 615},	//577 Soprano::Util::AsyncModel::metaObject
	{57, 755, 616},	//578 Soprano::Util::AsyncModel::qt_metacall$$?
	{57, 788, 622},	//579 Soprano::Util::AsyncModel::removeAllStatementsAsync#
	{57, 798, 621},	//580 Soprano::Util::AsyncModel::removeStatementAsync#
	{57, 892, 624},	//581 Soprano::Util::AsyncModel::statementCountAsync
	{57, 998, 619},	//582 Soprano::Util::AsyncModel::~AsyncModel
	{58, 671, 632},	//583 Soprano::Util::AsyncResult::metaObject
	{58, 755, 633},	//584 Soprano::Util::AsyncResult::qt_metacall$$?
	{58, 967, 634},	//585 Soprano::Util::AsyncResult::value
	{59, 139, 641},	//586 Soprano::Util::MutexModel::MutexModel$
	{59, 140, 640},	//587 Soprano::Util::MutexModel::MutexModel$#
	{59, 170, 635},	//588 Soprano::Util::MutexModel::PlainMultiThreading
	{59, 200, 636},	//589 Soprano::Util::MutexModel::ReadWriteMultiThreading
	{59, 201, 637},	//590 Soprano::Util::MutexModel::ReadWriteSingleThreading
	{59, 275, 643},	//591 Soprano::Util::MutexModel::addStatement#
	{59, 380, 651},	//592 Soprano::Util::MutexModel::containsAnyStatement#
	{59, 388, 650},	//593 Soprano::Util::MutexModel::containsStatement#
	{59, 496, 649},	//594 Soprano::Util::MutexModel::executeQuery$$
	{59, 497, 648},	//595 Soprano::Util::MutexModel::executeQuery$$$
	{59, 584, 652},	//596 Soprano::Util::MutexModel::isEmpty
	{59, 638, 647},	//597 Soprano::Util::MutexModel::listContexts
	{59, 641, 646},	//598 Soprano::Util::MutexModel::listStatements#
	{59, 671, 638},	//599 Soprano::Util::MutexModel::metaObject
	{59, 755, 639},	//600 Soprano::Util::MutexModel::qt_metacall$$?
	{59, 784, 645},	//601 Soprano::Util::MutexModel::removeAllStatements#
	{59, 794, 644},	//602 Soprano::Util::MutexModel::removeStatement#
	{59, 891, 653},	//603 Soprano::Util::MutexModel::statementCount
	{59, 1017, 642},	//604 Soprano::Util::MutexModel::~MutexModel
	{60, 198, 657},	//605 Soprano::Util::ReadOnlyModel::ReadOnlyModel
	{60, 199, 656},	//606 Soprano::Util::ReadOnlyModel::ReadOnlyModel#
	{60, 275, 668},	//607 Soprano::Util::ReadOnlyModel::addStatement#
	{60, 380, 665},	//608 Soprano::Util::ReadOnlyModel::containsAnyStatement#
	{60, 388, 664},	//609 Soprano::Util::ReadOnlyModel::containsStatement#
	{60, 405, 671},	//610 Soprano::Util::ReadOnlyModel::createBlankNode
	{60, 496, 663},	//611 Soprano::Util::ReadOnlyModel::executeQuery$$
	{60, 497, 662},	//612 Soprano::Util::ReadOnlyModel::executeQuery$$$
	{60, 584, 666},	//613 Soprano::Util::ReadOnlyModel::isEmpty
	{60, 638, 661},	//614 Soprano::Util::ReadOnlyModel::listContexts
	{60, 641, 660},	//615 Soprano::Util::ReadOnlyModel::listStatements#
	{60, 671, 654},	//616 Soprano::Util::ReadOnlyModel::metaObject
	{60, 755, 655},	//617 Soprano::Util::ReadOnlyModel::qt_metacall$$?
	{60, 784, 670},	//618 Soprano::Util::ReadOnlyModel::removeAllStatements#
	{60, 794, 669},	//619 Soprano::Util::ReadOnlyModel::removeStatement#
	{60, 863, 659},	//620 Soprano::Util::ReadOnlyModel::setParentModel#
	{60, 891, 667},	//621 Soprano::Util::ReadOnlyModel::statementCount
	{60, 1028, 658},	//622 Soprano::Util::ReadOnlyModel::~ReadOnlyModel
	{61, 233, 675},	//623 Soprano::Util::SignalCacheModel::SignalCacheModel
	{61, 234, 674},	//624 Soprano::Util::SignalCacheModel::SignalCacheModel#
	{61, 338, 677},	//625 Soprano::Util::SignalCacheModel::cacheTime
	{61, 671, 672},	//626 Soprano::Util::SignalCacheModel::metaObject
	{61, 723, 679},	//627 Soprano::Util::SignalCacheModel::parentStatementsAdded
	{61, 724, 680},	//628 Soprano::Util::SignalCacheModel::parentStatementsRemoved
	{61, 755, 673},	//629 Soprano::Util::SignalCacheModel::qt_metacall$$?
	{61, 840, 678},	//630 Soprano::Util::SignalCacheModel::setCacheTime$
	{61, 926, 681},	//631 Soprano::Util::SignalCacheModel::timerEvent#
	{61, 1034, 676},	//632 Soprano::Util::SignalCacheModel::~SignalCacheModel
	{62, 235, 682},	//633 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
	{62, 236, 684},	//634 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
	{62, 237, 683},	//635 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
	{62, 702, 687},	//636 Soprano::Util::SimpleNodeIterator::operator=#
	{62, 706, 686},	//637 Soprano::Util::SimpleNodeIterator::operator=?
	{62, 1035, 685},	//638 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
	{64, 166, 689},	//639 Soprano::Vocabulary::NAO::Party
	{64, 253, 690},	//640 Soprano::Vocabulary::NAO::Symbol
	{64, 256, 691},	//641 Soprano::Vocabulary::NAO::Tag
	{64, 296, 692},	//642 Soprano::Vocabulary::NAO::altLabel
	{64, 297, 693},	//643 Soprano::Vocabulary::NAO::altSymbol
	{64, 298, 694},	//644 Soprano::Vocabulary::NAO::annotation
	{64, 399, 695},	//645 Soprano::Vocabulary::NAO::contributor
	{64, 421, 696},	//646 Soprano::Vocabulary::NAO::created
	{64, 422, 697},	//647 Soprano::Vocabulary::NAO::creator
	{64, 445, 698},	//648 Soprano::Vocabulary::NAO::description
	{64, 485, 699},	//649 Soprano::Vocabulary::NAO::engineeringTool
	{64, 532, 700},	//650 Soprano::Vocabulary::NAO::hasDefaultNamespace
	{64, 533, 701},	//651 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
	{64, 536, 702},	//652 Soprano::Vocabulary::NAO::hasSymbol
	{64, 537, 703},	//653 Soprano::Vocabulary::NAO::hasTag
	{64, 538, 704},	//654 Soprano::Vocabulary::NAO::hasTopic
	{64, 549, 705},	//655 Soprano::Vocabulary::NAO::identifier
	{64, 599, 706},	//656 Soprano::Vocabulary::NAO::isRelated
	{64, 607, 707},	//657 Soprano::Vocabulary::NAO::isTagFor
	{64, 609, 708},	//658 Soprano::Vocabulary::NAO::isTopicOf
	{64, 629, 709},	//659 Soprano::Vocabulary::NAO::lastModified
	{64, 679, 710},	//660 Soprano::Vocabulary::NAO::modified
	{64, 682, 688},	//661 Soprano::Vocabulary::NAO::naoNamespace
	{64, 689, 711},	//662 Soprano::Vocabulary::NAO::numericRating
	{64, 739, 712},	//663 Soprano::Vocabulary::NAO::personalIdentifier
	{64, 748, 713},	//664 Soprano::Vocabulary::NAO::prefLabel
	{64, 749, 714},	//665 Soprano::Vocabulary::NAO::prefSymbol
	{64, 764, 715},	//666 Soprano::Vocabulary::NAO::rating
	{64, 823, 716},	//667 Soprano::Vocabulary::NAO::serializationLanguage
	{64, 898, 717},	//668 Soprano::Vocabulary::NAO::status
	{64, 971, 718},	//669 Soprano::Vocabulary::NAO::version
	{65, 7, 720},	//670 Soprano::Vocabulary::NRL::AsymmetricProperty
	{65, 43, 721},	//671 Soprano::Vocabulary::NRL::Configuration
	{65, 64, 722},	//672 Soprano::Vocabulary::NRL::Data
	{65, 69, 723},	//673 Soprano::Vocabulary::NRL::DefaultGraph
	{65, 74, 724},	//674 Soprano::Vocabulary::NRL::DocumentGraph
	{65, 92, 725},	//675 Soprano::Vocabulary::NRL::ExternalViewSpecification
	{65, 99, 726},	//676 Soprano::Vocabulary::NRL::FunctionalProperty
	{65, 100, 727},	//677 Soprano::Vocabulary::NRL::Graph
	{65, 101, 728},	//678 Soprano::Vocabulary::NRL::GraphMetadata
	{65, 102, 729},	//679 Soprano::Vocabulary::NRL::GraphView
	{65, 115, 730},	//680 Soprano::Vocabulary::NRL::InstanceBase
	{65, 116, 731},	//681 Soprano::Vocabulary::NRL::InverseFunctionalProperty
	{65, 117, 732},	//682 Soprano::Vocabulary::NRL::KnowledgeBase
	{65, 156, 733},	//683 Soprano::Vocabulary::NRL::Ontology
	{65, 202, 734},	//684 Soprano::Vocabulary::NRL::ReflexiveProperty
	{65, 217, 735},	//685 Soprano::Vocabulary::NRL::RuleViewSpecification
	{65, 218, 736},	//686 Soprano::Vocabulary::NRL::Schema
	{65, 219, 737},	//687 Soprano::Vocabulary::NRL::Semantics
	{65, 254, 738},	//688 Soprano::Vocabulary::NRL::SymmetricProperty
	{65, 260, 739},	//689 Soprano::Vocabulary::NRL::TransitiveProperty
	{65, 263, 740},	//690 Soprano::Vocabulary::NRL::ViewSpecification
	{65, 341, 741},	//691 Soprano::Vocabulary::NRL::cardinality
	{65, 403, 742},	//692 Soprano::Vocabulary::NRL::coreGraphMetadataFor
	{65, 487, 743},	//693 Soprano::Vocabulary::NRL::equivalentGraph
	{65, 504, 744},	//694 Soprano::Vocabulary::NRL::externalRealizer
	{65, 530, 745},	//695 Soprano::Vocabulary::NRL::graphMetadataFor
	{65, 534, 746},	//696 Soprano::Vocabulary::NRL::hasSemantics
	{65, 535, 747},	//697 Soprano::Vocabulary::NRL::hasSpecification
	{65, 551, 748},	//698 Soprano::Vocabulary::NRL::imports
	{65, 564, 749},	//699 Soprano::Vocabulary::NRL::inverseProperty
	{65, 662, 750},	//700 Soprano::Vocabulary::NRL::maxCardinality
	{65, 676, 751},	//701 Soprano::Vocabulary::NRL::minCardinality
	{65, 688, 719},	//702 Soprano::Vocabulary::NRL::nrlNamespace
	{65, 767, 752},	//703 Soprano::Vocabulary::NRL::realizes
	{65, 809, 753},	//704 Soprano::Vocabulary::NRL::rule
	{65, 811, 754},	//705 Soprano::Vocabulary::NRL::ruleLanguage
	{65, 822, 755},	//706 Soprano::Vocabulary::NRL::semanticsDefinedBy
	{65, 904, 756},	//707 Soprano::Vocabulary::NRL::subGraphOf
	{65, 911, 757},	//708 Soprano::Vocabulary::NRL::superGraphOf
	{65, 957, 758},	//709 Soprano::Vocabulary::NRL::updatable
	{65, 981, 759},	//710 Soprano::Vocabulary::NRL::viewOn
	{66, 1, 761},	//711 Soprano::Vocabulary::OWL::AllDifferent
	{66, 4, 762},	//712 Soprano::Vocabulary::OWL::AnnotationProperty
	{66, 41, 763},	//713 Soprano::Vocabulary::OWL::Class
	{66, 66, 764},	//714 Soprano::Vocabulary::OWL::DataRange
	{66, 68, 765},	//715 Soprano::Vocabulary::OWL::DatatypeProperty
	{66, 71, 766},	//716 Soprano::Vocabulary::OWL::DeprecatedClass
	{66, 72, 767},	//717 Soprano::Vocabulary::OWL::DeprecatedProperty
	{66, 99, 768},	//718 Soprano::Vocabulary::OWL::FunctionalProperty
	{66, 116, 769},	//719 Soprano::Vocabulary::OWL::InverseFunctionalProperty
	{66, 153, 770},	//720 Soprano::Vocabulary::OWL::Nothing
	{66, 154, 771},	//721 Soprano::Vocabulary::OWL::ObjectProperty
	{66, 156, 772},	//722 Soprano::Vocabulary::OWL::Ontology
	{66, 157, 773},	//723 Soprano::Vocabulary::OWL::OntologyProperty
	{66, 208, 774},	//724 Soprano::Vocabulary::OWL::Restriction
	{66, 254, 775},	//725 Soprano::Vocabulary::OWL::SymmetricProperty
	{66, 259, 776},	//726 Soprano::Vocabulary::OWL::Thing
	{66, 260, 777},	//727 Soprano::Vocabulary::OWL::TransitiveProperty
	{66, 295, 778},	//728 Soprano::Vocabulary::OWL::allValuesFrom
	{66, 319, 779},	//729 Soprano::Vocabulary::OWL::backwardCompatibleWith
	{66, 341, 780},	//730 Soprano::Vocabulary::OWL::cardinality
	{66, 367, 781},	//731 Soprano::Vocabulary::OWL::complementOf
	{66, 446, 782},	//732 Soprano::Vocabulary::OWL::differentFrom
	{66, 474, 783},	//733 Soprano::Vocabulary::OWL::disjointWith
	{66, 475, 784},	//734 Soprano::Vocabulary::OWL::distinctMembers
	{66, 486, 785},	//735 Soprano::Vocabulary::OWL::equivalentClass
	{66, 488, 786},	//736 Soprano::Vocabulary::OWL::equivalentProperty
	{66, 539, 787},	//737 Soprano::Vocabulary::OWL::hasValue
	{66, 551, 788},	//738 Soprano::Vocabulary::OWL::imports
	{66, 553, 789},	//739 Soprano::Vocabulary::OWL::incompatibleWith
	{66, 562, 790},	//740 Soprano::Vocabulary::OWL::intersectionOf
	{66, 563, 791},	//741 Soprano::Vocabulary::OWL::inverseOf
	{66, 662, 792},	//742 Soprano::Vocabulary::OWL::maxCardinality
	{66, 676, 793},	//743 Soprano::Vocabulary::OWL::minCardinality
	{66, 693, 794},	//744 Soprano::Vocabulary::OWL::onProperty
	{66, 694, 795},	//745 Soprano::Vocabulary::OWL::oneOf
	{66, 714, 760},	//746 Soprano::Vocabulary::OWL::owlNamespace
	{66, 751, 796},	//747 Soprano::Vocabulary::OWL::priorVersion
	{66, 814, 797},	//748 Soprano::Vocabulary::OWL::sameAs
	{66, 880, 798},	//749 Soprano::Vocabulary::OWL::someValuesFrom
	{66, 951, 799},	//750 Soprano::Vocabulary::OWL::unionOf
	{66, 972, 800},	//751 Soprano::Vocabulary::OWL::versionInfo
	{67, 2, 802},	//752 Soprano::Vocabulary::RDF::Alt
	{67, 33, 803},	//753 Soprano::Vocabulary::RDF::Bag
	{67, 118, 804},	//754 Soprano::Vocabulary::RDF::List
	{67, 176, 805},	//755 Soprano::Vocabulary::RDF::Property
	{67, 220, 806},	//756 Soprano::Vocabulary::RDF::Seq
	{67, 242, 807},	//757 Soprano::Vocabulary::RDF::Statement
	{67, 266, 808},	//758 Soprano::Vocabulary::RDF::XMLLiteral
	{67, 511, 809},	//759 Soprano::Vocabulary::RDF::first
	{67, 685, 810},	//760 Soprano::Vocabulary::RDF::nil
	{67, 690, 811},	//761 Soprano::Vocabulary::RDF::object
	{67, 746, 812},	//762 Soprano::Vocabulary::RDF::predicate
	{67, 765, 801},	//763 Soprano::Vocabulary::RDF::rdfNamespace
	{67, 804, 813},	//764 Soprano::Vocabulary::RDF::rest
	{67, 908, 814},	//765 Soprano::Vocabulary::RDF::subject
	{67, 947, 815},	//766 Soprano::Vocabulary::RDF::type
	{67, 967, 816},	//767 Soprano::Vocabulary::RDF::value
	{68, 41, 818},	//768 Soprano::Vocabulary::RDFS::Class
	{68, 46, 819},	//769 Soprano::Vocabulary::RDFS::Container
	{68, 47, 820},	//770 Soprano::Vocabulary::RDFS::ContainerMembershipProperty
	{68, 67, 821},	//771 Soprano::Vocabulary::RDFS::Datatype
	{68, 119, 822},	//772 Soprano::Vocabulary::RDFS::Literal
	{68, 206, 823},	//773 Soprano::Vocabulary::RDFS::Resource
	{68, 363, 824},	//774 Soprano::Vocabulary::RDFS::comment
	{68, 479, 825},	//775 Soprano::Vocabulary::RDFS::domain
	{68, 576, 826},	//776 Soprano::Vocabulary::RDFS::isDefinedBy
	{68, 627, 827},	//777 Soprano::Vocabulary::RDFS::label
	{68, 668, 828},	//778 Soprano::Vocabulary::RDFS::member
	{68, 762, 829},	//779 Soprano::Vocabulary::RDFS::range
	{68, 766, 817},	//780 Soprano::Vocabulary::RDFS::rdfsNamespace
	{68, 820, 830},	//781 Soprano::Vocabulary::RDFS::seeAlso
	{68, 901, 831},	//782 Soprano::Vocabulary::RDFS::subClassOf
	{68, 905, 832},	//783 Soprano::Vocabulary::RDFS::subPropertyOf
	{69, 111, 835},	//784 Soprano::Vocabulary::SIL::InferenceGraph
	{69, 112, 834},	//785 Soprano::Vocabulary::SIL::InferenceMetaData
	{69, 398, 837},	//786 Soprano::Vocabulary::SIL::context
	{69, 878, 833},	//787 Soprano::Vocabulary::SIL::silNamespace
	{69, 883, 836},	//788 Soprano::Vocabulary::SIL::sourceStatement
	{70, 320, 856},	//789 Soprano::Vocabulary::XMLSchema::base64Binary
	{70, 336, 852},	//790 Soprano::Vocabulary::XMLSchema::boolean
	{70, 431, 853},	//791 Soprano::Vocabulary::XMLSchema::date
	{70, 432, 854},	//792 Soprano::Vocabulary::XMLSchema::dateTime
	{70, 434, 843},	//793 Soprano::Vocabulary::XMLSchema::decimal
	{70, 559, 840},	//794 Soprano::Vocabulary::XMLSchema::integer
	{70, 683, 841},	//795 Soprano::Vocabulary::XMLSchema::negativeInteger
	{70, 687, 842},	//796 Soprano::Vocabulary::XMLSchema::nonNegativeInteger
	{70, 900, 849},	//797 Soprano::Vocabulary::XMLSchema::string
	{70, 924, 855},	//798 Soprano::Vocabulary::XMLSchema::time
	{70, 954, 846},	//799 Soprano::Vocabulary::XMLSchema::unsignedInt
	{70, 955, 848},	//800 Soprano::Vocabulary::XMLSchema::unsignedLong
	{70, 956, 847},	//801 Soprano::Vocabulary::XMLSchema::unsignedShort
	{70, 992, 851},	//802 Soprano::Vocabulary::XMLSchema::xsdDouble
	{70, 993, 850},	//803 Soprano::Vocabulary::XMLSchema::xsdFloat
	{70, 994, 839},	//804 Soprano::Vocabulary::XMLSchema::xsdInt
	{70, 995, 845},	//805 Soprano::Vocabulary::XMLSchema::xsdLong
	{70, 996, 838},	//806 Soprano::Vocabulary::XMLSchema::xsdNamespace
	{70, 997, 844},	//807 Soprano::Vocabulary::XMLSchema::xsdShort
	{71, 3, 859},	//808 Soprano::Vocabulary::Xesam::Annotation
	{71, 5, 860},	//809 Soprano::Vocabulary::Xesam::Archive
	{71, 6, 861},	//810 Soprano::Vocabulary::Xesam::ArchivedFile
	{71, 10, 862},	//811 Soprano::Vocabulary::Xesam::Audio
	{71, 11, 863},	//812 Soprano::Vocabulary::Xesam::AudioList
	{71, 37, 864},	//813 Soprano::Vocabulary::Xesam::BlockDevice
	{71, 38, 865},	//814 Soprano::Vocabulary::Xesam::Bookmark
	{71, 42, 866},	//815 Soprano::Vocabulary::Xesam::CommunicationChannel
	{71, 44, 867},	//816 Soprano::Vocabulary::Xesam::Contact
	{71, 45, 868},	//817 Soprano::Vocabulary::Xesam::ContactGroup
	{71, 48, 869},	//818 Soprano::Vocabulary::Xesam::Content
	{71, 65, 870},	//819 Soprano::Vocabulary::Xesam::DataObject
	{71, 70, 871},	//820 Soprano::Vocabulary::Xesam::DeletedFile
	{71, 73, 872},	//821 Soprano::Vocabulary::Xesam::Document
	{71, 75, 873},	//822 Soprano::Vocabulary::Xesam::Documentation
	{71, 76, 874},	//823 Soprano::Vocabulary::Xesam::Email
	{71, 77, 875},	//824 Soprano::Vocabulary::Xesam::EmailAttachment
	{71, 78, 876},	//825 Soprano::Vocabulary::Xesam::EmbeddedObject
	{71, 93, 877},	//826 Soprano::Vocabulary::Xesam::File
	{71, 94, 878},	//827 Soprano::Vocabulary::Xesam::FileSystem
	{71, 95, 879},	//828 Soprano::Vocabulary::Xesam::Filelike
	{71, 98, 880},	//829 Soprano::Vocabulary::Xesam::Folder
	{71, 103, 881},	//830 Soprano::Vocabulary::Xesam::IMAP4Message
	{71, 104, 882},	//831 Soprano::Vocabulary::Xesam::IMMessage
	{71, 105, 883},	//832 Soprano::Vocabulary::Xesam::Image
	{71, 130, 884},	//833 Soprano::Vocabulary::Xesam::MailingList
	{71, 131, 885},	//834 Soprano::Vocabulary::Xesam::MailingListEmail
	{71, 132, 886},	//835 Soprano::Vocabulary::Xesam::Media
	{71, 133, 887},	//836 Soprano::Vocabulary::Xesam::MediaList
	{71, 134, 888},	//837 Soprano::Vocabulary::Xesam::Message
	{71, 135, 889},	//838 Soprano::Vocabulary::Xesam::MessageboxMessage
	{71, 137, 890},	//839 Soprano::Vocabulary::Xesam::Music
	{71, 142, 891},	//840 Soprano::Vocabulary::Xesam::NewsGroup
	{71, 143, 892},	//841 Soprano::Vocabulary::Xesam::NewsGroupEmail
	{71, 155, 893},	//842 Soprano::Vocabulary::Xesam::OfflineMedia
	{71, 158, 894},	//843 Soprano::Vocabulary::Xesam::Organization
	{71, 159, 895},	//844 Soprano::Vocabulary::Xesam::POP3Message
	{71, 167, 896},	//845 Soprano::Vocabulary::Xesam::Person
	{71, 168, 897},	//846 Soprano::Vocabulary::Xesam::PersonalEmail
	{71, 169, 898},	//847 Soprano::Vocabulary::Xesam::Photo
	{71, 174, 899},	//848 Soprano::Vocabulary::Xesam::Presentation
	{71, 175, 900},	//849 Soprano::Vocabulary::Xesam::Project
	{71, 194, 901},	//850 Soprano::Vocabulary::Xesam::RSSFeed
	{71, 195, 902},	//851 Soprano::Vocabulary::Xesam::RSSMessage
	{71, 203, 903},	//852 Soprano::Vocabulary::Xesam::RemoteFile
	{71, 204, 904},	//853 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
	{71, 205, 905},	//854 Soprano::Vocabulary::Xesam::RemoteResource
	{71, 209, 906},	//855 Soprano::Vocabulary::Xesam::RevisionControlledFile
	{71, 210, 907},	//856 Soprano::Vocabulary::Xesam::RevisionControlledRepository
	{71, 238, 908},	//857 Soprano::Vocabulary::Xesam::SoftwarePackage
	{71, 239, 909},	//858 Soprano::Vocabulary::Xesam::Source
	{71, 240, 910},	//859 Soprano::Vocabulary::Xesam::SourceCode
	{71, 241, 911},	//860 Soprano::Vocabulary::Xesam::Spreadsheet
	{71, 255, 912},	//861 Soprano::Vocabulary::Xesam::SystemResource
	{71, 256, 913},	//862 Soprano::Vocabulary::Xesam::Tag
	{71, 257, 914},	//863 Soprano::Vocabulary::Xesam::Text
	{71, 258, 915},	//864 Soprano::Vocabulary::Xesam::TextDocument
	{71, 261, 916},	//865 Soprano::Vocabulary::Xesam::UncategorizedText
	{71, 262, 917},	//866 Soprano::Vocabulary::Xesam::Video
	{71, 264, 918},	//867 Soprano::Vocabulary::Xesam::Visual
	{71, 265, 919},	//868 Soprano::Vocabulary::Xesam::XML
	{71, 267, 920},	//869 Soprano::Vocabulary::Xesam::acl
	{71, 282, 921},	//870 Soprano::Vocabulary::Xesam::album
	{71, 283, 922},	//871 Soprano::Vocabulary::Xesam::albumArtist
	{71, 284, 923},	//872 Soprano::Vocabulary::Xesam::albumGain
	{71, 285, 924},	//873 Soprano::Vocabulary::Xesam::albumPeakGain
	{71, 286, 925},	//874 Soprano::Vocabulary::Xesam::albumTrackCount
	{71, 299, 926},	//875 Soprano::Vocabulary::Xesam::aperture
	{71, 300, 927},	//876 Soprano::Vocabulary::Xesam::artist
	{71, 301, 928},	//877 Soprano::Vocabulary::Xesam::asText
	{71, 302, 929},	//878 Soprano::Vocabulary::Xesam::aspectRatio
	{71, 306, 930},	//879 Soprano::Vocabulary::Xesam::attachmentEncoding
	{71, 307, 931},	//880 Soprano::Vocabulary::Xesam::audioBPM
	{71, 308, 932},	//881 Soprano::Vocabulary::Xesam::audioBitrate
	{71, 309, 933},	//882 Soprano::Vocabulary::Xesam::audioChannels
	{71, 310, 934},	//883 Soprano::Vocabulary::Xesam::audioCodec
	{71, 311, 935},	//884 Soprano::Vocabulary::Xesam::audioCodecType
	{71, 312, 936},	//885 Soprano::Vocabulary::Xesam::audioSampleBitDepth
	{71, 313, 937},	//886 Soprano::Vocabulary::Xesam::audioSampleCount
	{71, 314, 938},	//887 Soprano::Vocabulary::Xesam::audioSampleDataType
	{71, 315, 939},	//888 Soprano::Vocabulary::Xesam::audioSampleRate
	{71, 316, 940},	//889 Soprano::Vocabulary::Xesam::author
	{71, 317, 941},	//890 Soprano::Vocabulary::Xesam::autoRating
	{71, 321, 942},	//891 Soprano::Vocabulary::Xesam::baseRevisionID
	{71, 322, 943},	//892 Soprano::Vocabulary::Xesam::bcc
	{71, 333, 944},	//893 Soprano::Vocabulary::Xesam::birthDate
	{71, 334, 945},	//894 Soprano::Vocabulary::Xesam::blogContactURL
	{71, 339, 946},	//895 Soprano::Vocabulary::Xesam::cameraManufacturer
	{71, 340, 947},	//896 Soprano::Vocabulary::Xesam::cameraModel
	{71, 342, 948},	//897 Soprano::Vocabulary::Xesam::cc
	{71, 343, 949},	//898 Soprano::Vocabulary::Xesam::ccdWidth
	{71, 344, 950},	//899 Soprano::Vocabulary::Xesam::cellPhoneNumber
	{71, 345, 951},	//900 Soprano::Vocabulary::Xesam::changeCommitTime
	{71, 346, 952},	//901 Soprano::Vocabulary::Xesam::changeCommitter
	{71, 347, 953},	//902 Soprano::Vocabulary::Xesam::characterCount
	{71, 348, 954},	//903 Soprano::Vocabulary::Xesam::charset
	{71, 349, 955},	//904 Soprano::Vocabulary::Xesam::chatRoom
	{71, 359, 956},	//905 Soprano::Vocabulary::Xesam::colorCount
	{71, 360, 957},	//906 Soprano::Vocabulary::Xesam::colorSpace
	{71, 362, 958},	//907 Soprano::Vocabulary::Xesam::columnCount
	{71, 363, 959},	//908 Soprano::Vocabulary::Xesam::comment
	{71, 364, 960},	//909 Soprano::Vocabulary::Xesam::commentCharacterCount
	{71, 365, 961},	//910 Soprano::Vocabulary::Xesam::commitDiff
	{71, 366, 962},	//911 Soprano::Vocabulary::Xesam::communicationChannel
	{71, 368, 963},	//912 Soprano::Vocabulary::Xesam::composer
	{71, 369, 964},	//913 Soprano::Vocabulary::Xesam::compressionAlgorithm
	{71, 370, 965},	//914 Soprano::Vocabulary::Xesam::compressionLevel
	{71, 371, 966},	//915 Soprano::Vocabulary::Xesam::conflicts
	{71, 374, 967},	//916 Soprano::Vocabulary::Xesam::contactMedium
	{71, 375, 968},	//917 Soprano::Vocabulary::Xesam::contactNick
	{71, 376, 969},	//918 Soprano::Vocabulary::Xesam::contactURL
	{71, 377, 970},	//919 Soprano::Vocabulary::Xesam::contains
	{71, 393, 971},	//920 Soprano::Vocabulary::Xesam::contentComment
	{71, 394, 972},	//921 Soprano::Vocabulary::Xesam::contentCreated
	{71, 395, 973},	//922 Soprano::Vocabulary::Xesam::contentKeyword
	{71, 396, 974},	//923 Soprano::Vocabulary::Xesam::contentModified
	{71, 397, 975},	//924 Soprano::Vocabulary::Xesam::contentType
	{71, 399, 976},	//925 Soprano::Vocabulary::Xesam::contributor
	{71, 402, 977},	//926 Soprano::Vocabulary::Xesam::copyright
	{71, 422, 978},	//927 Soprano::Vocabulary::Xesam::creator
	{71, 436, 979},	//928 Soprano::Vocabulary::Xesam::definesClass
	{71, 437, 980},	//929 Soprano::Vocabulary::Xesam::definesFunction
	{71, 438, 981},	//930 Soprano::Vocabulary::Xesam::definesGlobalVariable
	{71, 442, 982},	//931 Soprano::Vocabulary::Xesam::deletionTime
	{71, 443, 983},	//932 Soprano::Vocabulary::Xesam::depends
	{71, 444, 984},	//933 Soprano::Vocabulary::Xesam::derivedFrom
	{71, 445, 985},	//934 Soprano::Vocabulary::Xesam::description
	{71, 455, 986},	//935 Soprano::Vocabulary::Xesam::discNumber
	{71, 456, 987},	//936 Soprano::Vocabulary::Xesam::disclaimer
	{71, 476, 988},	//937 Soprano::Vocabulary::Xesam::documentCategory
	{71, 484, 989},	//938 Soprano::Vocabulary::Xesam::emailAddress
	{71, 501, 990},	//939 Soprano::Vocabulary::Xesam::exposureBias
	{71, 502, 991},	//940 Soprano::Vocabulary::Xesam::exposureProgram
	{71, 503, 992},	//941 Soprano::Vocabulary::Xesam::exposureTime
	{71, 505, 993},	//942 Soprano::Vocabulary::Xesam::familyName
	{71, 506, 994},	//943 Soprano::Vocabulary::Xesam::faxPhoneNumber
	{71, 507, 995},	//944 Soprano::Vocabulary::Xesam::fileExtension
	{71, 509, 996},	//945 Soprano::Vocabulary::Xesam::fileSystemType
	{71, 510, 997},	//946 Soprano::Vocabulary::Xesam::fingerprint
	{71, 512, 998},	//947 Soprano::Vocabulary::Xesam::firstUsed
	{71, 513, 999},	//948 Soprano::Vocabulary::Xesam::flashUsed
	{71, 514, 1000},	//949 Soprano::Vocabulary::Xesam::focalLength
	{71, 515, 1001},	//950 Soprano::Vocabulary::Xesam::focusDistance
	{71, 516, 1002},	//951 Soprano::Vocabulary::Xesam::formatSubtype
	{71, 517, 1003},	//952 Soprano::Vocabulary::Xesam::frameCount
	{71, 518, 1004},	//953 Soprano::Vocabulary::Xesam::frameRate
	{71, 519, 1005},	//954 Soprano::Vocabulary::Xesam::freeSpace
	{71, 523, 1006},	//955 Soprano::Vocabulary::Xesam::gender
	{71, 524, 1007},	//956 Soprano::Vocabulary::Xesam::generator
	{71, 525, 1008},	//957 Soprano::Vocabulary::Xesam::generatorOptions
	{71, 526, 1009},	//958 Soprano::Vocabulary::Xesam::genre
	{71, 529, 1010},	//959 Soprano::Vocabulary::Xesam::givenName
	{71, 531, 1011},	//960 Soprano::Vocabulary::Xesam::group
	{71, 540, 1012},	//961 Soprano::Vocabulary::Xesam::height
	{71, 541, 1013},	//962 Soprano::Vocabulary::Xesam::homeEmailAddress
	{71, 542, 1014},	//963 Soprano::Vocabulary::Xesam::homePhoneNumber
	{71, 543, 1015},	//964 Soprano::Vocabulary::Xesam::homePostalAddress
	{71, 544, 1016},	//965 Soprano::Vocabulary::Xesam::homepageContactURL
	{71, 545, 1017},	//966 Soprano::Vocabulary::Xesam::honorificPrefix
	{71, 546, 1018},	//967 Soprano::Vocabulary::Xesam::honorificSuffix
	{71, 547, 1019},	//968 Soprano::Vocabulary::Xesam::horizontalResolution
	{71, 548, 1020},	//969 Soprano::Vocabulary::Xesam::id
	{71, 550, 1021},	//970 Soprano::Vocabulary::Xesam::imContactMedium
	{71, 552, 1022},	//971 Soprano::Vocabulary::Xesam::inReplyTo
	{71, 560, 1023},	//972 Soprano::Vocabulary::Xesam::interest
	{71, 561, 1024},	//973 Soprano::Vocabulary::Xesam::interlaceMode
	{71, 565, 1025},	//974 Soprano::Vocabulary::Xesam::ircContactMedium
	{71, 573, 1026},	//975 Soprano::Vocabulary::Xesam::isContentEncrypted
	{71, 586, 1027},	//976 Soprano::Vocabulary::Xesam::isEncrypted
	{71, 588, 1028},	//977 Soprano::Vocabulary::Xesam::isImportant
	{71, 589, 1029},	//978 Soprano::Vocabulary::Xesam::isInProgress
	{71, 597, 1030},	//979 Soprano::Vocabulary::Xesam::isPublicChannel
	{71, 598, 1031},	//980 Soprano::Vocabulary::Xesam::isRead
	{71, 601, 1032},	//981 Soprano::Vocabulary::Xesam::isSourceEncrypted
	{71, 616, 1033},	//982 Soprano::Vocabulary::Xesam::isoEquivalent
	{71, 624, 1034},	//983 Soprano::Vocabulary::Xesam::jabberContactMedium
	{71, 625, 1035},	//984 Soprano::Vocabulary::Xesam::keyword
	{71, 626, 1036},	//985 Soprano::Vocabulary::Xesam::knows
	{71, 628, 1037},	//986 Soprano::Vocabulary::Xesam::language
	{71, 630, 1038},	//987 Soprano::Vocabulary::Xesam::lastRefreshed
	{71, 631, 1039},	//988 Soprano::Vocabulary::Xesam::lastUsed
	{71, 632, 1040},	//989 Soprano::Vocabulary::Xesam::legal
	{71, 633, 1041},	//990 Soprano::Vocabulary::Xesam::license
	{71, 634, 1042},	//991 Soprano::Vocabulary::Xesam::licenseType
	{71, 636, 1043},	//992 Soprano::Vocabulary::Xesam::lineCount
	{71, 637, 1044},	//993 Soprano::Vocabulary::Xesam::links
	{71, 651, 1045},	//994 Soprano::Vocabulary::Xesam::localRevision
	{71, 653, 1046},	//995 Soprano::Vocabulary::Xesam::lyricist
	{71, 654, 1047},	//996 Soprano::Vocabulary::Xesam::mailingList
	{71, 655, 1048},	//997 Soprano::Vocabulary::Xesam::mailingPostalAddress
	{71, 656, 1049},	//998 Soprano::Vocabulary::Xesam::maintainer
	{71, 657, 1050},	//999 Soprano::Vocabulary::Xesam::markupCharacterCount
	{71, 663, 1051},	//1000 Soprano::Vocabulary::Xesam::md5Hash
	{71, 664, 1052},	//1001 Soprano::Vocabulary::Xesam::mediaBitrate
	{71, 665, 1053},	//1002 Soprano::Vocabulary::Xesam::mediaCodec
	{71, 666, 1054},	//1003 Soprano::Vocabulary::Xesam::mediaCodecType
	{71, 667, 1055},	//1004 Soprano::Vocabulary::Xesam::mediaDuration
	{71, 669, 1056},	//1005 Soprano::Vocabulary::Xesam::mergeConflict
	{71, 672, 1057},	//1006 Soprano::Vocabulary::Xesam::meteringMode
	{71, 673, 1058},	//1007 Soprano::Vocabulary::Xesam::mimeType
	{71, 680, 1059},	//1008 Soprano::Vocabulary::Xesam::mountPoint
	{71, 681, 1060},	//1009 Soprano::Vocabulary::Xesam::name
	{71, 684, 1061},	//1010 Soprano::Vocabulary::Xesam::newsGroup
	{71, 692, 1062},	//1011 Soprano::Vocabulary::Xesam::occupiedSpace
	{71, 710, 1063},	//1012 Soprano::Vocabulary::Xesam::orientation
	{71, 711, 1064},	//1013 Soprano::Vocabulary::Xesam::originURL
	{71, 712, 1065},	//1014 Soprano::Vocabulary::Xesam::originalLocation
	{71, 713, 1066},	//1015 Soprano::Vocabulary::Xesam::otherName
	{71, 715, 1067},	//1016 Soprano::Vocabulary::Xesam::owner
	{71, 716, 1068},	//1017 Soprano::Vocabulary::Xesam::pageCount
	{71, 717, 1069},	//1018 Soprano::Vocabulary::Xesam::paragraphCount
	{71, 736, 1070},	//1019 Soprano::Vocabulary::Xesam::performer
	{71, 737, 1071},	//1020 Soprano::Vocabulary::Xesam::permissions
	{71, 738, 1072},	//1021 Soprano::Vocabulary::Xesam::personPhoto
	{71, 740, 1073},	//1022 Soprano::Vocabulary::Xesam::phoneNumber
	{71, 741, 1074},	//1023 Soprano::Vocabulary::Xesam::pixelDataBitDepth
	{71, 742, 1075},	//1024 Soprano::Vocabulary::Xesam::pixelDataType
	{71, 744, 1076},	//1025 Soprano::Vocabulary::Xesam::postalAddress
	{71, 750, 1077},	//1026 Soprano::Vocabulary::Xesam::primaryRecipient
	{71, 752, 1078},	//1027 Soprano::Vocabulary::Xesam::programmingLanguage
	{71, 769, 1079},	//1028 Soprano::Vocabulary::Xesam::receptionTime
	{71, 770, 1080},	//1029 Soprano::Vocabulary::Xesam::recipient
	{71, 778, 1081},	//1030 Soprano::Vocabulary::Xesam::related
	{71, 779, 1082},	//1031 Soprano::Vocabulary::Xesam::remotePassword
	{71, 780, 1083},	//1032 Soprano::Vocabulary::Xesam::remotePort
	{71, 781, 1084},	//1033 Soprano::Vocabulary::Xesam::remoteServer
	{71, 782, 1085},	//1034 Soprano::Vocabulary::Xesam::remoteUser
	{71, 801, 1086},	//1035 Soprano::Vocabulary::Xesam::replyTo
	{71, 807, 1087},	//1036 Soprano::Vocabulary::Xesam::rowCount
	{71, 808, 1088},	//1037 Soprano::Vocabulary::Xesam::rssFeed
	{71, 815, 1089},	//1038 Soprano::Vocabulary::Xesam::sampleConfiguration
	{71, 816, 1090},	//1039 Soprano::Vocabulary::Xesam::sampleDataBitDepth
	{71, 817, 1091},	//1040 Soprano::Vocabulary::Xesam::sampleDataType
	{71, 819, 1092},	//1041 Soprano::Vocabulary::Xesam::secondaryRecipient
	{71, 821, 1093},	//1042 Soprano::Vocabulary::Xesam::seenAttachedAs
	{71, 847, 1094},	//1043 Soprano::Vocabulary::Xesam::setCount
	{71, 866, 1095},	//1044 Soprano::Vocabulary::Xesam::setRate
	{71, 877, 1096},	//1045 Soprano::Vocabulary::Xesam::sha1Hash
	{71, 879, 1097},	//1046 Soprano::Vocabulary::Xesam::size
	{71, 881, 1098},	//1047 Soprano::Vocabulary::Xesam::sourceCreated
	{71, 882, 1099},	//1048 Soprano::Vocabulary::Xesam::sourceModified
	{71, 899, 1100},	//1049 Soprano::Vocabulary::Xesam::storageSize
	{71, 908, 1101},	//1050 Soprano::Vocabulary::Xesam::subject
	{71, 910, 1102},	//1051 Soprano::Vocabulary::Xesam::summary
	{71, 912, 1103},	//1052 Soprano::Vocabulary::Xesam::supercedes
	{71, 923, 1104},	//1053 Soprano::Vocabulary::Xesam::targetQuality
	{71, 927, 1105},	//1054 Soprano::Vocabulary::Xesam::title
	{71, 928, 1106},	//1055 Soprano::Vocabulary::Xesam::to
	{71, 941, 1107},	//1056 Soprano::Vocabulary::Xesam::totalSpace
	{71, 942, 1108},	//1057 Soprano::Vocabulary::Xesam::totalUncompressedSize
	{71, 943, 1109},	//1058 Soprano::Vocabulary::Xesam::trackGain
	{71, 944, 1110},	//1059 Soprano::Vocabulary::Xesam::trackNumber
	{71, 945, 1111},	//1060 Soprano::Vocabulary::Xesam::trackPeakGain
	{71, 959, 1112},	//1061 Soprano::Vocabulary::Xesam::url
	{71, 960, 1113},	//1062 Soprano::Vocabulary::Xesam::useCount
	{71, 962, 1114},	//1063 Soprano::Vocabulary::Xesam::userComment
	{71, 963, 1115},	//1064 Soprano::Vocabulary::Xesam::userKeyword
	{71, 965, 1116},	//1065 Soprano::Vocabulary::Xesam::userRating
	{71, 966, 1117},	//1066 Soprano::Vocabulary::Xesam::usesNamespace
	{71, 971, 1118},	//1067 Soprano::Vocabulary::Xesam::version
	{71, 977, 1119},	//1068 Soprano::Vocabulary::Xesam::verticalResolution
	{71, 978, 1120},	//1069 Soprano::Vocabulary::Xesam::videoBitrate
	{71, 979, 1121},	//1070 Soprano::Vocabulary::Xesam::videoCodec
	{71, 980, 1122},	//1071 Soprano::Vocabulary::Xesam::videoCodecType
	{71, 982, 1123},	//1072 Soprano::Vocabulary::Xesam::whiteBalance
	{71, 983, 1124},	//1073 Soprano::Vocabulary::Xesam::width
	{71, 984, 1125},	//1074 Soprano::Vocabulary::Xesam::wordCount
	{71, 985, 1126},	//1075 Soprano::Vocabulary::Xesam::workEmailAddress
	{71, 986, 1127},	//1076 Soprano::Vocabulary::Xesam::workPhoneNumber
	{71, 987, 1128},	//1077 Soprano::Vocabulary::Xesam::workPostalAddress
	{71, 990, 858},	//1078 Soprano::Vocabulary::Xesam::xesam35mmEquivalent
	{71, 991, 857},	//1079 Soprano::Vocabulary::Xesam::xesamNamespace
};

static Smoke::Index soprano_ambiguousMethodList[] = {
    0,
    58,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    57,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    0,
    72,  // Soprano::BindingSet::operator[](const QString) const
    71,  // Soprano::BindingSet::operator[](int) const
    0,
    73,  // Soprano::BindingSet::value(int) const
    74,  // Soprano::BindingSet::value(const QString&) const
    0,
    142,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    147,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    143,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    0,
    243,  // Soprano::Inference::NodePattern::NodePattern(const Soprano::Inference::NodePattern&)
    241,  // Soprano::Inference::NodePattern::NodePattern(const Soprano::Node&)
    0,
    278,  // Soprano::Inference::RuleSet::operator[](int) const
    280,  // Soprano::Inference::RuleSet::operator[](const QString&) const
    0,
    308,  // Soprano::LiteralValue::LiteralValue(const QTime&)
    310,  // Soprano::LiteralValue::LiteralValue(const QByteArray&)
    297,  // Soprano::LiteralValue::LiteralValue(const QVariant&)
    307,  // Soprano::LiteralValue::LiteralValue(const QDate&)
    296,  // Soprano::LiteralValue::LiteralValue(const Soprano::LiteralValue&)
    309,  // Soprano::LiteralValue::LiteralValue(const QDateTime&)
    0,
    306,  // Soprano::LiteralValue::LiteralValue(const QString&)
    304,  // Soprano::LiteralValue::LiteralValue(const char*)
    303,  // Soprano::LiteralValue::LiteralValue(double)
    298,  // Soprano::LiteralValue::LiteralValue(int)
    301,  // Soprano::LiteralValue::LiteralValue(qulonglong)
    302,  // Soprano::LiteralValue::LiteralValue(bool)
    299,  // Soprano::LiteralValue::LiteralValue(qlonglong)
    300,  // Soprano::LiteralValue::LiteralValue(uint)
    0,
    320,  // Soprano::LiteralValue::operator=(const QDate&)
    323,  // Soprano::LiteralValue::operator=(const QByteArray&)
    311,  // Soprano::LiteralValue::operator=(const Soprano::LiteralValue&)
    321,  // Soprano::LiteralValue::operator=(const QTime&)
    322,  // Soprano::LiteralValue::operator=(const QDateTime&)
    0,
    312,  // Soprano::LiteralValue::operator=(int)
    316,  // Soprano::LiteralValue::operator=(bool)
    317,  // Soprano::LiteralValue::operator=(double)
    313,  // Soprano::LiteralValue::operator=(qlonglong)
    314,  // Soprano::LiteralValue::operator=(uint)
    318,  // Soprano::LiteralValue::operator=(const QString&)
    315,  // Soprano::LiteralValue::operator=(qulonglong)
    0,
    401,  // Soprano::Node::Node(const QUrl&)
    405,  // Soprano::Node::Node(const Soprano::Node&)
    404,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    0,
    408,  // Soprano::Node::operator=(const QUrl&)
    409,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    407,  // Soprano::Node::operator=(const Soprano::Node&)
    0,
    410,  // Soprano::Node::operator==(const Soprano::Node&) const
    412,  // Soprano::Node::operator==(const QUrl&) const
    413,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
    489,  // Soprano::QueryResultIterator::binding(const QString&) const
    490,  // Soprano::QueryResultIterator::binding(int) const
    0,
    498,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    499,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    536,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
    540,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
    538,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
    0,
    537,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
    539,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
    535,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
    0,
};


void init_qt_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    soprano_Smoke = new Smoke(
        "soprano",
        soprano_classes, 74,
        soprano_methods, 1129,
        soprano_methodMaps, 1080,
        soprano_methodNames, 1039,
        soprano_types, 313,
        soprano_inheritanceList,
        soprano_argumentList,
        soprano_ambiguousMethodList,
        soprano_cast );
    initialized = true;
}
